# Related projects

<p class="description">A carefully curated list of tools that expand or build on top of Material UI.</p>

The MUI org and developers from the community have built some excellent supplemental tools for working with Material UI—this page highlights some of the best that we've seen.

Do you have a project that you think should be featured here?
Feel free to submit a pull request and the maintainers will work with you to write the description.

## Third-party app starters

### Admin frameworks

- [React-admin](https://github.com/marmelab/react-admin): A front-end framework for building data-driven applications running in the browser on top of REST/GraphQL APIs.
- [Refine](https://github.com/refinedev/refine): An open source, headless React meta-framework for the rapid development of web applications.

### Paid starters

- [Divjoy](https://divjoy.com?via=material-ui):

  - Create a Material UI app in minutes.
  - Templates, authentication, database integration, subscription payments, and more.

- [ScaffoldHub](https://v2.scaffoldhub.io/scaffolds/react-material-ui?partner=1):
  - Tool for building web applications.
  - Choose your framework and library (React with Material UI).
  - Choose your database (SQL, MongoDB or Firestore).
  - Model your database and application with the intuitive GUI.
  - Generate your application, including a complete scaffolded backend.
  - Preview your application online and download the generated code.

## Third-party theming tools

- [Material palette generator](https://m2.material.io/inline-tools/color/): The official Material Design 2 palette generator tool.

## Supplementary components

### Layout

- [MUI Treasury Layout](https://mui-treasury.com/?path=/docs/layout-v6-introduction--docs): Components to handle the overall layout of a page. Check out examples such as [a legacy.reactjs.org clone](https://mui-treasury.com/?path=/story/layout-v6-app-react-legacy--react-legacy).

### Image

- [mui-image](https://github.com/benmneb/mui-image): The only Material UI image component to satisfy the Material Design 2 guidelines for loading images.

### Chips input

- [mui-chips-input](https://github.com/viclafouch/mui-chips-input): A chips input designed for use with Material UI.

### Phone number input

- [mui-tel-input](https://github.com/viclafouch/mui-tel-input): A phone number input designed for use with Material UI, built with [libphonenumber-js](https://www.npmjs.com/package/libphonenumber-js).

### One-time password input

- [mui-otp-input](https://github.com/viclafouch/mui-otp-input): A one-time password input designed for use with Material UI.

### File input

- [mui-file-input](https://github.com/viclafouch/mui-file-input): A file input designed for use with Material UI.

### Color input

- [mui-color-input](https://github.com/viclafouch/mui-color-input): A color input designed for use with Material UI, built with [TinyColor](https://tinycolor.vercel.app/).

### Rich text editor

- [mui-tiptap](https://github.com/sjdemartini/mui-tiptap): A customizable Material UI-styled WYSIWYG rich text editor, built with [Tiptap](https://tiptap.dev/).

### Form

<!-- To sync with text-fields.md -->

- [react-hook-form-mui](https://github.com/dohomi/react-hook-form-mui): Material UI and [react-hook-form](https://react-hook-form.com/) combined.
- [formik-material-ui](https://github.com/stackworx/formik-mui): Bindings for using Material UI with [formik](https://formik.org/).
- [mui-rff](https://github.com/lookfirst/mui-rff): Bindings for using Material UI with [React Final Form](https://final-form.org/react).
- [@ui-schema/ds-material](https://www.npmjs.com/package/@ui-schema/ds-material) Bindings for using Material UI with [UI Schema](https://github.com/ui-schema/ui-schema). JSON Schema compatible.

### Notification

- [notistack](https://github.com/iamhosseindhv/notistack): Display multiple snackbars that can be stacked and queued—this tool makes it simpler to handle the open and close states.
