---
productId: material-ui
title: New Free React Templates
---

# React templates

<p class="description">Browse our collection of free React templates to get started building your app with Material UI, including a React dashboard, React marketing page, and more.</p>

## Free templates

Our curated collection of free Material UI templates includes a dashboard, a marketing page, a checkout flow, sign-in and sign-up pages, and a blog.
You can download each one directly from the source code or via CodeSandbox or StackBlitz.

:::info
If you're looking to build internal tools and dashboards quickly, head to [Toolpad Core examples](https://mui.com/toolpad/core/introduction/examples/#featured-examples) for functional apps with authentication, routing and theming already integrated.
:::

All templates feature a custom theme and a default Material Design 2 theme, with light and dark modes for both.
You can toggle through each of these style options in the top right corner of the live previews.

Sections of each layout are defined either by comments or use of separate files, so you can extract parts of a page (such as a hero unit or a footer) for reuse in other pages.
These templates can be combined with one of the [example projects](/material-ui/getting-started/example-projects/) to form a complete starter app.

:::info
If you see any room for improvement, please feel free to open an [issue](https://github.com/mui/material-ui/issues/new/choose) or a [pull request](https://github.com/mui/material-ui/pulls) on GitHub.
:::

{{"component": "modules/components/MaterialFreeTemplatesCollection.js"}}

## Premium templates

Looking for something more?
You can find complete templates and themes like those shown below in the <a href="https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=templates-store">premium template section</a> of the MUI Store.

<a href="https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=templates-store">
<span class="only-light-mode">
  <img src="/static/images/themes-display-light.png" alt="The MUI Store includes several carefully curated React templates using Material UI" width="2280" height="1200" style="display: block;" />
</span>
<span class="only-dark-mode">
  <img src="/static/images/themes-display-dark.png" alt="The MUI Store includes several carefully curated React templates using Material UI" width="2280" height="1200" style="display: block;" />
</span>
</a>

## Toolpad Core (beta)

If you're looking to build internal tools and dashboards fast, but don't want to start building from scratch, you can find examples of functional dashboards–with authentication, routing, and theming already integrated–in the [featured examples section](https://mui.com/toolpad/core/introduction/examples/#featured-examples) of the Toolpad Core docs.

<a href="https://mui.com/toolpad/core/introduction/examples/#featured-examples">
<span class="only-light-mode">
<img src="/static/images/toolpad-core-template-light.png" loading="lazy" alt="The Toolpad Core template comes with authentication, navigation and theming integrated" width="2400" height="1362" style="display: block;" />
</span>
<span class="only-dark-mode">
<img src="/static/images/toolpad-core-template-dark.png" loading="lazy" alt="The Toolpad Core template comes with authentication, navigation and theming integrated" width="2400" height="1362" style="display: block;"/>
</span>
</a>
