---
title: MUI's team retreat in Chamonix
description: The MUI team spent five days in the French Alps team-building, problem-solving, and brainstorming. Read all about it!
date: 2023-03-16T00:00:00.000Z
authors: ['mikailaread']
tags: ['Company']
manualCard: true
---

## Why the Chamonix gathering?

Being a distributed team means everyone at MUI works asynchronously.

We celebrate having the freedom to deeply focus on what we're delivering, and being able to fit work around life instead of life around work. 😀

But this way of working can also mean some team members experience very little overlap in their online hours, which can make it more challenging to connect personally or collaborate.

So, what do we do?

MUI is extremely intentional about bridging gaps by bringing our people together every ~8 months (as a minimum).

_Our team retreats are about providing everyone a more tangible opportunity to feel part of the MUI community and to learn more about each other outside of work._

It's a time to focus more on who we are as individuals, which creates a wonderful ripple effect on the ways we work together as a team.

## Where did we go?

Photo of the Heliopic Hotel & Spa exterior, via [Assas Hotels](https://www.assas-hotels.com/en/hotel-heliopic-sweet-spa/).

<img alt="Wooden architecture exterior of the Heliopic Hotel and Spa" src="/static/blog/2023-chamonix-retreat/hotel-exterior.jpeg" loading="lazy" width="2154" height="1212" />

Chamonix is a world capital for outdoor activities, such as mountaineering, skiing, snowboarding, paragliding, hiking, climbing, and so much more!

The Chamonix Mont Blanc valley offers unmatched alpine views, plus a whole host of stunning protected flora and fauna.
With a bustling city center full of quaint shops and restaurants — there's something for everyone to enjoy.

We stayed in the beautiful Helopic Hotel & Spa, which fit our needs perfectly. With fully-equipped conference rooms, a cozy lobby bar, a table-service restaurant, and a luxury spa — everything we needed was on-site. (The food was delicious, too!)

<img alt="A plated apple dessert with three scoops of ice cream." src="/static/blog/2023-chamonix-retreat/dessert.jpeg" loading="lazy" width="4032" height="3024" />

## What did we do?

We kicked off the week with several unique team-building activities, including a mini Winter Olympics, a competitive team biathlon, and even axe-throwing. 🎯🪓

Engaging in new experiences together gave us an opportunity to learn about each other's strengths and weaknesses, and to develop a better understanding of how our differences influence the ways we might communicate and work together.

It also provided room for team members to share past experiences with one another and gain new perspectives.

<img alt="Members of the MUI team standing in a line with their arms extended on each others' shoulders." src="/static/blog/2023-chamonix-retreat/caterpillar-game.jpeg" loading="lazy" width="2048" height="1536" />

<img alt="MUI team members cross-country skiing." src="/static/blog/2023-chamonix-retreat/biathlon-skiers.jpeg" loading="lazy" width="2048" height="1536" />

<img alt="MUI team members standing in a line shooting air rifles as part of a biathlon competition." src="/static/blog/2023-chamonix-retreat/biathlon-shooters.jpeg" loading="lazy" width="2048" height="1536" />

On the work-front, we hosted our monthly team meeting and offered a spread of different topic-based sessions for a "choose your own adventure" feel.
People could opt into the sessions they felt most passionate or excited about, which really helped to sustain energy and result in fruitful discussions.

Solving challenges and sparking new ideas takes on such a different feel when you're all in the same time and place!
Our team walked away with a number of actionable changes and commitments for the near and far future.

<img alt="MUI team members sit in a half-U shape as Co-Founder Olivier Tassinari presents the monthly meeting slides." src="/static/blog/2023-chamonix-retreat/monthly-meeting.jpeg" loading="lazy" width="4032" height="3024" />

Following our very productive sessions, it was time to relax and refresh ourselves.
We decided to increase the amount of downtime on our final day together and leave space for serendipitous fun to unfold.

And guess what: _**it worked!**_

One of the most-loved parts of our retreat in team feedback surveys turned out to be a completely unplanned game night.
Despite tiring return journeys ahead, an exhausted group of us set up camp in the hotel lobby to play cards and board games into the wee hours of the morning.
Special bonds formed over some very colorful rounds of Saboteur and terribly-executed magic tricks. 🙃🎩

It was just what we needed to close out the retreat with some moments of real connection.

## What's next?

If you can believe it, we're already busy planning our next meet-up. Although we haven't decided on an exact location just yet, the team has agreed this much loud and clear: somewhere warm! ☀️😅

<img alt="Two members of the MUI team and skiing instructor smiling with a mountain vista in the background." src="/static/blog/2023-chamonix-retreat/mountaineers.jpeg" loading="lazy" width="4032" height="3024" />

<img alt="MUI team members standing lined-up in the snow with their skigear." src="/static/blog/2023-chamonix-retreat/skiers.jpeg" loading="lazy" width="4096" height="3072" />

## Join the team

MUI is on track to double in size by the end of this year with lots of open roles in engineering, design, and product teams.
Our target date for the next company retreat is November 2023.
To have your say in where we go and what we do, join us now.

[Visit our careers page!](/careers/) 🏃💨

<img alt="Members of the MUI team sitting around a large wooden dining table." src="/static/blog/2023-chamonix-retreat/team-dinner.jpeg" loading="lazy" width="4032" height="3024" />
