---
title: Together Week lands in Phuket, Thailand
description: The latest team retreat left MUIers feeling more connected and invigorated than ever. Here's how it went down.
date: 2023-12-13T00:00:00.000Z
authors: ['mikailaread']
tags: ['Company']
manualCard: true
---

## What is MUI's Together Week?

At MUI, we take team connection seriously, with core values urging us to "Put #community first."
In part, this is a reference to the user base we serve; it's also a call to foster a strong sense of belonging within our internal team.

Some say driving team connectedness can be difficult against the backdrop of a distributed, async work environment.
We say embracing the power of remote work and flexibility will cost you neither culture nor community as long as you're _intentional_ about building both.

Enter: **MUI's Together Week**.

Every 8 months, we bring MUIers from all corners of the world together to pursue many worthy outcomes at once.

- 🤝 Strengthening bonds and relationships
- 🌱 Growing as individuals and a team
- ⚙️ Tackling important challenges
- 💡 Sparking new ideas

Together Week invites a new level of intentionality to go after goals while offering more unique methods to achieve them.

<img alt="The MUI team stands together at the hotel Reflections bar. A sign to the left reads: The Nai Harn." src="/static/blog/2023-phuket-retreat/whole-team-photo.jpg" width="6000" height="4000" loading="lazy" />

## Destination

In usual MUI fashion, deciding where to go was a team effort.
We crowdsourced ideas, encouraging people to think about locations that would offer a high contrast to [Chamonix (where our last retreat took place)](https://mui.com/blog/2023-chamonix-retreat/).

The shortlist included places like Costa Rica, Mexico, Madagascar, and Bali—but in the end, Thailand garnered the most interest and excitement.

Given the great distance some team members would be traveling to attend, we wanted to prioritize their comfort and ability to make the most of their stay.
For that reason, we chose to go South and let the stunning beaches of Phuket drape the background of our time together.

## Accommodation

The Nai Harn is a five-star beachfront property boasting incredible luxury balanced with a cozy feel.

<img alt="Entrance to the Nai Harn property at night. A lit sign on a leafy backdrop reads: The Nai Harn - Phuket." src="/static/blog/2023-phuket-retreat/hotel-entrance.jpg" width="2076" height="1384" loading="lazy"  />

A blend of Thai and international cuisines, plus free rental of kayaks, bicycles, stand-up paddle boards, and an on-site spa were just the ticket to ensure our team could be nourished and relaxed outside of scheduled working sessions and activities.

Special callout: the on-site rental equipment was no small perk.
Within our agenda for the week, we baked in "Choose your own adventure" hours and invited folks to self-coordinate activities around common interests.
This is where a lot of magic happened as people organically forged new and deeper connections with one another anchored in shared experiences.
More on our approach to crafting a winning retreat agenda coming up next. 👀

## Agenda

We follow a 30/30/30 principle when building our retreat agendas.
This means 30% of time is allocated to conscious team-building events; 30% is allocated to working sessions; and 30% is allocated for downtime or total team freedom.
(You: "Wait, what happened to the other 10%, Mikaila?"
It's better to underestimate and be able to embrace more if there's time than it is to feel rushed through anything.
We expect disruptions that make us start late or run over in different agenda items, so we intentionally bake this bit of a grace window into it.)

For this retreat we wanted to focus on intentional conversations in a few different areas, including product vision, leadership and management, and marketing.
To kick things off though, everyone was invited to "Win the Conversational Lottery."
I leveraged the incredible WeConnect cards ([check out the free digital version here](https://weconnectcards.com) for your own remote team-building needs) to get people talking.

Everyone picked up a card once the exercise was explained, choosing from green, purple, or blue.
The green cards were light and fun questions; purple, more self-reflective; and blue, a bit deeper.
Crucially, as part of this exercise, everyone chose what color card they wanted, and could answer the questions posed however they wanted.
After a brief chat, participants would trade cards and find another person they hadn't yet spoken to.

<img alt="We Connect cards spread out on a table. Each card poses a different question." src="/static/blog/2023-phuket-retreat/we-connect-cards.jpg" width="4080" height="3072" loading="lazy"  />

After the kickoff, we broke out into groups to delve deep into issues and opportunities across the organization.

It gave us a valuable space to make important decisions together in a rapid-fire way, and to build greater trust and psychological safety with one another along the way.

## Transformative experiences

A picture is worth a thousand words they say, so here's a whole heap of our happy faces in far off places!

<img alt="MUI team members stand at the steps leading up to Phuket's infamous 'Big Buddha.'" src="/static/blog/2023-phuket-retreat/big-buddha.jpg" width="4340" height="2893" loading="lazy"  />

<img alt="MUI team members enjoy a private catamaran trip. A rainbow appears over the team's boat." src="/static/blog/2023-phuket-retreat/rainbow-boat.jpg" width="4080" height="3072" loading="lazy"  />

<img alt="MUI team members seated for a team lunch on the Nai Harn's Cosmo dining hall terrace." src="/static/blog/2023-phuket-retreat/lunch-service.jpg" width="4032" height="3024" loading="lazy"  />

<img alt="Bharat & Raffaella enjoy the views from the top of a lookout point." src="/static/blog/2023-phuket-retreat/bharat-raffaella.jpg" width="6000" height="4000" loading="lazy"  />

<img alt="Andrew, Lukas, & Jose enjoy the views from the top of a lookout point." src="/static/blog/2023-phuket-retreat/andrii-lukas-jose.jpg" width="6000" height="4000" loading="lazy"  />

## Outcomes

In experience surveys, all respondents rated this Together Week five stars out of five. (What a win!)

It's worth highlighting some of the glowing feedback received, to illustrate why we invest in these types of gatherings:

> I want to share how impactful the retreat was for my sense of belonging.
> This marks a before and after in my time at MUI.
> I really appreciate everyone who worked on making it possible, so thank you so much.

> Everyone I talked to told me this was the best retreat they'd been on - that it was super well-organized, that the accommodation was incredible and it made a huge difference how luxe it was, that the excursions (particularly the boat) were the best yet.
> I think it's a real testament to the work and thoughtfulness that went in to planning every detail, from airport transfers to snacks, swag, sessions, EVERYTHING.
> So just a huge thank you for not only pulling this off but executing it to such a high standard.

> Honestly, the bonding through cards and games was so important and made me feel much more a part of the team.
> I feel like on this trip the people I work with became true friends and I expect this is going to have a big effect on how we work together.

(You're dang right it is—there's plenty of research to back up [the power of work friends](https://hbr.org/2022/10/the-power-of-work-friends)).

<img alt="Tina, Raffaella, and Mikaila enjoy a catered coffee break on the terrace between work sessions." src="/static/blog/2023-phuket-retreat/tina-raffaella-mikaila.jpg" width="2245" height="1587" loading="lazy" />

Reflecting on the whole team experience, many MUIers shared heartfelt messages of thanks and gratitude in our Slack workspace and their own social media channels.
One thing is clear from the entire trip: we simply can't wait to be together again.

## Will you join us for the next Together Week?

If you're seeking a workplace where community, innovation, and teamwork truly take priority, you belong at MUI.

We're not just shaping the future of developer tools; we're cultivating a forward-thinking, community-driven, remote-first culture that promises the freedom to build your dream work-life.

Sounds compelling? Apply now and be part of something extraordinary!

Visit [our Careers page](/careers/) 👈

<img alt="MUIers lined up at Banana Beach, enjoying the sand, scenery, and soft drinks." src="/static/blog/2023-phuket-retreat/banana-beach.jpg" width="1200" height="840" loading="lazy" />
