---
title: Material UI 2024 end-of-year updates
description: Recapping our biggest accomplishments for Material UI this year; plus, a look at what's to come in 2025.
date: 2024-12-11T00:00:00.000Z
authors: ['diegoandai']
tags: ['Material UI', 'Product']
manualCard: true
---

As the end of the year approaches, we want to take some time to review some of this year's highlights for Material UI and update you on what you can expect moving forward.

## Material UI v6 release and support

We released Material UI v6 in August, offering new features, fixes, and a smoother migration experience.
So far, almost a million users have successfully migrated.

The reception for the new version has been very positive, and we hope many more users can migrate in the upcoming months.

Our focus has been on responding to v6-related issues to support your migration. We thank everyone in the community who has helped by reporting or fixing problems and encourage everyone else to migrate. We are happy and ready to help!

## React 19 support

As of today, Material UI v5 and v6 support React 19. This has been one of our main focuses during the second half of 2024.

We've worked hard to ensure that the upgrade experience is as seamless as possible, and we're very grateful to all the community members who've been testing it out and reporting issues.

## Material Design 3

A year ago, we shared that we expected to have a Material Design 3 implementation ready by the end of 2024.
Due to the more pressing efforts mentioned above, we have not been able to deliver on this yet.

Updating the library's look and feel in such a big way is an incredibly complex undertaking that can't be rushed.
We're committed to providing the best experience for all users and use cases, and we're working hard to determine the best way to accomplish that.
This is one of our top priorities for 2025, and we'll keep you updated on our progress as soon as we have more definitive details to share.
Thank you for your continued patience.

## Looking towards 2025

We're planning a new major release for the first half of 2025: Material UI v7.

This version will fix issues that require breaking changes, including the long-awaited ESM support improvements, and other small fixes.
While v7 won't contain visual updates since its sole focus is fixing bugs, rest assured that we will be working on updating the look and feel in parallel.

## Follow along

Feel free to leave your feedback on these new features and fixes in our [GitHub](https://github.com/mui/material-ui). We'd love to chat with you and are as excited as everyone to update how Material UI looks and feels.

Thank you for your continued support, we're excited to go into 2025 with you! 🎉
