---
title: Upcoming changes to MUI X pricing in 2024
description: Check out the new pricing updates and how to transition to the new model.
date: 2024-08-01T08:00:00.000Z
authors: ['josefreitas', 'oliviertassinari']
tags: ['MUI X', 'Product']
manualCard: true
---

Today, we are sharing some important updates to the MUI X product offerings and pricing structure.
These changes are made to reflect the expanded feature set and help support the delivering of high-quality components to you and your users.

## Changes to the Pro plan

### Current pricing

Under the current pricing model, you only purchase a license for the first 10 developers.
So to license the Pro plan for 50 developers you would purchase 10 licenses.
This concept was introduced in the very beginning of the MUI X offering (2021) when we offered only the Data Grid Pro with a small feature set.

Since the release of this component, we launched several new components and features, including [Date and Time Range Pickers](/x/react-date-pickers/date-time-range-picker/).

### New pricing

We will soon release the first Pro features of the [Charts](/x/react-charts/) and [Tree View](/x/react-tree-view/).
These new features will only be available under the updated pricing: moving forward, each developer requires a license. So, for example, 50 developers will need 50 licenses.

### Grandfathering current customers

We value our loyal customers and want to ensure a smooth transition: current customers will be grandfathered into their existing plans.

This means you can continue to renew your licenses under the legacy pricing for as long as you wish.
However, the legacy pricing only covers the previously released components: Data Grid and Date Pickers.

:::info
**Access to new components:** The Pro versions of Charts and Tree View, and other future Pro components, will be available exclusively through the new Pro plan model or a Premium plan (Premium customers will experience no change, all Pro components are included).
::::

### Pricing for small teams

The price is the same for customers with 10 developers or fewer.
Actually, we are making this pricing change to be able to keep the price affordable for small teams.

However, if you want to use the new features, you will need a new license key to use the Pro versions of Charts or Tree View.
You can [contact](https://support.mui.com/hc/en-us/requests/new) our support team to receive a new license key.

### Larger teams

We're happy to discuss volume discounts to accommodate larger teams.

## Changes to the Premium plan

### New Pro components

We will soon release the first Pro features of the [Charts](/x/react-charts/) and [Tree View](/x/react-tree-view/).
These features will be available to all Premium customers without any further action needed.

### Ending the early bird discount

After two years since the [introduction of our Premium plan](/blog/premium-plan-release/), we've added numerous features and are on the verge of releasing the Pivot mode for the Data Grid.
We consider the product mature and battle-tested enough and as a result, the early bird discount for the Premium plan finally reaches its end.

### Large discount for current customers

However, we want to ensure that our valued early customers continue to enjoy the benefits of an earlier purchase.
Current customers will still benefit from a 20% renewal discount (vs. 25% early bird discount before).
You'll receive the discount per email, or by reaching out to our [sales team](mailto:sales@mui.com).

## Effective date

The new pricing updates will take effect on September 1st, 2024.

## We value your feedback

Your feedback is invaluable to us.
We invite you to share your thoughts and any questions you might have about these changes.
Please feel free to contact our [sales team](mailto:sales@mui.com).
We are here to listen and ensure that our updates meet your needs and expectations.

Thank you for your continued support and for being a part of the MUI community. We look forward to bringing you even more powerful tools and features to help you succeed.
