# People Operations Manager

<p class="description">Build the HR function from the ground up at a high-growth tech company.</p>

## Details of the role

- **Location**: Remote (strong requirement for UTC-6 to UTC+4).
- **Type of work**: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501#494af1f358794028beb4b7697b5d3102)).
- We're a **remote** company, we prefer asynchronous communication over meetings.

## The company

MUI's story began in 2014 with Material UI, the most successful React implementation of Google's Material Design.
Today, Material UI stands as one of the most popular open-source libraries on GitHub and has paved the way for the fully-fledged startup known as MUI (founded in 2019), which now boasts an ever-expanding ecosystem of React UI products.
We're a company of 35+ people as of early 2024, and we're growing.

## The products

MUI is best known for our flagship product, Material UI—but this is just one of three core component libraries we maintain.
Base UI is our headless component library, and Joy UI is a sister library to Material UI that implements our own in-house Joy Design system.
We also host Design Kits and pre-built Templates.

Beyond the core libraries, MUI X offers advanced components like the Data Grid, Date and Time Pickers, and Charts, for more complex user interactions and data visualization needs.

We're also making ambitious moves to incorporate our full suite of components into Toolpad, a low-code admin builder tool for assembling full-stack apps faster than ever.

Learn more about MUI's products in this blog post: [An introduction to the MUI ecosystem](https://mui.com/blog/mui-product-comparison/).

## The culture

MUI is a fully remote company with a team that spans the globe.
The majority of our work is asynchronous, and we rely on written communication to collaborate.
We're radically transparent: nearly all of our work happens in public.
Each contributor has the freedom to decide how and when they work, and that work is primarily self-directed: it's your responsibility to define and complete your own tasks in a timely manner.

For additional details about the culture, you can check our [careers](https://mui.com/careers/) and [about](https://mui.com/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

At the current growth rate, we target 50 new hires in 2023. We would reach 75 people.
We need somebody to lead our HR strategy including hiring, onboarding, diversity & inclusion, learning & development, and employee happiness.

Overall, both our open-source community and our premium products are growing fast.
We need talented people to keep up with the demands of our exigent community!

## The role

### Why this is interesting

You'll have the freedom to implement processes and to drive change across the organization.

Our products empower React developers to build awesome applications faster – we see millions of developers on MUI's docs every year, one million a month.

### Key responsibilities

Depending on the day, you'll:

- **Recruiting**. You will help scale recruiting and improve the employer brand. It might take up to 50% of the time in the early days, and we will quickly need to hire a Tech Recruiter.
- **Employees' experience**.
  - You will work on the employee engagement survey results.
  - You will reduce the admin burden.
  - You will own the Retreat. Bring our remote team together. Being a fully distributed remote team has its challenges. You organize team events, make sure everybody has what they need to be productive, and find creative ways to engage as a team.
- **Employee development**. You will improve program for evaluating performance and providing feedback. Our team members need continual learning.
- **Culture development**. You will develop our remote and async-first culture. You will continue to train and mentor the team to update information in the handbook, for easy access to all.
- **Connecting individual performance with company goals**.
  - You will help all individuals understand their primary role within the wider organization.
  - You will partner with Finance for budgeting/compensation purposes. You will manage compensation, benefits, leave, and other people-related matters.
  - You will shape a strategy that aligns and moves MUI towards continued growth, innovation, and improvement.
- **Legal compliance**. You will stay current on employee legislation and develop internal policies and procedures to support a scaling company; serve as the main point of contact for administrative matters.

## Who we're looking for

You are a [manager of one](https://signalvnoise.com/posts/1430-hire-managers-of-one).
This role is perfect for you if you are curious, enjoy taking risks, and learning.

### Required

- 4+ years of experience as an HR business partner, preferably with experience at fast-growing technology companies.
- A great listener who enjoys interacting with others and is open to feedback.
- Excellent verbal and written communications skills that will enable you to develop relationships with all members of our team, regardless of tenure or position.
- Experience implementing HR programs such as compensation review process, HR compliance, and employee development/growth.
- Able to handle confidential information with discretion and deal with professionals inside and outside the company.
- Tech-savvy with the ability to learn new tools quickly and find tools to help automate workflows.
- A self-starter looking to grow and willing to own projects from start to finish with limited supervision.

### Nice to have (but not required)

- Basic knowledge of web development.

## Benefits and compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person who can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-and-benefits) page.

## How to apply

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/b46968b7-dde3-4b91-9785-a05aa0a816d8/application?utm_source=ZNRrPGBkqO)

Don't meet every requirement?
Apply anyway!
Research shows that certain folks are less likely to apply for a role than others [unless they meet 100%](https://hbr.org/2014/08/why-women-dont-apply-for-jobs-unless-theyre-100-qualified) of the outlined qualifications.
If this role excites you, we want to hear from you.
We'd love for you to share the unique skills, passion, and experience you could bring to MUI.
