# Product Marketing Manager (future role)

<p class="description">You will own the marketing efforts at MUI.</p>

## Details of the role

- **Location**: Remote (preference for UTC-6 to UTC+5).
- **Type of work**: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501#494af1f358794028beb4b7697b5d3102)).
- **Level**: _No ladders created yet_.
- We're a **remote** company, we prefer asynchronous communication over meetings.

## The company

MUI's story began in 2014 with Material UI, the most successful React implementation of Google's Material Design.
Today, Material UI stands as one of the most popular open-source libraries on GitHub and has paved the way for the fully-fledged startup known as MUI (founded in 2019), which now boasts an ever-expanding ecosystem of React UI products.
We're a company of 35+ people as of early 2024, and we're growing.

## The products

MUI is best known for our flagship product, Material UI—but this is just one of three core component libraries we maintain.
Base UI is our headless component library, and Joy UI is a sister library to Material UI that implements our own in-house Joy Design system.
We also host Design Kits and pre-built Templates.

Beyond the core libraries, MUI X offers advanced components like the Data Grid, Date and Time Pickers, and Charts, for more complex user interactions and data visualization needs.

We're also making ambitious moves to incorporate our full suite of components into Toolpad, a low-code admin builder tool for assembling full-stack apps faster than ever.

Learn more about MUI's products in this blog post: [An introduction to the MUI ecosystem](https://mui.com/blog/mui-product-comparison/).

## The culture

MUI is a fully remote company with a team that spans the globe.
The majority of our work is asynchronous, and we rely on written communication to collaborate.
We're radically transparent: nearly all of our work happens in public.
Each contributor has the freedom to decide how and when they work, and that work is primarily self-directed: it's your responsibility to define and complete your own tasks in a timely manner.

For additional details about the culture, you can check our [careers](https://mui.com/careers/) and [about](https://mui.com/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Up to this point we have operated:

- on the open-source side, through word of mouth and SEO
- on the commercial side, through inbound leads with $0 investment in marketing

We believe that we could do a lot better. This is a white canvas opportunity at the company, this role is critical to our growth plans. Product Marketing will be a cross-functional role at MUI, partnering with Design, Product, Developer Experience and Sales.

Overall, both our open-source community and our premium products are growing fast.
We need talented people to keep up with the demands of our exigent community!

### Why this is interesting

In this role, you will be a founding member of the marketing team and a passionate voice of our users, customers and prospects. This is a full stack product marketing role in that you will support messaging and positioning, sales materials and training, web copy, customer collateral and presentations, and act as the subject matter expert for the value of our product among the enterprise and SMB audiences.

Our products empower React developers to build awesome applications faster – we see millions of developers on MUI's docs every year, one million a month.

## The role

### Key responsibilities

Depending on the day, you'll:

- **Own the commercial voice of MUI**. Define, document, and evolve the way we communicate with our customers, users, and the market/public.
- **Personas**. Build deep knowledge and understanding of MUI's technical buyer personas and the journey of our enterprise prospects via market research, prospect/customer conversations, and internal conversations.
- **Market research**. Use customer and competitive research to tailor effective messaging to our Enterprise audience.
- **Content**. Plan and create impactful marketing materials mapped to buying journey. Generate high-quality content for customers including website copy/landing pages, blogs, webinar content, use cases, customer stories, showcases, and more.
- **Paid channels**. Build and help execute marketing campaigns from the bottom up (identify goals, risks, audience, messages, and tactics), for example we can explore SEA & conference sponsoring.
- **Sales**. Partner with the Sales team to create effective sales enablement materials.
- **Events** Potentially: Lead corporate event programs that result in relationship building, lead/pipeline generation and acceleration, customer engagement, retention, and brand awareness.

## Who we're looking for

### Required

- A technical background.
- Experience marketing to software developers.
- 2+ years experience of B2B product marketing.
- As the first role, you'll need to bring an entrepreneurial, iterative mindset and be comfortable driving for clarity in ambiguous situations. When this is a success, you'll have an opportunity to help build the team.
- Proven ability to be self-directed and work with limited supervision.
- Passionate, self-starter with a can-do attitude. You're eager to jump in and get things done but don't get flustered in a fast-paced and often changing environment. Always willing to roll up your sleeves and get scrappy.
- Strong critical thinker who feels comfortable pouring over analytics to make data-driven decisions, and explaining those decisions to leadership with the data.
- Empathy: for our customers, for the team, and for yourself.
- Outstanding written English communication skills. An ability to explain and translate complex technical concepts into simple and intuitive communications.

## Benefits and compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person who can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-and-benefits) page.

## How to apply

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/7811fc99-08b2-4fb3-b6c3-6af15fc7467a/application?utm_source=ZNRrPGBkqO)

Don't meet every requirement?
Apply anyway!
Research shows that certain folks are less likely to apply for a role than others [unless they meet 100%](https://hbr.org/2014/08/why-women-dont-apply-for-jobs-unless-theyre-100-qualified) of the outlined qualifications.
If this role excites you, we want to hear from you.
We'd love for you to share the unique skills, passion, and experience you could bring to MUI.
