# Technical Recruiter (future role)

<p class="description">You will hire the next engineers, among other roles, joining the team.</p>

## Details of the role

- **Location**: Remote (preference for UTC-6 to UTC+5).
- **Type of work**: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501#494af1f358794028beb4b7697b5d3102)).
- **Level**: _No ladders created yet_.
- We're a **remote** company, we prefer asynchronous communication over meetings.

## The company

MUI's story began in 2014 with Material UI, the most successful React implementation of Google's Material Design.
Today, Material UI stands as one of the most popular open-source libraries on GitHub and has paved the way for the fully-fledged startup known as MUI (founded in 2019), which now boasts an ever-expanding ecosystem of React UI products.
We're a company of 35+ people as of early 2024, and we're growing.

## The products

MUI is best known for our flagship product, Material UI—but this is just one of three core component libraries we maintain.
Base UI is our headless component library, and Joy UI is a sister library to Material UI that implements our own in-house Joy Design system.
We also host Design Kits and pre-built Templates.

Beyond the core libraries, MUI X offers advanced components like the Data Grid, Date and Time Pickers, and Charts, for more complex user interactions and data visualization needs.

We're also making ambitious moves to incorporate our full suite of components into Toolpad, a low-code admin builder tool for assembling full-stack apps faster than ever.

Learn more about MUI's products in this blog post: [An introduction to the MUI ecosystem](https://mui.com/blog/mui-product-comparison/).

## The culture

MUI is a fully remote company with a team that spans the globe.
The majority of our work is asynchronous, and we rely on written communication to collaborate.
We're radically transparent: nearly all of our work happens in public.
Each contributor has the freedom to decide how and when they work, and that work is primarily self-directed: it's your responsibility to define and complete your own tasks in a timely manner.

For additional details about the culture, you can check our [careers](https://mui.com/careers/) and [about](https://mui.com/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

We anticipate the need to hire >5 people/month in 2023. This is not an outcome that the managers at MUI can deliver on their own.

Overall, both our open-source community and our premium products are growing fast.
We need talented people to keep up with the demands of our exigent community!

### Why this is interesting

// TODO

Our products empower React developers to build awesome applications faster – we see millions of developers on MUI's docs every year, one million a month.

## The role

You'll be primarily responsible for managing all recruiting-related activities.
The role will be a mix of sourcing/recruiting directly, as well as managing a number of external recruiting resources such as agencies and recruiting platforms.

This role is best suited for someone who will be able to handle the dynamic nature of a high-growth technology company, and have creativity around how/where to source strong engineering talent.
We're looking for someone who is comfortable in a fast-paced environment and passionate about growing teams remotely.
The ideal candidate will be able to balance long-term focus with practical day-to-day execution.

### Key responsibilities

Depending on the day, you'll:

- Design, execute and own full life-cycle recruiting.
- Attract and engage top talent in creative, targeted, and meaningful ways.
- Manage candidates through the entire interview process (sourcing, updating candidate pipeline, coordinating interviews, setting expectations, etc.) while maintaining an excellent candidate experience.
- Collaborate with internal team members on recruiting best practices and ways to improve hiring.
- Actively work towards building a diverse team and ensure fairness in hiring practices.
- Regularly manage pipeline activity and analyze KPIs for recruiting.
- Scale a lean team to support growth.

## Who we're looking for

### Required

- 5-8 years of recruiting experience, with a strong background in technical R&D hiring.
- Previous experience recruiting and scaling an early-stage team.
- Demonstrated success in establishing credibility and trust with diverse groups.

## Benefits and compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person who can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-and-benefits) page.

## How to apply

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/b0f83db9-709d-4259-bad9-ec155efa46bf/application?utm_source=ZNRrPGBkqO)

Don't meet every requirement?
Apply anyway!
Research shows that certain folks are less likely to apply for a role than others [unless they meet 100%](https://hbr.org/2014/08/why-women-dont-apply-for-jobs-unless-theyre-100-qualified) of the outlined qualifications.
If this role excites you, we want to hear from you.
We'd love for you to share the unique skills, passion, and experience you could bring to MUI.
