# Callouts

<p class="description">Type of callouts.</p>

## Info

:::info
One-liner info callout.
:::

:::info
This is an info callout.
It says, "Here's a bit of extra insight to help you understand this feature."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).

:::

```markup
:::info
This is an info callout.
It says, "Here's a bit of extra insight to help you understand this feature."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).
:::
```

## Success

:::success
One-liner success callout.
:::

:::success
This is a success callout.
It says, "Here's an actionable suggestion to help you succeed."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).

:::

```markup
:::success
This is a success callout.
It says, "Here's an actionable suggestion to help you succeed."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).
:::
```

## Warning

:::warning
One-liner warning callout.
:::

:::warning
This is a warning callout.
It says, "Be careful! Keep this detail in mind to avoid potential issues."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).

:::

```markup
:::warning
This is a warning callout.
It says, "Be careful! Keep this detail in mind to avoid potential issues."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).
:::
```

## Error

:::error
One-liner error callout.
:::

:::error
This is an error callout.
It says, "You will fail if you don't heed this dire warning."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).

:::

```markup
:::error
This is an error callout.
It says, "You will fail if you don't heed this dire warning."

- emphasised: **bold text**
- some code `<div/>`
- a [link](#link).
:::
```

## With code

:::info
This is a callout.

```jsx
import * as React from 'react';
import Stack from '@mui/material/Stack';

export default function BasicAlerts() {
  return <Stack sx={{ width: '100%' }} spacing={2} />;
}
```

:::

## Multilines

:::info
The `AppRouterCacheProvider` component is responsible for collecting the CSS generated by MUI System on the server, as Next.js is streaming chunks of the .html page to the client.

While it's not required to use the `AppRouterCacheProvider` component, it's recommended to use it to ensure that the styles are appended to the `<head>` and not rendering in the `<body>`.
See https://github.com/mui/material-ui/issues/26561#issuecomment-855286153 for why it's better.
:::
