const sleek = {
  // tokens
  '--color-primary': 'var(--muidocs-palette-primary-main)',
  '--color-primary-light': 'var(--muidocs-palette-primary-100)',
  '--border-width': '1px',
  '--border-style': '1px solid',
  '--border-color': 'var(--muidocs-palette-grey-200)',
  '--border-radius': '8px',
  '--avatar-radius': '99px',
  // components
  '--Panel-shadow': '0 4px 24px 0 rgba(62, 80, 96, 0.2)',
  '--Tab-radius': '12px',
  '--Tab-hoverBackground': 'var(--muidocs-palette-grey-50)',
  '--Tab-activeSelector': 'calc(-5 * min(2px, var(--border-width, 0px)))',
  '--Select-radius': '12px',
  '--Select-spacing': '12px',
  '--Input-border': 'var(--muidocs-palette-primary-400)',
  '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-200)',
  '--Slider-thumb-focus': 'rgba(0, 127, 255, 0.2)',
  '--formControl-shadow': '0px 2px 3px rgba(205, 210, 215, 0.3)',
  '--Button-shadow':
    '0 -2px 0.5px 0 var(--muidocs-palette-grey-50) inset, 0 1px 2px 0 rgba(205, 210, 215, 0.5)',
  '--Button-border': 'var(--muidocs-palette-grey-200)',
  '--Button-bg': '#FFF',
  '--Button-color': 'var(--muidocs-palette-grey-900)',
  '--Button-border-hover': 'var(--muidocs-palette-grey-300)',
  '--Button-bg-hover': 'var(--muidocs-palette-grey-100)',
  '--LinkButton-shadow':
    '0 -2px 0.5px 0 var(--muidocs-palette-primary-100) inset, 0 1px 2px 0 rgba(205, 210, 215, 0.5)',
  '--LinkButton-border': 'var(--muidocs-palette-primary-100)',
  '--LinkButton-bg': 'var(--muidocs-palette-primary-50)',
  '--LinkButton-color': 'var(--muidocs-palette-primary-600)',
  '--LinkButton-border-hover': 'var(--muidocs-palette-primary-200)',
  '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-100)',
  '[data-mui-color-scheme="dark"] &': {
    // dark tokens
    '--color-primary': 'var(--muidocs-palette-primary-light)',
    '--color-primary-light': 'var(--muidocs-palette-primaryDark-600)',
    '--border-color': 'var(--muidocs-palette-primaryDark-700)',
    '--formControl-shadow': '0px 2px 3px rgba(0, 0, 0, 0.6)',
    // dark components
    '--Panel-shadow': '0 4px 24px 0 rgba(0, 0, 0, 0.4)',
    '--Select-background': 'var(--muidocs-palette-primaryDark-800)',
    '--Tab-hoverBackground': 'var(--muidocs-palette-primaryDark-700)',
    '--Option-selectedBackground': 'var(--muidocs-palette-primaryDark-800)',
    '--Option-hoverBackground': 'var(--muidocs-palette-grey-900)',
    '--Switch-background': 'var(--muidocs-palette-grey-700)',
    '--Switch-hoverBackground': 'var(--muidocs-palette-grey-800)',
    '--Input-border': 'var(--muidocs-palette-primary-500)',
    '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-600)',
    '--Slider-thumb-focus': 'rgba(51, 153, 255, 0.4)',
    '--Button-shadow':
      '0 -2px 0.5px 0 var(--muidocs-palette-primaryDark-900) inset, 0 1px 2px 0 rgba(0, 0, 0, 0.5)',
    '--Button-border': 'var(--muidocs-palette-grey-800)',
    '--Button-bg': 'var(--muidocs-palette-grey-900)',
    '--Button-color': 'var(--muidocs-palette-primary-100)',
    '--Button-border-hover': 'var(--muidocs-palette-grey-700)',
    '--Button-bg-hover': 'var(--muidocs-palette-primaryDark-700)',
    '--LinkButton-shadow':
      '0 -2px 0.5px 0 var(--muidocs-palette-primary-800) inset, 0 1px 2px 0 rgba(0, 0, 0, 0.5)',
    '--LinkButton-border': 'var(--muidocs-palette-primary-800)',
    '--LinkButton-bg': 'var(--muidocs-palette-primary-900)',
    '--LinkButton-color': 'var(--muidocs-palette-primary-100)',
    '--LinkButton-border-hover': 'var(--muidocs-palette-primary-700)',
    '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-700)',
  },
};

const retro = {
  // tokens
  '--color-primary': 'var(--muidocs-palette-primary-main)',
  '--color-primary-light': 'var(--muidocs-palette-primary-100)',
  '--border-width': '1px',
  '--border-style': '1px solid',
  '--border-color': 'var(--muidocs-palette-grey-900)',
  '--avatar-radius': '2px',
  // components
  '--Panel-shadow': '-8px 8px 0 0 var(--muidocs-palette-grey-800)',
  '--Tab-radius': '0',
  '--TabsList-background': 'var(--muidocs-palette-primary-50)',
  '--Tab-hoverBackground': 'var(--muidocs-palette-grey-100)',
  '--Tab-activeSelector': 'calc(-5 * min(2px, var(--border-width, 0px)))',
  '--Select-radius': '0px',
  '--Select-spacing': '12px',
  '--Select-background': 'var(--muidocs-palette-grey-50)',
  '--Input-border': 'var(--muidocs-palette-primary-400)',
  '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-200)',
  '--Slider-thumb-focus': 'rgba(0, 127, 255, 0.2)',
  '--Button-border': 'var(--muidocs-palette-grey-600)',
  '--Button-bg': 'var(--muidocs-palette-grey-100)',
  '--Button-color': 'var(--muidocs-palette-grey-900)',
  '--Button-border-hover': 'var(--muidocs-palette-grey-900)',
  '--Button-bg-hover': 'var(--muidocs-palette-grey-200)',
  '--LinkButton-border': 'var(--muidocs-palette-primary-400)',
  '--LinkButton-bg': 'var(--muidocs-palette-primary-100)',
  '--LinkButton-color': 'var(--muidocs-palette-primary-900)',
  '--LinkButton-border-hover': 'var(--muidocs-palette-primary-500)',
  '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-200)',
  '& *': {
    fontFamily: 'Menlo,Consolas,"Droid Sans Mono",monospace',
  },
  '[data-mui-color-scheme="dark"] &': {
    // dark tokens
    '--color-primary': 'var(--muidocs-palette-primary-light)',
    '--color-primary-light': 'var(--muidocs-palette-primaryDark-600)',
    '--border-color': 'var(--muidocs-palette-primaryDark-500)',
    '--formControl-shadow': '0px 2px 2px rgb(0 0 0 / 80%)',
    // dark components
    '--Panel-shadow': '-8px 8px 0 0 var(--muidocs-palette-primaryDark-700)',
    '--TabsList-background': 'var(--muidocs-palette-primaryDark-700)',
    '--Tab-hoverBackground': 'var(--muidocs-palette-primaryDark-600)',
    '--Select-background': 'var(--muidocs-palette-grey-900)',
    '--Option-selectedBackground': 'var(--muidocs-palette-grey-800)',
    '--Option-hoverBackground': 'var(--muidocs-palette-grey-900)',
    '--Switch-background': 'var(--muidocs-palette-grey-700)',
    '--Input-border': 'var(--muidocs-palette-primary-500)',
    '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-600)',
    '--Slider-thumb-focus': 'rgba(51, 153, 255, 0.4)',
    '--Button-border': 'var(--muidocs-palette-primaryDark-400)',
    '--Button-bg': 'var(--muidocs-palette-primaryDark-700)',
    '--Button-color': 'var(--muidocs-palette-grey-50)',
    '--Button-border-hover': 'var(--muidocs-palette-primaryDark-300)',
    '--Button-bg-hover': 'var(--muidocs-palette-primaryDark-600)',
    '--LinkButton-border': 'var(--muidocs-palette-primary-300)',
    '--LinkButton-bg': 'var(--muidocs-palette-primary-900)',
    '--LinkButton-color': 'var(--muidocs-palette-primary-100)',
    '--LinkButton-border-hover': 'var(--muidocs-palette-primary-200)',
    '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-800)',
  },
};

const playful = {
  // tokens
  '--color-primary': 'var(--muidocs-palette-primary-main)',
  '--color-primary-light': 'var(--muidocs-palette-primary-100)',
  '--border-radius': '24px',
  '--border-style': '2px solid',
  '--border-width': '2px',
  '--border-color': 'var(--muidocs-palette-primary-200)',
  '--avatar-radius': '999px',
  // components
  '--Panel-shadow': '0 4px 40px 0 rgba(51, 153, 255, 0.2)',
  '--Tab-radius': '999px',
  '--Tab-activeSelector': 'calc(-3 * min(2px, var(--border-width, 0px)))',
  '--Select-spacing': '12px',
  '--Select-ringColor': 'var(--muidocs-palette-grey-400)',
  '--Option-selectedBackground': 'var(--muidocs-palette-primary-50)',
  '--TabsList-background': 'var(--muidocs-palette-primary-50)',
  '--Tab-hoverBackground': 'var(--muidocs-palette-primary-100)',
  '--Input-border': 'var(--muidocs-palette-primary-400)',
  '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-200)',
  '--Slider-thumb-focus': 'rgba(0, 127, 255, 0.2)',
  '--Button-border': 'var(--muidocs-palette-primary-300)',
  '--Button-bg': 'var(--muidocs-palette-primary-50)',
  '--Button-color': 'var(--muidocs-palette-primary-900)',
  '--Button-border-hover': 'var(--muidocs-palette-primary-500)',
  '--Button-bg-hover': 'var(--muidocs-palette-primary-100)',
  '--LinkButton-border': 'var(--muidocs-palette-primary-400)',
  '--LinkButton-bg': 'var(--muidocs-palette-primary-100)',
  '--LinkButton-color': 'var(--muidocs-palette-primary-900)',
  '--LinkButton-border-hover': 'var(--muidocs-palette-primary-500)',
  '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-200)',
  '& *': {
    fontFamily: 'Poppins, sans-serif',
  },
  '[data-mui-color-scheme="dark"] &': {
    // dark tokens
    '--color-primary': 'var(--muidocs-palette-primary-light)',
    '--color-primary-light': 'var(--muidocs-palette-primaryDark-600)',
    '--border-color': 'var(--muidocs-palette-primary-700)',
    '--formControl-shadow': '0px 2px 2px rgb(0 0 0 / 80%)',
    // dark components
    '--TabsList-background': 'var(--muidocs-palette-primary-900)',
    '--Tab-hoverBackground': 'var(--muidocs-palette-primary-800)',
    '--Select-ringColor': 'var(--muidocs-palette-grey-700)',
    '--Option-selectedBackground': 'var(--muidocs-palette-primary-900)',
    '--Option-hoverBackground': 'var(--muidocs-palette-grey-900)',
    '--Switch-background': 'var(--muidocs-palette-grey-700)',
    '--Input-border': 'var(--muidocs-palette-primary-500)',
    '--Input-focus-border': '0 0 0 3px var(--muidocs-palette-primary-600)',
    '--Slider-thumb-focus': 'rgba(51, 153, 255, 0.4)',
    '--Button-border': 'var(--muidocs-palette-primary-800)',
    '--Button-bg': 'var(--muidocs-palette-primaryDark-700)',
    '--Button-color': 'var(--muidocs-palette-primary-100)',
    '--Button-border-hover': 'var(--muidocs-palette-primary-500)',
    '--Button-bg-hover': 'var(--muidocs-palette-primaryDark-600)',
    '--LinkButton-border': 'var(--muidocs-palette-primary-700)',
    '--LinkButton-bg': 'var(--muidocs-palette-primary-900)',
    '--LinkButton-color': 'var(--muidocs-palette-primary-100)',
    '--LinkButton-border-hover': 'var(--muidocs-palette-primary-600)',
    '--LinkButton-bg-hover': 'var(--muidocs-palette-primary-800)',
  },
};

export default [sleek, retro, playful];
