import * as React from 'react';
import type { Metadata } from 'next';
import { cookies } from 'next/headers';
import '@mui/material-pigment-css/styles.css';
import { ColorSchemeProvider } from '../components/ColorSchemeProvider';
import App from '../components/App';

export const metadata: Metadata = {
  title: 'Material UI x Pigment CSS',
  description: 'Generated by create next app',
};
export default async function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  const cookieStore = await cookies();
  const { value: colorScheme = 'light' } = cookieStore.get('colorScheme') ?? {};
  return (
    <html lang="en">
      <ColorSchemeProvider colorScheme={colorScheme}>
        <App>{children}</App>
      </ColorSchemeProvider>
    </html>
  );
}
