## 6.4.2

<!-- generated comparing v6.4.1..v6.x -->

_Jan 29, 2025_

A big thanks to the 5 contributors who made this release possible.

### `@mui/material@6.4.2`

- [Autocomplete] Prevent shrink animation in uncontrolled Autocomplete when default value is set (#44873) @ZeeshanTamboli
- [Slider] Fix arrow keys past the end for Slider with custom marks (#45050) @joshkel
- [TextareaAutosize] Temporarily disconnect ResizeObserver to avoid loop error (#44540) @mj12albert

### Core

- [code-infra] a few fixes uncovered during ESM updates (@Janpot) (#45100) @Janpot
- [code-infra] Remove rsc-builder (#45079) @Janpot
- [code-infra] Remove commonjs imports in docs (#44976) @Janpot
- Prepare stable release from the `v6.x` branch (#45133) @DiegoAndai

### Docs

- Fix `/base-ui` redirect and prune links (#45083) @mj12albert

All contributors of this release in alphabetical order: @DiegoAndai, @Janpot, @joshkel, @mj12albert, @ZeeshanTamboli

## 6.4.1

<!-- generated comparing v6.4.0..master -->

_Jan 21, 2025_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@6.4.1`

- [ButtonBase] Export types used in ButtonBase props (#43530) @Janpot
- [Dialog] Add slots and slotProps (#44792) @sai6855
- [Drawer] Deprecate composed classes (#44870) @yash49
- [IconButton] Set default loading to `null` (#45057) @siriwatknp
- [ListItem] Add codemod for deprecated props (#45022) @sai6855
- [Modal] Add migration guide and codemod for deprecated props (#45021) @sai6855
- [TextField] Fix filled state to be synced with autofill (#44135) @DiegoAndai

### `@mui/system@6.4.1`

- Fix dark mode flicker using `useEnhancedEffect` (#44812) @siriwatknp

### `@mui/utils@6.4.1`

- Do not deep merge React component (#45058) @siriwatknp

### Docs

- Fix typo (#45070) @Fullchee
- Improve Toolpad templates section (#44914) @bharatkashyap
- Fix expand / collapse icons orientation (#44989) @zanivan
- Rename "Base UI" to "MUI Base" in all text (#45060) @mj12albert
- Add @mui/base deprecation callout (#45030) @mj12albert
- Update @mui/base deprecation message (#45064) @mj12albert

### Core

- [code-infra] Add "use client" directive to files with React APIs (#45036) @Janpot
- [docs] 301 redirect `/base-ui` to `base-ui.com` (#45061) @mj12albert

All contributors of this release in alphabetical order: @bharatkashyap, @DiegoAndai, @Fullchee, @Janpot, @mj12albert, @sai6855, @siriwatknp, @yash49, @zanivan

## 6.4.0

<!-- generated comparing v6.3.1..master -->

_Jan 13, 2025_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- Added [`loading` prop](https://mui.com/material-ui/react-button/#loading-2) to the `Button` and `IconButton` components (#44637) @siriwatknp

### `@mui/material@6.4.0`

- [Alert] complete `slots` and `slotProps` (#44971) @siriwatknp
- [Autocomplete] Sync runtime and TS types for key in grouped options (#44862) @aarongarciah
- [Button] Add `loading` prop (#44637) @siriwatknp
- [CardHeader] Deprecate `*TypographyProps` and complete `slots`, `slotProps` (#44729) @siriwatknp
- [CircularProgress] Improve indeterminate animation to be symmetric and smooth (#44934) @yashdev16
- [LinearProgress] Deprecate composed classes (#44933) @headironc
- [Link] Fix error for using custom palette with underline (#44927) @siriwatknp
- [Select] Do not set `aria-controls` when closed (#44919) @siddhantantil39
- [Select] Add missing root class (#44928) @sai6855
- [Slider] Set onChangeCommitted to receive the last argument passed to onChange (#44795) @good-jinu
- Add `mergeSlotProps` for extending components (#44809) @siriwatknp
- Update `mergeSlotProps` to merge `style` (#44959) @siriwatknp
- Fix slots typing for Tooltip and StepLabel (#44985) @siriwatknp
- Remove unnecessary blank lines (#44980) @sai6855

### Docs

- [docs] Fix Dashboard sidenav sroll (#44876) @oliviertassinari
- [docs] Fix broken anchor link to w3.org (c51af8e) @oliviertassinari
- [docs] Add details on complementary Menu components (#44957) @samuelsycamore
- [docs] Remove misleading messaging on MD3 support (#44953) @mnajdova
- [docs] Fix code copy button obscuring on small screen sizes (#44861) @ZeeshanTamboli
- [docs] Remove more instances of Adobe XD (#44956) @samuelsycamore
- [docs] Remove Adobe XD chips, links, and mentions (#44909) @samuelsycamore
- [docs] Fix incorrect rendering in Typography docs (#44937) @iaziz11

### Core

- [core] Remove redundant screenshots (#44877) @oliviertassinari
- [core] Remove Suspense and clock mocking from regressions and e2e tests (#44935) @DiegoAndai
- [code-infra] Allow react@18 on `@mui/internal-test-utils` (#45023) @LukasTy
- [code-infra] Stabilize flaky pigment progressbar tests (#44969) @Janpot
- [example] Update the CDN example to adapt React 19. (#44979) @IceOfSummer
- [figma] Clarify that Material UI Sync plugin is experimental (#44975) @oliviertassinari

All contributors of this release in alphabetical order: @aarongarciah, @DiegoAndai, @good-jinu, @headironc, @iaziz11, @IceOfSummer, @Janpot, @LukasTy, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siddhantantil39, @siriwatknp, @yashdev16, @ZeeshanTamboli

## 6.3.1

<!-- generated comparing v6.3.0..master -->

_Jan 3, 2025_

A big thanks to the 8 contributors who made this release possible.

### `@mui/material@6.3.1`

- [Autocomplete] Revert: Fix options list rendering in freeSolo mode (#44858) @ZeeshanTamboli
- [Tooltip] Warn instead of error when trigger is disabled (#44846) @yash49
- [TableSortLabel] Add slots and slotProps (#44728) @sai6855
- [Select] Deprecate composed classes (#44925) @sai6855

### Docs

- [material-ui][Accordion] Update `Anatomy` section in Accordion docs (#44849) @ZeeshanTamboli
- [material-ui][CardActionArea] Added demo in docs of cards for adding props to CardActionArea (#44789) @siddhantantil39
- [material-ui][Grid2] Add interactive demo for Grid v2 (#44820) @yash49
- [material-ui][Select] Update docs to reflect the omission of placeholder prop (#44856) @adityaparab
- [joy-ui] Fix Color mode button on Theme builder (#44864) @komkanit
- Fix 301 redirections @oliviertassinari

### Core

- [examples] Update Next.js examples Next.js and React versions (#44852) @DiegoAndai
- [code-infra] Prevent wrong nested imports in Base UI (#44426) @oliviertassinari
- [docs-infra] Add vale coverage for App Router and Page Router (060c55c) @oliviertassinari
- Sync with other repos (1b9300f) @oliviertassinari
- Fix docs:build to work in docs folder too (6b923a4) @oliviertassinari
- Setup React 18 CI tests (#44868) @DiegoAndai
- Update test to use public API (#44875) @oliviertassinari

All contributors of this release in alphabetical order: @adityaparab, @DiegoAndai, @komkanit, @oliviertassinari, @sai6855, @siddhantantil39, @yash49, @ZeeshanTamboli

## 6.3.0

<!-- generated comparing v6.2.1..master -->

_Dec 23, 2024_

A big thanks to the 11 contributors who made this release possible. Here are some highlights ✨:

- Fix invalid HTML structure in the Accordion component (#44408) @ZeeshanTamboli
  The HTML elements of the Accordion summary have been updated:
  - the root element is now button (previously div).
  - summary content and the icon wrapper are now span (previously div).
    This will only impact you if you used the HTML element as selectors in your styles.

### `@mui/material@6.3.0`

- [Accordion] Fix invalid HTML inside heading (#44408) @ZeeshanTamboli
- [useAutocomplete] Improve TS typing of `groupedOptions` prop (#44657) @lewxdev
- Prevent `ownerState` propagation for transition slots (#44401) @ZeeshanTamboli
- [StepContent] Add slots and slotProps (#44742) @sai6855
- [TablePagination] Add the rest of `slots` and `slotProps`. (#44570) @siriwatknp

### `@mui/system@6.3.0`

- Set `before` directly without using prepend for global styles (#44648) @siriwatknp

### Docs

- [material-ui] Improve `theme.applyStyles()` docs (#44658) @DiegoAndai
- [material-ui] Update MD callout (#43958) @aarongarciah

### Core

- Remove unnecessary conditional around `.muiName =` (#44071) @Janpot
- [blog] Material UI: 2024 EOY updates blog post (#44722) @alelthomas
- Fix quickstart command in pigment docs (#44806) @yash49
- [docs-infra] Remove Next.js production profiler (#44823) @romgrk
- [docs-infra] Remove no longer support `optimizeFonts` Next.js option (#44802) @LukasTy

All contributors of this release in alphabetical order: @aarongarciah, @alelthomas, @DiegoAndai, @Janpot, @lewxdev, @LukasTy, @romgrk, @sai6855, @siriwatknp, @yash49, @ZeeshanTamboli

## 6.2.1

<!-- generated comparing v6.2.0..master -->

_Dec 17, 2024_

A big thanks to the 10 contributors who made this release possible.

### `@mui/material@6.2.1`

- Update `overridesResolver` return from object to array of styles (#44752) @siddhantantil39
- [Pagination] Use correct `aria-current` value (#44753) @jacklaurencegaray
- [Select] Set `aria-required` & `aria-invalid` on `combobox` instead of hidden input (#44731) @ben-pomelo

### `@mui/system@6.2.1`

- Warns if the hex color contains trailing space (#44538) @siriwatknp

### Docs

- [material-ui][Dialog] Fix crashing of DraggableDialog demo (#44747) @sai6855
- [material-ui][TextField] Update `react-number-format` demo to use the recommended prop (#44743) @siriwatknp
- [material-ui][TextField] Add size default prop to api docs (#44714) @sai6855
- [material-ui][TextField] Add suffix shrink demo (#44744) @siriwatknp

### Core

- [api-docs-builder] Preserve multiline prop descriptions with `rawDescriptions` option (#44737) @vladmoroz
- Fix running mocha related scripts on Windows locally (#44664) @ChristopherJamesL
- Update `eslint-plugin-jsx-a11y` (#44701) @ZeeshanTamboli
- Add documentation to `useThemeProps`, `deepmerge` and `composeClasses` functions (#44703) @JCQuintas
- [examples] Add Theme Mode Switch to Next.js TS example (#43576) @TurtIeSocks

All contributors of this release in alphabetical order: @ben-pomelo, @ChristopherJamesL, @jacklaurencegaray, @JCQuintas, @sai6855, @siddhantantil39, @siriwatknp, @TurtIeSocks, @vladmoroz, @ZeeshanTamboli

## 6.2.0

<!-- generated comparing v6.1.10..master -->

_Dec 10, 2024_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- Material UI is now compatible with React 19 (#44672) @DiegoAndai
- Fixed incorrect `aria-orientation` for vertical sliders. <kbd>ArrowRight</kbd> now increases the value and <kbd>ArrowLeft</kbd> decreases the value in vertical sliders; they were reversed in prior versions. (#44537) @mj12albert

### `@mui/material@6.2.0`

- [Box] Add missing `component` to `BoxProps` type (#44643) @DiegoAndai
- [Grid] Fix spacing when using css variables (#44663) @DiegoAndai
- [ListItemText] Add `slots` and `slotProps` (#44571) @sai6855

### Docs

- Add Toolpad Core template link (#44415) @bharatkashyap

### Core

- [docs-infra] Allow custom annotations (#44707) @vladmoroz
- [Box] Fix `component` prop test (#44651) @DiegoAndai
- React 19 useRef cleanup (#44704) @DiegoAndai
- Remove obselete lerna options (#44676) @ZeeshanTamboli
- Fix Regular Expression Denial of Service (ReDoS) vulnerabilities (#44627) @SuperMaxine
- Fix number of contributors (#44650) @aarongarciah
- [docs-infra] Add support for data attributes in the API generation (#44709) @mnajdova
- [docs-infra] Fix RTL dark mode (#41803) @alexfauquette
- [Grid] Remove deeply nested imports (#43605) @Janpot

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @bharatkashyap, @DiegoAndai, @Janpot, @mj12albert, @mnajdova, @sai6855, @SuperMaxine, @vladmoroz, @ZeeshanTamboli

## 6.1.10

<!-- generated comparing v6.1.9..master -->

_Dec 3, 2024_

A big thanks to the 11 contributors who made this release possible.

### `@mui/material@6.1.10`

- [Avatar] Fix `slotProps.img` not spread to hook (#44536) @siriwatknp
- [FilledInput] Use `slotProps` instead of `componentsProps` (#44552) @siriwatknp
- [Grid2] Fix theme scoping error (#44599) @siriwatknp
- [Grid2] Add container styles from styleOverrides (#44598) @sai6855
- Skip `tonalOffset` from setting color channel (#44585) @siriwatknp
- Remove few more React.ReactElement<any> types (#44290) @sai6855
- [Tabs] Fix `ScrollbarSize` ref being overriden (#44593) @DiegoAndai
- [Select][TextField] Fix screen reader from saying `&ZeroWidthSpace` (#44631) @arishoham

### `@mui/system@6.1.10`

- [ThemeProvider] Optimize `theme` changes when enabling CSS theme variables (#44588) @siriwatknp

### Docs

- Notification for the MUI X v8 alpha zero announcement blog post (#44629) @joserodolfofreitas
- Bump React Router to ^7.0.1 (#44531) @oliviertassinari
- [material-ui] Replace testid with id in migration guide (#44636) @sai6855
- [material-ui][TextField] Update usage of `InputLabelProps` in docs (#44634) @sai6855
- [material-ui][ListItem] Add missing diffs in migration guide (#44638) @sai6855
- [examples] Use Next.js 14 on examples (#44486) @DiegoAndai
- Update links and sidebar nav for Base UI components in Material UI (#44581) @samuelsycamore

### Core

- Remove `getSlotOwnerState` from `useSlot` util (#44403) @ZeeshanTamboli
- Extract useRippleHandler outside of ButtonBase (#44591) @albarv340
- Update eslint config (#44586) @MBilalShafi
- [core-infra] Remove useless fragments (#44516) @oliviertassinari
- [docs-infra] Fix Banner CLS (#44632) @oliviertassinari
- [docs-infra] Change CSS vars generation to be extracted from Enum (#44587) @mnajdova
- [docs-infra] Automatically hide Black Friday banner (#44630) @oliviertassinari
- [docs-infra] Fix TOC RTL padding regression (#44535) @oliviertassinari
- [test-utils] Remove leftover React.ReactElement<any> from describeConformance.tsx (#44639) @sai6855

All contributors of this release in alphabetical order: @albarv340, @arishoham, @DiegoAndai, @joserodolfofreitas, @MBilalShafi, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 6.1.9

<!-- generated comparing v6.1.8..master -->

_Nov 27, 2024_

A big thanks to the 8 contributors who made this release possible.

### `@mui/material@6.1.9`

- [Select] Omit `placeholder` from props (#44502) @Juneezee
- [Grid2] Add container class to `Grid2Classes` (#44562) @sai6855

### `@mui/system@6.1.9`

- Add ThemeProvider `noSsr` to prevent double rendering (#44451) @siriwatknp

### `@mui/codemod@6.1.9`

- [codemod] Fix handling of computed `paragraph` props (#44195) @joshkel

### `@mui/material-pigment-css@6.1.9`

- Make @pigment-css/react as peer dependency (#44498) @brijeshb42

### Docs

- [material-ui] Add missing required dependencies in dashboard template README (#44476) @mesqueeb
- [material-ui] Add missing Roboto import to Next.js integration docs (#44462) @StaceyD22
- [material-ui][Dialog] Fix padding in SimpleDialog demo (#44467) @oliviertassinari
- Fix template page issues (#44466) @oliviertassinari
- [examples] Add dark mode example for Material UI + Pigment CSS (#44480) @mnajdova

### Core

- Remove TODO line in the changelog (#44484) @mnajdova
- Polish image display (418e888) @oliviertassinari
- [core-infra] Add no-relative-packages (#44489) @oliviertassinari
- [docs-infra] Support CSS variables API info (#44559) @mnajdova
- [docs-infra] Fix display when ad-block triggers (#44567) @oliviertassinari
- [docs-infra] Improve locator finding using visible option (#44541) @siriwatknp
- [docs-infra] Correctly flatten the pages tree (#44514) @oliviertassinari
- [docs-infra] Fix Sponsor design regression (#44515) @oliviertassinari
- [test] Remove React.ReactElement<any> from describeConformance.tsx (#44318) @sai6855
- [test] Do not enforce the presence of `ownerState.className` in `describeConformance` (#44479) @flaviendelangle

All contributors of this release in alphabetical order: @brijeshb42, @flaviendelangle, @joshkel, @Juneezee, @mesqueeb, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @StaceyD22

## v6.1.8

<!-- generated comparing v6.1.7..master -->

_Nov 20, 2024_

A big thanks to the 10 contributors who made this release possible.

### `@mui/material@6.1.8`

- [Autocomplete] Use `ul` element for the listbox (#44422) @DiegoAndai
- [Grid2] Remove item and zeroMinWidth classes from grid2Classes (#44419) @sai6855
- [StepIcon] Add SvgIconOwnProps type to StepIcon props (#44337) @sai6855
- Add generic back to `useMediaQuery` to prevent a breaking change (#44455) @siriwatknp
- [Tooltip] Deprecate `*Component` and `*Props` for v6 (#44350) @siriwatknp

### `@mui/system@6.1.8`

- Warn when calling `setMode` without configuring `colorSchemeSelector` (#43783) @siriwatknp

### `@mui/styled-engine@6.1.8`

- Add back removed internal function (#44421) @mnajdova

### `@mui/utils@6.1.8`

- Skip deep clone React element (#44400) @siriwatknp
- Add documentation to `useForkRef` (#44410) @JCQuintas

### Docs

- [Accordion] Replace hardcoded classes with constants in demos (#44453) @ZeeshanTamboli
- [material-ui][Autocomplete] Fix virtualization demo (#44382) @DiegoAndai
- Revert #44388 (#44454) @prakhargupta1
- Add App starters in related-projects.md (#44315) @oliviertassinari
- Bring back `*Component` and `*Props` codemods and deprecation messages (#44383) @DiegoAndai
- [docs] Copyedit Templates page (#44461) @samuelsycamore

### Core

- Remove `stylis-plugin-rtl-sc` (#44447) @renovate[bot]
- [test][Autocomplete] Make virtualize regression screenshots deterministic (#44425) @DiegoAndai
- [blog] Fix reference to subdomain on MUI X v8 alpha zero post (#44416) @joserodolfofreitas
- [blog] MUI X v8 alpha zero blog post (#44377) @joserodolfofreitas
- [code-infra] Use vitest-compatible skip in `describeConformance` (#44412) @JCQuintas
- Keep OpenSSF badge up-to-date (aef2bf2) @oliviertassinari
- Polish useForkRef docs (#44424) @oliviertassinari
- [infra] Upgrade Cherry-pick workflow to latest (#44448) @oliviertassinari

All contributors of this release in alphabetical order: @DiegoAndai, @JCQuintas, @joserodolfofreitas, @mnajdova, @oliviertassinari, @prakhargupta1, @sai6855, samuelsycamore, @siriwatknp, @ZeeshanTamboli

## v6.1.7

<!-- generated comparing v6.1.6..master -->

_Nov 13, 2024_

A big thanks to the 13 contributors who made this release possible.
This release includes fixes as well as documentation improvements.

### `@mui/material@6.1.7`

- Fix default props theme scoping (#44340) @siriwatknp
- Support theme scoping in `useMediaQuery` (#44339) @siriwatknp
- [Grid] Fix regression spacing prop with string value (#44376) @siriwatknp

### `@mui/styled-engine-sc@6.1.7`

- Fix missing `@types/hoist-non-react-statics` causing `styled` returns any (#44397) @megos

### Docs

- Replace 'Experimental APIs - Toolpad' with 'Toolpad (Beta)' (#44388) @prakhargupta1
- Fix Pigment CSS install (#44353) @oliviertassinari
- Fix dashboard menu warning (#44317) @siriwatknp
- Add runtime theme section for Material Pigment CSS (#44137) @siriwatknp
- Add hash to `key` to remove noise from console (#44289) @sai6855
- Revise Example Projects and Related Projects pages (#44191) @samuelsycamore
- [material-ui] Fix typo in typography theme set up for templates (#44338) @navedqb
- [material-ui] Add StackBlitz/CodeSandbox buttons to template cards (#44253) @zanivan
- [material-ui] Fix Sign-in/Sign-up templates layout (#44281) @zanivan
- [material-ui] Remove noise in template (#44260) @oliviertassinari
- [material-ui][Rating] Add uncontrolled example to Basic Rating demo (#44386) @sai6855
- [material-ui][TextField] Replace InputProps with slotProps.input in demo (#44288) @sai6855

### Core

- [blog] Follow media asset guidelines (#44374) @oliviertassinari
- [code-infra] Changes for test util to work in `vitest` (#43625) @JCQuintas
- Remove old marked JS options (#44375) @ZeeshanTamboli
- Fix webpack capitalization (#44352) @oliviertassinari
- Fix Next.js link 404 (710cd95) @oliviertassinari
- Update Gold sponsoring backlinks (#44316) @oliviertassinari
- Fix tools-public.mui.com redirection (9196fa5) @oliviertassinari
- Remove blank AlertTitle test file (#44282) @ZeeshanTamboli
- [docs-infra] Fix ad in RTL (#44345) @oliviertassinari
- [docs-infra] Enforce punctuation on descriptions (#44292) @oliviertassinari
- [docs-infra] Add CodeSandbox and StackBlitz to vale vocab (6db477a) @oliviertassinari
- [docs-infra] Fix correct spelling of VS Code (#44277) @oliviertassinari
- [docs-infra] Add a `rawDescriptions` option (#44390) @vladmoroz
- [examples] Add missing `clsx` dependency (#43526) @Janpot
- [infra] Fix @renovate[bot] appearing in changelog (#44275) @mnajdova

All contributors of this release in alphabetical order: @Janpot, @JCQuintas, @megos, @mnajdova, @navedqb, @oliviertassinari, @prakhargupta1, @sai6855, @samuelsycamore, @siriwatknp, @vladmoroz, @zanivan, @ZeeshanTamboli

## v6.1.6

<!-- generated comparing v6.1.5..master -->

_Oct 30, 2024_

A big thanks to the 13 contributors who made this release possible.

### `@mui/material@6.1.6`

- [Autocomplete] Add missing `onMouseDown` type to AutocompleteRenderInputParams (#44183) @sai6855
- [Avatar] Fix AvatarGroup spacing (#44208) @aarongarciah
- [AvatarGroup] Fix spacing CSS variable (#44202) @navedqb
- [Divider] Fix CSS specificity order (#44204) @o-alexandrov
- [Slider] Fix value prop type warning (#44131) @joshkel
- Replace `useThemeProps` with `useDefaultProps` (#44193) @siriwatknp

### `@mui/material-nextjs@6.1.6`

- Support Next 15.0.0 (#42428) @nphmuller

### `@mui/lab@6.0.0-beta.14`

- [Tabs] Fix type of TabPanel component (#44207) @blackcow1987

### `@mui/codemod@6.1.6`

- Fix system props default import specifier (#44170) @siriwatknp

### `@mui/utils@6.1.6`

- Bring back useIsFocusVisible (#44256) @aarongarciah
- Bring back getReactNodeRef (#44248) @aarongarciah

### Docs

- [material-ui][Avatar] Add AvatarGroup spacing demo (#44209) @aarongarciah
- Fix a typo in CONTRIBUTING.md (#44200) @prakhargupta1
- Mark the Hidden component as deprecated in the sidenav (#44068) @jimmycallin
- Use () when referencing functions (#44184) @oliviertassinari
- Follow types description convention (#44187) @oliviertassinari

### Core

- Lock file maintenance (#43947)
- Run @mui/icon-material src:icons (#44097) @oliviertassinari
- [test][material-ui] Add tests for Pigment Grid and Stack (#44132) @DiegoAndai
- [test] Distinguish private with public tests API (#44188) @oliviertassinari
- [docs-infra] Add recursively the relative modules in the demos (#44150) @mnajdova

All contributors of this release in alphabetical order: @aarongarciah, @blackcow1987, @DiegoAndai, @jimmycallin, @joshkel, @mnajdova, @navedqb, @nphmuller, @o-alexandrov, @oliviertassinari, @prakhargupta1, @sai6855, @siriwatknp

## v6.1.5

<!-- generated comparing v6.1.4..master -->

_Oct 22, 2024_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@6.1.5`

- [Autocomplete] Fix bug with child chip button events propagating to parent (#43982) @snapwich
- [Autocomplete] Fix Autocomplete crashing if ownerState is used in styleOverrides (#43994) @sai6855
- [Checkbox] Fix disableRipple regression (#44099) @siriwatknp
- [Dialog] Add the aria-modal="true" by default (#44118) @mnajdova
- [IconButton] Fix disableRipple behavior when disableRipple is set in MuiButtonBase theme (#43714) @sai6855
- [pigment-css] Support project without enabling CSS variables (#44171) @siriwatknp
- Make the palette always return new light and dark object (#44059) @siriwatknp

### `@mui/system@6.1.5`

- Add `defaultMode` to `InitColorSchemeScript` (#44139) @siriwatknp

### `@mui/codemod@6.1.5`

- [Grid2] Add removal `zeroMinWidth` prop to codemod (#44178) @sai6855

### Docs

- [material-ui][FormControlLabel] Don't use unintuitive label position on chec… (#44119) @mnajdova
- [material-ui][TextField] Dynamically modify the eye password button aria-label (#44122) @ChinoUkaegbu
- [icons] Run pnpm docs:mdicons:synonyms (#44098) @oliviertassinari
- [joy-ui] Update Overview copy to match Readme (#44136) @samuelsycamore
- Add CodeSandbox/StackBlitz to the rest of the templates (#43708) @siriwatknp
- Update Figma link to fix 301 (a7b7d9c) @oliviertassinari
- Link Toolpad from Core repo (#44111) @prakhargupta1
- Remove HighlightedCode max-width (#43731) @Janpot

### Core

- [code-infra] Widen eslint file patterns (#44148) @Janpot
- [code-infra] Fix icon builder tests (#44143) @Janpot
- [code-infra] Fix dependabot vulnerabilities (#44124) @Janpot
- [core] Reference commits in changelog when no PR (#44115) @oliviertassinari
- [examples] Fix Pigment CSS Vite example (#44074) @oliviertassinari
- Fix fast-xml-parser vulnerability (#44121) @Janpot

All contributors of this release in alphabetical order: @ChinoUkaegbu, @Janpot, @mnajdova, @oliviertassinari, @prakhargupta1, @sai6855, @samuelsycamore, @siriwatknp, @snapwich

## v6.1.4

<!-- generated comparing v6.1.3..master -->

_Oct 15, 2024_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@6.1.4`

- [Checkbox] Fix disableRipple regression (#44099) @siriwatknp
- [IconButton] Fix disableRipple behavior when disableRipple is set in MuiButtonBase theme (#43714) @sai6855
- Make the palette always return new light and dark object (#44059) @siriwatknp
- Simplify createPalette (#44075) @oliviertassinari

### Docs

- Improve Toolpad Core docs (#43796) @bharatkashyap
- Tweak Joy UI section in README (#44103) @aarongarciah
- Fix 404 link to Next.js @oliviertassinari
- [toolpad core] In the sidebar, move 'new' label to the components (#44070) @prakhargupta1
- Fix small typo on Grid2 page (#44062) @zanivan
- Clarify suggestions to use `@mui/styles` in v5 migration docs (#44049) @samuelsycamore

### Core

- [code-infra] Link to production app for bundle size (#44076) @oliviertassinari
- [code-infra] Disable cron job for React 17 tests (#44065) @Janpot
- Remove [website] from changelog (#44069) @oliviertassinari
- Apply #44052 to the latest release as well @oliviertassinari
- Fix proptypes generation when multiple components per file (#44058) @Janpot
- Remove <-- from changelog (#44052) @oliviertassinari
- [examples] Avoid git diff when playing with examples @oliviertassinari
- [test] Remove dead code (#44056) @Janpot

All contributors of this release in alphabetical order: @aarongarciah, @bharatkashyap, @Janpot, @oliviertassinari, @prakhargupta1, @sai6855, @samuelsycamore, @siriwatknp, @zanivan

## v6.1.3

<!-- generated comparing v6.1.2..master -->

_Oct 9, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Improved performance on styled components by pre-serializing and caching the styles (#43412) @romgrk

### `@mui/material@6.1.3`

- Change React.ReactElement<any> to React.ReactElement<unknown> (#43402) @sai6855
- [Badge] Make keys in anchor origin partial (#43950) @sai6855
- [Grid2] Fix column spacing for nested containers (#43733) @Janpot
- [Grid2] Remove required `item` prop for `size` prop (#44027) @Janpot
- [Grid2] Add compatible props warning (#43801) @k-rajat19
- [Modal] Fix comment location (#44026) @oliviertassinari
- [OutlinedInput] Resolve border color issue on mobile (#43797) (#43879) @wojtek35

### `@mui/system@6.1.3`

- Make createGrid compatible with React 19 types (#44035) @aarongarciah
- Add empty interfaces to fix issue with typescript module augmentation (#43873) @yonatan0
- Pre-serialize & cache styles to improve performance (#43412) @romgrk
- [typescript] `SystemCSSProperties` should not have `SystemStyleObject` as value (#44029) @siriwatknp

### `@mui/utils@6.0.0-beta.11`

- [utils] Make getReactElementRef React 19 compatible (#44034) @aarongarciah

### `@mui/lab@6.1.3`

- [lab][Timeline] Fix types for React 19 (#44043) @aarongarciah

### Docs

- Update docs-infra role (#44032) @mnajdova
- Update Material Symbols plan to reflect Google development (#44000) @oliviertassinari
- Fix 301 redirections in docs @oliviertassinari
- Fix indentation @oliviertassinari
- Fix Live edit copies (#43835) @oliviertassinari
- Virtualize icons svg (#43939) @Janpot
- [Grid] Fix Grid2 gap description (#43967) @aarongarciah
- [icons] Index search synchronously (#44001) @oliviertassinari
- [material-ui] Incorrect React useState Example on Toggle Button (#43987) @barrownicholas
- [material-ui] Add theme setting for pigment-css migration (#43993) @effektsvk
- [material-ui] Fix incorrect `slotProp` name in the `TextField` deprecation note. (#43985) @Chee7ah
- [examples] Use CSS Variables (#43856) @Juneezee
- [material-ui] Improved documentation for indeterminateIcon prop (#43791) @marctaylor01

### Core

- Fix typo in useLocalStorageState (#44024) @hieunguyenduc696
- Amend changelog (#43968) @aarongarciah
- Remove `@mui/styled-engine-sc` dev dependency from `@mui/styled-engine-sc` (#44050) @Janpot
- [docs-infra] Add pointer cursor on hover for logo to improve UX (#43999) @Asin-Junior-Honore
- [blog] Migrate some .gif to <video> (#43945) @oliviertassinari
- [code-infra] Align `next` dependency specifier across project (#44036) @Janpot
- [code-infra] Move MuiError babel macro to babel plugin (#43904) @Janpot
- [code-infra] Forbid calling `Error` without `new` (#43963) @Janpot
- [docs-infra] Fix link in header regression (#43834) @oliviertassinari
- [infra] Fix line break in Stack Overflow message @oliviertassinari
- [test] Add missing async (#44028) @oliviertassinari
- [test] Fix Escape event firing event (#43961) @oliviertassinari
- [test] Fix flaky pigment-css screenshot (#43959) @Janpot

All contributors of this release in alphabetical order: @aarongarciah, @Asin-Junior-Honore, @barrownicholas, @Chee7ah, @effektsvk, @hieunguyenduc696, @Janpot, @Juneezee, @k-rajat19, @mnajdova, @oliviertassinari, @romgrk, @sai6855, @siriwatknp, @wojtek35, @yonatan0

## v6.1.2

<!-- generated comparing v6.1.1..master -->

_Oct 2, 2024_

A big thanks to the 13 contributors who made this release possible.

### `@mui/material@6.1.2`

- [Autocomplete] Fix listbox opens and closes on click when used with `limitTags` (#42494) @appleSimple
- [Button] Ignore `dark` and `contrastText` if not provided in the theme (#43861) @siriwatknp
- [Button] Fix regression for color `inherit` (#43862) @siriwatknp
- [LinearProgress] Fix background color (#43949) @sai6855
- Support CSS variables with shadow DOM (#43948) @siriwatknp
- [Rating] Use Rating `name` as prefix of input element ids (#43829) @yash49
- [Drawer] Fix issue with main window being used instead of iframe's window (#43818) @albarv340
- [ThemeProvider] Support setting default mode (#43951) @siriwatknp

### Docs

- Update theme toggle demo (#43956) @Janpot
- Add note about minimum required webpack version (#43864) @Janpot
- Format Pigment CSS docs (#43812) @oliviertassinari
- Fix visual bug on dashboard template (#43836) @oliviertassinari
- Fix pigment-css.md syntax error (#43837) @kdichev
- Fix Sign-in template form experience (#43838) @oliviertassinari
- Remove "To be continued" section from v0 –> v1 migration guide (#43832) @samuelsycamore
- Fix 301 to chromium (#43809) @oliviertassinari
- [joy-ui] Add missing ComponentLinkHeader components (#43865) @samuelsycamore
- [Modal] Remove unnecessary type assertion (#43825) @ZeeshanTamboli
- [Table] Stabilize random series in virtualized table demo (#43744) @Janpot
- [system] Add migration guide link to `@mui/styles` pages (#43833) @samuelsycamore

### Core

- [code-infra] Fix flaky dashboard screenshot - take 2 (#43937) @Janpot
- [code-infra] Replace all instances of `e` with `event` and add eslint rule (#43866) @samuelsycamore
- [code-infra] Fix and update bundling fixtures (#43709) @Janpot
- [code-infra] Update transitive dependencies with vulnerabilties (#43895) @Janpot
- [code-infra] Optimize regression tests (#43889) @Janpot
- [code-infra] Remove custom playwright installation steps (#43881) @Janpot
- [code-infra] Fix flaky dashboard screenshot (#43890) @Janpot
- [code-infra] Add new instanceof proptypes for toolpad (#43814) @Janpot
- Fix eslint-plugin-react-compiler issues in usePagination tests (#43946) @wilhelmlofsten
- Uniformity in version range @oliviertassinari
- Replace `toBeAriaHidden` matcher with `toBeInaccessible` in tests (#43870) @ZeeshanTamboli
- [docs-infra] Strengthen CSP (#43711) @oliviertassinari
- [docs-infra] Open CodeSandbox demo with fontsize=12 (#43860) @siriwatknp
- [icons] Reduce Material Icon page size (#43911) @oliviertassinari
- [test] Point Istanbul to correct URL (#43935) @sai6855
- [test] Sync React.version parse logic with codebase (#43820) @oliviertassinari
- Improve getReactElementRef() utils (#43022) @sai6855
- [Drawer] Refactor getScrollbarSize usages (#43828) @BrianWoolfolk
- [Modal] Replace `show` parameter name with `hide` in modal manager (#43868) @ZeeshanTamboli
- [Modal] Remove unnecessary `manager` prop handling (#43867) @ZeeshanTamboli

All contributors of this release in alphabetical order: @albarv340, @appleSimple, @BrianWoolfolk, @DanailH, @Janpot, @kdichev, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @wilhelmlofsten, @yash49, @ZeeshanTamboli

## v6.1.1

<!-- generated comparing v6.1.0..master -->

_Sep 19, 2024_

A big thanks to the 18 contributors who made this release possible.

### `@mui/material@6.1.1`

- [Grid] Bring back `GridProps` and `GridTypeMap` (#43717) @DiegoAndai
- [Paper] Fix wrong background-image on Paper when elevation is 0 (#43723) @ZeeshanTamboli
- [Skeleton] Fix wave animation for styled-components (#43740) @siriwatknp
- [Modal] Fix event handlers overriding behavior (#43757) @sai6855

### `@mui/system@6.1.1`

- Pass the stylesheet directly to `GlobalStyles` (#43739) @siriwatknp

### `@mui/utils@6.1.1`

- Fix "useId" & "useSyncExternalStore" imports to not be statically analyzable (#43360) @yash49

### Docs

- [material-ui][Breadcrumbs] Document CondensedWithMenu option for Breadcrumbs (#42973) @Sergio16T
- [material-ui][CircularProgress] Add Circular size demo (#43734) @sai6855
- [material-ui][slider] Fix slider in color customization playground twitches when sliding (#43671) @Nashyn
- [material-ui][slider] Polish Music player demo (#43748) @oliviertassinari
- [material-ui] Document Typography color prop breaking change (#43735) @aarongarciah
- [material-ui] Add docs for complementary Table components (#43756) @Juneezee
- [material-ui] Improve minimizing bundle docs (#43781) @ZeeshanTamboli
- [pigment-css] Call out Pigment being in alpha (#43725) @aarongarciah
- [pigment-css] Fix typo globalCSS -> globalCss (#43754) @hiro0218
- [test] Improve demos for better regression screenshots (#43742) @aarongarciah
- Fix minor typo (#42899) @xconverge
- Revert icon search virtualization (#43569) @Janpot
- Fix MUI Treasury Layout broken links (#43752) @oliviertassinari
- Fix 301 link to design asset @oliviertassinari
- Update release schedule table after v6 stable (#43726) @sahil-ag
- Fix bundle size link regression @oliviertassinari

### Core

- [code-infra] Allow overriding all `options` of `useFakeTimers` function (#43729) @LukasTy
- [core] Fix 301 link to Next.js and git diff @oliviertassinari
- [core] Fix package.json repository rule @oliviertassinari
- [core] Remove redundant window @oliviertassinari
- [core] Fix some issues reported by eslint-plugin-react-compiler (#43117) @binsmyth
- [core] Replace more `indexOf` with `includes` (#43694) @Juneezee
- [core] Remove /.yarn (#43712) @oliviertassinari
- [docs-infra] Enable synthetic default imports in TypeScript config (#43747) @morozow
- [docs-infra] Fix Vale config for TypeScript references (#43751) @oliviertassinari
- [docs-infra] Fix toolbar arrow order (#43627) @oliviertassinari
- [docs-infra] Fix missing dependencies in multi-tab demos (#43713) @cherniavskii
- [docs-infra] Fix API search link regression (#43662) @oliviertassinari
- [test] Update font-awesome CSS file in regression tests fixture (#43745) @Janpot
- [test] Remove position:relative from regression container (#43743) @aarongarciah
- [test] Remove top-level inline-block from the regression tests (#43656) @Janpot

All contributors of this release in alphabetical order: @aarongarciah, @binsmyth, @cherniavskii, @DiegoAndai, @Janpot, @Juneezee, @LukasTy, @mnajdova, @morozow, @Nashyn, @oliviertassinari, @sahil-ag, @sai6855, @Sergio16T, @siriwatknp, @xconverge, @yash49, @ZeeshanTamboli

## v6.1.0

<!-- generated comparing v6.0.2..master -->

_Sep 10, 2024_

A big thanks to the 21 contributors who made this release possible. Here are the highlights ✨:

- **Minor version changes**: To solve longstanding ESM compatibility issues we added [package exports](https://nodejs.org/api/packages.html#exports) to `@mui/icons-material` (#43624). This change is backwards compatible with previously recommended setups. Bundlers that don't support the `exports` field won't be affected. If you discover any issues, please reach out by creating a GitHub issue.
- This release also includes several fixes and documentation improvements to support the Material UI v6 upgrade.

### `@mui/icons-material@6.1.0`

- Add exports field to package.json (#43624) @Janpot

### `@mui/material@6.1.0`

- [Autocomplete] Add custom props support via `slotProps` (#43613) @Michael-Hutchinson
- [Dialog] Fix broken scrolling in full screen mode (#43626) @LuseBiswas
- [Grid] Revert wrap deprecation (#42363) (#43459) @DiegoAndai
- Improve color map filter on styles (#43579) @DiegoAndai
- Return styles directly if the selector is `&` when using `applyStyles` (#43633) @siriwatknp
- [types] Make slots partial in `CreateSlotsAndSlotProp`type (#42077) @lhilgert9
- [Radio] Fix disabled state styling regression (#43592) @mnajdova
- Fix wrong import to type (#43584) @mnajdova
- Simplify version prerelease export (#43699) @DiegoAndai

### `@mui/system@6.1.0`

- Use a custom sheet to set prepend for `GlobalStyles` (#43632) @siriwatknp
- Simplify version prerelease export (#43699) @DiegoAndai

### Docs

- [material-ui][Autocomplete] Refactor asynchronous loading demo (#43630) @sai6855
- [material-ui][Autocomplete] Fix GitHubLabel demo input background color (#43599) @sai6855
- [material-ui] Update Next.js font optimization guide (#43196) @siriwatknp
- [material-ui] Fix getting started with CSS variables in theme example (#43658) @Designer023
- [material-ui][system] Edit "How to use components selector API" section to add about direct import (#43377) @IAluI
- [material-ui] Update @mui/material-nextjs import examples to v14 (#43698) @ohmsl
- Fix typo in Divider doc (#43691) @lokendra-reco
- Add Anima section to documentation (#43673) @GoOrit-Anima
- Add Integrations section to design resources page (#43612) @zanivan
- Fix versions URL @oliviertassinari
- Keep showing next under the subdomain @oliviertassinari
- Add Next.js font optimization section to Pigment CSS migration (#43631) @siriwatknp
- Update the Material UI readme post-v6 (#43504) @samuelsycamore
- Bring back v5 release changelogs (#43460) @oliviertassinari
- Fix use of absolute URLs (#43567) @oliviertassinari
- Remove explicit `date-fns` dependency (#40823) @renovate[bot]
- [pigment-css] Add guide for Pigment CSS quickstart (#43395) @alelthomas
- [system] Fix link to createCssVarsProvider (#43661) @oliviertassinari
- Add scrollbar to color picker demo (#43672) @sai6855

### Core

- [blog] Uniformalize version between projects @oliviertassinari
- [blog] Fix page layout shift @oliviertassinari
- [code-infra] Build size snapshots from installed packages (#43452) @Janpot
- [code-infra] Recreate lockfile (#43623) @Janpot
- [code-infra] Make the API docs builder more configurable (#43574) @michaldudak
- [code-infra] Update runners from node 18 to 20 for GHA (#43593) @JCQuintas
- [code-infra] Update runners from node 18 to 20 (#43591) @JCQuintas
- [docs-infra] Fix axe issue scroll-to-top without landmark (#43663) @oliviertassinari
- [docs-infra] Reduce Algolia index size, no need for lvl6 @oliviertassinari
- [docs-infra] Use embed as the default for opening CodeSandbox (#43618) @siriwatknp
- [docs-infra] Fix broken anchor button when header has a link (#43598) @cherniavskii
- [docs-infra] Open Sign-in and Dashboard template with CodeSandbox/StackBlitz (#43604) @siriwatknp
- [examples] Fix CDN live preview demo (#43641) @oliviertassinari
- Add Pigment CSS screenshot test (#43280) @mnajdova

All contributors of this release in alphabetical order: @alelthomas, @cherniavskii, @Designer023, @DiegoAndai, @GoOrit-Anima, @IAluI, @Janpot, @JCQuintas, @lhilgert9, @lokendra-reco, @LuseBiswas, @Michael-Hutchinson, @michaldudak, @mnajdova, @ohmsl, @oliviertassinari, @renovate[bot], @sai6855, @samuelsycamore, @siriwatknp, @zanivan

## v6.0.2

<!-- generated comparing v6.0.1..master -->

_Sep 3, 2024_

A big thanks to the 11 contributors who made this release possible.

### `@mui/material@6.0.2`

- Fix `createTheme()` with just color schemes (#43518) @siriwatknp
- [Menu,Popover] Fix Backdrop props descriptions (#43503) @Michael-Hutchinson
- [MenuList] Do not react to an event with modifier key pressed (#43505) @MateuszGroth

### `@mui/system@6.0.2`

- [InitColorSchemeScript] Use `let/const` instead of `var` (#43468) @ishon19
- Fix composeClasses v6 behavior change (#43537) @oliviertassinari

### `@mui/codemod@6.0.2`

- Skip `ListItemButton` import for unrelated files (#43532) @siriwatknp

### Docs

- [figma] Clarity state or Figma Plugin component export (#43543) @oliviertassinari
- [material-ui] Fix template shadow tokens (#43514) @zanivan
- Update version support range (#43565) @oliviertassinari
- Polish Material UI Sync plugin code format @oliviertassinari

### Core

- [blog] Update Material UI v6 blog post link to reflect correct section title (#43535) @Michael-Hutchinson
- [blog] Makes the v5 name change clearer @oliviertassinari
- [blog] Fix typo in Material UI v6 blog post (#43502) @iamandrewluca
- [code-infra] Add missing @babel/runtime dependency to @mui/material-pigment-css (#43473) @Janpot
- [code-infra] Remove permissions in publish-canaries.yml (#43491) @oliviertassinari
- [core] Fix CodeQL scan (#43547) @oliviertassinari
- [core] Fix CHANGELOG `@mui/material@6.0.1` version (#43516) @DiegoAndai
- [docs-infra] Reduce description max-length (#43562) @oliviertassinari
- [docs-infra] Crash on invalid callout type (#43546) @oliviertassinari
- [docs-infra] Fix GitHub source link redirection (#43534) @oliviertassinari
- [infra] Fixed workflow file path (#43528) @michelengelen
- [typescript] Fix missing `Theme` generic (#43523) @siriwatknp

All contributors of this release in alphabetical order: @DiegoAndai, @iamandrewluca, @ishon19, @Janpot, @joserodolfofreitas, @MateuszGroth, @Michael-Hutchinson, @michelengelen, @oliviertassinari, @siriwatknp, @zanivan

## v6.0.1

<!-- generated comparing v6.0.0..master -->

_Aug 29, 2024_

A big thanks to the 12 contributors who made this release possible. It contains bug fixes and documentation improvements.

### `@mui/material@6.0.1`

- Attach default light color scheme when enabling CSS theme variables (#43493) @siriwatknp
- [Skeleton] Apply the wave animation to the correct element (#43474) @mnajdova

### Docs

- [material-ui][Dialog] Update confirmation dialog description (#43488) @Michael-Hutchinson
- Add Material UI v6 is out! to the notifications (#43448) @oliviertassinari
- [material-ui] Dark scroll bars in templates (#43483) @aarongarciah
- [material-ui] Add TemplateFrame to templates (#43406) @zanivan
- [table] Make the data grid blend in (#43489) @oliviertassinari

### Core

- [blog] Update Toolpad Studio marketing page links in the blogs (#43407) @prakhargupta1
- [blog] Add missing social card to the blog post (#43465) @siriwatknp
- [code-infra] Fix typing issues with `@mui-internal/api-docs-builder` (#43498) @Janpot
- [code-infra] Fix nextjs build cache (#43467) @JCQuintas
- Remove `'use client'` from index files and useAutocomplete reexport (#41956) @DiegoAndai
- Replace relative links to absolute ones in JSDocs (#43472) @alexfauquette
- Upgrade babel runtime (#43243) @Janpot
- [docs-infra] Skip shadow DOM regression test (#43500) @aarongarciah
- [docs-infra] Fix use of process.env.DEPLOY_ENV (#43490) @oliviertassinari
- [docs-infra] Add comment about removing optimizeFonts Next.js config (#43469) @aarongarciah
- [examples] Use `latest` on all Material UI dependencies (#43494) @mnajdova
- [infra] fix workflow path (#43464) @michelengelen

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @DiegoAndai, @Janpot, @JCQuintas, @Michael-Hutchinson, @michelengelen, @mnajdova, @oliviertassinari, @prakhargupta1, @siriwatknp, @zanivan

## 6.0.0

<!-- generated comparing v6.0.0-rc.0..master -->

_Aug 27, 2024_

We are excited to announce the stable release of Material-UI v6 🎉, check out [the blog post](https://mui.com/blog/material-ui-v6-is-out/) to see all the updates.

### `@mui/material@6.0.0`

- Change React.ReactElement<any,any> type from any to unknown (#43358) @sai6855
- [Pagination] Update `getItemAriaLabel` page param type (#43399) @sydneyjodon-wk
- [Unstable_TrapFocus] Fix `getTabbable` function return type (#42237) @KalmarLorand

### `@mui/lab@6.0.0-beta.8`

- [button] Add missing customize points for span (#43436) @oliviertassinari

### Docs

- Fix broken links (#43144) @DiegoAndai
- Updated mui-x roadmap links with the new project URL (#43444) @michelengelen
- Update pnpm order, move to second (#42712) @ahmadnadeem6236
- Fix CSS theme variables section (#43439) @siriwatknp
- Add two Toolpad Core components to Material UI sidebar (#43391) @prakhargupta1
- Fix licensingModel -> licenseModel @oliviertassinari
- Fix Stack Overflow issue canned response @oliviertassinari
- Avoid referencing MUI Core @oliviertassinari
- Fix description of eslint-plugin-material-ui @oliviertassinari
- [docs-infra] Polish reportBrokenLinks.js to support Base UI @oliviertassinari
- [material-ui] Clarify RTL language support in localization guide (#41784) @bahmanworld
- [material-ui] Refine templates theme selector (#43396) @zanivan

### Core

- Prepare for v6 stable release (#43454) @siriwatknp
- [blog] Polish Upcoming changes to MUI X pricing in 2024 (#43438) @oliviertassinari
- [blog] Add Material UI v6 stable release (#41932) @siriwatknp
- [ci] Fix the release:changelog cmd (#43451) @mnajdova
- [core] Allow `^6.0.0` for `@mui/` dependencies in `@mui/docs` (#43445) @LukasTy
- [code-infra] Babel plugin to fully resolve imported paths (#43294) @Janpot
- [infra] Add closing message workflow (#43450) @michelengelen

All contributors of this release in alphabetical order: @ahmadnadeem6236, @bahmanworld, @DiegoAndai, @Janpot, @KalmarLorand, @LukasTy, @michelengelen, @mnajdova, @oliviertassinari, @prakhargupta1, @sai6855, @siriwatknp, @sydneyjodon-wk, @zanivan

## 6.0.0-rc.0

<!-- generated comparing v6.0.0-beta.6..next -->

_Aug 22, 2024_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- ⚡ Rendering performance improvements

### `@mui/material@6.0.0-rc.0`

#### Breaking changes

- [Box] Remove `component` from `BoxOwnProps` (#43384) @DiegoAndai

  The `component` prop has been removed from the `BoxOwnProps` as it is already included in the `Box` type.
  This might affect your code if you are using the `styled` function with the `Box` component.
  If this is the case, use a `div` element instead of `Box`:

  ```diff
  -const StyledBox = styled(Box)`
  +const StyledDiv = styled('div')`
     color: white;
   `;
  ```

  This yields the same end result.
  If this doesn't work for you, you can also cast the `styled` returned value to `typeof Box`:

  ```diff
   const StyledBox = styled(Box)`
     color: white;
  -`;
  +` as typeof Box;
  ```

#### Changes

- [ListItem] Remove unnecessary TypeScript test (#43359) @sai6855
- Skip generating CSS variables for a custom spacing function (#43389) @siriwatknp
- Revert visual regressions from #42283 (#43364) @ZeeshanTamboli

### `@mui/codemod@6.0.0-rc.0`

- Add Grid2 to removeSystemProps codemod (#43302) @DiegoAndai

### Docs

- [blog] Add video to the Pigment CSS blog post (#42500) @oliviertassinari
- Fix broken link to milestones (#43379) @oliviertassinari
- Update CSS theme variables related content (#43130) @siriwatknp
- Fix link to createTheme source (#43332) @oliviertassinari
- Add cache to avoid unnecessary jsx dynamic import and theme getting (#43139) @Vxee
- Fix broken link to Next.js docs @oliviertassinari
- [material-ui] Revamp `Composition` guide (#43266) @ZeeshanTamboli
- [material-ui][Menu] Replace `PaperProps` with `slotProps.paper` in demos (#43354) @sai6855

### Core

- [code-infra] Change docs:start script to serve the exports folder (#43375) @Janpot
- [core] Fix typescript-next CI workflow (#43394) @aarongarciah
- [core] Run `@mui/system` TypeScript module augmentation tests in CI (#43386) @ZeeshanTamboli
- [core] Enable manage-package-manager-versions pnpm flag (#43366) @aarongarciah
- [core] Replace `indexOf` with `includes` (#42883) @k-rajat19
- [docs-infra] Add GitHub source link to components (#43228) @Jay-Karia
- [docs-infra] Fix copy shortcut (#43361) @oliviertassinari
- [perf] Remove theme/styling allocations (#43372) @romgrk
- [perf] Improve `composeClasses` (#43363) @romgrk
- [perf] Remove system allocations (#43306) @romgrk

All contributors of this release in alphabetical order: @aarongarciah, @DiegoAndai, @Janpot, @Jay-Karia, @k-rajat19, @oliviertassinari, @rluzists1, @romgrk, @sai6855, @siriwatknp, @Vxee, @ZeeshanTamboli

## 6.0.0-beta.6

<!-- generated comparing v6.0.0-beta.5..next -->

_Aug 16, 2024_

A big thanks to the 18 contributors who made this release possible.

### `@mui/material@6.0.0-beta.6`

- [Autocomplete] Improve the `options` prop description (#41591) @pluvio72
- [Autocomplete] Remove autocomplete warning regarding value not equal to option (#43314) @ZeeshanTamboli
- [Divider] Add aria-orientation (#43241) @aarongarciah
- [IconButton] Fix hover background color behavior (#43271) @mnajdova
- [TypeScript] Refactor types so they're compatible with upcoming React 19 (#43276) @DiegoAndai
- [Typography] Replace dot notation color value to work with Pigment CSS (#43288) @siriwatknp
- [pigment-css] Fix `getSelector` prefers-color-scheme to be object (#43237) @siriwatknp
- Remove `display="block"` usage to work with Pigment CSS (#43307) @siriwatknp

### `@mui/codemod@6.0.0-beta.6`

- [codemod] Skip sx spread transformation (#43291) @siriwatknp

### `@mui/styles@6.0.0-beta.6`

- [styles] Fix issues reported by eslint-plugin-react-compiler (#43118) @jlewins

### Docs

- [material-ui] Audit and copyedit the v6 migration doc (#43073) @samuelsycamore
- [material-ui] Fix Material Icon search lag and other improvements (#41330) @anle9650
- [material-ui][Popover] Fix description and title of hover interaction section (#43290) @ZeeshanTamboli
- [material-ui] Refine and unify custom template themes (#43220) @zanivan
- [joy-ui] Fix data grid redirection (#43247) @sai6855
- [mui-system] Add import statement in docs (#43223) @sai6855
- Update babel config (#43286) @romgrk
- Fix outdated references to Materal UI version (#43321) @oliviertassinari
- Polish migration git diff experience @oliviertassinari
- Update LTS to match format (#43212) @oliviertassinari
- Fix Pigment CSS migration content (#43217) @siriwatknp

### Core

- [code-infra] Remove `userEvent` export from `@mui/internal-test-utils` (#43313) @LukasTy
- [code-infra] Remove unnecessary alias (#43320) @Janpot
- [code-infra] Fix utils bundle size entrypoint (#43304) @Janpot
- [core] missing and incorrect scripts (#43209) @Jay-Karia
- [core] Set Node 14 as minimum version in all browserslist envs (#43326) @aarongarciah
- [core] Add React 19 as peer dependency (#43216) @aarongarciah
- [core] Pin `eslint-plugin-jsx-a11y` version to 6.7.1 (#43292) @Janpot
- [core] Update supported Node.js version to 14 (#43315) @Janpot
- [core] Use fs instead of fs-extra in script utils (#43234) @DiegoAndai
- [core] Refactor system theme props (#43120) @romgrk
- [docs-infra] Fix some TS issues for X docs (#43285) @Janpot
- [docs-infra] Move API pages to TS (#43199) @alexfauquette
- [docs-infra] Fix broken sandboxes with relative module imports (#42767) @bharatkashyap
- [docs-infra] Simplify API sections typing (#43128) @alexfauquette
- [examples] Fix import (#43316) @aarongarciah
- [examples] Add material-ui-pigment-css for Next.js and Vite (#43065) @siriwatknp
- [examples] Replace wrong import with `@mui/material/styles` (#43236) @siriwatknp
- [useMediaQuery] Adapt test implementation for React 19 (#43269) @aarongarciah
- [test] Update `matchMedia` mocks (#43240) @cherniavskii
- [test] Remove unnecessary ref param (#43282) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @anle9650, @bharatkashyap, @cherniavskii, @DiegoAndai, @Janpot, @Jay-Karia, @jlewins, @mnajdova, @oliviertassinari, @pluvio72, @renovate[bot], @romgrk, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 6.0.0-beta.5

<!-- generated comparing v6.0.0-beta.4..next -->

_Aug 8, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- Remove some deprecated props from the ListItem component (#41566) @thathva
- Bumped the minimum supported version of TypeScript (#43116) @mnajdova

### `@mui/material@6.0.0-beta.5`

#### BREAKING CHANGES

- [material-ui][ListItem] Removing deprecated props (#41566) @thathva

  `ListItem`'s props `autoFocus`, `button`, `disabled`, and `selected`, deprecated in v5, have been removed. To replace the `button` prop, use `ListItemButton` instead. The other removed props are available in the `ListItemButton` component as well.

  ```diff
  -<ListItem button />
  +<ListItemButton />
  ```

  Use this codemod to migrate your project to the `ListItemButton` component:

  ```bash
  npx @mui/codemod@next v6.0.0/list-item-button-prop <path/to/folder>
  ```

  As the `ListItem` no longer supports these props, the class names related to these props were removed. You should use the `listItemButtonClasses` object instead.

  ```diff
  -import { listItemClasses } from '@mui/material/ListItem';
  +import { listItemButtonClasses } from '@mui/material/ListItemButton';

  - listItemClasses.button
  + listItemButtonClasses.root

  - listItemClasses.focusVisible
  + listItemButtonClasses.focusVisible

  - listItemClasses.disabled
  + listItemButtonClasses.disabled

  - listItemClasses.selected
  + listItemButtonClasses.selected
  ```

#### Changes

- [material-ui][Autocomplete] Fix default value for multiple mode getting redefined with React 19 (#43189) @DiegoAndai
- [material-ui] Merge `CssVarsProvider` into `ThemeProvider` (#43115) @siriwatknp
- [material-ui] Make tests compatible with React 19 (#43155) @DiegoAndai
- [material-ui] Refine Blog template (#42825) @zanivan
- [material-ui] Element ref access React 19 compatibility (#43132) @DiegoAndai
- [material-ui][mui-system] Add support for version runtime checks (#43190) @DiegoAndai

### `@mui/material-pigment-css@6.0.0-beta.5`

- Reexport Pigment CSS from index file (#43218) @siriwatknp

### `@mui/codemod@6.0.0-beta.5`

- Fix codemod crash on MuiDivider property (#43125) @Janpot

### Docs

- Fix resolution of @mui/material-ui in docs (#43108) @Janpot
- Refine and polish out Templates page (#43131) @zanivan
- Fix the link test script (#43195) @alexfauquette
- Fix alpha usage (#43194) @siriwatknp
- Link Toolpad Core components from Material UI docs (#43036) @prakhargupta1
- Link Toolpad core docs to the docs menu (#42952) @prakhargupta1
- Polish migration guide (#43021) @oliviertassinari
- Fix 404 link to migration pages @oliviertassinari
- Support inject dynamic theme (#42879) @Vxee
- Fix 301 @oliviertassinari
- [blog] Announcing pricing changes Sep 2024 (#43061) @joserodolfofreitas
- [material-ui][TextField] Remove mentions of `redux-form` from TextField documentation (#43176) @AbdurRahman2004

### Core

- [code-infra] Fix `@mui/internal-test-utils` `screen` export type (#43150) @LukasTy
- [code-infra] Do not look for changes with previous commit when releasing a canary version (#43129) @michaldudak
- [code-infra] Automate canary releases (#43066) @michaldudak
- [core] Apply top-level eslint rule to docs and fix violations (#43126) @Janpot
- [core] Patch styled-components to use React.JSX namespace (#43205) @aarongarciah
- [core] Replace JSX namespace usages with React.JSX (#43204) @aarongarciah
- [core] Remove `react-router` package from `pigment-css-vite-app` (#43201) @ZeeshanTamboli
- [core] Remove unnecessary types packages from `@mui/internal-babel-macros` (#43193) @ZeeshanTamboli
- [docs-infra] Move `ApiPage` to TS (#43149) @alexfauquette
- [test] Remove unnecessary prop type check in test (#43211) @aarongarciah
- [test] Make conformance tests work with async render function (#43156) @michaldudak
- [typescript] Update the minimum supported version (#43116) @mnajdova

All contributors of this release in alphabetical order: @aarongarciah, @AbdurRahman2004, @alexfauquette, @DiegoAndai, @Janpot, @joserodolfofreitas, @LukasTy, @michaldudak, @mnajdova, @oliviertassinari, @prakhargupta1, @samuelsycamore, @siriwatknp, @thathva, @Vxee, @zanivan, @ZeeshanTamboli

## 6.0.0-beta.4

<!-- generated comparing v6.0.0-beta.3..next -->

_Jul 30, 2024_

A big thanks to the 12 contributors who made this release possible.

### `@mui/material@6.0.0-beta.4`

- [Accordion] Render a heading wrapping `AccordionSummary` button per W3C Accordion Pattern standards (#42914) @ZeeshanTamboli
- [Divider] Enable borderStyle enhancement in divider with children (#42715) @anuujj
- [ImageListItemBar] Deprecate composed classes (#42905) @sai6855
- Attach selector for default color scheme (#43035) @siriwatknp
- Stabilize Grid v2 and deprecate Grid v1 (#43054) @DiegoAndai

### `@mui/system@6.0.0-beta.4`

- Make `createBreakpoints` independent for stringify theme (#43048) @siriwatknp

### `@mui/utils@6.0.0-beta.4`

- Fix issues reported by the React Compiler (#43051) @markliu2013

### Docs

- [material-ui] Replace deprecated `<ListItem button/>` with `ListItemButton` component in routing libraries list example (#43110) @aliharis99
- [material-ui][Card] Update CardMedia description (#43067) @shahzaibdev1
- [material-ui] Polish out data table demo (#43072) @zanivan
- [material-ui][Snackbar] Improve reason type in demos (#43077) @sai6855
- [pigment-css] Fix syntax in migrating-to-pigment-css guide (#43107) @KevinVandy
- Fix page description line break @oliviertassinari

### Core

- Fix event naming convention @oliviertassinari
- [docs-infra] Move ads to the `@mui/docs` package (#42944) @alexfauquette

All contributors of this release in alphabetical order: @alexfauquette, @aliharis99, @anuujj, @DiegoAndai, @KevinVandy, @markliu2013, @oliviertassinari, @sai6855, @shahzaibdev1, @siriwatknp, @zanivan, @ZeeshanTamboli

## 6.0.0-beta.3

<!-- generated comparing v6.0.0-beta.2..next -->

_Jul 24, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🚀 New version of the free Dashboard template, now with more components and an improved layout.

### `@mui/codemod@6.0.0-beta.3`

- Fix Divider props codemod (#42919) @aarongarciah

### `@mui/material@6.0.0-beta.3`

- Fix Accessing element.ref (#42818) @sai6855
- Refine `extendTheme` and `CssVarsProvider` API (#42839) @siriwatknp
- [Typography] Deprecate `paragraph` prop (#42383) @walston
- [Rating] fix defaultLabelText a11y issue with undefine value input and hint (#42810) @ZouYouShun

### `@mui/material-nextjs@6.0.0-beta.3`

- [material-ui-nextjs] Add @emotion/react as peer dependency (#42885) @jeloagnasin
- [material-ui-nextjs] Remove @mui/material as peer dependency (#43041) @brijeshb42

### `@mui/utils@6.0.0-beta.3`

- [utils] Add dependency to @mui/types (#43029) @mnajdova

### Docs

- [material-ui][joy-ui][Autocomplete] Fix `Hint` demo (#42990) @ManthanGajjar
- [docs] Make `DemoSandbox` agnostic of `productId` (#43042) @Janpot
- [docs] Use slot variants over `theme.variants` (#42614) @siriwatknp
- [docs] Remove stringify theme import (#43032) @siriwatknp
- [docs] Bring v5.x changes to the CHANGELOG @oliviertassinari
- [docs] Fix migration typo (#42976) @mnajdova
- [material-ui] Add improvements to Dashboard template (#42445) @zanivan
- [material-ui] Fix broken image links in blog template (#42956) @navedqb

### Core

- [code-infra] Add toolpad npm scope to envinfo (#41942) @Janpot
- [code-infra] Fix pnpm lock file (#43030) @Janpot
- [code-infra] Run `react-17` and `react-next` workflows on the next branch (#42690) @cherniavskii
- [code-infra] Make `useReactVersion` script reusable in other repos (#42828) @cherniavskii
- [code-infra] Add toolpad npm scope to envinfo (#41942) @Janpot
- [core] Add pigment and Base UI scopes to envinfo (#43002) @Janpot
- [core] Update minimum version of Node.js to 14.0.0 (#42920) @DiegoAndai
- [core] Expose missing screen methods from Testing Library (#42968) @aarongarciah
- [docs-infra] Leave TODO for warnOnce to reduce bundle size @oliviertassinari
- [docs-infra] Remove `display: flex` from `SectionTitle` (#42979) @LukasTy
- [test][material-ui] Remove unnecessary async act calls (#42942) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @bharatkashyap, @brijeshb42, @cherniavskii, @DiegoAndai, @Janpot, @jeloagnasin, @LukasTy, @ManthanGajjar, @mnajdova, @navedqb, @oliviertassinari, @sai6855, @siriwatknp, @walston, @zanivan, @ZouYouShun

## 6.0.0-beta.2

<!-- generated comparing v6.0.0-beta.1..next -->

_Jul 16, 2024_

### `@mui/material@6.0.0-beta.2`

- [material] Add missing dependency (#42961) @mnajdova

### Docs

- [docs] Move feedback from Canny to GitHub @oliviertassinari

All contributors of this release in alphabetical order: @mnajdova, @oliviertassinari

## 6.0.0-beta.1

<!-- generated comparing v6.0.0-beta.0..next -->

_Jul 16, 2024_

A big thanks to the 6 contributors who made this release possible.

### `@mui/material@6.0.0-beta.1`

- Remove dependency on @mui/base (#42907) @mnajdova
- Set material-pigment-css to public (#42912) @siriwatknp

### `@mui/codemod@6.0.0-beta.1`

- Support sx conditional inside spread element (#42894) @siriwatknp

### Docs

- Fix 301 link @oliviertassinari
- [material-ui] Add script to generate template screenshots (#42903) @siriwatknp

### Core

- [core] Remove custom hooks from the `mui-name-matches-component-name` linting rule (#42773) @flaviendelangle
- [core] Normalize rest / other to match the most common used @oliviertassinari
- [docs-infra] Move Ads component to TS (#42842) @alexfauquette
- [docs-infra] Support code tabs overflow (#42913) @arminmeh

All contributors of this release in alphabetical order: @alexfauquette, @arminmeh, @flaviendelangle, @mnajdova, @oliviertassinari, @siriwatknp

## 6.0.0-beta.0

<!-- generated comparing v6.0.0-alpha.14..next -->

_Jul 11, 2024_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🎉 This is the first v6 beta release! A huge thanks to everyone who helped to make this happen! The target date for a stable release is the 28th of July. The next month will be used to polish v6, and ease the migration from v5. You can follow the [v6 stable milestone](https://github.com/mui/material-ui/milestone/42) for more details.
- 🚀 All planned breaking changes are completed.

### `@mui/material@v6.0.0-beta.0`

- Revert deprecation warnings for `*Components` and `*Props` for v6 (#42466) @lhilgert9
- Performance: lazy Ripple (#41061) @romgrk
- [AppBar] Fix inherit color is inconsistent between ThemeProvider and CssVarsProvider (#42714) @ZeeshanTamboli
- [Autocomplete] Add new AutocompleteInputChangeReason (#37301) @binh1298

### `@mui/material-pigment-css@v6.0.0-beta.0`

- Create a wrapper package over Pigment CSS (#42819) @brijeshb42

### `@mui/base@5.0.0-beta.53`

- [Autocomplete] Add new AutocompleteInputChangeReason (#37301) @binh1298

### Docs

- Replace v6 "alpha" mentions with "beta" (#42895) @DiegoAndai
- Fix typos (#42862) @omahs
- Fix issues reported by react compiler in docs folder (#42881) @sai6855
- Fix 301 @oliviertassinari
- [LinearProgress] Fix buffer demo (#42858) @mbrookes
- Adjust site to add Toolpad on the homepage (#38604) @bharatkashyap

### Core

- Fix imports in `Demo` component (#42857) @LukasTy
- Use @mui/docs/HighlightedCodeWithTabs in markdown (#42841) @Janpot
- Simpler pnpm dedupe error message to act on @oliviertassinari
- Fix split infinitive use in tests @oliviertassinari
- [lab] Fix issues reported by react-compiler in mui-lab (#42880) @sai6855

All contributors of this release in alphabetical order: @bharatkashyap, @brijeshb42, @DiegoAndai, @Janpot, @lhilgert9, @LukasTy, @mbrookes, @oliviertassinari, @omahs, @romgrk, @sai6855, @ZeeshanTamboli

## 6.0.0-alpha.14

<!-- generated comparing v6.0.0-alpha.13..next -->

_Jul 3, 2024_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- ✨ Updated Grid v2 to match PigmentGrid (#42742) @DiegoAndai

### `@mui/material@v6.0.0-alpha.14`

#### BREAKING CHANGES

- [Grid] Update Grid props to match PigmentGrid (#42742) @DiegoAndai

  Use the codemod below to migrate the props:

  ```bash
  npx @mui/codemod@next v6.0.0/grid-v2-props /path/to/folder
  ```

#### Changes

- [Alert] Add ability to override slot props (#42787) @alexey-kozlenkov
- [Dialog] Revert incorrect textAlign style removal (#42778) @DiegoAndai
- [theme] Support `CssVarsTheme` in `responsiveFontSizes` return type (#42786) @jxdp

### Docs

- [material-ui] Add some writing tweaks to v6 migration page (#42623) @danilo-leal
- [material-ui] Fix issues reported by react-compiler in docs folder (#42830) @sai6855
- [material-ui] Add some writing tweaks to v6 migration page (#42623) @danilo-leal
- [base-ui] Fix wrong description for `UseTabParameters.onChange` (#42749) @ohgree
- Fix 301 MDN redirections @oliviertassinari

### Core

- [core] Bump React to 18.3.1 (#42047) @renovate[bot]
- [core] Revert lint for `useThemeProps` (#42817) @siriwatknp
- [core] Remove useIsFocusVisible util (#42467) @DiegoAndai
- [core] Remove react-test-renderer (#42784) @aarongarciah
- [core][mui-utils] Remove remaining IE11 references (#42777) @DiegoAndai
- [code-infra] Move `HighlightedCode` test into `@mui/docs` package (#42835) @LukasTy
- [code-infra] Cleanup `@mui/docs` usage and legacy re-exports (#42833) @LukasTy
- [docs-infra] Fix React Compiler ESLint issues in website components (#42566) @aarongarciah
- [docs-infra] Add batch of design polish (#42823) @danilo-leal
- [test][mui-utils] Remove usages of deprecated react-dom APIs (#42780) @aarongarciah
- [test][joy-ui][Autocomplete] Fix spread key error in test (#42775) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @alexey-kozlenkov, @danilo-leal, @DiegoAndai, @Janpot, @jxdp, @LukasTy, @ohgree, @oliviertassinari, @renovate[bot], @sai6855, @siriwatknp

## 6.0.0-alpha.13

<!-- generated comparing v6.0.0-alpha.12..next -->

_Jun 27, 2024_

A big thanks to the 10 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added layout components for Pigment CSS integration (#42693) @siriwatknp

### `@mui/material@6.0.0-alpha.13`

- [Autocomplete] Fix more React 18.3 key spread warnings in demos (#42639) @wbt
- [Container][Grid][Stack][Hidden] Export Pigment CSS layout components (#42693) @siriwatknp
- [Text Field] when click password visibility button, text caret position change to very front. (#42595) @appleSimple
- [Modal] migrate useSlotProps to useSLot (#42150) @sai6855

### `@mui/styles@6.0.0-alpha.13`

- [withStyles] Expect React defaultProps warning in test (#42752) @aarongarciah

### Docs

- Fix link in CONTRIBUTING.md (#42755) @Janpot
- Add documentation on migrating JSS's alternative, array-based syntax to syntax supported by Emotion (#42053) @cjl750
- Fix type error in virtualized table demo (#42757) @aarongarciah
- Add first batch of v6 migration (#42242) @siriwatknp
- Fix quotes on font-family dedeclaration in the Landing Page template theme (#42748) @joetats

### Core

- [code-infra] Refactor eslint `import/no-cycle` rule (#42705) @LukasTy
- [core] Target direct version for prerelease (#42768) @siriwatknp
- [test] Remove enzyme (#42706) @aarongarciah
- [test] Remove createMount test util (#42703) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @alelthomas, @appleSimple, @cjl750, @Janpot, @joetats, @LukasTy, @sai6855, @siriwatknp, @wbt

## 6.0.0-alpha.12

<!-- generated comparing v6.0.0-alpha.11..next -->

_Jun 24, 2024_

A big thanks to the 17 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.12`

- Add `InitColorSchemeScript` for Next.js App Router (#42247) @siriwatknp
- [Autocomplete] Fix renderOption props type (#42689) @DiegoAndai
- [Autocomplete] Fix React 18.3 key spread warnings in Autocomplete demos (#42691) @aarongarciah
- Support Pigment CSS for `CssBaseline`, `ScopedCssBaseline` and `Popper` (#42640) @siriwatknp
- Add `DefaultPropsProvider` for Pigment CSS integration (#42638) @siriwatknp
- [Stepper] Generate class for nonLinear prop (#42620) @alexismo
- [Tab] Fix failing test (#42686) @aarongarciah
- [Tab] Deprecate iconWrapper class for icon class (#42647) @sai6855
- [TableSortLabel] Deprecate composed classes (#42281) @sai6855
- [usePagination] Update pagination `siblingsEnd` calculation logic (#42667) @Mini-ghost

### `@mui/codemod@6.0.0-alpha.12`

- Support dynamic props styled transformation (#42683) @siriwatknp

### `@mui/system@6.0.0-alpha.12`

- Fix issues reported by react compiler in `mui-system` package (#42637) @sai6855
- [useMediaQuery] Remove deprecated types (#42560) @aarongarciah

### `@mui/joy@5.0.0-beta.45`

- Fix issues reported by the React Compiler (#42671) @anuujj
- [Autocomplete] Fix React spread key warning (#42741) @aarongarciah

### `@mui/lab@6.0.0-alpha.12`

- [LoadingButton] Apply wrapping element to prevent React crash on Google page translation (#35198) @BartJanvanAssen

### Docs

- Fix git diff format in migration to v6 (#42711) @oliviertassinari
- Use new email for sponsoring @oliviertassinari
- Fix 301 links (#42697) @alexfauquette
- Normalize the capitalization of Design Kit @oliviertassinari
- Recommend setting HTML attribute instead of DOM property for RTL (#42599) @aarongarciah
- [material-ui][Select] Fix the `SelectAutoWidth` demo menu item value (#42648) @Danielkhakbaz

### Core

- [code-infra] Try disabling animations when taking screenshots (#42537) @Janpot
- [code-infra] Fix benchmark package (#42553) @Janpot
- [core] Replace enzyme in describeConformance (#42447) @DiegoAndai
- [docs-infra] Fix layout shift demo toolbar (#42743) @oliviertassinari
- [docs-infra] Fix visual look of in-house ad (#42735) @oliviertassinari
- [docs-infra] Add stray design polish (#42646) @danilo-leal
- [docs-infra] Fix wrong migration (#42675) @siriwatknp
- [docs-infra] Fine tune markdown elements design (#42643) @danilo-leal
- [docs-infra] Revamp the product switcher design (#42603) @danilo-leal
- [docs-infra] Allow Link component to receive the `role` attribute (#42629) @danilo-leal
- [infra] Add support donation button (#42499) @oliviertassinari
- [infra] Raise `tsconfig`/`tsc` target to `es2022` (#42645) @LukasTy
- [test] Fix tests on CI (#42670) @michaldudak
- [test] Fix issues reported by react-compiler in test packages (#42626) @sai6855

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @alexismo, @anuujj, @arminmeh, @BartJanvanAssen, @Danielkhakbaz, @danilo-leal, @DiegoAndai, @Janpot, @LukasTy, @michaldudak, @Mini-ghost, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp

## 6.0.0-alpha.11

<!-- generated comparing v6.0.0-alpha.10..next -->

_Jun 11, 2024_

A big thanks to the 18 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.11`

- [Autocomplete] Shouldn't resize when hovering (#42452) @ZeeshanTamboli
- [Chip] Fix focus issue related with the Escape event (#41578) @shrilsharma
- [Grid] Fix support for CSS variables (#42574) @oliviertassinari
- [InputBase] Use `globalCss` for Pigment integration (#42431) @siriwatknp
- Change React.ReactElement type from `any` to `unknown` (#42473) @sai6855
- Integrate `extendSxProp` adapter (#42543) @siriwatknp
- [Tab] Fix applying `iconWrapper` styles from theme and update its description (#42549) @sai6855
- [pigment-css] Add `stringifyTheme` for Pigment CSS integration (#42476) @siriwatknp

### `@mui/system@6.0.0-alpha.11`

- [Grid] Remove `disableEqualOverflow` by using `gap` (#42526) @DiegoAndai
- [useMediaQuery] Drop Safari < 14 support (#42464) @aarongarciah

### `@mui/utils@6.0.0-alpha.11`

- Allow passing `NaN` as `defaultValue` to `useControlled` (#41559) @iammminzzy

### `@mui/codemod@6.0.0-alpha.11`

- Improve styled and sx prop transformation (#42598) @siriwatknp
- Support more cases for sx-prop transformation (#42527) @siriwatknp

### `@mui/private-theming@6.0.0-alpha.11`

- Fix issues reported by react compiler in `mui-private-theming` components (#42619) @sai6855

### Docs

- Add `theme.applyStyles()` and migrate docs (#42498) @siriwatknp
- Fix dashboard template console error (#42594) @oliviertassinari
- Migrate system props to `sx` prop (#42475) @siriwatknp
- [material-ui]Fix duplicated sentence (#42521) @alexfauquette
- [Grid] Fix docs spacing (#42573) @oliviertassinari
- [joy-ui] Add Next.js App Router instructions on how to prevent flickering (#42514) @devnyxie
- [joy-ui] Fix HTML tag without preformatting (#42525) @jacobmoshipco
- [material-ui] Add docs for complementary stepper components (#41900) @anle9650
- [material-ui] Fix typo on Sign-in/Sign-up templates (#42605) @zanivan
- [material-ui] Add container queries docs (#42434) @siriwatknp
- [material-ui] Fix ESLint error in Stepper demo (#42559) @aarongarciah
- [material-ui] Shorten useMediaQuery subheading (#42561) @aarongarciah
- [material-ui] Add a Refine example project (#42461) @necatiozmen

### Core

- [core] Allow `for..of` loops (#42600) @michaldudak
- [core] Add comment about Object.js @oliviertassinari
- [core] Disable eslint-plugin-react-compiler for Base (#42563) @aarongarciah
- [core] Group Pigment CSS dependencies (#42174) @siriwatknp
- [core] Configure eslint-plugin-react-compiler (#42555) @aarongarciah
- [core] Skip charts animation for visual regression test (#42530) @alexfauquette
- [docs-infra] Simplify click header (#42593) @oliviertassinari
- [docs-infra] Add configurable jsdoc host variable (#42472) @tonygravell
- [docs-infra] Add the Base UI logo with copy functionality (#42446) @danilo-leal
- [docs-infra] Prevent link anchor when selecting text (#41994) @alexfauquette
- [docs-infra] Add the Base UI logo with copy functionality (#42446) @danilo-leal
- [examples] Remove Pigment CSS examples (#42471) @sai6855
- [test] Restore pnpm tc command (#42572) @oliviertassinari
- [test] Restore testing internal packages (#42519) @michaldudak

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @anle9650, @DanailH, @danilo-leal, @devnyxie, @DiegoAndai, @iammminzzy, @jacobmoshipco, @michaldudak, @necatiozmen, @oliviertassinari, @sai6855, @shrilsharma, @siriwatknp, @tonygravell, @zanivan, @ZeeshanTamboli

## 6.0.0-alpha.10

<!-- generated comparing v6.0.0-alpha.9..next -->

_Jun 4, 2024_

A big thanks to the 7 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.10`

- [Backdrop] Deprecate `components` and `componentsProps` (#42468) @DiegoAndai
- [Collapse] Bound max transition time (#42390) @oliviertassinari
- [FilledInput] Remove unapplied classes from filledInputClasses interface and add missing classes to root (#42082) @sai6855
- [InputBase] Deprecate components and componentProps props for v6 (#42093) @ChronicusUA
- Remove remaining IE11 code (#42283) @DiegoAndai
- [Modal] Deprecate `components` and `componentsProps` (#42469) @DiegoAndai
- [Popover] Migrate useSlotProps to useSlot (#42369) @sai6855
- [useMediaQuery] Remove unused useMediaQueryTheme (#42367) @aarongarciah

### `@mui/system@6.0.0-alpha.10`

- Remove IE11 code (#42436) @DiegoAndai

### Docs

- Reflect Base UI and MUI System in a different repository @oliviertassinari
- Update twitter.com to x.com @oliviertassinari
- Simplify Example projects page @oliviertassinari
- [icons] Update README and docs page (#41938) @danilo-leal
- [material-ui] Add changelog section to the design kits page (#42449) @danilo-leal
- [material-ui] Fix sentence in the All components page (#42336) @danilo-leal
- [material-ui] Update Figma design kit doc redirect link (#42448) @danilo-leal
- [system] Add "dynamic values" section to sx prop page (#42239) @aarongarciah

### Core

- [docs-infra] Update the OG card image design (#42470) @danilo-leal
- [docs-infra] Add small design polish (#42455) @danilo-leal
- [docs-infra] Update the Material logo + add copy functionality (#42435) @danilo-leal

All contributors of this release in alphabetical order: @aarongarciah, @ChronicusUA, @danilo-leal, @DiegoAndai, @erezstmn-doit, @oliviertassinari, @sai6855

## 6.0.0-alpha.9

<!-- generated comparing v6.0.0-alpha.8..next -->

_May 29, 2024_

A big thanks to the 23 contributors who made this release possible. Here are some highlights ✨:

- 🚀 `CssVarsProvider` and `extendTheme` are now stable (#42246) @siriwatknp

### `@mui/material@6.0.0-alpha.9`

- [AlertTitle] Enable extending Typography props (#42269) @lucasgmelo
- [AvatarGroup] deprecate `componentsProps` for v6 (#42122) @lhilgert9
- [Grid] Deprecate `wrap` prop (#42363) @fedirjh
- [ListItem] Document `*Component` and `*Props` props deprecations (#42263) @aarongarciah
- [ListItem] Deprecate ListItem's components and componentsProps (#42219) @aarongarciah
- [ListItemSecondaryAction] Deprecate component (#42251) @aarongarciah
- Stabilize `CssVarsProvider` and `extendTheme` (#42246) @siriwatknp
- [Popper] Deprecate components and componentProps props for v6 (#42111) @ChronicusUA
- [responsiveFontSizes] Handled undefined variants (#42412) @brijeshb42
- [Slider] Fix wrong CSS value (#42370) @mnajdova
- [Tooltip] Deprecate components and componentProps props for v6 (#42107) @ChronicusUA

### `@mui/system@6.0.0-alpha.9`

- [createStyled] Intercept `ownerState` coming from `props` and `ownerState` (#42358) @DiegoAndai

### `@mui/codemod@6.0.0-alpha.9`

- Add `sx` prop for v6 migration (#42153) @siriwatknp
- Add codemod for removing system props (#42282) @siriwatknp

### Docs

- Remove unused images (#42324) @danilo-leal
- Add Pigment CSS and Base UI logos SVGs (#42322) @danilo-leal
- [joy-ui] Fix template responsiveness (#42422) @j4marcos
- [material-ui] Add the Pashto locale (#42244) @sayoubiaf
- [material-ui] Remove duplicate Design Kits page (#42338) @danilo-leal
- [material-ui] Document callback to access theme in GlobalStyles (#42257) @aarongarciah
- [material-ui] Add minor modifications to the Vertical stepper demo (#42342) @mihilt
- [material-ui][Tabs] Improve the Basic Tabs demo (#42374) @MatheusEli
- [pigment-css] Polish redirection mention @oliviertassinari

### Core

- [blog] Add fixes and clean ups to the Blog page (#42311) @danilo-leal
- [blog] Add the "Product" tag to the Pigment CSS post (#42365) @danilo-leal
- [code-infra] Simplify .stylelintrc.js @oliviertassinari
- [code-infra] Fix stylelint locally (#42411) @oliviertassinari
- [code-infra] Run corepack enable on all CI jobs (#42331) @Janpot
- [code-infra] Create examples eslint rule (#42170) @oliviertassinari
- [core] Apply React 19 type changes that don't require upcoming `@types/` packages (#42346) @DiegoAndai
- [core] Remove `react-swipeable-views-utils` package from docs (#42378) @ZeeshanTamboli
- [core] Update `@testing-library/react` and `@testing-library/dom` packages (#42349) @ZeeshanTamboli
- [core] Remove `@types/prettier` package (#42339) @ZeeshanTamboli
- [core] Remove `WyW-in-JS` from Renovate config (#42335) @ZeeshanTamboli
- [docs-infra] Split feedback channels per product (#42413) @alexfauquette
- [docs-infra] Avoid cryptic errors when tests don't exist (#42356) @Janpot
- [docs-infra] Make menu styles consistent (#42387) @danilo-leal
- [docs-infra] Display deprecation messages in API pages (#42352) @aarongarciah
- [docs-infra] Standardize API pages Alert styles (#42386) @danilo-leal
- [docs-infra] Fix Toolpad Core API links (#42362) @apedroferreira
- [docs-infra] Tigthen up the header design (#42180) @danilo-leal
- [docs-infra] Add Toolpad to muiNpmOrgs for codesandbox demos (#42316) @Janpot
- [docs-infra] Allow JSDoc tags (#42337) @aarongarciah
- [test] Remove `userAgent` override in `jsdom` env (#42344) @cherniavskii
- [utils] Fix GitHub-reported prototype pollution vulnerability in `deepmerge` (#41652) @tjcouch-sil

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @apedroferreira, @brijeshb42, @cherniavskii, @ChronicusUA, @danilo-leal, @DiegoAndai, @fedirjh, @j4marcos, @Janpot, @KenanYusuf, @lhilgert9, @lucasgmelo, @MatheusEli, @mihilt, @mnajdova, @nikitaa24, @oliviertassinari, @sayoubiaf, @siriwatknp, @tjcouch-sil, @ZeeshanTamboli

## 6.0.0-alpha.8

<!-- generated comparing v6.0.0-alpha.7..next -->

_May 21, 2024_

A big thanks to the 7 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@6.0.0-alpha.7`

- [material-ui] Filter only valid theme palette for generating styles (#42147) @siriwatknp
- [material-ui] Remove UMD bundle (#42172) @ZeeshanTamboli
- [material-ui][TextField] Deprecate `*Props` props (#42062) @DiegoAndai

### Docs

- [docs] Remove Base UI from the README (#42307) @danilo-leal
- [docs][material-ui] Fix typo in style interoperability with Tailwind CSS docs (#42279) @ZeeshanTamboli
- [docs][material-ui] Add supported browsers section to migration guide (#42194) @DiegoAndai
- [docs][material-ui][Pagination] Clarify pagination `page` prop API (#42220) @Mandar-Pandya

### Core

- [blog] Update blog post OG image (#42270) @danilo-leal
- [blog] Update Pigment CSS post (#42266) @danilo-leal
- [docs] Remove LocalMonero (#42224) @oliviertassinari
- [docs-infra] Fix keyboard navigation on page tabs (#42152) @danilo-leal
- [code-infra] Remove raw-loader (#42275) @Janpot
- [core] Remove outdated Babel plugins (#42140) @ZeeshanTamboli
- [core] Fix a few more key spread issues (#42168) @oliviertassinari

All contributors of this release in alphabetical order: @danilo-leal, @DiegoAndai, @Janpot, @Mandar-Pandya, @oliviertassinari, @siriwatknp, @ZeeshanTamboli

## 6.0.0-alpha.7

<!-- generated comparing v6.0.0-alpha.6..next -->

_May 16, 2024_

A big thanks to the 14 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.7`

- [Autocomplete] Deprecate `componentsProps` props (#42179) @lhilgert9
- [Autocomplete] Improve design when there's a start adornment for small autocomplete (#41781) @TahaRhidouani
- [Autocomplete] deprecate `*Component` and `*Props` for v6 (#41875) @lhilgert9
- [CircularProgress] Deprecate composed classes (#42076) @sai6855
- [ToggleButtonGroup] Add missing `selected` class in ToggleButtonGroupClasses type (#42243) @tarunrajput

### `@mui/codemod@6.0.0-alpha.6`

- [Divider] Only apply codemod if light prop is present (#42098) @DiegoAndai

### Docs

- Fix 301 to Figma @oliviertassinari
- Fix use of deprecated React API (#42118) @oliviertassinari
- Remove the Base notification (#42191) @danilo-leal
- [material-ui] Improve descriptions for deprecated props (#42221) @aarongarciah
- [material-ui] Fix typo in composition docs (#42195) @aarongarciah

### Core

- [blog] Introducing Pigment CSS blog post (#42198) @samuelsycamore
- [core] Remove confusing comment @oliviertassinari
- [core] Match other repositories and convention @oliviertassinari
- [core] Fix React 18.3 warnings about spreading keys in the Material UI `Autocomplete` component (#42099) @heath-freenome
- [core] Remove unecessary quotes @oliviertassinari
- [docs-infra] Share code for section title (#42236) @alexfauquette
- [docs-infra] Limit the copy button to the visible code block (#42115) @danilo-leal
- [docs-infra] Make select components with two capital letters (#42004) @alexfauquette
- [docs-infra][toolpad] Fix Page title and SERP title mismatch (#41919) @bharatkashyap

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @arthurbalduini, @bharatkashyap, @danilo-leal, @DiegoAndai, @heath-freenome, @lhilgert9, @noraleonte, @oliviertassinari, @sai6855, @samuelsycamore, @TahaRhidouani, @tarunrajput

## 6.0.0-alpha.6

<!-- generated comparing v6.0.0-alpha.5..next -->

_May 8, 2024_

A big thanks to the 10 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.6`

- [Chip] Add colorDefault class to chipClasses (#42067) @sai6855
- Migrate components to support CSS extraction (#42001) @siriwatknp
- [SpeedDial] Deprecate TransitionComponent (#40698) @harry-whorlow

### `@mui/codemod@6.0.0-alpha.6`

- Add `theme-v6` migration (#42056) @siriwatknp

### `@mui/icons-material@6.0.0-alpha.6`

- Add the Emergency icon (#42080) @danilo-leal

### Docs

- [autocomplete] Fix duplicate autocomplete id (#42086) @oliviertassinari
- Fix SEO redirection issues @oliviertassinari
- [material-ui] Fix broken link (#42142) @aarongarciah
- [material-ui][docs] Fix link on the Sync page (#42088) @danilo-leal

### Core

- [blog] Shorten title to fit @oliviertassinari
- [blog] Update Sync post OG image (#42114) @danilo-leal
- [blog] A few tweaks in introducing-sync-plugin (#42092) @oliviertassinari
- [code-infra] Add canary release scripts (#41949) @michaldudak
- [code-infra] Move ComponentLinkHeader to @mui/docs (#42061) @Janpot
- [code-infra] Bump node image used by CI in docker (#42079) @LukasTy
- [core] Restrict import path with ESLint (#41970) @oliviertassinari
- [docs-infra] Add design and formatting improvements (#42063) @danilo-leal
- [docs-infra] Fix HTML structure violations (#42085) @oliviertassinari

All contributors of this release in alphabetical order: @aarongarciah, @danilo-leal, @harry-whorlow, @Janpot, @joserodolfofreitas, @LukasTy, @michaldudak, @oliviertassinari, @sai6855, @siriwatknp

## 6.0.0-alpha.5

<!-- generated comparing v6.0.0-alpha.4..next -->

_May 1, 2024_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@6.0.0-alpha.5`

- [FormControlLabel] Deprecate `componentsProps` (#41767) @sai6855
- [PaginationItem] Deprecate components prop (#41777) @sai6855
- [SvgIcon] Convert to support CSS extraction (#41779) @aarongarciah

### `@mui/base@5.0.0-beta.43`

- [TextareaAutosize] Fix resizing instability (#41638) @ZeeshanTamboli

### Docs

- Fix small SEO issues @oliviertassinari
- [material-ui] Fix minor spelling error in the "About the lab" page (#42073) @ryanhartwig
- [material-ui] Update Figma plugin name (#41967) @danilo-leal
- [material-ui][templates] Fix input props attributes in Landing Page template (#42013) @5-tom
- [system] Update typo on the sx prop page (#42035) @bricker

### Core

- [docs-infra] Clean up branding theme file and improve font-face readibility (#42023) @danilo-leal
- [docs-infra] Simplify docs demo (#42016) @oliviertassinari
- [wesbite] Remove duplicate MarkdownElement component (#42028) @danilo-leal

All contributors of this release in alphabetical order: @5-tom, @aarongarciah, @bricker, @danilo-leal, @mnajdova, @oliviertassinari, @ryanhartwig, @sai6855, @ZeeshanTamboli

## 6.0.0-alpha.4

<!-- generated comparing v6.0.0-alpha.3..next -->

_Apr 24, 2024_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🔥 Converted 3 more Material UI components to use Pigment CSS.
- ℹ️ Pigment CSS now lives in [its own repository](https://github.com/mui/pigment-css)! From now on, all future development will happen there.

### `@mui/material@6.0.0-alpha.4`

- [Checkbox] Convert to support CSS extraction (#41957) @lhilgert9
- [IconButton] Convert to support CSS extraction (#41850) @gijsbotje
- [Radio] Convert to support CSS extraction (#41840) @lhilgert9
- [Typography] Fix ownerState prop placement (#41903) @sai6855
- Generate typography tokens (#41703) @siriwatknp
- Move typography CSS variables to `font` (#42003) @siriwatknp
- Fix getOverlayAlpha type (#41995) @oliviertassinari
- Support CSS Extraction using codemod (#41935) @siriwatknp

### `@mui/icons-material@6.0.0-alpha.4`

- [icons] Update the icons package (#41937) @danilo-leal

### Docs

- [material-ui] Remove react-swipeable-views from demos as it's no longer maintained (#41912) @soler1212
- [material-ui] Add dark theme thumbnails for templates (#41947) @zanivan
- [material-ui] Remove links and interdependencies from free templates (#41941) @zanivan
- [material-ui] Add missing backticks to HTML tag in the installation page (#41972) @Miguelrom
- Fix 301 Toolpad links @oliviertassinari
- Fix 301 image redirections @oliviertassinari

### Core

- pnpm docs:zipRules && vale sync @oliviertassinari
- Remove @pigment-css/\* packages (#41965) @mnajdova
- [code-infra] Move the HighlightedCode component to @mui/docs (#41859) @Janpot
- [code-infra] Move the HighlightedCode component to @mui/docs (#41859) @Janpot
- [code-infra] Make Babel config path configurable in API docs builder (#41999) @michaldudak
- [docs-infra] Fix flex-shrink pro-plan (#41990) @oliviertassinari
- [docs-infra] Allow more value uses of MUI (#41706) @oliviertassinari
- [docs-infra] Move CPU to shared config (#41901) @oliviertassinari
- [docs-infra] Improve Twitter OG:image (#41860) @oliviertassinari
- [docs-infra] Adapt docs infra to Base UI docs needs (#41963) @michaldudak
- [docs-infra] Add demo container design refinements (#41948) @danilo-leal
- [docs-infra] Use the `getLayout` on the material demo pages (#41936) @alexfauquette
- [test] Update browser versions in karma config (#42008) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alexfauquette, @danilo-leal, @gijsbotje, @Janpot, @lhilgert9, @michaldudak, @Miguelrom, @mnajdova, @oliviertassinari, @rluzists1, @sai6855, @siriwatknp, @soler1212, @zanivan, @ZeeshanTamboli

## 6.0.0-alpha.3

<!-- generated comparing v6.0.0-alpha.2..next -->

_Apr 17, 2024_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- 🔥 Converted 5 more Material UI components to use Pigment CSS.
- 🚀 Added container queries utility to the `@mui/system` package (#41674) @siriwatknp.

### `@mui/material@6.0.0-alpha.3`

- Convert `LinearProgress` to support Pigment CSS (#41816) @siriwatknp
- [Dialog] Prevent onClick on the root element from being overwritten (#41881) @ryanburr
- [FloatingActionButton] Convert to support CSS extraction (#41851) @gijsbotje
- Convert `CircularProgress` to support Pigment CSS (#41776) @siriwatknp
- [PaginationItem] Convert to support CSS extraction (#41848) @gijsbotje
- [StepConnector] deprecate composed classes (#41740) @sai6855
- [StepLabel] Deprecate `StepIconComponent`, `StepIconProps` (#41835) @sai6855
- [ToggleButton] Convert to support CSS extraction (#41782) @lhilgert9
- [ToggleButtonGroup] Deprecate composed classes (#41288) @sai6855
- [Typography] Fix Typography inherit variant styles (#41308) @kealjones-wk

### `@mui/system@6.0.0-alpha.3`

- Add container queries utility (#41674) @siriwatknp

### `@mui/codemod@6.0.0-alpha.3`

- Add styled v6 transformation (#41743) @siriwatknp

### `@mui/joy@5.0.0-beta.36`

- [Button] Disable text highlighting (#41902) @mithun522

### `@pigment-css/react@0.0.7`

- Patch WyW's WeakRef usage (#41909) @DiegoAndai
- Implement sx transform for system components (#41861) @brijeshb42

### Docs

- [material-ui] Add Connect-related content (#40848) @danilo-leal
- [material-ui] Fix credit comment typo (#41872) @aarongarciah
- [material-ui] Remove Data Grid v7 beta callout (#41839) @cherniavskii
- [material-ui] Add stray design tweaks to free templates (#41696) @zanivan
- [material-ui] Simplify components styling on templates (#41845) @zanivan
- [material-ui][Button] Add `onChange` event handler to file upload example (#41863) @aarongarciah
- [material-ui] Fix import statement in migration guide (#41852) @sai6855
- Fix 301 redirection @oliviertassinari
- Fix format git diff regression (#41882) @oliviertassinari
- Fix small SEO issues @oliviertassinari
- [pigment-css] Fix README typos (#41870) @MohammadShehadeh

### Core

- Begin removing IE 11-related code (#41709) @iammminzzy
- [blog] Add post to introduce the Connect plugin (#41763) @danilo-leal
- [code-infra] Fix require.context with aliases (#41682) @Janpot
- [code-infra] Allow customizing hooks imports in API docs generator (#41828) @michaldudak
- [codemod] Add utils for `*Component` and `*Props` props deprecations (#41685) @DiegoAndai
- Replace bundle size reporter filter (#38979) @Janpot
- [docs-infra] Make the whole header clickable (#39603) @MoazMirza-13
- [docs-infra] Improve demo container and related components design (#41827) @danilo-leal
- [docs-infra] Use edge function for card generation (#41188) (#41836) @alexfauquette
- [docs-infra] Fix code block layout shift (#41917) @oliviertassinari
- [docs-infra] Fine-tune the OG card image design (#41862) @danilo-leal
- [docs-infra] Fix markdown version for material (#41908) @alexfauquette
- [docs-infra] Support multiple tabs in demos (#40901) @bharatkashyap

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @bharatkashyap, @brijeshb42, @cherniavskii, @danilo-leal, @DiegoAndai, @EyaOuenniche, @gijsbotje, @iammminzzy, @Janpot, @kealjones-wk, @lhilgert9, @magnimarels, @michaldudak, @mithun522, @mnajdova, @MoazMirza-13, @MohammadShehadeh, @oliviertassinari, @ryanburr, @sai6855, @siriwatknp, @zanivan

## 6.0.0-alpha.2

<!-- generated comparing v6.0.0-alpha.1..next -->

_Apr 9, 2024_

A big thanks to the 5 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@6.0.0-alpha.2`

- [typescript][Select] Fix `muiName` property TypeScript error (#41726) @EyaOuenniche
- [l10n] Fix typo in is-IS locale (#41810) @magnimarels

### `@pigment-css/react@0.0.6`

- [core] Remove `muiName` during eval phase (#41811) @brijeshb42

### `@pigment-css/nextjs-plugin@0.0.6`

- [nextjs] Handle file references passed through imports (#41817) @brijeshb42
- [nextjs] Allow usage of url() CSS function (#41758) @brijeshb42

### Docs

- [docs] Fix 301 links @oliviertassinari
- [pigment-css][docs] Fix README typo (#41808) @aarongarciah
- [pigment-css][docs] Fix output on dynamic styles example (#41805) @aarongarciah
- [material-ui][docs] Fix Material 3 message typo (#41821) @aarongarciah
- [material-ui][docs] Add stray design tweaks to free templates (#41696) @zanivan

### Core

- [core] Remove unused files (#41818) @mnajdova
- [docs-infra] Fix analytics about inline ads (#41474) (#41819) @alexfauquette
- [docs-infra] Fix drawer performances (#41807) @alexfauquette

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @brijeshb42, @EyaOuenniche, @oliviertassinari

## 6.0.0-alpha.1

<!-- generated comparing v6.0.0-alpha.0..next -->

_Apr 5, 2024_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🔥 Converted 3 more Material UI components to use Pigment CSS. Current progress is 36%!
- 🚀 Added a spacing CSS variable to the Material UI and Joy UI themes.
- 💫 Added 3 redesigned free Material UI templates: [Sign-in](https://next.mui.com/material-ui/getting-started/templates/sign-in/), [Sign-in side](https://next.mui.com/material-ui/getting-started/templates/sign-in-side/), and [Sign-up](https://next.mui.com/material-ui/getting-started/templates/sign-up/).

### `@mui/material@6.0.0-alpha.1`

- [AppBar] Convert to support CSS extraction (#41247) @mnajdova
- [Badge] Deprecate components and componentsProps (#41655) @skmanoj322
- [Button] Convert to support CSS extraction (#41378) @siriwatknp
- [ButtonGroup] Convert to support CSS extraction (#41666) @zanivan
- [RadioGroup] Apply classnames (#41610) @ZeeshanTamboli
- [Slider] Move palette styles to the bottom (#41676) @siriwatknp
- Add the `spacing` theme token (#40224) @siriwatknp

### `@mui/system@6.0.0-alpha.1`

- Add the `spacing` theme token to be used in `theme.spacing()` (#40224) @siriwatknp

### `@mui/codemod@6.0.0-alpha.1`

- [codemod] Setup v6 codemod structure (#41668) @DiegoAndai

### `@mui/lab@6.0.0-alpha.1`

- [TabPanel] Add keepMounted prop to match Joy UI (#41651) @ppaskaris-plooto

### `@mui/joy@5.0.0-beta.34`

- Add `spacing` theme token (#40224) @siriwatknp

### `@pigment-css/react@0.0.5`

- Improve sx prop support (#41589) @brijeshb42
- Fix Emotion styled error (#41699) @siriwatknp
- Fix propTypes removal during eval stage (#41695) @brijeshb42
- Fix props forwarding (#41688) @siriwatknp
- Fix sx prop transformation on Box (#41705) @brijeshb42

### `@pigment-css/vite-plugin@0.0.5`

- Use constant filename for pigment styles (#41667) @brijeshb42

### `@pigment-css/nextjs-plugin@0.0.5`

- Add missing RTL implementation (#41751) @brijeshb42

### Docs

- [pigment-css] Update README.md installation to use the next tag (#41649) @mnajdova
- [pigment-css] Add "Building design system components" guide with Pigment CSS (#41635) @siriwatknp
- Continue migration of Base UI to sperate repository @oliviertassinari
- Stick to one way to write IE 11 @oliviertassinari
- Fix typo in CONTRIBUTING.md (#41670) @adriancuadrado
- Drop IE 11 official support (#41611) @iammminzzy
- [material-ui] Fix typo on the Accordion page (#41687) @connorshea
- [pigment-css] Add small edits on the README (#41646) @danilo-leal
- [pigment-css] Edit the example app's README files (#41639) @danilo-leal

### Core

- [code-infra] Move BrandingProvider/brandingTheme/InfoCard to @mui/docs (#41206) @Janpot
- [core] Automate cherry-pick of PRs from `next` -> `master` (#41741) @aarongarciah
- [core] Update the prettier script to use the next branch (#41637) @mnajdova
- [docs-infra] Skip loading source for non-editable modules (#41588) @bharatkashyap
- [docs-infra] Vale rule for M3 (#41737) @oliviertassinari
- [docs-infra] Allows to remove edit button (#41702) @alexfauquette
- [pigment-css][examples] Add example project with Remix (#41700) @brijeshb42
- [examples] Update MUI's packages to the next version (#41701) @mnajdova
- [material-ui] Refine the Sign-in and Sign-up templates (#41192) @zanivan
- [test] Add test to display options provided to the options prop even if loading is true. (#41675) @ZeeshanTamboli
- [blog] Refresh the design slightly (#41697) @danilo-leal

All contributors of this release in alphabetical order: @aarongarciah, @adriancuadrado, @alexfauquette, @bharatkashyap, @brijeshb42, @connorshea, @danilo-leal, @DiegoAndai, @iammminzzy, @Janpot, @JCQuintas, @levigunz, @mnajdova, @oliviertassinari, @ppaskaris-plooto, @siriwatknp, @skmanoj322, @zanivan, @ZeeshanTamboli

## 6.0.0-alpha.0

<!-- generated comparing v5.15.14..next -->

_Mar 26, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🔥 Converted 10+ Material UI components to support static CSS extraction
- ⬅️ Added RTL support in Pigment CSS (#41570) @brijeshb42

### `@mui/material@6.0.0-alpha.0`

- [BottomNavigation] Convert to support CSS extraction (#41612) @aacevski
- [AvatarGroup] Convert to support CSS extraction (#41485) @zanivan
- [Backdrop] Convert to support CSS extraction (#41581) @aacevski
- [Breadcrumbs] Convert to support CSS extraction (#41496) @aacevski
- [Card] Convert to support CSS extraction (#41580) @aacevski
- [Divider] Convert to support CSS extraction (#41366) @sai6855
- [FormControl] Convert to support CSS extraction (#41613) @aacevski
- [FormGroup] Convert to support CSS extraction (#41614) @aacevski
- [MobileStepper] Convert to support CSS extraction (#41533) @aacevski
- [Modal] Support CSS extraction (#41483) @sai6855
- [Popover] Convert to support CSS extraction (#41564) @aacevski
- [Stepper] Convert to support CSS extraction (#41546) @aacevski
- [Autocomplete] Display options provided to the `options` prop even if loading is true (#41634) @nekoya
- [Backdrop] Deprecate TransitionComponent (#40677) @harry-whorlow
- [ButtonGroup] Deprecate composed classes (#41259) @sai6855
- [StepLabel] Deprecate `componentProps` prop (#41321) @sai6855
- [Chip] Convert to support CSS extraction (#41592) @DiegoAndai

### `@pigment-css/react@0.0.4`

- Fix evaluation of undefined variables (#41569) @siriwatknp
- Fix react-modal demos location (#41560) @sai6855
- [react] RTL Support (#41570) @brijeshb42

### `@mui/system@6.0.0-alpha.0`

- [core] Standardize index pattern (#41574) @DiegoAndai
- Fix typo to avoid infinite recursion in function call (#41616) @michael-land
- Move stylesheet generator to `extendTheme` (#41446) @siriwatknp

### Docs

- [joy-ui] Refresh the marketing example on the Color Inversion page (#41497) @cipherlogs
- [material-ui] Add v5 to v6 migration guide (#41561) @DiegoAndai
- [system] Add v5 to v6 migration guide (#41575) @DiegoAndai
- [material-ui][Slider] Remove `valueLabelFormat` from restricted values demo so that the tooltip thumb label displays the same as the value text (#41567) @StylesTrip
- [pigment-css] Update the RTL section on the readme (#41576) @danilo-leal

### Core

- [blog] Update the callout (#41645) @cherniavskii
- [blog] Link to Romain's blog post in MUI X v7 announcement post (#41640) @cherniavskii
- [blog] Blog post with MUI X v7.0.0 annoucement (#41563) @joserodolfofreitas
- [blog] Add post about remote (#41565) @danilo-leal
- [core] Restore the pnpm-lock.yaml (#41643) @mnajdova
- [core] Fix failing CI steps (#41636) @mnajdova
- [core] Update browser support versions (#41568) @siriwatknp
- [core] Add instructions to deploying docs guide (#41582) @DiegoAndai
- [core] Add comment explaining the frequency of no-response action runs (#41555) @michaldudak
- [core] Init the next branch (#41552) @mnajdova
- [core] Lower the frequency of no-response action runs (#41553) @michaldudak
- [core] Update peerDependencies ranges to include v6 packages (#41662) @michaldudak
- [core] Run pnpm dedupe (#41658) @michaldudak
- [core] Fix dedupe check (#41657) @Janpot
- [pigment-css][demo] Add index page for material-ui (#41577) @brijeshb42
- [pigment-css][demo] Remove app specific pnpm workspace (#41393) @brijeshb42
- [docs] Add notification for MUI X v7 blog post (#41587) @cherniavskii
- [docs] MUI X v7 blog post annoucement followup (#41601) @joserodolfofreitas
- [docs] Update the installation guides to use the next tag (#41558) @mnajdova
- [docs][material-ui] Fix typo in CSS theme variables customization (#41632) @ZeeshanTamboli
- [material-ui][docs] Remove deleted page from the sidenav (#41594) @danilo-leal

All contributors of this release in alphabetical order: @aacevski, @brijeshb42, @cherniavskii, @cipherlogs, @danilo-leal, @DiegoAndai, @harry-whorlow, @Janpot, @joserodolfofreitas, @michael-land, @michaldudak, @mnajdova, @nekoya, @sai6855, @siriwatknp, @StylesTrip, @zanivan, @ZeeshanTamboli

## 5.16.7

<!-- generated comparing v5.16.6..master -->

_Aug 9, 2024_

A big thanks to the 3 contributors who made this release possible.

### `@mui/material@5.16.7`

- [material-ui][mui-system] Add support for version runtime checks (#43233) @DiegoAndai

### Docs

- [docs] Fix 301 @oliviertassinari

### Core

All contributors of this release in alphabetical order: @DiegoAndai, @oliviertassinari, @zanivan

## 5.16.6

<!-- generated comparing v5.16.5..master -->

_Jul 30, 2024_

A big thanks to the 5 contributors who made this release possible.

### `@mui/material@5.16.6`

- [Divider] Enable borderStyle enhancement in divider with children (#43059) @anuujj

### Docs

- [material-ui][Card] Update CardMedia description (#43121) @shahzaibdev1
- [material-ui] Replace deprecated `<ListItem button/>` with `ListItemButton` component in routing libraries list example (#43114) @aliharis99
- [material-ui][Snackbar] Improve close `reason` type in demos (#43105) @sai6855

### Core

- [code-infra] Use the same CI names on master & next (#43064) @mnajdova

All contributors of this release in alphabetical order: @aliharis99, @anuujj, @mnajdova, @sai6855, @shahzaibdev1

## 5.16.5

<!-- generated comparing v5.16.4..master -->

_Jul 25, 2024_

A big thanks to the 4 contributors who made this release possible.

### `@mui/utils@5.16.5`

- [utils] Add dependency to @mui/types (@mnajdova) (#43047) @mnajdova

### Docs

- [material-ui][joy-ui][Autocomplete] Fix `Hint` demo (@ManthanGajjar) (#43039) @ManthanGajjar
- Fix CHANGELOG convention @oliviertassinari
- [material-ui] Fix broken image links in blog template on master branch (#42969) @navedqb

All contributors of this release in alphabetical order: @ManthanGajjar, @mnajdova, @navedqb, @oliviertassinari

## 5.16.4

<!-- generated comparing v5.16.3..master -->

_Jul 16, 2024_

A big thanks to the 1 contributor who made this release possible.

### `@mui/material@5.16.4`

- Fix wrong import in Popover types (#42967) @mnajdova

All contributors of this release in alphabetical order: @mnajdova

## 5.16.3

<!-- generated comparing v5.16.2..master -->

_Jul 16, 2024_

A big thanks to the 3 contributors who made this release possible.

### `@mui/material@5.16.3`

- [material] Add missing dependency (#42959) @mnajdova

### Docs

- [material-ui][Autocomplete] Add instructions about `autosuggest-highlight` dependency (#42953) @HoFa1997
- Move feedback from Canny to GitHub @oliviertassinari

All contributors of this release in alphabetical order: @HoFa1997, @mnajdova, @oliviertassinari

## 5.16.2

<!-- generated comparing v5.16.1..master -->

_Jul 16, 2024_

A big thanks to the 2 contributors who made this release possible.

### `@mui/material@5.16.2`

- [material] Remove dependency to @mui/base (@mnajdova) (#42917) @mnajdova

### Core

All contributors of this release in alphabetical order: @mnajdova, @oliviertassinari

## 5.16.1

_Jul 11, 2024_

A big thanks to the 4 contributors who made this release possible. Here are some highlights ✨:

- ⚛️ All packages, including Material UI, are now compatible with React 18.3.1

### `@mui/material@5.16.1`

- [AppBar] Fix inherit color is inconsistent between ThemeProvider and CssVarsProvider (#42713) @ZeeshanTamboli

### `@mui/joy@5.0.0-beta.48`

- [Autocomplete] Fix React spread key warning (#42856) @aarongarciah

### Docs

- [material-ui] Fix React 18.3 key spread warnings in Autocomplete demos (#42854) @aarongarciah
- [material-ui] Fix type error in virtualized table demo (#42852) @aarongarciah
- Fix typos (@omahs) (#42888) @omahs
- Fix 301 @oliviertassinari

### Core

- [core] Bump React to 18.3.1 (#42846) @aarongarciah
- [core] Remove react-test-renderer (#42853) @aarongarciah
- [core] Replace enzyme in describeConformance (#42847) @aarongarciah
- [test] Remove enzyme (#42850) @aarongarciah
- [test] Remove createMount test util (#42849) @aarongarciah
- [base-ui] Fix React spread key warning in test (#42855) @aarongarciah
- [styles][withStyles] Expect React defaultProps warning in test (#42752) (#42851) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @oliviertassinari, @omahs, @ZeeshanTamboli

## 5.16.0

<!-- generated comparing v5.15.21..master -->

_Jul 5, 2024_

A big thanks to the 5 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added `InitColorSchemeScript` for Next.js App Router (#42829) @siriwatknp

### `@mui/material@5.16.0`

- [Alert] Add ability to override slot props (@alexey-kozlenkov) (#42808) @alexey-kozlenkov
- Add `InitColorSchemeScript` for Next.js App Router (#42829) @siriwatknp
- Add `DefaultPropsProvider` (#42820) @siriwatknp
- Support `CssVarsTheme` in `responsiveFontSizes` return type (@jxdp) (#42806) @jxdp
- Remove warning from `getInitColorSchemeScript` (#42838) @siriwatknp

### Docs

- [docs] Fix 301 MDN redirections @oliviertassinari

### Core

- [mui-utils][test] Remove usages of deprecated react-dom APIs (@aarongarciah) (#42813) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @alexey-kozlenkov, @jxdp, @oliviertassinari, @siriwatknp

## 5.15.21

<!-- generated comparing v5.15.20..master -->

_Jun 28, 2024_

A big thanks to the 7 contributors who made this release possible.

### `@mui/material@5.15.21`

- [Autocomplete] Fix renderOption props type (@DiegoAndai) (#42709) @DiegoAndai
- [Stepper] Generate class for `nonLinear` prop (@alexismo) (#42677) @alexismo

### Docs

- Use new email for sponsoring @oliviertassinari
- Fix 301 links (@alexfauquette) (#42700) @alexfauquette
- [material-ui][Select] Fix the `SelectAutoWidth` demo menu item value (@Danielkhakbaz) (#42696) @Danielkhakbaz
- [material-ui][Autocomplete] Fix more React 18.3 key spread warnings in demos (#42766) @wbt
- [material-ui] Fix sign in side image (#42708) @zanivan

### Core

- [core] Cherry pick pnpm updates (#42763) @DiegoAndai

All contributors of this release in alphabetical order: @alexfauquette, @alexismo, @arminmeh, @Danielkhakbaz, @DiegoAndai, @mnajdova, @oliviertassinari

## 5.15.20

<!-- generated comparing v5.15.19..master -->

_Jun 12, 2024_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@5.15.20`

- [Autocomplete] Shouldn't resize when hovering (@ZeeshanTamboli) (#42535) @ZeeshanTamboli
- [Tab] Fix applying `iconWrapper` styles from theme and update its description (@sai6855) (#42570) @sai6855

### `@mui/utils@5.15.15`

- Allow passing `NaN` as `defaultValue` to `useControlled` (@iammminzzy) (#42571) @iammminzzy
- Fix GitHub-reported prototype pollution vulnerability in `deepmerge` (#41652) (#42608) @DiegoAndai

### Docs

- [docs] Add Pigment CSS and Base UI logos SVGs (#42513) @danilo-leal
- [docs] Update twitter.com to x.com @oliviertassinari
- [docs] Simplify Example projects page @oliviertassinari
- [material-ui] Add docs for complementary stepper components (@anle9650) (#42613) @anle9650
- [docs] Add changelog section to the design kits page (@danilo-leal) (#42463) @danilo-leal
- [material-ui] Fix sentence in the All components page (@danilo-leal) (#42462) @danilo-leal
- [material-ui] Update Figma design kit doc redirect link (@danilo-leal) (#42456) @danilo-leal
- [system] Add "dynamic values" section to sx prop page (@aarongarciah) (#42453) @aarongarciah

### Core

- [examples] Remove Pigment CSS examples (#42538) @sai6855

All contributors of this release in alphabetical order: @aarongarciah, @anle9650, @DanailH, @danilo-leal, @erezstmn-doit, @iammminzzy, @oliviertassinari, @sai6855, @ZeeshanTamboli

## 5.15.19

<!-- generated comparing v5.15.18..master -->

_May 29, 2024_

A big thanks to the 12 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.19`

- [AlertTitle] Enable extending Typography props (@lucasgmelo) (#42334) @github-actions[bot]
- [responsiveFontSizes] Handled undefined variants (@brijeshb42) (#42419) @github-actions[bot]
- [Slider] Fix wrong CSS value (@mnajdova) (#42373) @github-actions[bot]

### Docs

- Link to pnpm installation docs (#42420) @aarongarciah
- Remove LocalMonero (@oliviertassinari) (#42315) @github-actions[bot]
- [material-ui] Fix typo in style interoperability with Tailwind CSS docs (@ZeeshanTamboli) (#42312) @github-actions[bot]
- [material-ui][Pagination] Clarify pagination `page` prop API (@Mandar-Pandya) (#42265) @github-actions[bot]
- [material-ui][Tabs] Improve the Basic Tabs demo (@MatheusEli) (#42426) @github-actions[bot]
- [pigment-css] Fix duplication of content (#42410) @oliviertassinari

### Core

- [blog] Add the "Product" tag to the Pigment CSS post (@danilo-leal) (#42366) @github-actions[bot]
- [blog] Update blog post OG image (@danilo-leal) (#42306) @github-actions[bot]
- [blog] Update Pigment CSS post (@danilo-leal) (#42267) @github-actions[bot]
- [core] Fix React 18.3 warnings about spreading keys in the Material UI `Autocomplete` component (#42099) (#42241) @DiegoAndai
- [core] Fix a few more key spread issues (@oliviertassinari) (#42318) @github-actions[bot]
- [docs-infra] Allow JSDoc tags (#42327) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @brijeshb42, @danilo-leal, @DiegoAndai, @KenanYusuf, @lucasgmelo, @Mandar-Pandya, @MatheusEli, @mnajdova, @nikitaa24, @oliviertassinari, @ZeeshanTamboli

## 5.15.18

<!-- generated comparing v5.15.17..master -->

_May 14, 2024_

A big thanks to the 5 contributors who made this release possible. Here are some highlights ✨:

### `@mui/material@5.15.18`

- [Autocomplete] Improve design when there's a start adornment for small autocomplete (@TahaRhidouani) (#42176) @github-actions[bot]
- [ToggleButtonGroup] Add missing `selected` class in ToggleButtonGroupClasses type (@tarunrajput) (#42250) @github-actions[bot]

### Docs

- [docs] Fix 301 to Figma @oliviertassinari

### Core

- [blog] Introducing Pigment CSS blog post (#42198) (#42255) @samuelsycamore

All contributors of this release in alphabetical order: @arthurbalduini, @oliviertassinari, @samuelsycamore, @TahaRhidouani, @tarunrajput

## 5.15.17

<!-- generated comparing v5.15.16..master -->

_May 8, 2024_

A big thanks to the 4 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.17`

- [Slider] Move palette styles to the bottom (#41676) @siriwatknp

### Docs

- Fix SEO redirection issues @oliviertassinari
- [material-ui] Fix broken link (@aarongarciah) (#42143) @github-actions[bot]
- [material-ui] Fix link on the Sync page (@danilo-leal) (#42089) @github-actions[bot]

### Core

- [blog] Shorten title to fit @oliviertassinari
- [blog] Update Sync post OG image (@danilo-leal) (#42117) @github-actions[bot]
- [blog] A few tweaks in introducing-sync-plugin (@oliviertassinari) (#42094) @github-actions[bot]
- [docs-infra] Fix code block layout shift (#41917) @oliviertassinari

All contributors of this release in alphabetical order: @github-actions[bot], @joserodolfofreitas, @oliviertassinari, @siriwatknp

## 5.15.16

<!-- generated comparing v5.15.15..master -->

_May 1, 2024_

A big thanks to the 8 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.16`

- [material-ui][Dialog] Prevent onClick on the root element from being overwritten (@ryanburr) (#41914) @github-actions[bot]
- [material-ui][Select] Fix `muiName` property TypeScript error (@EyaOuenniche) (#41786) @github-actions[bot]
- —>[material-ui][l10n] Fix typo in is-IS locale (@magnimarels) (#41815) @github-actions[bot]

### Docs

- Fix small SEO issues @oliviertassinari
- Fix 301 Toolpad links @oliviertassinari
- Fix 301 Toolpad links @oliviertassinari
- Fix 301 image redirections @oliviertassinari
- Fix small SEO issues @oliviertassinari
- Fix 301 redirection @oliviertassinari
- Fix format git diff regression (#41882) @oliviertassinari
- Fix 301 links @oliviertassinari
- [material-ui] Fix import statement in migration guide (@sai6855) (#41864) @github-actions[bot]
- [material-ui] Update Figma plugin name (@danilo-leal) (#42057) @github-actions[bot]
- [material-ui] Fix minor spelling error in the "About the lab" page (@ryanhartwig) (#42075) @github-actions[bot]
- [material-ui] Add missing backticks to HTML tag in the installation page (@Miguelrom) (#42009) @github-actions[bot]
- [material-ui] Add Connect-related content (@danilo-leal) (#41924) @DiegoAndai
- [material-ui] Fix Material 3 message typo (@aarongarciah) (#41822) @github-actions[bot]
- [material-ui] Remove Data Grid v7 beta callout (@cherniavskii) (#41842) @github-actions[bot]
- [material-ui][templates] Fix input props attributes in Landing Page template (@5-tom) (#42034) @github-actions[bot]
- [system] Update typo on the sx prop page (@bricker) (#42078) @github-actions[bot]

### Core

- [blog] Add post to introduce the Connect plugin (@danilo-leal) (#41929) @DiegoAndai
- [core] Automate cherry-pick of PRs from `next` -> `master` (#41742) @aarongarciah
- [docs-infra] Improve Twitter OG:image (#41860) @oliviertassinari
- [docs-infra] Use edge function for card generation (#41188) @alexfauquette
- [docs-infra] Fix drawer performances (#41807) (#41820) @alexfauquette
- [docs-infra] Fix analytics about inline ads (#41474) @alexfauquette

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @DanailH, @DiegoAndai, @github-actions[bot], @JCQuintas, @mnajdova, @oliviertassinari

## 5.15.15

<!-- generated comparing v5.15.14..master -->

_Apr 4, 2024_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.15`

- [Autocomplete] Display options provided to the `options` prop even if loading is true (#41677) @ZeeshanTamboli
- [RadioGroup] Apply classnames (#41681) @ZeeshanTamboli

### `@mui/system@5.15.15`

- Fix typo to avoid infinite recursion in function call (#41678) @ZeeshanTamboli

### Docs

- [material-ui][Slider] Remove `valueLabelFormat` from restricted values demo so that the tooltip thumb label displays the same as the value text (#41679) @ZeeshanTamboli
- [material-ui] Remove deleted page from the sidenav (#41594) @danilo-leal
- [material-ui] Fix typo in CSS theme variables customization (#41680) @ZeeshanTamboli
- Continue migration of Base UI to sperate repository @oliviertassinari
- Add notification for MUI X v7 blog post (#41587) (#41605) @cherniavskii
- Update the versions dropdown to show v6 (#41557) @mnajdova

### Core

- [blog] Link to Romain's blog post in MUI X v7 announcement post (#41641) @cherniavskii
- [blog] Blog post with MUI X v7.0.0 annoucement (#41563) (#41604) @cherniavskii
- [blog] Add post about remote (#41565) @danilo-leal
- [core] Continue rename of Toolpad @oliviertassinari
- [docs-infra] Add Toolpad product/category IDs to types (#41551) @bharatkashyap

All contributors of this release in alphabetical order: @aarongarciah, @bharatkashyap, @cherniavskii, @danilo-leal, @mnajdova, @oliviertassinari, @ZeeshanTamboli

## 5.15.14

<!-- generated comparing v5.15.13..master -->

_Mar 18, 2024_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.14`

- [Accordion] Convert to support CSS extraction (#41221) @mnajdova
- [Autocomplete] Convert to support CSS extraction (#40330) @mnajdova
- [Slider] Convert to support CSS extraction (#41201) @mnajdova
- [Select] Fix variant type (#41405) @sai6855
- [typescript] Use interface instead of type for props (#41500) @siriwatknp

### `@pigment-css/react@0.0.3`

- Add Box component (#41451) @brijeshb42

### `pigment-css/nextjs-plugin@0.0.3`

- Fix alias resolver (#41494) @brijeshb42
- Follow-up to #41494 (#41502) @brijeshb42

### Docs

- [joy-ui] Add UI improvements to the side navigation demo (#41461) @cipherlogs
- [pigment-css] Add media query guide (#41473) @siriwatknp
- [pigment-css] Fixing location of the ExtendTheme type in the docs (#41499) @jherr
- [material-ui][Progress] Add Circular progress gradient demo from Github comment (#40559) @DiegoAndai

### Core

- [blog] Bringing consistency to Material UI customization APIs (#41040) @DiegoAndai
- [code-infra] Rename @mui-internal/docs-utils to @mui/internal-docs-utils (#41498) @michaldudak
- [code-infra] Copy translations.json to @mui/docs build folder (#41472) @Janpot
- [core] Use Circle CI context (#41532) @oliviertassinari
- [core] Fix CHANGELOG format and update date (#41481) @DiegoAndai
- [docs] Fix useStorageState regressions (#41223) @Janpot
- [docs] Fix some Vale errors (#41516) @oliviertassinari
- [material-ui][docs] Fix landing page template's h1 size (#41543) @zanivan
- [material-ui][docs] Apply new code header docs feature (#41508) @danilo-leal
- [material-next] Drop the package (#41544) @mnajdova
- [docs-infra] Fail CI on Vale error (#40944) @oliviertassinari
- [docs-infra] Improve Vale config @oliviertassinari
- [docs-infra] Add a feature list "component" (#41484) @danilo-leal
- [docs-infra] Add code block header classes (#41487) @danilo-leal
- [docs-infra] Make the Algolia search input label invisible (#41542) @danilo-leal

All contributors of this release in alphabetical order: @bharatkashyap, @brijeshb42, @cherniavskii, @cipherlogs, @danilo-leal, @DiegoAndai, @EyaOuenniche, @Janpot, @jherr, @michaldudak, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @zanivan

## 5.15.13

<!-- generated comparing v5.15.12..master -->

_Mar 13, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highights ✨

- The Material UI free Checkout template got a design uplift (#41447) @zanivan

### `@mui/material@5.15.13`

- [Alert] Add `slots` and `slotProps` type to theme (#41324) @sai6855
- [Autocomplete] Fix the options list being added to the DOM in `freeSolo` mode even when there are no options, causing style problems (#41300) @rakeshmusturi
- Add `paperChannel` token (#41447) @siriwatknp
- [Switch] Convert to support CSS extraction (#41367) @alexfauquette
- [Tooltip] Support event handlers with extra parameters (#41320) @LukasTy

### `@mui/system@5.15.13`

- [RtlProvider] Add component & hook (#41241) @mnajdova

### `@mui/utils@5.15.13`

- [utils] Fix visually hidden styles' margin unit (#41477) @michaldudak

### `@mui/codemod@5.15.13`

- Fix merging of slotProps and componentProps (#41323) @sai6855

### `@mui/base@5.0.0-beta.39`

- [material-ui][joy-ui][Autocomplete] Keep in sync highlighted index when the option still exists (#41306) @CGNonofr
- [FormControl] Export `FormControlOwnerState` type from index (#41287) @michaeldfoley
- [material-ui][TextareaAutosize] Fix inline style not getting applied (#41369) @ZeeshanTamboli

### `@pigment-css/react@0.0.2`

- Handle more scenarios while transforming sx prop (#41372) @brijeshb42
- Improve testing of fixtures (#41389) @brijeshb42
- Fix `keyframes` serialize styles error (#41395) @siriwatknp
- Use class selector instead of class value (#41442) @brijeshb42
- [next] Warn about unsupported turbo mode in Next.js (#41445) @brijeshb42

### Docs

- [material-ui] Refine checkout template (#40967) @zanivan
- [material-ui] Add docs for complementary List components (#41329) @anle9650
- [material-ui] Add docs for complementary Dialog components (#41313) @jwithington
- [material-ui] Fix Templates live preview link (#41467) @danilo-leal
- [material-ui] Polish out the templates page (#41468) @zanivan
- [material-ui] Adjust the Templates card design (#41450) @danilo-leal
- [joy-ui] Remove unnecessary styles in color inversion footer demo (#41419) @cipherlogs
- [joy-ui] Update case studies chip background color (#41413) @cipherlogs
- [joy-ui] Remove wrong CSS prop from the Sign-in-side template (#41383) @cipherlogs
- [joy-ui] Fix broken link on the Color Inversion page (#41407) @cipherlogs
- [pigment] Add example and guide section (#41249) @siriwatknp
- [pigment-css] Brand name nonbreaking space (#41438) @oliviertassinari
- [pigment-css] Fix import on the README (#41411) @danilo-leal
- [pigment-css] Edit starter template links on README (#41409) @danilo-leal
- [pigment-css] Tweak the examples and edit READMEs (#41408) @danilo-leal
- [pigment-css] Adjust the bit about CSS vars on the README (#41463) @danilo-leal
- Finish brand name fixes #41438 @oliviertassinari
- Remove noreferrer @oliviertassinari
- Fix v4 docs `<b>` appearing in notifications (#41390) @peterwangsc
- Update GitHub project links (#41370) @danilo-leal

### Core

- [pigment] Make all Pigment CSS packages public (#41404) @brijeshb42
- [pigment] Rename directories to match package names (#41453) @brijeshb42
- [pigment-css] Example fix leading spaces (#41439) @oliviertassinari
- [code-infra] Add short note about e2e-website workflow schedule (#41355) @Janpot
- [code-infra] Add alias for icon types (#41248) @Janpot
- [code-infra] Reduce concurrency of typescript:ci further (#41392) @Janpot
- [code-infra] Reduce concurrency for test_types ci job (#41385) @Janpot
- [code-infra] Adapt API code generator to Base UI repo needs (#41475) @michaldudak
- [docs-infra] Don't generate preview files for the templates (#41379) @mnajdova
- [docs-infra] Fix Pigment CSS apps path in the render mui demos script (#41476) @mnajdova
- [docs-infra] move feedback to ESM (#41381) @alexfauquette
- [docs-infra] Improve color contrast throughout (#41387) @danilo-leal
- [docs-infra] Simplify Algolia crawler config (#41312) @oliviertassinari
- [docs-infra] Adjust the tabs and layout selection design (#41084) @danilo-leal
- [blog] Update the Base UI post with links to dedicated repo (#41358) @danilo-leal
- [examples] Add pigment-css-vite-ts starter example (#41196) @siriwatknp
- [examples] Add pigment-css-nextjs-ts starter project (#41105) @siriwatknp

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @brijeshb42, @CGNonofr, @cipherlogs, @danilo-leal, @jwithington, @Janpot, @michaeldfoley, @michaldudak, @mnajdova, @oliviertassinari, @peterwangsc, @rakeshmusturi, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.15.12

<!-- generated comparing v5.15.11..master -->

_Mar 5, 2024_

A big thanks to the 21 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@pigment-css/react@0.0.1`, `@pigment-css/nextjs-plugin@0.0.1`, `@pigment-css/vite-plugin@0.0.1`, & `@pigment-css/unplugin@0.0.1`

- This is the first public release of our new zero-runtime CSS-in-JS library, Pigment CSS.

### `@mui/material@5.15.12`

- Support props callback type in theme variants (#40946) @ZeeshanTamboli
- [Alert] Convert to support zero runtime (#41230) @siriwatknp
- [Alert] Deprecate composed classes (#40688) @DiegoAndai
- [Button] Deprecate classes for v6 (#40675) @sai6855
- [Checkbox] `large` size added in type (#34909) @smox
- [Chip] Deprecate composed classes (#41235) @sai6855
- [Chip] Correct `deleteIconColorPrimary` and `deleteIconColorSecondary` class descriptions (#41231) @sai6855
- Remove unused dev dependency on @mui/lab (#41198) @brijeshb42
- [Slider] Deprecate components and componentProps props for v6 (#40777) @lhilgert9

### `@mui/system@5.15.12`

- [pigment-css][material-ui] Render badge demos (#41353) @siriwatknp
- [pigment-css] Update to latest wyw version (#41363) @brijeshb42
- [pigment-css] Rename scope to @pigment-css (#41354) @brijeshb42
- [pigment-css] Rename zero-runtime to pigmentcss (#41317) @brijeshb42
- Fix createSpacing return type (#41318) @matystroia
- [zero] Add support for styled tagged-template literals (#41268) @brijeshb42
- [zero] Set up Material UI migration demos (#41267) @siriwatknp
- [zero] Move extendTheme to already existing @mui/zero-runtime/utils (#41254) @brijeshb42
- [zero] Remove `object` intersection from CSS Fallback (#41271) @siriwatknp
- [zero] Minor wording changes in README (#41253) @brijeshb42
- [zero] Prepare zero-runtime packages for public release (#41226) @brijeshb42

### `@mui/joy@5.0.0-beta.30`

- [joy-ui][Autocomplete] Fix text overflow in Chip (#40229) @PunitSoniME

### Docs

- [base-ui] Update the docs post repo separation (#41328) @danilo-leal
- Fix missing partner link @oliviertassinari
- Update links to GitHub projects (#41297) @danilo-leal
- Standardize WAI-ARIA referencest @oliviertassinari
- Fix image layout shift when loading @oliviertassinari
- [joy-ui] Add stray adjustments throughout the docs (#41211) @danilo-leal
- [material-ui] Remove duplicated text at FAQ page (#41326) @zanivan
- [material-ui] Fix color mode toggle of the landing page template (#41293) @zanivan
- [system] Tweak the Usage demos (#41242) @danilo-leal
- [zero] Add a Why section on the README (#41284) @danilo-leal

### Core

- Revert "[utils] Port `useLocalStorageState` hook from Toolpad (#41096)" @oliviertassinari
- [blog] Add post about how MUI uses Toolpad (#40172) @prakhargupta1
- [blog] No bundled demos in blog posts @oliviertassinari
- [code-infra] Embed translations in the @mui/docs package (#41246) @Janpot
- [code-infra] Prepare the markdown package for publishing (#41240) @michaldudak
- [code-infra] Unpin the version of docs-utils in scripts (#41232) @michaldudak
- [core] Use runtime agnostic setTimeout type @oliviertassinari
- [core] Remove window. reference for common globals @oliviertassinari
- [core] Add a script to build all packages (#40631) @michaldudak
- [docs-infra] Fix missing non breaking spaces @oliviertassinari
- [docs-infra] Add design customizations to the disclosure element (#41285) @danilo-leal
- [docs-infra] Adjust headings dark mode color (#41292) @danilo-leal
- [docs-infra] Fix Stack Overflow breaking space @oliviertassinari
- [docs-infra] Fix product selector popup not closing on route change (#41166) @divyammadhok
- [docs-infra] Improve fix blank links ad @oliviertassinari
- [docs-infra] Support interfaces for X docs (#41069) @alexfauquette
- [infra] Adjust the links to search for issues (#41008) @michelengelen

All contributors of this release in alphabetical order: @alexfauquette, @atomiks, @brijeshb42, @DanailH, @danilo-leal, @DiegoAndai, @divyammadhok, @Janpot, @lhilgert9, @matystroia, @michaldudak, @michelengelen, @mj12albert, @oliviertassinari, @prakhargupta1, @PunitSoniME, @sai6855, @siriwatknp, @smox, @zanivan, @ZeeshanTamboli

## 5.15.11

<!-- generated comparing v5.15.10..master -->

_Feb 21, 2024_

A big thanks to the 26 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.11`

- [Alert] Deprecate components and componentsProps props (#40681) @DiegoAndai
- [Autocomplete] Caret transformation issue with font size change (#41066) @dpertsin
- [StepLabel] Add type for StepIconComponent (#41082) @harrydigos
- [TablePagination] Fix type error in Select props (#39137) @PaulKristoffersson
- [Transitions] External ownerState is incorrectly forwarded to inner components (#41187) @gitstart
- Use direct import (#40851) @siriwatknp

### `@mui/material-nextjs@5.15.11`

- Fix missing babel/runtime dependency in material-ui-nextjs (#41077) @siriwatknp

### `@mui/system@5.15.11`

- Use direct import (#40851) @siriwatknp
- Move useMediaQuery to system (#39463) @justintoman
- Consolidate the variants props callback arguments (#41222) @mnajdova
- Merge props and ownerState in the variants props callback (#41219) @mnajdova

### `@mui/codemod@5.15.11`

- [AccordionSummary] Add contentGutters deprecation codemods (#41006) @DiegoAndai
- [PaginationItem] Add codemod for deprecated classes (#41145) @sai6855

### `@mui/utils@5.15.11`

- Port `useLocalStorageState` hook from Toolpad (#41096) @Janpot

### `@mui/base@5.0.0-beta.37`

- [Switch] Add missing role attribute (#40907) @KirankumarAmbati
- [TextareaAutosize] Improve implementation (#40789) @ZeeshanTamboli

### `@mui/lab@5.0.0-alpha.164`

- [Masonry] Ability to sort elements from left to right (#39904) @Rishi556

### Docs

- [base-ui] Fix focus state demo in Base UI autocomplete (#41104) @oliviertassinari
- [base-ui] Update the Accessibility page demos design (#40995) @danilo-leal
- [joy-ui] Fix LinearProgressWithLabel example (#41194) @khgiddon
- [joy-ui] Fix 404 image on the docs @oliviertassinari
- [material-ui] Add a "start now" section on the Overview page (#41137) @danilo-leal
- [material-ui] Inform about deprecated TablePagination SelectProps usage (#41186) @gitstart
- [material-ui] Update the Testing page's Argos link (#41170) @gregberge
- [material-ui] Remove Masonry component and Material Design icon from the landing page template (#41080) @zanivan
- [material-ui] Standardize all references to Material Design 3 (M3) (#40903) @samuelsycamore
- [material-ui] Add stray fixes around a few pages (#41038) @danilo-leal
- [material-ui][joy-ui][system] Restore and revise the Box docs (#40622) @samuelsycamore
- [material-ui] Add simpler demo for default behavior (#40980) @zanivan
- [system] Explain why AppRouterCacheProvider (#40909) @oliviertassinari
- Link to react-transition group with https @oliviertassinari
- Update broken URL hashes (#41185) @LukasTy
- Prefer https links @oliviertassinari
- Fix MUI Treasury link @oliviertassinari
- Migrate the last > quotes to ::: callouts @oliviertassinari

### Core

- [blog] Add new product tags and stray adjustments (#41193) @danilo-leal
- [blog] Simplify `/base-ui-2024-plans/` page (#41171) @oliviertassinari
- [blog] Add link to Base UI API changes RFC (#41089) @michaldudak
- [blog] Remove the "News" tag (#41208) @danilo-leal
- [changelog] Remove @mui/system@5.15.10 (#41093) @michaldudak
- [code-infra] Move typescript-to-proptypes to internal-scripts package (#41079) @michaldudak
- [code-infra] Move Link to @mui/docs (#40889) @Janpot
- [code-infra] Use `experimental.cpus` to control amount of export workers in Next.js (#41132) @Janpot
- [code-infra] Load commonjs files in next.config.mjs with require (#41108) @Janpot
- [code-infra] Prepare babel macros package for publishing to npm (#41178) @michaldudak
- [code-infra] Build internal packages before publishing (#41210) @michaldudak
- [core] Improve the release instructions (#40973) @mnajdova
- [core] Simplify Next.js Demo Zero Runtime guide @oliviertassinari
- [core] Fix TypeScript spelling in changelog @oliviertassinari
- [core] Fix small detail in the autocomplete demo @oliviertassinari
- [core] Increase node memory limit on Netlify build (#41111) @michaldudak
- [core] Fix Netlify build cache issue (#43281) @LukasTy
- [core][Tooltip] Remove incorrect code comment (#41179) @ZeeshanTamboli
- [core] Fix missing context display names (#41168) @oliviertassinari
- [core][base-ui] Remove `@mui/base` dev dependency from Base UI workspace (#41216) @ZeeshanTamboli
- [zero][demo] Fix sample next app build (#41197) @brijeshb42
- [docs-infra] Simplify copy logic (#41167) @oliviertassinari
- [docs-infra] New way of providing API layout config (#41106) @alexfauquette
- [docs-infra] Reduce scrollbar width on ROC (#41148) @oliviertassinari
- [docs-infra] Add external link arrow (#41129) @siriwatknp
- [docs-infra] Fix external link arrow (#41181) @alexfauquette
- [docs-infra] Flag npm and GitHub as wrong spellings @oliviertassinari
- [docs-infra] Fix display when the default props is undefined (#41114) @oliviertassinari
- [docs-infra] Remove random layout assignment (#40862) @alexfauquette
- [docs-infra] Add spacing and contrast improvements (#41191) @danilo-leal
- [docs-infra] Share vale-config (#41176) @alexfauquette
- [test] Generalize test utils (#41175) @michaldudak
- [typescript-to-proptypes] Support using `Omit` on types with conditional properties (#41033) @flaviendelangle
- [zero] Update to latest version of wyw-in-js (#41182) @brijeshb42
- [zero] Setup basic testing framework (#40986) @brijeshb42
- [zero] Fix wrong CSS order by moving import to last (#41002) @siriwatknp
- [zero] Export `extendTheme` for creating a zero-runtime theme (#40897) @siriwatknp
- [zero] Move extendTheme to its own subpath (#41204) @brijeshb42

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @danilo-leal, @DiegoAndai, @dpertsin, @flaviendelangle, @gitstart, @gregberge, @harrydigos, @Janpot, @justintoman, @khgiddon, @KirankumarAmbati, @LukasTy, @michaldudak, @mnajdova, @nikosgavalas, @oliviertassinari, @PaulKristoffersson, @Rishi556, @rluzists1, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.15.10

<!-- generated comparing v5.15.9..master -->

_Feb 12, 2024_

A big thanks to the 8 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.10`

- [Avatar] Add props deprecation with a codemod (#40853) @siriwatknp

### `@mui/joy@5.0.0-beta.28`

- [Button] Fix `disabled` prop priority when inside button group (#41000) @Smileek
- [IconButton] Support loading prop (#40949) @Smileek

### Docs

- [Button][material-ui] Fix 'File upload' demo a11y (#40943) @oliviertassinari
- [TableRow][material-ui] Escape markup in `children` prop so docgen tools don't parse it as HTML (#40992) @millerized
- [material-ui] Remove outdated example projects link (it uses Joy UI now) (#40913) @oliviertassinari
- [material-ui] Fix the "Intro to the MUI ecosystem" link placement (#40988) @danilo-leal
- Fix 301 redirection to StackBlitz @oliviertassinari
- Fix h1 on Joy UI templates @oliviertassinari
- Have MUI workspace own the CodeSandbox @oliviertassinari
- Add notification for MUI X v7 beta (#41001) @joserodolfofreitas
- Fix 301 links @oliviertassinari
- Fix Next.js v13.5.1 <title> SEO regression (#40302) @oliviertassinari
- Add a 404 page (#40884) @danilo-leal
- Fix missing GitHub label when opening new issue @oliviertassinari
- [Stack] Update import statement for Stack component (#41032) @sai6855

### Core

- [blog] Add post about upcoming plans for Base UI (#40882) @danilo-leal
- [core] Simplify CodeSandbox reproduction @oliviertassinari
- [core] Missing redirection @oliviertassinari
- [core] Export functions from `copyFiles` script to reuse in MUI X repo (#40970) @cherniavskii
- [core] Avoid variable shorthands @oliviertassinari
- [docs-infra] Fix search icon issue (#40957) @oliviertassinari
- [docs-infra] Ignore classes tagged with `@ignore` (#41009) @cherniavskii
- [docs-infra] Fix selected tab on codeblocks (#41036) @danilo-leal

All contributors of this release in alphabetical order: @cherniavskii, @danilo-leal, @joserodolfofreitas, @millerized, @oliviertassinari, @sai6855, @siriwatknp, @Smileek

## 5.15.9

<!-- generated comparing v5.15.8..master -->

_Feb 8, 2024_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:

- 🐛 A critical fix to remove non-published library usage in `@mui/material` peerDependencies.

### `@mui/material@5.15.9`

- [autocomplete] Avoid spread operator (#40968) @oliviertassinari
- [material] Remove zero-runtime from peer dep (#41003) @brijeshb42

### `@mui/base@5.0.0-beta.36`

- [base-ui] Update props using Array to ReadonlyArray type (#40754) @RaghavenderSingh

### `@mui/system@5.15.9`

- [system] use `ReadonlyArray` for CSS related types (#40972) @siriwatknp
- [zero] Migrate to use wyw-in-js instead of linaria (#40866) @brijeshb42

### Docs

- [docs] Polish codemod git diff format @oliviertassinari
- [material-ui][docs] Migrating from deprecated apis follow up (#40981) @DiegoAndai

### Core

- [code-infra] Move next config to ESM (#40869) @Janpot
- [code-infra] Update prettier (#40772) @Janpot
- [code-infra] Add codemod for `light` prop removal (#40947) @sai6855

All contributors of this release in alphabetical order: @brijeshb42, @DiegoAndai, @Janpot, @oliviertassinari, @RaghavenderSingh, @sai6855, @siriwatknp

## 5.15.8

<!-- generated comparing v5.15.7..master -->

_Feb 6, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added a redesigned [landing page template](https://mui.com/material-ui/getting-started/templates/landing-page/) (#37557) @zanivan
- ✨ Added support for Arrow Down/Up + Shift and Page Up/Down keys for faster stepping in the Slider component (#40676) @mnajdova
- many 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.15.8`

- [Avatar] Simplify valid children assertion (#40834) @oliviertassinari

### `@mui/codemod@5.15.8`

- [Accordion] Update props actual.js test case (#40879) @DiegoAndai
- Fix `findComponentJSX` util (#40855) @sai6855

### `@mui/system@5.15.8`

- Add blend color manipulator (#40258) @romgrk
- Support variants in `theme.styleOverrides` (#40690) @siriwatknp
- [zero] Always replace the `createUseThemeProps` call (#40885) @siriwatknp
- [zero] Add README with installation and basic usage (#40761) @brijeshb42

### `@mui/base@5.0.0-beta.34`

- [Button] Add support for `hostElementName` prop to improve SSR (#40507) @mj12albert
- [Menu] Use Popup instead of Popper (#40731) @michaldudak
- [useNumberInput] Integrate useNumberInput with useControllableReducer (#40206) @mj12albert
- [Slider] Add support for Arrow Down/Up + Shift and Page Up/Down keys (#40676) @mnajdova

### Docs

- [base-ui] Update usage.md (#40916) @adebiyial
- [base-ui] Improve Base UI traffic from Material UI (#40875) @oliviertassinari
- [base-ui] Change Radio component terminology from Button to Group (#40888) @danilo-leal
- [base-ui] Remove redundant "Styled" prefix (#40478) @oliviertassinari
- [base-ui] Update listbox slot style in demo (#40952) @sai6855
- [material-ui] Fix createTheme import and markdown format in the Next.js guide (#40895) @hsmtkk
- [material-ui] Correct Google font CDN URL as Roboto 600 weight is not used (#40852) @xuhdev
- [material-ui] Replace the Album template with a landing page (#37557) @zanivan
- [material-ui] Add deprecations migration guide (#40767) @DiegoAndai
- [material-ui] Improve aria-label throughout the Button Group demos (#40892) @danilo-leal
- [joy-ui] Update the Overview callout (#40900) @danilo-leal
- Fix image size and dark mode @oliviertassinari
- Migrate links from legacy.reactjs.org to react.dev @oliviertassinari
- Fix 301 links @oliviertassinari
- Fix outdated link @oliviertassinari
- Fix URL and typo in CONTRIBUTING.md (#40899) @Smileek

### Core

- [blog] Optimize images for /blog/mui-x-v7-beta/ @oliviertassinari
- [blog] Clarify barrel index tree-shaking @oliviertassinari
- [code-infra] Simplify bug reproduction (#40833) @oliviertassinari
- [code-infra] Prepare publishing @mui-internal/typescript-to-proptypes to npm (#40842) @michaldudak
- [code-infra] Remove babel alias from the docs (#40792) @Janpot
- [core] Use Google Font v2 API @oliviertassinari
- [core] Add missing change to v5.15.7 changelog (#40872) @DiegoAndai
- [core] Normalize `<meta name="viewport" />`` @oliviertassinari
- [dependencies] Do not update envinfo test dependencies (#40950) @michaldudak
- [docs-infra] Fix arbitrary gap between paragraphs in callouts (#40911) @oliviertassinari
- [docs-infra] Allow developers to build their CodeSandbox export (#40878) @oliviertassinari
- [docs-infra] Improve StackBlitz support (#40832) @oliviertassinari
- [docs-infra] Improve support for absolute locale URL (#40940) @oliviertassinari
- [Menu][base-ui] Fix improperly merged tests (#40896) @michaldudak
- [utils] Use consistent build approach (#40837) @siriwatknp
- [zero] Fix build for demo next.js app (#40854) @brijeshb42

All contributors of this release in alphabetical order: @adebiyial, @brijeshb42, @danilo-leal, @DiegoAndai, @hsmtkk, @Janpot, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @rluzists1, @romgrk, @sai6855, @siriwatknp, @Smileek, @xuhdev, @zanivan

## 5.15.7

<!-- generated comparing v5.15.6..master -->

_Jan 31, 2024_

A big thanks to the 21 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.7`

- [Select] Fix to show notched outline when `displayEmpty` (#40865) @ZeeshanTamboli
- [Avatar] Improve fallback when `children` is empty string or boolean (#40766) @mirus-ua
- [AvatarGroup] Refactor component thereby fixing custom spacing logic (#40686) @ZeeshanTamboli

### `@mui/codemod@5.15.7`

- Add accordion props deprecation (#40771) @siriwatknp

### `@mui/system@5.15.7`

- [zero-runtime] Use lodash instead of its subpackages (#40868) @michaldudak
- Add `applyStyles()` to theme (#40667) @siriwatknp
- [zero] Use `theme.applyStyles()` in the demo app (#40787) @siriwatknp
- [zero] Add `useThemeProps` processor (#40648) @siriwatknp

### `@mui/utils@5.15.7`

- [core] Remove unnecessary default export (#40788) @siriwatknp
- [core] Convert all exports to modules (#39882) @mnajdova
- [perf] Prevent unneeded `clearTimeout` calls (#39060) @romgrk

### `@mui/base@5.0.0-beta.34`

- [Input] Add OTP input demo (#40539) @sai6855
- [Menu] Focus last item after opening a menu using up arrow (#40764) @Jaswanth-Sriram-Veturi
- [Menu] Focus Menu Items on hover (#40755) @michaldudak

### `@mui/joy@5.0.0-beta.25`

- Change the color scheme type to `SupportedColorScheme` (#40776) @Nikhilh26

### `@mui/lab@5.0.0-alpha.163`

- [TabContext] Support number type in `value` (#40829) @srinidhi9831

### Docs

- [material-ui] Fix the icon preview dialog (#40863) @danilo-leal
- [material-ui] Fix typo on styled-components guide (#40858) @dancielos
- [base-ui] Fix CSS vars from the plain CSS theme stylesheet (#40762) @zanivan
- [material-ui][Divider] Remove light prop references from docs (#40782) @sai6855
- Fix build @oliviertassinari
- Add support pages for each product @oliviertassinari
- Add survey banner to docs and website (#40553) @joserodolfofreitas
- [Menu] Fix hydration mismatch error on Base UI's Menu docs (#40758) @michaldudak
- [material-nextjs] Add theming and configuration content to the page (#40626) @siriwatknp

### Core

- [material-ui][test][Alert] Add action, icon, and iconMapping tests (#40682) @DiegoAndai
- [blog] Lint duplicate h1 on the page (#40835) @oliviertassinari
- [blog] MUI X v7 beta announcement blogpost (#40784) @joserodolfofreitas
- [code-infra] Remove custom TS installation script (#40636) @michaldudak
- [code-infra] Correct API Docs Builder dependencies (#40775) @michaldudak
- [code-infra] Migrate to prettier async APIs (#40668) @Janpot
- [code-infra] Refined docs generation (#40603) @alexfauquette
- [code-infra] Explain how to install the browsers (#40474) @oliviertassinari
- `missingKeyGenerator` do no longer exist (#40830) @oliviertassinari
- Rely on immutable ref when possible (#40831) @oliviertassinari
- Remove deprecated `@types/markdown-to-jsx` package from docs (#40828) @ZeeshanTamboli
- Remove unneeded `@slack/web-api` package (#40840) @ZeeshanTamboli
- Clarify TODO instruction @oliviertassinari
- Remove unneeded use-clients (#40663) @oliviertassinari
- [docs-infra] Fix anchor link hook (#40836) @oliviertassinari
- [docs-infra] Avoid layout shift on docs-pages (#40749) @oliviertassinari
- [examples] Fix build on Next.js Pages Router examples (#40665) @oliviertassinari
- [test] Speed up the envinfo test (#40669) @michaldudak
- [typescript-to-proptypes] Allow to represent dates as `PropTypes.object` (#40774) @flaviendelangle

All contributors of this release in alphabetical order: @alexfauquette, @colmtuite, @danilo-leal, @DiegoAndai, @EyaOuenniche, @flaviendelangle, @Janpot, @Jaswanth-Sriram-Veturi, @joserodolfofreitas, @michaldudak, @mirus-ua, @mnajdova, @mohamedsaiedd, @Nikhilh26, @oliviertassinari, @romgrk, @sai6855, @siriwatknp, @srinidhi9831, @zanivan, @ZeeshanTamboli

## 5.15.6

<!-- generated comparing v5.15.5..master -->

_Jan 22, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.6`

- [Avatar] Use variants api (#40324) @mnajdova
- [TablePagination] Accept readonly array for `rowsPerPageOptions` prop (#40481) @pcorpet
- [PaginationItem] Deprecate classes for v6 (#40673) @sai6855
- [Rating] Fix rating width via min-content (#40503) @devhik0

### `@mui/base@5.0.0-beta.33`

- [Select] Fix display of selected Options with rich content (#40689) @michaldudak
- [Select] Use Popup instead of Popper (#40524) @michaldudak
- [useMenuButton] Fix non native button triggers (#40645) @DiegoAndai

### `@mui/system@5.15.6`

- [zero] Fix theme token import in source file (#40691) @brijeshb42
- [zero] Add support for css import (#40541) @brijeshb42

### `@mui/icons-material@5.15.6`

- [icons-material] Fix icons package.json version (#40655) @mj12albert

### Docs

- [base-ui] Polish the Slider demos (#40332) @danilo-leal
- [base-ui][Slider] Fix plain CSS demo's wrong keyboard behavior (#40652) @mnajdova
- [base-ui][TextareaAutosize] Add border-box to demo (#40646) @ANUGLYPLUGIN
- Fix brand name non-breaking space (#40701) @oliviertassinari
- Improve error message for MUI Vale rule @oliviertassinari
- Add notification to publish the survey (#40552) @joserodolfofreitas
- [system] Explain a bit more how AppRouterCacheProvider works @oliviertassinari
- [joy-ui] Move tutorial to iframe (#40567) @oliviertassinari
- [material-ui][Slider] Remove custom divs from new demo (#40674) @zanivan
- [material-ui] Improve TabContext, TabList, and TabPanel documentation (#40587) @anle9650
- [material-ui][Slider] Added custom mark labels demo (#40647) @DonikaV

### Core

- [core] Fix RXDB-logo Url (#40724) @mohamedsaiedd
- [code-infra] Improve proptypes-generation (#40617) @alexfauquette
- [code-infra] Disable pnpm package cache on CircleCI (#40670) @michaldudak
- [code-infra] Add missing package to CodeSandbox CI config (#40657) @michaldudak
- [code-infra] Remove unnecessary @mui/utils dependency from api-docs-builder (#40632) @michaldudak
- [core] Polish issue templates @oliviertassinari
- [docs-infra] Support markdown link in slots descriptions (#40679) @alexfauquette
- [examples] Simplify Next.js example (#40661) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @ANUGLYPLUGIN, @brijeshb42, @danilo-leal, @devhik0, @DiegoAndai, @DonikaV, @joserodolfofreitas, @michaldudak, @mj12albert, @mnajdova, @mohamedsaiedd, @oliviertassinari, @pcorpet, @sai6855, @zanivan

## 5.15.5

<!-- generated comparing v5.15.4..master -->

_Jan 17, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- Base UI's CSS class prefix is now `base-` (#40205) @michaldudak
- Bug fixes, and a lot of improvements to code and docs infra

### `@mui/material@5.15.5`

- [Accordion] Deprecate \*Props props and classes for v6 (#40418) @DiegoAndai
- [Alert] Update TypeScript types to allow color override types to be added to `iconMapping` and `severity` props (#40551) @2metres
- [Dialog] Remove deprecated onBackdropClick from Dialog tests (#40505) @sai6855
- [Divider] Deprecate props and classes for v6 (#40563) @sai6855

### `@mui/material-next@6.0.0-alpha.118`

- [ButtonGroup] Apply MD3 style to `ButtonGroup` (#40124) @lhilgert9

### `@mui/base@5.0.0-beta.32`

#### Breaking changes

- Change the CSS class prefix to `base-` (#40205) @michaldudak

The class prefix of Base UI components have been changed from `Mui-` to `base-`. This only affects codebases that uses class names verbatim, i.e. not exposed by JS objects such as `buttonClasses`, but as plain strings or in CSS stylesheets (`.MuiButton.root`)

To adapt your code to the new pattern:

- replace all occurrences of the regex `.Mui([A-Z][A-Za-z]*)-` with `.base-$1-` (so `MuiButton-root` becomes `base-Button-root`, etc.),
- replace all occurrences of the regex `.Mui-([a-z]*)` with `.base--$1` (so `Mui-disabled` becomes `base--disabled`, etc.).

#### Changes

- [Select] Fix screen-reader CSS to avoid body scrollbar (#40599) @brijeshb42
- [Switch] Add border-box to demos (#40638) @zanivan

### `@mui/joy@5.0.0-beta.23`

- [ModalDialog] Fix ModalDialog layout prop override (#40512) @maakcode
- [RadioGroup] Allow zero number as a value (#40344) @aacevski

### `@mui/codemod@5.15.5`

- Allow `json` files to be transformed (#40536) @ZeeshanTamboli

### `@mui/lab@5.0.0-alpha.161`

- Update `@mui/material` peer dependency version (#40528) @ZeeshanTamboli

### `@mui/material-nextjs@5.15.5`

- Fix release script (#40519) @petrovmiroslav
- Support Nonces in the App Router Provider (#40269) @josh-feldman
- Polish @mui/material-nextjs (#40473) @oliviertassinari

### `@mui/system@5.15.5`

- Fix import path for @mui/system in vite apps (#40490) @brijeshb42
- Fix css vars generation and simplify the code (#40530) @siriwatknp
- Identify zero runtime styled path (#40555) @brijeshb42

### Docs

- [joy-ui][Card] Fix text alignment in horizontal aligned card demo (#40562) @ZeeshanTamboli
- Improve instructions about peer dependencies (#40621) @danilo-leal
- Solve page description length @oliviertassinari
- Fix MUI Treasury links (#40561) @siriwatknp
- [material-ui] Update <ListItem button/> to ListItemButton in demos (#40564) @sai6855
- [material-ui] Revise the Snackbar page (#39298) @danilo-leal
- [material-ui] Sharpen Material 3 copy on demo pages (#40546) @samuelsycamore
- [material-ui] Fix typo on Next.js integration guide (#40538) @zanivan
- [material-ui][Snackbar] Remove unused `State` interface from Consecutive Snackbars demo (#40410)
  @zinoroman

### Core

- [blog] Fix 404 link to MUI Treasury @oliviertassinari
- [code-infra] Add `run` command to deploy docs (#40513) @siriwatknp
- [core] Update the lockfile (#40628) @michaldudak
- [core] Remove dead code and follow standard @oliviertassinari
- [core] Simplify server detection (#40471) @oliviertassinari
- [core] Sync playwright cache between MUI X and Material UI (#40475) @oliviertassinari
- [dependencies] Bump tough-cookie (#40437) @michaldudak
- [docs-infra] Enforce brand name rules (#40525) @oliviertassinari
- [docs-infra] Minimize ad layout shift on mobile (#40582) @oliviertassinari
- [docs-infra] Improve API page deprecation info (#40440) @DiegoAndai
- [docs-infra] Remove old tocs banners (#40537) @oliviertassinari
- [docs-infra] Remove dead code aria-label sponsors (#40526) @oliviertassinari
- [utils] Centralize clamp implementation in utils (#40267) @Kamino0

All contributors of this release in alphabetical order: @2metres, @aacevski, @brijeshb42, @danilo-leal, @DiegoAndai, @josh-feldman, @Kamino0, @lhilgert9, @maakcode, @michaldudak, @oliviertassinari, @petrovmiroslav, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli, @zinoroman

## 5.15.4

<!-- generated comparing v5.15.3..master -->

_Jan 10, 2024_

A big thanks to the 22 contributors who made this release possible. Here are some highlights:

- ✨ Material UI's [ToggleButtonGroup](https://mui.com/material-ui/react-toggle-button/) now supports non-button element as a child (e.g., showing a Tooltip on a disabled ToggleButton) (#40220) @Methuselah96

### `@mui/material@5.15.4`

- [TextField][FormLabel][InputLabel][FormControl] Use exact children type to allow React children type augmentation (#38872) @nicegamer7
- [Select] Add form submission regression test (#40176) @mj12albert
- [ToggleButtonGroup] Support different elements under it (#40220) @Methuselah96
- [ClickAwayListener] Fix export of types (#40485) @illume

### `@mui/material-nextjs@5.15.4`

- Improve build size issue (#40436) @siriwatknp

### `@mui/icons-material@5.15.4`

- Update the icons (#40365) @michaldudak

### `@mui/system@5.15.4`

- [zero] Move zero runtime related packages (#40426) @brijeshb42
- Fix all use of styled(Box) (#40449) @oliviertassinari

### `@mui/utils@5.15.4`

- Fix `isPlainObject` to work across realm (#39981) @brijeshb42

### `@mui/base@5.0.0-beta.31`

- [base-ui][NumberInput] Remove inputId and inputRef types from NumberInput component (#40425) @sai6855

### `@mui/joy@5.0.0-beta.22`

- [Badge] Shouldn't crash when using custom size (#39986) @iamsaumya
- [ToggleButtonGroup] Add `JoyToggleButtonGroup` to extendTheme's components type export (#40407) @RiceCrisp

### Docs

- [base-ui] Visual tweaks to the plain CSS theme stylesheet (#40487) @zanivan
- [base-ui] Add tokens to plain CSS theme stylesheet (#40113) @zanivan
- [base-ui] Update the overview page (#40412) @danilo-leal
- [material-ui][Drawer] Resolve flickering when double-clicking on the backdrop to close it (#40343) @aacevski
- [material-ui] Refactor form submission in FormDialog component (#40470) @sai6855
- [material-ui] Replace recharts with MUI X charts on the Dashboard template (#40107) @alexfauquette
- [material-ui] Revise the Alert demo page (#34892) @samuelsycamore
- [material-ui] Revise the Accordion page (#40284) @anle9650
- [material-ui] Add docs for complementary Card components (#40346) @anle9650
- [material-ui] Add Material Design 3 components page (#40350) @DiegoAndai
- Fix strange italic style @oliviertassinari
- Fix references to ESLint @oliviertassinari
- Fix 301 redirections @oliviertassinari
- Right-to-left revision and addition to Joy UI (#39158) @danilo-leal

### Core

- [examples] Use material-nextjs integration package (#40199) @siriwatknp
- [code-infra] Configure build dependencies in nx (#40482) @michaldudak
- [code-infra] Don't require noreferrer on target link (#40447) @oliviertassinari
- [code-infra] Use tsx instead of ts-node (#40428) @michaldudak
- [code-infra] Add options to docs-api generation to support X code structure (#40111) @alexfauquette
- [docs-infra] Add types for withDocsInfra (#40301) @oliviertassinari
- [docs-infra] Fix anchor links in API pages (#40450) @oliviertassinari
- [docs-infra] Fix API table full-width (#40476) @oliviertassinari
- [docs-infra] Fix the copy button overlapping with the scrollbar (#40405) @danilo-leal
- [docs-infra] Remove explicit `mui-x` dependency resolving (#40257) @LukasTy
- [docs-infra] Update the outlined Demo container dark mode color (#40488) @danilo-leal
- [core] Lock file maintenance (#34538) @renovate[bot]
- [core] Remove duplicate devDependencies (#40438) @michaldudak
- [core] Remove issue emoji @oliviertassinari
- [core] Move prefetch at the core, will propagate to MUI X @oliviertassinari
- [core] Change package manager to pnpm (#36287) @Janpot
- [core][docs] Remove the "Understand MUI packages" page (#39835) @savalaram-redkar
- [test] Restore the `t` command (#40430) @michaldudak

All contributors of this release in alphabetical order: @aacevski, @alexfauquette, @anle9650, @brijeshb42, @danilo-leal, @DiegoAndai, @iamsaumya, @illume, @Janpot, @LukasTy, @Methuselah96, @michaldudak, @mj12albert, @nicegamer7, @oliviertassinari, @renovate[bot], @RiceCrisp, @sai6855, @samuelsycamore, @savalaram-redkar, @siriwatknp, @zanivan

## 5.15.3

<!-- generated comparing v5.15.2..master -->

_Jan 3, 2024_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material-nextjs@5.15.3`

- [material-nextjs] Fix order of emotion server (#40409) @siriwatknp

### `@mui/base@5.0.0-beta.30`

- [useSlider] Rearrange passive option in eventlisteners (#40235) @Kamino0

### `@mui/lab@5.0.0-alpha.159`

- Add use client directive (#40358) @DiegoAndai

### `@mui/material-next@6.0.0-alpha.116`

- [List] Copy all List\* components to material-next package (#40367) @sai6855
- Update CONTRIBUTING guide given v6/v7 rescheduling (#40363) @DiegoAndai
- [MenuItem] Fix spec import (#40271) @DiegoAndai
- [Option] Add Option component (#40270) @DiegoAndai
- [Slider] Replace lodash with internal utils (#40261) @DiegoAndai
- [Switch] Change files to TypeScript (#39894) @lhilgert9
- [theme] Move ref palette out of color schemes (#40341) @DiegoAndai

### Docs

- [base-ui] Polish the Table Pagination demos (#40281) @danilo-leal
- [joy-ui] Fix dashboard template console errors (#40316) @oliviertassinari
- [joy-ui] Fix image size on the Files template (#40315) @oliviertassinari
- [material-ui] Revise the Divider page (#40356) @danilo-leal
- [material-ui] Polish the Next.js integration page (#40317) @oliviertassinari
- [material-ui] Adding autoFocus on Virtual Popover (#40239) @aacevski
- [material-ui] Revise the Roadmap page (#40054) @danilo-leal
- [material-ui] Update the "showing and hiding" section on the Tooltip page (#40283) @anle9650
- [material-ui] Fix Slider's customized iOS demo to use updated official colors (#39813) @Super-Kenil
- [examples] Simplify Next.js example (#40318) @oliviertassinari

### Core

- [blog] Update open-graph cards for all posts (#40328) @danilo-leal
- [blog] Correct git diff @oliviertassinari
- [code-infra] Update lerna and unpin its version (#40399) @michaldudak
- [code-infra] Break package dependency cycle between @mui/material and @mui/icons-material (#40400) @michaldudak
- [code-infra] Break package dependency cycles (#40398) @michaldudak
- [code-infra] Sync bug issue template (#40305) @oliviertassinari
- [docs] Fix 301 link to Base UI (#40396) @oliviertassinari
- [docs] Link new MUI X components in sidnav (#40345) @oliviertassinari
- [docs] Fix 301 links to Toolpad @oliviertassinari
- [docs] Remove old notifications @oliviertassinari
- [docs] Always mention the npm tag with npx (#40335) @oliviertassinari
- [docs] Reduce network use on the All Components pages (#40313) @oliviertassinari
- [docs-infra] Fix missing button aria-label (#40394) @oliviertassinari
- [docs-infra] Fix a11y violation rule (#40393) @oliviertassinari
- [docs-infra] Prefetch pages on hover (#40314) @oliviertassinari
- [docs-infra] Fix footer links to link to the main domain (#40373) @oliviertassinari
- [docs-infra] Add stray design adjustments (#40347) @danilo-leal

All contributors of this release in alphabetical order: @aacevski, @anle9650, @danilo-leal, @DiegoAndai, @Kamino0, @lhilgert9, @michaldudak, @oliviertassinari, @sai6855, @siriwatknp, @Super-Kenil

## 5.15.2

<!-- generated comparing v5.15.1..master -->

_Dec 25, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for callbacks in the [variant's props definition](https://mui.com/material-ui/customization/theme-components/#creating-new-component-variants) (#40094) @mnajdova
- 💫 Published a [blogpost](https://mui.com/blog/2023-material-ui-v6-and-beyond/) for the 2024's plan about Material UI

### `@mui/material@5.15.2`

- [Badge] Use the variants API in the styled call (#40213) @mnajdova
- [Paper] Add missing Paper classes descriptions (#40300) @sai6855

### `@mui/system@5.15.2`

- Support props callback in the variant's definition (#40094) @mnajdova

### `@mui/base@5.0.0-beta.29`

- [Popup] Use context-based transition API (#39326) @michaldudak
- [Popup] Popup no longer opens outside viewport (#39827) @adamhylander
- [useSelect] Refactor to use DOM focus management instead of active descendant (#39675) @DiegoAndai

### `@mui/material-next@6.0.0-alpha.115`

- [material-next][Divider]Divider ts support (#40307) @sai6855

### Docs

- [base-ui] Fix form submission Select demo (#40014) @ZeeshanTamboli
- [blog] Add Material UI v6 and beyond blog post (#40242) @mnajdova
- [material-ui] Fix broken links in the All components page (#40303) @muazaqdas
- [material-ui] Fix broken links on the All components page (#40279) @danilo-leal
- [material-ui] Add aria-current for nav tabs demo (#39594) @Kimzify
- [material-ui] Add an "All components" page (#40256) @danilo-leal
- [material-ui][Tooltip] Add demo to show how to change distance between tooltip and its anchor (#40087) @anle9650

### Core

- [blog] Fix 301 redirection @oliviertassinari
- [blog] Reduce max image size @oliviertassinari
- [code-infra] Extract Babel macro from mui-utils (#40262) @michaldudak
- [core] Simplify a bit the release instructions @oliviertassinari
- [core] Push force to deploy is not unexpected @oliviertassinari
- [core] Fix CSS2 vs. CSS3 ::after syntax @oliviertassinari
- [core] Fix CSS2 vs. CSS3 ::before syntax @oliviertassinari
- [core] Use direct import from utils package (#40254) @siriwatknp
- [core] Yaml format match most common convention @oliviertassinari
- [core] Polish docs-feedback issue template @oliviertassinari
- [core] Pin Node version on GitHub Actions to 18.18 (#40187) @michaldudak
- [docs] Fix SEO regression (#40306) @oliviertassinari
- [docs] Fix docs redirections @oliviertassinari
- [docs] Update the Contributing guide to give more guidance on documentation (#40274) @samuelsycamore
- [docs-infra] Add polish to the inline code block (#40260) @danilo-leal

All contributors of this release in alphabetical order: @adamhylander, @anle9650, @danilo-leal, @DiegoAndai, @Kimzify, @michaldudak, @mnajdova, @muazaqdas, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.15.1

<!-- generated comparing v5.15.0..master -->

_Dec 19, 2023_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.1`

- [CardActions][DialogActions] Apply margin for all children except for 1st child (#40168) @sai6855
- [TablePagination] Add ability to change icons in TablePaginationActions using `slots` and `slotProps` (#33797) @pratikkarad
- [CssVarsProvider] Fix HSL breaking button styles (#39869) @gitstart

### `@mui/joy@5.0.0-beta.19`

- [FormControl] Fix issue with the conditional setting of `htmlFor` and `id` attributes not functioning properly for form labels (#40180) @ReaZzy
- [typescript] Address TypeScript issue with custom zIndex not functioning (#40133) @qiweiii

### `@mui/styled-engine-sc@6.0.0-alpha.9`

- [typescript] Fix `theme` being of type any (#40200) @mnajdova

### Docs

- [joy-ui] Fix typo in the CSS baseline page (#40222) @possibilities
- [joy-ui] Document missing Autocomplete props (#39979) @ZeeshanTamboli
- [joy-ui] Fix typo about Typography levels (#40230) @zanivan
- [material-ui] Update the related projects page to list `mui-tiptap` for rich text (#40216) @sjdemartini
- [material-ui] Fix typo in the Next.js integration page (#40209) @s8990

### Core

- [blog] Fix access to Notion without an account @oliviertassinari
- [core] Update workflows and issue templates to reflect the updated label (#40197) @MBilalShafi
- [docs] Replace Twitter with X (#40193) @mbrookes
- [docs-infra] Uplift the Algolia search modal design (#40186) @danilo-leal

All contributors of this release in alphabetical order: @danilo-leal, @gitstart, @MBilalShafi, @mbrookes, @mnajdova, @oliviertassinari, @possibilities, @pratikkarad, @qiweiii, @ReaZzy, @s8990, @sai6855, @sjdemartini, @zanivan, @ZeeshanTamboli

## 5.15.0

<!-- generated comparing v5.14.20..master -->

_Dec 11, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added [a new package for a better Material UI integration with Next.js](https://mui.com/material-ui/guides/nextjs) (#39947) @siriwatknp

### `@mui/material@5.15.0`

- Revert "[Select][material-ui] Add name to hidden input element" (#40174) @mj12albert
- [material-ui] Refactor ComponentsVariants type into a generic (#39623) @blakenetz

### `@mui/material-nextjs@5.15.0`

- [material-ui] Add new Next.js integration package (#39947) @siriwatknp

### `@mui/material-next@6.0.0-alpha.113`

- [Badge][material-next] Apply new OwnerState type to Badge (#40119) @lhilgert9
- [material-next][ButtonGroup] Change `ButtonGroup` files to ts (#39794) @lhilgert9

### `@mui/icons-material@5.15.0`

- [icons] Add X logo (#38811) @abreel

### `@mui/base@5.0.0-beta.27`

- [base-ui] useControllableReducer warns when controlled props become uncontrolled (and vice versa) (#39096) @mj12albert

### `@mui/joy@5.0.0-beta.18`

- [joy-ui][Radio][Input] Fix inheritance of disabled prop (#39934) @sai6855

### `@mui/lab@5.0.0-alpha.156`

- [lab][LoadingButton] LoadingButton now inherits props from ButtonGroup (#39679) @lhilgert9

### Docs

- [docs] Fix reference to non-existent checkmark in supported-components.md (#40056) @mbrookes
- [docs][base-ui] Add copy button & primary color picker to the component gallery page (#39884) @mnajdova
- [docs-infra] Update CodeSandbox links (#39992) @anle9650
- [material-ui][docs] Fix wrong root element for emotion styles in shadow DOM (#35326) @EloB
- [material-ui][docs] Move the responsive font charts from recharts to MUI X (#40097) @alexfauquette
- [joy-ui][templates] Remove outdated code (#40095) @zanivan
- [material-ui][docs][Popper] Update Positioned Popper demo styles (#40170) @sai6855

### Core

- [blog] Add a Phuket retreat blog post (#40055) @mikailaread
- [blog] Adjust the latest MUI X blog post (#40046) @danilo-leal
- [core] Migrate from tslint to eslint (#40020) @ZeeshanTamboli

All contributors of this release in alphabetical order: @abreel, @alexfauquette, @anle9650, @blakenetz, @danilo-leal, @EloB, @lhilgert9, @mbrookes, @mikailaread, @mj12albert, @mnajdova, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.20

<!-- generated comparing v5.14.19..master -->

_Dec 5, 2023_

A big thanks to the 14 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material-next@6.0.0-alpha.112`

- [Menu] Enable again the usage of the autoFocus prop (#39960) @mnajdova
- [ProgressIndicator] Apply MD3 style to `CircularProgress` (#39825) @lhilgert9

### Docs

- Remove outdated showcase (#40063) @oliviertassinari
- Support yaml as prism language (#40044) @Janpot
- [material-ui] Fix SearchAppBar width on `sm` screens (#40049) @DiegoAndai
- [material-ui] Update the basic Grid section copy (#40035) @REX500
- [material-ui] Add a react-admin example project (#39972) @fzaninotto
- [material-ui][TextField] Add a performance section (#39692) @anle9650
- [material-ui][tabs] Refine scrollable tabs description (#40037) @zanivan
- [system] Fix typo on the CSS theme variables page (#40040) @caweidmann

### Core

- [blog] Fix scrollbar on mobile (#40057) @oliviertassinari
- [blog] Fix link to charts getting started page (#40043) @alexfauquette
- [docs-infra] Simplify CSS classes extraction in API docs generator (#39808) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @caweidmann, @danilo-leal, @DiegoAndai, @fzaninotto, @Janpot, @lhilgert9, @michaldudak, @mnajdova, @oliviertassinari, @REX500, @samuelsycamore, @zanivan

## 5.14.19

<!-- generated comparing v5.14.18..master -->

_Nov 29, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🐛 Fix Material UI Autocomplete behavior when there are duplicate labels (#36426) @islandryu
- 🚀 Added Material You Linear Progress to `material-next` package (#39807) @lhilgert9

### `@mui/material@5.14.19`

- [Autocomplete] Fix behavior when there are duplicate labels (#36426) @islandryu
- [Box] Added boxClasses (#39889) @sadik-malik
- [FilledInput] Fix slot props deepmerge order (#38922) @dhaub-exelixis
- [Select] Add id to hidden input element (#39414) @DarhkVoyd
- [Select] Remove unnecessary picking of `onChange` type from SelectInputProps (#39891) @ZeeshanTamboli

### `@mui/base@5.0.0-beta.25`

- [Menu] Fix navigation of items when 1st item is disabled (#39828) @sai6855
- [Modal] Refine demos (#39824) @zanivan
- [NumberInput] Implement `numberInputReducer` (#38723) @mj12albert
- [useNumberInput] Fix change handlers passed through slotProps (#39407) @mj12albert

### `@mui/joy@5.0.0-beta.16`

- [Box] Added boxClasses (#39895) @sadik-malik

### `@mui/system@5.14.19`

- [Box] Added boxClasses (#39896) @sadik-malik
- Add outlineColor to defaultSxConfig (#39962) @brijeshb42

### `@mui/types@7.2.10`

- Add `PartiallyRequired` type (#39939) @lhilgert9

### `@mui/material-next@6.0.0-alpha.111`

- [ProgressIndicator] Apply MD3 style to `LinearProgress` (#39807) @lhilgert9
- [FormHelperText] Add FormHelperText component (#39503) @mj12albert
- [IconButton] Copy IconButton to material-next (#39945) @mj12albert
- [Switch] Copy `Switch` to material next (#39887) @lhilgert9

### Docs

- [material-ui] Fix theme prop in v5 migration guide (#39976) @sai6855
- [base-ui] Improve Next.js Link docs (#39838) @oliviertassinari
- [base-ui] Export Base UI theme in stylesheet (#39694) @mnajdova
- [joy-ui] Fix the date min & max slot props values on the Input demo (#40018) @avikalpg
- [joy-ui][ButtonGroup] Fix orientation prop description (#39876) @sai6855
- [joy-ui] Update gif from the Dark Mode Optimization page (#39726) @danilo-leal
- [joy-ui] Fix h1 template (#40017) @oliviertassinari
- [joy-ui] Fix wrong product id @oliviertassinari
- [joy-ui] Fixes in theme scoping documentation (#39899) @ZeeshanTamboli
- [joy-ui] Refine the Email, Teams and Files templates (#39579) @zanivan
- [joy-ui][templates] Fix layout shift on Profile template (#40022) @zanivan
- [joy-ui][Templates] Update thumbnails (#39938) @zanivan
- [material-next] Add contributing guide (#39944) @mj12albert
- End v6 blogpost notification (#39879) @joserodolfofreitas
- Fix nested CSS warning (#39932) @mnajdova
- Make integration searchable (#39967) @oliviertassinari
- Fix use of quote in markdown (#39953) @oliviertassinari
- Show design links on Joy UI (#39955) @oliviertassinari
- Restore Algolia results when searching for "Figma" (#39956) @oliviertassinari
- Fix two tone icon dark mode color (#39868) @mnajdova

### Core

- Improve lerna's renovate package rules (#40029) @DiegoAndai
- Downgrade lerna to 7.2.0 (#40026) @DiegoAndai
- Rename OpenCollective @oliviertassinari
- [docs-infra] Env variables should be string (#39991) @oliviertassinari
- [Portal] Improve docs for container prop (#39180) @oliviertassinari
- [website][docs] Update the product identifier menu and X page (#39832) @danilo-leal

All contributors of this release in alphabetical order: @avikalpg, @brijeshb42, @cherniavskii, @danilo-leal, @DarhkVoyd, @dhaub-exelixis, @DiegoAndai, @flaviendelangle, @islandryu, @joserodolfofreitas, @lhilgert9, @mj12albert, @mnajdova, @oliviertassinari, @sadik-malik, @sai6855, @zanivan, @ZeeshanTamboli

## 5.14.18

<!-- generated comparing v5.14.17..master -->

_Nov 14, 2023_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 💫 Introduced new [Stepper](https://mui.com/joy-ui/react-stepper/) component in Joy UI (#39688) @siriwatknp
- other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.14.18`

- [Autocomplete] Add `defaultMuiPrevented` to onKeyDown type (#39820) @sai6855
- [Autocomplete] Fix React key warning in Next.js (#39795) @mj12albert
- [Checkbox] Asterisk placement aligned correctly (#39721) @axelbostrom
- [Rating] Fix the hover highlighting for spaced icons (#39775) @ZeeshanTamboli
- [TablePagination] Implement `slotProps` pattern for the actions and the select slots (#39353) @anle9650
- [TextField] Fix padding on small filled multiline TextField (#39769) @mj12albert

### `@mui/joy@5.0.0-beta.15`

- [Stepper] Add new `Stepper` component (#39688) @siriwatknp
- [Select] Fix displaying placeholder when multiple is true (#39806) @sai6855

### `@mui/material-next@6.0.0-alpha.110`

- [ButtonGroup] Copy `ButtonGroup` to material next (#39739) @lhilgert9
- [ProgressIndicator] Change `CircularProgress` files to ts (#39791) @lhilgert9
- [ProgressIndicator] Change `LinearProgress` files to ts (#39793) @lhilgert9
- [ProgressIndicator] Copy `LinearProgress` to material next (#39779) @lhilgert9
- [ProgressIndicator] Copy `CircularProgress` to material next (#39780) @lhilgert9
- [TextField] Add FormLabel and InputLabel components (#39483) @mj12albert

## Docs

- [base-ui][NumberInput] Fix inconsistent demo component names (#39786) @mnajdova
- [base-ui][Menu] Refine demos (#39823) @zanivan
- [base-ui][Switch] Refine demos (#39822) @zanivan
- [joy-ui] Fix API generation for Grid (#39861) @oliviertassinari
- [joy-ui] Fix menu in color inversion header demo (#39785) @sai6855
- [joy-ui] Change the design kit link on the Overview page (#39725) @danilo-leal
- [joy-ui] Add `CssBaseline` to integration with Material UI page (#39790) @swillianc
- [joy-ui][Tabs] Add wordBreak style to demo (#39821) @sai6855

## Core

- [blog] MUI X late v6 blog post (#39700) @joserodolfofreitas
- [CHANGELOG] Correct the Joy UI version in the changelog (#39788) @michaldudak
- [core] Remove legacy docs files (#39860) @oliviertassinari
- [core] Fix GitHub title tag consistency @oliviertassinari
- [core] Make the API docs builder configurable per project (#39772) @michaldudak
- [docs] Fix the default theme viewer font family (#39782) @danilo-leal
- [docs-infra] Fix hydration api (#39706) @oliviertassinari
- [docs-infra] Adjust the website & docs footer (#39810) @danilo-leal
- [docs-infra] Fix bug on API prop copy experience (#39707) @oliviertassinari

All contributors of this release in alphabetical order: @anle9650, @axelbostrom, @danilo-leal, @joserodolfofreitas, @lhilgert9, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @swillianc, @zanivan, @ZeeshanTamboli

## 5.14.17

<!-- generated comparing v5.14.16..master -->

_Nov 6, 2023_

A big thanks to the 12 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.17`

- [Dialog] Should not close until the IME is cancelled (#39713) @megos
- [InputBase] Add `sx` type to `input` and `root` slot (#39569) @sai6855

### `@mui/joy@5.0.0-beta.14`

- [ModalDialog] Remove redundant code (#39719) @sai6855
- [ToggleButtonGroup] Fix toggling button state when `Button` is not immediate children (#39571) @sai6855

### `@mui/base@5.0.0-beta.23`

- Make list components more reliable (#39380) @michaldudak

### `@mui/material-next@6.0.0-alpha.109`

- [InputBase] InputBase slotProps accepts sx type (#39714) @mj12albert
- [OutlinedInput] Copy v5 OutlinedInput (#39698) @mj12albert

### `@mui/lab@5.0.0-alpha.152`

- [TreeView] Remove tree view import from @mui/lab (#39685) @alexfauquette

### Docs

- Update Taiwan country name in demos (#39729) @chiahao
- Update release doc for unchanged packages (#39487) @brijeshb42
- [joy-ui] Make code readable to set next color in color inversion demos (#39669) @ZeeshanTamboli
- [material-ui] Remove numeric input workaround from TextField docs (#39629) @mj12albert
- [material-ui] Add comment about code to be removed from Drawer demo (#39678) @samuelsycamore

### Core

- [docs-infra] Fix path bloat client-side (#39708) @oliviertassinari
- [docs-infra] Render footer in SSR (#39710) @oliviertassinari
- [docs-infra] Simplify footer (#39709) @oliviertassinari
- [docs-infra] Fix dark theme color (#39720) @alexfauquette
- [docs-infra] Remove the design feedback alert (#39691) @danilo-leal
- [docs-infra] Bring back scroll gradient in API page with table (#39689) @alexfauquette
- [docs-infra] Clarify the content of the ads @oliviertassinari
- [docs-infra] Link to ScaffoldHub v2 @oliviertassinari
- [docs-infra] Improve access to the component demos via the API page (#39690) @danilo-leal
- [docs-infra] Add appropriate aria-label to docs buttons (#39638) @danilo-leal
- [docs-infra] Fix crawler on API pages (#39490) @alexfauquette
- [docs–infra] Small polish on API toggle (#39704) @oliviertassinari
- [core] Speed up the CI by removing the second build (#39684) @michaldudak
- [core][docs] Fix broken MUI System link in README.md (#39734) @samuelsycamore
- [test] Fix flaky screenshot (#39711) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @chiahao, @danilo-leal, @hasdfa, @megos, @michaldudak, @mj12albert, @oliviertassinari, @sai6855, @samuelsycamore, @ZeeshanTamboli

## 5.14.16

<!-- generated comparing v5.14.15..master -->

_Oct 31, 2023_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- ✨ New highly requested Joy UI component: [Snackbar](https://mui.com/joy-ui/react-snackbar) (#38801) @ZeeshanTamboli

### `@mui/material@5.14.16`

- Fix ownerstate being propagated to DOM node when using styled-components v6 (#39586) @mnajdova

### `@mui/base@5.0.0-beta.22`

- [Autocomplete] Standardize box shadow on demos (#39519) @zanivan
- [useSelect] Support browser autofill (#39595) @DiegoAndai
- [base-ui] Fix mergeSlotProps className join order (#39616) @mj12albert

### `@mui/joy@5.0.0-beta.13`

- [Accordion] Add type button to accordion
- [Card] Fix CardOverflow in nested cards (#39668) @siriwatknp summary (#39532) @Popppins
- [Menu] Fix closing of listbox in `MenuList` demo (#39459) @sai6855
- [Progress] Revamp Linear and Circular progress variants (#39492) @zanivan
- [Select] Support selection of `multiple` options (#39454) @sai6855
- [Textarea] Add ref usage instructions (#39615) @danilo-leal
- Fix sticky hover media query issue on mobile (#37467) @gitstart
- Add Snackbar component (#38801) @ZeeshanTamboli

### `@mui/material-next@6.0.0-alpha.108`

- [theme] Update Material You typescale tokens (#39514) @mj12albert

### Docs

- Fix 301 link to Primer design system @oliviertassinari
- [joy-ui] Revise the CSS vars page (#39335) @danilo-leal
- [joy-ui] Add docs for changing styles based on states (#39597) @siriwatknp
- [joy-ui] Fix wrong messages (#39602) @siriwatknp
- [material-ui] Include link to bundler how-to for Styled Components users (#39620) @jcoyle37
- [material-ui] Improve Dialog demos (#39642) @ZeeshanTamboli
- [material-ui] Add stray design fine-tuning to the example collection (#39581) @danilo-leal
- [system] Clean up `@mui/styles` docs and discourage users from installing it (#39644) @samuelsycamore
- [examples] Upgrade Remix to v2 (#39229) @Nkzn
- [examples][material-ui] Remove hardcoded `color="black"` from Next.js App Router layout (#39577) @samuelsycamore

### Core

- [core] Setup vale for enforcing style guides (#39633) @alexfauquette
- [core] Remove unused use client (#38967) @oliviertassinari
- [core] Remove duplicate export (#39346) @oliviertassinari
- [core] Remove not used `@types/loader-utils` package from `zero-next-plugin` (#39609) @ZeeshanTamboli
- [docs-infra] Add meta charset in codesandbox examples (#39424) @Janpot
- [docs-infra] Fix settings drawer accessibility issues (#39589) @emamoah

All contributors of this release in alphabetical order: @alexfauquette, @Best-Sardar, @DanailH, @danilo-leal, @DiegoAndai, @emamoah, @gitstart, @Janpot, @jcoyle37, @mj12albert, @mnajdova, @Nkzn, @oliviertassinari, @Popppins, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.15

<!-- generated comparing v5.14.14..master -->

_Oct 24, 2023_

A big thanks to the 17 contributors who made this release possible.

### `@mui/material@5.14.15`

- [Checkbox][Radio] Fix theme style overrides not working for different sizes (#39377) @gitstart
- [InputLabel] InputLabel supports ownerState.focused for styleOverrides (#39470) @mj12albert
- [ToggleButton] Add `fullWidth` to `toggleButtonClasses` and `toggleButtonGroupClasses` (#39536) @Semigradsky

### `@mui/base@5.0.0-beta.21`

- [useAutocomplete] Correct keyboard navigation with multiple disabled options (#38788) @VadimZvf
- [Select] Standardize box shadow on demos (#39509) @zanivan
- [Slider] Refine demos (#39526) @zanivan
- [Input] Update and port additional tests from material-ui (#39584) @mj12albert

### `@mui/material-next@6.0.0-alpha.107`

- [FilledInput] Add FilledInput component (#39307) @mj12albert
- [InputAdornment] Fix unstable_capitalize import (#39510) @DiegoAndai
- [Snackbar] copy files to mui-material-next (#39232) @Best-Sardar
- [Menu] Use useMenu hook (#38934) @mnajdova

### `@mui/joy@5.0.0-beta.12`

- [Button] Fix button size being a decorator (#39529) @siriwatknp
- [CardOverflow] Remove conditional CSS to support Next.js App dir (#39101) @siriwatknp
- [Link] Apply `userSelect: none` only when it's a button (#39486) @mwskwong

### `@mui/lab@5.0.0-alpha.150`

- Update peer dep of @mui/material (#39398) @brijeshb42

### `@pigment-css/react@0.0.1-alpha.0`

- Implement typings for public runtime API (#39215) @brijeshb42

### `@mui/zero-vite-plugin@0.0.1-alpha.0`

- Modify plugin to transform node_modules (#39517) @brijeshb42

### Docs

- [base-ui] Standardize grey palette across demos (#39504) @zanivan
- [base-ui] Overall demos design review (#38820) @zanivan
- [joy-ui] Adjust the responsiveness of the template card (#39534) @danilo-leal
- [material-ui] Typo fixes in overview page (#39540) @Evan151
- [material-ui] Add stray design tweaks to the templates collection (#39583) @danilo-leal
- [system] Revise the Box page (#39159) @danilo-leal
- Fix git diff format @oliviertassinari
- [I10n] Add Norwegian (nynorsk) (nn-NO) locale (#39481) @hjalti-lifekeys
- [l10n] Fix double space typo in ar-EG @oliviertassinari
- [I10n] Additions to Icelandic (is-IS) locale (#39480) @hjalti-lifekeys

### Core

- [core] Replace a `useCallback` by `useRef` in useEventCallback (#39078) @romgrk
- [docs-infra] Prevent docs crash (#39214) @alexfauquette
- [docs-infra] Fix no-op autoprefixer warning (#39385) @oliviertassinari
- [docs-infra] Refine the API page design (#39520) @alexfauquette
- [docs-infra] Fix cut-off sponsors (#39572) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @Best-Sardar, @brijeshb42, @danilo-leal, @DiegoAndai, @Evan151, @gitstart, @hjalti-lifekeys, @mj12albert, @mnajdova, @mwskwong, @oliviertassinari, @romgrk, @Semigradsky, @siriwatknp, @VadimZvf, @zanivan

## 5.14.14

<!-- generated comparing v5.14.13..master -->

_Oct 17, 2023_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.14`

- [material-ui][AppBar] Support all default palette colors in TypeScript (#39389) @BreakBB
- [material-ui][AvatarGroup] Add `renderSurplus` prop (#39283) @uuxxx
- [material-ui][Box] Fix system properties has incorrect `Theme` interface when applied directly (#39404) @Semigradsky
- [material-ui][Pagination] Update `type` parameter of `getItemAriaLabel` prop (#39390) @Simer13
- [material][tab] Show/hide scroll buttons for dynamically added children (#39415) @brijeshb42

### `@mui/base@5.0.0-beta.20`

- [base-ui][Menu] Do not reopen the menu after clicking on a trigger in Safari (#39393) @michaldudak

### `@mui/material-next@6.0.0-alpha.106`

- [Divider][material-next] Add Divider component (#39179) @Best-Sardar

### `@mui/joy@5.0.0-beta.11`

- [joy-ui][List] Add the `marker` prop (#39313) @siriwatknp
- [joy-ui][Skeleton] Fix semi-transparent scenario when with surface components and color inversion (#39400) @TheNatkat
- [joy-ui][Textarea] Fix focus ring for error state (#39391) @vineetjk

### `@mui/icons-material@5.14.14`

- [icons] Fix VoiceChatOutlined showing the wrong icon (#39418) @devuser200

### `@mui/system@5.14.14`

- [mui-system][style] bug fix for style value check color in nullable object (#39457) @DarhkVoyd

### `@mui/styled-engine-sc@6.0.0-alpha.2`

- [styled-engine-sc] Fix TS issues because of missing types (#39395) @mnajdova

### Docs

- [docs][base-ui] Renaming demos to BaseXxx (#39104) @christophermorin
- [docs] Accessibility in Base UI (#39264) @michaldudak
- [docs] Fix 301 redirection @oliviertassinari
- [docs] Improve Base UI table of contents for APIs (#39412) @ZeeshanTamboli
- [docs] Adjust design kits-related content (#39367) @danilo-leal
- [docs] Revise the Contributing Guide (#39190) @samuelsycamore
- [docs][joy-ui] Fix row hover prop name in the Table page (#39431) @adrienbrault
- [docs][joy-ui] Fix color inversion demos (#39403) @danilo-leal
- [docs][material-ui] Remove irrelevant TODO from Snackbar demo (#39396) @ZeeshanTamboli
- [docs][material-ui][Table] Bug in "Sorting & Selecting" demo (#39426) @codewithrabeeh
- [docs][joy-ui][typography] Update docs after lineHeight changes (#39366) @zanivan

### Core

- [core] Fix multiple typos across the repo (#39422) @parikshitadhikari
- [docs-infra] Add refinements to the API content design (#39425) @danilo-leal
- [docs-infra] Add a min height to the layout component (#39416) @danilo-leal
- [docs-infra] Prevent horizontal scroll in the TOC (#39417) @danilo-leal
- [docs-infra] Add a collapsible list & table views to the API content display (#38265) @alexfauquette
- [docs-infra] Adjust the `kbd` tag styles (#39397) @danilo-leal
- [docs-infra] Fix strong style regression (#39384) @oliviertassinari

All contributors of this release in alphabetical order: @adrienbrault, @alexfauquette, @Best-Sardar, @BreakBB, @brijeshb42, @chhawinder, @christophermorin, @codewithrabeeh, @danilo-leal, @DarhkVoyd, @devuser200, @michaldudak, @mnajdova, @oliviertassinari, @parikshitadhikari, @samuelsycamore, @Semigradsky, @Simer13, @siriwatknp, @TheNatkat, @uuxxx, @vineetjk, @zanivan, @ZeeshanTamboli

## 5.14.13

<!-- generated comparing v5.14.12..master -->

_Oct 10, 2023_

A big thanks to the 22 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for `styled-components` v6 (#39042) @mnajdova

### `@mui/material@5.14.13`

- [Checkbox] Fix checkbox hover bg with extendTheme (#39319) @brijeshb42
- [Chip] Outlined Chip variant is wider than the Filled counterpart (#39342) @chirag3003
- [Select] Add notice about select's a11y improvement on v5.14.12 changelog (#39310) @DiegoAndai
- [Typography] Color prop check for primitive type (#39071) @DarhkVoyd
- [Pagination] Fix background color on hover and keyboard focus when using CSS theme variables (#39220) @ValkonX33
- [Popper] Add missing `styleOverrides` Popper type in theme (#39154) @axelbostrom
- [Slider] Support all default palette colors in TypeScript (#39058) @gugudwt

### `@mui/base@5.0.0-beta.19`

- [Menu] Add the anchor prop (#39297) @michaldudak

### `@mui/material-next@6.0.0-alpha.105`

- [Menu] Copy v5 Menu components (#39301) @mnajdova

### `@mui/joy@5.0.0-beta.10`

- [Autocomplete] Add `type=button` to clear button (#39263) @brijeshb42
- [Button] Fix the text wrap issue (#38696) @atharva3333
- [Drawer] Apply color inversion to content slot instead (#39312) @siriwatknp
- [Switch] Fix missing class name (#39327) @Bestwebdesign

### `@mui/styled-engine-sc@6.0.0-alpha.1`

- [system] Add support for `styled-components` v6 (#39042) @mnajdova

### Docs

- [joy-ui] Adjust the templates page card design (#39369) @danilo-leal
- Rename the Data Grid "Quick filter" to "Search" (#37724) @alexfauquette
- Remove obsolete translations (#39221) @mbrookes
- Update link to add custom color in palette (#39359) @ZeeshanTamboli
- Denser code demo @oliviertassinari
- Set up MD3 experiments pages (#39323) @mj12albert
- [Drawer] Fix right anchored persistent drawer intercepts click when it is closed (#39318) @ZeeshanTamboli
- [joy-ui] Revise the Color Inversion page (#39306) @danilo-leal
- [joy-ui] Remove redundant `error` prop from input validation demo (#39280) @sai6855
- [material-ui] Rename themed components doc, fix typos (#39368) @samuelsycamore
- [material-ui] Adjust the Material You Chip section (#39325) @danilo-leal
- [system] Add documentation on how to augment custom theme types for the `sx` prop callback (#39259) @3xp10it3r
- [joy-ui][Input] Add debounce input demo (#39300) @sai6855

### Core

- [docs-infra] Improve the open diamond sponsor spot callout (#39332) @danilo-leal
- [docs-infra] Fix CodeSandbox download issue (#39317) @ARJ2160
- [docs-infra] Remove overflow: hidden for demo gradient bg (#39225) @oliviertassinari

All contributors of this release in alphabetical order: @3xp10it3r, @alexfauquette, @ARJ2160, @atharva3333, @axelbostrom, @Bestwebdesign, @brijeshb42, @chirag3003, @danilo-leal, @DarhkVoyd, @DiegoAndai, @gugudwt, @mbrookes, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @ValkonX33, @ZeeshanTamboli

## 5.14.12

<!-- generated comparing v5.14.11..master -->

_Oct 3, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🎨 Introduced color inversion utilities to Joy UI (#38916) @siriwatknp
- 🚀 Added Chip and related TextField components to Material You @DiegoAndai, @mj12albert
- 🏗️ Improve the Select's component a11y by adding the combobox role and aria-controls attribute (#38785) @xulingzhihou. If your tests require selecting the trigger element by the "button" role, then you'll have to change it to use the "combobox" role instead

### `@mui/material@5.14.12`

- [DialogActions] Apply margin-left when children is not of `button` type (#39189) @sai6855
- [Select] Improve a11y by adding combobox role and aria-controls attribute (#38785) @xulingzhihou
- [Select] Fix MenuProps slotProps forwarding (#39177) @DiegoAndai
- [TextField] Polish types in Textfield demo (#39140) @sai6855
- [ButtonGroup] Fix rendering with conditional elements (#38989) @ZeeshanTamboli

### `@mui/system@5.14.12`

- [system] Add support for `variants` in the styled() util (#39073) @mnajdova
- [Box] Add missing logical spacing property types (#39169) @Semigradsky

### `@mui/base@5.0.0-beta.18`

- [useSlider] Align externalProps handling (#38854) @mj12albert
- [useTabs] Align external props handling for useTab/useTabPanel/useTabsList (#39037) @mj12albert
- [test] Fix import paths in useTab tests (#39291) @mj12albert

### `@mui/material-next@6.0.0-alpha.104`

- [Chip] Add Material You Chip component (#38927) @DiegoAndai
- [Divider] Copy v5 Divider (#39197) @mj12albert
- [FilledInput] Copy v5 FilledInput (#39040) @mj12albert
- [FormControl] Add FormControl component (#39032) @mj12albert
- [Select] Copy Select files from v5 (#39188) @DiegoAndai
- [TextField] Copy v5 TextField's inner components (#39166) @mj12albert

### `@mui/joy@5.0.0-beta.9`

- Introduce color inversion utilities (#38916) @siriwatknp
- Replace margin with `gap` property (#39147) @siriwatknp
- [CssBaseline] use Joy `GlobalStyles` (#39278) @siriwatknp
- [Drawer] Apply content styles from theme to content slot (#39199) @sai6855
- [List] Add gap and missing active styles (#39146) @siriwatknp
- [Switch] Slight adjustments to the design (#39276) @danilo-leal

### Docs

- [docs] Update Autocomplete demo for React 18 (#39162) @oliviertassinari
- [docs-infra] Tweak feedback footer section design (#36556) @danilo-leal
- [docs-infra] Improve code syntax highlight (#39181) @oliviertassinari
- [docs][base] Add Tailwind CSS + plain CSS demo on the TextArea page (#39046) @alisasanib
- [docs][base-ui] Fix style for root div of multiline input (#39182) @ttlpta
- [docs][base-ui] Improve Select's country select demo (#38983) @oliviertassinari
- [docs][joy-ui] Add scrollable tabs example (#39260) @siriwatknp
- [docs][joy-ui] Match `Autocomplete` github label demo to actual github label dropdown (#39228) @sai6855
- [docs][joy-ui] Refine the Rental dashboard template (#39059) @zanivan
- [docs][joy-ui] Removed incomplete sentence in the Aspect Ratio page (#39227) @Erik-McKelvey
- [docs][joy-ui] Fix typo in the Accordion page (#39226) @Erik-McKelvey
- [docs][joy-ui] Update and standardize template Sidemenus (#39271) @zanivan
- [docs][joy-ui] Add a roadmap page (#39163) @danilo-leal
- [docs][material-ui] Replace `Box` with `Stack` in applicable demos (#39174) @sai6855
- [docs][material-ui] Add small polish to the Templates page (#39224) @danilo-leal
- [docs][material-ui] Small revision to the Icons page (#38840) @danilo-leal

### Core

- Add next lint config to eslint (#39183) @Janpot
- [core] Update eslint rules (#39178) @romgrk
- [core] Fix Greg GitHub slug @oliviertassinari
- [core] Priority Support casing normalization @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @DanailH, @danilo-leal, @DiegoAndai, @Erik-McKelvey, @Janpot, @mj12albert, @mnajdova, @oliviertassinari, @romgrk, @sai6855, @Semigradsky, @siriwatknp, @xulingzhihou, @zanivan, @ZeeshanTamboli

## 5.14.11

<!-- generated comparing v5.14.10..master -->

_Sep 26, 2023_

A big thanks to the 23 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.11`

- [Autocomplete] Re-export `AutocompleteValue` to make it available from path import (#38638) @vadimka123
- [Select][material-ui] Missing aria-multiselectable attribute on multiple Select component (#38855) @gitstart
- [l10n] labelDisplayedRows is added for trTR localization (#39056) @tebersefa

### `@mui/utils@5.14.11`

- Support RSC in `isMuiElement` util (#38129) @sai6855

### `@mui/base@5.0.0-beta.17`

- [NumberInput] Support adornments (#38900) @anle9650
- [Menu] Align external props handling for useMenu/MenuButton/MenuItem (#38946) @mj12albert
- [Select] Align external props handling (#39038) @mj12albert
- [TextareaAutosize] Simplify logic and add test (#38728) @oliviertassinari

### `@mui/joy@5.0.0-beta.8`

- [Button] Fix disabled button styling when component prop is provided (#38996) @sai6855
- [Drawer] Add missing `JoyDrawer` in theme components (#39074) @Studio384

### `@mui/material-next@6.0.0-alpha.103`

- [FormControl] Copy v5 FormControl (#39039) @mj12albert

### `@mui/lab@5.0.0-alpha.146`

- [TreeView] Fix JSDoc comments in TreeView and TreeItem (#38874) @jergason

### Docs

- Improve focus trap demo (#38985) @oliviertassinari
- Add Tailwind CSS + plain CSS demo on the Tabs page (#39000) @alisasanib
- Improve the default theme viewer design (#39049) @danilo-leal
- Add live demo with CssVarsProvider (#38792) @oliviertassinari
- Fix wrong hash on Card's page (#39151) @mnajdova
- Revise the Drawer page (#38988) @danilo-leal
- Simplify the button's loading indicator demo (#39082) @danilo-leal
- Fix the Templates link on the Overview page (#39086) @danilo-leal
- Refine the Sign in template (#38942) @zanivan
- Add `use-count-up` integration with the Circular Progress (#38952) @anon-phantom

### Core

- [blog] Add a company values blog post (#38802) @mikailaread
- [core] Downgrade lerna to 7.2.0 (#39149) @michaldudak
- [core] Simplify docs feedback interaction (#39075) @alexfauquette
- [core] Improve ref type definition (#38903) @oliviertassinari
- [core] Simplify career (#39112) @oliviertassinari
- [core] Update Babel types along with source packages (#39070) @michaldudak
- [core] Add a comment to explain `useEnhancedEffect` (#39035) @Janpot
- [docs-infra] Fix code removal in table of content (#39165) @alexfauquette
- [docs-infra] Improve callouts design (#39084) @danilo-leal
- [docs-infra] Fix key warning in Base UI Slider slots section (#38954) @ZeeshanTamboli
- [docs-infra] Fix error when redirecting to the root page (#38451) @maheshguntur
- [docs-infra] Open demo crash in the right repository (#39006) @oliviertassinari
- [test] Split the test package (#39061) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @anle9650, @anon-phantom, @DanailH, @danilo-leal, @DiegoAndai, @flaviendelangle, @gitstart, @Janpot, @jergason, @maheshguntur, @michaldudak, @mikailaread, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @Studio384, @tebersefa, @vadimka123, @zanivan, @ZeeshanTamboli

## 5.14.10

<!-- generated comparing v5.14.9..master -->

_Sep 18, 2023_

A big thanks to the 16 contributors who made this release possible. This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.10`

- [Chip] Add cursor CSS property reset (#38984) @DiegoAndai

### `@mui/utils@5.14.10`

- [utils] Move @types/prop-types back to dependencies (#39030) @Methuselah96

### `@mui/base@5.0.0-beta.16`

- [NumberInput][base-ui] Warn when changing control mode with `useControlled` (#38757) @sai6855
- [Select][base-ui] Fix Select button layout shift, add placeholder prop (#38796) @mj12albert
- [useList][base-ui] Accept arbitrary external props and forward to root (#38848) @mj12albert
- [Autocomplete][base-ui] Added ref to getInputProps return value (#38919) @DarhkVoyd

### `@mui/joy@5.0.0-beta.7`

- [AccordionGroup][joy-ui] Fix console warning when using custom color (#38950) @sai6855
- [GlobalStyles][joy-ui] Ensure compatibility with RSC (#38955) @mateuseap

### Docs

- [docs][base] Add Tailwind CSS + plain CSS demo on the NumberInput page (#38928) @alisasanib
- [docs][Dialog] Add non-modal dialog docs & demo (#38684) @mnajdova
- [docs] Fix number input wrong demo @oliviertassinari
- [docs] Exclude joy-ui LinearProgressCountup from visual regression (#38969) @siriwatknp
- [docs][joy-ui] Revise the Overview page (#38842) @danilo-leal
- [docs][material-ui][Pagination] Add `TablePagination` to the API components list (#38486) @MonstraG

### Core

- [core] Add more context about useEventCallback @oliviertassinari
- [core] Allow deeper import of @mui/utils (#38806) @oliviertassinari
- [core] Remove react-dom from @mui/utils peerDependencies (#38974) @michaldudak
- [core] Remove react from styled-engine dependencies (#38971) @michaldudak
- [core] Fix image loading bug on Safari @oliviertassinari
- [core] Fix bundle size upload to S3 job (#38956) @Janpot
- [core] Move eslint to peer dependencies of eslint-plugin-material-ui (#39033) @michaldudak
- [docs-infra] Display markdown lists correctly in docs for props description (#38973) @ZeeshanTamboli
- [zero][next] Setup nextjs plugin package (#38852) @brijeshb42

All contributors of this release in alphabetical order: @alisasanib, @brijeshb42, @danilo-leal, @DarhkVoyd, @DiegoAndai, @Janpot, @mateuseap, @Methuselah96, @michaldudak, @mj12albert, @mnajdova, @MonstraG, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli

## 5.14.9

<!-- generated comparing v5.14.8..master -->

_Sep 13, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Added the [`Drawer` component](https://mui.com/joy-ui/react-drawer/) to Joy UI (#38169) @mnajdova
- ✨ Material UI's [`ButtonGroup` component](https://mui.com/material-ui/react-button-group/) now styles button elements within it correctly (#38520) @ZeeshanTamboli

### `@mui/material@5.14.9`

- [ButtonGroup] Determine first, last and middle buttons to support different elements with correct styling (#38520) @ZeeshanTamboli
- [Modal] Fix console warning when onTransitionEnter , onTransitionExit provided (#38868) @sai6855
- Revert "[Autocomplete] Type multiple values with readonly arrays." (#38827) @mnajdova
- [Tabs] Scrollable tabs shouldn't crash when customizing their styles in the theme with slot callbacks (#38544) @brentertz
- [AlertTitle][BreadCrumbs] Fix inheritance message in docs (#38876) @sai6855

### `@mui/base@5.0.0-beta.15`

- [useSnackbar] Align externalProps handling (#38935) @mj12albert
- [useInput] Align ExternalProps naming (#38849) @mj12albert
- [FocusTrap] Refactor & cleanup (#38878) @mnajdova
- [FocusTrap] Fix `disableEnforceFocus` behavior (#38816) @mnajdova
- [Switch] Simplify source (#38910) @oliviertassinari

### `@mui/joy@5.0.0-beta.6`

- [Drawer] Add Drawer component (#38169) @mnajdova
- Reduce height of some variants (#38527) @zanivan
- Refine the default theme color palette (#38416) @zanivan
- [Dialog] Add `DialogActions`, `DialogTitle` and `DialogContent` (#38382) @siriwatknp
- [AccordionGroup] Add missing `variant` and `color` classes (#38814) @sai6855

### `@mui/lab@5.0.0-alpha.144`

- Add TypeScript deprecations (#38833) @oliviertassinari
- Fix `@mui/x-tree-view` dependency (#38822) @flaviendelangle

### `@mui/system@5.14.9`

- Remove dead code (#38884) @oliviertassinari
- Remove getInitColorSchemeScript leading spaces (#38794) @oliviertassinari

### `@mui/zero-vite-plugin@0.0.1-alpha.0`

- [vite] Create a package for vite plugin (#38685) @brijeshb42

### Docs

- [docs][base-ui] Improve recommended usage guide (#38570) @oliviertassinari
- [docs][base-ui] Create hooks contribution guide (#38679) @michaldudak
- [docs][base-ui] Structure and style revisions for Component docs (#38826) @samuelsycamore
- [docs][base-ui] Add Number Input to the all components page (#38839) @danilo-leal
- [docs][base-ui] Mark Popup with the Preview tag (#38851) @michaldudak
- [blog] Polish component reference name @oliviertassinari
- [blog] Fix missing card (#38834) @oliviertassinari
- [Button][docs][material-ui] Update the file upload demo (#38823) @danilo-leal
- [docs][DialogTitle] Fix props docs doesn't mention it extends `Typography` props (#38856) @sai6855
- [docs] Improve npm experience (#38906) @oliviertassinari
- [docs] Fix redirection to Base UI URLs @oliviertassinari
- [docs] Fix use of callouts (#38747) @oliviertassinari
- [docs] Fix 301 links for SEO @oliviertassinari
- [docs] Remove flag from installation page @oliviertassinari
- [docs] Fix strange break line on mobile in between product name @oliviertassinari
- [docs] Clearer npm package homepages (#38864) @oliviertassinari
- [docs] enableColorScheme prop was removed (#38795) @oliviertassinari
- [docs] Fix a11y issues in tables demos (#38829) @michaldudak
- [docs][joy-ui] Refine the Messages template (#38807) @zanivan
- [docs][joy-ui] Fix copy on the Tutorial page (#38907) @danilo-leal
- [docs][joy-ui] Fix grammar and update Usage section in color inversion page (#38850) @ZeeshanTamboli
- [docs][joy-ui] Revise the Lists page (#36324) @LadyBluenotes
- [docs][joy-ui] Refine the Profile Dashboard template (#38599) @zanivan
- [docs][material-ui] Revise the Paper component docs (#38841) @danilo-leal
- [docs][material-ui] Revise the Typography page (#38543) @danilo-leal
- [docs][material-ui] Revise and split up "Styled engine" doc (#37774) @samuelsycamore
- [TextareaAutosize][docs] Fix component creation in render (#38577) @oliviertassinari

### Examples

- [examples] Add shortcut to open example in online IDE (#38572) @oliviertassinari
- [examples][base-ui] Add Base UI + Vite + Tailwind CSS example in TypeScript (#37595) @dvkam

### Core

- [core] Remove package declaration from same package dependencies (#38951) @DiegoAndai
- [core] Remove workspace dependencies from root package.json (#38940) @michaldudak
- [core] Fix prop-types generation (#38831) @flaviendelangle
- [core] Move types packages to docs' devDependencies (#38914) @michaldudak
- [core] Improve DX when browsing the package on npm and GitHub @oliviertassinari
- [core] TrapFocus was renamed to FocusTrap @oliviertassinari
- [core] Add types extension for clarity @oliviertassinari
- [core] Hoist rewriteImportPaths to parent scope @oliviertassinari
- [core] Bump aws-cli orb to 4.1 (#38857) @Janpot
- [core] Explicitly define package dependencies (#38859) @michaldudak
- [core] Fix yarn docs:create-playground script @oliviertassinari
- [docs-infra] Improve show code button affordance (#38824) @danilo-leal
- [docs–infra] Fix callout container width (#38880) @oliviertassinari
- [docs-infra] Catch duplicated trailing splashes in links (#38758) @oliviertassinari

All contributors of this release in alphabetical order: @brentertz, @brijeshb42, @danilo-leal, @DiegoAndai, @dvkam, @flaviendelangle, @Janpot, @LadyBluenotes, @michaldudak, @michelengelen, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.8

<!-- generated comparing v5.14.7..master -->

_Sep 5, 2023_

A big thanks to the 25 contributors who made this release possible.

### `@mui/material@5.14.8`

- ImageItemList fix incorrect (below) rendering (#38452) @omriklein
- [Button] Add demo for file upload (#38786) @anle9650
- [Slider] Add missing classes for `Slider` `InputLabel` `InputBase` `Radio` (#38401) @sai6855
- [Select] Merge slotProps.paper with internal Paper props (#38703) @michaldudak
- [Tabs] Fix `ref` type (#38717) @ZeeshanTamboli
- [TabScrollButton] Extend ButtonBase types (#38719) @ZeeshanTamboli

### `@mui/base@5.0.0-beta.14`

- [Autocomplete] Type multiple values with readonly arrays. (#38253) @pcorpet
- [TextField] Fix unstable height of memoized multiline TextField component (#37135) @amal-qb

### `@mui/joy@5.0.0-beta.5`

- [Accordion] Fix incorrect display of classname (#38695) @sai6855
- [AspectRatio] Correct `ratio` prop description (#38743) @sai6855
- [Button] Fix disablity of button (#38673) @sai6855
- [design] Stray design tweaks to components (#38476) @zanivan
- [Typography] Added position only when Skeleton is a direct child (#38799) @siriwatknp

### `@mui/lab@5.0.0-alpha.143`

- [TreeView] Use Tree View from MUI X in the lab (#38261) @flaviendelangle
- [LoadingButton] Fix HTML rule button > div forbidden nesting (#38584) @oliviertassinari

### `@mui/system@5.14.8`

- [system] Fix the inconsistent types of the `mergeBreakpointsInOrder` function (#38749) @imevanc
- [system] Fix maxWidth incorrectly resolving breakpoints with non-pixel units (#38633) @mj12albert
- [typescript] Introduce \*OwnProps interfaces for components (#36798) @szalonna

### Docs

- Update changelog (#38704) @mj12albert
- [docs][Autocomplete] Require referentially stable value (#38734) @michaldudak
- [docs][base-ui] Add type parameter to the button in prepareForSlot demo (#38640) @michaldudak
- [docs][base-ui] Fix the broken image in the Tailwind CSS guide (#38721) @michaldudak
- [docs][base-ui]: Working With Tailwind Guide - revises example code to avoid import errors (#38693) @christophermorin
- [docs][base] Add Tailwind CSS + plain CSS demo on the Menu page (#38618) @alisasanib
- [blog] Clearer blog release title @oliviertassinari
- [blog] Add a post for the Tree View migration (#38407) @flaviendelangle
- [docs] Fix broken links to Next.js docs (#38764) @ruflair
- [docs] Trim trailing whitespace (#38793) @oliviertassinari
- [docs] Fix a typo in lab-tree-view-to-mui-x.md @mbrookes
- [docs] Clean up not used Usage files (#38715) @danilo-leal
- [docs] Improve theme builder exceptions (#38709) @jyash97
- [docs] Polish Slider demos (#38759) @oliviertassinari
- [docs] Fix Joy UI docs link regression (#38761) @oliviertassinari
- [docs] Fix typo @oliviertassinari
- [docs] Fix e.g. typo (#38748) @oliviertassinari
- [docs] Fix Next.js pages router example redirect link (#38750) @sai6855
- [docs] Fix SEO issue broken links @oliviertassinari
- [docs] Improve SSR example reference (#38651) @oliviertassinari
- [docs][joy-ui] Integrate a count-up feature to the Linear Progress (#38738) @anon-phantom
- [docs][joy-ui] Fix Link's `overlay` prop demo (#38702) @danilo-leal
- [docs][joy-ui] Polish the Stack page (#38623) @danilo-leal
- [docs][material-ui] Adjust simple Slide demo (#38646) @rajgop1

### Core

- [core] Re-add nx and setup build caching (#38752) @brijeshb42
- [core] Remove dead code seoTitle @oliviertassinari
- [core] Use immutable refs (#38762) @oliviertassinari
- [core] Rework `typescript-to-proptypes` to share the AST parsing with `parseStyles` (#38517) @flaviendelangle
- [core] Fix CI @oliviertassinari
- [core] Remove unnecessary `@types/webpack` package (#38720) @ZeeshanTamboli
- [core] Remove duplicate prop @oliviertassinari

- [docs-infra] Fix mobile display in CodeSandbox (#38767) @oliviertassinari
- [docs-infra] Remove legacy GA (#37579) @alexfauquette
- [docs-infra] Fix emotion :first-child console log (#38690) @oliviertassinari
- [docs-infra] Fix leaking callout content (#38712) @danilo-leal
- [docs-infra] Remove emoji from callouts (#38694) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @amal-qb, @anle9650, @anon-phantom, @bharatkashyap, @brijeshb42, @christophermorin, @danilo-leal, @flaviendelangle, @imevanc, @jyash97, @mbrookes, @michaldudak, @mj12albert, @oliviertassinari, @omriklein, @pcorpet, @rajgop1, @ruflair, @sai6855, @siriwatknp, @szalonna, @zanivan, @ZeeshanTamboli

## 5.14.7

<!-- generated comparing v5.14.6..master -->

_Aug 29, 2023_

A big thanks to the 11 contributors who made this release possible. This release focuses primarily on 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.7`

- [Autocomplete] Fix listbox opened unexpectedly when component is `disabled` (#38611) @mj12albert
- [Select][material-ui] Fix select menu moving on scroll when disableScrollLock is true (#37773) @VishruthR

### `@mui/base@5.0.0-beta.13`

- [useButton][base-ui] Accept arbitrary props in getRootProps and forward them (#38475) @DiegoAndai

### `@pigment-css/react@0.0.1-alpha.1`

- [system][zero][tag] Add support for sx prop (#38535) @brijeshb42

### Docs

- [docs] Number Input docs fixes (#38521) @mj12albert
- [docs] Show all the code in the usage section (#38691) @oliviertassinari
- [docs][joy-ui] Change the customization and how-to guides docs tree (#38396) @danilo-leal
- [docs][lab][LoadingButton] Improve `loading` prop documentation (#38625) @sai6855
- [docs][material-ui] Format `key` prop JSDoc description in `Snackbar` component code correctly (#38603) @jaydenseric

### Core

- [core] Add use-client to custom icons (#38132) @mj12albert
- [core] Remove unnecessary `@types/jsdom` (#38657) @renovate[bot]
- [core] Improve sponsors GA labels (#38649) @oliviertassinari
- [core] Fix ESM issues with regression tests (#37963) @Janpot
- [core] Potential fix for intermittent ci crashes in e2e test (#38614) @Janpot
- [docs-infra] Mark unstable components with a chip in the nav drawer (#38573) @michaldudak
- [docs-infra] Adjust the Material You playground demo design (#38636) @danilo-leal
- [docs-infra] Hide the SkipLink button if user prefers reduced motion (#38632) @DerTimonius

All contributors of this release in alphabetical order: @brijeshb42, @danilo-leal, @DerTimonius, @DiegoAndai, @Janpot, @jaydenseric, @mj12albert, @oliviertassinari, @renovate[bot], @sai6855, @VishruthR

## 5.14.6

<!-- generated comparing v5.14.5..master -->

_Aug 23, 2023_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added the [Popup](https://mui.com/base-ui/react-popup/) component to Base UI (#37960) @michaldudak
  It's intended to replace the Popper component, which uses the deprecated Popper JS library. The Popup is built on top of Floating UI and has a similar API to the Popper.
- 🚀 Added the [Accordion](https://mui.com/joy-ui/react-accordion/) component to Joy UI (#38164) @siriwatknp
- 🚀 Added InputBase and ButtonBase components to `material-next` (#38319) @DiegoAndai @mj12albert
- 🔋 First iteration on the zero-runtime styling engine compatible with Server Components (#38378) @brijeshb42

### `@mui/material@5.14.6`

- [Modal] Update it to use the useModal hook (#38498) @mnajdova
- [Select] Add `root` class to `SelectClasses` (#38424) @sai6855
- [Skeleton] Soften the pulse animation (#38506) @oliviertassinari
- [TextField] Fix onClick regressions handling changes (#38474) @mj12albert
- [TextField] Fix TextField onClick test (#38597) @mj12albert

### `@mui/base@5.0.0-beta.12`

- [Popup] New component (#37960) @michaldudak

### `@mui/joy@5.0.0-beta.3`

- [Accordion] Add Joy UI Accordion components (#38164) @siriwatknp
- [Select] Add `required` prop (#38167) @siriwatknp
- Miscellaneous fixes (#38462) @siriwatknp

### `@mui/material-next@6.0.0-alpha.98`

- [ButtonBase] Add ButtonBase component (#38319) @DiegoAndai
- [Input] Add InputBase component (#38392) @mj12albert

### `@pigment-css/react@0.0.1-alpha.0`

- Implementation of styled tag processor for linaria (#38378) @brijeshb42

### Docs

- [blog] Clarify tree view move @oliviertassinari
- [docs] Improve the "Understanding MUI packages" page images (#38619) @danilo-leal
- [docs][base-ui] Revise the structure of the Component docs (#38529) @samuelsycamore
- [docs][base-ui] Fix Menu Hooks demo (#38479) @homerchen19
- [docs][base-ui] Correct the MUI System quickstart example (#38496) @michaldudak
- [docs][base-ui] Add Tailwind & plain CSS demos for Autocomplete page (#38157) @mj12albert
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Input page (#38302) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Snackbar, Badge, Switch pages (#38425) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Slider page (#38413) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Select page (#38367) @alisasanib
- [docs][joy-ui] Fix typo: Classname -> Class name for consistency (#38510) @alexfauquette
- [docs][joy-ui] Revise the theme color page (#38402) @danilo-leal
- [docs][joy-ui] Sort templates by popularity (#38490) @oliviertassinari
- [docs][joy-ui] Fix the `fullWidth` prop description for the Input (#38545) @0xturner
- [docs][joy-ui] Updated the List playground demo (#38499) @zanivan
- [docs][joy-ui] Changed bgcolor of the Playground demo (#38502) @zanivan
- [docs][material-ui] Fix key warning in SimpleDialog demo (#38580) @ZeeshanTamboli
- [docs][material-ui] Fixed Google Fonts link for material two-tone icons in CodeSandbox and StackBlitz (#38247) @ZeeshanTamboli
- [docs][material-ui] Fix the Drawer's `onClose` API docs (#38273) @johnmatthiggins
- [docs][material-ui] Improve nav link tab example (#38315) @oliviertassinari
- [docs][material-ui] Fix missing import in the styled engine guide (#38450) @codersjj
- [docs][material-ui][Dialog] Improve screen reader announcement of Customized Dialog (#38592) @ZeeshanTamboli
- [docs] Add 3rd party libraries integration examples for Joy Input (#38541) @siriwatknp
- [docs] Hide translation call to action (#38449) @cristianmacedo
- [docs] Fix codemod name in changelog of v5.14.4 (#38593) @GresilleSiffle
- [docs] More space for theme builder (#38532) @oliviertassinari
- [docs] Fix the math symbol of the width sx prop range @oliviertassinari
- [docs] Fix typo on a11y section of Tabs @oliviertassinari
- [docs] Clarify System peer dependencies @oliviertassinari
- [docs] Fix horizontal scrollbar @oliviertassinari
- [docs] Code style convention @oliviertassinari
- [docs] Fix typo in Base UI @oliviertassinari
- [docs] Update the backers page (#38505) @danilo-leal
- [docs] Add stray design adjustments to the docs (#38501) @danilo-leal
- [docs] Use IBM Plex Sans in Tailwind CSS demos (#38464) @mnajdova
- [docs] Fix SEO issues reported by ahrefs (#38423) @oliviertassinari

### Examples

- [examples] Start to remove Gatsby (#38567) @oliviertassinari
- [examples][joy-ui] Fix Joy UI example CLI (#38531) @oliviertassinari
- [examples][joy-ui] Improve example when using Next Font (#38540) @mwskwong

### Core

- [changelog] Fix issues in highlight @oliviertassinari
- [core] Remove redundant `@material-ui/` aliases from regression test webpack config (#38574) @ZeeshanTamboli
- [core] Fix CI error @oliviertassinari
- [core] Remove unnecessary Box (#38461) @oliviertassinari
- [core] Set GitHub Action top level permission @oliviertassinari
- [docs-infra][joy-ui] Polish the usage and CSS vars playgrounds (#38600) @danilo-leal
- [docs-infra] Support link title (#38579) @oliviertassinari
- [docs-infra] Fix ad layout shift (#38622) @oliviertassinari
- [docs-infra] Add light tweaks to the ad container (#38504) @danilo-leal
- [docs-infra] Fix anchor scroll without tabs (#38586) @oliviertassinari
- [docs-infra] Retain velocity animation speed (#38470) @oliviertassinari
- [docs-infra] Follow import and CSS token standard (#38508) @oliviertassinari
- [docs-infra] Add icon to callouts (#38525) @alexfauquette
- [docs-infra] Fix the anchor link on headings (#38528) @danilo-leal
- [docs-infra] Cleanup code on demo code block expansion (#38522) @ZeeshanTamboli
- [docs-infra] Improve the heading buttons positioning (#38428) @danilo-leal
- [docs-infra] Customize the blockquote design (#38503) @danilo-leal
- [docs-infra] Improve the alert before a negative feedback (#38500) @danilo-leal
- [docs-infra] Fix GoogleAnalytics missing event for code copy (#38469) @alexfauquette
- [docs-infra] Improve affordance on the code block expansion (#38421) @danilo-leal

All contributors of this release in alphabetical order: @0xturner, @alexfauquette, @alisasanib, @brijeshb42, @codersjj, @cristianmacedo, @danilo-leal, @DiegoAndai, @GresilleSiffle, @homerchen19, @johnmatthiggins, @michaldudak, @mj12albert, @mnajdova, @mwskwong, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.5

<!-- generated comparing v5.14.4..master -->

_Aug 14, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- @mnajdova [made it easier to use third-party components in Base UI slots](https://mui.com/base-ui/getting-started/customization/#overriding-subcomponent-slots) with the introduction of the `prepareForSlot` utility (#38138)

### `@mui/material@5.14.5`

- [TextField] Fix to handle `onClick` on root element (#38072) @LukasTy

### `@mui/codemod@5.14.5`

- [codemod] Add v5.0.0/tree-view-moved-to-x codemod (#38248) @flaviendelangle

### `@mui/joy@5.0.0-beta.2`

- [Input][joy-ui] Fix the `FormHelperText` icon color (#38387) @TheNatkat
- [Skeleton][joy-ui] Soften the pulse animation (#38384) @zanivan
- [TabPanel][joy-ui] Add `keepMounted` prop (#38293) @decadef20

### `@mui/base@5.0.0-beta.11`

- [base-ui] Remove the legacy Extend\* types (#38184) @michaldudak
- [base-ui] Add `useModal` hook (#38187) @mnajdova
- [base-ui] Add `prepareForSlot` util (#38138) @mnajdova
- [useButton][base-ui] Fix tabIndex not being forwarded (#38417) @DiegoAndai
- [useButton][base-ui] Fix onFocusVisible not being handled (#38399) @DiegoAndai

### Docs

- [blog] Blog post for MUI X mid v6. Date Pickers, Data Grid, and Charts (#38241) @richbustos
- [docs][base-ui] Update number input API docs (#38363) @mj12albert
- [docs] Improve page transition speed (#38394) @oliviertassinari
- [docs] Improve examples (#38398) @oliviertassinari
- [docs][docs] Add `FileUpload` demo (#38420) @sai6855
- [docs][joy-ui] Refine the Order Dashboard template design (#38395) @zanivan
- [docs][material-ui][joy-ui] Simplify the Quickstart section on the Usage page (#38385) @danilo-leal
- [docs][Menu][joy] Explain how to control the open state (#38355) @michaldudak
- [docs][material] Revise the Support page (#38207) @samuelsycamore
- [docs][material-ui] Remove incorrect `aria-label`s in extended variant examples of Floating Action Button (#37170) @ashleykolodziej
- [docs][material-ui] Adjust slightly the installation page content (#38380) @danilo-leal
- [docs][Switch] Fix the readOnly class name in docs (#38277) @michaldudak
- [docs][TablePagination] Add Tailwind CSS & plain CSS introduction demo (#38286) @mnajdova

### Examples

- [examples] Add Joy UI + Vite.js + TypeScript example app (#37406) @nithins1

### Core

- [core] Consistent URL add leading / @oliviertassinari
- [docs-infra] Fix rebase issue @oliviertassinari
- [docs-infra] Fix typo in docs infra docs @oliviertassinari
- [docs-infra] Fix nested list margin (#38456) @oliviertassinari
- [docs-infra] Move the Diamond Sponsors to the TOC (#38410) @danilo-leal
- [docs-infra] Move imports into page data (#38297) @alexfauquette
- [docs-infra] Adjust heading styles (#38365) @danilo-leal
- [docs-infra] Fix info callout border color (#38370) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @ashleykolodziej, @danilo-leal, @decadef20, @DiegoAndai, @flaviendelangle, @LukasTy, @michaldudak, @mj12albert, @mnajdova, @nithins1, @oliviertassinari, @richbustos, @sai6855, @samuelsycamore, @TheNatkat, @zanivan

## 5.14.4

<!-- generated comparing v5.14.3..master -->

_Aug 8, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Added [Number Input](https://mui.com/base-ui/react-number-input/) component & [useNumberInput](https://mui.com/base-ui/react-number-input/#hook) hook in [Base UI](https://mui.com/base-ui/getting-started/) @mj12albert

### `@mui/material@5.14.4`

- [Checkbox][material] Add size classes (#38182) @michaldudak
- [Typography] Improve inherit variant logic (#38123) @ZeeshanTamboli

### `@mui/system@5.14.4`

- Revert "[Box] Remove `component` from TypeMap (#38168)" (#38356) @michaldudak

### `@mui/base@5.0.0-beta.10`

#### Breaking changes

- [base] Ban default exports (#38200) @michaldudak

  Base UI default exports were changed to named ones. Previously we had a mix of default and named ones.
  This was changed to improve consistency and avoid problems some bundlers have with default exports.
  See https://github.com/mui/material-ui/issues/21862 for more context.

  ```diff
  - import Button, { buttonClasses } from '@mui/base/Button';
  + import { Button, buttonClasses } from '@mui/base/Button';
  - import BaseMenu from '@mui/base/Menu';
  + import { Menu as BaseMenu } from '@mui/base/Menu';
  ```

  Additionally, the `ClassNameGenerator` has been moved to the directory matching its name:

  ```diff
  - import ClassNameGenerator from '@mui/base/className';
  + import { ClassNameGenerator } from '@mui/base/ClassNameGenerator';
  ```

  A codemod is provided to help with the migration:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-use-named-exports <path>
  ```

#### Changes

- [base] Create useNumberInput and NumberInput (#36119) @mj12albert
- [Select][base] Fix flicker on click of controlled Select button (#37855) @VishruthR
- [Dropdown] Fix imports of types (#38296) @yash-thakur

### `@mui/joy@5.0.0-beta.1`

- [joy-ui][MenuButton] Fix disable of `MenuButton` (#38342) @sai6855

### Docs

- [docs][AppBar] Fix `ResponsiveAppBar` demo logo href (#38346) @iownthegame
- [docs][base] Add Tailwind CSS + plain CSS demo on the Button page (#38240) @alisasanib
- [docs][Menu][base] Remove `Unstyled` prefix from demos' function names (#38270) @sai6855
- [docs] Add themeable component guide (#37908) @siriwatknp
- [docs] Fix Joy UI demo background color (#38307) @oliviertassinari
- [docs] Update API docs for Number Input component (#38301) @ZeeshanTamboli
- [docs][joy-ui] Revise the theme typography page (#38285) @danilo-leal
- [docs][joy-ui] Add TS demo for Menu Bar (#38308) @sai6855
- [docs][joy-ui] Updated Typography callout at getting started (#38289) @zanivan
- [docs][joy-ui] Fix the Inter font installation instructions (#38284) @danilo-leal
- [docs][material] Add note to Autocomplete about ref forwarding (#38305) @samuelsycamore
- [docs][Skeleton] Make the demos feel more realistic (#38212) @oliviertassinari

- [examples] Swap Next.js examples between App Router and Pages Router; update naming convention (#38204) @samuelsycamore
- [examples][material-ui] Add Material UI + Next.js (App Router) example in JS (#38323) @samuelsycamore
- [blog] Discord announcement blog (#38258) @richbustos
- [blog] Fix 301 links to Toolpad @oliviertassinari

### Core

- [core] Fix docs demo export function consistency (#38191) @oliviertassinari
- [core] Fix the link-check script on Windows (#38276) @michaldudak
- [core] Use @testing-library/user-event direct API (#38325) @mj12albert
- [core] Port GitHub workflow for ensuring triage label is present (#38312) @DanailH
- [docs-infra] Consider files ending with .types.ts as props files (#37533) @mnajdova
- [docs-infra] Fix skip to content design (#38304) @oliviertassinari
- [docs-infra] Add a general round of polish to the API content display (#38282) @danilo-leal
- [docs-infra] Make the side nav collapse animation snappier (#38259) @danilo-leal
- [docs-infra] New Component API design followup (#38183) @cherniavskii
- [test] Remove unnecessary `async` keyword from test (#38373) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alisasanib, @cherniavskii, @DanailH, @danilo-leal, @iownthegame, @michaldudak, @mj12albert, @mnajdova, @noraleonte, @oliviertassinari, @richbustos, @sai6855, @samuelsycamore, @siriwatknp, @VishruthR, @yash-thakur, @zanivan, @ZeeshanTamboli

## 5.14.3

<!-- generated comparing v5.14.2..master -->

_Jul 31, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Joy UI](https://mui.com/joy-ui/getting-started/) is now in Beta
- ✨ Refine [Joy UI](https://mui.com/joy-ui/getting-started/)'s default theme @siriwatknp @zanivan
- 🎉 Added Dropdown higher-level menu component [Base UI](https://mui.com/base-ui/getting-started/) @michaldudak
- 💫 Added Material You [Badge](https://mui.com/material-ui/react-badge/#material-you-version) to `material-next` (#37850) @DiegoAndai

### `@mui/material@5.14.3`

- [Autocomplete][material][joy] Add default `getOptionLabel` prop in ownerState (#38100) @DSK9012
- [Menu][Divider][material] Do not allow focus on Divider when inside Menu list (#38102) @divyammadhok
- [typescript][material] Rename one letter type parameters (#38155) @michaldudak
- [Menu][material] Fixes slots and slotProps overriding defaults completely (#37902) @gitstart
- [Theme][material] Add missing styleOverrides type for theme MuiStack (#38189) @DiegoAndai
- [typescript][material] Add `component` field to `*Props` types (#38084) @michaldudak

### `@mui/base@5.0.0-beta.9`

#### Breaking changes

- [Dropdown][base][joy] Introduce higher-level menu component (#37667) @michaldudak

#### Other changes

- [typescript][base] Rename one letter type parameters (#38171) @michaldudak

### `@mui/joy@5.0.0-beta.0`

- [joy] Refine the default theme (#36843) @siriwatknp

### `@mui/material-next@6.0.0-alpha.95`

- [Badge][material-next] Add Badge component (#37850) @DiegoAndai
- [Chip][material-next] Copy chip component from material (#38053) @DiegoAndai
- [typescript][material-next] Rename one letter type parameters (#38172) @michaldudak

### `@mui/system@5.14.3`

- [Box][system] Remove `component` from TypeMap (#38168) @michaldudak
- [Stack][system] Fix CSS selector (#37525) @sai6855

### Docs

- [docs] Update Joy UI's package README (#38262) @ZeeshanTamboli
- [docs][base-ui] Add new batch of coming soon pages (#38025) @danilo-leal
- [docs] fix links to standardized examples (#38193) @emmanuel-ferdman
- [docs-infra] Small design polish to the Diamond Sponsor container (#38257) @danilo-leal
- [docs-infra] Show props in the table of content (#38173) @alexfauquette
- [docs-infra] Polish API page design (#38196) @oliviertassinari
- [docs-infra] Search with productCategory when product is missing (#38239) @oliviertassinari
- [docs][material] Revise and update Examples doc (#38205) @samuelsycamore
- [docs] Fix typo in notifications.json @mbrookes
- [docs-infra] Remove leftover standardNavIcon (#38252) @DiegoAndai
- [docs][base] Add Tailwind CSS & plain CSS demos on the Popper page (#37953) @zanivan
- [docs][Button][joy] Improve `loading` prop documentation (#38156) @sai6855
- [docs] Prepare docs infra for Tree View migration to X (#38202) @flaviendelangle
- [docs] Fix SEO issues reported by ahrefs @oliviertassinari
- [docs] Fix palette pages - live edit not working (#38195) @oliviertassinari
- [docs] Add Google Analytics action for the styling menu (#38085) @mnajdova
- [docs] Fix Discord redirection chain @oliviertassinari
- [docs] Cover pnpm in more places (#38161) @oliviertassinari
- [docs] Avoid broken link (#38154) @oliviertassinari
- [docs] Add notification for beta release of Toolpad (#38152) @prakhargupta1
- [docs-infra] Remove sidenav icons (#38174) @oliviertassinari
- [docs-infra] Fix search ranking when no productId (#38162) @oliviertassinari
- [docs-infra] Adjust the side nav for deeper nested items (#38047) @cherniavskii
- [docs][joy] Update TS file of adding more typography levels demo to match the corresponding JS file's styles (#38232) @ZeeshanTamboli
- [docs][joy] Add TS demo for reusable component section in approaches page (#38210) @sai6855
- [docs][joy] Add TS demo for theme typography new level customization (#38199) @sai6855

### Core

- [blog] Fix blog post slug Base UI (#38254) @oliviertassinari
- [core] Use native Node's fetch instead of node-fetch package (#38263) @michaldudak
- [core] Remove dead code @oliviertassinari
- [core] Polish Stack test to closer CSS injection order @oliviertassinari
- [core] Remove unnecessary `Required` utility type from Typography font style type (#38203) @ZeeshanTamboli
- [core] Fix generate Proptypes script skipping unstable items (#38198) @mj12albert

All contributors of this release in alphabetical order: @cherniavskii, @DiegoAndai, @divyammadhok, @DSK9012, @flaviendelangle, @gitstart, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @prakhargupta1, @richbustos, @rluzists1, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.2

<!-- generated comparing v5.14.1..master -->

_Jul 25, 2023_

A big thanks to the 23 contributors who made this release possible.

### @mui/material@5.14.2

- Revert "[core] Adds `component` prop to `OverrideProps` type (#35924)" (#38150) @michaldudak
- [Chip][material] Fix base cursor style to be "auto" not "default" (#38076) @DiegoAndai
- [Tabs] Refactor IntersectionObserver logic (#38133) @ZeeshanTamboli
- [Tabs] Fix and improve visibility of tab scroll buttons using the IntersectionObserver API (#36071) @SaidMarar

### @mui/joy@5.0.0-alpha.89

- [Joy] Replace leftover `Joy-` prefix with `Mui-` (#38086) @siriwatknp
- [Skeleton][joy] Fix WebkitMaskImage CSS property (#38077) @Bestwebdesign
- [Link][Joy UI] Fix font inherit (#38124) @oliviertassinari

### Docs

- [docs] Add listbox placement demo for Select (#38130) @sai6855
- [docs][base] Add Tailwind CSS & plain CSS demo on the Tabs page (#37910) @mnajdova
- [docs][base] Add Tailwind CSS & plain CSS demos on the Textarea page (#37943) @zanivan
- [docs] Fix Joy UI menu example (#38140) @harikrishnanp
- [docs] Remove translations section from contributing guide (#38125) @nikohoffren
- [docs] Fix Base UI Button Tailwind CSS padding @oliviertassinari
- [docs] Mention in hompage hero that Core is free (#38075) @mbrookes
- [docs] Fix a typo in notifications.json (#38078) @mbrookes
- [docs] Add Tailwind CSS & plain CSS demo on the table pagination page (#37937) @mnajdova
- [docs] Implement the new API display design (#37405) @alexfauquette
- [docs] Update migration installation code blocks (#38028) @danilo-leal
- [docs][joy] Revise the Joy UI Link page (#37829) @danilo-leal
- [docs][joy] Add playground for Card component (#37820) @Studio384
- [docs][joy] Add adjustments to the color inversion page (#37143) @danilo-leal
- [docs][material] Improve documentation about adding custom colors (#37743) @DiegoAndai
- [examples] Fix Joy UI Next.js App Router font loading (#38095) @IgnacioUtrilla
- [examples] Fix material-next Font Usage with next/font (#38026) @onderonur

### Core

- [blog] Update Discord invite link in Toolpad beta announcement (#38143) @samuelsycamore
- [blog] Update discord server link (#38131) @prakhargupta1
- [core] Fix rsc-builder removing the first line (#38134) @michaldudak
- [core] Remove the deprecation rule in tslint (#38087) @michaldudak
- [test] Fail the CI when new unexpected files are created (#38039) @oliviertassinari
- [test] Fix linting error by matching main component demo name to filename (#38122) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alexfauquette, @Bestwebdesign, @bharatkashyap, @danilo-leal, @DiegoAndai, @harikrishnanp, @IgnacioUtrilla, @mbrookes, @michaldudak, @mj12albert, @mnajdova, @nikohoffren, @oliviertassinari, @onderonur, @prakhargupta1, @richbustos, @sai6855, @SaidMarar, @samuelsycamore, @siriwatknp, @Studio384, @zanivan, @ZeeshanTamboli

## 5.14.1

<!-- generated comparing v5.14.0..master -->

_Jul 19, 2023_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- 💫 Introducing some new components for Joy UI:
  - [Skeleton](https://mui.com/joy-ui/react-skeleton/) component (#37893) @siriwatknp
  - [ToggleButton](https://mui.com/joy-ui/react-toggle-button-group/) (#37716) @siriwatknp
- 🎉 Base UI has its own [landing page](https://www.mui.com/base-ui)!
- 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.1`

- [FormControlLabel] Fix misplaced asterisk when `labelPlacement` is provided (#37831) @ZeeshanTamboli
- [Slider][material] Fix type dependency on @types/prop-types (#37853) @Methuselah96
- [Menu] Add MuiMenuList to createTheme components key (#37956) @mj12albert
- [Modal] Remove deprecated `BackdropComponent` and `BackdropProps` from tests (#38018) @sai6855

### `@mui/material-next@6.0.0-alpha.93`

- [Slider][material-next] Add use client directive to useSliderElementsOverlap (#37955) @mj12albert
- [Button][material-next] Fix some event handlers being ignored (#37647) @DiegoAndai

### `@mui/base@5.0.0-beta.8`

- [Autocomplete] Make touch and click behavior on an option consistent (#37972) @divyammadhok

### `@mui/joy@5.0.0-alpha.88`

- [Joy][Select] Fix type error caused by custom variant (#37996) @OmPr366
- [ToggleButton][Joy] Add `ToggleButton` component (#37716) @siriwatknp
- [Skeleton] Add Joy UI `Skeleton` component (#37893) @siriwatknp

### `@mui/utils@5.14.1`

- [utils] Add function overload for `useEventCallback` (#37827) @cherniavskii

### Docs

- [docs][base] Add Tailwind CSS & plain CSS demo on the form control page (#37914) @mnajdova
- [docs][base] Make Base UI Select demos denser (#37836) @zanivan
- [docs] Link Material UI from the landing page (#37971) @oliviertassinari
- [docs] Fix the empty /components page (#38010) @brijeshb42
- [docs] Checkout template follows user's color scheme preference (#37928) @OndrejHj04
- [docs] Disable ad for onboarding pages (#37998) @oliviertassinari
- [docs] Fix broken link to Base UI Next.js App Router (#37973) @oliviertassinari
- [docs] Fix typo in next-js-app-router.md (#37974) @ericbrian
- [docs] Add pnpm commands to Material UI Installation page (#36650) @officialrajdeepsingh
- [docs] Link charts in the roadmap (#37944) @oliviertassinari
- [docs] Improve changelog @oliviertassinari
- [docs] Improve the Select docs (#37279) @michaldudak
- [docs][menu] Add Tailwind CSS & plain CSS demo on the Menu page (#37856) @mnajdova
- [example] Update EmotionCacheProvider to work with GlobalStyles (#37962) @siriwatknp

### Core

- [blog] Add blog post about support for Next.js App Router (#37929) @samuelsycamore
- [blog] Blog MUI X pro statement removed (#38015) @prakhargupta1
- [blog] Add Toolpad beta announcement blog (#37799) @prakhargupta1
- [core] Increase space available for sidenav @oliviertassinari
- [core] Adds `component` prop to `OverrideProps` type (#35924) @sai6855
- [core] Fix rsc build step in CI (#38019) @mj12albert
- [core] Remove nx dependency (#37964) @Janpot
- [core] Lock `@types/node` to v18 (#37965) @ZeeshanTamboli
- [core] Update priority support issue template and prompt (#37824) @DanailH
- [core] Remove warnings in docs:api (#37858) @alexfauquette
- [core] Make rimraf work after a major update (#37930) @michaldudak
- [docs-infra] Change the Diamond Sponsor block positioning on the side nav (#37933) @danilo-leal
- [docs-infra] Support backticks in the codeblocks (#37950) @cherniavskii
- [docs-infra] Improve performance hideToolbar: true (#37969) @oliviertassinari
- [docs-infra] Fix button label on mobile (#37997) @oliviertassinari
- [docs-infra] Square drawer corners (#37970) @oliviertassinari
- [docs-infra] Improve tab contrast in codeblock (#38000) @oliviertassinari
- [docs-infra] Fix API generation for Base UI (#37941) @oliviertassinari
- [docs-infra] Fix layout shift on xGrid (#37954) @oliviertassinari
- [docs-infra] Update installation commands to use the new tabs code component (#37927) @danilo-leal
- [docs-infra] Improve disableToc={true} support (#37931) @oliviertassinari
- [docs-infra] Remove icons and tweak the design of the side nav (#37860) @danilo-leal
- [docs-infra] Fix TypeScrit error in demo export (#37830) @oliviertassinari
- [notifications] Add notification for first Charts release (#37679) @joserodolfofreitas

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @cherniavskii, @DanailH, @danilo-leal, @DiegoAndai, @divyammadhok, @ericbrian, @Janpot, @joserodolfofreitas, @Methuselah96, @michaldudak, @mj12albert, @mnajdova, @officialrajdeepsingh, @oliviertassinari, @OmPr366, @OndrejHj04, @prakhargupta1, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.0

<!-- generated comparing v5.13.7..master -->

_Jul 11, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 💫 Material UI, Joy UI, and Base UI are compatible with [Next.js App Router](https://nextjs.org/docs/app) (#37656) @mj12albert
- 📚 Added new guides for integrating with Next.js 13 App Router (#37656) @mj12albert
  - Ⓜ️ [Material UI guide](https://mui.com/material-ui/guides/next-js-app-router/)
  - 🅙 [Joy UI guide](https://mui.com/joy-ui/integrations/next-js-app-router/)
  - 🅱️ [Base UI guide](https://mui.com/base-ui/guides/next-js-app-router/)
- 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.0`

- [Autocomplete] Enable global customization of different options (#36971) @nicolas-ot

### `@mui/material-next@6.0.0-alpha.92`

- [Slider][material-next] Slider restructure and style improvements (#37644) @DiegoAndai

### `@mui/joy@5.0.0-alpha.87`

- [ButtonGroup] Fix style for single Button (#37692) @MaybePixem
- Fix theme typography fallback value (#37845) @siriwatknp

### `@mui/icons-material@5.14.0`

- [icons-material] Rebuild icons with `"use client"` (#37894) @mj12albert

### Docs

- [docs] Polish Ukraine banner (#37905) @oliviertassinari
- [docs] Reduce Ukraine banner size (#34795) @oliviertassinari
- [docs] Add callouts about controlled vs uncontrolled components in Core docs (#37849) @samuelsycamore
- [docs] Add missing Portal elements to Tailwind CSS interoperability guide (#37807) @enrique-ramirez
- [docs] Small pickers migration improvement (#37815) @alexfauquette
- [docs] Fix pickers product name (#37825) @LukasTy
- [docs][Joy][Link] Set `variant` and `color` defaults for the playground (#37817) @Studio384
- [docs][Joy][Table] Add `undefined` as an option to `stripe` (#37816) @Studio384
- [docs][base] Add Tailwind CSS & plain CSS demo on the Snackbar page (#37812) @mnajdova
- [docs][base] Add Tailwind CSS & plain CSS demo on Badge page (#37768) @mnajdova
- [docs][base] Fix Nested modal demo positioning (#37506) @gitstart
- [docs][base] Add Tailwind CSS & plain CSS demo on the Switch page (#37728) @mnajdova
- [docs-infra] Remove code tags in ToC (#37834) @cherniavskii
- [docs-infra] Fixes in API pages generation (#37813) @mnajdova
- [docs-infra] Add test case when using sh (#37818) @oliviertassinari
- [docs-infra] Use icons instead of words for the code copy button (#37664) @danilo-leal
- [docs-infra] Fix code parser (#37828) @alexfauquette
- [docs-infra] Fix `marked` deprecation warning (#37769) @alexfauquette
- [docs-infra] Allows to use codeblock in the docs (#37643) @alexfauquette
- [docs-infra][joy] Change Joy UI's playground variant selector (#37821) @danilo-leal

### Core

- [core] Prepend "use-client" directive + add docs and examples for using the library with Next.js App Router (#37656) @mj12albert
- [core] Fix imports to React (#37863) @oliviertassinari
- [core] Disambiguate eslint plugin name @oliviertassinari
- [core] Sync the lint script name with the other repositories @oliviertassinari
- [core] Point to Crowdin directly @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @cherniavskii, @danilo-leal, @DiegoAndai, @enrique-ramirez, @gitstart, @LukasTy, @MaybePixem, @mj12albert, @mnajdova, @nicolas-ot, @oliviertassinari, @samuelsycamore, @siriwatknp, @Studio384

## 5.13.7

<!-- generated comparing v5.13.6..master -->

_Jul 4, 2023_

A big thanks to the 21 contributors who made this release possible.
This release focuses primarily on 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.13.7`

- [OutlinedInput] Fix form control properties in `ownerState` (#37668) @vonagam

### `@mui/system@5.13.7`

- [Stack] Fix spacing when there are `<style>` children (#34966) @cmd-johnson

### `@mui/icons-material@5.13.7`

- [icons] Add Microsoft logo (#37717) @zephyrus21

### `@mui/joy@5.0.0-alpha.86`

- [Autocomplete][joy] Fix Autocomplete and Modal components to work together (#37515) @saikathalderr
- [Menu][Joy] Improve UX of `Menu` usage demo (#37797) @sai6855

### `@mui/base@5.0.0-beta.6`

- [Slider][base][material][joy] Fix not draggable on the edge when `disableSwap={true}` (#35998) @sai6855
- [Slider][base] Provide slot state to Slider's thumb slot props callback (#37749) @mnajdova
- [Tabs] Wrap TabsList context creation in useMemo (#37370) @michaldudak
- [TextareaAutosize] Fix wrong height measurement (#37185) @bigteech

### `@mui/lab@5.0.0-alpha.135`

- [Timeline] Fix position `alternate-reverse` generated classname (#37678) @ZeeshanTamboli

### Docs

- [docs][base] Add demo for using the Button as a link (#37317) @AdamSundberg
- [docs][base] Add Tailwind CSS + plain CSS demo on the Select page (#37725) @mnajdova
- [docs][base] Make Base UI input demos denser (#37750) @zanivan
- [docs][base] Make Base UI button demos denser (#37689) @zanivan
- [docs][base] Add Tailwind CSS & plain CSS demos on the Input page (#37685) @mnajdova
- [docs][base] Fix horizontal scrolling on the mobile input page (#37688) @zanivan
- [docs] Improve Base UI index page (#37761) @oliviertassinari
- [docs] Fix incorrect package URL in README of example material-vite (#37755) @Dlouxgit
- [docs] Explain how to disable Base Select's portal (#37684) @michaldudak
- [docs] Shorten overview page URLs (#37660) @oliviertassinari
- [docs][material] Rename custom tab panel in Tabs demo to prevent confusion with @mui/lab (#37638) @MUK-Dev
- [docs][tabs] Document how to use routing with Tabs in Base UI (#37369) @michaldudak
- [docs] Rename product to productId (#37801) @siriwatknp
- [docs][base] Add Tailwind CSS & plain CSS demo on the Slider page (#37736) @mnajdova

### Core

- [docs–infra] Prevent displaying multiple ads (#37696) @oliviertassinari
- [blog] Fix mismatch between plan and link @oliviertassinari
- [core] Update yarn lockfile (#37802) @michaldudak
- [core] Add bundle size Toolpad app link to PRs (#36311) @Janpot
- [core] Fix priority support prompt action flow (#37726) @DanailH
- [core] Fix typo in priority support @oliviertassinari
- [core][docs] add Eslint rule to ensure main demo component match file… (#37278) @alexfauquette
- [docs-infra] Fix truncated TOCs scrollbar (#37770) @oliviertassinari
- [docs-infra] Adjust demo container to be glued to the toolbar (#37744) @danilo-leal
- [docs-infra] Fix layout shift ad (#37694) @oliviertassinari
- [docs-infra] Improve demos toolbar (#37762) @oliviertassinari
- [docs-infra] Make the GitHub link in the nav bar open in a new tab (#37766) @gateremark
- [docs-infra] Allow to persist icons in ToC (#37731) @cherniavskii
- [docs-infra] Improve product mapping (#37729) @oliviertassinari
- [docs-infra] Add design polish to the comment and anchor buttons (#37734) @danilo-leal
- [docs-infra] Tweak editable code blocks callout design (#37681) @danilo-leal
- [docs-infra] Improve the edit page experience (#37695) @oliviertassinari
- [docs-infra] Support rendering markdown outside of docs (#37691) @oliviertassinari
- [docs-infra] Polish demo toolbar button designs (#37680) @danilo-leal
- [docs-infra] Adjust demo component container design (#37659) @danilo-leal
- [test] Fix test:e2e local run (#37719) @oliviertassinari
- [test] Remove failing test in dev @oliviertassinari

All contributors of this release in alphabetical order: @AdamSundberg, @alexfauquette, @bigteech, @cherniavskii, @cmd-johnson, @DanailH, @danilo-leal, @Dlouxgit, @gateremark, @Janpot, @michaldudak, @mnajdova, @MUK-Dev, @oliviertassinari, @sai6855, @saikathalderr, @siriwatknp, @vonagam, @zanivan, @ZeeshanTamboli, @zephyrus21

## 5.13.6

_Jun 21, 2023_

A big thanks to the 25 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added [Slider](https://mui.com/material-ui/react-slider/#material-you-version) component using the new Material You design language (#37520) @DiegoAndai.
- 📚 Added [examples](https://github.com/mui/material-ui/tree/master/examples/material-ui-nextjs-ts) showcasing how you can use Material UI with next.js's app directory (#37315) @smo043

### `@mui/material@5.13.6`

- [Autocomplete] Fixed autocomplete's existing option selection (#37012) @bencevoros
- [Autocomplete] Add hint demos to Material UI and Joy UI docs (#37496) @sai6855
- [Masonry] Fix ResizeObserver loop limit exceeded error (#37208) @hbjORbj
- [Tooltip][material] Improve warning when Tooltip receives string child (#37530) @DiegoAndai
- [Modal] Add missing members to ModalOwnProps (#37568) @ivp-dev
- [Slider] Arrow keys control does not work with float numbers (#37071) @gitstart
- [SvgIcon] allow `svg` as a child (#37231) @siriwatknp
- [Timeline] Add alternate reverse position (#37311) @abhinavkmrru
- [Tooltip] Fix type of sx prop in `slotProps` (#37550) @SuperKXT
- [TouchRipple] perf: avoid calling `clearTimeout()` (#37512) @romgrk

### `@mui/material-next@6.0.0-alpha.90`

- [Material You] Add Slider component with Material You design (#37520) @DiegoAndai

### `@mui/joy@5.0.0-alpha.85`

- [ButtonGroup][joy] Missing border when spacing is more than zero (#37577) @siriwatknp
- [CardActions][joy] Add `CardActions` component (#37441) @siriwatknp
- [Menu][joy] Fix closing of `Menu` in demos (#36917) @sai6855

### `@mui/base@5.0.0-beta.5`

- [Menu][base] Add the resetHighlight action (#37392) @michaldudak
- [Select][base] Expose the `areOptionsEqual` prop (#37615) @michaldudak

### `@mui/utils@5.13.2`

- [utils] Allow nested imports in @mui/utils to speed up build (#37586) @flaviendelangle

### Docs

- [docs][base] Improve Base UI all components images (#37590) @danilo-leal
- [docs][base] Add pages for coming soon components (#37575) @danilo-leal
- [docs][base] Add a Snackbar introduction demo (#37602) @danilo-leal
- [docs][base] Add page for all Base UI components (#37536) @danilo-leal
- [docs] Fix scrollbar on snackbar page (#37657) @oliviertassinari
- [docs] Switch order of snackbar buttons in demos (#37389) @Primajin
- [docs] Add support for Tailwind CSS and plain CSS demos (#37319) @mnajdova
- [docs] Tree view color fix for dark mode in Gmail example (#37051) @PunitSoniME
- [docs] Inline the Base UI demo (#37603) @oliviertassinari
- [docs] Fix typo in themed components page (#37598) @vinayr
- [docs] Fix render inline code in CSS description generation (#37448) @alexfauquette
- [docs] Add styles to styled argument list (#37558) @DiegoAndai
- [docs] Improve awkward wording in READMEs of example projects (#37110) @DIWAKARKASHYAP
- [docs] Fix small base -> base-ui migration issue (#37594) @oliviertassinari
- [docs] Fix GitHub typo (#37578) @oliviertassinari
- [docs] Improve release guide (#37547) @DiegoAndai
- [docs] Review fixes to the Material UI's "Example projects" page (#37444) @danilo-leal
- [docs][joy] Add a messages template (#37546) @sernstberger
- [docs][joy] Add pages for coming soon Joy UI components (#36920) @danilo-leal
- [docs][joy] Add design and consistency tweaks to the Playground (#37580) @danilo-leal
- [docs] Add and revise Base UI + Create React App examples (#36825) @samuelsycamore
- [docs-infra] Fix demos border radius (#37658) @oliviertassinari
- [docs-infra] Add analyticsTags to Algolia (#37600) @Janpot
- [docs-infra] Simplify product id handling (#37593) @oliviertassinari
- [changelog] Add missing release date for v5.13.5 @oliviertassinari
- [examples] Shell command fix in the readme file of material-next-ts example (#37675) @bablukpik
- [examples] Next.js v13 App Router with Material UI (#37315) @smo043

### Core

- [core] Update to Node.js v18 for `test-dev` CI (#37604) @ZeeshanTamboli
- [core] Add priority support issue template (#37671) @DanailH

All contributors of this release in alphabetical order: @abhinavkmrru, @alexfauquette, @bencevoros, @cherniavskii, @danilo-leal, @DiegoAndai, @DIWAKARKASHYAP, @flaviendelangle, @gitstart, @hbjORbj, @ivp-dev, @Janpot, @michaldudak, @mnajdova, @oliviertassinari, @Primajin, @PunitSoniME, @richbustos, @romgrk, @sai6855, @sernstberger, @siriwatknp, @SuperKXT, @vinayr, @ZeeshanTamboli

## 5.13.5

_Jun 12, 2023_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added `ButtonGroup` component in Joy UI (#37407) @siriwatknp.
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.5`

- [Material][Popover] Add support for virtual element as anchorEl (#37465) @DiegoAndai

### `@mui/joy@5.0.0-alpha.84`

- [ButtonGroup][joy] Replace `detached` prop with `spacing`. (#37562) @siriwatknp
- [ButtonGroup][joy] Add `ButtonGroup` component (#37407) @siriwatknp
- [Input][joy] Simplify focus with `:focus-within` and add examples (#37385) @siriwatknp

### Docs

- [docs] Move Toolpad from alpha to beta (#37288) @bharatkashyap
- [docs] Add usage of createCssVarsProvider (#37513) @brijeshb42
- [docs] Update /base url references to /base-ui (#37412) @brijeshb42
- [docs] Skip components and hooks due to duplicate index (#37539) @siriwatknp
- [docs] Polish Sign in to your account joy demo (#37498) @oliviertassinari
- [docs] Remove outdated Material UI FAQ @oliviertassinari
- [docs] Fix crash access to localStorage in Firefox (#37518) @brijeshb42
- [docs-infra] Enforce max length on description (#37565) @oliviertassinari
- [docs-infra] Mandatory versions (#37497) @oliviertassinari
- [docs-infra] Fix lighthouse img size issue (#37415) @oliviertassinari
- [docs][joy] Replace JoyInput with Input component in JoyUI Text Field documentation (#37548) @musama619
- [docs][joy] Add typography introduction demo component (#37553) @sernstberger
- [docs][joy] Add a rental dashboard template (#37453) @sernstberger

### Core

- Move the React Community Engineer - X in Open Roles (#37552) @DanailH
- [core] Update Node.js version to v18 on CircleCI, CodeSandbox, and Netlify (#37173) @ZeeshanTamboli

All contributors of this release in alphabetical order: @brijeshb42, @cherniavskii, @DanailH, @DiegoAndai, @musama619, @oliviertassinari, @sernstberger, @siriwatknp, @ZeeshanTamboli

## 5.13.4

<!-- generated comparing v5.13.3..master -->

_Jun 5, 2023_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

### `@mui/material@5.13.4`

- [Autocomplete][material] Add missing `focusVisible` class in AutocompleteClasses (#37502) @sai6855
- [Menu][material] Fix MenuPaper class composition precedence (#37390) @DiegoAndai
- [MenuList] Fix to allow conditional rendering for a menu item under ListSubheader (#36890) @danielplewes
- [Stepper] Handle progress bar of mobile stepper when `steps` is one (#37079) @gitstart

### `@mui/base@5.0.0-beta.4`

- [Input][base] Fix calling slotProps event handlers (#37463) @sai6855

### `@mui/joy@5.0.0-alpha.82`

- [Avatar][joy] Fallback to `alt` when `src` or `srcSet` are not defined (#37469) @vishalthatipamula0219
- [Card][joy] Improve usability of card family (#37474) @siriwatknp

### Docs

- [docs][base] useAutocomplete demos & docs (#37029) @mj12albert
- [docs][base] Remove usage of `component` prop in docs (#37462) @sai6855
- [docs] Fix docs redirections @oliviertassinari
- [docs] Fix Fluent -> Fluent UI @oliviertassinari
- [docs] Fix MUI Base -> Base UI @oliviertassinari
- [docs] Add base-vite-tailwind example repo (#36994) @mj12albert
- [docs] Fix search bar layout shift (#37460) @oliviertassinari
- [docs] Tweak Material UI's "Showcase" page design (#37259) @danilo-leal
- [docs] Tweak Material UI's "Template" page design (#37260) @danilo-leal
- [docs] Fix "Language" page removal leftovers (#37408) @danilo-leal
- [docs] Move contents of css-variables to sibling pages (#37411) @brijeshb42

### Core

- [core] Do not let Renovate handle `examples` packages updates (#37386) @ZeeshanTamboli

All contributors of this release in alphabetical order: @brijeshb42, @danielplewes, @danilo-leal, @DiegoAndai, @gitstart, @MBilalShafi, @mj12albert, @oliviertassinari, @sai6855, @siriwatknp, @vishalthatipamula0219, @ZeeshanTamboli

## 5.13.3

<!-- generated comparing v5.13.2..master -->

_May 29, 2023_

A big thanks to the 15 contributors who made this release possible.
This release focuses primarily on 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.3

- [Autocomplete] Accept external Listbox ref (#37325) @sai6855
- [Modal] Pass `className` from `BackdropProps` (#37399) @hbjORbj

### `@mui/base@5.0.0-beta.3`

- [base] Maintain nodes document order in compound components (#36857) @michaldudak
- [base][joy] Prevent persisting hover state styles onclick on mobile (#36704) @gitstart
- [Menu][base] MenuItem as a link does not work (#37242) @nicolas-ot
- [MenuItem][Base] Pass idGenerator function (#37364) @sai6855
- [Slider][Base] Add Vertical slider demo (#37357) @sai6855

### `@mui/joy@5.0.0-alpha.82`

- [Select][joy] Fix popup does not close (#37435) @siriwatknp
- [Badge][Joy] Fix `slots` element type in API docs (#37329) @zignis
- [Select] [joy] Handle long text content (#37289) @akash191095
- [Tooltip][Joy] Interactive doesn't work (#37159) @nicolas-ot

### `@mui/codemod@5.13.3

- [mui-codemod] Add missing script to README (#37377) @hbjORbj

### Docs

- [docs] Clarify Hidden down props as exclusive (#36927) @canac
- [docs] Add refine to Material UI "Related projects" and "More advanced example projects" pages (#37308) @necatiozmen
- [docs] Remove todo link from sidebar (#37373) @brijeshb42
- [docs] Clarify the peer dependency with react (#37360) @oliviertassinari
- [docs] Divider vertical middle prop migration (#36840) @JhonnK08
- [docs] Fix branding theme tabs and navigation bar regressions (#37362) @ZeeshanTamboli
- [docs-infra] Throw on incorrect internal links (#37326) @oliviertassinari

### Core

- [core] Include scoped JSX namespace when resolving props (#37404) @LukasTy
- [test][useMediaQuery] Change SSR test description (#37403) @zignis

All contributors of this release in alphabetical order: @akash191095, @brijeshb42, @canac, @DavidCnoops, @gitstart, @hbjORbj, @JhonnK08, @LukasTy, @michaldudak, @necatiozmen, @nicolas-ot, @oliviertassinari, @sai6855, @ZeeshanTamboli, @zignis

## 5.13.2

<!-- generated comparing v5.13.1..master -->

_May 22, 2023_

A big thanks to the 12 contributors who made this release possible.
📚 This release focuses primarily on documentation improvements.

### `@mui/material@5.13.2

- [Slider] Tooltip positioning fixed for vertical slider (#37049) @PunitSoniME

### Docs

- [docs][base] Remove default annotations from useTabsList return type (#37324) @TinaSay
- [docs][base] Remove default annotations from useTabPanel return type (#37323) @TinaSay
- [docs][base] Remove default annotations from useSwitch return type (#37322) @TinaSay
- [docs][base] Remove default annotations from useInput return type (#37321) @TinaSay
- [docs][base] Remove default annotations from useAutocomplete return type (#37320) @TinaSay
- [docs][base] Remove default annotations from useBadge's return type (#37313) @TinaSay
- [docs][base] Remove default annotations from useButton's return type (#37312) @TinaSay
- [docs][base] Remove default annotations from useSlider's return type (#37309) @TinaSay
- [docs] Remove Material UI's "Languages" page (#37314) @danilo-leal
- [docs] Prefer to link GitHub repository @oliviertassinari
- [docs] Move product versions to page context (#35078) @m4theushw
- [docs] Fix v5 migration npm install instruction (#37293) @oliviertassinari
- [docs][Tab] Add vertical tabs demo (#37292) @sai6855
- [docs][Transitions] Fix typo in code sample (#37300) @alexfauquette
- [examples] Remove `@babel/plugin-proposal-class-properties` from Material-Express-SSR example (#37305) @ZeeshanTamboli
- [Website] Add Brijesh to About page (#37318) @brijeshb42

### Core

- Revert "[core] Remove outdated babel proposal plugins (#36795)" (#37331) @michaldudak
- [core] Move esmExternals to the shared next config (#37332) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @cherniavskii, @danilo-leal, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @sai6855, @TinaSay, @ZeeshanTamboli

## 5.13.1

<!-- generated comparing v5.13.0..master -->

_May 16, 2023_

A big thanks to the 25 contributors who made this release possible. Here are some highlights ✨:

- 🌏 Added Central Myanmar (my-MY), Malay (ms-MS), Nepali (ne-NP), Tagalog (tl-TL) locales (#37017) @cccEric
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.1`

- [Autocomplete] Allow tooltip text selection (#36503) @safeamiiir
- [Dialog] Fixed broken dialog when using maxWidth="xs" and custom breakpoint unit (#37237) @jguddas
- [l10n] Add Central Myanmar (my-MY), Malay (ms-MS), Nepali (ne-NP), Tagalog (tl-TL) locales (#37017) @cccEric

### `@mui/utils@5.13.1`

- [utils] Fix downstream bundlers remove React 17 useId compatibility (#37183) @nickiaconis

### `@mui/base@5.0.0-beta.1`

- [Select][base] Keep focus on the trigger element when listbox is open (#37244) @michaldudak

### `@mui/joy@5.0.0-alpha.80`

- [Autocomplete] Fixed scroll into view (#37217) @sai6855
- [AutocompleteOption][Avatar] js test replaced with ts test (#37088) @PunitSoniME
- [Breadcrumbs] Replace js-tests with ts-tests (#37107) @mauwaz
- [RadioGroup] Turn JS test to TS test (#37138) @uuxxx
- [SvgIcon] Turn JS test to TS test (#37151) @nicolas-ot
- [Tooltip] Turn JS test to TS test (#37149) @nicolas-ot
- [Typography] Convert Typography test to TypeScript (#37165) @DerTimonius
- [Sheet][Slider][Stack][Switch] Replace js-tests with ts-tests (#37139) @mauwaz
- Miscellaneous fixes (#37274) @siriwatknp

### Docs

- [docs] Remove upload button (#36844) @Bastian
- [docs] Update link to overriding component structure guide (#36870) @hbjORbj
- [docs] Fix Material Design templates (#37187) @oliviertassinari
- [docs] Fix link to Joy UI GitHub issues @oliviertassinari
- [docs] Show default value for `filterOptions` prop in Autocomplete's API docs (#37230) @ZeeshanTamboli
- [docs] Add summary and improve `test_static` CI doc in CONTRIBUTING readme file (#36711) @kriskw1999
- [docs] Update theme customization TypeScript (#35551) @siriwatknp
- [docs] Add Joy Frames X web blocks template (#37203) @siriwatknp
- [docs] Change Base UI `alpha()` to `beta()` in README (#37228) @ZeeshanTamboli
- [docs] Improve Base UI overview page (#37227) @mnajdova
- [docs] Update Joy + Material guide (#36911) @cherniavskii

### Core

- [core] Remove `toEqualDateTime` chai matcher (#37073) @flaviendelangle
- [core] Check dependency cycles inside packages directory only (#37223) @michaldudak
- [core] Remove outdated babel proposal plugins (#36795) @kkocdko

All contributors of this release in alphabetical order: @Bastian, @binh1298, @cccEric, @cherniavskii, @DerTimonius, @DiegoAndai, @flaviendelangle, @hbjORbj, @jguddas, @kkocdko, @kriskw1999, @mauwaz, @michaldudak, @mnajdova, @nickiaconis, @nicolas-ot, @oliviertassinari, @PunitSoniME, @richbustos, @safeamiiir, @sai6855, @siriwatknp, @uuxxx, @zanivan, @ZeeshanTamboli

## 5.13.0

<!-- generated comparing v5.12.3..master -->

_May 10, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Base UI is now in beta - all planned breaking changes are now complete!
- 🗺 We have new [project boards](https://github.com/mui/material-ui/projects?query=is%3Aopen) on GitHub where you can learn about what's coming next.
- 🐛 Various bug fixes, 📚 documentation and 🧪 testing improvements

### `@mui/material@5.13.0`

- [Autocomplete] Support `ChipComponent` type (#37112) @sai6855
- [AppBar] Fix component type (#37172) @sai6855
- [Select] Simplify handleChange in SelectInput (#37040) @ulrichstark

### `@mui/joy@5.0.0-alpha.79`

- [Input][joy] Improve alignment on date fields (#37146) @wewakekumar
- [Alery][joy] Turn JS test to TS test (#37077) @hbjORbj
- [AspectRatio][joy] js test replaced with TypeScript test (#37087) @PunitSoniME
- [Badge][AvatarGroup][joy] js test replaced with TypeScript test (#37089) @PunitSoniME
- [Box][Card][MenuList][joy] Turn JS test to TS test (#37126) @uuxxx
- [List][Menu][joy] Turn JS test to TS test (#37123) @uuxxx
- [test][Joy] Remove duplicate Avatar test (#37201) @zignis
- [test][joy] js test cases converted to TypeScript (#37117) @PunitSoniME
- [Button][joy] Convert Button test to TypeScript (#37181) @akash191095
- [CardContent][CardCover][CardOverflow][Chip][ChipDelete][joy] js text case converted to TypeScript (#37116) @PunitSoniME
- [Radio][IconButton][Checkbox][Option][joy] Switch to TypeScript unit test (#37137) @DerTimonius

### `@mui/base@5.0.0-beta.0`

- [Select][base] Do not call onChange after initial render (#37141) @michaldudak
- [Select][base] Rename the `optionStringifier` prop (#37118) @michaldudak
- [typescript][base] Fix types of components callbacks parameters (#37169) @michaldudak
- [Select], [TablePagination] Use more descriptive parameter names (#37064) @michaldudak

### Docs

- [docs] Stray design tweaks to Base UI demos (#37003) @danilo-leal
- [docs] Move outdated CSS prefixing docs (#36710) @kriskw1999
- [docs] Improve "Example projects" page design (#37007) @danilo-leal
- [docs] Redirect NoSsr, Portal and TextareaAutosize to Base UI API page (#37175) @ZeeshanTamboli
- [docs] Demonstrate `TextField` customization using theme style overrides (#36805) @ZeeshanTamboli
- [docs] Tweak the "Edit this page" button icon (#37142) @danilo-leal
- [docs] Update links to the public roadmap (#36995) @mnajdova
- [docs] Improve Multiselect demo styling (#37120) @michaldudak
- [Stack] Fix import description @oliviertassinari

### Core

- [blog] Fix images using "MUI Base" instead of "Base UI" (#37044) @danilo-leal
- [core] Add VS Code extensions recommendations (#37166) @michaldudak
- [test] `e2e-website` related minor fixes (#37204) @ZeeshanTamboli

All contributors of this release in alphabetical order: @akash191095, @DanailH, @danilo-leal, @DerTimonius, @gerdadesign, @hbjORbj, @kriskw1999, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @romgrk, @sai6855, @ulrichstark, @uuxxx, @wewakekumar, @ZeeshanTamboli, @zignis

## 5.12.3

<!-- generated comparing v5.12.2..master -->

_May 2, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- all planned breaking changes for Base UI are done. The first beta release should come next week 🎉
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.3`

- [Accordion] Add missing `component` type (#37111) @sai6855
- [ButtonGroup] Should not retain divider color when it is disabled and variant is `text` (#36967) @DavidBoyer11
- [Divider] Fix styles on dividers with text (#35072) @maxdestors
- [TextField] Improve IntelliSense support for props (#36737) @sai6855
- [TextField] Fix running click event on disabled (#36892) @sai6855

### `@mui/joy@5.0.0-alpha.78`

- [Joy] Miscellaneous fixes and docs improvement (#37026) @siriwatknp

### `@mui/base@5.0.0-alpha.128`

#### Breaking changes

- The `component` prop is no longer supported because it can be replaced with the slots API. This is how the transformation will look like:

  ```diff
   <Button
  -  component="span"
  +  slots={{ root: "span" }}
   />
  ```

  If using TypeScript, the custom component type should be added as a generic on the `Button` component.

  ```diff
  -<Button
  +<Button<typeof CustomComponent>
     slots={{ root: CustomComponent }}
     customProp="foo"
   />
  ```

  There is codemod that you can run in your project to do the transformation:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-remove-component-prop <path>
  ```

  The full documentation about the codemod can be found [here](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#base-remove-component-prop).

  This is the list of PR related to this change:

  - [Button][base] Drop `component` prop (#36677) @mnajdova
  - [Badge][base] Drop `component` prop (#37028) @hbjORbj
  - [FormControl][base] Drop component prop (#37031) @hbjORbj
  - [Input][base] Drop component prop (#37057) @hbjORbj
  - [Menu][base] Drop component prop (#37033) @hbjORbj
  - [MenuItem][base] Drop component prop (#37032) @hbjORbj
  - [Modal][base] Drop component prop (#37058) @hbjORbj
  - [Option][base] Drop component prop (#37052) @hbjORbj
  - [OptionGroup][base] Drop component prop (#37055) @hbjORbj
  - [Popper][base] Drop component prop (#37084) @hbjORbj
  - [Select][base] Drop component prop (#37035) @hbjORbj
  - [Slider][base] Drop component prop (#37056) @hbjORbj
  - [Snackbar][base] Drop component prop (#37041) @nicolas-ot
  - [Switch][base] Drop component prop (#37053) @hbjORbj
  - [Tab][base] Drop component prop (#36768) @sai6855
  - [Tabs][base] Drop component prop (#36770) @sai6855
  - [TablePagination][base] Drop component prop (#37059) @sai6855
  - [TabPanel][base] Drop component prop (#37054) @sai6855
  - [TabsList][base] Drop component prop (#37042) @sai6855

- [base] Improve API consistency (#36970) @michaldudak

  Brought consistency to Base UI components and hooks' parameters and return values:

  1. Whenever a hook needs a ref, it's now called `<slot_name>Ref`, which matches the `get<slot_name>Props` in the return value.
  2. All hooks that accept external refs now return merged refs, making combining multiple hooks on one element easier. This was proven necessary in several compound components (like menuItem being both a button and a list item). The type of this value is `React.RefCallback` as using the more general `React.Ref` caused variance issues.
  3. Type of accepted refs is standardized to `React.Ref<Element>`
  4. Naming and typing of the forwarded ref in unstyled components were standardized - it's forwardedRef: React.ForwardedRef<Element> (unless a more specific type is needed).
  5. The shape of the definition of unstyled components was standardized - it's React.forwardRef(function Component(props: Props, forwardedRef: React.Ref<Element>) { ... });. Specifically, the generic parameters of forwardRef were removed as they are specified in function arguments.

#### Changes

- [FormControl][base] Do not use optional fields in useFormControlContext's return value (#37037) @michaldudak

### Docs

- [base][docs] Add Base UI Quickstart Guide (#36717) @mj12albert
- [docs] Fix Material UI's API linking to Base UI (#37121) @mnajdova
- [docs] Fix pagination in the DataGrid demo (#37114) @cherniavskii
- [docs] Add notification to the release of the new Time Picker UI (#37065) @joserodolfofreitas
- [docs] Specify "Material UI" (not "MUI") where appropriate throughout the docs (#37066) @samuelsycamore
- [docs] Use focus-visible instead of focus for Menu demos (#36847) @michaldudak
- [docs] Fix small regressions API pages (#36972) @oliviertassinari
- [docs] Handle a few docs-feedback (#36977) @oliviertassinari
- [docs] Fix anchor link in customization (#37004) @oliviertassinari
- [docs] Add a note about minimal required version for theme merging to the guides (#36973) @jakub-stastny
- [docs] smooth scrolling added for `back to top` (#37011) @PunitSoniME
- [docs] Remove `useFormControl` return values from demos page (#37036) @ZeeshanTamboli
- [docs][base] Move styles to the bottom of demos code for `SwitchUnstyled` (#36720) @varunmulay22
- [docs][base] Move styles to the bottom of demos code for `InputUnstyled` (#36724) @varunmulay22
- [docs][base] Move styles to the bottom of demos code for `SliderUnstyled` (#36721) @varunmulay22
- [docs][base] Move styles to the bottom of demos code for `Snackbar` (#36719) @varunmulay22
- [docs][base] Move styles to the bottom of demos code for `SelectUnstyled` (#36718) @varunmulay22
- [templates] Image not displayed in blog layout of React template. (#36991) @navedqb
- [docs] Turn off job banner on docs (#36080) @joserodolfofreitas

### Core

- [core] Allow type alias as well in hooks API docs generation (#37034) @ZeeshanTamboli

All contributors of this release in alphabetical order: @cherniavskii, @DavidBoyer11, @hbjORbj, @jakub-stastny, @joserodolfofreitas, @maxdestors, @michaldudak, @mj12albert, @mnajdova, @navedqb, @nicolas-ot, @oliviertassinari, @PunitSoniME, @sai6855, @samuelsycamore, @siriwatknp, @varunmulay22, @ZeeshanTamboli

## 5.12.2

<!-- generated comparing v5.12.1..master -->

_Apr 25, 2023_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- ⚠️ **[BREAKING CHANGE]** The `Unstyled` suffix has been removed from Base UI component names, including names of types and other related identifiers – a codemod script is provided to assist with the change.
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.2`

- [FormControl] Fix `filled` when value is set through `inputProps` (#36741) @sai6855
- [Slider] `onChange` handler should be called only when value has changed (#36706) @gitstart
- [Table] Fix `Sorting & Selecting` tables (#36898) @oliviertassinari

### `@mui/base@5.0.0-alpha.127`

#### Breaking changes

- [base] Remove unstyled suffix from Base components + Codemod script (#36873) @hbjORbj

  The `Unstyled` suffix has been removed from all Base UI component names, including names of types and other related identifiers.

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/src/v5.0.0/base-remove-unstyled-suffix.js) to help with the migration:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-remove-unstyled-suffix <path>
  ```

#### Changes

- [codemod][base] Improve the removal of `component` prop codemod script (#36952) @hbjORbj
- [codemod][base] Write a migration script for removal of `component` prop from components (#36831) @hbjORbj
- [Base][useButton] Allow useButton params to be completely optional (#36922) @mj12albert

### `@mui/joy@5.0.0-alpha.77`

- [Joy][Chip] Chip button not showing up in Firefox browser (#36930) @TakhyunKim
- [Joy] Add `invertedColors` to Menu and Alert (#36975) @siriwatknp
- [joy][Select] Set focus visible on select options when navigating with arrow keys (#36689) @gitstart

### Docs

- [docs] Fix console error introduced by #36408 (#36980) @alexfauquette
- [docs] Add stray Joy UI documentation improvements (#36921) @danilo-leal
- [docs] Add Joy profile dashboard template (#36931) @siriwatknp
- [docs] Fix 404 links (#36969) @oliviertassinari
- [docs] Clarify when bundle size optimization is needed (#36823) @oliviertassinari
- [docs] Fix Chakra UI theme scoping typo (#36950) @mj12albert
- [docs] Add snackbar example using sonner (#36926) @PupoSDC
- [docs] Adjust the Material Icons page design and formatting (#36937) @danilo-leal
- [docs] Allows to customize menu with any icon (#36408) @alexfauquette
- [docs] Add info about passing ref to input element (#36913) @tomaskebrle
- [docs][material] Tabs API section cleanup (#36942) @mnajdova

### Core

- [core] Fix CI failure on `master` (#37016) @hbjORbj
- [typescript] Add the missing explicit component return types (#36924) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @cherniavskii, @danilo-leal, @gitstart, @hbjORbj, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @PupoSDC, @sai6855, @siriwatknp, @TakhyunKim, @tomaskebrle

## 5.12.1

<!-- generated comparing v5.12.0..master -->

_Apr 17, 2023_

A big thanks to the 16 contributors who made this release possible. This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.1`

- [Autocomplete] Fix autocomplete left padding (#36649) @mj12albert
- [Button] Fix contained with inherit prop not adapting on dark mode (#34508) @jesrodri
- [FormControlLabel] Add `required` prop (#34207) @emlai
- [Tabs] Fix null reference in ScrollbarSize after unmounting (#36485) @rkdrnf
- [TextField] Fix type error when using `inputTypeSearch` class for `outlined` and `filled` inputs (#36740) @sai6855
- [ThemeProvider] Fix theme proptypes (#36852) @siriwatknp

### `@mui/system@5.12.1`

#### Breaking changes

- [Grid2] Replace context with `cloneElement` (#36399) @siriwatknp

  `Grid2` now uses `React.cloneElement` instead of React context for passing the spacing and columns to the next container. The change is close to how CSS flexbox behaves.

#### Changes

- [CssVarsProvider] Always generate new `css` object (#36853) @siriwatknp

### `@mui/base@5.0.0-alpha.126`

#### Breaking changes

- [base] Refactor the compound components building blocks (#36400) @michaldudak
  Components affected by the changes are:
  - Menu
    - `MenuUnstyledContext` is replaced by `MenuProvider`. The value to pass to the provider is returned by the `useMenu` hook.
    - MenuUnstyled's `onClose` prop is replaced by `onOpenChange`. It has the `open` parameter and is called when a menu is opened or closed
  - Select
    - `SelectUnstyledContext` is replaced by `SelectProvider`. The value to pass to the provider is returned by the `useSelect` hook.
    - `SelectUnstyled`'s popup is permanently mounted.
    - The `defaultOpen` prop was added to the SelectUnstyled. The open/close state can now be controlled or uncontrolled, as a `value`.
  - Tabs
    - `TabsContext` is replaced by `TabsProvider`. The value to pass to the provider is returned by the `useTabs` hook.
    - To deselect all tabs, pass in `null` to Tabs' `value` prop, instead of `false`. This is consistent with how Select works.
    - The `value` prop is still technically not mandatory on TabUnstyled and TabPanel, but when omitted, the contents of the selected tab panel will not be rendered during SSR.

### `@mui/joy@5.0.0-alpha.76`

- [Table][Joy] Replace uses of css selector `*-child` to `*-of-type` (#36839) @keyvanm

### Docs

- [docs][base] Move styles to the bottom of demos code for `BadgeUnstyled` (#36723) @varunmulay22
- [docs][base] Mention that the hook does not accept any parameters in the `Parameters` section of the API docs (#36773) @ZeeshanTamboli
- [docs][base] Move styles to the bottom of demos code for `ModalUnstyled` (#36580) @gitstart
- [docs][base] Move styles to the bottom of demos code for `Tabs` (#36577) @gitstart
- [docs][base] Move styles to the bottom of demos code for `Popper` (#36578) @gitstart
- [docs][base] Move styles to the bottom of demos code for `TablePagination` (#36593) @gitstart
- [docs] Remove the incorrect info about useButton's ref parameter (#36883) @michaldudak
- [docs] Sync <Stack> between projects (#36785) @oliviertassinari
- [docs] Add guides to overriding component structure in Base UI and Joy UI docs (#34990) @samuelsycamore
- [docs] Content changed from 'row' to 'orientation=horizontal' (#36858) @navedqb
- [docs][Joy] `component`, `slots`, `slotProps` must be visible in Prop table in API docs (#36666) @hbjORbj
- [docs][Select] Fix duplicate ID in small size Select demo (#36792) @sai6855

### Core

- [core] Use glob to find the test files in parseTest (#36305) @flaviendelangle
- [core] Fix minor SEO issues @oliviertassinari

All contributors of this release in alphabetical order: @emlai, @flaviendelangle, @gitstart, @hbjORbj, @jesrodri, @keyvanm, @michaldudak, @mj12albert, @navedqb, @oliviertassinari, @rkdrnf, @sai6855, @samuelsycamore, @siriwatknp, @varunmulay22, @ZeeshanTamboli

## 5.12.0

<!-- generated comparing v5.11.16..master -->

_Apr 11, 2023_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added [theme scope](https://mui.com/material-ui/guides/theme-scoping/) for using multiple design systems (#36664) @siriwatknp
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/system@5.12.0`

- [system] Introduce theme scope for using multiple design systems (#36664) @siriwatknp

### `@mui/base@5.0.0-alpha.125`

- [PopperUnstyled] Do not merge internal `ownerState` with `ownerState` from props (#36599) @hbjORbj

### `@mui/joy@5.0.0-alpha.75`

- [Joy] Add tests for slots/slotProps for all components (#36828) @hbjORbj
- [Joy] Support `slots`/`slotsProps` for every component (components with only root slot too) (#36540) @hbjORbj

### Docs

- [docs][Backdrop] Improvements to the docs (#34244) @alirezahekmati
- [docs] Fix base API redirects (#36833) @mnajdova
- [docs] Improve perf on tab APIs (#36832) @mnajdova
- [docs] Revert CircularProgress component text to be proper noun instead (#36837) @ZeeshanTamboli
- [docs] Simplify language redirection @oliviertassinari
- [docs] Add missing `readOnly` state class in the list (#36788) @ZeeshanTamboli
- [docs] Improve side nav scroll into view (#36732) @oliviertassinari
- [docs][base & joy] Display "Classes" Section in API docs (#36589) @hbjORbj
- [docs] Fix 100+ typos throughout the Material UI docs (#36194) @Lioness100
- [docs] Change "coming soon" chip color (#36786) @danilo-leal
- [docs][Joy] Fix wrong prop descriptions (#36826) @hbjORbj
- [docs][material] Highlight global state classes in CSS table in API docs (#36633) @hbjORbj
- [examples] Fix `SliderUnstyled` slots `key` name (#36830) @sai6855
- [Tabs] Improve useTab() API page (#36725) @oliviertassinari

### Core

- [core] Increase margin to scroll @oliviertassinari
- [core] Replace MUI Base with Base UI (#36716) @mnajdova

All contributors of this release in alphabetical order: @alirezahekmati, @danilo-leal, @hbjORbj, @Lioness100, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli

## 5.11.16

<!-- generated comparing v5.11.15..master -->

_Apr 4, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 💅 Added tabs on API pages of Base UI to switch between component and hook references (#35938) @mnajdova
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.16`

- [Autocomplete] Listen for click on the root element (#36369) @sai6855
- [Autocomplete] Fix navigation issue on mouse hover (#35196) @sai6855
- [Card] Fix Card focus effect overflowing parent card (#36329) @mj12albert
- [Grid] Missing slot (#36765) @siriwatknp
- [Select] Make error part of the `ownerState` to enable overriding styles with it in theme (#36422) @gitstart
- [Slider] Fix ValueLabel UI issues comes when size="small" and orientation="vertical (#36738) @yushanwebdev

### `@mui/icons-material@5.11.16`

- [icons] Do not ignore popular icons (#36608) @michaldudak

### `@mui/joy@5.0.0-alpha.74`

- [Joy] Add `ModalOverflow` component (#36262) @siriwatknp
- [Joy] Fix `Checkbox` custom color prop type warning (#36691) @amal-qb

### Docs

- [docs][base] Add return type for `useFormControlUnstyledContext` hook (#36302) @HeVictor
- [docs][base] Move styles to the bottom of demos code for `FormControl` (#36579) @gitstart
- [docs][base] Move styles to the bottom of demos code for `Menu` (#36582) @gitstart
- [docs][base] Move styles code to bottom in the `Button` demos (#36590) @sai6855
- [docs][base] Show components & hooks API on the components page (#35938) @mnajdova
- [docs] Describe slotProps in MUI Base customization doc (#36206) @michaldudak
- [docs] Fix double API page redirection (#36743) @oliviertassinari
- [docs] Remove hash property and leverage pathname (#36764) @siriwatknp
- [docs] Introduce markdown permalink to source (#36729) @oliviertassinari
- [docs] Tabs API add slots section (#36769) @mnajdova
- [docs] Update feedbacks management on slack (#36705) @alexfauquette
- [docs] Fix Joy UI URL to tokens (#36742) @oliviertassinari
- [docs] Add toggle-button coming soon page (#36618) @siriwatknp
- [docs] Fix typo on the Joy UI theme builder (#36734) @danilo-leal
- [docs] Fix small typo (#36727) @RBerthier
- [docs] Fix Joy UI template broken image loading @oliviertassinari
- [docs] Hide the default API column if it's empty (#36715) @mnajdova
- [docs] Update Material UI Related Projects page (#34203) @viclafouch
- [docs] Revise Joy UI "Circular Progress" page (#36126) @LadyBluenotes
- [docs] Revise Joy UI "Radio" page (#35893) @DevinCLane
- [docs] Support Google Analytics 4 (#36123) @alexfauquette
- [docs][material] Keep consistency in description of classes (#36631) @hbjORbj
- [docs] Remove redundant files and fix regression (#36775) @ZeeshanTamboli

### Core

- [blog] Compress images @oliviertassinari
- [core] Remove unused token (#36722) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @amal-qb, @danilo-leal, @DevinCLane, @gitstart, @hbjORbj, @HeVictor, @LadyBluenotes, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @RBerthier, @sai6855, @siriwatknp, @viclafouch, @yushanwebdev

## 5.11.15

<!-- generated comparing v5.11.14..master -->

_Mar 28, 2023_

A big thanks to the 10 contributors who made this release possible. We have one big highlight this week ✨:

- @siriwatknp made a [Theme Builder](https://mui.com/joy-ui/customization/theme-builder) for Joy UI 🎨 (#35741)

### `@mui/material@5.11.15`

- [Chip] Fix error when theme value is a CSS variable (#36654) @siriwatknp
- [Grid2] Support dynamic nested columns (#36401) @siriwatknp

### `@mui/system@5.11.15`

- [system] Enable regressions tests & fix regressions (#36611) @mnajdova
- [Stack] Add `useFlexGap` prop (#36404) @siriwatknp

### `@mui/base@5.0.0-alpha.122`

- [Autocomplete] Update `autoSelect` prop description (#36280) @sai6855
- [TablePagination][base] Improve `actions` type in `slotProps` (#36458) @sai6855
- [Base] Add JSDoc comments for classes of Base components (#36586) @hbjORbj
- [useSlider][base] Add API docs for the hook parameters and return type (#36576) @varunmulay22

### `@mui/joy@5.0.0-alpha.73`

- [Joy] Miscellaneous fixes (#36628) @siriwatknp
- [Joy] Add palette customizer (#35741) @siriwatknp

### Docs

- Revert "[docs] Use `theme.applyDarkStyles` for the rest of the docs" (#36602) @mnajdova
- [blog] Improvements on v6 announcement blog (#36505) @joserodolfofreitas
- [docs] Add `Snackbar` coming soon page (#36604) @danilo-leal
- [docs] Add accordion coming soon page (#36279) @siriwatknp
- [docs] Fix palette customizer theme augmentation (#36629) @siriwatknp
- [docs] Finish migration away from https://reactjs.org/ @oliviertassinari
- [docs] Remove duplicated slot descriptions (#36621) @hbjORbj
- [docs] Fix broken example link (#36607) @mnajdova
- [docs] Use `theme.applyDarkStyles` (#36606) @siriwatknp
- [docs] Improve API for theme default prop (#36490) @oliviertassinari
- [docs][Table] Refactor `Sorting & Selecting` table demo (#33236) @IFaniry

### Core

- [core] Use Netlify function for feedback management (#36472) @alexfauquette

All contributors of this release in alphabetical order: @alexfauquette, @danilo-leal, @hbjORbj, @IFaniry, @joserodolfofreitas, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @varunmulay22

## 5.11.14

<!-- generated comparing v5.11.13..master -->

_Mar 21, 2023_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.14`

- [Breadcrumbs] Add ability to change icon used in `BreadcrumbCollapsed` through slots (#33812) @pratikkarad
- [Stepper] Add aria-current to active StepButton (#36526) @michalak111
- [TabScrollButton] Add ability to change left and right icons (#33863) @pratikkarad
- [ListItemButton] Respect LinkComponent (#34159) @zaverden
- [l10n] Add Central Kurdish (ku-CKB) locale (#36592) @HediMuhamad

### `@mui/system@5.11.14`

- [system] Fix sx prop regression for fontWeight values (#36543) @mnajdova

### `@mui/base@5.0.0-alpha.121`

- [docs][base] Improve the Slots Table in API docs (#36330) @hbjORbj

### `@mui/joy@5.0.0-alpha.72`

- [Joy] Ensure new CSS variable naming is everywhere (#36460) @hbjORbj
- [Menu][joy] Classname listbox is missing (#36520) @hbjORbj
- [Joy] Fix `--List-decorator*` vars (#36595) @siriwatknp

### `@mui/lab@5.0.0-alpha.124`

- [Masonry] Include Masonry in theme augmentation interface (#36533) @hbjORbj

### Docs

- [blog] Post blog about Chamonix retreat to the website (#36517) @mikailaread
- [blog] Fix image layout shift (#36522) @oliviertassinari
- [docs] Use `theme.applyDarkStyles` for the rest of the docs (#36161) @siriwatknp
- [docs] Fix 301 and 404 links (#36555) @oliviertassinari
- [docs] Keep slot code order in API docs (#36499) @oliviertassinari
- [docs] Missing className on Migrating from JSS example (#36536) @gabrielnafuzi
- [docs] Fix function name for Joy templates (#36512) @hbjORbj
- [docs] Add multiline Chip example (#36437) @dav1app
- [docs] Add a new gold sponsor (#36518) @hbjORbj
- [docs][joy] Improve the Slots Table in API docs (#36328) @hbjORbj
- [docs] Fix virtualElement demo for Popper (#36320) @sai6855
- [docs] Fix typo in API docs (#36388) @RomanHotsiy
- [docs] Ensure classname displayed under Slots section in API docs exists (#36539) @hbjORbj
- [docs][joy] Build TS versions for Modal component demos (#36385) @varunmulay22
- [docs][joy] Build TS versions for Menu component demos (#36383) @varunmulay22
- [docs][joy] Build TS versions for Switch component demos (#36379) @varunmulay22
- [docs] Remove `shouldSkipGeneratingVar` usage (#36581) @siriwatknp
- [docs][material] Update Table's demo to show pointer cursor on clickable rows (#36546) @varunmulay22

### Core

- [core] Fix CI @oliviertassinari
- [core] Fix blank line @oliviertassinari

All contributors of this release in alphabetical order: @danilo-leal, @dav1app, @gabrielnafuzi, @hbjORbj, @HediMuhamad, @michalak111, @mikailaread, @mnajdova, @oliviertassinari, @pratikkarad, @RomanHotsiy, @sai6855, @siriwatknp, @varunmulay22, @zaverden

## 5.11.13

<!-- generated comparing v5.11.12..master -->

_Mar 14, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- @michaldudak added an option for [disabling the generation](https://mui.com/base-ui/getting-started/customization/#disabling-default-css-classes) of the default classes in Base UI (#35963)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.13`

- [core] Bump Base UI's version in Material UI (#36492) @hbjORbj
- [material] Export `shouldSkipGeneratingVar` from Material UI (#36489) @siriwatknp
- [Typography] Apply font properties to typography inherit variant (#33621) @oyar99

### `@mui/base@5.0.0-alpha.121`

- [base] Disable classes generation via a context (#35963) @michaldudak
- [useMenu][base] Add return interface for useMenu hook (#36376) @HeVictor
- [useBadge] Add interface for the return value (#36042) @skevprog
- [useMenuItem] Add explicit return type (#36359) @rayrw
- [useTabs] Add explicit return type (#36047) @sai6855

### Docs

- [blog] Update fields behavior on date pickers blog post (#36480) @joserodolfofreitas
- [docs] Info markdown not rendering in Contributing Guide README (#36487) @hbjORbj
- [docs] Remove 301 redirection to MUI X lab migration @oliviertassinari
- [docs] Fix a grammar error (#36486) @hbjORbj
- [docs] Add blog post notification for v6 release (#36446) @joserodolfofreitas
- [docs] Update link to v5 docs (#36421) @m4theushw
- [docs] Fix 404 in the API page links (#36419) @oliviertassinari
- [docs][joy] Error in the exemplary CodeSandbox of using Material UI and Joy UI together (#36462) @hbjORbj
- [examples] Refactor to have better types in the Next.js + TypeScript examples (#36355) @erikian

All contributors of this release in alphabetical order: @erikian, @hbjORbj, @HeVictor, @hrutik7, @joserodolfofreitas, @m4theushw, @michaldudak, @oliviertassinari, @oyar99, @rayrw, @sai6855, @siriwatknp, @skevprog

## 5.11.12

<!-- generated comparing v5.11.11..master -->

_Mar 6, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- @michaldudak added the multiselect functionality to SelectUnstyled (#36274)
- @mnajdova updated `extendTheme` so that it can generate CSS variables with default values. This means that the `CssVarsProvider` is no longer required for Joy UI when using the default theme (#35739)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.12`

- [Autocomplete] Fix list scrolls to the top when new data is added on touch devices (#36231) @SaidMarar
- [Autocomplete] Add `Mui-expanded` class (#33312) @Osman-Sodefa
- [Dialog] Use the `id` prop provided to the `DialogTitle` component (#36353) @Kundan28
- [Menu] Fix Menu Paper styles overriding in the theme (#36316) @Paatus

### `@mui/lab@5.0.0-alpha.122`

- [TreeView] Fix Tree View inside shadow root crashes (#36225) @NoFr1ends

### `@mui/system@5.11.12`

#### Breaking changes

- [core] Generate vars in `extendTheme` (#35739) @mnajdova

  The `shouldSkipGeneratingVar` prop was moved from the `createCssVarsProvider`'s option to the `theme`. If the default theme does not use `extendTheme` from Material UI or Joy UI, it needs to be wrapped inside `unstable_createCssVarsTheme` - a util exported from the MUI System. Below is an example of how the migration should look like:

  ```diff
   import {
     unstable_createCssVarsProvider as createCssVarsProvider,
  +  unstable_createCssVarsTheme as createCssVarsTheme,
   } from '@mui/system';

   const { CssVarsProvider } = createCssVarsProvider({
  -  theme: {
  +  theme: createCssVarsTheme({
       colorSchemes: {
         light: {
           typography: {
             htmlFontSize: '16px',
             h1: {
               fontSize: '1rem',
               fontWeight: 500,
             },
           },
         },
       },
  +    shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1',
  -  },
  +  }),
     defaultColorScheme: 'light',
  -  shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1',
   });
  ```

  Or you can define it directly in the theme prop:

  ```diff
   <CssVarsProvider
  +   theme={createCssVarsProvider({
  +    // other theme keys
  +    shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1'
  +   })} />
  ```

  This breaking change **only** affects experimental APIs

### `@mui/base@5.0.0-alpha.120`

#### Breaking changes

- [Select][base] Add the multiselect functionality to SelectUnstyled (#36274) @michaldudak

  The MultiSelectUnstyled was removed. The `SelectUnstyled` component with the `multiple` prop should be used instead. Additionally, the SelectUnstyledProps received a second generic parameter: `Multiple extends boolean`. If you deal with strictly single- or multi-select components, you can hard-code this parameter to `false` or `true`, respectively. Below is an example of how the migration should look like:

  ```diff
  -import MultiSelectUnstyled from '@mui/base/MultiSelectUnstyled';
  +import SelectUnstyled from '@mui/base/SelectUnstyled';

   export default App() {
  -return <MultiSelectUnstyled />
  +return <SelectUnstyled multiple />
   }
  ```

#### Changes

- [useSnackBar] Add explicit return type (#36052) @sai6855
- [useMenu] Fix `import type` syntax (#36411) @ZeeshanTamboli
- [useSwitch] Add explicit return type (#36050) @sai6855

### `@mui/joy@5.0.0-alpha.70`

#### Breaking changes

- [Joy] Change CSS variables naming for components (#36282) @hbjORbj

  Joy UI has new naming standards of the CSS variables for its components. Below is an example of how the migration should look like:

  ```diff
  -<List sx={{ py: 'var(--List-divider-gap)' }}>
  +<List sx={{ py: 'var(--ListDivider-gap)' }}>
  -<Switch sx={{ '--Switch-track-width': '40px' }}>
  +<Switch sx={{ '--Switch-trackWidth': '40px' }}>
  ```

#### Changes

- [Autocomplete][joy] Add disabled class to the popup indicator (#36397) @hbjORbj
- [Joy] Fix broken loading button in Safari (#36298) @Kuba429

### Docs

- [docs][joy] Clarify when `CssVarsProvider` is required (#36410) @mnajdova
- MUI X v6 release announcement (#36398) @joserodolfofreitas
- [docs] Add instructions for deploying docs without a release (#36301) @cherniavskii
- [docs] Fix 301 redirections on the docs @oliviertassinari
- [docs] Update MUI X banner to reflect stable release (#36354) @MBilalShafi
- [docs] Clarify the future plan for integrating Base UI in Material UI (#36365) @mnajdova
- [docs] Improve visual look of loose lists (#36190) @oliviertassinari
- [docs] Fix @mui/styles example links (#36331) @oliviertassinari
- [docs][joy] Build TS versions for List component demos (#36382) @sai6855
- [docs][joy] Build TS versions for Radio component demos (#36406) @sai6855
- [docs][joy] Build TS versions for Checkbox component demos (#36381) @sai6855
- [docs][joy] Build TS versions for Select component demos (#36380) @sai6855
- [docs][joy] Build TS versions for Typography component demos (#36378) @varunmulay22
- [docs][joy] Add TypeScript demos for `Divider` (#36374) @sai6855
- [docs][joy] Build TS versions for Textarea component demos (#36371) @varunmulay22
- [docs][joy] Build TS versions for Link component demos (#36366) @hbjORbj

### Core

- Revert "Bump rimraf to ^4.1.3" (#36420) @mnajdova
- [core] Fix test utils types and external `buildApiUtils` usage issues (#36310) @LukasTy
- [test] Remove duplicate `combobox` role queries in Autocomplete tests (#36394) @ZeeshanTamboli

All contributors of this release in alphabetical order: @cherniavskii, @hbjORbj, @joserodolfofreitas, @Kuba429, @Kundan28, @LukasTy, @MBilalShafi, @michaldudak, @mnajdova, @NoFr1ends, @oliviertassinari, @Osman-Sodefa, @Paatus, @sai6855, @SaidMarar, @varunmulay22, @ZeeshanTamboli

## 5.11.11

<!-- generated comparing v5.11.10..master -->

_Feb 27, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 📚 added API documentation for the slots in Base UI and Joy UI by @hbjORbj, for e.g. [SliderUnstyled API](https://mui.com/base-ui/api/slider-unstyled/#slots)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.11`

- [Autocomplete] Adds `sx` prop to `ListboxProps` type (#36243) @sai6855
- [material] Add global CSS class for `readOnly` prop (#32822) @jrparish
- [Stack][material] Use createStack from MUI System (#33795) @mnajdova
- [Select] Fix incorrect selecting of first element (#36024) @michaldudak
- [Slider] Miscellaneous improvements (#35941) @ZeeshanTamboli
- [Slider] Remove unnecessary `data-focusvisible` attribute (#36091) @ZeeshanTamboli
- [Snackbar] Replace component logic with `useSnackbar` hook (#36272) @ZeeshanTamboli
- [TextField] Fix floating label position (#36246) @oliviertassinari
- [TextField] Fix floating label position (#36288) @oliviertassinari

### `@mui/base@5.0.0-alpha.119`

#### Breaking changes

- [base] Remove `classes` prop from the Base components that have it (#36157) @hbjORbj
  These are the components affected by this change: ModalUnstyled, SliderUnstyled, TablePaginationUnstyled and TablePaginationActionsUnstyled.
  You can replace the `classes` prop by providing the class name prop directly to the prop via `slotProps`. Below is an example of how the migration should look like:

  ```diff
   <TablePaginationUnstyled
  -   classes={{ toolbar: 'toolbar-classname', menuItem: 'menuItem-classname' }}
  +   slotProps={{ toolbar: { className: 'toolbar-classname' }, menuItem: { className: 'menuItem-classname'}}}
   />
  ```

- [base] Move hooks to their own directories (#36235) @hbjORbj
  Base hooks (e.g., `useSelect`) are no longer exported from `{Component}Unstyled` directories and instead they have their own directories.
  Below is an example of how the migration should look like:

  ```diff
  -import { useBadge } from '@mui/base/BadgeUnstyled';
  +import useBadge from '@mui/base/useBadge';
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#base-hook-imports) to help with the migration.

#### Changes

- [Autocomplete] Add docs interface for the hook (#36242) @HeVictor
- [MenuUnstyled] Remove extra useMemo (#36265) @ivp-dev
- [base] Export all slot prop overrides interfaces (#36323) @michaldudak

### `@mui/codemod@5.11.11`

- [base] Codemod for hook directory migration (#36295) @hbjORbj

### `@mui/joy@5.0.0-alpha.69`

- [Joy] Able to remove default tokens from theme types (#36006) @siriwatknp
- [Joy] Fix modal dialog overflow viewport (#36103) @siriwatknp
- [Joy] Select popup should have max-height (#36156) @Vivek-Prajapatii
- [Joy] Fix `ListDivider` to change semantic based on `List` (#36266) @siriwatknp

### Docs

- [docs][base] List slots in API documentation (#36104) @hbjORbj
- [docs] Add missing sandbox adapter deps resolving (#36291) @LukasTy
- [docs] Allow to pass navigation bar banner from outside (#36299) @MBilalShafi
- [docs] Fix code on the Working with Tailwind CSS guide (#36090) @mnajdova
- [docs] Remove See Slots Section text from Material UI slots description (#36284) @hbjORbj
- [docs] Fix emotion warning `:first-child` (#36263) @siriwatknp
- [docs][joy] Improve the descriptions of props in API docs (#36307) @hbjORbj
- [docs][joy] List slots in API documentation (#36271) @hbjORbj
- [docs][joy] Build API documentations (#36008) @hbjORbj
- [examples] Update Next.js examples to use built-in font (#36315) @Juneezee
- [examples] Update curl link in `material-ui-nextjs-ts-v4-v5-migration` example README (#36321) @ZeeshanTamboli
- [examples] Convert Next.js \_document class components to function components (#36109) @ossan-engineer

### Core

- [Rating] Add a comment in Rating component to use `readOnly` state class (#36357) @ZeeshanTamboli

All contributors of this release in alphabetical order: @hbjORbj, @HeVictor, @ivp-dev, @jrparish, @Juneezee, @LukasTy, @MBilalShafi, @michaldudak, @mnajdova, @oliviertassinari, @ossan-engineer, @sai6855, @siriwatknp, @Vivek-Prajapatii, @ZeeshanTamboli

## 5.11.10

<!-- generated comparing v5.11.9..master -->

_Feb 20, 2023_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.10`

- [Avatar] Fix ownerState usage with styleOverrides when fallback is used (#36228) @sai6855
- [Badge][material] Replace `BadgeUnstyled` with `useBadge` hook (#36158) @hbjORbj
- [Switch] Fix DOM warning when `type` isn't `checkbox` or `radio` (#36170) @dani-mp
- [TextareaAutosize] Convert code to TypeScript (#35862) @sai6855
- [useMediaQuery] Fix behavior of noSsr with React 18 (#36056) @oliviertassinari

### `@mui/joy@5.0.0-alpha.68`

- [Joy] Add `zIndex` to theme (#36236) @siriwatknp
- [Joy] Remove transition from all components (#35952) @hbjORbj

### Docs

- [docs][base] Fix base Input demos for Safari (#36213) @mj12albert
- [docs] Fix 301 links @oliviertassinari
- [docs] Fix modal transition demos (#36137) @oliviertassinari
- [docs] Update links to pt examples (#36237) @Aleff13
- [docs] Update custom Typography variants example (#36185) @mj12albert
- [docs] Change markdown numbering syntax (#36187) @mj12albert
- [docs] Fix switch alignment in `Disabled tree items` section in Tree View docs (#36217) @PunitSoniME
- [docs] Standardize example names (#36112) @samuelsycamore
- [docs] Fix typo @oliviertassinari
- [docs] Fix markdown table alignments (#36136) @oliviertassinari
- [docs] Small color tweaks to the docs search bar (#36160) @danilo-leal
- [docs][joy] Update class name prefixes in the `Anatomy` section (#36210) @ZeeshanTamboli

### Core

- [core] Migrate nprogress to emotion (#36181) @siriwatknp
- [core] Enforce namespace import for ReactDOM (#36208) @mj12albert
- [core] Fix deploy preview links (#36203) @siriwatknp

All contributors of this release in alphabetical order: @Aleff13, @dani-mp, @danilo-leal, @hbjORbj, @mj12albert, @oliviertassinari, @PunitSoniME, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.11.9

<!-- generated comparing v5.11.8..master -->

_Feb 14, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🐛 @rangoo94, @sai6855, and @michaldudak fixed a couple of bugs in the Autocomplete component (#36116, #35640, #36076, #36088)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.9`

- [AppBar] Fix joinVars() not handling undefined (#36128) @donaldnevermore
- [Autocomplete] Fix tag removal regression (#36116) @michaldudak
- [Autocomplete] Correct padding of filled Autocomplete (#35640) @michaldudak
- [Grid][Stack] classNames prefixed with Mui (#36167) @sai6855

### `@mui/styled-engine@5.11.9`

- [StyledEngineProvider] Fix issue with cache not being defined (#36162) @mnajdova

### `@mui/joy@5.0.0-alpha.67`

- [Joy] Add order dashboard template (#36081) @siriwatknp
- [Joy] Remove classes prop from the components that have it (#36159) @hbjORbj
- [Joy] Miscellaneous fixes (#36163) @siriwatknp

### `@mui/base@5.0.0-alpha.118`

- [base] Override the types of `slotProps` per slot (#35964) @hbjORbj
- [Select][base] Prevent unnecessary rerendering of Select options (#35946) @michaldudak
- [Select][base] Update the generated docs (#36183) @michaldudak
- [useAutocomplete] Pass only valid values for the getOptionLabel prop (#36088) @rangoo94
- [useAutocomplete] Fix `useAutocomplete` disabled prop not disabling the input (#36076) @sai6855
- [useInput] Add return value interface (#36036) @Shorifpatwary
- [UseTabPanel] Add explicit return type (#36053) @Shorifpatwary
- [useTabsList] Add explicit return type (#36048) @sai6855
- [Tab] Add explicit return type to useTab (#36046) @sai6855

### `@mui/material-next@6.0.0-alpha.75`

- [Material You] Use `md` as a CSS var prefix (#36177) @siriwatknp

### Docs

- [docs] Fix the prop type regression on the API pages (#36168) @mnajdova
- [docs] Fix virtualized table column resizing (#36066) @petyosi
- [docs] Fix react-spring demos (#36023) @oliviertassinari
- [docs] Fix classname mismatch on Joy docs (#36127) @siriwatknp
- [docs] Fix typo in the released version of @mui/styled-engine (#36121) @m4theushw
- [docs] Fix demos showing TypeScript instead of JavaScript (#35850) @mj12albert
- [docs] Update release instructions (#36113) @mj12albert
- [docs] Rename `v6-alpha` to `v6-next` in navigation (#36102) @LukasTy
- [docs] Revise Joy UI "Input" page (#35970) @LadyBluenotes
- [docs] Revise Joy UI "Typography" page (#35868) @LadyBluenotes

### Examples

- [examples][vitejs] Load Roboto font (#35678) @oliv37

### Core

- [blog] Fix the look and feel of the media description (#36069) @oliviertassinari
- [core] Add default preview url (#36118) @siriwatknp
- [core] Migrate all the internals exported by `tests/utils/index.js` to TypeScript (#35382) @flaviendelangle
- [core] Convert the waterfall module to an internal package (#35323) @michaldudak
- [POC] Add deploy preview to PR body (#35995) @siriwatknp

All contributors of this release in alphabetical order: @danilo-leal, @donaldnevermore, @flaviendelangle, @hbjORbj, @LadyBluenotes, @LukasTy, @m4theushw, @michaldudak, @mj12albert, @mnajdova, @oliv37, @oliviertassinari, @petyosi, @rangoo94, @sai6855, @Shorifpatwary, @siriwatknp

## 5.11.8

<!-- generated comparing v5.11.7..master -->

_Feb 7, 2023_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- @siriwatknp added a new [`Sign In` template](https://mui.com/joy-ui/getting-started/templates/sign-in-side/) to Joy UI (#36019)
- 📚 Documentation improvements and 🐛 bug fixes as usual

### `@mui/material@5.11.8`

- [FormLabel] Export `FormLabelOwnProps` from `FormLabel` to fix type error (#36057) @yoskeoka

### `@mui/joy@5.0.0-alpha.66`

- [Joy] Miscellaneous fixes (#36073) @siriwatknp
- [Joy] Add sign-in side template (#36019) @siriwatknp
- [Joy] Add missing `Table` export from root (#36010) @sai6855

### `@mui/system@5.11.8`

- [System] Fix nested grid v2 (#35994) @siriwatknp

### `@mui/styled-engine@5.11.8`

- [styled-engine] Create cache only if `document` is available (#36001) @m4theushw

### Docs

- [blog] Fix dark mode support (#35969) @oliviertassinari
- [docs] Add banner pointing to "Whats new" in MUI X page (#36074) @joserodolfofreitas
- [docs] Revert unintended change @oliviertassinari
- [docs] [Joy] Fixed a typo in `customizing theme tokens` (#36067) @badalsaibo
- [docs] Improve inline preview's information (#35974) @oliviertassinari
- [docs] Fix wrong v5 migration instructions (#36022) @oliviertassinari
- [docs] Fix autocomplete render group key warning in the demo (#36025) @chuanyu0201
- [docs] Add hooks API pages for Base UI (#35828) @mnajdova
- [docs] Fix grammar typo (#36016) @alexownejazayeri
- [docs][joy] Add JSDoc for the `AutocompleteProps` type (#36039) @ArthurPedroti

### Core

- [core] Make it easier to find who is importing specific files (#35896) @oliviertassinari
- [core] Fix SEO redirections issues (#36041) @oliviertassinari
- [core] Fix a typo in the comment in setup test files (#36014) @ZeeshanTamboli
- [typescript] Explicitly define the component return types (#36013) @michaldudak

All contributors of this release in alphabetical order: @alexownejazayeri, @ArthurPedroti, @badalsaibo, @chuanyu0201, @joserodolfofreitas, @m4theushw, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @yoskeoka, @ZeeshanTamboli

## 5.11.7

<!-- generated comparing v5.11.6..master -->

_Jan 31, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- @siriwatknp added `Table` component to Joy UI (#35872)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.7`

- [Autocomplete] Prevent reset scroll position when new options are added (#35735) @sai6855
- [CssVarsProvider] Skip `unstable_sxConfig` variables (#35932) @siriwatknp
- [InputLabel] Add missing `component` type (#35852) @sai6855
- [Tooltip] Fix tooltip position (#35909) @marktoman

### `@mui/base@5.0.0-alpha.116`

- [ListboxUnstyled] Fix option state highlighted to prevent unnecessary focus (#35838) @SaidMarar

### `@mui/joy@5.0.0-alpha.65`

#### Breaking changes

- [Joy] Replace `Joy[Component]` classname with `Mui[Component]` classname for all slots of components (#35718) @hbjORbj

  - Renames the classname prefix of all Joy UI components from `'Joy'` to `'Mui'`.

  ```diff
   <Button
  -sx={{ '& .JoyButton-root': { '& .JoyButton-button': {} } }}
  +sx={{ '& .MuiButton-root': { '& .MuiButton-button': {} } }}
   />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-classname-prefix) to help with the migration.

- [Joy] Replace `row` prop with `orientation` prop in all Joy UI components (#35721) @hbjORbj

  - Transforms `row` prop to `orientation` prop across `Card`, `List` and `RadioGroup` components in Joy UI.

  ```diff
   <Card
  -row
  +orientation={"horizontal"}
   />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-row-prop) to help with the migration.

#### Changes

- [Joy][Checkbox] Display correct icon in checkbox (#35943) @sai6855
- [Joy] Add `Table` component (#35872) @siriwatknp
- [Joy] Miscellaneous fixes (#35953) @siriwatknp

### Docs

- [blog] Add RSS feed (#35777) @gorjiali
- [blog] Prevent horizontal scroll on blog posts (#35948) @oliviertassinari
- [docs] Add to codemod README about an added script (#35999) @hbjORbj
- [docs] Add a warning about to clear the local storage when `defaultMode` changes (#35937) @ArthurPedroti
- [docs] Fix Joy UI variables playground (#35950) @siriwatknp
- [docs] Fix typos in base components docs (#35985) @HeVictor
- [docs] Fix event's label reported to GA (#35930) @oliviertassinari
- [docs] Standardize "no longer" / "not documented" callouts in Material UI docs (#35957) @samuelsycamore
- [docs] Revise and expand Joy UI Checkbox doc (#35817) @samuelsycamore
- [docs] Add docs notification to Date and Time Pickers revamped (#35935) @joserodolfofreitas
- [docs] Update community theme builder to forked updated one (#35928) @idebeijer
- [docs] Add Joy default theme viewer (#35554) @siriwatknp
- [docs][joy] Fixed a typo in `Using icon libraries` page (#35989) @badalsaibo
- [docs][joy] Removed Badge info from Chip docs (#35955) @Vivek-Prajapatii
- [docs][system] Fix border color of Boxes in demos of `Configure the sx prop` page in dark mode (#35961) @ZeeshanTamboli

### Core

- [core] Boolean props always have a default value of `false` in API docs (#35913) @hbjORbj
- [core] Improve types for usePreviousProps (#35833) @sai6855

All contributors of this release in alphabetical order: @ArthurPedroti, @badalsaibo, @gorjiali, @hbjORbj, @HeVictor, @idebeijer, @joserodolfofreitas, @marktoman, @oliviertassinari, @sai6855, @SaidMarar, @samuelsycamore, @siriwatknp, @Vivek-Prajapatii, @ZeeshanTamboli

## 5.11.6

<!-- generated comparing v5.11.5..master -->

_Jan 23, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- @ZeeshanTamboli improved the logic for handling the value label in the `SliderUnstyled` (#35805)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.6`

- [Box] Fix usage of not supported features in TypeScript 3.5 (#35877) @mnajdova
- [Button] Fix border color for secondary disabled button (#35866) @SaidMarar
- [SwipeableDrawer] Add callback to customise touchstart ignore for swipeable drawer (#30759) @tech-meppem

### `@mui/base@5.0.0-alpha.115`

#### Breaking changes

- [SliderUnstyled] Improved logic for displaying the value label (#35805) @ZeeshanTamboli

  - The `valueLabelDisplay` prop is removed from `SliderUnstyled`. The prop was not working as intended in `SliderUnstyled` (See #35398). You can instead provide a `valueLabel` slot with the `slots` prop API to show the value label:

  ```diff
  - <SliderUnstyled valueLabelDisplay="on" />
  + <SliderUnstyled slots={{ valueLabel: SliderValueLabel }} />
  ```

  The following demo shows how to show a value label when it is hovered over with the thumb: https://mui.com/base-ui/react-slider/#value-label

  - The following classes are removed from `sliderUnstyledClasses` since they are not needed for the value label:

  ```diff
  - valueLabel
  - valueLabelOpen
  - valueLabelCircle
  - valueLabelLabel
  ```

  In the custom value label component, you can define your own classNames and target them with CSS.

  - The `SliderValueLabelUnstyled` component is removed from SliderUnstyled. You should provide your own custom component for the value label.

  - To avoid using `React.cloneElement` API in value label, the component hierarchy structure of the value label is changed. The value label is now inside the Thumb slot - `Thumb` -> `Input`, `ValueLabel`.

#### Changes

- [InputUnstyled] Fix externally provided `inputRef` is ignored (#35807) @sai6855

### `@mui/joy@5.0.0-alpha.64`

- [Avatar][joy] Remove `imgProps` prop and add Codemod script for migration (#35859) @hbjORbj

### Docs

- [blog] Date and time pickers revamped (#35486) @joserodolfofreitas
- [docs] Fix incorrect breakpoint use (#34948) @rosita-dmello
- [docs] Replace react-virtualized with react-virtuoso in Table (#35700) @petyosi
- [docs] Fix account menu demo not closing with keyboard. (#35870) @mj12albert
- [docs] Fix typos in the docs of Joy UI (#35876) @HeVictor
- [docs] Fix wording in `Color` page (#35873) @oliv37

### Core

- [core] Fix release changelog to handle commits with empty author field (#35921) @mnajdova
- [core] Revert `docs-utilities` migration to TypeScript and fix type (#35881) @ZeeshanTamboli
- [core] Migrate internal `docs-utilities` package to TypeScript (#35846) @ZeeshanTamboli

All contributors of this release in alphabetical order: @HeVictor, @hbjORbj, @joserodolfofreitas, @mj12albert, @mnajdova, @oliv37, @oliviertassinari, @petyosi, @rosita-dmello, @sai6855, @SaidMarar, @tech-meppem, @ZeeshanTamboli

## 5.11.5

<!-- generated comparing v5.11.4..master -->

_Jan 17, 2023_

A big thanks to the 17 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.5`

- [Material UI] Custom channel token should suppress the warning (#35804) @siriwatknp
- [Autocomplete] Fix value type when `strictNullChecks` is `false` (#35367) @fenghan34
- [Slider] Replace `SliderUnstyled` with `useSlider` hook (#35770) @ZeeshanTamboli
- [l10n] Add Belarusian translation (#35742) @volhalink

### `@mui/system@5.11.5`

- [system] Improve the `createBox` types (#35532) @mnajdova

### `@mui/codemod@5.11.5`

- Add `joy-text-field-to-input` codemod (#35462) @hbjORbj

### `@mui/base@5.0.0-alpha.114`

- [base] Fix typos (#35802) @nnmax
- [Slider] Convert code to TypeScript (#35445) @sai6855

### `@mui/joy@5.0.0-alpha.63`

- [Tabs][joy] Don't apply `:hover, :active` styles when `selected` (#35750) @sai6855
- Remove `TextField` component and replace its usage in docs with `FormControl`/`FormLabel`/`Input` (#35462) @hbjORbj
- [TextField] Throw error with migration message (#35845) @siriwatknp
- Miscellaneous fixes (#35847) @siriwatknp

### Docs

- [docs] Improve pickers lab migration stressing `mui-x` usage (#35740) @LukasTy
- [docs] Fix incorrectly named AccessibleTable demo component (#35832) @HeVictor
- [docs] Clarify where to find docs for Base UI components in Material UI (#35799) @samuelsycamore
- [docs] Fix typos (#35814) @alexfauquette
- [docs] Revise and expand the Joy UI Card page (#35745) @samuelsycamore
- [docs] Fix navigation layout shift (#35679) @oliviertassinari
- [docs] Fix typo in the Composition page (#35774) @msoyka
- [docs][joy] Update Customization section code example to use the correct API (#35765) @pupudu
- [docs][joy] Fix grammar in `Typography` docs (#35796) @atrefonas
- [examples] Remove `next-env.d.ts` from Next.js examples (#35772) @Juneezee

### Core

All contributors of this release in alphabetical order: @alexfauquette, @atrefonas, @fenghan34, @hbjORbj, @HeVictor, @Juneezee, @LukasTy, @mnajdova, @msoyka, @nnmax, @oliviertassinari, @pupudu, @sai6855, @samuelsycamore, @siriwatknp, @volhalink, @ZeeshanTamboli

## 5.11.4

<!-- generated comparing v5.11.3..master -->

_Jan 9, 2023_

A big thanks to the 14 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.4`

- [Autocomplete] Add index to renderOption's AutocompleteRenderOptionState (#35578) @CowDotDev
- [Autocomplete] Fix grammar in console.error in `useAutocomplete` (#35723) @hamirmahal
- [Modal] Fix can't override Backdrop Props using new Slots API (#35140) @ZeeshanTamboli
- [Select] Revert "Update `renderValue` prop's TypeScript type (#34177)" (#35733) @michaldudak
- [Tabs] Throw error only if individual `Tab` is hidden, not the whole `Tabs` (#34026) @Ryczko
- [TextField] Improve WCAG 2.4.7 with error={true} (#35687) @oliviertassinari
- [Tooltip] Remove `data-foo` attribute (#35736) @koolskateguy89

### `@mui/joy@5.0.0-alpha.62`

- [Autocomplete][joy] Specify `type` attribute for popup indicator (#35648) @hbjORbj
- [Joy] Miscellaneous improvements (#35769) @siriwatknp
- [Joy] Improve `onKeyDown` event handler for demo (#35642) @hbjORbj

### `@mui/base@5.0.0-alpha.113`

- [Portal][base] Convert code to TypeScript (#35657) @sai6855

### Docs

- [docs] Revise and expand Joy UI Button doc (#35737) @samuelsycamore
- [docs] Document the workaround for crashing a translated page (#35720) @michaldudak
- [docs] Fix API page for `MenuItem` to list all valid props (#35561) @mnajdova
- [docs] Fix ad exception in Joy UI (#35685) @oliviertassinari
- [docs] Fix content wider than screen regression @oliviertassinari
- [examples] Add `Vite.js with TypeScript` example (#35683) @miha53cevic

### Core

- [core] Close 2022 Developer Survey @oliviertassinari
- [core] Fix the product license reference name (#35703) @oliviertassinari
- [core] Use TypeScript AST instead of TTP for component doc building (#35379) @flaviendelangle
- [test] Always use & for nesting styles (#35702) @oliviertassinari

All contributors of this release in alphabetical order: @CowDotDev, @flaviendelangle, @hamirmahal, @hbjORbj, @koolskateguy89, @michaldudak, @miha53cevic, @mnajdova, @oliviertassinari, @Ryczko, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.11.3

<!-- generated comparing v5.11.2..master -->

_Jan 2, 2023_

A big thanks to the 6 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.3`

- [Select] Update `renderValue` prop's TypeScript type (#34177) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.61`

- [Autocomplete][joy] Export component (#35647) @mbranch

### Docs

- [blog] Fix handling of markdown links (#35628) @oliviertassinari
- [docs] Fix demo code selection through copy shortcut key on Firefox browser (#35670) @ZeeshanTamboli
- [docs] Fix layout shift when streaming the page (#35627) @oliviertassinari
- [docs] Fix switch name to reflect the color (#35052) @rjhcnf
- [docs] Fix anchor link in the card's docs and fix a typo (#35634) @ZeeshanTamboli
- [docs] Fix layout shift with modal (#35591) @oliviertassinari
- [Joy][docs] Add documentation for `Input` component (#35482) @hbjORbj
- [docs][joy] Improved readability on theme tokens page (#35639) @badalsaibo

### Core

- [core] Disable prefetch of footer links @oliviertassinari
- [core] A few SEO fixes (#35672) @oliviertassinari
- [core] Remove need for scopePathnames (#35584) @oliviertassinari
- [test] Fix Algolia noisy lvl1 anchor (#35686) @oliviertassinari

All contributors of this release in alphabetical order: @badalsaibo, @hbjORbj, @mbranch, @oliviertassinari, @rjhcnf, @ZeeshanTamboli

## 5.11.2

<!-- generated comparing v5.11.1..master -->

_Dec 26, 2022_

A big thanks to the 20 contributors who made this release possible. Here are some highlights ✨:

- ⚙️ Several Base UI components were converted to TypeScript by @trizotti, @leventdeniz and @danhuynhdev (#35005, #34793, #34771)
- Many other 🐛 bug fixes abd 📚 documentation improvements.

### `@mui/material@5.11.2`

- [l10n] Add displayed rows label to `faIR` locale (#35587) @hootan-rocky
- [l10n] Add Kurdish (Kurmanji) locale (#32508) @JagarYousef
- [Select] Accept non-component children (#33530) @boutahlilsoufiane
- [SelectInput] Update menu to use select wrapper as anchor (#34229) @EduardoSCosta
- [TableCell] Fix `scope` prop to be not set when a data cell is rendered within a table head (#35559) @sai6855

### `@mui/utils@5.11.2`

- [utils] `mergedeep` deeply clones source key if it's an object (#35364) @sldk-yuri

### `@mui/base@5.0.0-alpha.112`

- [FocusTrap][base] Convert code to TypeScript (#35005) @trizotti
- [Modal][base] Convert code to TypeScript (#34793) @leventdeniz
- [Popper][base] Convert code to TypeScript (#34771) @danhuynhdev
- [Slider] Exclude `isRtl` from Material UI's Slider props (#35564) @michaldudak

### `@mui/joy@5.0.0-alpha.60`

- [Joy] Fix radius adjustment (#35629) @siriwatknp
- [Joy] Apply color inversion to components (#34602) @siriwatknp
- [Joy] Improve cursor pointer and add fallback for outlined variant (#35573) @siriwatknp
- [Joy] Miscellaneous fixes (#35552) @siriwatknp
- [Radio][joy] Use precise dimensions for radio icon (#35548) @hbjORbj

### `@mui/material-next@6.0.0-alpha.68`

- [Material You] Update Button test & add active class name (#35497) @mnajdova

### Docs

- [docs] Fix GoogleMaps demo (#35545) @hbjORbj
- [docs] Remove flow, its legacy (#35624) @oliviertassinari
- [docs] Add a guide on using icon libraries with Joy UI (#35377) @siriwatknp
- [docs] Clarify comment about `sortStability()` use case (#35570) @frontendlane
- [docs] Improve the experimental API demos on the button page (#35560) @mnajdova
- [docs] Force `light` theme mode when `activePage` is null (#35575) @LukasTy
- [docs] Fix ListItem button deprecated use (#33970) @MickaelAustoni
- [docs] Fix typo in `Progress` docs (#35553) @jasonsturges
- [docs] Remove empty tags on the TransferList demos (#33127) @ekusiadadus
- [docs][joy] Add documentation for `Stack` component (#35373) @hbjORbj
- [docs][joy] Add documentation for `Grid` component (#35374) @hbjORbj

### Core

- [core] Shorthand notation to remove outline (#35623) @oliviertassinari
- [core] Fix header link layout shift and clash (#35626) @oliviertassinari
- [core] Hide keyboard shortcut if no hover feature (#35625) @oliviertassinari
- [core] Fix confusing duplicated name in the log @oliviertassinari
- [core] Fix API demos callout spacing (#35579) @oliviertassinari
- [core] Fix a few title case (#35547) @oliviertassinari
- [core] Cleanup mention of test-utils (#35577) @oliviertassinari
- [core] Remove oudated pickers prop-type logic (#35571) @oliviertassinari
- [core] Exclude documentation of Base props not used in styled libraries (#35562) @michaldudak

All contributors of this release in alphabetical order: @boutahlilsoufiane, @danhuynhdev, @danilo-leal, @EduardoSCosta, @ekusiadadus, @frontendlane, @hbjORbj, @hootan-rocky, @JagarYousef, @jasonsturges, @leventdeniz, @LukasTy, @michaldudak, @MickaelAustoni, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @sldk-yuri, @trizotti

## 5.11.1

<!-- generated comparing v5.11.0..master -->

_Dec 20, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 💅 @mnajdova added motion and shape design tokens to Material You package (#35384 and #35393).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.11.1`

- [Chip] Fix hover and focus style with CSS Variables (#35502) @DimaAbr
- [InputLabel] Enable `size` prop overrides via TypeScript module augmentation (#35460) @MickaelAustoni
- [l10n] Change Kazakh locale name to match ISO-639-1 codes (#34664) @talgautb
- [TextField] Fix error focus style (#35167) @42tte
- [core] Bring `experimental_sx` back with error code (#35528) @siriwatknp

### `@mui/utils@5.11.1`

- [Theme] Merge components and slots props (#35477) @siriwatknp

### `@mui/material-next@6.0.0-alpha.67`

- [Material You] Add motion design tokens (#35384) @mnajdova
- [Material You] Add shape design tokens (#35393) @mnajdova

### `@mui/joy@5.0.0-alpha.59`

- [Tooltip] Fix arrow does not appear (#35473) @siriwatknp
- [Input] Fix autofill styles (#35056) @siriwatknp
- [ChipDelete] Add onDelete prop to ChipDelete (#35412) @sai6855

### `@mui/base@5.0.0-alpha.111`

- [Button][base] Set active class when a subcomponent is clicked (#35410) @michaldudak
- [Popper][base] Fix Tooltip Anchor Element Setter (#35469) @sydneyjodon-wk

### Docs

- [docs] Fixed the `Select` component `onChange` event type in the migration guide (#35509) @tzynwang
- [docs] Add missing comma to `Providing the colors directly` section (#35507) @cassidoo
- [docs] Add `CardMedia` example without `component="img"` prop (#35470) @lucasmfredmark
- [docs] Fix `unstable_sxConfig` typo (#35478) @siriwatknp
- [docs] List component introduction example default code is missing ListItemContent component (#35492) @Miigaarino

### Core

- [test] Terminate BrowserStack after 5 minutes (#35454) @oliviertassinari
- [test] Fix broken master branch (#35446) @oliviertassinari

All contributors of this release in alphabetical order: @42tte, @cassidoo, @danilo-leal, @DimaAbr, @lucasmfredmark, @michaldudak, @MickaelAustoni, @Miigaarino, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @sydneyjodon-wk, @talgautb, @tzynwang

## 5.11.0

<!-- generated comparing v5.10.17..master -->

_Dec 13, 2022_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🔥 @mnajdova enabled configuration of the `sx` prop in the `theme` (#35150)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.11.0`

- [Alert] Update icon color in all variants (#35414) @danilo-leal
- [Select] Fix `MenuProps.PopoverClasses` being overriden (#35394) @vitorfrs-dev
- [SwipeableDrawer] Fix TypeScript warning "prop open undefined" (#34710) @kraftware

### `@mui/icons-material@5.11.0`

- [icons] Restore the PhoneInTalk icons (#35409) @michaldudak

### `@mui/system@5.11.0`

#### BREAKING CHANGES

- [system] Enable configuring the `sx` prop in the `theme` (#35150) @mnajdova

  The breaking change is regarding an experimental API:

  ```diff
  -import { styled, experimental_sx } from '@mui/material/styles';
  +import { styled } from '@mui/material/styles';

  -const Component = styled('div)(experimental_sx({ p: 1 }});
  +const Component = styled('div)(({ theme }) => theme.unstable_sx({ p: 1 }});
  ```

### `@mui/joy@5.0.0-alpha.58`

- [Joy] Miscellaneous fixes (#35447) @siriwatknp

### `@mui/base@5.0.0-alpha.110`

- [PopperUnstyled] Update PopperTooltip to have correct width when closing with transition (#34714) @EduardoSCosta

### `@mui/material-next@6.0.0-alpha.66`

- [Material You] Add ripple on the button (#35299) @mnajdova

### Docs

- [docs] Simplify state management in Text Field demo page (#35051) @PratikDev
- [docs] Improve `Responsive App bar with Drawer` demo (#35418) @ZeeshanTamboli
- [docs] Improve line-height readability (#35387) @oliviertassinari
- [docs] Improve a bit the Composition docs (#35329) @oliviertassinari
- [docs] Refactor `ToggleButtonSizes` demo (#35375) @Armanio
- [docs] Standardize the usage of callouts in the docs (#35361) @samuelsycamore
- [docs] Format feedback to add a link to the commented section (#35381) @alexfauquette
- [docs] Direct users from Material UI to Base UI for duplicated components (#35293) @samuelsycamore
- [docs] Fix typo in FormControl API docs (#35449) @Spanishiwa
- [docs] Update callouts design (#35390) @danilo-leal

### Core

- [core] Fix @mui/material package building (#35324) @timbset
- [core] Fix leaking theme color override (#35444) @oliviertassinari
- [typescript] Add null to return type of OverridableComponent (#35311) @tsollbach

All contributors of this release in alphabetical order: @alexfauquette, @Armanio, @danilo-leal, @EduardoSCosta, @flaviendelangle, @jesrodri, @joserodolfofreitas, @kraftware, @michaldudak, @mnajdova, @oliviertassinari, @PratikDev, @samuelsycamore, @siriwatknp, @Spanishiwa, @timbset, @tsollbach, @vitorfrs-dev, @ZeeshanTamboli

## 5.10.17

<!-- generated comparing v5.10.16..master -->

_Dec 6, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- ✨ @mnajdova added a [Material You Button playground](https://mui.com/material-ui/react-button/#material-you-version) (#35222)
- 🔧 @hbjORbj renamed `components` / `componentProps` to `slots` / `slotProps` prop in Joy UI to create consistency across products (#34997)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.17`

- [Slider] Fix `markActive` theme class not getting applied (#35067) @ZeeshanTamboli
- [SwipeableDrawer] Fix missing close animation when initial open is true (#35010) @sai6855
- [material-ui] Add channel colors if possible (#35178) @siriwatknp
- [Fab] Increase disabled styles precedence (#35304) @Uzwername
- [Rating] Apply `labelEmptyValueActive` style overrides from theme (#35315) @sai6855

### `@mui/system@5.10.17`

- [system] Add support for nested CssVarsProvider (#35277) @siriwatknp

### `@mui/joy@5.0.0-alpha.57`

#### BREAKING CHANGE

- [Joy] Add `slots`/`slotProps` props to the typing of all components and apply `useSlot` to all components (#34997) @hbjORbj

  - Change all occurrences of `components` and `componentsProps` props in Joy UI components to `slots` and `slotProps`, respectively.

  ```diff
  -<Autocomplete components={{listbox: CustomListbox}} componentsProps={{listbox: { className: 'custom-listbox' }}} />
  +<Autocomplete slots={{listbox: CustomListbox}} slotProps={{listbox: { className: 'custom-listbox' }}} />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-components-to-slots) to help with the migration.

#### Changes

- [Joy] Miscellaneous fixes (#35345) @siriwatknp
- [Joy][textarea] Expose decorator classes (#35247) @zignis

### Docs

- [docs] Improve spacing with ul (#35302) @oliviertassinari
- [docs] Correct grammatically incorrect sentences in CONTRIBUTING.md (#34949) @Pandey-utkarsh
- [docs] Move the demo higher in the API TOC (#35202) @oliviertassinari
- [docs] Fix incorrect link in minimizing-bundle-size (#35297) @Juneezee
- [docs] Revise and expand Joy UI "Breadcrumbs" page (#35292) @samuelsycamore
- [docs] Fix wrong import in the unstyled tabs page (#35310) @guotie
- [docs] Disable translations (#34820) @mnajdova
- [docs] Fix typo (#35312) @flaviendelangle
- [docs] Add Material You Button playground (#35222) @mnajdova
- [docs] Fix experimental API page duplication (#35213) @oliviertassinari
- [docs] Improve the autogenerated "Unstyled" and "API" text (#35185) @samuelsycamore
- [docs] Fix ad margin on API pages (#35201) @oliviertassinari
- [docs] Revise and expand the Joy UI "Badge" page (#35199) @samuelsycamore
- [docs] Update Base UI docs with latest style conventions (#35034) @samuelsycamore
- [l10n] Improve Chinese (Taiwan) zh-TW locale (#35328) @happyincent

### Core

- [core] Use componentStyles.name over componentName (#35303) @oliviertassinari
- [core] Fix warning leak in production (#35313) @oliviertassinari
- [core] Move the internal packages from docs/packages (#35305) @michaldudak
- [core] Clean up the API docs generation scripts (#35244) @michaldudak
- [test] Scope the tests to just Material UI components (#35219) @siriwatknp

All contributors of this release in alphabetical order: @flaviendelangle, @guotie, @happyincent, @hbjORbj, @Juneezee, @michaldudak, @mnajdova, @nomandhoni-cs, @oliviertassinari, @Pandey-utkarsh, @sai6855, @samuelsycamore, @siriwatknp, @Uzwername, @zignis

## 5.10.16

<!-- generated comparing v5.10.15..master -->

_Nov 28, 2022_

A big thanks to the 13 contributors who made this release possible. This release contains various 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.16`

- [Autocomplete] Fix inferred value type when `multiple` prop is `true` (#35275) @fenghan34
- [Chip] Add `skipFocusWhenDisabled` prop to not allow focussing deletable chip if disabled (#35065) @sai6855
- [Chip] Remove unnecessary handleKeyDown event handler (#35231) @ZeeshanTamboli
- [FormControl] Add missing types in `useFormControl` (#35168) @ZeeshanTamboli
- [IconButton] Add missing color classes (#33820) @Zetta56
- [SwipeableDrawer] Make paper ref accessible (#35082) @sai6855

### `@mui/system@5.10.16`

- [system] Remove unnecessary parsed theme (#35239) @siriwatknp
- [theme] Fix TypeScript type for custom variants in responsive font sizes (#35057) @ZeeshanTamboli

### `@mui/base@5.0.0-alpha.108`

- [Base] Allow useSlotProps to receive undefined elementType (#35192) @leventdeniz

### Docs

- [docs] Improve feedback precision (#34641) @alexfauquette
- [docs] Add Black Friday notification @oliviertassinari
- [docs] Fix migration feedback (#35232) @alexfauquette
- [docs] Improve the useSelect demo styling (#33883) @michaldudak
- [docs] Fix layout jump on first mistake (#35215) @oliviertassinari
- [docs] Support demos with side effect imports (#35177) @m4theushw
- [examples] Fix Next.js errors (#35246) @oliviertassinari
- [examples] Updated Remix examples with the lates changes using React 18 (#35092) @58bits

### Core

- [core] Remove unused pattern (#35165) @iamxukai
- [core] Fix Base version in changelog (#35224) @siriwatknp
- [core] Migrate `describeConformance` to TypeScript (#35193) @flaviendelangle
- [core] Skip CI for docs and examples paths (#35225) @siriwatknp

All contributors of this release in alphabetical order: @58bits, @alexfauquette, @fenghan34, @flaviendelangle, @iamxukai, @leventdeniz, @m4theushw, @michaldudak, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli, @Zetta56

## 5.10.15

<!-- generated comparing v5.10.14..master -->

_Nov 21, 2022_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 🚀 @mnajdova added the button as the first component that implements [Material You](https://m3.material.io/) design (MD3)
- 🌐 @MBilalShafi added Urdu (Pakistan) localization
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.15`

- [Autocomplete] Fix keyboard navigation when using custom popover (#35160) @sai6855
- [typescript] Add `background.defaultChannel` to `CssVarsPalette` (#35174) @alexfauquette
- [l10n] Add Urdu (ur-PK) locale (#35154) @MBilalShafi

### `@mui/icons-material@5.10.15`

- [icons] Update the Material Design icons (#35194) @michaldudak

### `@mui/material-next@6.0.0-alpha.63`

- [Material You] Add theme structure & Button component (#34650) @mnajdova

### `@mui/base@5.0.0-alpha.107`

- [Select] Add attributes to conform with ARIA 1.2 (#35182) @michaldudak

### Docs

- [docs] Fix a couple documentation errors (#35217) @danilo-leal
- [docs] Change MUI -> Material UI in icons-material's readme (#35220) @michaldudak
- [docs] the pages have no <link rel=canonical so we need to tell Google to not index the staging envs @oliviertassinari
- [docs] Fix confusion in TOCs when reaching scroll bottom (#35214) @oliviertassinari
- [docs] Fix typos in section titles (#35025) @iamxukai
- [docs] Fix typo in legacy date picker migration guide @oliviertassinari
- [docs] Iterating on recent Joy UI Component page updates (#35162) @samuelsycamore
- [docs] Inform that pickers are in X repository (#35189) @alexfauquette
- [docs] Explain how the `error` prop works in the Unstyled Input (#35171) @michaldudak
- [docs] Hotfix missing styles in dark mode (#35179) @siriwatknp
- [docs] Add Joy UI theme typography page (#34811) @siriwatknp
- [docs] Fix undo/redo in live editor (#35163) @oliviertassinari
- [docs] Revise the Joy UI "Avatar" component page (#35152) @samuelsycamore
- [docs] Make navbar backdrop filter consistent with website (#35157) @danilo-leal
- [docs] Host CodeSandbox on MUI org (#35110) @oliviertassinari
- [docs] Uplift introduction demos & make consistent with Base (#34316) @danilo-leal

### Core

- [core] Convert icons scripts to ESM (#35101) @Janpot
- [core] Group renovate GitHub Action dependency updates @oliviertassinari
- [core] Upgrade eslint-config-airbnb-typescript (#34642) @Janpot
- [core] Ensure that prettier CI step fails when code is badly formatted (#35170) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @danilo-leal, @iamxukai, @Janpot, @MBilalShafi, @michaldudak, @oliviertassinari, @samuelsycamore, @siriwatknp

## 5.10.14

<!-- generated comparing v5.10.13..master -->

_Nov 14, 2022_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🚀 @siriwatknp added the Autocomplete component to the Joy UI (#34315)
- ♿ @sfavello improved the accessibility of the Material UI's Autocomplete by adding support for the Delete key (#33822)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.14`

- [Material UI] Add `palette.background.defaultChannel` token (#35061) @siriwatknp
- [Autocomplete] Remove tags with the Delete key (#33822) @sfavello
- [IconButton] custom color causes type error (#34521) @kushagra010

### `@mui/system@5.10.14`

- [Unstable_Gridv2] sorted responsize keys based on breakpoint value (#34987) @sai6855

### `@mui/joy@5.0.0-alpha.54`

- [Joy] Export `FormControl`, `LinearProgress` and `ListSubheader` components from `@mui/joy` (#35003) @Studio384
- [Joy] Miscellaneous fixes (#35044) @siriwatknp
- [Joy] Add `Autocomplete` component (#34315) @siriwatknp
- [Joy] Saturate a bit the gray palette (#35148) @danilo-leal
- [Autocomplete][joy] Fix types (#35153) @siriwatknp

### Docs

- [blog] Fix font size of code blocks on iOS @oliviertassinari
- [docs] Accessibility - increase default contrastThreshold for WCAG AA compliance (#34901) @kennethbigler
- [docs] Correct the keepMounted section on the Drawer page (#35076) @michaldudak
- [docs] Fix code editor styles mismatches (#35108) @oliviertassinari
- [docs] Allows to access the next MUI-X (#34798) @alexfauquette
- [docs] Fix bugs with live edit demos (#35106) @oliviertassinari
- [docs] Fix `MarkdownElement` regression from adding CSS variables (#35096) @siriwatknp
- [docs] Add a new gold sponsor (#35089) @hbjORbj
- [docs] Fix scroll issue on expanded live demos (#35064) @bharatkashyap
- [docs] Improve alignment of the sponsors @oliviertassinari
- [docs] Improve code font family v2 (#35053) @oliviertassinari
- [docs] Upgrade to Next.js 13 (#35001) @mnajdova
- [docs] Fix typo in changelog @oliviertassinari
- [docs] Update Joy UI templates to use latest components (#35058) @siriwatknp

### Core

- [core] Convert scripts to ES modules (#35036) @michaldudak
- [core] Show the whole version to make blame easier @oliviertassinari
- [core] Polish GitHub Action version @oliviertassinari
- [core] Ignore icons to speed up CodeQL @oliviertassinari
- [core] Feedback on branch protection @oliviertassinari
- [core] Revert CI (#35098) @siriwatknp
- [core] Fix job name to match the CI (#35097) @siriwatknp
- [core] ESLint fixes for tests (#34924) @Janpot
- [core] Ignore unrelated folders from github actions (#35028) @siriwatknp
- [core] Use pretty-quick instead of custom script (#34062) @Janpot

All contributors of this release in alphabetical order: @alexfauquette, @bharatkashyap, @cherniavskii, @danilo-leal, @hbjORbj, @Janpot, @kennethbigler, @kushagra010, @michaldudak, @mnajdova, @ofir5300, @oliviertassinari, @sai6855, @sfavello, @sidtohan, @siriwatknp, @Studio384

## 5.10.13

<!-- generated comparing v5.10.12..master -->

_Nov 7, 2022_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🚀 The slots API has been introduced to the Material UI package by @michaldudak (#34873).
- 🔥 Live editing of demos is stabilized by @oliviertassinari (#34870).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.13`

- [material-ui] Introduce the slots API (#34873) @michaldudak
- [NativeSelectInput] Support CSS theme variables (#34975) @siriwatknp

### `@mui/system@5.10.13`

- [system] Add a missing key attribute in getInitColorScheme to fix key issue (#34992) @akshaya-venkatesh8

### `@mui/base@5.0.0-alpha.105`

- [base] Avoid calling setState during renders (#34916) @Janpot

### `@mui/joy@5.0.0-alpha.53`

- [Select] Fix custom options menu not opening on Avatar click (#34648) @shivam1646

### Docs

- [docs] Add a guide for setting dark mode by default (#34839) @siriwatknp
- [docs] Improve code font family (#35027) @oliviertassinari
- [docs] Revise and expand Joy UI "Alert" page (#34838) @samuelsycamore
- [docs] Live demos v2 (#34870) @oliviertassinari
- [docs] Fix 301 links in the docs @oliviertassinari
- [docs] Fix code display in RTL (#34951) @oliviertassinari
- [docs] New API design rule disabled > disable (#34972) @oliviertassinari
- [docs] Explain the usage of Select's onOpen/onClose in the uncontrolled mode (#34755) @michaldudak
- [docs] Add a new gold sponsor (#34984) @hbjORbj
- [docs] Add author and published_time meta tags (#34382) @alexfauquette
- [examples] Next.js examples v13 - fonts (#34971) @PetroSilenius
- [examples] Next.js examples v13 - links (#34970) @PetroSilenius

### Core

- [core] Remove default access to GitHub action scopes @oliviertassinari
- [core] Fix Pinned-Dependencies @oliviertassinari
- [core] Fix typos in the component name @oliviertassinari
- [core] Fix scorecard regression @oliviertassinari
- [core] Create the docs theme once (#34954) @oliviertassinari

All contributors of this release in alphabetical order: @akshaya-venkatesh8, @alexfauquette, @hbjORbj, @Janpot, @jesrodri, @michaldudak, @oliviertassinari, @PetroSilenius, @samuelsycamore, @shivam1646, @siriwatknp, @trizotti

## 5.10.12

<!-- generated comparing v5.10.11..master -->

_Oct 31, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 🚀 The LinearProgress component has been added to Joy UI by @hbjORbj (#34514).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.12`

- [Chip] Don't override icon color (#34247) @emlai
- [Radio] Skip default hover style when disableRipple is set (#34902) @VinceCYLiao
- [SwipeableDrawer] Fix React 18 issues (#34505) @mnajdova
- [Tooltip] Save a few bytes (#34853) @oliviertassinari

### `@mui/base@5.0.0-alpha.104`

- [ButtonUnstyled] Update to render as link when href or to is provided (#34337) @EduardoSCosta

### `@mui/joy@5.0.0-alpha.52`

- [Joy][circularprogress] Prevent new styles from being generated when `value` changes (#34897) @hbjORbj
- [Joy] Add color inversion feature (#32511) @siriwatknp
- [Joy] Add `LinearProgress` component (#34514) @hbjORbj

### Docs

- [blog] Add blog post for high-level overview of all MUI products (#34325) @samuelsycamore
- [blog] Fix hydration mistmatch (#34857) @oliviertassinari
- [docs] Revise the Joy UI "Aspect Ratio" page (#34858) @samuelsycamore
- [docs] Fix Safari code font size (#34859) @oliviertassinari
- [docs] Fix spelling mistake (#34955) @punithnayak
- [docs] Fix 404 link of supported Material UI components @oliviertassinari
- [docs] Fix Safari button misalignment (#34861) @oliviertassinari
- [docs] Fix typo in docs title (#34926) @PunitSoniME
- [docs] Fix missing emotion prefixes (#34958) @oliviertassinari
- [docs] Improve UI display for copy code (#34950) @oliviertassinari
- [docs] Standardize all "Usage" pages (#34183) @samuelsycamore
- [docs] Update templates' readme files to include required dependencies (#34757) @michaldudak
- [docs] Fix inconsistent theme colors when applying custom colors in playground (#34866) @cherniavskii
- [docs] Fix typo in bottom-navigation.md (#34884) @RoodyCode

### Core

- [core] Ignore compiled icons in CodeQL @oliviertassinari
- [core] Add OSSF Scorecard action (#34854) @oliviertassinari
- [core] Fix extra GitHub Action permission (#34496) @sashashura
- [core] Fix duplicate id @oliviertassinari
- [core] Enforce import \* as React (#34878) @da0x
- [core] A couple of simply fixes from #34870 (#34953) @oliviertassinari
- [core] Migrate outdated pattern to convention @oliviertassinari
- [core] Pin GitHub Actions dependencies (#34929) @renovate[bot]
- [core] Make the reproduction more important in the bug template (#34875) @oliviertassinari
- [core] Fix docs GitHub API rate limit (#34856) @oliviertassinari
- [core] Fix eslint issues (#34964) @mnajdova
- [core] Pin GitHub Action to digests (#34855) @oliviertassinari
- [core] Fix permissions in workflow @oliviertassinari
- [core] memoize context values for react/jsx-no-constructed-context-values (#34849) @Janpot
- [core] Fix @typescript-eslint/default-param-last issues (#34846) @Janpot
- [core] Fix HTML validation error (#34860) @oliviertassinari
- [core] Fix duplicate CodeQL build @oliviertassinari
- [test] Move Firefox tests to CircleCI (#34764) @oliviertassinari
- [test] Use screen when possible for simplicity (#34890) @oliviertassinari

All contributors of this release in alphabetical order: @cherniavskii, @DanailH, @EduardoSCosta, @emlai, @hbjORbj, @Janpot, @michaldudak, @mnajdova, @oliviertassinari, @punithnayak, @PunitSoniME, @renovate[bot], @RoodyCode, @samuelsycamore, @siriwatknp, @VinceCYLiao

## 5.10.11

<!-- generated comparing v5.10.10..master -->

_Oct 25, 2022_

A big thanks to the 10 contributors who made this release possible. Here are some highlights ✨:

- 🔧 Moved `components` to `slots` prop starting at Base UI to create consistency across products
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.11`

- [InputBase] Fix `onInvalid` to use HTMLInputElement | HTMLTextAreaElement Element type (#33162) @KuSh
- [Alert] Add `components` and `componentsProps` props to allow close action overrides (#33582) @jake-collibra

### `@mui/base@5.0.0-alpha.103`

#### BREAKING CHANGE

- [base] `components` -> `slots` API rename (#34693) @michaldudak

  - Change all occurrences of components and componentsProps props in Base components to slots and slotProps, respectively.
  - Change casing of slots' fields to camelCase

  ```diff
  -<SwitchUnstyled components={{Root: CustomRoot}} componentsProps={{rail: { className: 'custom-rail' }}} />
  +<SwitchUnstyled slots={{root: CustomRoot}} slotProps={{rail: { className: 'custom-rail' }}} />
  ```

- [base] Make CSS class prefixes consistent (#33411) @michaldudak

  **This is a breaking change for anyone who depends on the class names applied to Base components.**
  If you use the `<component>UnstyledClasses` objects, you won't notice a difference. Only if you depend on the resulting class names (for example in CSS stylesheets), you'll have to adjust your code.

  ```diff
  -.ButtonUnstyled-root { ... };
  +.MuiButton-root { ... };
  ```

#### Changes

- [test] Test all Base components with describeConformanceUnstyled (#34825) @michaldudak

### `@mui/joy@5.0.0-alpha.51`

- [CircularProgress][joy] Fix classnames and add test (#34806) @hbjORbj
- [Joy] Allow string type for `size` prop in components (#34805) @hbjORbj

### Docs

- Revert "[docs] Fix search icons in other languages (#34823)" @oliviertassinari
- Revert "[core] Move SearchIcons to docs src folder (#34802)" @oliviertassinari
- Revert "[docs] Live demos (#34454)" @oliviertassinari
- Update the order of operations for pagination example so that slicing takes place after sorting. (#34189) @marceliwac
- [docs] Gatsby Description in Joy dark-mode (#34702) @pixelass
- [docs] Add notification for blogpost MUI X v6 alpha (#34809) @joserodolfofreitas
- [docs] Polish Crowdin config (#34852) @oliviertassinari
- [docs] Fix a few style standard deviations @oliviertassinari
- [docs] Enforce no trailing spaces (#34762) @oliviertassinari
- [docs] Enforce correct git diff format (#34765) @oliviertassinari
- [docs] Fix Toolpad docs 301 route (#34843) @bharatkashyap
- [docs] Replace initial value with theme white (#34822) @siriwatknp
- [docs] Remove localization redirects (#34844) @mnajdova
- [docs] Fix search icons in other languages (#34823) @siriwatknp
- [docs] Fix JavaScript capitalization @oliviertassinari
- [docs] Update new links to MD2 (#34848) @oliviertassinari

### Core

- [core] Remove dead files (#34850) @oliviertassinari
- [core] Fix revert conflict @oliviertassinari
- [core] Fix a few CodeQL errors (#34766) @oliviertassinari
- [core] Harden GitHub Actions permissions (#34769) @oliviertassinari
- [core] Remove the codeowners file (#34876) @michaldudak

All contributors of this release in alphabetical order: @bharatkashyap, @hbjORbj, @jake-collibra, @joserodolfofreitas, @KuSh, @marceliwac, @michaldudak, @oliviertassinari, @pixelass, @siriwatknp

## 5.10.10

<!-- generated comparing v5.10.9..master -->

_Oct 18, 2022_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🖌 Thanks to the efforts of @bharatkashyap and @nihgwu, we now have editable demos across our docs (#34454)!
- 🚀 The Tooltip component has been added to Joy UI by @hbjORbj (#34509).
- ⚙️ We started converting the remaining JS components in Base UI to TypeScript.
  @mbayucot finished the first PR with the conversion of the NoSsr code (#34735).
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.10`

- [Popover] Fix paper position flash on open (#34546) @TheUnlocked
- [SwipeableDrawer] Make component `defaultProps` overridable (#34643) @hbjORbj

### `@mui/system@5.10.10`

- [system] Support CSS `grey` color in `sx` (#34548) @TheUnlocked

### `@mui/styles@5.10.10`

- [styles] Use memoized context in StylesProvider (#34637) @mohd-akram

### `@mui/joy@5.0.0-alpha.50`

- [Select][joy] Added hidden input element (#34657) @zee-bit
- [Slider][joy] Add global variant to slider (#34733) @siriwatknp
- [Tooltip][joy] Add component (#34509) @hbjORbj

### `@mui/base@5.0.0-alpha.102`

- [MultiSelect][base] Prevent the renderValue prop from being propagated to the DOM (#34698) @michaldudak
- [NoSsr] Convert code to TypeScript (#34735) @mbayucot

### Docs

- [docs] Fix the Autocomplete Highlighting example (#34184) @hayawata3626
- [docs] Fix typos in Base (Menu, Tabs) and Joy UI (Chip) (#34803) @rvrvrv
- [docs] Use new editing API in homepage demos (#34220) @m4theushw
- [docs] Live demos (#34454) @bharatkashyap
- [docs] Fix typos in Joy UI Switch (#34728) @ndresx
- [docs] Avoid scrollbar in the code demos (#34741) @oliviertassinari
- [docs] Revise the Joy UI "Automatic adjustment" page (#34614) @samuelsycamore
- [docs] Revise and rename the Joy UI "Perfect dark mode" page (#34613) @samuelsycamore
- [docs] Revise the Joy UI "Global variants" page (#34595) @samuelsycamore
- [docs] Basic link verification at PR level (#34588) @alexfauquette
- [docs] Add a missing comma in the customization example (#34617) @AbayKinayat

### Core

- [core] Clean conditionals (#34772) @pedroprado010
- [core] Temporary remove the authorization (#34796) @siriwatknp
- [core] Avoid slower CI run statues @oliviertassinari
- [core] Improve the playground DX (#34739) @oliviertassinari
- [core] Link Netlify in the danger comment (#34688) @oliviertassinari
- [core] Fix CI after out of sync merge @oliviertassinari
- [core] Enforce straight quote (#34686) @oliviertassinari
- [core] Add code scanning via CodeQL (#34707) @DanailH
- [core] Fix some upcoming eslint issues (#34727) @oliviertassinari
- [core] Auto-fix upcoming eslint issues (#34644) @Janpot
- [core] Move SearchIcons to docs src folder (#34802)
- [test] Enable `react/no-unstable-nested-components` (#34518) @eps1lon

All contributors of this release in alphabetical order: @AbayKinayat, @alexfauquette, @bharatkashyap, @DanailH, @eps1lon, @hayawata3626, @hbjORbj, @Janpot, @joserodolfofreitas, @m4theushw, @mbayucot, @michaldudak, @mohd-akram, @ndresx, @oliviertassinari, @pedroprado010, @rvrvrv, @samuelsycamore, @siriwatknp, @TheUnlocked, @zee-bit

## 5.10.9

<!-- generated comparing v5.10.8..master -->

_Oct 10, 2022_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Joy] Button loading functionality has been added by @kushagra010 (#34658)
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.9`

- [Grid v2][system] Handle direction object prop for responsive design (#34574) @vanyaxk
- [Slider] Fix unnecessary accessibility attribute in root element (#34610) @vanyaxk

### `@mui/system@5.10.9`

#### BREAKING CHANGE

- [system] Fix color-scheme implementation (#34639) @siriwatknp

  The `enableColorScheme` prop has been removed from `CssVarsProvider` and `getInitColorScheme` (both Material UI and Joy UI).

  Migration:

  - **Material UI**: you can enable the CSS color scheme via `<CssBaseline enableColorScheme />`.
  - **Joy UI**: it is enabled automatically if you use `<CssBaseline />`, [see the docs](https://mui.com/joy-ui/react-css-baseline/).

#### Changes

- [system] Fix typo in createCssVarsProvider (#34661) @HexM7

### `@mui/base@5.0.0-alpha.101`

- [FocusTrap] Restore the previously exported type from @mui/material (#34601) @michaldudak

### `@mui/joy@5.0.0-alpha.49`

- [Joy] Add button loading functionality (#34658) @kushagra010

### Docs

- [docs] Revert #34541 (#34700) @michaldudak
- [blog] Blog post for MUI X v6 alpha zero (#34424) @joserodolfofreitas
- [docs] Improve Joy UI tutorial demo (#34653) @oliviertassinari
- [docs] Explain how SelectUnstyled renders a hidden input (#34638) @michaldudak
- [docs] Fix Taiwan description (#34611) @oliviertassinari
- [docs] Fix codesandbox export with dayjs (#34619) @oliviertassinari
- [docs] Explain the purpose of renderGroup prop (#34066) @michaldudak

### Core

- [core] Make useForkRef variadic (#27939) @michaldudak
- [core] Speedup of yarn install in the CI (#34632) @oliviertassinari
- [core] Fix markdown loader on Windows (#34623) @michaldudak
- [core] Update changelog for version v5.10.8 (#34593) @mnajdova
- [core] Update root package.json version (#34592) @mnajdova

All contributors of this release in alphabetical order: @HexM7, @joserodolfofreitas, @kushagra010, @michaldudak, @mnajdova, @oliviertassinari, @vanyaxk

## 5.10.8

<!-- generated comparing v5.10.7..master -->

_Oct 3, 2022_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [SnackbarUnstyled](https://mui.com/base-ui/react-snackbar/) component & headless hook are added to Base UI (#33227) @ZeeshanTamboli
- 📚 [CSS variables documentation](https://mui.com/material-ui/experimental-api/css-theme-variables/overview/) for Material UI has been added by @siriwatknp (#33958)
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.8`

- [Autocomplete] Skip filtering when list of options is loading (#33278) @ndebeiss
- [Fab] Add `disabled` class to FAB button (#34245) @meenarama
- [l10n] Add Arabic Saudi Arabia (ar-SA) locale (#33340) @rolule
- [l10n] zhTW refinement (#33391) @Aporim2051
- [Popover] Add `ownerState` on the paper slot (#34445) @kabernardes
- [Slider] Fixed incorrect marks displayed due to duplicate keys in range (#33526) @kskd1804
- [TextField] Fix typo in FormControlLabel declaration file (#34535) @hghmn

### `@mui/base@5.0.0-alpha.100`

- [SnackbarUnstyled] Create component and `useSnackbar` hook (#33227) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.48`

- [Joy] Fix `variantPlain` classname missing in few components (#34534) @hbjORbj
- [Joy] Fix input decorator color and list padding (#34586) @siriwatknp
- [Joy] Miscellaneous fixes (#34492) @siriwatknp

### Docs

- [blog] Fix 404 link in base introduction @oliviertassinari
- [docs] Fix CI build (#34589) @mnajdova
- [docs] Temporary remove date picker from home page (#34541) @siriwatknp
- [docs] Revise and expand Joy UI "Tutorial" doc (#34569) @samuelsycamore
- [docs] Fix SEO issues (#34537) @oliviertassinari
- [docs] Add CSS variables documentation for Material UI (#33958) @siriwatknp
- [docs] Capitalize Material Design on the Breakpoints page (#34481) @Dustin-Digitar
- [docs] Able to load doc components inside markdown files (#34243) @flaviendelangle
- [docs] Use mouse pointer on esc button in the search modal (#34485) @minkyngkm

### Core

- [core] Update root package.json version (#34592) @mnajdova
- [core] Remove useless comment in fixtures (#34581) @Garz4
- [core] Fix link to CODE_OF_CONDUCT.md (#34543) @peippo
- [core] Remove outdated docsearch.js dependency (#34421) @oliviertassinari
- [core] Add `newFeature` to the typing of MuiPage (#34511) @flaviendelangle

All contributors of this release in alphabetical order: @Aporim2051, @Dustin-Digitar, @flaviendelangle, @Garz4, @hbjORbj, @hghmn, @kabernardes, @kskd1804, @meenarama, @minkyngkm, @mnajdova, @ndebeiss, @oliviertassinari, @peippo, @rolule, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.10.7

<!-- generated comparing v5.10.6..master -->

_Sep 26, 2022_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Divider](https://mui.com/joy-ui/react-divider/) component is added to Joy UI (#34403) @siriwatknp

### `@mui/material@5.10.7`

- [CssVarsProvider] Exclude dark mode variables from `:root` stylesheet (#34131) @siriwatknp
- [Chip] Add chip classes (#33801) @pratikkarad
- [Slider] Fix typo in the comments in the source (#34452) @HexM7
- [SvgIcon] Fix passing an ownerState to SvgIcon changes the font size (#34429) @ZeeshanTamboli
- [Stepper] Fix optional label is not centered when `alternativeLabel` is used (#34335) @ZeeshanTamboli
- [Tooltip] Add undefined, null or false in `title` (#34289) @abhinav-22-tech
- Make @emotion/\* fully supported in all Material UI components (#34451) @garronej

### `@mui/system@5.10.7`

- [system] Fix parsing of hsla colors in getLuminance (#34437) @ptrfrncsmrph
- [system] Fix incorrect type of `shape.borderRadius` in theme (#34076) @ZeeshanTamboli
- [system] Replace `enableSystem` with `defaultMode` (#33960) @siriwatknp

### `@mui/material@5.0.0-alpha.101`

- [deps] Move @mui/types to dependencies (#34384) @Methuselah96

### `@mui/base@5.0.0-alpha.99`

#### Breaking changes

- [FocusTrap] Rename TrapFocus to FocusTrap (#34216) @kabernardes

  ```diff
  -import TrapFocus from '@mui/base/TrapFocus';
  +import FocusTrap from '@mui/base/FocusTrap';
  ```

#### Changes

- [MultiSelect] Require a single tap to select an item on mobile Chrome (#33932) @michaldudak

### `@mui/joy@5.0.0-alpha.47`

- [Checkbox] spread `value`, `required`, and `readOnly` to input (#34477) @siriwatknp
- [Chip] Fix unbinded `onClick` prop (#34455) @HexM7
- [Divider] Add `Divider` component (#34403) @siriwatknp
- [Radio] spread `readOnly` and `required` to input (#34478) @siriwatknp

### Docs

- [blog] Base UI announcement typo fixed (#34409) @prakhargupta1
- [blog] Fix typo in date-pickers v5 stable (#34386) @alexfauquette
- [blog] Update date on date pickers v5 release blog post (#34406) @joserodolfofreitas
- [docs] Update `useMenu` and `useMenuItem` hooks demo (#34166) @ZeeshanTamboli
- [docs] Update the guide for migrating to TSS (#34417) @garronej
- [docs] Fix typo in `Grid` docs (#34475) @Dustin-Digitar
- [docs] Fix typo in `Back to top` section in AppBar docs (#34479) @Dustin-Digitar
- [docs] Standardize all "Installation" pages (#34168) @samuelsycamore
- [docs] Fix webpack file name to the standard: `webpack.config.js` (#34446) @CodingItWrong
- [docs] Fix Select `onChange` call (#34408) @siriwatknp
- [docs] Notification for pickers blog - v5 stable (#34400) @joserodolfofreitas
- [docs] Improve social sharing of docs pages (#34346) @oliviertassinari
- [docs] Refine the use of MUI vs. Material UI (#34345) @oliviertassinari
- [docs] Send feedback directly to a dedicated slack channel (#34196) @alexfauquette

### Core

- [core] Document some types in @mui/styled-engine-sc (#34413) @mnajdova
- [core] Add yml support to prettier (#33980) @Janpot

All contributors of this release in alphabetical order: @abhinav-22-tech, @alexfauquette, @CodingItWrong, @Dustin-Digitar, @garronej, @HexM7, @howlettt, @Janpot, @joserodolfofreitas, @kabernardes, @MBilalShafi, @Methuselah96, @michaldudak, @mnajdova, @oliviertassinari, @prakhargupta1, @pratikkarad, @ptrfrncsmrph, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.10.6

<!-- generated comparing v5.10.5..master -->

_Sep 19, 2022_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.6`

- [TextField] Fix conflict with `Bootstrap` even when label is not defined (#34343) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.46`

#### Breaking changes

- [button][joy] Replace `start/endIcon` prop with `start/endDecorator` (#34288) @hbjORbj

  **BREAKING CHANGE**: replace `start/endIcon` with `start/endDecorator`.

  ```jsx
  // before
  <Button startIcon={...} endIcon={...} />

  // after
  <Button startDecorator={...} endDecorator={...} />
  ```

#### Changes

- [Joy] Adjust the `Input` and `Textarea` styles (#34281) @siriwatknp
- [menu][joy] Set disablePortal default to false (#34283) @tomasz-sodzawiczny

### `@mui/base@5.0.0-alpha.98`

#### Breaking changes

- [Select][base] Add event parameter to the onChange callback (#34158) @michaldudak

  The SelectUnstyled and MultiSelectUnstyled `onChange` callbacks did not have event as the first parameter, leading to inconsistency with other components and native HTML elements.
  This PR adds the event parameter as the first one and moves the newly selected value to the second position. Because of this, it's a breaking change.
  This also affects Select from Joy UI.

  ```jsx
  // before
  <SelectUnstyled onChange={(newValue) => { /* ... */ }} />

  // after
  <SelectUnstyled onChange={(event, newValue) => { /* ... */ }} />
  ```

### Docs

- [blog] The Date Pickers gets a stable v5 release (#34152) @alexfauquette
- [blog] Improve image handling (#34222) @oliviertassinari
- [blog] Correct 2021 survey data interpretation (#34291) @samuelsycamore
- [docs] Remove expired AospExtended showcase @oliviertassinari
- [docs] Link the OpenSSF Best Practices card (#34331) @oliviertassinari
- [docs] Fix 301 link to external projects @oliviertassinari
- [docs] Move 12 component names to Title Case (#34188) @oliviertassinari
- [docs] Fix broken links (#34320) @alexfauquette
- [docs] Add notification for Base UI announcement post (#34295) @samuelsycamore

### Core

- [core] Lock file maintenance (#34161) @renovate[bot]
- [core] Issue template: move reproduction steps to the top (#34279) @Janpot
- [core] Create shared Next.js baseline config (#34259) @oliviertassinari
- [core] In `typescript-to-proptypes`, respect the value pass to the generic (#34311) @flaviendelangle

All contributors of this release in alphabetical order: @alexfauquette, @flaviendelangle, @hbjORbj, @Janpot, @michaldudak, @oliviertassinari, @renovate[bot], @samuelsycamore, @siriwatknp, @tomasz-sodzawiczny, @ZeeshanTamboli

## 5.10.5

<!-- generated comparing v5.10.4..master -->

_Sep 12, 2022_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Blog post](https://mui.com/blog/introducing-base-ui/) for announcing the release of the Base UI package is out thanks to @michaldudak.
- 🚀 Added [`Alert`](https://mui.com/joy-ui/react-alert/), [`Modal`](https://mui.com/joy-ui/react-modal/), [`ListSubheader`](https://mui.com/joy-ui/react-list-subheader/), [`FormControl`](https://mui.com/joy-ui/react-form-control/), [`CircularProgress`](https://mui.com/joy-ui/react-circular-progress/) components to Joy UI (#33859) @hbjORbj @siriwatknp
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.5`

- [ListItemText] Fix variant mapping in `primaryTypography` (#33880) @iamxukai
- [Timeline] Add left and right aligned timeline demos in docs (#34156) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.45`

- [Joy UI] Add `CircularProgress` component (#33869) @hbjORbj
- [Joy UI] Add `FormControl` component (#34187) @siriwatknp
- [Joy UI] Add `ListSubheader` component (#34191) @siriwatknp
- [Joy UI] Add `Modal` component (#34043) @siriwatknp
- [Joy] Fix list value of false or 0 (zero) text is incorrectly grey (#34255) @kushagra010
- [Joy] Adjust typography decorator margin (#34257) @siriwatknp
- [Joy] Miscellaneous fixes (#34193) @siriwatknp
- [Radio][joy] Integrate with form control (#34277) @siriwatknp
- [Joy][textarea] Pass `textarea` props from `componentsProps` (#34223) @HexM7

### Docs

- [blog] Introducing Base UI (#33778) @michaldudak
- [docs] Fix spelling error (#34209) @ChrystianDeMatos
- [docs] Improve link to the security policy (#34219) @oliviertassinari
- [docs] Fix typo in Joy UI's `Usage` docs (#34200) @zillion504

### Core

- [test] Replace argos-cli with @argos-ci/core (#34178) @michaldudak
- [core] Create a script to generate codeowners (#34175) @michaldudak
- [core] Add RFC GH issue template (#33871) @bytasv

All contributors of this release in alphabetical order: @bytasv, @ChrystianDeMatos, @hbjORbj, @HexM7, @iamxukai, @kushagra010, @LukasTy, @michaldudak, @oliviertassinari, @siriwatknp, @ZeeshanTamboli, @zillion504

## 5.10.4

<!-- generated comparing v5.10.3..master -->

_Sep 5, 2022_

A big thanks to the 11 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added [`Alert`](https://mui.com/joy-ui/react-alert/) component to Joy UI (#33859) @hbjORbj
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.4`

- [Avatar] Use structured / semantic markup for avatars and avatar groups (#33994) @paulschreiber
- [Steps] Use structured / semantic markup for steps and steppers (#34138) @paulschreiber

### `@mui/joy@5.0.0-alpha.44`

- [Alert][joy] Add `Alert` component (#33859) @hbjORbj
- [Joy] Make the description of `componentsProps` generic (#34140) @hbjORbj
- [Joy] Add tests / classes for `Breadcrumbs` component (#33860) @hbjORbj
- [Select][joy] Fix forwarding listbox `component` prop (#34172) @siriwatknp

### `@mui/base@5.0.0-alpha.96`

- [Select][base] Fix type issues that appeared with TS 4.8 (#34132) @michaldudak

### Docs

- [docs] Add `mui-color-input`, `mui-chips-input` and `mui-tel-input` into the related projects page (#34123) @viclafouch
- [docs] Update sponsors (#34157) @hbjORbj
- [docs] Move 5 component names to Title Case (#34118) @oliviertassinari
- [docs] Fix the color contrast on optional API methods (#34127) @oliviertassinari
- [docs] Fix crash due to using wrong variable (#34171) @siriwatknp
- [docs] Fix a few Base typos (#33986) @ropereraLK
- [docs] Revise Joy UI "Overview" page copy (#34087) @samuelsycamore
- [blog] Fix social cards (#34160) @oliviertassinari

### Core

- [core] Move renovate config to the repository root (#34180) @oliviertassinari
- [core] Reinstate react/no-unused-prop-types eslint rule (#34125) @Janpot
- [core] Do not append `types` field to packages without index.d.ts (#33952) @michaldudak
- [core] Sanitize input in icon synonyms update script (#33989) @michaldudak
- [test] Allow to pass options to `mousePress` function (#34124) @cherniavskii

All contributors of this release in alphabetical order: @cherniavskii, @DanailH, @hbjORbj, @Janpot, @michaldudak, @oliviertassinari, @paulschreiber, @ropereraLK, @samuelsycamore, @siriwatknp, @viclafouch

## 5.10.3

<!-- generated comparing v5.10.2..master -->

_Aug 29, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- ⚡ @mnajdova implemented an alternative to OverridableComponent to achieve better dev-time performance (#32735)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.3`

- [Autocomplete][material] Fix value overflow when `disableClearable` is used (#34053) @mnajdova
- [Autocomplete] Update unstyled demo to not import Material UI (#34060) @oliviertassinari
- [Slider] Remove SliderInput export from d.ts (#34055) @pieetrus
- [TablePagination] Fix select variant not working (#33974) @ZeeshanTamboli

### `@mui/system@5.10.3`

- [system] Fix mode blink when open multiple sessions (#33877) @siriwatknp

### `@mui/base@5.0.0-alpha.95`

- [Button][base] Prevent too many ref updates (#33882) @michaldudak
- [Select][base] Fix typo in listbox blur event handler (#34120) @ZeeshanTamboli
- [FocusTrap] Improve tab test and simplify demo (#34008) @EthanStandel

### `@mui/joy@5.0.0-alpha.43`

- [Joy] Fix `role` proptypes (#34119) @siriwatknp
- [Joy] Refine `componentsProps` for all components (#34077) @siriwatknp
- [Radio][joy] support `componentsProps` as a function (#34022) @siriwatknp
- [Select][joy] Improve the a11y on the select field demo (#34073) @mnajdova
- [Textarea][joy] Add `Textarea` component (#33975) @siriwatknp

### Docs

- [blog] Add Grid v2 announcement (#33926) @siriwatknp
- [blog] Making customizable components (#33183) @alexfauquette
- [blog] Improve SEO metadata (#33954) @oliviertassinari
- [docs] Add introduction Base component demos & general uplift (#33896) @danilo-leal
- [docs] Fix Gatsby sample config in CSS variables (#34024) @bicstone
- [docs] Fix 404 link from Joy to React Router (#34115) @oliviertassinari
- [docs] Fix typo in `Select` component (#34091) @HexM7
- [docs] Fix 301 links to tss's docs @oliviertassinari
- [docs] Fixing Joy UI usage snippet (#34049) @JonathanAsbury-SPS
- [docs] Fix missing JSX closing tag in Tooltip docs (#34064) @hoangph271

### Core

- [core] Offer alternative to `OverridableComponent` via module augmentation for better performance (#32735) @mnajdova
- [core] Fix prop-type warning in regression tests (#34086) @oliviertassinari
- [core] Specify code owners (#33995) @michaldudak
- [core] Fix scroll restoration (#34037) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @bharatkashyap, @bicstone, @danilo-leal, @EthanStandel, @HexM7, @hoangph271, @JonathanAsbury-SPS, @michaldudak, @mnajdova, @NaveenPantra, @oliviertassinari, @pieetrus, @renovate[bot], @siriwatknp, @ZeeshanTamboli

## 5.10.2

<!-- generated comparing v5.10.1..master -->

_Aug 22, 2022_

A big thanks to the 11 contributors who made this release possible. Here are some highlights ✨:

- ✨ @michaldudak synced the Material Icons set with the latest from Google (#33988).\
  A couple of icons changed their appearance. See the difference [on this Argos build](https://app.argos-ci.com/mui/material-ui/builds/4428]).

### `@mui/material@5.10.2`

- [Autocomplete] Fix `keepMounted` Popper prop not working (#33957) @ZeeshanTamboli
- [IconButton] Fix hover effect when CSS Variables are enabled (#33971) @TheUnlocked
- [LoadingButton] Add support for CSS variables (#34001) @ZeeshanTamboli
- [TimelineConnector] Add support for CSS variables (#34002) @ZeeshanTamboli
- [TimelineDot] Add support for CSS variables (#34003) @ZeeshanTamboli
- [TreeItem] Add support for CSS variables (#34004) @ZeeshanTamboli

### `@mui/system@5.10.2`

- [system] catch localStorage errors (#34027) @jsakas

### `@mui/joy@5.0.0-alpha.42`

- [Joy] Add missing global exports (#33982) @tomasz-sodzawiczny

### `@mui/icons-material@5.8.5`

- [icons] Sync the Material Icons (#33988) @michaldudak

### Docs

- [docs] Fix typo in using-joy-ui-and-material-ui.md (#33997) @djohalo2 @danilo-leal
- [docs] Fix typo in the Transition docs (#34040) @alirezahekmati
- [docs] Typo fix in Joy UI Aspect Ratio doc (#33984) @AjeetSingh2016
- [docs] Fix broken Joy UI codesandbox export (#34007) @oliviertassinari
- [docs] Fix typos in `test` folder's README (#33976) @ropereraLK
- [docs] Fix interior section links in Base docs that feature hooks (#33948) @samuelsycamore
- [docs] Fix typo in Joy UI's List Component docs (#33956) @Cerebro92
- [docs] Fix typo in Joy UI's docs (#33938) @AjeetSingh2016

### Core

- Revert "[core] Replace `getInitialProps` with `getStaticProps`" (#33991) @mnajdova

All contributors of this release in alphabetical order: @AjeetSingh2016, @alirezahekmati, @Cerebro92, @danilo-leal, @djohalo2, @jsakas, @michaldudak, @mnajdova, @oliviertassinari, @ropereraLK, @samuelsycamore, @TheUnlocked, @tomasz-sodzawiczny, @ZeeshanTamboli

## 5.10.1

<!-- generated comparing v5.10.0..master -->

_Aug 15, 2022_

A big thanks to the 18 contributors who made this release possible. This release was mostly around 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.1`

- [TableCell] Enable variant overrides via TypeScript module augmentation (#33856) @arjunvijayanathakurup

### `@mui/system@5.10.1`

- [system] Fix `ContainerProps` export (#33923) @bugzpodder

### `@mui/base@5.0.0-alpha.93`

- [FocusTrap] Removes invisible tabbable elements from (#33543) @EthanStandel
- [Input][base] Pass the rows prop to the underlying textarea (#33873) @michaldudak
- [SelectUnstyled] Add ability to post the select's value when submitting a form (#33697) @michaldudak

### `@mui/joy@5.0.0-alpha.41`

- [IconButton][joy] Fix large IconButton scaling (#33885) @cherewaty

### Docs

- [docs] Expand on a11y section for Material UI `Link` component (#32839) @TKrishnasamy
- [docs] Fix typo in Joy UI's `AspectRatio` docs (#33895) @IsaacInsoll
- [docs] Improve the Base Usage page (#33272) @samuelsycamore
- [docs] Avoid refreshing the page when button on demo is clicked (#33852) @PunitSoniME
- [docs] Improve the HorizontalNonLinearStepper demo styling (#33886) @hayawata3626
- [docs] Remove dead NoSsr in the demos (#33910) @oliviertassinari
- [docs] Fix the reopening menu problem in MenuUnstyled demo (#33890) @michaldudak
- [docs] Fix a few link issues (#33909) @oliviertassinari
- [docs] Explain the icons package dependencies (#33592) @michaldudak
- [docs] Fix reported SEO issues (#33818) @oliviertassinari
- [docs] Add permanent notifications back (#33843) @oliviertassinari
- [docs] Enforce description for all pages (#33698) @oliviertassinari
- [docs] Clarify difference in startup times between named and default imports (#33109) @cmdcolin
- [docs] Update transform function in the sx prop sizing docs (#33850) @ZeeshanTamboli
- [docs] Adding missing accessibility labels (#33782) @PunitSoniME
- [docs] Fix `/system/getting-started/advanced/` does not exist (#33867) @MonstraG
- [docs] New Crowdin updates (#32213) @l10nbot
- [examples] Fix broken path to favicon.ico (#33906) @mmostafavi

### Core

- [core] Add the download tracker package (#33899) @michaldudak
- [core] Use proper external build id for Argos uploads (#33929) @cherniavskii
- [core] Enforce 70 as the max width on the title on the docs (#33819) @oliviertassinari
- [core] Clear yarn installation warning (#33776) @michaldudak
- [core] Bump yarn to 1.22.19 (#33656) @michaldudak
- [core] Remove outdated Next.js options (#33845) @oliviertassinari
- [core] Add the download tracker build script (#33941) @michaldudak

All contributors of this release in alphabetical order: @arjunvijayanathakurup, @bugzpodder, @cherewaty, @cherniavskii, @cmdcolin, @danilo-leal, @EthanStandel, @hayawata3626, @IsaacInsoll, @l10nbot, @michaldudak, @mmostafavi, @MonstraG, @oliviertassinari, @PunitSoniME, @samuelsycamore, @TKrishnasamy, @ZeeshanTamboli

## 5.10.0

<!-- generated comparing v5.9.3..master -->

_Aug 8, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- ✨ [Stack](https://mui.com/system/react-stack/) component is added to MUI System and Joy UI #33760 #33800 @mnajdova
- ✨ [Breadcrumbs](https://mui.com/joy-ui/react-breadcrumbs/) component is added to Joy UI (#32697) @hbjORbj
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.0`

- [Grid] Prevent crash if spacing is set to zero in theme (#33777) @PunitSoniME
- [Grid] Export interface `RegularBreakpoints` to fix type error (#33751) @ZeeshanTamboli
- [Skeleton] Add `rounded` variant (#33687) @siriwatknp
- [Stepper] Fix classes for icon container (#33734) @pratikkarad
- [TableCell] Enable size prop overrides via module augmentation (#33816) @brentertz
- [Tooltip] Fix tooltip arrow css var background (#33753) @TimoWilhelm
- [useScrollTrigger] Add passive flag to scroll trigger event listener #32437 (#33749) @Dsalazar1685

### `@mui/system@5.10.0`

- Fix unnecessary styles created from `sx` (#33752) @siriwatknp
- Fix duplicated styles in Box (#33774) @iamxukai
- Don't spread props to DOM for string tags (#33761) @siriwatknp
- Add `Stack` component (#33760) @mnajdova

### `@mui/joy@5.0.0-alpha.40`

- [Stack] Add new component (#33800) @mnajdova
- [Breadcrumbs] Add `Breadcrumbs` component (#32697) @hbjORbj
- [Card] Fix wrong api description for `size` prop (#33862) @hbjORbj
- Miscellaneous fixes (#33796, #33750) @siriwatknp

### Docs

- [docs] Create, revise, and expand System "Getting started" docs (#33503) @samuelsycamore
- [docs] Test new image best practice @oliviertassinari
- [docs] Fix typo in the ClickAwayListerner name (#33813) @pawelsmigielski
- [docs] Fix link to `Basics` section in `Trap Focus` docs (#33772) @ZeeshanTamboli
- [docs] z-index added in popper when used by split button (#33763) @PunitSoniME
- [docs] Improve the guide for using @mui/base with Tailwind CSS (#33670) @mnajdova
- [docs] Fix warnings related to Next.js' links (#33693) @mnajdova
- [docs] Add notification to aggregation blogpost (#33745) @joserodolfofreitas
- [docs] Add Grid version 2 docs (#33554) @siriwatknp
- [examples] Fix `NextLinkComposedProps` type error (#33842) @adham618

### Core

- [blog] Add social card to Tenerife retreat post (#33764)
- [blog] Fix blue outline bug (#33707) @oliviertassinari
- [blog] Improve the width of the layout (#33706) @oliviertassinari@samuelsycamore
- [core] Remove unnecessary packageName attribute from pages (#33488) @cherniavskii
- [core] Remove duplicated CODE_OF_CONDUCT (#33702) @oliviertassinari
- [core] Update Playwright packages together (#33737) @michaldudak

All contributors of this release in alphabetical order: @adham618, @brentertz, @cherniavskii, @Dsalazar1685, @hbjORbj, @iamxukai, @joserodolfofreitas, @michaldudak, @mnajdova, @oliviertassinari, @pawelsmigielski, @pratikkarad, @PunitSoniME, @siriwatknp, @TimoWilhelm, @ZeeshanTamboli

## 5.9.3

<!-- generated comparing v5.9.2..master -->

_Aug 1, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🖼️ @garronej worked on improving the support of Emotion packages in MUI System (#33205)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.9.3`

- [Chip] Assign classnames and associated styles for `filled` variant (#33587) @hbjORbj
- [Grid] Fix `columnSpacing` and `rowSpacing` props ignore higher breakpoints with 0 (#33480) @ZeeshanTamboli
- [Input] Add the readOnly state class (#33654) @michaldudak
- [Stack] Responsive styles based on breakpoints should be in the correct order (#33552) @hbjORbj

### `@mui/system@5.9.3`

- [system] Make @emotion/\* fully supported in MUI System (#33205) @garronej

### `@mui/codemod@5.9.3`

- [codemod] Fix theme-spacing performance (#33691) @siriwatknp
- [codemod] Support @mui import for variant-prop (#33692) @siriwatknp

### `@mui/styled-engine-sc@5.9.3`

- [styled-engine-sc] Add missing @babel/runtime dependency (#33741) @MonstraG

### `@mui/joy@5.0.0-alpha.38`

- [Joy] Add Tabs components (#33664) @siriwatknp
- [Joy] Miscellaneous fixes (#33685) @siriwatknp
- [Joy] Update read.me content (#33643) @danilo-leal

### Docs

- [blog] Add blog post about company retreat in Tenerife 🏝 (#33566) @samuelsycamore
- [blog] Add blog post to announce the aggregation feature (#33595) @joserodolfofreitas
- [blog] Fix horizontal scrollbar with code snippets (#33648) @joserodolfofreitas
- [docs] Fix a typo in the code in `Sorting & selecting` Table demo (#33674) @mracette
- [docs] Fix en-US format in the Skeleton demo (#33699) @husseinsaad98
- [docs] Update module reference for `usePagination` (#33675) @fullstackzach
- [docs] Fix code examples in `styled` API vs `sx` prop docs (#33665) @ZeeshanTamboli
- [docs][system] Throw an informative error when `theme.vars` is used in `createTheme()` and mention this in the theming docs (#33619) @hbjORbj

### Core

- [core] Replace `getInitialProps` with `getStaticProps` (#33684) @mnajdova
- [core] Remove accidentally added files (#33636) @michaldudak
- [core] Update packages with security issues (#33679) @michaldudak
- [core] Add React 17 nightly build (#33594) @mnajdova
- [core] Update lerna to 5.2.0 (#33635) @michaldudak
- [core] Prepare isolation of Next.js X app (#33649) @oliviertassinari
- [core] Remove thenify version override from package.json resolutions (#33638) @michaldudak
- [core] Update Node.js to 14 on CircleCI, CodeSandbox, and Netlify (#33642) @michaldudak
- [test] Replace istanbul-instrumenter-loader with babel-plugin-istanbul (#33666) @michaldudak
- [test] Run TypeScript module augmentation tests for Joy UI in CI (#33667) @ZeeshanTamboli

All contributors of this release in alphabetical order: @cherniavskii, @danilo-leal, @fullstackzach, @garronej, @hbjORbj, @husseinsaad98, @joserodolfofreitas, @michaldudak, @mnajdova, @MonstraG, @mracette, @oliviertassinari, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.9.2

<!-- generated comparing v5.9.1..master -->

_Jul 25, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 🧪 Ensure all Base components are `OverridableComponent` (#33506) @michaldudak
- 🧪 Various improvements on the Material `Stack` component (#33548, #33588, #33549) @hbjORbj
- Many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.9.2`

- Revert "[Tooltip] Fix children mouse over detection (#32321)" @oliviertassinari
- [FormHelperText] Fix unable to create new variants (#33589) @DinhBaoTran
- [ImageList] Remove vertical spacing between items in masonry layout (#33593) @michaldudak
- [LoadingButton] Refactor duplicate code (#33570) @ZeeshanTamboli
- [Modal] Explain the meaning of deprecation of the BackdropComponent prop (#33591) @michaldudak
- [Stack] Fix unit test failure (#33588) @hbjORbj
- [Stack] Fix default `flexDirection` value with responsive prop (#33549) @hbjORbj
- [Stack] Ensure that `marginundefined` doesn't occur in styling (#33548) @hbjORbj
- [Tabs] Fix `indicatorColor` prop type (#33569) @ZeeshanTamboli
- [Tabs] Add TypeScript interface to augment tab indicator color in theme (#33333) @AHeiming

### `@mui/base@5.0.0-alpha.91`

- [Base] Make PopperUnstyled `component` overridable (#33573) @siriwatknp
- [Base] Ensure all components are OverridableComponent (#33506) @michaldudak

### `@mui/joy@5.0.0-alpha.38`

- [Select] Add new component in Joy (#33630) @siriwatknp
- [Joy] Add Text field documentation (#33430, #33631) @danilo-leal
- [Joy] Add menu components (#31789) @siriwatknp

### Docs

- [blog] Fix 404 link to Algolia docs search (dd4308d) @oliviertassinari
- [docs] Add accessibility tips (#33633) @siriwatknp
- [docs] Fix production deploy of codesandboxes (#33608) @oliviertassinari
- [docs] Show border on `palette.background.paper` in dark mode docs (#33611) @ZeeshanTamboli
- [docs] Fix typo in Joy UI dark mode page (#33620) @bairamau
- [docs] Final polish on Base docs - formatting and style consistency (#33156) @samuelsycamore
- [docs] Fix `CssBaseline` import in example code (#33614) @dd-ssc
- [docs] Fix Toolpad docs redirection (#33524) @bharatkashyap
- [docs] Fix link to Snackbar customization section in Alert docs (#33586) @ZeeshanTamboli
- [docs] Fix `placement choices` typo in Tooltip docs (#33571) @MonstraG

### Core

- [core] Swallow ad blocker fetch fail (#33617) @oliviertassinari
- [core] Fix dep security by resolving `thenify` to latest (#33612) @siriwatknp
- [test] Remove `view` option from Event in Snackbar tests (#33555) @ZeeshanTamboli

All contributors of this release in alphabetical order: @AHeiming, @bairamau, @bharatkashyap, @bytasv, @danilo-leal, @dd-ssc, @DinhBaoTran, @gerdadesign, @hbjORbj, @joserodolfofreitas, @michaldudak, @MonstraG, @oliviertassinari, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.9.1

<!-- generated comparing v5.9.0..master -->

_Jul 18, 2022_

A big thanks to the 17 contributors who made this release possible. This release is mainly about 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.9.1`

- [Autocomplete] Fix disabling component crashing when focused (#31313) @mzedel
- [Grid] Avoid scrollbar in demo (#33527) @oliviertassinari
- [Slider] Fix transition of tooltips on vertical slider (#33009) @abhinav-22-tech
- [TouchRipple] Fix crash on android where `event.touches` are an empty array (#32974) @lukeggchapman

### `@mui/system@5.9.1`

- [system] Add flag to switch negative margin approach in Grid (#33484) @siriwatknp
- [system] Remove needless optional chaining check in `createEmptyBreakpointObject` method (#33482) @ZeeshanTamboli

### `@mui/base@5.0.0-alpha.90`

- [base] Export types used by components' props (#33522) @michaldudak
- [base] Add missing type definitions in useControllableReducer (#33496) @michaldudak
- [SelectUnstyled] Do not call onChange unnecessarily (#33408) @michaldudak

### `@mui/lab@5.0.0-alpha.91`

- [TimelineDot] Add TimelineDotPropsColorOverrides interface to extend color options (#33466) @lolaignatova

### Docs

- [docs] Add note about CssBaseline in the dark mode page (#33108) @GabrielaLokelani
- [docs] Fix typos in the Interoperability page (#33273) @HexM7
- [docs] Improve the `useTheme` documentation (#33508) @rickstaa
- [docs] Fix 301 redirections (#33521) @oliviertassinari
- [docs] Link the same codesandbox as in the docs (#33472) @oliviertassinari
- [docs] Fix copy search false positives (#33438) @oliviertassinari
- [docs] Fix typo (#33520) @aravindpanicker
- [docs] Update Tailwind docs to include step about updating popover containers (#33315) @ajhenry
- [docs] Add yarn command for Roboto font in Material UI's typography.md (#33485) @anthonypz
- [docs] Add new community content to the Material UI Learn page (#32927) @Nikhilthadani
- [examples] Change createEmotionCache to use `insertionPoint` (#32104) @ANTARES-KOR
- [examples] Fix error in Next.js example with @mui/styles (#33456) @paustria

### Core

- [core] Cleanup experiments (#33547) @siriwatknp
- [core] Update CHANGELOG to include pickers breaking change (#33486) @siriwatknp

All contributors of this release in alphabetical order: @abhinav-22-tech, @ajhenry, @ANTARES-KOR, @anthonypz, @aravindpanicker, @GabrielaLokelani, @HexM7, @lolaignatova, @lukeggchapman, @michaldudak, @mzedel, @Nikhilthadani, @oliviertassinari, @paustria, @rickstaa, @siriwatknp, @ZeeshanTamboli

## 5.9.0

<!-- generated comparing v5.8.7..master -->

_Jul 12, 2022_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🧪 Exported Grid v2 as `Unstable_Grid2` (#33479) @siriwatknp
- 📖 Added a guide for using Joy UI and Material UI together (#33396) @siriwatknp
- 🐛 Fixed a few bugs in Material UI components. Thanks to @ZeeshanTamboli, @ivan-ngchakming, and @joebingham-wk.
- ⚠️ **[BREAKING CHANGE]** Date pickers were removed from the lab. Learn how to migrate by visiting the [migration guide](https://mui.com/x/migration/migration-pickers-lab/). (#33386) @flaviendelangle
- many other 🐛 bug fixes and 📚 documentation improvements
- our documentation site is now running with React 18! (#33196) @mnajdova

### `@mui/material@5.9.0`

- [CssBaseline] Fixes in overriding style (#33338) @ZeeshanTamboli
- [Autocomplete] Remove unnecessary `clsx` wrapper for single className (#33398) @ZeeshanTamboli
- [Grid] Export new grid as unstable (#33479) @siriwatknp
- [Tooltip] Fix children mouse over detection (#32321) @ivan-ngchakming
- [TypeScript] getCssVar autocomplete for Material UI (#33464) @siriwatknp
- [TypeScript] Fix theme options components types to use `Theme` (#33434) @siriwatknp
- [TypeScript] Reexports necessary types for module augmentation (#33397) @siriwatknp
- [ScopedCssBaseline] Add sx typings (#33474) @joebingham-wk

### `@mui/system@5.9.0`

- [System] Add offset feature to Grid (#33415) @siriwatknp
- [system] Add new `Grid` implementation (#32746) @siriwatknp

### `@mui/lab@5.0.0-alpha.90`

**⚠️ Breaking changes**

- [lab] Remove the pickers (#33386) @flaviendelangle

  The pickers are moved to MUI X, check out the [migration guide](https://mui.com/x/migration/migration-pickers-lab/).

**Changes**

- [Masonry] Support rem/em values for spacing prop (#33384) @hbjORbj

### `@mui/base@5.0.0-alpha.89`

- [Base] Change the order of class names merged in useSlotProps (#33383) @michaldudak
- [ModalUnstyled] Accept callbacks in componentsProps (#33181) @michaldudak
- [SelectUnstyled] Accept callbacks in componentsProps (#33197) @michaldudak
- [TabsUnstyled] Accept callbacks in componentsProps (#33284) @michaldudak

### `@mui/joy@5.0.0-alpha.36`

- [Joy] Add guide about using Joy and Material UI together (#33396) @siriwatknp
- [Joy] Fix variants color palette regressions (#33394) @danilo-leal

### Docs

- [docs] Correcting small grammatical error (#33393) @robyyo
- [docs] Link to the correct package on Joy component pages (#33439) @cherniavskii
- [docs] Fix e2e tests (#33477) @siriwatknp
- [docs] Fix dead links (#33462) @oliviertassinari
- [docs] Cleanup the migration (#33463) @siriwatknp
- [docs] Fix broken Sponsoring services links @samuelsycamore
- [docs] Improve repo README with light/dark logos, relative links and more (#33356) @samuelsycamore
- [docs] Update links to MUI X Overview and Introduction pages (#33201) @samuelsycamore
- [docs] Update to React 18 (#33196) @mnajdova
- [docs] Simplify "Upload button" demo (#33326) @baharalidurrani
- [docs] Add "refine" demo to showcase (#33240) @omeraplak
- [docs] Add webpack alias for legacy utils package (#33376) @jgbae
- [docs] Improve external link icons synonyms (#33257) @davidgarciab
- [examples] Update Base UI with Tailwind CSS to use the latest versions of the dependencies (#33401) @mnajdova
- [examples] Add Base UI example (#33154) @siriwatknp

### Core

- [core] Fix @mui/monorepo regression for the import of the docs infra (#33390) @Janpot
- [core] Remove old babel resolve rule (#33432) @oliviertassinari

All contributors of this release in alphabetical order: @baharalidurrani, @cherniavskii, @danilo-leal, @davidgarciab, @flaviendelangle, @hbjORbj, @ivan-ngchakming, @Janpot, @jgbae, @joebingham-wk, @joserodolfofreitas, @michaldudak, @mnajdova, @oliviertassinari, @omeraplak, @robyyo, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.8.7

<!-- generated comparing v5.8.6..master -->

_Jul 4, 2022_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 🐛 Fixed an issue causing TypeScript errors when building a project with Material UI v5.8.6 (@michaldudak)
- 🐛 Fixed a few bugs in Material UI components. Thanks @henriqueholtz, @jake-collibra, @MattiasMartens and @TimoWilhelm!
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.8.7`

- [Autocomplete] Add some missing props in `useAutocomplete` (#33269) @henriqueholtz
- [Autocomplete] Extend `componentsProps` to include `popper` and `popupIndicator` slots (#33283) @jake-collibra
- [Select] Annotate empty string as valid value prop (#33088) @MattiasMartens
- [SnackbarContent] Fix message text color with css var provider (#33285) @TimoWilhelm

### `@mui/styled-engine@5.8.7`

- [styled-engine] Add missing type dependency on csstype (#33310) @Methuselah96

### `@mui/system@5.8.7`

- [system] Simplify theme input types for `CssVarsProvider` (#33381) @siriwatknp
- [system] Export required types (#33324) @michaldudak

### `@mui/joy@5.0.0-alpha.35`

- [Joy] Add radio button documentation (#33254) @siriwatknp
- [Joy] Add switch documentation (#33302) @siriwatknp
- [Joy] Batch a couple of documentation refinements (#33158)
- [Joy] Enable Joy and Material UI compatibility (#33379) @siriwatknp

### `@mui/base@5.0.0-alpha.88`

- [base] Remove a type incompatible with TypeScript 3.5 (#33361) @michaldudak
- [BadgeUnstyled] Export BadgeUnstyledOwnProps interface to fix TypeScript compiler error (#33314) @aaronlademann-wf
- [TablePaginationUnstyled] Accept callbacks in componentsProps (#33309) @michaldudak

### Docs

- [docs] Fix Link typings in the react-router example (#32308) @aaarichter
- [docs] Add caveat about class components with Tooltip (#33325) @joshkel
- [docs] Fix SEO issues (#33288) @oliviertassinari
- [docs] Fix Slider's "player" demo (#33267) @xlianghang

All contributors of this release in alphabetical order: @aaarichter, @aaronlademann-wf, @danilo-leal, @henriqueholtz, @jake-collibra, @joshkel, @MattiasMartens, @Methuselah96, @michaldudak, @oliviertassinari, @siriwatknp, @TimoWilhelm, @xlianghang

## 5.8.6

<!-- generated comparing v5.8.5..master -->

_Jun 27, 2022_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- ⚒️ Fixed React 18 issues in few components
- 🚀 Improved the TypeScript augmentation when using CSS variables with `@mui/material`
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.8.6`

- [Alert] Add support for CSS vars (#32624) @haneenmahd
- [Alert] Use `getContrastText` for filled variant font color (#29813) @SamoraMabuya

  Note: The color of the text in the warning contained `Alert` in dark mode was changed to black in order to improve the color contrast ratio

- [OutlinedInput] Fix `ownerState` undefined in theme style overrides (#33241) @siriwatknp
- [Tabs] Fix crash when used with React 18 & Suspense (#33277) @mnajdova
- [TypeScript] Add CSS vars type augmentation for Material UI (#33211) @siriwatknp

### `@mui/system@5.8.6`

- [system] Add enableColorScheme option to getInitColorSchemeScript (#33261) @siriwatknp

### `@mui/utils@5.8.6`

- [utils] Allow state prefix to be configurable (#32972) @siriwatknp

### `@mui/base@5.0.0-alpha.87`

- [base] Improve the return type of useSlotProps (#33279) @michaldudak
- [base] Improve some types (#33270) @mnajdova
- [MenuUnstyled] Fix keyboard accessibility of menu items (#33145) @michaldudak
- [ModalManager] Lock body scroll when container is inside shadow DOM (#33168) @jacobweberbowery
- [SliderUnstyled] Use useSlotProps (#33132) @michaldudak
- [TextareaAutosize] Fix crash when used with React 18 & Suspense (#33238) @howlettt
- [TextareaAutosize] Fix warnings for too many renders in React 18 (#33253) @mnajdova

### `@mui/joy@5.0.0-alpha.34`

- [Joy] Add `Sheet` doc (#32820) @hbjORbj

### Docs

- [blog] Polish Why you should migrate to Material UI v5 today (#33244) @oliviertassinari
- [docs] Add note in docs about `componentsProps.root` taking precedence (#33097) @ZeeshanTamboli
- [docs] Remove a note about Base components being reexported from Material UI (#33265) @michaldudak
- [docs] Update code snippet in docs for custom color palette (#32946) @ZeeshanTamboli
- [docs] Fix the docs for production class generation (#31933) @Fafruch
- [docs] Fix internal link in Box page (#33149) @davidgarciab
- [docs] Badge component link in Base docs should be under Data Display section (#33249) @ZeeshanTamboli
- [examples] Fix comment typo (#33256) @WinmezzZ

### Core

- [core] Remove dead code (#33243) @oliviertassinari

All contributors of this release in alphabetical order: @davidgarciab, @Fafruch, @haneenmahd, @hbjORbj, @howlettt, @jacobweberbowery, @michaldudak, @mnajdova, @oliviertassinari, @SamoraMabuya, @siriwatknp, @WinmezzZ, @ZeeshanTamboli

## 5.8.5

<!-- generated comparing v5.8.4..master -->

_Jun 20, 2022_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for CSS variables in the `Avatar` component and the `SpeedDialAction` component respectively by @vicasas and @gin1314
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.8.5`

- [Avatar] Add support for CSS variables (#32499) @vicasas
- [Dialog] Fix broken styles if `maxWidth` is set to `false` (#32987) @kmurgic
- [SpeedDialAction] Add support for CSS variables (#32608) @gin1314
- [Tabs] Increment scroll of the minimum amount possible (#33103) @oliviertassinari

### `@mui/codemod@5.8.5`

- [codemod] Preserve comments within jss-to-tss-react (#33170) @ryancogswell

### `@mui/lab@5.0.0-alpha.87`

- [Masonry] Fix flickering when used with React 18 (#33163) @mnajdova

### `@mui/base@5.0.0-alpha.86`

- [BadgeUnstyled] Accept callbacks in componentsProps (#33176) @michaldudak
- [ButtonUnstyled] Use useSlotProps (#33096) @michaldudak
- [FormControlUnstyled] Accept callbacks in componentsProps (#33180) @michaldudak
- [InputUnstyled] Use useSlotProps (#33094) @michaldudak
- [ModalUnstyled] Define ownerState and slot props' types (#32901) @michaldudak
- [SwitchUnstyled] Use useSlotProps (#33174) @michaldudak

### `@mui/joy@5.0.0-alpha.33`

- [Joy] Add Checkbox documentation (#33171) @siriwatknp
- [Joy] Add List documentation (#33120) @siriwatknp
- [Joy] Make slider displays Joy classname (#33051) @siriwatknp

### Docs

- [blog] Update Blogpost to clear confusion on "no impact" disclaimer. (#33131) @joserodolfofreitas
- [blog] Add post about v5 Migration guide update (#33063) @samuelsycamore
- [blog] Fix display on Safari (#33102) @oliviertassinari
- [docs] Add guide on how to use Base UI with Tailwind CSS (#33100) @mnajdova
- [docs] Improve Joy template UX (#33159) @siriwatknp
- [docs] Update Shadow DOM guide (#33160) @cherniavskii
- [docs] Fix SEO regressions (#33106) @oliviertassinari
- [docs] Add job ad in table of content (#33143) @mnajdova
- [docs] Add customization as a value proposition (#33014) @oliviertassinari
- [examples] Add example using nextjs & @mui/styles as a starter for the migration to v5 (#33005) @mnajdova

### Core

- [core] Add CSS variables support for Material UI components (#32835) @siriwatknp
- [core] Add name to workspace root package.json (#33226) @Janpot
- [core] Update bug template with generic instruction (#33153) @joserodolfofreitas
- [core] Remove dead and redundant code (#33125) @oliviertassinari
- [core] Improve inline code rendering within the details tag (#33086) @Harmouch101

All contributors of this release in alphabetical order: @cherniavskii, @DanailH, @gin1314, @Harmouch101, @Janpot, @joserodolfofreitas, @kmurgic, @michaldudak, @mnajdova, @oliviertassinari, @ryancogswell, @samuelsycamore, @siriwatknp, @vicasas

## 5.8.4

<!-- generated comparing v5.8.3..master -->

_Jun 14, 2022_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for custom breakpoints in the `Grid` component by @boutahlilsoufiane
- 📚 Added guide on how to use Material UI with Shadow DOM by @cherniavskii
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.8.4`

- [Button] Add missing classes in `ButtonClasses` type (#33040) @ZeeshanTamboli
- [Grid] Fix prop-type key regression (#33123) @oliviertassinari
- [Grid] Support custom breakpoints (#31998) @boutahlilsoufiane
- [Grow] Limit CSS transition bug workaround to Safari 15.4 only (#32996) @igordanchenko
- [Hidden] Remove dependency on hoist-non-react-statics (#33015) @oliviertassinari
- [Link] Add support for CSS variables (#33036) @winderica
- [Popover] Export `getOffsetTop` & `getOffsetLeft` from Popover's index and add typings (#32959) @rart
- [Slider] Fix SliderValueLabelProps type (#32895) @oliviertassinari
- [Snackbar] Remove `RTL` direction specific logic (#32808) @aaarichter
- [StepIcon] Fix text centering when changing browser font size (#32706) @alansouzati
- [Tabs] Scroll by width of the first visible tab if only one tab is partially visible (#32778) @frankkluijtmans

### `@mui/system@5.8.4`

- [Stack, system] Apply correct responsive styles if any custom breakpoints are provided (#32913) @ZeeshanTamboli
- [system] Fix missing typings for ColorFormat (#32417) @l-zoy

### `@mui/codemod@5.8.4`

- [codemod] Add support for `@mui/styles/makeStyles` imports (#32962) @joshkel

### `@mui/lab@5.0.0-alpha.86`

- [pickers] Fix broken ref forwarding (#33107) @oliviertassinari
- [lab] Fix React's `forwardRef` warning when importing from the index (#33134) @mnajdova

### `@mui/base@5.0.0-alpha.85`

- [MenuUnstyled] Accept callbacks in componentsProps (#32997) @michaldudak
- [ModalUnstyled] Fix errors from the W3C validator about incorrect aria-hidden attribute on some elements (#30920) @mkrtchian
- [ModalUnstyled] Fix behavior of not respecting props ariaHidden value (#32055) @tech-meppem

### `@mui/joy@5.0.0-alpha.32`

- [Joy] Miscellaneous card fixes (#33129) @siriwatknp
- [Joy] Miscellaneous fixes (#33073) @siriwatknp
- [Joy] Add typography and link docs (#33047) @siriwatknp

### Docs

- [Contributing.md] Local install instructions (#32975) @Moizsohail
- [docs] Add responsive AppBar with drawer (#32769) @dvlprAlamin
- [docs] Move codesandbox to MUI org (#33122) @oliviertassinari
- [docs] Add Shadow DOM guide (#33007) @cherniavskii
- [docs] Fix typo in Material UI overview page (#33087) @oliviertassinari
- [docs] Miscellaneous fixes in `Base UI` docs (#33091) @ZeeshanTamboli
- [docs] Fix GitHub capitalization (#33071) @oliviertassinari
- [docs] Fix a typo in `InputUnstyled` docs (#33077) @ZeeshanTamboli
- [docs] Add notification for Joy blog post (#33059) @siriwatknp
- [docs] Improve aspect ratio docs and integration (#33065) @siriwatknp
- [docs] Update code block copy label (#33128) @siriwatknp
- [docs] Fix typo in Autocomplete CSS API (#32838) @KeaghanKennedy
- [docs] Improvements for Radio Group Rating Docs (#32843) @Kai-W
- [docs] Enable Joy pages (#33064) @siriwatknp

### Core

- yarn proptypes @oliviertassinari
- [core] Update dependencies to fix security vulnerabilities (#33095) @michaldudak
- [core] Import new line convention (#33068) @oliviertassinari
- [core] Make repository configurable in changelog script (#33130) @Janpot

All contributors of this release in alphabetical order: @aaarichter, @alansouzati, @boutahlilsoufiane, @cherniavskii, @danilo-leal, @dvlprAlamin, @frankkluijtmans, @igordanchenko, @Janpot, @joshkel, @Kai-W, @KeaghanKennedy, @l-zoy, @michaldudak, @mkrtchian, @mnajdova, @Moizsohail, @oliviertassinari, @pushys, @rart, @siriwatknp, @tech-meppem, @winderica, @ZeeshanTamboli

## 5.8.3

<!-- generated comparing v5.8.2..master -->

_Jun 7, 2022_

A big thanks to the 15 contributors who made this release possible.
This release is mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.8.3`

- [Alert] Constrain message width and allow overflow (#32747) @Janpot
- [Checkbox] Add support for CSS variables (#32579) @haneenmahd
- [Slider] Fix positioning of tooltips on vertical slider (#32919) @abhinav-22-tech

### `@mui/system@5.8.3`

- [system] Configurable attributes for libraries (#32971) @siriwatknp

### `@mui/codemod@5.8.3`

- [codemod] Fix infinite loop in jss-to-tss-react and add TODO (#33048) @ryancogswell

### `@mui/lab@5.0.0-alpha.85`

- [pickers] Add deprecations when importing pickers from the lab (#32950) @flaviendelangle

### `@mui/joy@5.0.0-alpha.31`

- [Joy] Add `Slider` component and demos (#32694) @hbjORbj
- [Joy] Add articles about customization approaches (#32887) @siriwatknp
- [Joy] Add automatic adjustment page to core features (#32980) @siriwatknp
- [Joy] Add docs about dark mode (#33002) @siriwatknp
- [Joy] Add template UIs & first look blog post (#32791) @danilo-leal

### `@mui/base@5.0.0-alpha.84`

- [base] Remove @mui/system in tests (#32945) @kevinji
- [ButtonUnstyled] Accept callbacks in componentsProps (#32991) @michaldudak
- [SwitchUnstyled] Accept callbacks in componentsProps (#32993) @michaldudak
- [TablePaginationUnstyled] Define ownerState and slot props' types (#32905) @michaldudak
- [TabPanelUnstyled] Define ownerState and slot props' types (#32928) @michaldudak
- [TabsListUnstyled] Define ownerState and slot props' types (#32925) @michaldudak

### Docs

- [blog] Fix anchor link scroll (#32994) @oliviertassinari
- [docs] Add "Migration" section to sidebar and revise v4-v5 content (#32740) @samuelsycamore
- [docs] Add What doesn't count as a breaking change? (#32850) @oliviertassinari
- [docs] Fix 301 link @oliviertassinari
- [docs] Fix icon color in `BadgeUnstyled` docs (#32976) @ZeeshanTamboli
- [docs] Improve product identifier (#32707) @danilo-leal
- [docs] Improve UX with back to top (#32896) @oliviertassinari
- [docs] Polish overview page to Material UI (#32954) @oliviertassinari
- [docs] Redirect older URLs (#33037) @oliviertassinari
- [docs] Remove pickers page from the Lab section (#32961) @DanailH
- [docs] Show product identifier on updated MUI X Introduction pages (#32966) @samuelsycamore
- [docs] Throw on 301 links (#32939) @oliviertassinari

### Core

- [core] Improve icon synonyms (#32742) @oliviertassinari
- [core] Prepare Next.js config for React 18 (#32963) @michaldudak
- [core] Remove dead logic (#32940) @oliviertassinari
- [core] Update dependencies to fix security vulnerabilities (#32947) @michaldudak
- Add security link to README for Tidelift @mbrookes

All contributors of this release in alphabetical order: @abhinav-22-tech, @DanailH, @danilo-leal, @flaviendelangle, @haneenmahd, @hbjORbj, @Janpot, @kevinji, @mbrookes, @michaldudak, @oliviertassinari, @ryancogswell, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.8.2

<!-- generated comparing v5.8.1..master -->

_May 30, 2022_

A big thanks to the 8 contributors who made this release possible. Here are some highlights ✨:

- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/system@5.8.2`

- [system] Add `getColorSchemeSelector` util (#32868) @siriwatknp

### `@mui/lab@5.0.0-alpha.84`

- [Masonry] Place items to the left when there are less objects than specified in `column` prop (#32873) @hbjORbj

### `@mui/base@5.0.0-alpha.83`

- [BadgeUnstyled] Define ownerState and slot props' types (#32750) @michaldudak
- [SliderUnstyled] Define ownerState and slot props' types (#32739) @michaldudak
- [SwitchUnstyled] Define ownerState and slot props' types (#32573) @michaldudak
- [TabsUnstyled] Define ownerState and slot props' types (#32918) @michaldudak
- [TabUnstyled] Define ownerState and slot props' types (#32915) @michaldudak

### `@mui/joy@5.0.0-alpha.30`

- [Joy] use `textColor` prop for Typography and Link (#32938) @siriwatknp
- [Joy] Make variants for more flexible (#32931) @siriwatknp
- [Joy] Improve automatic adjustment (#32923) @siriwatknp
- [Joy] Add `Chip` doc (#32819) @hbjORbj
- [Joy] Add `AspectRatio` demos (#32848) @siriwatknp
- [Joy] Fix wrong urls (#32883) @siriwatknp

### Docs

- [docs] Iterate on the job ad for React engineer in Core (#32900) @mnajdova
- [blog] Fix avatar image resolution (#32890) @oliviertassinari
- [docs] Link the first page of the product (#32943) @oliviertassinari
- [docs] Batch small changes (#32170) @michaldudak
- [docs] Allow function prop to return undefined (#32766) @m4theushw
- [docs] Fix wrong link to Material Icons (#32847) @oliviertassinari
- [docs] Fix ClassNameGenerator content (#32800) @siriwatknp
- [docs] Fix navigation links (#32851) @oliviertassinari
- [docs] Document the `size` prop for InputLabel (#32936) @romelperez
- [docs] Add note about transparent background on the outlined Alert variant (#32810) @aaarichter

### Core

- [core] Improve the incomplete issues workflow (#32878) @mnajdova
- [core] Add CI check that the PR has label (#32886) @mnajdova
- [core] Avoid leaking @babel/runtime (#32874) @oliviertassinari

All contributors of this release in alphabetical order: @aaarichter, @hbjORbj, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @romelperez, @siriwatknp

## 5.8.1

<!-- generated comparing v5.8.0..master -->

_May 23, 2022_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 💅 Added CSS variables support for two more Material UI components by @diggis00 and @alisasanib
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.8.1`

- [Alert] Fix missing `ownerState` on the `action` slot (#32801) @mnajdova
- [Fab] Make the `color` prop type extendable (#31830) @paales
- [ListItemButton] Render as link if href specified (#32403) @o-dubrovskyi
- [Paper] Add support for CSS variables (#32570) @diggis00
- [Radio] Add support for CSS variables (#32599) @alisasanib
- [Slider] Prevent rendering for marks that are out of the min & max bounds (#32436) @abriginets
- [Slider] Slider having marks should be customizable in theme (#32816) @ZeeshanTamboli
- [TouchRipple] Allows call imperative methods without event (#31955) @alexfauquette

### `@mui/system@5.8.1`

- [system] Simplify stylesheet injection logic (#32869) @siriwatknp
- [system] Fix color scheme specificity (#32628) @siriwatknp
- [system] Fix `borderRadius` errors when used inside `CssVarsProvider` (#32817) @mnajdova
- [system] Fix toolbar media query mixin getting merged in wrong order (#32713) @ZeeshanTamboli

### `@mui/lab@5.0.0-alpha.83`

- [lab] Add missing `peerDependencies` (#32623) @nate-summercook
- [pickers] Update @mui/x-date-pickers to be usable with React 18 (#32828) @flaviendelangle

### `@mui/base@5.0.0-alpha.82`

- [SliderUnstyled] Fix `disabledSwap` not being respected in `onChangeCommitted` (#32647) @JeanPetrov

### `@mui/joy@5.0.0-alpha.29`

- [Joy] Show Joy pages on master (#32866) @siriwatknp
- [Joy] Add an overview page (#32836) @danilo-leal
- [Joy] Add doc for the card components (#32825) @siriwatknp
- [Joy] Miscellaneous fixes (#32815) @siriwatknp

### Docs

- [docs] Simplify header DOM structure (#32844) @oliviertassinari
- [docs] Fix CodeSandbox & StackBlitz generation (#32726) @siriwatknp
- [docs] Fix urls to columns pages in pricing table (#32842) @alexfauquette
- [docs] Fix Tailwind CSS integration docs (#32512) @robertwt7
- [docs] Fixed wrong command for the `link-underline-hover` codemod (#32793) @veronikaslc
- [docs] Fixed broken link on the icons page (#32780) @SamuelMaddox
- [docs] Add "back to top" button (#30441) @VibhorJaiswal
- [docs] Fix typo in notifications @mbrookes
- [docs] New WAI-ARIA guidelines location (#32865) @oliviertassinari
- [docs] Mention the ESLint plugin for detecting unused classes in tss-react (#32666) @garronej
- [docs] Update `useAutocomplete` demos to use `Mui-focused` class (#32757) @ZeeshanTamboli
- [examples] Fix `NextLinkComposedProps` gives a TypeScript error (#32655) @ZeeshanTamboli

### Core

- [core] Upgrade MUI X dependency (#32824) @oliviertassinari
- [typescript] Allow module augmentation for `Mixins` (#32798) @mnajdova

All contributors of this release in alphabetical order: @abriginets, @alexfauquette, @alisasanib, @apedroferreira, @danilo-leal, @diggis00, @flaviendelangle, @garronej, @JeanPetrov, @mbrookes, @mnajdova, @nate-summercook, @o-dubrovskyi, @oliviertassinari, @paales, @robertwt7, @SamuelMaddox, @siriwatknp, @veronikaslc, @VibhorJaiswal, @ZeeshanTamboli

## 5.8.0

<!-- generated comparing v5.7.0..master -->

_May 17, 2022_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Blog post](https://mui.com/blog/premium-plan-release/) for announcing the release of the Premium plan of MUI X is out thanks to @joserodolfofreitas.
- Codemod for `jss` to `tss-react` migration is out thanks to @ryancogswell
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.8.0`

- [Autocomplete] Fix `getInputProps` TypeScript return type (#32730) @ZeeshanTamboli
- [Autocomplete] Forward props to renderTags() (#32637) @emlai
- [Badge] Fix TypeScript error when adding style overrides for Badge (#32745) @ZeeshanTamboli
- [Menu] Fix context menu open position (#32661) @oliviertassinari

### `@mui/system@5.8.0`

- [system] Add `Container` component and `createContainer` factory (#32263) @mnajdova

### `@mui/base@5.0.0-alpha.81`

- [InputUnstyled] Support callbacks in componentsProps (#32271) @michaldudak
- [InputUnstyled] Define ownerState and slot props' types (#32491) @michaldudak
- [MenuUnstyled] Demos improvements (#32714) @michaldudak
- [OptionUnstyled] Define ownerState and slot props' types (#32717) @michaldudak

### `@mui/joy@5.0.0-alpha.28`

- [Joy] Add Badge doc (#32790) @siriwatknp
- [Joy] Add global variant feature page (#32695) @siriwatknp
- [Joy] Add avatar page (#32711) @siriwatknp

### `@mui/codemod@5.8.0`

- [codemod] Add jss to tss-react codemod (#31802) @ryancogswell

### Docs

- [blog] Add release post for MUI X Premium (#32720) @joserodolfofreitas
- [docs] Fix wrong code snippet for overriding styles in theme with a callback value (#32781) @ZeeshanTamboli
- [docs] Update Crowdin logo (#32782) @andrii-bodnar
- [docs] Improve callouts design (#32709) @danilo-leal
- [docs] Revise the "Understanding MUI packages" article (#32382) @danilo-leal
- [docs] Fix link to the material icons (#32771) @oliviertassinari
- [docs] Add notification for Premium release blog post (#32728) @joserodolfofreitas
- [docs] Base Portal style revisions and final review (#32157) @samuelsycamore
- [docs] Add joy to docs package.json (#32744) @siriwatknp
- [docs] Fix TOC-related styles not being applied when disableAd=true (#32733) @cherniavskii
- [docs] Add TypeScript guide on the polymorphic components (#32168) @mnajdova
- [docs] Fix warning mode pass to React.Fragment (#32729) @siriwatknp
- [docs] Revise Showcase copy for clarity + audit appList (#31946) @samuelsycamore
- [examples] Update remix example's tsconfig with required values (#32723) @michaldudak
- [examples] Update to use React 18's createRoot (#32506) @mnajdova
- [l10n] Fix typos and translations on arSD and arEG locales (#31848) @shadigaafar

### Core

- [core] Enabled Renovate's lockfile maintenance (#32635) @michaldudak
- [core] Extract `MuiPage` interface to separate file (#32715) @cherniavskii
- [core] Remove unnecessary `spacing` parameter from `createMixins` method (#32690) @ZeeshanTamboli
- [private-classnames] Remove package and move everything to utils (#32758) @mnajdova

All contributors of this release in alphabetical order: @andrii-bodnar, @cherniavskii, @danilo-leal, @emlai, @joserodolfofreitas, @michaldudak, @mnajdova, @MrHBS, @oliviertassinari, @ryancogswell, @samuelsycamore, @shadigaafar, @siriwatknp, @ZeeshanTamboli

## 5.7.0

<!-- generated comparing v5.6.4..master -->

_May 10, 2022_

A big thanks to the 27 contributors who made this release possible. Here are some highlights ✨:

🛠 This release is all about supporting CSS variables in many Material UI components.
Kudos to all contributors!

### `@mui/material@5.7.0`

- [StepLabel, StepIcon] Add support for CSS variables (#32609) @vicasas
- [Table, TableRow] Add support for CSS variables (#32614) @vicasas
- [AppBar] Add a logo component for the responsive app bar demo (#32374) @ameetmadan
- [Autocomplete] Fix clearing single array values (#32626) @mikepricedev
- [Autocomplete] Fix keep listbox open on left/right keys when inputValue is not empty (#31407) @alisasanib
- [Autocomplete] Add support for CSS variables (#32598) @ZeeshanTamboli
- [Autocomplete] Render `endAdornment` only when necessary (#32386) @g1eny0ung
- [ButtonGroup] Add support for CSS variables (#32498) @vicasas
- [CardActionArea] Add support for CSS variables (#32554) @vicasas
- [ClickAwayListener] Allow pointer up/down events to event handler (#32264) @vladjerca
- [CssBaseline] Add support for CSS vars (#32618) @haneenmahd
- [Dialog] Add support for CSS variables (#32555) @vicasas
- [Divider] Add support for CSS variables (#32519) @vicasas
- [Drawer] Add support for CSS variables (#32565) @nghiamvt
- [Fab] Add support for CSS variables (#32564) @alisasanib
- [FormControlLabel] Add support for CSS variables (#32588) @elliefoote
- [FormHelperText] Add support for CSS variables (#32596) @ZeeshanTamboli
- [FormLabel] Add support for CSS variables (#32602) @ZeeshanTamboli
- [Icon] Add support for CSS variables (#32595) @Jamaalwbrown
- [IconButton] Add support for CSS variables (#32590) @Ariyapong
- [ImageListItemBar] Add support for CSS variables (#32578) @vicasas
- [Input] Support CSS variables (#32128) @ivan-ngchakming
- [InputAdornment] Add support CSS variables (#32607) @vicasas
- [Link] Fix style overrides color prop (#32653) @siriwatknp
- [ListItem] Add support for CSS variables (#32580) @dan-mba
- [ListItemButton] Add support for CSS variables (#32582) @dan-mba
- [ListItemIcon] Add support for CSS variables (#32583) @dan-mba
- [ListSubheader] Add support for CSS variables (#32584) @dan-mba
- [MenuItem] Add support for CSS variables (#32561) @nghiamvt
- [MobileStepper] Add support for CSS vars (#32606) @haneenmahd
- [Modal] Add support for CSS variables (#32605) @haneenmahd
- [PaginationItem] Add support for CSS vars (#32612) @haneenmahd
- [Rating] Add support for CSS variables (#32556) @vicasas
- [Snackbar] Add support for CSS variables (#32603) @gin1314
- [SpeedDial] Add support for CSS variables (#32613) @alisasanib
- [Stepper] Export useStepperContext (#31398) @pzi
- [SvgIcon] Add support for CSS variables (#32610) @vicasas
- [TablePagination] Add support for CSS variables (#32615) @haneenmahd
- [TableSortLabel]: Add support for CSS vars (#32616) @haneenmahd
- [Tabs] Add support for CSS variables (#32547) @ZeeshanTamboli
- [ToggleButton] Add support for CSS variables (#32600) @Ariyapong
- [ToggleButtonGroup] Add support for CSS variables (#32617) @haneenmahd
- [Tooltip] Add support for CSS variables (#32594) @gin1314

### `@mui/system@5.7.0`

- [System] Support CSS variables for iframes & custom nodes (#32496) @siriwatknp

### `@mui/base@5.0.0-alpha.80`

- [ButtonUnstyled] Fix keyboard navigation on customized elements (#32204) @michaldudak

### `@mui/private-classnames@5.7.0`

- [classnames] Add new package for classnames utils (#32502) @mnajdova

### Docs

- [docs] Correct links to prevent 301 redirects (#32692) @michaldudak
- [docs] Move, split, and revise "Unstyled components" page (#32562) @samuelsycamore
- [docs] Nest `ListItemButton` in `ListItem` in the Drawer examples (#31987) @stefanprobst
- [docs] Apply callouts in the Material UI docs (#32567) @danilo-leal
- [docs] Show product identifier on new X pages (#32657) @cherniavskii
- [docs] Fix copy button childNode not found (#32652) @siriwatknp
- [docs] Split install commands in isolated code blocks (#32566) @danilo-leal
- [docs] Base Switch style revisions and final review (#32376) @samuelsycamore
- [docs] Adds Badge link to Base doc nav (#32619) @samuelsycamore
- [docs] Base Installation style revisions and final review (#32483) @samuelsycamore
- [docs] Fix broken redirection (#32581) @oliviertassinari
- [docs] Allows to use `import '<library name>'` in demonstrations (#32492) @alexfauquette
- [docs] Hide copy button on search icon dialog (#32577) @siriwatknp
- [docs] Use full API link for ThemeProvider (#32549) @jcvidiri
- [Joy] Add principles page (#32648) @siriwatknp
- [Joy] Add Button page (#32576) @siriwatknp
- [Joy] Add "Quick start" and "Tutorial" pages (#32383) @siriwatknp

### Core

- [core] Security updates (#32636) @michaldudak
- [core] Fix `docs:dev` not working after upgrading `next` to 12.1.0 (#32552) @cherniavskii
- [core] Update minimist to fix security vulnerability (#32575) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @ameetmadan, @Ariyapong, @cherniavskii, @dan-mba, @danilo-leal, @elliefoote, @flaviendelangle, @g1eny0ung, @gin1314, @haneenmahd, @ivan-ngchakming, @Jamaalwbrown, @jcvidiri, @michaldudak, @mikepricedev, @mnajdova, @nghiamvt, @oliviertassinari, @pzi, @samuelsycamore, @siriwatknp, @stefanprobst, @vicasas, @vladjerca, @ZeeshanTamboli

## 5.6.4

<!-- generated comparing v5.6.3..master -->

_May 2, 2022_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 💅 5 Material UI components were updated to support CSS variables by @ZeeshanTamboli & @vicasas
- And more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.6.4`

- [Accordion] Add support for CSS variables (#32542) @ZeeshanTamboli
- [AvatarGroup] Add support for CSS variables (#32507) @vicasas
- [Badge] Add support for CSS variables (#32516) @vicasas
- [BottomNavigation] Add support for CSS variables (#32517) @vicasas
- [CircularProgress] Add support for CSS variables (#32543) @ZeeshanTamboli
- [FilledInput] Fix type error from undefined `color` (#32258) @hbjORbj
- [l10n] Fix typo in csCZ translation of Pagination component (#32509) @Martin005
- [Tabs] Fix `TabIndicatorProps` prop missing `sx` prop (#32503) @b-novikov-ipersonality

### `@mui/codemod@5.6.4`

- [codemod] Leave numeric arguments to breakpoints functions unchanged (#32426) @ryancogswell
- [codemod] Allow for line breaks within theme.spacing parentheses (#32432) @ryancogswell

### `@mui/joy@5.0.0-alpha.26`

- [Joy] Miscellaneous fixes (#32541) @siriwatknp
- [Joy] Add `extendSxProp` to Link (#32505) @siriwatknp
- [Joy] Rename variants (#32489) @siriwatknp
- [Joy] Add `extendTheme` (#32450) @siriwatknp

### Docs

- [docs] SEO fixes (#32515) @oliviertassinari
- [docs] Replace `Overriding nested component styles` anchor link with text (#32487) @ZeeshanTamboli
- [docs] Update the list of external domains (#32514) @oliviertassinari
- [docs] Update Material UI code snippets for React 18 (#32361) @samuelsycamore
- [docs] Base TextareaAutosize style revisions and final review (#32481) @samuelsycamore
- [docs] Base ClickAwayListener style revisions and final review (#32156) @samuelsycamore
- [docs] Base Button style revisions and final review (#32380) @samuelsycamore
- [docs] Base NoSsr style revisions and final review (#32254) @samuelsycamore
- [docs] Correctly capitalize Ctrl @oliviertassinari
- [docs] Fix styling in `Basic Popper` demo on the Base UI docs (#32488) @ZeeshanTamboli
- [docs] Add "Overview" page to Base docs (#32310) @samuelsycamore
- [docs] Add copy button to code block (#32390) @siriwatknp
- [docs] Base Tabs style revisions and final review (#32423) @samuelsycamore
- [docs] Base Popper style revisions and final review (#32412) @samuelsycamore
- [docs] Improve sidenav for MUI X (#32435) @oliviertassinari
- [docs] Don't redirect on deploy preview (#32399) @m4theushw
- [docs] A few SEO fixes (#32431) @oliviertassinari
- [docs] Update links to the new Group & Pivot pages (#32410) @flaviendelangle
- [docs] Support callouts (#32402) @siriwatknp
- [docs] Fix import path in the Snackbar article #32462 @mongolyy
- [docs] Fix grammar mistake in shadows.md (#32454) @HexM7
- [docs] Improve unstyled button docs (#32429) @oliviertassinari

### Core

- [experiment] Add template for testing Material UI components with CSS variables (#32500) @siriwatknp

All contributors of this release in alphabetical order: @b-novikov-ipersonality, @flaviendelangle, @hbjORbj, @HexM7, @m4theushw, @Martin005, @mongolyy, @oliviertassinari, @ryancogswell, @samuelsycamore, @siriwatknp, @vicasas, @ZeeshanTamboli

## 5.6.3

<!-- generated comparing v5.6.2..master -->

_Apr 25, 2022_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 🛠 Fixed TypeScript issue when the `fill` CSS property is used in MUI System (#32355) @valerii15298
- And more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.6.3`

- [BottomNavigation] Action icon `padding` fix (#32030) @abhinav-22-tech
- [Dialog] Fix `component` prop is not available in `DialogTitleProps` (#32389) @hbjORbj
- [StepContent] Fix TypeScript type of `TransitionComponent` prop (#32314) @ZeeshanTamboli

### `@mui/system@5.6.3`

- [system] Fix prop types when the `fill` CSS property is used (#32355) @valerii15298
- [system] Fix broken behavior when theme value is `zero` (#32365) @ZeeshanTamboli

### `@mui/base@5.0.0-alpha.78`

- [InputUnstyled] `multiline` property should not log DOM warnings for `maxRows` and `minRows` props (#32401) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.25`

- [Joy] Improve theme focus to be more flexible (#32405) @siriwatknp
- [Joy] Add `Radio`, `RadioGroup` components (#32279) @siriwatknp
- [Joy] Add `Chip` component (#31983) @hbjORbj
- [Joy] Improve controls (#32267) @siriwatknp
- [Joy] Set up docs (#32370) @siriwatknp

### Docs

- [docs] Enable row reordering on the pricing page (#31875) @DanailH
- [blog] A few improvements on date picker change (#32325) @oliviertassinari
- [docs] Emphasize how to avoid failing tests when migrating from v4 to v5 (#32159) @dwjohnston
- [docs] Revise the related projects page (#32180) @danilo-leal
- [docs] Cleanup remaining @mui/styles usages (#32313) @mnajdova
- [docs] Fix sidenav mobile color (#32324) @oliviertassinari
- [docs] Base TrapFocus style revisions and final review (#32364) @samuelsycamore
- [docs] Update the README.md to better cover the different products (#32360) @samuelsycamore
- [docs] Improve the propTypes generation and API demos' links (#32295) @mnajdova
- [docs] Add ability to display a plan icon next to a page link in nav bar (#32393) @flaviendelangle
- [docs] Change label on `FormControlLabelPlacement` (#32322) @ainatenhi

### Core

- [core] `yarn prettier` write @oliviertassinari
- [core] Fix changelog warning message (#32240) @praveen001
- [core] Update the proptypes scripts to support components in @mui/system (#32456) @mnajdova

All contributors of this release in alphabetical order: @abhinav-22-tech, @ainatenhi, @DanailH, @danilo-leal, @dwjohnston, @flaviendelangle, @hbjORbj, @mnajdova, @oliviertassinari, @praveen001, @samuelsycamore, @siriwatknp, @valerii15298, @ZeeshanTamboli

## 5.6.2

<!-- generated comparing v5.6.1..master -->

_Apr 18, 2022_

A big thanks to the 11 contributors who made this release possible.
This release is mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.6.2`

- [Autocomplete] Explain how to use getOptionLabel in free solo mode and update getOptionLabel type (#32165) @michaldudak
- [Badge] Fix customization of classes (#32185) @michaldudak
- [TextField] Add a workaround for Safari CSS transition scale bug (#32188) @igordanchenko

### `@mui/system@5.6.2`

- [system] Update style function to use vars automatically if available (#32244) @mnajdova

### `@mui/base@5.0.0-alpha.77`

- [FormControlUnstyled] Revise API (#32134) @michaldudak

### `@mui/joy@5.0.0-alpha.24`

- [Joy] Add `Badge` component (#31401) @hbjORbj
- [Joy] Fix misuse variable in `Input` (#32268) @siriwatknp

### Docs

- [blog] Fix images for the docs separation post (#32257) @danilo-leal
- [docs] Base Form Control style revisions and final review (#32309) @samuelsycamore
- [docs] Base TablePagination style revisions and final review (#32178) @samuelsycamore
- [docs] Revise the dark mode article (#32179) @danilo-leal
- [docs] Add `aria-label` for `IconButton` (#32276) @SiarheiBobryk
- [docs] Fix `borderRadius` in the docs example (#32347) @ZeeshanTamboli
- [docs] Fix 404 link in the code (#32323) @oliviertassinari
- [docs] Sync h1 with side nav label (#32235) @oliviertassinari
- [docs] Fix SEO issues (#32282) @oliviertassinari
- [docs] Fix broken link in the test contributing guide (#32283) @sirartemis
- [docs] Update "How to customize" page anchor links #32315 @abaker93
- [docs] Mark `onBackdropClick` prop as deprecated in `Dialog`, `Modal` and `ModalUnstyled` components (#32297) @ZeeshanTamboli
- [docs] Link to advanced components page (#32290) @siriwatknp
- [docs] Sync package description with the docs (#32211) @oliviertassinari
- [docs] Revise "Component theming" and "How to customize" guides (#31997) @danilo-leal
- [docs] Add note in the Contributing guide about linking issues to a PR (#32174) @danilo-leal
- [docs] Update RTL guide (#32242) @michaldudak
- [docs] Uniformize capitalization (#32238) @oliviertassinari

### Core

- [core] Remove unecessary div (#32237) @oliviertassinari
- [core] Revert #32229 (#32262) @michaldudak
- [test] Fix running unit tests on Windows (#32260) @michaldudak

All contributors of this release in alphabetical order: @abaker93, @cherniavskii, @danilo-leal, @hbjORbj, @igordanchenko, @michaldudak, @mnajdova, @oliviertassinari, @samuelsycamore, @SiarheiBobryk, @sirartemis, @siriwatknp, @ZeeshanTamboli

## 5.6.1

<!-- generated comparing v5.6.0..master -->

_Apr 11, 2022_

A big thanks to the 8 contributors who made this release possible.
This release is mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.6.1`

- [Grow] Extend Safari CSS transition bug workaround on WebKit browsers (#32202) @igordanchenko
- [Link] Fix style overrides 5.6.0 regression (#32182) @siriwatknp
- [Select] Bug when the first child is a ListSubheader (#27299) @DouglasPds

### `@mui/base@5.0.0-alpha.76`

- [ButtonUnstyled] Allow receiving focus when disabled (#32090) @michaldudak

### Docs

- [blog] Share what's changed about the new docs structure (#32044) @danilo-leal
- [docs] Format number icons search (#32239) @oliviertassinari
- [docs] Fix small external links issue (#32212) @oliviertassinari
- [docs] Make sidenav crawlable (#32241) @oliviertassinari
- [docs] Base Badge style revisions and final review (#32098) @samuelsycamore
- [docs] Fix wrong url (#32208) @siriwatknp
- [docs] Fix date-pickers redirects (#32207) @siriwatknp
- [docs] Add notification for the doc restructure and date pickers update (#32195) @siriwatknp
- [docs] Fix 404 from `ahrefs` report (#32206) @siriwatknp
- [docs] Remove notifications temporary (#32192) @siriwatknp
- [docs] Redirect to new urls (#32048) @siriwatknp
- [docs] Update Learn page copy and resource list (#31989) @samuelsycamore

### Core

- [core] Fix misleading types range (#32236) @oliviertassinari
- [core] Small polish on the product name (#32199) @oliviertassinari

All contributors of this release in alphabetical order: @danilo-leal, @DouglasPds, @igordanchenko, @l10nbot, @michaldudak, @oliviertassinari, @samuelsycamore, @siriwatknp

## 5.6.0

<!-- generated comparing v5.5.3..master -->

_Apr 5, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🧰 Update peer dependencies to support React 18 (#32063) @eps1lon
- 🚀 Added the experimental `CssVarsProvider` in `@mui/material` for generating theme CSS variables (#31138) @mnajdova
- 📣 Moved date and time pickers from the lab to MUI X (#31984) @flaviendelangle
- Several 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.6.0`

- [CssVarsProvider] Add experimental CssVarsProvider in @mui/material (#31138) @mnajdova
- [Link] Fix `sx` color to support callback (#32123) @siriwatknp
- [Link] Fix color transformation (#32045) @siriwatknp
- [ListItemButton] Specified width so that text would ellide (#32083) @MatthijsMud
- [TablePagination] Fixed the etEE locale (#32052) @raigoinabox

### `@mui/base@5.0.0-alpha.75`

- [Badge] Simplify unstyled API (#31974) @michaldudak

### `@mui/codemod@5.6.0`

- [codemod] Add v5.0.0/date-pickers-moved-to-x codemod (#31373) @flaviendelangle

### `@mui/lab@5.0.0-alpha.76`

- [DatePicker] Remove date and time pickers from the lab (#31984) @flaviendelangle

### `@mui/joy@5.0.0-alpha.22`

- [Joy] Add `Card` components (#32027) @siriwatknp

### Docs

- [blog] New article for the date pickers migration to X (#31831) @flaviendelangle
- [docs] Base Menu style revisions and final review (#32097) @samuelsycamore
- [docs] Base Select style revisions and final review (#32095) @samuelsycamore
- [docs] Base Input style revisions and final review (#32096) @samuelsycamore
- [docs] Base Slider style revisions and final review (#32140) @samuelsycamore
- [docs] Base Modal style revisions and final review (#32093) @samuelsycamore
- [docs] Add page for CSS variables support in @mui/material (#32050) @mnajdova
- [docs] Add TSS support for theme style overrides (#31918) @garronej
- [docs] Simplify customization examples in ButtonUnstyled demos (#32092) @michaldudak
- [docs] Fix linking issues for the redirects (#32101) @siriwatknp
- [docs] Create the FormControl page (#32073) @michaldudak
- [docs] Remove trap-focus from the navigation (#32079) @psjishnu
- [docs] Add date-pickers product identifier (#32076) @siriwatknp
- [docs] Move SwitchUnstyled docs to the Base space (#31964) @michaldudak
- [docs] Add docs page for unstyled popper (#31813) @siriwatknp
- [docs] Copy TextareaAutosize docs to Base (#32034) @michaldudak
- [docs] Add react-hook-form-mui to Complementary projects #32015 @TkaczykAdam
- [docs] Improve the translation experience (#32021) @oliviertassinari
- [docs] Add small size Select demo (#32060) @ivan-ngchakming
- [docs] Correct typos (#32029) @apeltop
- [docs] Create SliderUnstyled docs (#31850) @michaldudak
- [docs] Create TablePaginationUnstyled docs (#32018) @michaldudak
- [docs] Move SelectUnstyled docs to the Base space (#31816) @michaldudak
- [docs] Create the TabsUnstyled docs (#32023) @michaldudak

### Core

- [core] Update peer deps to support React 18 (#32063) @eps1lon
- [core] Fix running docs:api on Windows (#32091) @michaldudak
- [core] Fix api build script for Base UI (#32081) @siriwatknp

All contributors of this release in alphabetical order: @apeltop, @eps1lon, @flaviendelangle, @garronej, @ivan-ngchakming, @m4theushw, @MatthijsMud, @michaldudak, @mnajdova, @oliviertassinari, @psjishnu, @raigoinabox, @samuelsycamore, @siriwatknp, @TkaczykAdam

## 5.5.3

<!-- generated comparing v5.5.2..master -->

_Mar 28, 2022_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- ♿️ improved the a11y on some docs demos
- Several 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.5.3`

- [ButtonBase] Start ripple only after mount (#31950) @m4theushw
- [FormControlLabel] Fix label prop type to be in-line with other label prop types (#31139) @jannes-io
- [Grow] Add a workaround for Safari 15.4 CSS transition bug (#31975) @igordanchenko

### `@mui/codemod@5.5.3`

- [codemod] Fix variant prop placement (#31990) @ryancogswell

### `@mui/utils@5.5.3`

- [utils] Improve type inference of useForkRef (#31845) @eps1lon

### `@mui/base@5.0.0-alpha.74`

#### Breaking changes

- [base] Remove `BackdropUnstyled` component (#31923) @mnajdova

  The `BackdropUnstyled` component was removed from the `@mui/base` package, as it did not have any specific logic, except adding an `aria-hidden` attribute on the div it rendered. This is not enough to justify it's existence in the base package. Here is an example alternative component you can use:

  ```tsx
  const BackdropUnstyled = React.forwardRef<HTMLDivElement, { open?: boolean; className: string }>(
    (props, ref) => {
      const { open, className, ...other } = props;
      return <div className={clsx({ 'MuiBackdrop-open': open }, className)} ref={ref} {...other} />;
    },
  );
  ```

- [FocusTrap] Move docs to Base and drop the Unstyled prefix (#31954) @michaldudak

  Removed the `Unstyled_` prefix from the Base export (it remains in the Material UI export, though).

  ```diff
  -import { Unstyled_TrapFocus } from '@mui/base';
  +import { TrapFocus } from '@mui/base';

   // or

  -import TrapFocus from '@mui/base/Unstyled_TrapFocus';
  +import TrapFocus from '@mui/base/TrapFocus';
  ```

#### Changes

- [base] Add @mui/types to dependencies (#31951) @bicstone

### `@mui/joy@5.0.0-alpha.21`

- [Joy] Add `AvatarGroup` component (#31980) @siriwatknp
- [Joy] Miscellaneous fixes (#31873) @siriwatknp
- [Joy] Miscellaneous fixes 2 (#31971) @siriwatknp

### Docs

- [docs] Improve the a11y on the hover rating demo (#31970) @mnajdova
- [docs] Improve a11y on the `SplitButton` demo (#31969) @mnajdova
- [docs] Improve the color description in the API pages (#30976) @mnajdova
- [docs] Add docs page for unstyled Modal (#31417) @mnajdova
- [docs] Add InputUnstyled docs (#31881) @mnajdova
- [docs] Remove "Work in biotech" from the showcase (#31942) @oliviertassinari
- [docs] Fix in-house ad for the design kits (#31965) @oliviertassinari
- [docs] Fix the documentation for filterOptions in Autocomplete API page (#31416) @santhoshbala0178
- [docs] Update href for 'TypeScript guide on theme customization' (#31880) @NickFoden
- [docs] Fix the CSS Modules example in the Interoperability page (#31935) @WilsonNet
- [docs] Fix small typo in the `styled()` utility page (#31967) @jason1985
- [docs] Update mui-x on material-ui navigation (#31810) @siriwatknp
- [docs] Copy ClickAwayListener docs to Base (#31878) @michaldudak
- [docs] Refine the redirects (#31939) @siriwatknp
- [docs] Fix TOC layout for large screen (#31953) @siriwatknp
- [examples] Update remix example to not use NODE_ENV guard for `LiveReload` (#31269) @eswarclynn
- [NoSsr] Copy docs to the Base space (#31956) @michaldudak
- [Portal] Copy Portal docs to the Base space (#31959) @michaldudak
- Revert "[website] Remove X-Frame-Options" @oliviertassinari

### Core

- [core] Fixes error in changelog generator for item sorting/padding (#30088) @dimitropoulos
- [core] Fix typo in issue template @oliviertassinari
- [core] Replace deprecated String.prototype.substr() (#31806) @CommanderRoot
- [test] Add tests for component using `StandardProps` and polymorphic components (#31945) @mnajdova

All contributors of this release in alphabetical order: @bicstone, @CommanderRoot, @dimitropoulos, @eps1lon, @eswarclynn, @igordanchenko, @jannes-io, @jason1985, @m4theushw, @michaldudak, @mnajdova, @NickFoden, @oliviertassinari, @ryancogswell, @santhoshbala0178, @siriwatknp, @WilsonNet

## 5.5.2

<!-- generated comparing v5.5.1..master -->

_Mar 21, 2022_

A big thanks to the 7 contributors who made this release possible. This is a small release focused on some 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.5.2`

- [Popper] Expose the `sx` prop (#31833) @ivan-ngchakming

### `@mui/joy@5.0.0-alpha.20`

- [Joy] Add default color to `Input` and `ListItemButton` (#31826) @siriwatknp
- [Joy] Add Avatar component (#31303) @hbjORbj

### `@mui/base@5.0.0-alpha.73`

- [SliderUnstyled] Fix dragging on disabled sliders (#31882) @mnajdova

### `@mui/styled-engine-sc@5.5.2`

- [styled-engine-sc] GlobalStylesProps inconsistent between the different packages (#31814) @mnajdova

### Docs

- [data-grid] Fix print export feature (#31807) @oliviertassinari
- [docs] Move BadgeUnstyled docs to Base space (#31872) @michaldudak
- [docs] Solve duplication of content (#31917) @oliviertassinari
- [docs] Fix side nav capitalization of API (#31916) @oliviertassinari
- [docs] Use TypeScript demos by default (#31808) @oliviertassinari
- [docs] New search experience for multiple products (#31811) @siriwatknp
- [docs] Make LTS searchable (#31804) @oliviertassinari
- [docs] Fix demo filename on zh markdown (#31790) @nnmax

### Core

- [core] Add tests for Avatar component (#31829) @hbjORbj

All contributors of this release in alphabetical order: @hbjORbj, @ivan-ngchakming, @michaldudak, @mnajdova, @nnmax, @oliviertassinari, @siriwatknp

## 5.5.1

<!-- generated comparing v5.5.0..master -->

_Mar 14, 2022_

A big thanks to the 23 contributors who made this release possible. Here are some highlights ✨:

- 📊 2021 survey results post by @danilo-leal (#30999)
- Several 🐛 bug fixes and 📚 documentation improvements

### @mui/material@5.5.1

- [Fab] Add z-index (#30842) @issamElmohadeb098
- [Grid] Fix columns of nested container (#31340) @boutahlilsoufiane
- [i10n] Update italian locale (#30974) @SalvatoreMazzullo
- [Pagination] Fix type of UsePaginationItem["page"] (#31295) @aaronadamsCA
- [Popper] Allow setting default props in a theme (#30118) @hafley66
- [TextField] fix disappearing border in Safari (#31406) @krysia1

### @mui/joy@5.0.0-alpha.19

- [Joy] Support horizontal List (#31620) @siriwatknp
- [Joy] Add icon & label `Switch` examples (#31359) @siriwatknp
- [Joy] Add `TextField` component (#31299) @siriwatknp
- [Joy] Add `--Icon-fontSize` to components (#31360) @siriwatknp
- [Joy] Add `Checkbox` component (#31273) @siriwatknp

### Docs

- [blog] 2021 survey results post (#30999) @danilo-leal
- [docs] Add Macedonian translation (#31402) @theCuriousOne
- [docs] Fix API page table styles in Safari (#31696) @aaarichter
- [docs] Fix SEO issues (#31505) @oliviertassinari
- [docs] Fix Link leak of Next.js props (#31418) @oliviertassinari
- [docs] Add "Work in biotech" to showcase (#31711) @klyburke
- [docs] Fix docs site crash on iOS Safari 12 (#31458) @badalsaibo
- [docs] Fix search icons crash (#31651) @juanpc10
- [docs] Remove unnecessary await in e2e-tests (#31767) @siriwatknp
- [docs] Fix source code links on the Templates page (#31425) @danilo-leal
- [docs] Adjust Stack's basic usage demo (#31423) @danilo-leal
- [docs] Migrate button demos to base (#31395) @siriwatknp
- [docs] Fix y-axis unit used in the responsive font sizes chart (#31424) @aaarichter
- [docs] Remove joy mockup pages (#31412) @siriwatknp
- [docs] Fix the statement that styleOverrides are added by default (#31257) @mnajdova
- [docs] Refine the product identifier menu (#31262) @danilo-leal
- [docs] Fix Search crash (#31386) @reckter
- [docs] Update TextField multiline description (#31291) @jontewks
- [docs] Add gap theme mapping in MUI System properties table (#31382) @danilo-leal
- [docs] Test products search (#31351) @siriwatknp
- [docs] Fix GitHub source links in the demo toolbar (#31339) @PunitSoniME
- [docs] Add Algolia verification code to robot.txt (#31356) @siriwatknp
- [examples] Ignore tsbuildinfo with Next.js (#31460) @B0und

### Core

- [core] Simplify anchor link (#31419) @oliviertassinari
- [core] Revert unrelated changes in #31354 @oliviertassinari
- [test] Upgrade CircleCI convenience image (#31394) @m4theushw
- [typescript] Simplify display of slot props types (#31240) @michaldudak

All contributors of this release in alphabetical order: @aaarichter, @aaronadamsCA, @B0und, @badalsaibo, @boutahlilsoufiane, @danilo-leal, @hafley66, @hbjORbj, @issamElmohadeb098, @jontewks, @juanpc10, @klyburke, @krysia1, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @reckter, @SalvatoreMazzullo, @samuelsycamore, @siriwatknp, @theCuriousOne

## 5.5.0

<!-- generated comparing v5.4.4..master -->

_Mar 7, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- ♿️ made the `Autocomplete` conform to [ARIA 1.2 combobox](https://www.w3.org/TR/wai-aria-1.2/#combobox) (#30601) @EdmundMai
- Several 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.5.0`

#### Breaking change

- [ClassNameGenerator] Prevent all `base` imports (#31297) @siriwatknp

  `unstable_ClassNameGenerator` has been moved from `utils` to `className` folder to prevent all Base UI module imports. If you use the module, please update the import as suggested in the diff below:

  ```diff
  -import { unstable_ClassNameGenerator } from '@mui/material/utils';
  +import { unstable_ClassNameGenerator } from '@mui/material/className';
  ```

#### Changes

- [Autocomplete] Fix failing unit tests (#31302) @michaldudak
- [Autocomplete] Have the screen reader announce when autocomplete is open and closed (#30601) @EdmundMai
- [AvatarGroup] Fix misalignment with non-default spacing (#31165) @sjdemartini
- [Drawer] Adjustments to the mini variant to improve UI/UX (#31267) @siriwatknp
- [Select] Add extending `OutlinedInputProps` by SelectProps (#31209) @jrozbicki

### `@mui/icons-material@5.5.0`

- [icons] Sync new Google Material Icons (#30766) @simonecervini

### `@mui/codemod@5.5.0`

- [codemod] Fix top level imports codemod (#31308) @mnajdova

### `@mui/lab@5.0.0-alpha.72`

- [LoadingButton] Fix padding of loading icon in small button (#31113) @PunitSoniME

### `@mui/base@5.0.0-alpha.71`

- [MenuUnstyled] Create MenuUnstyled and useMenu (#30961) @michaldudak
- [SelectUnstyled] Prevent window scrolling after opening (#31237) @michaldudak

### `@mui/joy@5.0.0-alpha.18`

- [Joy] Make Icon `fontSize` adaptable to its parent (#31268) @siriwatknp
- [Joy] Add `Link` component (#31175) @hbjORbj
- [Joy] Improve `Sheet` tests (#31241) @hbjORbj
- [Joy] Improve SvgIcon tests (#31242) @hbjORbj

### `@mui/material-next@6.0.0-alpha.26`

- [material-next] Mark @mui/material as a dependency (#31270) @siriwatknp

### Docs

- [docs] Remove career pages from translation (#31346) @oliviertassinari
- [docs] Fix JS files overloading (#31341) @oliviertassinari
- [docs] Add banner in solidarity of Ukraine (#31275) @danilo-leal
- [docs] Fix maxWidth of scrollable Tabs demos (#31285) @danilo-leal
- [docs] Fix icon linking implementation concurrent safe (#30428) @Janpot
- [docs] Follow up new doc space issues (#31251) @siriwatknp
- [examples] Add `@types/node` to Next.js TypeScript starter (#30918) @Daggy1234
- [examples] Fix import ThemeProvider from correct package in remix-wit… (#30981) @nnecec
- [blog] Simplify the labels (#30921) @oliviertassinari
- [l10n] Add Croatian (hr-HR) and Serbian (sr-RS) translation (#30906) @m14d3n

### Core

- [core] Fix running markdownlint on Windows (#31352) @michaldudak
- [core] Fix the stylelint script on Windows (#31281) @mnajdova
- [test] Fix buildApiUtils tests on Windows (#31304) @michaldudak
- [test] Remove legacyRoot option from test renderer (#31284) @eps1lon

All contributors of this release in alphabetical order: @Daggy1234, @danilo-leal, @EdmundMai, @eps1lon, @hbjORbj, @Janpot, @jrozbicki, @m14d3n, @michaldudak, @mnajdova, @nnecec, @oliviertassinari, @PunitSoniME, @simonecervini, @siriwatknp, @sjdemartini

## 5.4.4

<!-- generated comparing v5.4.3..master -->

_Feb 28, 2022_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- ✨ New `Input` and `Sheet` components were added in the experimental Joy design system by @hbjORbj (#31124, #31086) @hbjORbj
- Several 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.4.4`

- [Autocomplete] Have Autocomplete with multiline textfield log a warning instead of an error (#30680) @iclaude3
- [Chip] Fix ellipsis when the children is too long (#31087) @PunitSoniME
- [Input] Export InputBase's classes from the classes const (#31186) @mnajdova
- [TextField] Fix Horizontal scroll when label too long (#31187) @RedHeadphone
- [styles] Fix typo in import error (#31167) @davwheat

### `@mui/system@5.4.4`

- [system] Fix executing server-side Emotion component as function interpolation 2 (#31024) @Andarist
- [system] Fix sx prop types when CSS variables are used with nested selectors (#31163) @mnajdova
- [system] Fix `CssVarsProvider` theme mutation (#31148) @siriwatknp

### `@mui/codemod@5.4.4`

- [codemods] Add v5.0.0/top-level-imports codemod (#31195) @greengiraffe

### `@mui/base@5.0.0-alpha.70`

- [SelectUnstyled, MultiSelectUnstyled, ButtonUnstyled] Export additional types to make customization easier (#31172) @michaldudak

### `@mui/joy@5.0.0-alpha.17`

- [Joy] Add nested list components (#31159) @siriwatknp
- [Joy] Improve color customization on `Switch` (#31137) @siriwatknp
- [Joy] Add `Sheet` component (#31124) @hbjORbj
- [Joy] add `Input` component (#31086) @siriwatknp
- [Joy] Fix Button missing slot type (#31166) @siriwatknp

### Docs

- [docs] Fix 404 link to the blog (#31234) @oliviertassinari
- [docs] Use `material-ui` for product name (#31200) @siriwatknp
- [docs] Add Base installation page (#30969) @siriwatknp
- [docs] Use new Algolia app for new structure (#31178) @siriwatknp
- [docs] Typo in the `FormControl` API documentation (#31169) @bonellia
- [docs] Fix typo in Stack documentation (#31176) @adriancampos
- [docs] Update interoperability.md broken tailwind links (#31182) @robertwt7
- [docs] Add missing import into tss-react migration guide (#31162) @sviande

### Core

- [core] Add group for the @fortawesome dependencies (#31193) @mnajdova
- [core] Update playwright docker to match the specified version (#31236) @siriwatknp
- [core] Remove parallel on buildTypes (#31189) @siriwatknp
- [core] Fix propTypes generation for optional any props (#31141) @m4theushw
- [typescript] Remove variants deprecation (#31239) @siriwatknp

All contributors of this release in alphabetical order: @adriancampos, @Andarist, @bonellia, @davwheat, @greengiraffe, @hbjORbj, @iclaude3, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @RedHeadphone, @robertwt7, @samuelsycamore, @siriwatknp, @sviande

## 5.4.3

<!-- generated comparing v5.4.2..master -->

_Feb 21, 2022_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 🛠 @hbjORbj made components use theme duration/easing values by default (#30894)
- A meaningful number of 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.4.3`

- [ButtonBase] Fix typo (#31135) @Jastor11
- [Stepper] Export useStepContext (#31021) @michaldudak
- [Transitions] Some components do not use transition duration/easing values from theme (#30894) @hbjORbj

### `@mui/icons-material@5.4.3`

- [icons] Add "circle" icon synonyms (#31118) @gnowland

### `@mui/joy@5.0.0-alpha.16`

- [Joy] `List` second iteration (#31134) @siriwatknp
- [Joy] Fix typings (#31120) @siriwatknp
- [Joy] Add initial `List` components (#30987) @siriwatknp

### Docs

- [docs] Fix typo of migration guides v4 (#31136) @pppp606
- [docs] Update on the support page to account for v4 LTS support (#31029) @danilo-leal
- [docs] Fix small typo in chips.md (#31092) @cameliaben
- [l10n] Add it-IT translation for labelDisplayedRows (#31131) @frab90
- [l10n] Add pl-PL translation for labelDisplayedRows (#31088) @ThomasTheHuman

### Core

- [core] Add jsx, html, css and prisma to prettier extensions (#31161) @Janpot
- [core] Allow to run material-ui.com/store alongside mui.com/store (#31065) @oliviertassinari
- [core] Polish design tokens (#31095) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @cameliaben, @danilo-leal, @frab90, @gnowland, @hbjORbj, @huyenltnguyen, @Janpot, @Jastor11, @michaldudak, @oliviertassinari, @pppp606, @siriwatknp, @ThomasTheHuman

## 5.4.2

_Feb 15, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 🛠 @sydneyjodon-wk improved propTypes of the ToggleButton components (#30883)
- Several 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.4.2`

- [Select] Allow customizing Select based on its variant (#30788) @michaldudak
- [Portal] Re-export 'Portal' in material (#31003) @liradb2000
- [ToggleButton] Add prop types for `onClick` and `onChange` (#30883) @sydneyjodon-wk
- [typescript] Added TypeText declaration to the exports file (#30890) @agauravdev

### `@mui/system@5.4.2`

- [system] Fix broken behavior when breakpoints input are not ordered (#30996) @mnajdova

### `@mui/lab@5.0.0-alpha.69`

- [DatePicker] Fix passing clearable prop (#30786) @alisasanib

### `@mui/joy@5.0.0-alpha.15`

- [Joy] Improve variant customization experience (#30878) @siriwatknp
- [Joy] Make `sx` prop work in Joy (#30955) @siriwatknp

### Framer

- [design] Remove framer components (#30983) @mbrookes
- [design] Remove framer leftovers (#31070) @michaldudak

### Docs

- [docs] Update installation guide of the icons package (#31026) @huyenltnguyen
- [docs] Improve the indication for the legacy APIs (#30995) @mnajdova
- [docs] Specify which props are added in the default `shouldForwardProp` option (#30978) @mnajdova
- [docs] Fix layout shift on loading (#31017) @oliviertassinari
- [docs] Increase scroll affordance in wide tables (#30713) @danilo-leal
- [docs] Fix look & feel of the Masonry demos (#30971) @oliviertassinari
- [docs] Improve Base component demos (#30884) @danilo-leal
- [docs] Use full product names (Material UI, MUI System) (#30960) @oliviertassinari
- [docs] Prefer useEnhancedEffect to avoid server side warnings (#30977) @mnajdova
- [docs] Fix force redirection to a different locale (#30967) @oliviertassinari
- [docs] Add live Tailwind CSS demo (#30966) @oliviertassinari

### Core

- [benchmark] Add missing dependency (#30994) @michaldudak
- [core] Bump date-io version (#31016) @michaldudak
- [core] Fix typo in useSlider (#31061) @ryohey
- [core] Remove unused draft-js types package (#30993) @michaldudak
- [test] Test if certain Base members are exported from Material UI (#31067) @michaldudak
- [core] Remove dead code (#31064) @oliviertassinari

All contributors of this release in alphabetical order: @agauravdev, @alisasanib, @DanailH, @danilo-leal, @huyenltnguyen, @l10nbot, @liradb2000, @mbrookes, @michaldudak, @mnajdova, @prakhargupta1, @oliviertassinari, @ryohey, @samuelsycamore, @siriwatknp, @sydneyjodon-wk

## 5.4.1

<!-- generated comparing v5.4.0..master -->

_Feb 8, 2022_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- ♿️ Snackbar messages are now announced by NVDA when using Firefox (#30774) @eps1lon
- Several 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.4.1`

- [AvatarGroup] Enable targeting of additional Avatar when max props is passed (#30794) @mogrady88
- [Badge] Fix showzero and invisible condition (#30899) @alisasanib
- [ButtonBase] Expose ref to TouchRipple (#30901) @m4theushw
- [Fab] Add support for the default theme colors (#30846) @alisasanib
- [SelectInput] Only attach click handler to label if a labelId is passed (#30239) @johsunds
- [Snackbar] Ensure messages are announced in NVDA+FF (#30774) @eps1lon

### `@mui/base@5.0.0-alpha.68`

- [SelectUnstyled] Improve exported types (#30895) @michaldudak

### `@mui/lab@5.0.0-alpha.68`

- [Pickers] Fix `onDismiss` handler in `MobileDatePicker` (#30768) @Ashish2097
- [TimePicker] Add font family for clock numbers (#30738) @alisasanib

### `@mui/joy@5.0.0-alpha.14`

- [Joy] Add `IconButton` component (#30864) @siriwatknp
- [Joy] Use icon inside a Button (#30803) @siriwatknp

### Docs

- [examples] Fix vitejs example and improve HMR (#30897) @mihailgaberov
- [docs] Improve autocomplete "limit tags" demo (#30910) @danilo-leal
- [docs] Sync translations with Crowdin (#30950) @l10nbot
- [docs] Improve description of the disableRestoreFocus prop of the `TrapFocus` (#30912) @flaviendelangle
- [docs] Remove ul with div children and replace with nav element (#30534) @joeframbach
- [docs] Add Saleor to showcase (#30924) @cherniavskii
- [docs] Include JSS in styling solution interoperability guide (#30736) @garronej
- [docs] Fix contents of link-underline-hover (#30904) @pppp606
- [docs] Fix markdown table format (#30947) @oliviertassinari
- [docs] Add missing import to RTL guide (#30891) @CFarhad
- [docs] Fix WithStyles import statement for @mui/styles (#30942) @altruity
- [docs] Fix broken roadmap table (#30943) @cherniavskii
- [docs] Fix broken URL in "Edit this page" button (#30923) @cherniavskii
- [docs] Migrate content to the new location (#30757) @siriwatknp
- [docs] Fix the link to the Vite.js example project (#30872) @GneyHabub
- [docs] Clarify the minimum configuration for TypeScript (#30790) @mnajdova
- [docs] Clarify what the name of @mui/material is (#30866) @oliviertassinari
- [docs] Remove migration from the releases page (#30863) @mnajdova
- [docs] Update Instructions for Google Maps Autocomplete (#30849) @kjschabra
- [docs] Hotfix notification (#30862) @siriwatknp

### Core

- [core] Batch small fixes (#30952) @oliviertassinari
- [core] Rename the GitHub org (#30944) @oliviertassinari
- [core] Fix propTypes in components where OverridableStringUnion is used (#30682) @paales
- [test] Codify the difference between keyup and keydown in SelectUnstyled (#30857) @eps1lon
- [test] Fix typo (#30841) @caioagiani
- [utils] Use built-in hook when available for useId (#30654) @eps1lon

All contributors of this release in alphabetical order: @alisasanib, @altruity, @Ashish2097, @caioagiani, @CFarhad, @cherniavskii, @danilo-leal, @eps1lon, @flaviendelangle, @garronej, @GneyHabub, @joeframbach, @johsunds, @kjschabra, @m4theushw, @michaldudak, @mihailgaberov, @mnajdova, @mogrady88, @oliviertassinari, @paales, @pppp606, @siriwatknp, @theiliad

## 5.4.0

<!-- generated comparing v5.3.1..master -->

_Feb 1, 2022_

A big thanks to the 22 contributors who made this release possible. Here are some highlights ✨:

- 🛠 @goncalovf added an example project using [Material UI with Vite.js](https://github.com/mui/material-ui/tree/master/examples/material-ui-vite) (#28241)
- Number of 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.4.0`

#### Breaking changes

- [core] Do not reexport Base from Material (#30853) @michaldudak

  All Base components were exported from the `@mui/material` package and treated as stable even though the `@mui/base` package is in development. It could create a lot of confusion if developers start using Base components, depend on them, and demand quality found in "proper" Material components. We admit it was a mistake to reexport these components without marking them as unstable.

  Developers are still encouraged to evaluate the Base components, but they should do so by explicitly installing the `@mui/base` package.

  This is technically a breaking change as it removes a number of components from the `@mui/material` package. However, we believe that removing the components now and potentially breaking the codebases will do less harm than introducing "silent" breaking changes to Base components while continuing reexporting them from `@mui/material`.

  Note: the utility components, such as ClickAwayListener, NoSsr, Portal, and TextareaAutosize continue to be exported from both `@mui/material` and `@mui/base`.

  If you're encountering build errors after upgrading @mui/material, do the following:

  1. Install @mui/base: npm install @mui/base or yarn add @mui/base
  2. Make sure the version of @mui/base match the version of @mui/material
  3. Change the import paths of unstyled components from @mui/material to @mui/base, e.g.:

  ```diff
  -import ButtonUnstyled from '@mui/material/ButtonUnstyled';
  +import ButtonUnstyled from '@mui/base/ButtonUnstyled';
  ```

#### Changes

- [Autocomplete] Add `readOnly` prop (#30706) @ZeeshanTamboli
- [Autocomplete] Fix typos in the page (#30737) @austinewuncler
- [FormControlLabel][formgroup] add Mui-error class (#30656) @alisasanib
- [Grid] Fix prop check for applying wrap-reverse (#30813) @Hubbz
- [TextField] Remove notch when no label is added (#30560) @alisasanib
- [TextField] Remove usage of dangerouslySetInnerHTML (#30776) @Jack-Works
- [TreeView] Select node when key `Enter` is pressed (#30795) @dryrainbow
- [useMediaQuery] Ensure no tearing in React 18 (#30655) @eps1lon

### `@mui/base@5.0.0-alpha.67`

- [SelectUnstyled] Create unstyled select (+ hook) (#30113) @michaldudak

### `@mui/lab@5.0.0-alpha.67`

- [DateTimePicker] Fix month view highlight wrong tab (#30773) @DiegoYungh
- [pickers] Enable the sx props on all components (#30749) @boutahlilsoufiane

### Docs

- [blog] Introducing callback support in style overrides (#30668) @siriwatknp
- [docs] Add notifications for the blog posts (#30852) @siriwatknp
- [docs] Improve the interoperability guide (#30785) @mnajdova
- [docs] Improve the Getting Started documentation content (#30808) @mnajdova
- [docs] Fix typo in ad fallback (#30823) @cherniavskii
- [docs] Change ThemeProvider API links (#30705) @atakanzen
- [docs] Retain vendor prefixing in rtl example (#30710) @ryancogswell
- [docs] Fix typo in the Popper ScrollPlayground demo (#30780) @tanyabouman
- [docs] Small fixes on the jss-to-tss migration guide (#30734) @garronej
- [examples] Add Vite.js example (#28241) @goncalovf

### Core

- [core] Clarify the label, to match with MUI X (#30831) @oliviertassinari
- [core] Remove none code related instructions from git (#30843) @oliviertassinari
- [core] Fix typos in comments for scripts (#30809) @aefox
- [core] Fix 301 link in the blog @oliviertassinari
- [test] Fix tests on Node 16 (#30819) @michaldudak
- [test] Add explicit types to support noImplicityAny=false (#30798) @m4theushw
- [test] Support React.useId format in \*DescriptionOf (#30657) @eps1lon

All contributors of this release in alphabetical order: @aefox, @alisasanib, @atakanzen, @austinewuncler, @boutahlilsoufiane, @cherniavskii, @danilo-leal, @DiegoYungh, @dryrainbow, @eps1lon, @garronej, @goncalovf, @Hubbz, @Jack-Works, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @ryancogswell, @siriwatknp, @tanyabouman, @ZeeshanTamboli

## 5.3.1

<!-- generated comparing v5.3.0..master -->

_Jan 24, 2022_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🛠 @mnajdova added interoperability guide for using Tailwind CSS (#30700)
- A meaningful number of 🐛 bug fixes and 📚 documentation improvements.

### `@mui/icons-material@5.3.1`

- [icons] Fix naming typos (#30512) @MrHBS
- [icons] Makes material-icons work with Joy (#30681) @siriwatknp

### `@mui/base@5.0.0-alpha.66`

- [SliderUnstyled] Improve typings on some internal utils (#30614) @mnajdova

### Core

- [core] Batch small changes (#30690) @oliviertassinari
- [core] Add new structure to ignore list crowdin (#30608) @siriwatknp
- [core] Correct version in package.json (#30677) @michaldudak
- [test] Fix buildApiUtils tests on Windows (#30698) @michaldudak

### Docs

- [blog] Enable blog index (#30724) @siriwatknp
- [blog] Introducing the Row Grouping feature (#30598) @alexfauquette
- [docs] Fix SEO crawl errors (#30733) @oliviertassinari
- [docs] Update migration-v4.md (#30721) @ddecrulle
- [docs] Fix migration issues detected by `ahrefs` (#30751) @siriwatknp
- [docs] Add interoprability guide for using Tailwind CSS (#30700) @mnajdova
- [docs] Fix typo in containedSizeMedium class (#30723) @aaneitchik
- [docs] Hotfix the wrong URL in X marketing page (#30729) @siriwatknp
- [docs] Post migration preparation fix (#30716) @siriwatknp
- [docs] Update remix example to restore from error pages (#30592) @mnajdova
- [docs] Use new URLs when enable_redirects is true (#30704) @siriwatknp
- [docs] Add a missing bracket in the migration-v4 guide (#30616) @chaosmirage
- [docs] Add Checkbox color prop change (#30697) @aaneitchik
- [docs] Fix migration to have singular urls (#30695) @siriwatknp
- [docs] Update UXPin link to new landing page (#30691) @Evomatic
- [docs] Close user menu on click in the responsive app bar demo (#30664) @NoahYarian
- [docs] Clear the difference between UI and React components (#29930) @oliviertassinari
- [docs] Make Autocomplete docs gender neutral (#30679) @exequielbc
- [docs] Update doc structure for X components (#30684) @siriwatknp

All contributors of this release in alphabetical order: @aaneitchik, @alexfauquette, @chaosmirage, @ddecrulle, @Evomatic, @exequielbc, @michaldudak, @mnajdova, @MrHBS, @NoahYarian, @oliviertassinari, @siriwatknp

## 5.3.0

<!-- generated comparing v5.2.8..master -->

_Jan 17, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🛠 @siriwatknp added support for callbacks in styleOverrides (#30524)
- 🧩 @ZeeshanTamboli and @VicHofs improved customization of components (#30515, #30212)
- 🛠 @hbjORbj fixed the use of ResizeObserver in Masonry component (#29896)
- 📄 @danilo-leal and @siriwatknp created our own blog home page (#30121)

### `@mui/material@5.3.0`

- [Autocomplete] Add ability to pass props to `Paper` component (#30515) @ZeeshanTamboli
- [Select] Add defaultOpen prop (#30212) @VicHofs

### `@mui/system@5.3.0`

- [system][box, grid, typography] `textTransform` prop should work directly on component (#30437) @hbjORbj
- [system] Support callback value in `styleOverrides` slot (#30524) @siriwatknp

### `@mui/lab@5.0.0-alpha.65`

- [Masonry] Observe every masonry child to trigger computation when needed (#29896) @hbjORbj
- [MobileDatePicker] Fix calling onOpen when readOnly is true (#30561) @alisasanib

### `@mui/codemod@5.3.0`

- [codemod] Bump `jscodeshift` to remove `colors` dependency (#30578) @siriwatknp

### `@mui/styled-engine-sc@5.3.0`

- [styled-engine-sc] Add the withConfig API to enable using the babel plugin for styled-comonents (#30589) @mnajdova

### `@mui/joy@5.0.0-alpha.11`

- [Joy] Add `SvgIcon` component (#30570) @hbjORbj

### `@mui/base@5.0.0-alpha.65`

- [SliderUnstyled] Add useSlider hook and polish (#30094) @mnajdova

### Docs

- [docs] End code block in test/README.md (#30531) @yaboi
- [docs] Remove redundant grouping in /components/radio-buttons/ (#30065) @eps1lon
- [docs] Update migration scripts and e2e tests (#30583) @siriwatknp
- [docs] Fix migration guides for versions older than v4 (#30595) @kkirsche
- [docs] Inform about specific files for DataGrid locales (#30411) @alexfauquette
- [docs] jss-to-tss migration advise to drop clsx in favor of cx (#30527) @garronej
- [docs] Fix integration with MUI X (#30593) @oliviertassinari
- [docs] Adding peer dependencies explanation on @mui/lab README.md (#30532) @glaucoheitor
- [docs] Add missing quote in migration docs (#30587) @Atralbus
- [docs] Update link to Doit sponsor (#30586) @oliviertassinari
- [docs] Add products identifier and drawer (#30283) @siriwatknp

### Core

- [core] Revert changes to peer dependencies (#30662) @oliviertassinari
- [core] Renovate should not try to update node (#30659) @oliviertassinari
- [core] Remove dead files (#30663) @oliviertassinari
- [core] Fix outdated TypeScript template (#30596) @oliviertassinari
- [core] Remove extra `</p>` from header of README.md (#30530) @yaboi
- [core] Fix `docs:api` script for Windows OS (#30533) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @Atralbus, @cherniavskii, @danilo-leal, @eps1lon, @garronej, @glaucoheitor, @hbjORbj, @kkirsche, @mnajdova, @oliviertassinari, @siriwatknp, @VicHofs, @yaboi, @ZeeshanTamboli

## 5.2.8

<!-- generated comparing v5.2.7..master -->

_Jan 10, 2022_

A big thanks to the 10 contributors who made this release possible. Here are some highlights ✨:

- A meaningful number of 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.2.8`

- [TextField][inputlabel] Remove `pointer-events: none` property (#30493) @hbjORbj
- [Slider] Add `input` slot to components and componentsProps (#30362) @alexandre-lelain

### `@mui/joy@5.0.0-alpha.10`

- [Joy] Add `Typography` component (#30489) @siriwatknp
- [Joy] Add functional `Switch` component (#30487) @siriwatknp

### Docs

- [docs] Update markdown parser to remove backticks from description (#30495) @aefox
- [docs] Fix the crash when applying custom colors (#30563) @siriwatknp
- [docs] Location change of Sebastian (#30528) @eps1lon
- [docs] Lint markdown in the CI (#30395) @oliviertassinari
- [docs] Fix `componentsProps` API docs and PropTypes (#30502) @ZeeshanTamboli
- [docs] Codemod doc for overriding styles using tss (#30499) @garronej
- [docs] fix edge case when replacing data-grid url for migration (#30505) @siriwatknp
- [docs] fix replace url for migration (#30503) @siriwatknp
- [docs] Prepare scripts for migrating to new structure (#30386) @siriwatknp
- [docs] Adjust RTL Guide demos to fully support RTL (#30387) @noam-honig
- [docs] Move @eps1lon to community (#30473) @oliviertassinari
- [docs] Fix typo and spelling in the-sx-prop.md (#30482) @aefox
- [docs] More general docs polishing (#30371) @danilo-leal

All contributors of this release in alphabetical order: @aefox, @alexandre-lelain, @danilo-leal, @eps1lon, @garronej, @hbjORbj, @noam-honig, @oliviertassinari, @siriwatknp, @ZeeshanTamboli

## 5.2.7

<!-- generated comparing v5.2.6..master -->

_Jan 3, 2022_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 📓 Improvements on the Vietnamese (vi-VN) and Finnish (fi-FI) locales (#30426, #30442) @hckhanh @Certificate
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.2.7`

- [Autocomplete] Fix calling onChange for duplicate values (#30374) @alisasanib
- [Avatar] Fix TypeScript error on imgProps (#30255) @ahmad-reza619
- [Badge] Fix `classes` prop TypeScript type (#30427) @ZeeshanTamboli
- [SvgIcon] Allow viewBox to inherit from Component through inheritViewBox prop (#29954) @alex-dikusar
- [SvgIcon] Correct API docs and code style (#30470) @michaldudak

### Docs

- [blog] 2021 (#30425) @oliviertassinari
- [docs] Fix typo on the Grid docs page (#30446) @abhi45
- [docs] Fix `useMediaQuery` SSR example to v5 theme API (#30454) @ValentinH
- [docs] Improve the migration guide and add examples for transforming to `tss-react` (#30388) @mnajdova
- [docs] Make the reference to the select clearer (#30460) @boazrymland
- [docs] Sync translations with Crowdin (#30385) @l10nbot
- [example] Avoid double rendering in the Remix example (#30366) @mnajdova
- [i18n] improve viVN locale (#30426) @hckhanh
- [l10n] Improve fiFI locale (#30442) @Certificate

### Core

- [core] Automatically close issues that are incomplete and inactive (#30459) @oliviertassinari
- [core] Remove contrib tweet (#30455) @oliviertassinari

All contributors of this release in alphabetical order: @abhi45, @ahmad-reza619, @alex-dikusar, @alisasanib, @boazrymland, @Certificate, @hckhanh, @l10nbot, @michaldudak, @mnajdova, @oliviertassinari, @siriwatknp, @ValentinH, @ZeeshanTamboli

## 5.2.6

<!-- generated comparing v5.2.5..master -->

_Dec 27, 2021_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 📓 The Norwegian Bokmål (nb-NO) locale was added (#27520) @wogsland
- 🛠 Introduced a new `useBadge` hook in the `@mui/base` package (#30246) @mnajdova
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.2.6`

- [ButtonGroup] Fix typo in ButtonGroupContext's interface (#30376) @kealjones-wk
- [l10n] Add Norwegian Bokmål (nb-NO) locale (#27520) @wogsland

### `@mui/base@5.0.0-alpha.62`

- [BadgeUnstyled] Add useBadge hook (#30246) @mnajdova

### `@mui/joy@5.0.0-alpha.8`

- [Joy] Button API (#29962) @siriwatknp

### Docs

- [docs] Fix color coercion (#30319) @Janpot
- [blog] Fix file import conflict resolution (#30391) @oliviertassinari
- [docs] Fix crash on Safari because of unsupported lookahead feature (#30345) @cherniavskii
- [docs] Update to new website domain (#30396) @ryota-murakami
- [docs] Fix text from material-ui to @mui to reflect v5 name changes (#30393) @pupudu
- [docs] Fix a11y in Menu demos (#30378) @ZeeshanTamboli
- [docs] Document how to unmount transition child (#30382) @oliviertassinari
- [docs] The current standard for quotes is QUOTATION MARK @oliviertassinari
- [docs] Fix 404 links (#30380) @oliviertassinari
- [docs] Fix Breadcrumb description (#30307) @jamesmelzer
- [docs] Modify injection order for Gatsby and SSR examples (#30358) @ShuPink
- [docs] Improve the translation experience (#30373) @oliviertassinari
- [docs] Sync translations with Crowdin (#30176) @l10nbot
- [docs] Fix link to /size-snapshot (#30363) @oliviertassinari
- [docs] Fix incorrect aria label in SpeedDial demo (#30354) @chwallen
- [docs] Fix incorrect number of breakpoint helpers (#30353) @chwallen
- [docs] Update outdated links (#30260) @oliviertassinari
- [docs] Support redirects from old urls to /material/\* (#30286) @siriwatknp
- [examples] Fix CSS Modules integration (#30381) @oliviertassinari

### Core

- [core] Rename Material UI to MUI (#30338) @ZeeshanTamboli
- [core] Fix warning in dev mode (#30368) @oliviertassinari
- [core] Update `buildApi` script to support new structure (#30245) @siriwatknp

All contributors of this release in alphabetical order: @cherniavskii, @chwallen, @jamesmelzer, @Janpot, @kealjones-wk, @l10nbot, @mnajdova, @oliviertassinari, @pupudu, @ryota-murakami, @ShuPink, @siriwatknp, @wogsland, @ZeeshanTamboli

## 5.2.5

<!-- generated comparing v5.2.4..master -->

_Dec 20, 2021_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 🛠 This release mostly improves what's behind the scenes: infrastructure and tests
- 📓 Danish (da-DK) locale was added (#29485) @mikk5829
- 🖌 Polished the design of Base components (#30149) and the docs in general (#29994) @danilo-leal
- 📚 Many additions and improvements to the documentation were made

### `@mui/material@5.2.5`

- [l10n] Add Danish (da-DK) locale (#29485) @mikk5829
- [LoadingButton] Label progressbar by the LoadingButton (#30002) @eps1lon
- [Tabs] Remove unnecessary `Partial<>` type around TabIndicatorProps type (#30254) @ZeeshanTamboli

### `@mui/system@5.2.5`

- [system] Use `useEnhancedEffect` to prevent flicker (#30216) @hbjORbj

### `@mui/lab@5.0.0-alpha.61`

- [pickers] Fix the wrong MuiClockPicker's ArrowSwitcher slot name (#30226) @rejetto

### Docs

- [docs] Run JS compiler on markdown output (#29732) @Janpot
- [Badge] Add tests for `anchorOrigin` prop (#30147) @daniel-sachs
- [docs] Add cssmodule injection order comments to Nextjs example (#30213) @ShuPink
- [docs] Remove extra word in Select component code example comments (#30281) @KThompso
- [docs] Improve the description of the Accordion (#30253) @jamesmelzer
- [docs] Heading capitalization convention @oliviertassinari
- [docs] Rename remaining 'unstyled' references to 'base' (#30206) @michaldudak
- [docs] Add to migration doc about ref type specificity (#30114) @hbjORbj
- [docs] Add script to clone pages (#30107) @siriwatknp
- [docs] Correct colors in breakpoints documentation (#30219) @michaldudak
- [docs] Sync icon search UI state with the url (#30075) @Janpot
- [docs] Base components demos design polish (#30149) @danilo-leal
- [docs] General documentation polish (#29994) @danilo-leal
- [examples] Fix typo in the remix example's README (#30289) @lemol

### Core

- [test] Reduce bundle size comparison memory consumption (#30195) @Janpot
- [core] make snapshot comparison more resilient (#30183) @Janpot
- [core] update formatted ts demo to support new structure (#30248) @siriwatknp
- [core] cache dependencies in github actions (#30211) @siriwatknp
- [core] fix root package version (#30204) @siriwatknp
- [core] Fail the build when the dangerjs script errors (#30186) @Janpot
- [test] Add E2E website tests (#30128) @siriwatknp

All contributors of this release in alphabetical order: @daniel-sachs, @danilo-leal, @eps1lon, @hbjORbj, @jamesmelzer, @Janpot, @KThompso, @lemol, @michaldudak, @mikk5829, @mnajdova, @oliviertassinari, @rejetto, @ShuPink, @siriwatknp, @ZeeshanTamboli

## 5.2.4

<!-- generated comparing v5.2.3..master -->

_Dec 14, 2021_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- ✨ Add `not` operator to `theme.breakpoints` (#29311) @Philipp000

  ```js
  const styles = (theme) => ({
    root: {
      backgroundColor: 'blue',
      // Match [xs, md) and [md + 1, ∞)
      //       [xs, md) and [lg, ∞)
      //       [0px, 900px) and [1200px, ∞)
      [theme.breakpoints.not('md')]: {
        backgroundColor: 'red',
      },
    },
  });
  ```

- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.2.4`

- [esm] Correct a styles imports (#29976) @Janpot
- [GlobalStyles] Fix `theme` type (#30072) @mnajdova
- [Grid] Fix grid items to respond to the container's responsive columns (#29715) @kkorach
- [TextField] Fix missing space before asterisk in `OutlinedInput`'s label (#29630) @alisasanib
- [Transition] Allow any valid HTML attribute to be passed (#29888) @Janpot
- [types] Fix discrepancy between core and system `ThemeOptions` (#30095) @fmeum
- [InputBase] Add prop for disabling global styles (#29213) @bryan-hunter
- [Select] Improve multiple logic (#30135) @ladygo93

### `@mui/system@5.2.4`

- [system] Don't transition when re-appearing (#30108) @eps1lon
- [system] Add `not` operator to `breakpoints` (#29311) @Philipp000

### `@mui/base@5.0.0-alpha.60`

- [BadgeUnstyled] Make it conformant with other base components (#30141) @mnajdova

### `@mui/icons-material@5.2.4`

- [icons] Correct location of icon download folder (#29839) @yaboi

### Docs

- [docs] Explain the use of Select's label in FormControl (#30189) @michaldudak
- [docs] Don't run nprogress on shallow routing (#30087) @Janpot
- [docs] Add Data Driven Forms to related projects (#30078) @rvsia
- [docs] Sync translations with Crowdin (#30067) @l10nbot
- [docs] Fix link on "Custom variables" section in the Theming page #30100 @danilo-leal
- [docs] Fix justifyContent option in the Grid interactive demo (#30117) @danilo-leal
- [docs] Add tip to help access the docs of a previous version when finding answers in Stack Overflow (#30101) @danilo-leal
- [docs] Fix import example inside Unstyled Backdrop section (#30098) @TheodosiouTh
- [survey] Remove survey promotion items (#30122) @danilo-leal

### Core

- [core] Fix link to Open Collective @oliviertassinari
- [core] Update snapshots and s3 fallback (#30134) @Janpot
- [ci] Update CI bucket (#30080) @Janpot
- [fix] size:snapshot for mui-material-next and mui-joy components (#30106) @Janpot

All contributors of this release in alphabetical order: @alisasanib, @bryan-hunter, @danilo-leal, @eps1lon, @fmeum, @Janpot, @kkorach, @l10nbot, @ladygo93, @michaldudak, @mnajdova, @oliviertassinari, @Philipp000, @rvsia, @TheodosiouTh, @yaboi

## 5.2.3

<!-- generated comparing v5.2.2..master -->

_Dec 6, 2021_

A big thanks to the 25 contributors who made this release possible. Here are some highlights ✨:

- ✨ We have introduced a new unstyled component in `@mui/base`: `TablePagination` (#29759) @mnajdova

  <a href="https://mui.com/components/tables/#unstyled-table"><img width="800" alt="unstyled table" src="https://user-images.githubusercontent.com/4512430/144862194-584356ef-7d9d-462c-a631-186a7e716193.png"></a>

  You can follow our progress with unstyled components at https://github.com/mui/base-ui/issues/10.

- 🎉 We have added an example of how to use MUI with [Remix](https://remix.run/) (#29952) @mnajdova

- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.2.3`

- [Accordion] Add a test for handling `square` prop (#29972) @daniel-sachs
- [Alert] Fix `square` Paper prop (#30027) @ZeeshanTamboli
- [AvatarGroup] Allow specifying total number of avatars (#29898) @eduardomcv
- [Button] Fix regression from context API (#29982) @siriwatknp
- [Grid] Fix generated classes for `spacing` prop when the value is object (#29880) @jayeclark
- [Select] Should not crash when an empty array is passed with `multiple` enabled (#29957) @Domino987

### `@mui/system@5.2.3`

- [system] Fix return type of `createBox` (#29989) @mnajdova
- [system] Support boolean values in TypeScript for the `sx` prop when used as array (#29911) @tasugi

### `@mui/utils@5.2.3`

- [utils] Add typings for `@mui-material/styles/cssUtils` (#29621) @Semigradsky

### `@mui/icons-material@5.2.1`

- [icons] Consolidate ignored icons into one list (#29843) @chao813

### `@mui/base@5.0.0-alpha.59`

- [base] Fix missing ClickAwayListener barrel index export (#30000) @oliviertassinari
- [TablePaginationUnstyled] Introduce new component (#29759) @mnajdova

### `@mui/lab@5.0.0-alpha.59`

- [DateRangePicker] Fix `DateRangePickerDayProps` interface (#29067) @jonathanrtuck
- [Pickers] Remove propagation of custom props to the `MonthPicker` component's DOM element (#30021) @ZeeshanTamboli
- [StaticDatePicker] Add className and slot to PickerStaticWrapper (#29619) @kkorach

### `@mui/joy@5.0.0-alpha.5`

- [Joy] Theme setup (#29846) @siriwatknp

### Docs

- [docs] Fix link in TypeScript doc page (#30044) @genzyy
- [docs] Remove the 'WIP' icon from the 'Group & Pivot' page title (#30077) @flaviendelangle
- [docs] Add warning that `@mui/styled-engine-sc` does not work in SSR (#30026) @mnajdova
- [docs] Add section for CSS specificity in the migration guide (#30008) @hbjORbj
- [docs] Clarify comment in migration doc (#30076) @hbjORbj
- [docs] Sync translations with Crowdin (#30041) @l10nbot
- [docs] Explain how Paper changes shade in dark mode (#30003) @michaldudak
- [docs] Update nextjs-typescript-example (#29974) @huydhoang
- [docs] Add missing global state classes to API docs generator (#29945) @michaldudak
- [docs] Fix benchmarks folder link (#29981) @fourjr
- [docs] Improve wording in Stack Overflow section of support page (#29956) @ronwarner
- [docs] Remove Black Friday sale notification (#29936) @mbrookes
- [examples] Fix typos in the Remix example (#30071) @MichaelDeBoey
- [examples] Add Remix example (#29952) @mnajdova
- [examples] Fix lint issue for displayName missing in the Next.js examples (#29985) @ZeeshanTamboli
- [Stack] Document system props in Stack API (#30069) @ThewBear
- [survey] Add a banner and card for promoting the 2021 survey (#29950) @danilo-leal

### Core

- [core] Batch small changes (#30042) @oliviertassinari
- [core] Transition to a new Stack Overflow tag (#29967) @oliviertassinari

All contributors of this release in alphabetical order: @chao813, @daniel-sachs, @danilo-leal, @Domino987, @eduardomcv, @flaviendelangle, @fourjr, @genzyy, @hbjORbj, @huydhoang, @jayeclark, @jonathanrtuck, @kkorach, @l10nbot, @mbrookes, @MichaelDeBoey, @michaldudak, @mnajdova, @oliviertassinari, @ronwarner, @Semigradsky, @siriwatknp, @tasugi, @ThewBear, @ZeeshanTamboli

## 5.2.2

<!-- generated comparing v5.2.1..master -->

_Nov 29, 2021_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- ♿️ Improved accessibility of `Snackbar` and `TextField` in `@mui/material` (#29782) (#29850) (#29852) @eps1lon.
- 🎉 Added support for `sx` syntax inside `styled()` utility (#29833) @mnajdova.
- 🎉 Added support for more options for `createCssVarsProvider` in `@mui/system` (#29845) (#29857) @hbjORbj.
- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.2.2`

- [MenuList] Add component prop (#29882) @Harshikerfuffle
- [Snackbar] Interrupt auto-hide on keyboard interaction (#29852) @eps1lon
- [Snackbar] Dismiss on Escape press (#29850) @eps1lon
- [TextField] Associate accessible name and description by default (#29782) @eps1lon

### `@mui/joy@5.0.0-alpha.4`

- [Joy] Add `Button` - 1st iteration (#29464) @siriwatknp

### `@mui/codemod@5.2.1`

- [codemod] Fix alias import for box-sx-prop (#29902) @siriwatknp

### `@mui/system@5.2.2`

- [system] CSSVarsProvider cleans up `html[style]` when unmounting (#29946) @eps1lon
- [system] Add support for `disableTransitionOnChange` in `createCssVarsProvider` (#29857) @hbjORbj
- [system] Add support for `enableColorScheme` in `createCssVarsProvider` (#29845) @hbjORbj

### `@mui/utils@5.2.2`

- [useId] Trade random collisions for collisions on overflow (#29781) @eps1lon
- [useIsFocusVisible] Convert to TypeScript (#29779) @eps1lon

### Docs

- [docs] Fix v5-beta confusing example description (#29932) @oliviertassinari
- [docs] Apply the z-index on the right DOM element (#29934) @oliviertassinari
- [docs] Improve git diff format (#29935) @oliviertassinari
- [docs] Fix typo (#29866) @sinclairity
- [docs] Fix key display (#29933) @oliviertassinari
- [docs] Fix outdated link to next/link docs (#29937) @radlinskii
- [docs] Add how to pass `sx` prop (#29905) @siriwatknp
- [docs] Fix typo in notifications @mbrookes
- [docs] Black Friday sale notification @mbrookes

### Core

- [core] Remove dead code (#29940) @oliviertassinari
- [core] Move benchmark CI job from AZP to CircleCI (#29894) @eps1lon
- [core] Fix PR detection pattern in test_bundle_size_monitor (#29895) @eps1lon
- [test] Fix browser tests (#29929) @eps1lon
- [test] Reject shorthand properties in style matchers (#29893) @eps1lon

All contributors of this release in alphabetical order: @danilo-leal, @eps1lon, @Harshikerfuffle, @hbjORbj, @mbrookes, @oliviertassinari, @radlinskii, @sinclairity, @siriwatknp

## 5.2.1

<!-- generated comparing v5.2.0..master -->

_Nov 25, 2021_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:

This is an early release to fix `export 'useId' (imported as 'React') was not found in 'react'` when bundling code depending on MUI Core.

- [AppBar][docs] Add a fully responsive demo to docs (#29829) @karakib2k18
- [core] Fix PR run detection in test_bundle_size_monitor (#29879) @eps1lon
- [core] Move bundle size monitoring to CircleCI (#29876) @eps1lon
- [docs] Add keys to Responsive AppBar demo (#29884) @mbrookes
- [docs] MUI's 2021 Developer Survey (#29765) @prakhargupta1
- [docs] Smoother image loading UX (#29858) @oliviertassinari
- [Select] Fix select display value with React Nodes (#29836) @kegi
- [system] Add `experimental_sx` utility (#29833) @mnajdova
- [test] Ignore "detected multiple renderers" warning for now (#29854) @eps1lon
- [useMediaQuery][utils] Remove usage of React 18 APIs (#29870) @eps1lon

All contributors of this release in alphabetical order: @eps1lon, @karakib2k18, @kegi, @mbrookes, @mnajdova, @prakhargupta1, @oliviertassinari

## 5.2.0

<!-- generated comparing v5.1.1..master -->

_Nov 23, 2021_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🧪 Created another unstyled component: [TabsUnstyled](https://mui.com/components/tabs/#unstyled) (#29597) @mnajdova.
- 🎉 Updated the Material Icons set with the latest changes from Google (#29328) @michaldudak / (#29818) @chao813.
  This update adds 200 new icons and tweaks the appearance of many more.
  With it, we're getting close to having 2000 icons in our set.
- 🐛 Fixed bugs and improved the infrastructure and documentation 📚.

### `@mui/material@5.2.0`

- [IconButton] Remove on hover effect when `disableRipple` is set (#29298) @adamfitzgibbon
- [i18n] Add the amharic language (#29153) @NatiG100
- [material] Fix types for `variants.style` to accept callbacks (#29610) @mnajdova
- [Popper] Simplify prop types (#29680) @michaldudak
- [Select] Include aria-selected=false when option not selected (#29695) @michaldudak
- [useMediaQuery] Fix crash in Safari < 14 and IE 11 (#29776) @eps1lon
- [useMediaQuery] Ensure no tearing in React 18 (#28491) @eps1lon

### `@mui/codemod@5.2.0`

- [codemod] Fix `jss-to-styled` to support multiple withStyles (#29824) @siriwatknp

### `@mui/icons-material@5.2.0`

- [icons] Sync new Google Material Icons (#29818) @chao813
- [icons] Sync recent Material Icons from Google (#29328) @michaldudak

### `@mui/system@5.2.0`

- [Box] Fix `sx` prop runtime issue when used as function (#29830) @mnajdova
- [system] Fix `sx` throw error when value is `null` or `undefined` (#29756) @siriwatknp
- [system] Fix minor CssVars issues (#29747) @siriwatknp

### `@mui/styled-engine@5.2.0`

- [styled-engine] Fix props inference in styled-engine (#29739) @Janpot

### `@mui/base@5.0.0-alpha.56`

- [FormControlUnstyled] `focused` is always false unless explicitly set to `true` @mwilkins91
- [TabsUnstyled] Introduce new component (#29597) @mnajdova

### `@mui/lab@5.0.0-alpha.56`

- [DatePicker][timepicker] Add missing component declarations (#29517) @longzheng
- [Masonry] exports from root package (#29754) @abhinav-22-tech
- [pickers] Widen accepted `luxon` version range (#29761) @eps1lon

### Docs

- [blog] MUI X v5 blog post (#29590) @DanailH
- [blog] Polish the Benny Joo joins MUI post (#29697) @oliviertassinari
- [changelog] Explain why we do breaking changes @oliviertassinari
- [core] Update latest issue template for codesandbox CI (#29783) @eps1lon
- [core] Ensure `@mui/core` is an alias for `@mui/base` (#29762) @eps1lon
- [docs] Fix broken Next and Previous links (#29711) @scallaway
- [docs] Add a note that ToggleButton exclusive does not enforce selection (#29812) @mmacu
- [docs] Update the list of supported locales (#29831) @michaldudak
- [docs] Update tooltip doc to better define touch action (#29717) @gnowland

### Core

- [test] Allow debugging with Chrome and VS Code inspector (#29777) @eps1lon
- [test] Use renderer clock instead of custom useFakeTimers call (#29778) @eps1lon
- [test] Only mock Date in regression tests (#29763) @eps1lon
- [test] Disable nightly integration tests on `next` branch (#29748) @eps1lon
- [test] Allow configuring clock directly from `createRenderer` (#29684) @eps1lon
- [test] Accept backslashes as path separators in test CLI (#29694) @michaldudak
- [utils] Use built-in hook when available for useId (#26489) @eps1lon

All contributors of this release in alphabetical order: @abhinav-22-tech, @adamfitzgibbon, @bharatkashyap, @chao813, @DanailH, @danilo-leal, @eps1lon, @gnowland, @Janpot, @longzheng, @michaldudak, @mmacu, @mnajdova, @mwilkins91, @NatiG100, @oliviertassinari, @scallaway, @siriwatknp

## 5.1.1

<!-- generated comparing v5.1.0..master -->

_Nov 16, 2021_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🛠 Renamed `@mui/core` to `@mui/base` (#29585) @michaldudak.
- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.1.1`

- [Breadcrumbs][divider] Replace decimal spacing values with integers and css calc (#29526) @anikcreative
- [Select][nativeselect] Add `multiple` class (#29566) @aaronholla
- [Popper] Split into PopperUnstyled and Popper (#29488) @michaldudak
- [Select] Make it clear that `Select` is not a root component (#29593) @hbjORbj
- [l10n] Improved Dutch (nl-NL) locale (#29592) @flipvrijn
- [Table] Improve pagination range, use "en dash" over "hyphen" (#29579) @narekmal

### `@mui/base@5.0.0-alpha.55`

#### Breaking changes

- [core] Rename mui/core to mui/base (#29585) @michaldudak

  Based on the results of the [poll](https://x.com/michaldudak/status/1452630484706635779) and our internal discussions, we decided to rename the `@mui/core` package to `@mui/base`. The main rationale for this is the fact that we use the term "Core" to refer to the core components product family, the one that includes Material Design components, unstyled components, System utilities, etc. Therefore, @mui/core was effectively a subset of MUI Core. This was confusing.

  The new name better reflects the purpose of the package: it contains unstyled components, hooks, and utilities that serve as a **base** to build on.

  ```diff
  -import { useSwitch } from '@mui/core/SwitchUnstyled';
  +import { useSwitch } from '@mui/base/SwitchUnstyled';
  ```

### `@mui/lab@5.0.0-alpha.55`

- [LoadingButton] Text variant spacing fixed for both start and end (#29194) @joshua-lawrence
- [Masonry] Check if container or child exists to prevent error (#29452) @hbjORbj

### Docs

- [docs] Correct bundler configuration for using legacy Material UI build (#29146) @petermikitsh
- [docs] Fix typo on autocomplete.md (#29570) @netizer
- [docs] Fix dark mode on branding pages (#29611) @alexfauquette
- [docs] Do not render CSS section in API docs navbar if there are no CSS classes (#29622) @ZeeshanTamboli
- [docs] Fix link locale handling (#29624) @oliviertassinari
- [docs] Fix Search navigation (#29623) @oliviertassinari
- [docs] Fix broken link & update MUI packages explanation (#29583) @siriwatknp
- [docs] Do not repeat language snippet in url in Algolia search (#29483) @hbjORbj
- [docs] Update `ThemeProvider` API link (#29573) @siriwatknp
- [docs] Remove svg logos from the Support page (#29431) @oliviertassinari
- [docs] Link UXPin integration (#29422) @oliviertassinari
- [docs] Link to the new public roadmap for the design kits (#29433) @oliviertassinari
- [docs] correct bundler configuration for using legacy Material UI build (#29146) @petermikitsh
- [blog] Support many authors in markdown pages (#29633) @m4theushw

### Core

- [core] Add `experiments` index page (#29582) @siriwatknp
- [core] Move s3 bucket ownership to mui-org (#29609) @eps1lon
- [core] Improve support request message (#29614) @mnajdova
- [core] Use support request GitHub Action (#29594) @mnajdova
- [core] Remove unused `getJsxPreview` util (#29586) @ZeeshanTamboli
- [core] Use GitHub issue forms (#28038) @oliviertassinari
- [core] Add playground (#29423) @oliviertassinari
- [test] Correctly identify what the `raf` helper is for (#29683) @eps1lon
- [test] Verify a quilted ImageList is created as test title suggests (#29565) @daniel-sachs
- [test] Replace `createServerRender` with `createRenderer` (#29503) @eps1lon
- [test] Always ignore "useLayoutEffect has no effect on the server"-warning (#29502) @eps1lon
- [test] Restore StrictMode by default (#29589) @eps1lon
- [test] createPickerRender -> createPickerRenderer (#29575) @eps1lon
- [test] Allow experimental CLI to run exact test (#29685) @eps1lon

All contributors of this release in alphabetical order: @aaronholla, @alexfauquette, @anikcreative, @daniel-sachs, @eps1lon, @flipvrijn, @hbjORbj, @joshua-lawrence, @michaldudak, @mnajdova, @netizer, @oliviertassinari, @petermikitsh, @siriwatknp, @ZeeshanTamboli

## 5.1.0

<!-- generated comparing v5.0.6..master -->

_Nov 8, 2021_

A big thanks to the 33 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Support custom elements under `ButtonGroup` (#28645) @ZeeshanTamboli
- 🛠 Add support for arrays in the `sx` prop (#29297) @siriwatknp
- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.1.0`

- [Autocomplete] Fix `hiddenLabel` prop of `TextField variant={filled}` inside Autocomplete (#29234) @jatinsandilya
- [Box] Support generateClassName and defaultClassName (#29347) @siriwatknp
- [ButtonGroup] Fix variant outlined always has primary color borders on hover (#29487) @ZeeshanTamboli
- [ButtonGroup] Support different elements under ButtonGroup (#28645) @ZeeshanTamboli
- [CssBaseline] Add `enableColorScheme` prop so enable using `color-scheme` property to deal with dark mode (#29454) @alexfauquette
- [FormControlLabel] Narrow the label type (#29324) @michaldudak
- [Grid] Fix usage when columns > 12 (#29196) @tanay123456789
- [InputBase] Do not repeat the same classname (#29353) @hbjORbj
- [InputBase] Remove WebkitAppearance from search type (#29383) @nicbarajas
- [ListItem] Add missing exports (#29571) @robcaldecott
- [Pagination] Allow customization of icons (#29336) @mbeltramin
- [TextField] Fix bootstrap, normalize.css, sanitize.css conflicts (#28674) @ChrisClaude
- [TextField] Fix invisible wrap within notched inputs (#29088) @DASPRiD
- [Tooltip] `open` prop in `componentsProps.popper` can be optional (#29370) @ZeeshanTamboli
- [Tooltip] Fix `className` not getting applied from PopperProps (#29023) @ZeeshanTamboli
- [useRadioGroup] Convert to TypeScript (#29326) @eps1lon

### `@mui/system@5.1.0`

- [system] Introduce `mode` to CssVarsProvider (#29418) @siriwatknp
- [system] Improve breakpoints resolver function (#29300) @hbjORbj
- [system] Add array support for `sx` prop (#29297) @siriwatknp

### `@mui/codemod@5.1.0`

- [codemod] Add codemod parser flag (#29059) (#29229) @ElonVolo

### `@mui/lab@5.0.0-alpha.54`

- [DatePicker] Fix disabled/readOnly for view components (#28815) @adamfitzgibbon
- [Masonry] Fix crash on unmount when using React 18 (#29358) @eps1lon
- [Masonry] Improve height computation and detect changes in `children` (#29351) @hbjORbj

### `@mui/joy@5.0.0-alpha.0`

- [Joy] Update default theme (#29478) @siriwatknp
- [Joy] Export CssVarsProvider with default theme (#29150) @siriwatknp
- [Joy] Remove `private` to leverage CodeSandbox (#29280) @siriwatknp

### Docs

- [docs] Add differences between styled and sx (#28685) @eric-burel
- [docs] Track usage of dark mode in Google Analytics (#29419) @oliviertassinari
- [docs] Remove create-mui-theme as it is no longer working (#29472) @IPJT
- [docs] Fix warnings in AppSearch (#29459) @eps1lon
- [docs] Add framework example for ClassNameGenerator (#29453) @siriwatknp
- [docs] Fix layout shift when scrolling (#29436) @oliviertassinari
- [docs] Fix layout-shift on id='main-content' (#29425) @oliviertassinari
- [docs] Remove usage of `process.browser` (#29438) @oliviertassinari
- [docs] Add instruction on how to use the child selector API with emotion (#29350) @mnajdova
- [docs] Fix small typos (#29424) @oliviertassinari
- [docs] Fix TOC highlighting logic (#29435) @oliviertassinari
- [docs] Fix about page flags (#29314) @mbrookes
- [docs] Fix Box JS docs (#29282) @Pablion
- [docs] Update storybook section in migration to v5 docs (#28800) @siriwatknp
- [docs] Document how to enable color on dark mode (#29340) @Wimukti
- [docs] Display search functionality in all viewports (#28819) @eps1lon
- [docs] Query heading for ToC on demand (#29204) @eps1lon
- [docs] Add next.js styled-component guide and update links to example (#29118) @Jareechang
- [docs] Fix overriding `MuiTextField`'s default props in the migration guide (#29174) @tm1000
- [docs] Fix "clickable" and "deletable" typos (#28702) @jacklaurencegaray
- [docs] Update migration-v4 docs for wrong import path (#29042) @busches
- [docs] Add GitHub icon change to "Migration from v4 to v5" guide (#29182) @dan-mba

### Core

- [core] Handle RecordType and FieldType in generatePropDescription.ts (#29467) @flaviendelangle
- [core] Convert a named color to lowercase (#29465) @ainatenhi
- [core] Allow to reuse functions from `docs:api` (#28828) @m4theushw
- [core] Commit new nextjs 12 tsconfig (#29458) @eps1lon
- [core] Settle on MUI X for the official name (#29420) @oliviertassinari
- [core] Add mui as a npm keyword (#29427) @oliviertassinari
- [core] Fix issue template redirection (#29432) @oliviertassinari
- [core] Remove unecessary destructuration (#29354) @oliviertassinari
- [core] Use cross-env to set env variables in material-icons scripts (#29327) @michaldudak
- [core] Don't bump peer dependency ranges on dependency updates (#29303) @eps1lon
- [test] Fix browser tests (#29505) @eps1lon
- [test] Fix missing act warnings in latest React 18 alpha (#29357) @eps1lon
- [test] Replace `createClientRender` with new `createRenderer` API (#29471) @eps1lon
- [test] Fix possible "missing act" warning (#29463) @eps1lon
- [test] Remove render#baseElement (#29462) @eps1lon
- [test] Expose `AbortController` on global (#29360) @eps1lon
- [test] Add internal test for uniqe `name` in `Rating` (#29329) @eps1lon
- [test] Fix browser tests (#29305) @eps1lon

All contributors of this release in alphabetical order: @adamfitzgibbon, @ainatenhi, @alexfauquette, @busches, @ChrisClaude, @dan-mba, @DanailH, @danilo-leal, @DASPRiD, @ElonVolo, @eps1lon, @eric-burel, @flaviendelangle, @gssakash, @hbjORbj, @IPJT, @jacklaurencegaray, @Jareechang, @jatinsandilya, @m4theushw, @mbeltramin, @mbrookes, @michaldudak, @mnajdova, @nicbarajas, @oliviertassinari, @Pablion, @robcaldecott, @siriwatknp, @tanay123456789, @tm1000, @Wimukti, @ZeeshanTamboli

## 5.0.6

<!-- generated comparing v5.0.5..master -->

_Oct 27, 2021_

A big thanks to the 4 contributors who made this release possible. Here are some highlights ✨:

- 🔧 Fix reported TypeScript issues on the `@mui/system` package because some packages were not released

### `@mui/material@5.0.6`

- [Autocomplete] Fix `clearOnBlur` prop (#29208) @hbjORbj
- [Rating] Remove z-index from decimal stars (#29295) @williamhaley

### `@mui/system@5.0.6`

- [system] Fix various issues reported by using @mui/styled-engine-sc (#29035) @mnajdova
- [system] Fix executing server-side Emotion component as function interpolation (#29290) @Andarist

### Docs

- [blog] Q3 2021 Update (#28970) @oliviertassinari

All contributors of this release in alphabetical order: @Andarist, @hbjORbj, @oliviertassinari, @williamhaley

## 5.0.5

<!-- generated comparing v5.0.4..master -->

_Oct 26, 2021_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🔧 Implement `Masonry` using Flexbox by @hbjORbj.
- 🧪 Add three components to `@mui/base` by @rebeccahongsf and @hbjORbj.

### `@mui/codemod@5.0.5`

- [codemod] Support new package name in `link-underline-hover` transformer (#29214) @siriwatknp

### `@mui/base@5.0.0-alpha.52`

- [ClickAwayListener] Move to the core package (#29186) @hbjORbj
- [Popper] Move from mui-material to mui-base (#28923) @rebeccahongsf
- [TextareaAutosize] Move to the core package (#29148) @hbjORbj

### `@mui/lab@5.0.0-alpha.52`

- [Masonry] Improve demo styles (#29218) @hbjORbj
- [Masonry] Implement Masonry using Flexbox (#28059) @hbjORbj

### `@mui/icons@5.0.5`

- [icons] Add TipsAndUpdates icon (#29004) @hbjORbj

### `@mui/material@5.0.5`

- [CardMedia] Apply specified `img` role instead of custom `image` role (#29172) @eps1lon
- [CSSBaseline] Remove incorrect @deprecated annotation (#29069) @adamfitzgibbon
- [Grid] Support custom columns with nested grid (#28743) @Devesh21700Kumar
- [InputBase] Remove wrong theme overriding with MUI's default theme (#29157) @hbjORbj
- [LoadingButton] Fix `fullWidth` styling (#28652) @nikitabobers
- [Popper] make Popper display:none whenever it's closed (#29233) @adamfitzgibbon
- [Menu] Reduce min-height & padding in menu-item with dense property (#29180) @jatinsandilya
- [Tab] `iconPosition` prop added in Tab (#28764) @deepanshu2506
- [Tooltip] Correct inconsistent prop precedence (#29132) @michaldudak

### `@mui/system@5.0.5`

- [system] Allow function type for `sx` prop (#29198) @hbjORbj
- [system] Fix various issues reported by using @mui/styled-engine-sc (#29035) @mnajdova
- [system] Fix `colorScheme` conflict between application (#29139) @siriwatknp
- [system] Add `unstable_createCssVarsProvider` api (#28965) @siriwatknp

### Documentation

- [docs] Fix path to `DataGrid` CSV export options page (#29220) @DanailH
- [docs] Give anonymous components a name (#29189) @eps1lon
- [docs] Add deploy context variables (#29195) @siriwatknp
- [docs] Add MUI packages explanation (#29073) @siriwatknp
- [docs] Fix typo in CSP policy (#29187) @JuliaNeumann
- [docs] Dark mode conditional content rendering (#28665) @michal-perlakowski
- [docs] Fix ClassNameGenerator introduced version #29177 @siriwatknp
- [docs] Add missing `justifyContent` values and update box styling (#29117) @omarmosid
- [docs] Make landing page hero section scrollable (#29141) @waxidiotic
- [docs] Discourage importing different bundles directly (#29133) @eps1lon
- [docs] Update module augmentation reference url (#29064) @gnowland
- [pricing] Add tooltip to pricing icon (#28959) @siriwatknp
- [Team] Add Alexandre in the about page (#29289)

### Core

- [core] Order repro methods by preference (#29156) @eps1lon
- [core] Remove unnecessary usages of `useEventCallback` (#28910) @NMinhNguyen
- [core] add `unstable_ClassNameGenerator` API (#29051) @siriwatknp
- [core] Fix issues when using styled-components (#29048) @mnajdova
- [core] replace hard-coded classname with classes (#29070) @siriwatknp
- [test] Add documentation for visual regression tests (#29154) @eps1lon
- [test] Enable "missing act" warnings using new proposal (#29167) @eps1lon

All contributors of this release in alphabetical order: @adamfitzgibbon, @DanailH, @deepanshu2506, @Devesh21700Kumar, @eps1lon, @gnowland, @hbjORbj, @jatinsandilya, @JuliaNeumann, @LorenzHenk, @michal-perlakowski, @michaldudak, @mnajdova, @nikitabobers, @NMinhNguyen, @omarmosid, @rebeccahongsf, @siriwatknp, @waxidiotic

## 5.0.4

<!-- generated comparing v5.0.3..master -->

_Oct 14, 2021_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🧪 Added `UnstyledInput` and `useInput` hook in the the first component in @mui/base package @michaldudak (#28053)
- 🐛 Fixed many bugs and improved the documentation 📚.

### `@mui/material@5.0.4`

- [Chip] disable ripple only if onDelete is present. (#29034) @mottox2
- [Pagination] Fix clicking on `...` triggering `onChange` with page value `null` (#28884) @ZeeshanTamboli
- [Tabs] Alternative way to disable ":first-child is unsafe" error (#28982) @hbjORbj
- [Tabs] Fix ":first-child is potentially unsafe" error (#28890) @hbjORbj
- [transitions] Mark `children` as required where nullish `children` would crash at runtime (#29028) @eps1lon

### `@mui/system@5.0.4`

- [system] Update typing for `style` function (#28744) @hbjORbj

### `@mui/base@5.0.0-alpha.51`

- [InputUnstyled] Create unstyled input and useInput hook (#28053) @michaldudak

### `@mui/lab@5.0.0-alpha.51`

- [DesktopDatePicker] add Paper props to pass down to Paper component (#28865) @amen-souissi

### Docs

- [docs] Add JSDoc to `theme.breakpoints` (#29039) @eps1lon
- [docs] Rename broken package names in docs pointing to `@mui/material` (#29006) @visualfanatic
- [docs] Add troubleshooting guide for unexpected styles (#28907) @mnajdova
- [docs] Fix issues reported by ahref (#28986) @mnajdova
- [docs] Remove json translations for dropped locales (#28987) @mnajdova
- [docs] Fix type signature of renderGroup in Autocomplete (#28876) @tanyabouman
- [docs] Minor typo in v4-v5 migration docs (#28995) @kgregory
- [docs] Add `mui-image` related project (#28621) @benmneb
- [docs] Update Getting Started Templates' Source URIs (#28929) @epodol
- [docs] Improve search experience (#28801) @siriwatknp
- [docs] Fix demo of the responsive drawer (#28226) @goncalovf
- [docs] Fix global theme link demo (#28974) @ZeeshanTamboli
- [docs] Update box example to use 'backgroundColor' rather than 'bgColor' (#28958) @Jareechang
- [docs] corrected `Box` import for `sx-prop` example (#28873) @phudekar
- [docs] Fix footnote ID links in CONTRIBUTING.md (#28849) @officialpiyush
- [docs] Fix color & density playground (#28803) @siriwatknp
- [docs] Improve visibility of styled engine configuration section in installation guide (#28903) @Jareechang

### Core

- [core] Prevent yarn cache growing infinitely (#29040) @eps1lon
- [core] Update browserslist (#29025) @eps1lon
- [core] Update `peerDependencies` to require `latest` instead of `next` (#29007) @eps1lon
- [core] Increase memory limit for size:snapshot (#29005) @eps1lon
- [core] Init `private` Joy package (#28957) @siriwatknp
- [test] Remove a11y snapshot tests (#28887) @eps1lon

All contributors of this release in alphabetical order: @amen-souissi, @benmneb, @epodol, @eps1lon, @goncalovf, @hbjORbj, @Jareechang, @kgregory, @michaldudak, @mnajdova, @mottox2, @officialpiyush, @phudekar, @siriwatknp, @tanyabouman, @visualfanatic, @ZeeshanTamboli

## 5.0.3

<!-- generated comparing v5.0.2..master -->

_Oct 7, 2021_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🧪 Created the first component in @mui/material-next - our v6 prototype package.
- 🐛 Fixed many bugs and improved the documentation 📚.

### `@mui/material@5.0.3`

- [Stack] Add props & variants types in the theme (#28843) @mnajdova
- [InputLabel] Fix condition for applying formControl overrides (#28707) @yevheniiminin
- [Tooltip] Allow overriding internal components and their props (#28692) @michaldudak
- [transitions] Fix `addEndListener` not being called with the DOM node (#28715) @eps1lon

### `@mui/codemod@5.0.3`

- [codemod] Fix `optimal-imports` to support v4 and v5-alpha, beta (#28812) @siriwatknp

### `@mui/system@5.0.3`

- [system] Add padding/margin-block/inline to spacing (#28813) @smmoosavi

### `@mui/styled-engine-sc@5.0.3`

- Don't allow styled-components APIs on mui styled function (#28807) @hbjORbj

### `@mui/base@5.0.0-alpha.50`

- [ButtonUnstyled] Don't set redundant role=button (#28488) @michaldudak
- [SliderUnstyled] Prevent unknown-prop error when using marks prop (#28868) @hbjORbj

### `@mui/lab@5.0.0-alpha.50`

- [pickers] Change view even if `onViewChange` is set (#28765) @eps1lon

### `@mui/material-next@6.0.0-alpha.4`

- [Button-next] Create Button in material-next (#28313) @michaldudak

### Docs

- [docs] Add alike v4 default button color in migration (#28881) @siriwatknp
- [docs] Use PNG instead of SVG for color preview (#28699) @eps1lon
- [docs] Use client-side navigation when activating docsearch results (#28750) @eps1lon
- [docs] Fluid icon size in icons search (#28747) @eps1lon
- [docs] Fix the wrong import in docs grid page (#28863) @taghi-khavari
- [docs] Fix typo in Pagination docs (#28864) @ZeeshanTamboli
- [docs] Fix 404 links (#28710) @mnajdova
- [docs] Fix typo in Mui CSS classname (#28725) @cacpgomes
- [docs] Match example to codesandbox demo and update ID link (#28762) @AnilSeervi
- [docs] Fix typo in system/box documentation (#28822) @iamsergo
- [docs] Use HTML standards for autocomplete attributes (#28827) @epodol
- [docs] Improve styled-components integration (#28713) @mnajdova
- [docs] Correct Select's menu placement description (#28748) @michaldudak
- [docs] AdapterDayJS -> AdapterDayjs (#28770) @veerreshr
- [docs] Theme documentation, typo fix (#28805) @saeedseyfi
- [docs] Add the last diamond sponsor (#28737) @hbjORbj
- [docs] Fix various links in CONTRIBUTING (#28751) @AnilSeervi
- [docs] Only add JSS to demos (#28698) @eps1lon
- [docs] Update v5 status in release schedule (#28700) @owais635
- [docs] Fix typo in /guides/styled-engine (#28720) @Sharry0
- [docs] Fix typo in chip documentation (#28641) @avranju94
- [docs] Fix versions page (#28682) @mnajdova
- [docs] Remove legacy team page (#28646) @mnajdova

### Core

- [core] Remove `--exact` from `release:version` (#28840) @siriwatknp
- [core] Neglect framer from release flow (#28680) @siriwatknp
- [test] Add a test for not allowing styled-components' APIs on mui `styled` function (#28862) @hbjORbj
- [test] Fix instances where type tests were only passing due to object being part of ReactNode (#28804) @eps1lon
- [test] Move ByMuiTest to test/utils (#28509) @eps1lon

All contributors of this release in alphabetical order: @AnilSeervi, @avranju94, @cacpgomes, @danilo-leal, @epodol, @eps1lon, @hbjORbj, @iamsergo, @michaldudak, @mnajdova, @owais635, @saeedseyfi, @Sharry0, @siriwatknp, @smmoosavi, @taghi-khavari, @veerreshr, @yevheniiminin, @ZeeshanTamboli

## 5.0.2

<!-- generated comparing v5.0.1..master -->

_Sep 29, 2021_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🔧 Improve `jss-to-styled` codemod to use new package names.
- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.0.2`

- [Checkbox] Fix form submission with empty value (#28423) @garronej
- [Slider] Don't error on minimal changes with readonly value (#28472) @eps1lon
- [Switch] Fix style overrides on input (#28576) @praveenkumar-kalidass
- [useMediaQuery] Add types for `matchMedia` option and deprecate exported interfaces (#28413) @eps1lon

### `@mui/codemod@5.0.2`

- [codemod] Add MenuItem v.1.0.0 transform for primaryText property (#28640) @dmitry-yudakov
- [codemod] Update the imports in `jss-to-styled` to match the new package names (#28667) @mnajdova

### `@mui/system@5.0.2`

- [system] Fix types to support theme callbacks on pseudo and nested selectors (#28570) @mnajdova

### Docs

- [docs] Remove languages: fr, de, ja, es, ru (#28663) @mnajdova
- [docs] Improve old doc versions discoverability (#28651) @danilo-leal
- [docs] Make the Toggle Button size demo use default icon size (#28656) @danilo-leal
- [docs] Uniformize the code's font family (#28582) @oliviertassinari
- [docs] Removed duplicate line in date-ranger-picker.md file (#28635) @naveen-bharathi
- [docs] Fix title MUI x2 (#28634) @oliviertassinari
- [docs] Polish email validation logic (#28255) @kiznick
- [docs] Improve migration-v4.md phrasing (#28253) @adamthewebguy
- [docs] Fix color in example (#28527) @alexeagleson
- [docs] Fix typo in generated class names section (#28549) @fxlemire
- [docs] Mention Premium pricing cap (#28581) @oliviertassinari
- [docs] Update examples to use latest mui #28565 @siriwatknp
- [docs] Push the fixes on Next.js's Link to the examples (#28178) @oliviertassinari
- [docs] Fix wrong name for zIndex's property example in /system/ (#28541) @chetrit
- [examples] Nextjs Link missing passHref #28588 (#28661) @Brlaney

### Core

- [core] Improve Renovate groups (#28642) @eps1lon
- [core] Batch small changes (#28553) @oliviertassinari
- [test] Document where the value for SwitchBase#value comes from (#28638) @eps1lon
- [test] Make `seconds` `views` test pass in browsers (#28511) @eps1lon

All contributors of this release in alphabetical order: @adamthewebguy, @alexeagleson, @Brlaney, @chetrit, @danilo-leal, @dmitry-yudakov, @eps1lon, @fxlemire, @garronej, @kiznick, @mnajdova, @naveen-bharathi, @oliviertassinari, @praveenkumar-kalidass, @siriwatknp

## 5.0.1

<!-- generated comparing v5.0.0..master -->

_Sep 22, 2021_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 🔎 Improve the search on the documentation.
- 📚 Improve the v4 to v5 migration guide.
- And many more 🐛 bug fixes and 📚 improvements.

### `@mui/material@5.0.1`

- [Radio] Fix support for number value type (#26772) @sakura90
- [useMediaQuery] Reduce bundle size (#28412) @eps1lon

### `@mui/codemod@5.0.1`

- [codemod] Cover edge case for theme-spacing #28400 @siriwatknp

### `@mui/lab@5.0.0-alpha.48`

- [DateTimePicker] Support `seconds` `view` (#25095) @breitembach
- [TimePicker] Fire change event when meridiem changes (#26600) @coder-freestyle

### Docs

- [docs] Fix missing exit animation for transition Poppers (#28506) @eps1lon
- [docs] Fix migration v5 docs (#28530) @siriwatknp
- [docs] Avoid re-mounting the whole tree when switching theme direction (#28495) @eps1lon
- [docs] Fix html compliance (#28429) @oliviertassinari
- [docs] Use hyphen-case for CSS properties in /system/properties (#28489) @chetrit
- [docs] Update caret position in comments to match npm scope (#28426) @eps1lon
- [docs] Fix CONTRIBUTING to point out to master as targeted branch (#28396) @mnajdova
- [docs] Update examples to remove 'beta' (#28475) @oliviertassinari
- [docs] Fix 404 links to MUI X API (#28176) @oliviertassinari
- [docs] Fix broken/incorrect attributes links in Avatar and NativeSelect API pages (#28417) @xenostar
- [docs] Explain how `<Alert icon={false} />` behaves (#28348) @nguyenkhanhnam
- [docs] Fix typo in /system/the-sx-prop (#28393) @danwoods
- [docs] Correct the migration doc (#28391) @michaldudak
- [docs] Fix the notification display logic (#28389) @oliviertassinari
- [docs] Add notification for v5 @oliviertassinari
- [docs] Fix typo (#28521) @valse

### Core

- [core] Fix release:changelog base branch (#28533) @mnajdova
- [core] Remove code handling JSS components (#28421) @eps1lon
- [core] Remove unused dependencies (#28468) @eps1lon
- [core] Ensure both docs bundles are analyzeable (#28410) @eps1lon
- [core] Switch to webpack 5 (#28248) @eps1lon
- [core] Batch small changes (#28177) @oliviertassinari
- [core] Update publish tag to latest (#28382) @mnajdova
- [framer] Update @mui/\* dependencies (#28469) @eps1lon
- [test] Add custom queries to `screen` (#28507) @eps1lon
- [test] Run listChangedFiles against master (#28504) @eps1lon
- [test] Increase BrowserStack timeout for Firefox (#28476) @oliviertassinari
- [test] Use testing-library alpha when running React 18 tests (#28267) @eps1lon

All contributors of this release in alphabetical order: @breitembach, @chetrit, @coder-freestyle, @danilo-leal, @danwoods, @eps1lon, @hbjORbj, @michaldudak, @mnajdova, @nguyenkhanhnam, @oliviertassinari, @sakura90, @siriwatknp, @valse, @xenostar

## 5.0.0

<!-- generated comparing v5.0.0-rc.1..next -->

_Sep 16, 2021_

After over 400 days of development and over 40 canary releases, we are excited to introduce [MUI Core v5.0.0](https://mui.com/blog/mui-core-v5/)!

Some statistics with the released of v5.0.0 compared to the one of v4.0.0:

- 5,832 new commits
- From 2M downloads/month to 9.5M downloads/month on npm
- From 350k users/month to 700k users/month on the documentation

A big thanks to the 600+ contributors who made the release possible!

The 5.0.0 version includes all changes done in the alpha, beta, and rc releases listed below.
These are the changes done from the last release candidate version (5.0.0-rc.1):

### `@mui/material@5.0.0`

- [Autocomplete] Fix reset value on blur for freeSolo input (#28190) @praveenkumar-kalidass
- [ButtonBase] Revert to the pre-unstyled implementation (#28225) @michaldudak
- [Checkbox] Fix color proptype typo (#28265) @sydneyjodon-wk
- [Tooltip] Ensure user-select CSS property is reverted after touch end (#28372) @tholman

### `@mui/system@5.0.0`

- [system] Fix missing typings for createSpacing (#28361) @eps1lon

### `@mui/codemod@5.0.0`

- [codemod] Fix jss-to-styled to support other export class, function etc. (#28321) @jedwards1211

### `@mui/lab@5.0.0-alpha.46`

- [DateTimePicker] Change bottom position of AM/PM buttons (#27534) @nikitabobers
- [pickers] Add visual regression tests for open views (#28224) @eps1lon

### Docs

- [blog] Introducing MUI Core v5.0 (#27912) @oliviertassinari
- [docs] Fix quotes in font-face literal (#28260) @Aurelain
- [docs] Update redirects to X's docs (#28263) @m4theushw
- [docs] Change Material UI to MUI in the console (#28270) @mbrookes
- [docs] Docs redesign adjustments (#28203) @mnajdova
- [docs] How to compose theme in steps (#28246) @goncalovf
- [docs] Fix DataGrid demo console warning in Table docs (#28235) @ZeeshanTamboli
- [docs] Fix typo in v4 to v5 migration guide (#28353) @zadeviggers
- [docs] Fix typo in transition docs (#28312) @tamboliasir1
- [docs] Use https for material-ui & reactcommunity links (#28304) @aghArdeshir
- [docs] Add IBM Plex font locally (#28325) @siriwatknp
- [docs] Fix failing client-side navigation for /api routes (#28356) @eps1lon
- [docs] Update the nav order (#28323) @mbrookes
- [docs] Compress images with ImageOptim @oliviertassinari
- [docs] Replace remaining unstyled package reference (#28351) @michaldudak
- [docs] No import from react-router (#28329) @eps1lon

### Core

- [core] Replace Material UI with MUI (#28243) @mnajdova
- [core] Prepare for v5 stable release (#28240) @mnajdova
- [core] Mark lines that needs to be changed with a major release (#28238) @mnajdova
- [core] Various updates to what we consider the default branch (#28328) @eps1lon
- [core] Remove experimental bundle size tracking page (#28334) @eps1lon
- [core] Support release:build with cmd.exe (#28318) @michaldudak
- [core] Remove unnecessary titleize warning (#28349) @eps1lon
- [core] Batch small fixes (#28381) @oliviertassinari
- [test] Recommend yarn t over test:watch (#28254) @eps1lon
- [test] Lazily import fixtures (#28239) @eps1lon
- [test] Assert on user-select that has the same value across browsers (#28378) @eps1lon

All contributors of this release in alphabetical order: @aghArdeshir, @Aurelain, @eps1lon, @goncalovf, @jedwards1211, @m4theushw, @mbrookes, @michald
udak, @mnajdova, @nikitabobers, @praveenkumar-kalidass, @siriwatknp, @sydneyjodon-wk, @tamboliasir1, @tholman, @zadeviggers, @ZeeshanTamboli

## 5.0.0-rc.1

<!-- generated comparing v5.0.0-rc.0..next -->

_Sep 8, 2021_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 📚 Improved the codemod and migration guide for upgrading to v5
- 🐛 Fixed some bugs and regressions

### `@mui/material@5.0.0-rc.1`

- [Autocomplete] Fix virtualization regression (#28129) @oliviertassinari
- [Button] Use deeper imports from unstyled, correct docs (#28074) @michaldudak
- [ButtonBase] Fix ripple persisting on blur (#28186) @michaldudak
- [Link] Infer `ref` type from `component` (#28101) @eps1lon
- [Popper] Fix bundle size regression (#27910) @oliviertassinari
- [Select] Merge `ref` of `Select` and `input` element (#28054) @DouglasPds
- [Tabs] Improve error message formatting for invalid `value` (#28172) @eps1lon

### `@mui/system@5.0.0-rc.1`

- [system] Change type of return value of overridesResolver (#28220) @hbjORbj
- [system] Fix zero value condition (#28219) @siriwatknp
- [system] Shorten class names in production (#27932) @oliviertassinari

### `@mui/codemod@5.0.0-rc.1`

- [codemod] Fix various reported issues on `preset-safe` (#28183) @mnajdova

### `@mui/lab@5.0.0-alpha.46`

- [ClockPicker] Fix to narrow hover area for am hours in am/pm clock (#28207) @eps1lon
- [Masonry] Improve the styling on the demos (#27957) @hbjORbj
- [MasonryItem] Fix crash on unmount when using React 18 (#28202) @eps1lon

### Docs

- [docs] Fixes makeStyles migration example (#28213) @RomarQ
- [docs] Fix some outdated migration guide (#28222) @siriwatknp
- [docs] Update previews (#28223) @eps1lon
- [docs] Demo how to use a specific slide direction for Snackbar (#28211) @goncalovf
- [docs] Improve docs for creating dark theme (#28104) @mnajdova
- [docs] Don't use Material theme in unstyled demos (#28073) @michaldudak
- [docs] Fix api doc import example (#28199) @siriwatknp
- [docs] Remove demo for re-creating Material UI switches (#28042) @eps1lon
- [docs] Improve legibility of CTA on landing page (#28124) @akashshyamdev
- [docs] Fix Link outdated default underline prop (#28134) @outofgamut
- [docs] Fix branding theme leaking on the templates (#28120) @mnajdova
- [docs] Fix wrong package name in codemod (#28118) @aleccaputo
- [docs] Cancelled subscription @oliviertassinari
- [docs] Remove style duplication (#28087) @oliviertassinari
- [docs] Fix migration guide typo (#28113) @paullaros
- [docs] Reorder app bar actions (#28089) @mnajdova
- [docs] Support Material design theme in MarkdownElement (#28109) @eps1lon
- [docs] Improve diamond sponsors in the navigation (#28090) @mnajdova
- [docs] Remove unnecessary comma (#28072) @michaldudak

### Core

- [core] Misc bundle size tracking improvements (#28205) @eps1lon
- [core] Ensure code preview is valid JavaScript (#28215) @eps1lon
- [core] Create @mui/material-next package (#28200) @michaldudak
- [core] Rename directories to match the new package names (#28185) @mnajdova
- [core] Remove unused include (#28187) @eps1lon
- [core] Fix PR detection mechanism for upstream PRs (#28171) @eps1lon
- [core] Simplify ResizeObserver logic (#28037) @oliviertassinari
- [core] Include TS modules in rollup import resolution (#28094) @michaldudak
- [test] Update test to consider unsuppressed double render logs in React 18 (#28068) @eps1lon
- [typescript] Make types of componentsProps consistent (#27499) @michaldudak

All contributors of this release in alphabetical order: @akashshyamdev, @aleccaputo, @DouglasPds, @eps1lon, @goncalovf,
@hbjORbj, @michaldudak, @mnajdova, @oliviertassinari, @outofgamut, @paullaros, @RomarQ, @siriwatknp

## 5.0.0-rc.0

<!-- generated comparing v5.0.0-beta.5..next -->

_Sep 1, 2021_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Renamed packages to `@mui/*` as part of rebranding the company, following the strategy of expanding the library scope beyond Material Design. For more details about it, check the [GitHub discussion](https://github.com/mui/material-ui/discussions/27803).
- 🛠 Added `mui-replace` codemod for migrating `@material-ui/*` to new packages `@mui/*`. Check out this [codemod detail](https://github.com/mui/material-ui/blob/v5.0.0/packages/mui-codemod/README.md#mui-replace) or head to [migration guide](https://mui.com/material-ui/migration/migration-v4/#preset-safe)
- 🧪 Added new `<Mansory>` component to the lab, [check it out](https://mui.com/components/masonry/). It has been crafted by our first intern, @hbjORbj 👏!

### `@mui/material@5.0.0-rc.0`

#### Breaking changes

- [core] Rename packages (#28049) @mnajdova

  replace `@material-ui/*` prefix with `@mui/*`:

  ```bash
  @material-ui/system -> @mui/system
  @material-ui/styles -> @mui/styles
  @material-ui/lab -> @mui/lab
  @material-ui/types -> @mui/types
  @material-ui/styled-engine -> @mui/styled-engine
  @material-ui/styled-engine-sc ->@mui/styled-engine-sc
  @material-ui/private-theming -> @mui/private-theming
  @material-ui/codemod -> @mui/codemod
  ```

  except these 3 packages that are renamed.

  ```bash
  @material-ui/core => @mui/material        // represents Material Design components.
  @material-ui/icons => @mui/icons-material // represents Material Design icons.
  @material-ui/unstyled => @mui/base        // fully functional components with minimum styles.
  ```

  > **Note**: `@mui/base` (previously `@material-ui/unstyled`) is not the same as `@material-ui/core`.

  We encourage you to use the [codemod](https://github.com/mui/material-ui/blob/v5.0.0/packages/mui-codemod/README.md#mui-replace) for smooth migration.

#### Changes

- [Autocomplete] Update warning for `value` prop (#27977) @vedadeepta
- [ButtonGroup] Update PropTypes to match augmentable interface (#27944) @aaronlademann-wf
- [CardMedia] Add `image` role if `image` prop is specified but no image `component` is specified (#27676) @eps1lon
- [InputBase] Fix autofill issue (#28070) @mnajdova
- [Tabs] Fix indicator position when tab size changes (ResizeObserver) (#27791) @hbjORbj
- [TextareaAutosize] Sync height when the width of the textarea changes (#27840) @hbjORbj
- [ToggleButtonGroup] Add "disabled" prop (#27998) @chetas411
- [core] Export types for module augmentation (#28078) @m4theushw

### `@mui/base@5.0.0-alpha.45`

- [Button] Create ButtonUnstyled and useButton (#27600) @michaldudak

### `@mui/lab@5.0.0-rc.0`

- [Masonry] Add new component (#27439) @hbjORbj

### `@mui/codemod@5.0.0-rc.0`

- [codemod] Add `mui-replace` codemod transform (#28060) @siriwatknp

### Docs

- [docs] Fix preview for multiline JSX attributes (#28092) @eps1lon
- [docs] Add a recommendation for hoisting GlobalStyles to static constant (#28088) @mnajdova
- [docs] Update toolbar menu to behave closer to default (#28086) @oliviertassinari
- [docs] Markdown redesign polish (#27956) @mnajdova
- [docs] Fully translated /api/\* pages (#28044) @eps1lon
- [docs] Fix matchSorter import path in Autocomplete (#28063) @StefanBRas
- [docs] Fix Fab demo overflow on mobile (#28033) @rajzik
- [docs] Add notistack example compatible with v5.x.x (#27881) @iamhosseindhv
- [docs] Change sign-up template autocomplete to use "new-password" (#28028) @StefanTobler
- [docs] Improve the support expectations for developers (#27999) @oliviertassinari
- [docs] Don't use nested ternary (#27986) @eps1lon
- [docs] Sync redirections from X into Core @oliviertassinari
- [docs] Fix typo '.MuiOutinedInput' -> '.MuiOutlinedInput' (#27997) @rsxdalv
- [docs] fix floating action button broken demo (#27976) @rajzik
- [docs] Update correct variable name (#27960) @bene-we
- [docs] Fix Performance typo (#27965) @tdmiller1
- [docs] Add GridExportCSVOptions page to documentation pages (#27951) @flaviendelangle

### Core

- [eslint-plugin-material-ui] Only require translation of word characters and not API (#28043) @eps1lon
- [core] Use lintable pattern for debounced callbacks (#27985) @eps1lon
- [core] Remove file-wide disables of `no-use-before-define` (#27984) @eps1lon
- [core] Improve `release:changelog` script (#27941) @eps1lon
- [core] Enforce curly braces for block statements (#27946) @eps1lon
- [test] Disable BrowserStack for PRs (#28041) @eps1lon

All contributors of this release in alphabetical order: @aaronlademann-wf, @bene-we, @chetas411, @eps1lon, @flaviendelangle, @hbjORbj, @iamhosseindhv, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @rajzik, @rsxdalv, @siriwatknp, @StefanBRas, @StefanTobler, @tdmiller1, @vedadeepta

## 5.0.0-beta.5

<!-- generated comparing v5.0.0-beta.4..next -->

_Aug 24, 2021_

A big thanks to the 26 contributors who made this release possible. Here are some highlights ✨:

- 🐛 Fixed a lot of bugs and regressions to get us closer to the [v5 stable release milestone](https://github.com/mui/material-ui/milestone/44)
- 📚 Improved the docs and the migration guide for upgrading to v5

### `@material-ui/core@5.0.0-beta.5`

#### Breaking changes

- [core] Update `.browserslistrc` file (#27788) @DanailH

  The targets of the default bundle have changed:

  - Chrome 90 (up from 84)
  - Edge 91 (up from 85)
  - Safari 14 (macOS) (up from 13.1) and 12.4 (iOS) (up from 12.2)
  - Opera 76 (up from 70)

- [Autocomplete] Rename Value type to AutocompleteValue (#27804) @michaldudak

  The `useAutocomplete` hook used a type called `Value`. It was a very generic name for a type specific to the `Autocomplete` control, so it was removed to `AutocompleteValue`.

  ```diff
  -import { Value } from '@material-ui/core/useAutocomplete';
  +import { AutocompleteValue } from '@material-ui/core/useAutocomplete';
  ```

#### Changes

- [AppBar] Fix transparency issue on dark mode (#27281) @will-amaral
- Revert "[BottomNavigation] onClick does not fire if tapped while scrolling (#22524)" (#27690) @eps1lon
- [Autocomplete] Add verbose warning for defaultValue (#27925) @vedadeepta
- [Badge] Add missing classes to exported class object (#27943) @pvdstel
- [ButtonGroup] Allow `size` customization via module augmentation (#27834) @aaronlademann-wf
- [InputBase] Preserve host state when changing `rows` from undefined to defined (#27683) @eps1lon
- [InputLabel] Apply `asterisk` class when `required` (#27738) @alexile
- [Select] Fix NativeSelect propagating classes to the DOM element (#27797) @mnajdova
- [Stack] Match the customization standard (#27777) @oliviertassinari
- [SvgIcon] Apply custom color if defined in the theme (#27923) @eps1lon
- [Switch] Add optional `track` slot to SwitchUnstyled (#27916) @michaldudak
- [Tooltip] Fix broken arrow position in rtl (#27868) @mnajdova
- [transitions] Allow to run Slide into a custom container (#26623) @benny0642

### `@material-ui/system@5.0.0-beta.5`

#### Breaking changes

- [system] Rename `styleProps` to `ownerState` (#27830) @mnajdova

  The change was done in order to better reflect what they are, not what we think they will be used for.

  ```diff
   <SomeSlotComponent
  -  styleProps={propsAndState}
  +  ownerState={propsAndState}
   />
  ```

#### Changes

- [system] Remove dependency on `overridesResolver` for the `variants` (#27859) @mnajdova
- [system] Forward `classes` prop if no slot specified in the options (#27795) @mnajdova
- [system] Fix pseudo class overridden in variants (#27847) @hbjORbj

### `@material-ui/icons@5.0.0-beta.5`

- [icons] Improve GitHub size (#27740) @oliviertassinari

### `@material-ui/styled-engine@5.0.0-beta.5`

- [styled-engine] Remove unecessary aliases (#27779) @oliviertassinari
- [styled-engine] Drop withComponent support (#27780) @oliviertassinari

### `@material-ui/unstyled@5.0.0-alpha.44`

- [core] Utilize `CSS.supports` in `SliderUnstyled` component (#27724) @DanailH

### `@material-ui/lab@5.0.0-alpha.44`

- [DatePicker] Fix click-away logic requiring second click in some cases (#24877) @eps1lon
- [lab] Use the public API for module augmentation (#27735) @oliviertassinari
- [Timeline] Fix color="inherit" on TimelineDot (#27794) @mnajdova

### Docs

- [docs] Redesign on markdown page (#27860) @mnajdova
- [docs] Split changelog into current and old (#27942) @eps1lon
- [docs] Migration, emphasize theme structure change (#27935) @oliviertassinari
- [docs] Fix missing `href` for AppDrawerNavItems (#27936) @eps1lon
- [docs] Pass window of iframe to framed demos (#27924) @eps1lon
- [docs] Simplify Select Chip demo styling (#27864) @LorenzHenk
- [docs] Move from Redux to React Context (#27828) @eps1lon
- [docs] Correct the useAutocomplete import path (#27805) @michaldudak
- [docs] Fix Tooltip flicker when hovering between code icon and demo (#27841) @eps1lon
- [docs] Don't log if a request was aborted in ServerRequestDatePicker demo (#27843) @eps1lon
- [docs] Fix false-positive useToolbar warning when using the demo toolbar menu (#27842) @eps1lon
- [docs] Add missing import (#27850) @nguyenyou
- [docs] Fix circular integration demo (#27856) @LorenzHenk
- [docs] A few examples is enough (#27874) @mekouar-mehdi
- [docs] Improve README.md (#27852) @surajkumar016
- [docs] Fix rtl issue on the demos (#27865) @mnajdova
- [docs] Apply the new branding theme and do the AppBar redesign (#27789) @mnajdova
- [docs] Improve grammar in 'Align list items' section (#27730) @atorenherrinton
- [docs] Make API documentation tables horizontally scrollable (#27787) @jakeanq
- [docs] Fix typo on "Customized dialogs" section (#27827) @nomanoff
- [docs] Fix Autocomplete country layout shift (#27814) @oliviertassinari
- [docs] Improve accessible labels for Card demos (#27675) @eps1lon
- [docs] Run in StrictMode by default (#27693) @eps1lon
- [docs] Display TypeScript code of demo if requested (#27691) @eps1lon
- [docs] Use country image instead of emoji (#27723) @qiweiii
- [docs] Zero runtime themeAugmentation documentation (#27706) @eps1lon
- [docs] Fix MobileTextStepper example to match description (#27682) @nolastemgarden
- [docs] Document the transfer-list limitations (#27783) @oliviertassinari
- [docs] Move TypeScript docs in context (#27782) @oliviertassinari
- [docs] Prefer linking API source TypeScript (#27781) @oliviertassinari
- [docs] Improve the Modal onClose migration (#27775) @oliviertassinari
- [docs] Fix outdated styled-engine docs (#27778) @oliviertassinari
- [docs] Improve right to left guide (#27713) @mnajdova
- [docs] Consistent line break (#27728) @oliviertassinari
- [docs] Don't dispatch ignored "reset code variant" actions (#27712) @eps1lon
- [docs] Fix sentence to be more grammatically correct (#27733) @atorenherrinton
- [examples] Add CodeSandbox config with node version (#27798) @qiweiii
- Revert "[examples] Fix nextjs with styled-components example (#27583)" (#27921) @mnajdova
- Revert "[examples] Update create-react-app examples with styled-components to use package aliases (#27591)" (#27917) @mnajdova
- [I10n] Add Khmer (kh-KH) locale support (#27915) @teachhay

### Core

- [core] Fix various flip: false regressions (#27920) @mnajdova
- [core] Fix typo in code comment (#27818) @hamidreza-nateghi
- [core] Fix typos in repository (#27785) @JEONGJIHUN
- [test] Current behavior when disabling components variants (#27376) @noviicee
- [tests Improve test for checking if classes is forwarded to any DOM element (#27815) @mnajdova
- [tests] Replace legacy `describeConformance` with `describeConformanceV5` (#27817) @mnajdova

All contributors of this release in alphabetical order: @aaronlademann-wf, @alexile, @atorenherrinton, @benny0642, @DanailH, @eps1lon, @hamidreza-nateghi, @hbjORbj, @jakeanq, @JEONGJIHUN, @LorenzHenk, @mekouar-mehdi, @michaldudak, @mnajdova, @nguyenyou, @nolastemgarden, @nomanoff, @noviicee, @oliviertassinari, @pvdstel, @qiweiii, @siriwatknp, @surajkumar016, @teachhay, @vedadeepta, @will-amaral

## 5.0.0-beta.4

<!-- generated comparing v5.0.0-beta.3..next -->

_Aug 13, 2021_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🐛 Grid's "auto" behavior has been fixed by @aaronlademann-wf (#27514)
- ♿ An important bug with the keyboard navigation in MenuList was fixed (#27526) @ryancogswell

### `@material-ui/core@5.0.0-beta.4`

#### Breaking changes

- [Grid] Fix "auto" behavior to match natural width of its content (#27514) @aaronlademann-wf

#### Changes

- [ButtonBase] Fix tabIndex type (#27684) @kylegach
- [MenuList] Fix text navigation (#27526) @ryancogswell
- [l10n] Add Arabic Sudan (ar-SD) locale (#27588) @YassinHussein
- [Radio] Fix size prop forwarding with custom icons (#27656) @DouglasPds
- [TextField] Password visibility icons ( "visibility" ⇔ "visibility-off" ) should be reversed (#27507) @tonextone
- [ToggleButton] Fix handling of color prop (#27635) @oliviertassinari

### `@material-ui/codemods@5.0.0-beta.4`

- [codemod] Fix filename case sensitive duplicate @oliviertassinari

### `@material-ui/system@5.0.0-beta.4`

- [StyledEngineProvider] Remove unnecessary emotion cache export (#27680) @garronej
- [system] Fix missing filterProps in compose type (#27618) @R-Bower

### `@material-ui/labs@5.0.0-alpha.42`

- [CalendarPicker] Improve contrast between enabled and disabled days (#27603) @nikitabobers
- [PickersDay] Render `children` if specified (#27462) @abriginets
- [TreeView] Fix TreeItem label overflow (#27585) @LorenzHenk

### Docs

- [docs] Update guides for @material-ui/styled-engine-sc installation (#27602) @mnajdova
- [docs] Document that @material-ui/styles is not strict mode compatible (#27639) @oliviertassinari
- [docs] Link to "Customization of Theme" from relevant theme interfaces (#27689) @eps1lon
- [docs] Update CSP page (#27627) @mnajdova
- [docs] Reorder and rename "enforce value" ToggleButton demo (#27678) @LorenzHenk
- [docs] Fix missing dependency in the DataGrid demo (#27597) @m4theushw
- [docs] img should have a src attribute (#27632) @oliviertassinari
- [docs] Add badges to Transfer List (#27634) @oliviertassinari
- [docs] Recommend the `direct-import` babel plugin over `transform-import` (#27335) @umidbekk
- [docs] Remove unused code (#27711) @eps1lon
- [docs] Improve virtualization demo (#27340) @vedadeepta
- [examples] Include a follow-up on the example (#27620) @matiasherranz

### Core

- [core] Batch small changes (#27636) @oliviertassinari
- [core] Change range strategy to bump (#27652) @oliviertassinari
- [core] Fix visual regression example images (#27660) @eps1lon
- [core] Remove diff when running yarn docs:dev (#27720) @eps1lon
- [core] Remove mocks of require.context in markdown loader (#27406) @eps1lon
- [core] Reduce use CSS when Checkbox disableRipple is set (#27568) @oliviertassinari
- [test] Add coverage for jss-to-styled prefix from filename (#27522) @eps1lon
- [test] Add current behavior for a11y name vs visible name for PickersDay (#27661) @eps1lon
- [test] Dodge double logging in dev mode (#27653) @oliviertassinari
- [test] Enable skipped test fixed by upstream React fix (#27615) @eps1lon
- [theme] Add missed variants in Components interface (#27453) @nikitabobers

All contributors of this release in alphabetical order: @aaronlademann-wf, @abriginets, @DouglasPds, @eps1lon, @garronej, @kylegach, @LorenzHenk, @m4theushw, @matiasherranz, @mnajdova, @nikitabobers, @oliviertassinari, @R-Bower, @ryancogswell, @siriwatknp, @tonextone, @umidbekk, @vedadeepta, @YassinHussein

## 5.0.0-beta.3

<!-- generated comparing v5.0.0-beta.2..next -->

_Aug 6, 2021_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- ✨ `jss-to-styled` codemod has been improved to support `createStyles` and `<React.Fragment>` usage (#27578) @mnajdova

### `@material-ui/core@5.0.0-beta.3`

- [Modal] Restore `overflowX` and `overflowY` styles (#27487) @PCOffline
- [Modal] Remove unnecessary check for children.props.tabIndex (#27374) @noviicee
- [Select] Fix regression for icon not rotating (#27511) @mnajdova

### `@material-ui/system@5.0.0-beta.3`

- [system] Added top, left, right and bottom border color CSS properties to system (#27580) @R-Bower

### `@material-ui/codemod@5.0.0-beta.3`

- [codemod] Add support for `createStyles` usage in `jss-to-styled` (#27578) @mnajdova
- [codemod] Fix `jss-to-styled` PREFIX generation on Windows (#27491) @mnajdova
- [codemod] Fix `jss-to-styled` codemod to handle React.Fragment as root (#27495) @mnajdova

### `@material-ui/unstyled@5.0.0-alpha.42`

- [FormControl] Create FormControlUnstyled (#27240) @michaldudak
- [Autocomplete] Move useAutocomplete to the Unstyled package (#27485) @michaldudak

### Docs

- [docs] Fix layout shift when opening hash anchor (#27619) @oliviertassinari
- [docs] Add TypeScript guide for the `sx` prop (#27417) @mnajdova
- [docs] Hardcode listed colors in /customization/color/#playground (#27446) @eps1lon
- [docs] Bring back Select#onChange signature API (#27443) @eps1lon
- [docs] Remove backticks in the title (#27567) @oliviertassinari
- [docs] Fix 404 links (#27566) @oliviertassinari
- [docs] Use the same h2 for the customization demos (#27569) @oliviertassinari
- [docs] Fix syntax error in v5 migration `styled` api example (#27518) @kimbaudi
- [docs] Improve SSR configuration with emotion (#27496) @frandiox
- [docs] Change "pseudo-classes" to "state classes" (#27570) @michaldudak
- [docs] Add StackBlitz edit demo integration (#27391) @sulco
- [docs] Remove unnecessary generic argument (#27516) @bezpalko
- [docs] Add customization demos (#27411) @siriwatknp
- [docs] Restore initial descriptionRegExp logic (#27436) @oliviertassinari
- [docs] Polish jss-to-styled docs (#27457) @oliviertassinari
- [examples] Fix nextjs with styled-components example (#27583) @mnajdova
- [examples] Update create-react-app examples with styled-components to use package aliases (#27591) @mnajdova
- [examples] Improve integration examples with Next.js (#27331) @Harshita-Kanal

### Core

- [core] rebaseWhen=auto does not seem to work (#27565) @oliviertassinari
- [core] Improve instructions for the @material-ui/styles migration (#27466) @mnajdova
- [core] Batch small changes (#27435) @oliviertassinari
- [core] Receive patch and minor dependency updates (#27455) @eps1lon
- [test] Update coverage to include all @material-ui packages (#27521) @eps1lon
- [test] Lint codemod tests (#27519) @eps1lon
- [test] Allow tests to run for 6s before timeout (#27456) @oliviertassinari

All contributors of this release in alphabetical order: @bezpalko, @eps1lon, @flaviendelangle, @frandiox, @Harshita-Kanal, @kimbaudi, @michaldudak, @mnajdova, @noviicee, @oliviertassinari, @PCOffline, @R-Bower, @ryancogswell, @siriwatknp, @sulco

## 5.0.0-beta.2

<!-- generated comparing v5.0.0-beta.1..next -->

_Jul 26, 2021_

A big thanks to the 20 contributors who made this release possible. Here are some highlights ✨:

- ✨ We introduced new codemod for converting JSS styles to emotion (#27292) @siriwatknp
  It should help adoption of v5, by making possible the removal of JSS sooner.

- 🐛 The majority of other changes in this release were bug fixes, test utilities and docs.

### `@material-ui/core@5.0.0-beta.2`

- [Autocomplete] Explain how the loading prop works (#27416) @michaldudak
- [Autocomplete] Update input value when the input changes (#27313) @turtleseason
- [Autocomplete] Popper is not closing when the Autocomplete is disabled (#27312) @Goodiec
- [Checkbox] Skip default hover styles with `disableRipple` (#27314) @faan234
- [Dialog] Fix override paper styles (#27423) @newsiberian
- [Grid] Remove width prop for rowSpacing (#27326) @sashkopavlenko
- [Input] Merge `componentsProps` correctly (#27371) @mnajdova
- [Pagination] Fixed usePagination requires @emotion in development mode (#27348) @ruppysuppy
- [Pagination] Fix :hover effect on previous/next button (#27304) @Aubrey-Li
- [Popper] Consistent timing of popper instance creation (#27233) @eps1lon
- [Select] Add `SelectChangeEvent` for accurate types for event in onChange prop (#27370) @eps1lon
- [Tabs] Use theme transition duration for the Tab animation (#27303) @florianbepunkt
- [TextField] Allow custom colors in FormLabel (#27337) @oliviertassinari
- [TextField] Fix name of componentsProps (#27338) @oliviertassinari
- [transitions] Make sure inline styles used for transition values if declared (#27140) @eps1lon

### `@material-ui/codemod@5.0.0-beta.2`

- [codemod] Add `optimal-imports` for v5 (#27404) @mnajdova
- [codemod] Add jss to emotion codemod (#27292) @siriwatknp
- [codemod] Fix running codemod CLI on Windows (#27395) @michaldudak
- [codemod] Fix published version (#27384) @eps1lon
- [codemod] Improve README.md (#27257) @mnajdova

### `@material-ui/unstyled@5.0.0-alpha.41`

- [NoSsr] Move NoSsr to the Unstyled package (#27356) @michaldudak

### `@material-ui/utils@5.0.0-beta.1`

- [utils] Convert createChainedFunction to TypeScript (#27386) @eps1lon

### `@material-ui/system@5.0.0-beta.2`

- [system] Compute display name of `styled` component if `name` isn't set (#27401) @eps1lon
- [system] Adds missing type for `shouldForwardProp` (#27310) @KLubin1

### `@material-ui/lab@5.0.0-alpha.41`

- [pickers] Only accept dates from adapters in min/max props (#27392) @eps1lon
- [pickers] Fallback to today if all possible dates are disabled (#27294) @eps1lon
- [pickers] Minify error when LocalizationProvider is missing (#27295) @eps1lon
- [pickers] Fix Fade animation behavior change (#27283) @oliviertassinari

### Docs

- [docs] Display Popper arrow correctly (#27339) @Patil2099
- [docs] Focus pickers introduction on Material UI (#27394) @eps1lon
- [docs] Fix wrong import path in @material-ui/styles section (#27427) @WeldonTan
- [docs] Update color imports (#27321) @siriwatknp
- [docs] Sync params of callbacks between types and JSDoc description (#27366) @eps1lon
- [docs] Add migration note for synthetic native events in onChange (#27368) @eps1lon
- [docs] Improve unstyled docs (#27382) @oliviertassinari
- [docs] Update `Transitions` page (#27319) @siriwatknp
- [docs] Add Unstyled components docs page (#27158) @michaldudak
- [docs] Fix app bar regression (#27373) @mnajdova
- [docs] Update migration guide to have a section on nested classes (#27354) @mnajdova
- [docs] Convert App\* components to emotion (#27150) @eps1lon
- [docs] Fix duplicate "Theme" header (#27353) @eps1lon
- [docs] Remove horizontal scrollbar in MiniDrawer (#27055) @AlvesJorge
- [docs] Add `makeStyles` explanation in troubleshooting (#27322) @siriwatknp
- [docs] Fix ExpansionPanel migration notes (#27352) @eps1lon
- [docs] Transpile markdown files (#27349) @eps1lon
- [docs] Fix typo in the word typography (#27329) @tudi2d
- [docs] Use actual symbol of kilogram (#27332) @getsnoopy
- [docs] Make migration doc easier to follow (#26948) @siriwatknp
- [examples] Cleanup `gatsby` examples (#27375) @mnajdova
- [examples] Create nextjs example using styled-components (#27088) @hboylan
- [examples] Update gatsby example to use custom plugin (#27357) @mnajdova

### Core

- [core] Remove obsolete styles documentation (#27350) @eps1lon
- [core] Fix GitHub language detection (#27298) @oliviertassinari
- [test] Include coverage report of browser tests (#27389) @eps1lon
- [test] Add current behavior for getDisplayName with context components (#27402) @eps1lon
- [test] Enable skipped picker tests (#27268) @eps1lon

All contributors of this release in alphabetical order: @AlvesJorge, @Aubrey-Li, @eps1lon, @faan234, @florianbepunkt, @g
etsnoopy, @Goodiec, @hboylan, @KLubin1, @michaldudak, @mnajdova, @newsiberian, @oliviertassinari, @Patil2099, @ruppysupp
y, @sashkopavlenko, @siriwatknp, @tudi2d, @turtleseason, @WeldonTan

## 5.0.0-beta.1

<!-- generated comparing v5.0.0-beta.0..next -->

_Jul 14, 2021_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- ✨ We have introduced a new unstyled component: the Switch (#26688) @michaldudak
  You can find two new versions of the Switch. A component without any styles: [`SwitchUnstyled`](https://mui.com/components/switches/#unstyled), and a hook: [`useSwitch`](https://mui.com/components/switches/#useswitch-hook).

  <a href="https://mui.com/components/switches/#unstyled"><img width="832" alt="switch" src="https://user-images.githubusercontent.com/3165635/125192249-236f8a80-e247-11eb-9df9-17d476379a32.png"></a>

  You can follow our progress at https://github.com/mui/base-ui/issues/10.

- 💄 We have updated the default `info` `success` `warning` color to be more accessible (#26817) @siriwatknp.
  You can find the new [default values](https://mui.com/material-ui/customization/palette/#default-values) in the documentation.

  <a href="https://mui.com/customization/palette/#default-values"><img width="780" alt="colors" src="https://user-images.githubusercontent.com/3165635/125192657-4864fd00-e249-11eb-9dc1-44857b25b3b8.png"></a>

### `@material-ui/core@5.0.0-beta.1`

#### Breaking changes

- [Fab] Remove no longer necessary span wrapper (#27112) @siriwatknp
- [ToggleButton] Remove no longer necessary span wrapper (#27111) @siriwatknp

#### Changes

- [Autocomplete] Add componentsProps (#27183) @michal-perlakowski
- [Avatar] Fix support for crossOrigin (#27013) @ShirasawaSama
- [ButtonBase] Correct `disableRipple` API description (#27187) @michaldudak
- [ButtonGroup] Add color palette types (#27215) @ShirasawaSama
- [SwitchBase] Bring back `checked` and mark as deprecated (#27047) @siriwatknp
- [TextField] Remove redundant useFormControl implementation (#27197) @michaldudak
- [theme] Add missing MuiRating types to components.d.ts (#27086) @rajzik
- [theme] Remove `createV4Spacing` from `adaptV4Theme` (#27072) @siriwatknp
- [theme] Update default `info` `success` `warning` color (#26817) @siriwatknp
- [ToggleButton] Add color palette types (#27046) @ShirasawaSama
- [ToggleButton] Fix the api page (#27164) @oliviertassinari

### `@material-ui/unstyled@5.0.0-alpha.40`

- [Switch] Create SwitchUnstyled and useSwitch (#26688) @michaldudak

### `@material-ui/codemod@5.0.0-beta.1`

- [codemod] Add v5 important migration (#27032) @siriwatknp
- [codemod] Fix v5 codemods on Windows (#27254) @michaldudak

### `@material-ui/system@5.0.0-beta.1`

- [Box] Add breakpoint value support to maxWidth prop (#26984) @ansh-saini

### `@material-ui/lab@5.0.0-alpha.40`

- [CalendarPicker] Fix slide transition regression (#27273) @eps1lon
- [CalendarPicker] Use transition components from core instead of a custom implementation (#27043) @eps1lon
- [pickers] Fix default value of text keys (#26990) @oliviertassinari
- [TimePicker] Change default minutes and seconds to zero (#27037) @michal-perlakowski

### Docs

- [blog] Q2 2021 Update (#27089) @oliviertassinari
- [docs] Add information that the label prop in FormControlLabel is now @michal-perlakowski
- [docs] Don't crash page if an Ad crashes (#27178) @eps1lon
- [docs] Fix alt description of movavi backer @oliviertassinari
- [docs] Fix import source of hidden component (#27116) @vimutti77
- [docs] Fix layout regression (#27272) @oliviertassinari
- [docs] Fix syntax error in /styles/api markdown (#27176) @sahil-blulabs
- [docs] Fix the link for the sx props page (#27202) @mnajdova
- [docs] Fix theme context example code (#27053) @moshfeu
- [docs] Fix typo in CONTRIBUTING.md (#27218) Ayush Dubey
- [docs] Fix typos (#27074) @michaldudak
- [docs] Improve nav semantics (#27138) @eps1lon
- [docs] Migrate Ad\* components to emotion (#27159) @mnajdova
- [docs] Migrate rest of the docs to emotion (#27184) @mnajdova
- [docs] Move versions from \_app PageContext to page-specific context (#27078) @eps1lon
- [docs] Only bundle one version of the demos in production (#27020) @eps1lon
- [docs] Reduce layout shift on landing page (#27251) @eps1lon
- [docs] Remove Ethical Ads (#27173) @mbrookes
- [docs] Remove unused fs polyfill (#27069) @eps1lon
- [docs] Remove usage of `url` package (#27151) @eps1lon
- [docs] Replace react-text-mask with react-imask in integration example (#27071) @michal-perlakowski
- [docs] Sort the size in a more logical order (#27186) @oliviertassinari
- [docs] Use actual link to paperbase (#27063) @eps1lon
- [docs] Use custom markdown loader for landing page (#27065) @eps1lon
- [docs] Use webpack 5 (#27077) @eps1lon
- [examples] Fix CDN warning (#27229) @oliviertassinari
- [examples] Remove `StyledEngineProvider` as JSS is not used (#27133) @mnajdova
- [examples] Remove forgotten StyledEngineProvider (#27163) @oliviertassinari

### Core

- [core] Batch small changes (#26970) @oliviertassinari
- [core] Configure Renovate (#27003) @renovate[bot]
- [core] Migrate remaining mentions of Dependabot to Renovate (#27118) @eps1lon
- [core] Run yarn deduplicate on Renovate updates (#27115) @eps1lon
- [test] Document broken React 18 behavior of Autocomplete (#27242) @eps1lon
- [test] Increase BS timeout to 6min (#27179) @oliviertassinari
- [test] Migrate regressions to emotion (#27010) @vicasas
- [test] Narrow down React 18 compat issues (#27134) @eps1lon
- [test] Remove StyledEngineProvider usage from regressions and e2e test @mnajdova
- [test] Run React 18 integration tests with new createRoot API (#26672) @eps1lon
- [test] Update tests with latest state of StrictMode compatibility (#27042) @eps1lon
- [test] Use DOM events instead of mocked, partial events (#27198) @eps1lon
- [blog] Danilo Leal joins Material UI (#27231) @oliviertassinari

All contributors of this release in alphabetical order: @eps1lon, @mbrookes, @michal-perlakowski, @michaldudak, @mnajdova, @moshfeu, @oliviertassinari, @rajzik, @renovate[bot], @sahil-blulabs, @ShirasawaSama, @siriwatknp, @vimutti77

## 5.0.0-beta.0

<!-- generated comparing v5.0.0-alpha.38..next -->

_Jul 01, 2021_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 🎉 This is the first beta release of v5! A huge thanks to everyone who helped to make this happen! We're targeting the 1st of September for a stable release, and will use the next two months to polish v5, and ease the migration from v4. You can follow [the v5 stable milestone](https://github.com/mui/material-ui/milestone/44) for more details. We now encourage any new projects to start on v5.
- 🚀 We have completed all the planned breaking changes.
- ⚒️ We added the codemod CLI to simplify migration to v5 (#26941) @eps1lon. You can find it at [`@material-ui/codemod`](https://github.com/mui/material-ui/tree/HEAD/packages/mui-codemod).
- 🐛 The majority of other changes in this release were bug fixes, test utilities and docs.

### `@material-ui/core@5.0.0-beta.0`

#### Breaking changes

- [Tabs] Remove unnecessary wrapper from Tab (#26926) @siriwatknp

  `span` element that wraps children has been removed. `wrapper` classKey is also removed. More details about [this change](https://github.com/mui/material-ui/pull/26666).

  ```diff
   <button class="MuiTab-root">
  -  <span class="MuiTab-wrapper">
      {icon}
      {label}
  -  </span>
   </button>
  ```

- [BottomNavigation] Remove wrapper from BottomNavigationAction (#26923) @siriwatknp

  `span` element that wraps children has been removed. `wrapper` classKey is also removed. More details about [this change](https://github.com/mui/material-ui/pull/26666).

  ```diff
   <button class="MuiBottomNavigationAction-root">
  -  <span class="MuiBottomNavigationAction-wrapper">
       {icon}
       <span class="MuiBottomNavigationAction-label">
         {label}
       </span>
  -  </span>
   </button>
  ```

#### Changes

- [Box] Fix TypeScript error on maxWidth prop (#26859) @ansh-saini
- [Dialog] Automatically label by its DialogTitle (#26814) @eps1lon
- [Hidden] Bring back and mark as deprecated (#26908) @siriwatknp
- [List] Add button runtime deprecation warning (#26743) @siriwatknp
- [Modal] Type BackdropProps according to styled version (#26836) @eps1lon
- [Radio] Fix `defaultValue` to match the other value types (#26945) @oliviertassinari
- [Stepper] Add completed to global pseudo-classes (#26953) @michal-perlakowski
- [Stepper] Fix support for no connectors (#26874) @varandasi
- [TextField] Prevent `hiddenLabel` from spreading to DOM (#26864) @siriwatknp
- [TextField] Fix label disappearing when focusing a button (#26933) @michal-perlakowski

### `@material-ui/codemod@5.0.0-beta.0`

- [codemod] Add CLI (#26941) @eps1lon

### @material-ui/icons@5.0.0-beta.0

- [icons] Regenerate transpiled files (#26985) @eps1lon

### @material-ui/lab@5.0.0-alpha.39

#### Breaking changes

- [DatePicker] Remove helper text default value (#26866) @DouglasPds

  Make the default rendered text field closer to the most common use cases (denser).

  ```diff
   <DatePicker
     label="Helper text example"
     value={value}
     onChange={onChange}
     renderInput={(params) => (
  -    <TextField {...params} />
  +    <TextField {...params} helperText={params?.inputProps?.placeholder} />
     )}
   >
  ```

#### Changes

- [lab] Fix missing dependency on unstyled (#26937) @fishyFrogFace
- [pickers] Consider TDate in ToolbarComponent types (#27035) @michal-perlakowski

### `@material-ui/system@5.0.0-beta.0`

- [system] Support array overridesResolver (#26824) @siriwatknp

### Docs

- [docs] Add notes to Table demo about stableSort (#27025) @CarlosGomez-dev
- [docs] Add gold sponsor (#26968) @oliviertassinari
- [docs] Update unstyled demos to not depend on `@material-ui/core` (#26869) @mnajdova
- [docs] Fix demo paths in windows (#27004) @eps1lon
- [docs] Export all locales (#27002) @eps1lon
- [docs] Misc CONTRIBUTING.md changes (#26925) @eps1lon
- [docs] Fix /components/hidden merge conflict (#26997) @eps1lon
- [docs] Fix 404 links (#26963) @oliviertassinari
- [docs] Remove link that points to v4 blog post (#26960) @steveafrost
- [docs] Use custom webpack loader for markdown (#26774) @eps1lon
- [docs] Fix 301 links (#26942) @oliviertassinari
- [docs] Add page for the `sx` prop (#26769) @mnajdova
- [docs] pre-fill issue when a demo crashes (#27034) @eps1lon
- [docs] Move styled page under system (#26818)

### Core

- [core] Inline rollup-plugin-size-snapshot (#26986) @eps1lon
- [core] Remove unused props clone (#26992) @oliviertassinari
- [core] Fix tests on Windows (#26931) @michaldudak
- [core] Fix merge conflict between #26954 and #26874 @oliviertassinari
- [core] Upgrade issues-helper to v2 (#26955) @michal-perlakowski
- [core] Fix merge conflict (#26928) @eps1lon
- [test] Convert HiddenCSS tests to testing-library (#27019) @eps1lon
- [test] Convert NativeSelectInput tests to testing-library (#26952) @eps1lon
- [test] Add a default mount implementation to conformance tests (#26949) @eps1lon
- [test] Update tests to pass react@next (#26967) @eps1lon
- [test] Add types to describeConformanceV5 (#26954) @eps1lon
- [test] Use createPickerMount where appropriate (#26951) @eps1lon
- [test] Convert SwipeableDrawer tests to testing-library (#26916) @eps1lon
- [test] Convert Menu tests to testing-library (#26915) @eps1lon
- [test] Convert Popover tests to testing-library (#26913) @eps1lon
- [test] Convert Modal tests to testing-library (#26912) @eps1lon
- [test] Make remaining testing-library tests StrictMode compatible (#26924) @eps1lon
- [test] Only allow wrapping enzyme mount not creating (#27018) @eps1lon
- [typescript] Disallow spreading TransitionHandlerProps (#26927) @eps1lon

All contributors of this release in alphabetical order: @ansh-saini, @BC-M, @CarlosGomez-dev, @DouglasPds, @eps1lon, @fishyFrogFace, @michal-perlakowski, @michaldudak, @mnajdova, @oliviertassinari, @siriwatknp, @steveafrost, @varandasi

## 5.0.0-alpha.38

<!-- generated comparing v5.0.0-alpha.37..next -->

_Jun 23, 2021_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 We have only 2 left in the [breaking changes](https://github.com/mui/material-ui/issues/20012). The plan to release 5.0.0-beta.0 is on July 1st and will start to promote its usage over v4.
- 🎨 We have updated `Slider` to match current [Material Design guidelines](https://m2.material.io/components/sliders).

  <a href="https://mui.com/components/slider/#continuous-sliders"><img width="247" alt="" src="https://user-images.githubusercontent.com/3165635/121884800-a8808600-cd13-11eb-8cdf-e25de8f1ba73.png" style="margin: auto"></a>

- 💡 `IconButton` now supports 3 sizes (`small, medium, large`). [See demo](https://mui.com/components/buttons/#sizes-2).
- ♿️ We have improved the default style of the `Link` to be more accessible (#26145) @ahmed-28

  <a href="https://mui.com/components/links/"><img width="543" alt="" src="https://user-images.githubusercontent.com/3165635/123097983-ef1b6200-d430-11eb-97da-b491fba5df49.png"></a>

### `@material-ui/core@5.0.0-alpha.38`

#### Breaking changes

- [Menu] Use ButtonBase in MenuItem (#26591) @siriwatknp

  - Change the default value of `anchorOrigin.vertical` to follow the Material Design guidelines. The menu now displays below the anchor instead of on top of it. You can restore the previous behavior with:

    ```diff
     <Menu
    +  anchorOrigin={{
    +    vertical: 'top',
    +    horizontal: 'left',
    +  }}
    ```

  - The `MenuItem` component inherits the `ButtonBase` component instead of `ListItem`. The class names related to "MuiListItem-\*" are removed and theming `ListItem` is no longer affecting `MenuItem`.

    ```diff
    -<li className="MuiButtonBase-root MuiMenuItem-root MuiListItem-root">
    +<li className="MuiButtonBase-root MuiMenuItem-root">
    ```

  - The prop `listItemClasses` was removed, you can use `classes` instead.

    ```diff
    -<MenuItem listItemClasses={{...}}>
    +<MenuItem classes={{...}}>
    ```

- [theme] Improve default breakpoints (#26746) @siriwatknp

  The default breakpoints were changed to better match the common use cases. They also better match the Material Design guidelines. [Read more about the change](https://github.com/mui/material-ui/issues/21902).

  ```diff
   {
     xs: 0,
     sm: 600,
  -  md: 960,
  +  md: 900,
  -  lg: 1280,
  +  lg: 1200,
  -  xl: 1920,
  +  xl: 1536,
   }
  ```

  If you prefer the old breakpoint values, use the snippet below.

  ```js
  import { createTheme } from '@material-ui/core/styles';

  const theme = createTheme({
    breakpoints: {
      values: {
        xs: 0,
        sm: 600,
        md: 960,
        lg: 1280,
        xl: 1920,
      },
    },
  });
  ```

- [IconButton] Add size `large` and update styles (#26748) @siriwatknp

  The default size's padding is reduced to `8px` which makes the default IconButton size of `40px`. To get the old default size (`48px`), use `size="large"`. The change was done to better match Google's products when Material Design stopped documenting the icon button pattern.

  ```diff
  - <IconButton>
  + <IconButton size="large">
  ```

- [Slider] Adjust css to match the specification (#26632) @siriwatknp

  Rework the CSS to match the latest [Material Design guidelines](https://m2.material.io/components/sliders) and make custom styles more intuitive. [See documentation](https://mui.com/components/slider/).

  <a href="https://mui.com/components/slider/#continuous-sliders"><img width="247" alt="" src="https://user-images.githubusercontent.com/3165635/121884800-a8808600-cd13-11eb-8cdf-e25de8f1ba73.png" style="margin: auto"></a>

  You can reduce the density of the slider, closer to v4 with the [`size="small"` prop](https://mui.com/components/slider/#sizes).

  <a href="https://mui.com/components/slider/#sizes"><img width="330" alt="" src="https://user-images.githubusercontent.com/3165635/123076549-8aa0d880-d419-11eb-8835-06cd2b21b2d3.png" style="margin: auto"></a>

- [IconButton] Remove label span (#26801) @siriwatknp

  `span` element that wraps children has been removed. `label` classKey is also removed. More details about [this change](https://github.com/mui/material-ui/pull/26666).

  ```diff
   <button class="MuiIconButton-root">
  -  <span class="MuiIconButton-label">
       <svg />
  -  </span>
   </button>
  ```

- [core] Remove `unstable_` prefix on the `useThemeProps` hook (#26777) @mnajdova

  The following utilities were renamed to not contain the `unstable_` prefix:

  - `@material-ui/sytstem`

  ```diff
   import {
  -  unstable_useThemeProps,
  +  useThemeProps,
   } from '@material-ui/system';
  ```

  - `@material-ui/core`

  ```diff
   import {
  -  unstable_useThemeProps,
  +  useThemeProps,
   } from '@material-ui/core/styles';
  ```

#### Changes

- [Alert] Add support for custom colors (#26831) @varandasi
- [Button] Fix loading text invisible when disabled (#26857) @DanielBretzigheimer
- [ButtonBase] Consider as a link with a custom component and `to` prop (#26576) @shadab14meb346
- [ButtonBase] Derive state on render instead of in layout effects (#26762) @eps1lon
- [Drawer] Fix incorrect z-index (#26791) @michal-perlakowski
- [Drawer] Remove incorrect transition handler props (#26835) @eps1lon
- [Link] Improve accessibility support (#26145) @ahmed-28
- [Modal] Fix calculating scrollbar size when using custom scrollbar (#26816) @michal-perlakowski
- [Rating] Make input ids less predictable (#26493) @eps1lon
- [Stepper] Add componentsProps.label to StepLabel (#26807) @michal-perlakowski
- [Tabs] Show error when Tab has display: none (#26783) @michal-perlakowski
- [theme] Add base color palette type to components (#26697) @siriwatknp

### `@material-ui/system@5.0.0-alpha.38`

#### Breaking Changes

- [system] Normalize api for `createBox` (#26820) @mnajdova

  ```diff
   import { createBox } from '@material-ui/system';

  -const styled = createBox(defaultTheme);
  +const styled = createBox({ defaultTheme });
  ```

#### Changes

- [system] Add ThemeProvider component (#26787) @mnajdova

### Docs

- [docs] Fix misspelling of the word Typography (#26898) @dmrqx
- [docs] Instruct users to install @material-ui/icons with the next tag (#26873) @michal-perlakowski
- [docs] Sync translations (#26828) @l10nbot
- [docs] Improve grammar of autocomplete/autofill section (#26798) @dijonkitchen
- [docs] Explain "inherited props" better in the props table (#26778) @eps1lon
- [docs] Fix documentation for upgrading to v5 (#26812) @tungdt-90
- [docs] Improve notification color (#26796) @mnajdova
- [docs] Fix various a11y issues with /customization/color (#26757) @eps1lon
- [docs] Move custom theme to frame (#26744) @siriwatknp
- [docs] Fix small PT typo fix: inciar -> iniciar (#26775) @brunocavalcante
- [I10n] Add Chinese (Hong Kong) (zh-HK) locale (#26637) @kshuiroy
- [l10n] Add sinhalese (siLK) locale (#26875) @pavinduLakshan
- [examples] Rename Next.js TypeScript theme from tsx to ts (#26862) @Izhaki

### Core

- [test] Fix Drawer test API @oliviertassinari
- [test] Adjust expected useAutocomplete error messages for React 18 (#26858) @eps1lon
- [test] Convert Drawer tests to testing-library (#26837) @eps1lon
- [test] Convert remaining enzyme tests to testing-library (#26832) @eps1lon
- [test] Ignore ReactDOM.hydrate deprecation warnings (#26815) @eps1lon
- [test] Reduce flakiness (#26761) @eps1lon
- [useId] Reduce likelyhood of collisions (#26758) @eps1lon
- yarn deduplicate @oliviertassinari
- Fix running framer's prettier under pwsh (#26819) @michaldudak
- [core] Update babel-plugin-optimize-clsx (#26861) @oliviertassinari
- [core] Assume no document.all at runtime (#26821) @eps1lon
- [core] Remove dependency on `@material-ui/private-theming` (#26793) @mnajdova
- [core] Remove dependency on `@material-ui/styled-engine` (#26792) @mnajdova

All contributors of this release in alphabetical order: @ahmed-28, @brunocavalcante, @DanielBretzigheimer, @dijonkitchen, @dmrqx, @eps1lon, @Izhaki, @kshuiroy, @l10nbot, @michal-perlakowski, @michaldudak, @mnajdova, @oliviertassinari, @pavinduLakshan, @shadab14meb346, @siriwatknp, @tungdt-90, @varandasi

## 5.0.0-alpha.37

<!-- generated comparing v5.0.0-alpha.36..next -->

_Jun 15, 2021_

A big thanks to the 11 contributors who made this release possible. Here are some highlights ✨:

- 💄 Add support for responsive props on the Grid component (#26590) @likitarai1.
  This fixes a longstanding issue. You can now specify different values for each breakpoint.

  ```jsx
  <Grid container spacing={{ xs: 2, md: 3 }} columns={{ xs: 1, sm: 2, md: 3 }}>
    <Grid item xs={2} sm={4} md={4} />
    <Grid item xs={2} sm={4} md={4} />
    <Grid item xs={2} sm={4} md={4} />
  </Grid>
  ```

  Head to the [documentation](https://mui.com/components/grid/#responsive-values) for more details.

- ⚒️ We've introduced a new `useTheme` and `useThemeProps` hooks in the `@material-ui/system` package.
  We believe that this package can be used as a standalone styling solution for building custom design systems (#26649) @mnajdova.
- 💥 Made progress with the breaking changes. We have done 105 of the 109 changes [planned](https://github.com/mui/material-ui/issues/20012). We are getting closer to our goal of releasing 5.0.0-beta.0 on July 1st and start to promote its usage over v4. You can also follow [our milestone](https://github.com/mui/material-ui/milestone/35) for more details.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.37`

#### Breaking changes

- [Button] Remove label span (#26666) @siriwatknp

  The `span` element that wraps children has been removed. `label` classKey is also removed. The nested span was required for fixing a flexbox issue with iOS < 11.0.

  ```diff
   <button class="MuiButton-root">
  -  <span class="MuiButton-label">
       children
  -  </span>
   </button>
  ```

#### Changes

- [Button] Add missing color type (#26593) @sakura90
- [Grid] Add responsive direction and spacing props (#26590) @likitarai1
- [List] Add ListItemButton export to index (#26667) @chadmuro
- [theme] Fix missing exported Breakpoints types (#26684) @robphoenix

### `@material-ui/system@5.0.0-alpha.37`

#### Breaking changes

- [system] Remove `theme` & `isRtl` from `useThemeProps` (#26701) @mnajdova

  The `isRtl` and `theme` props are no longer added by the `useThemeProps` hook. You can use the `useTheme` hook for this.

  ```diff
  -import { unstable_useThemeProps as useThemeProps } from '@material-ui/core/styles';
  +import { unstable_useThemeProps as useThemeProps, useTheme } from '@material-ui/core/styles';

   const Component = (inProps) => {
  -  const { isRtl, theme, ...props } = useThemeProps({ props: inProps, name: 'MuiComponent' });
  +  const props = useThemeProps({ props: inProps, name: 'MuiComponent' });

  +  const theme = useTheme();
  +  const isRtl = theme.direction === 'rtl';
     //.. rest of the code
   }
  ```

#### Changes

- [system] Add useThemeProps & useTheme hooks (#26649) @mnajdova
- [system] Add color manipulators (#26668) @mnajdova
- [system] Fix support of custom shape in createTheme (#26673) @varandasi

### `@material-ui/unstyled@5.0.0-alpha.37`

- [Slider] Improve TS definition (#26642) @mnajdova
- [FocusTrap] Capture nodeToRestore via relatedTarget (#26696) @eps1lon

### `@material-ui/icons@5.0.0-alpha.37`

- Revert "[icons] Only ship ES modules (#26310)" (#26656) @eps1lon

  The changes that we have tried in #26310 were breaking the integration with Next.js.

### `@material-ui/lab@5.0.0-alpha.37`

- [core] Remove unused useKeyDown (#26765) @eps1lon
- [DateTimePicker] Fix not visible selected tab icon (#26624) @nikitabobers

### Docs

- [blog] Michał Dudak joins Material UI (#26700) @oliviertassinari
- [docs] Migrate onepirate premium template to emotion part2 (#26707) @vicasas
- [docs] Fix TextField demo layout (#26710) @vicasas
- [docs] Improve Paperbase demo (#26711) @oliviertassinari
- [docs] Migrate onepirate premium template to emotion part1 (#26671) @vicasas
- [docs] Migrate paperbase premium template to emotion (#26658) @vicasas
- [List] Fix demo to have correct semantic (#26742) @siriwatknp

### Core

- [core] Monitore size of key system modules (#26712) @oliviertassinari
- [core] Batch small changes (#26738) @oliviertassinari
- [core] Batch small changes (#26628) @oliviertassinari
- [test] Ignore ReactDOM.render deprecation warning (#26683) @eps1lon
- [test] Run e2e test with React 18 on a schedule (#26690) @eps1lon
- [test] Count profiler renders not passive effects (#26678) @eps1lon
- [test] Bundling fixtures should not override source build with published build (#26657) @eps1lon
- [test] Make tests oblivious to StrictMode (#26654) @eps1lon

All contributors of this release in alphabetical order: @chadmuro, @eps1lon, @likitarai1, @mnajdova, @nikitabobers, @oliviertassinari, @robphoenix, @sakura90, @siriwatknp, @varandasi, @vicasas

## 5.0.0-alpha.36

<!-- generated comparing v5.0.0-alpha.35..next -->

_Jun 8, 2021_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- ⚒️ We've introduced a new `ListItemButton` component that should prevent common mistakes when using `<ListItem button />` and help with customization and TypeScript support (#26446) @siriwatknp.
- 👩‍🎤 `experimentalStyled` is now available without the `experimental` prefix.
  We're confident that its API shouldn't receive any major changes until the stable release of v5 (#26558) @mnajdova.
- 📦 `@material-ui/icons` only ships ES modules and no longer CommonJS modules.
  This reduces the download size of the package from 1.7 MB to 1.2 MB and install size from 15.6 MB to 6.7 MB (#26310) @eps1lon.
- 💄 Add support for [row and column spacing](https://mui.com/components/grid/#row-amp-column-spacing) in the Grid component (#26559) @likitarai1.
  <img width="549" alt="grid spacing demo" src="https://user-images.githubusercontent.com/3165635/121089288-383fa500-c7e7-11eb-8c43-53457b7430f1.png">

  Note that this feature was already available for [CSS grid users](https://mui.com/components/grid/#css-grid-layout) with the `rowGap` and `columnGap` props.

### `@material-ui/core@5.0.0-alpha.36`

#### Breaking changes

- [AppBar] Fix background color on dark mode (#26545) @siriwatknp

  The `color` prop has no longer any effect in dark mode. The app bar uses the background color required by the elevation to follow the [Material Design guidelines](https://m2.material.io/design/color/dark-theme.html). Use `enableColorOnDark` to restore the behavior of v4.

  ```jsx
  <AppBar enableColorOnDark />
  ```

- [core] Rename `experimentalStyled` to `styled` (#26558) @mnajdova

  Remove the experimental prefix, this module is going stable:

  ```diff
  -import { experimentalStyled as styled } from '@material-ui/core/styles';
  +import { styled } from '@material-ui/core/styles';
  ```

- [SwitchBase] Replace IconButton with ButtonBase (#26460) @siriwatknp
- [theme] Improve default `primary`, `secondary` and `error` theme palette (#26555) @siriwatknp

#### Changes

- [Box] Fix module 'clsx' not found in system (#26553) @coder-freestyle
- [Box] Fix runtime error when using styled-components without ThemeProvider (#26548) @mnajdova
- [Radio][checkbox] Don't forward `color` to DOM elements (#26625) @siriwatknp
- [Dialog] Flatten DialogTitle DOM structure, remove `disableTypography` (#26323) @eps1lon
- [Grid] Add rowSpacing and columnSpacing props (#26559) @likitarai1
- [List] extract button from ListItem to ListItemButton (#26446) @siriwatknp
- [Popover] Fix PaperProps.ref breaking positioning (#26560) @vedadeepta
- [Rating] onChangeActive shouldn't be fired on blur/focus (#26584) @coder-freestyle
- [Select] Fix custom font size centering arrow (#26570) @sarahannnicholson
- [styled] Convert implicit styleProps to explicit (#26461) @mnajdova@siriwatknp
- [Tabs] Fix RTL indicator (#26470) @siriwatknp
- [Tabs] Fix arrow rotation in vertical & RTL (#26527) @siriwatknp
- [TextField] Fix support for custom `size` prop value (#26585) @coder-freestyle
- [Tooltip] Finish exiting once started (#26535) @eps1lon

### `@material-ui/icons@5.0.0-alpha.36`

#### Breaking changes

- [icons] Only ship ES modules (#26310) @eps1lon

  The `require()` of `@material-ui/icons` is no longer supported.
  This should not affect you if you're using a bundler like `webpack` or `snowpack` or meta frameworks like `next` or `gatsby`.

### `@material-ui/lab@5.0.0-alpha.36`

#### Breaking changes

- [pickers] Remove `openPickerIcon` prop in favor of `components.OpenPickerIcon` (#26223) @vedadeepta

  ```diff
   <DateTimePicker
     components={{
       LeftArrowIcon: AlarmIcon,
       RightArrowIcon: SnoozeIcon,
  +    OpenPickerIcon: ClockIcon,
     }}
  -  openPickerIcon={<ClockIcon />}
   >
  ```

### `@material-ui/system@5.0.0-alpha.36`

- [system] Add createTheme util (#26490) @mnajdova

### Docs

- [docs] Migrate templates to emotion (#26604) @vicasas
- [docs] Remove custom primary & secondary color (#26541) @siriwatknp
- [docs] Don't escape prop descriptions for markdown table context (#26579) @eps1lon
- [docs] Prepare for data grid auto-generated docs (#26477) @m4theushw
- [docs] Fix typo sx !== xs (#26596) @onpaws
- [docs] Multiple select demos moving when selecting values (#26539) @itsnorbertkalacska
- [docs] Improve migration guide for `@material-ui/styles` (#26552) @mnajdova
- [docs] `Rating` `value` is nullable in `onChange` (#26542) @sakura90
- [example] Remove the dependency on @material-ui/styles (#26567) @garfunkelvila

### Core

- [core] Ignore latest prettier run in git-blame @eps1lon
- [core] Format @eps1lon
- [test] Add bundle fixtures (#23166) @eps1lon

All contributors of this release in alphabetical order: @coder-freestyle, @eps1lon, @garfunkelvila, @itsnorbertkalacska, @likitarai1, @m4theushw, @michaldudak, @mnajdova, @onpaws, @sakura90, @sarahannnicholson, @siriwatknp, @vedadeepta, @vicasas

## 5.0.0-alpha.35

<!-- generated comparing v5.0.0-alpha.34..next -->

_May 31, 2021_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 We have completed the migration to emotion of all the components (`@material-ui/core` and `@material-ui/lab`) @siriwatknp, @mnajdova.
- 📦 Save [10 kB gzipped](https://bundlephobia.com/package/@material-ui/core@5.0.0-alpha.34) by removing the dependency on `@material-ui/styles` (JSS) from the core and the lab (#26377, #26382, #26376) @mnajdova.
- ⚒️ Add many new [codemods](https://github.com/mui/material-ui/blob/v5.0.0/packages/mui-codemod/README.md) to automate the migration from v4 to v5 (#24867) @mbrookes.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.35`

#### Breaking changes

- [styles] Remove `makeStyles` from `@material-ui/core` (#26382) @mnajdova

  The `makeStyles` JSS utility is no longer exported from `@material-ui/core`. You can use `@material-ui/styles` instead. Make sure to add a `ThemeProvider` at the root of your application, as the `defaultTheme` is no longer available. If you are using this utility together with `@material-ui/core`, it's recommended you use the `ThemeProvider` component from `@material-ui/core` instead.

  ```diff
  -import { makeStyles } from '@material-ui/core/styles';
  +import { makeStyles } from '@material-ui/styles';
  +import { createTheme, ThemeProvider } from '@material-ui/core/styles';

  +const theme = createTheme();
   const useStyles = makeStyles((theme) => ({
     background: theme.palette.primary.main,
   }));
   function Component() {
     const classes = useStyles();
     return <div className={classes.root} />
   }

   // In the root of your app
   function App(props) {
  -  return <Component />;
  +  return <ThemeProvider theme={theme}><Component {...props} /></ThemeProvider>;
   }
  ```

- [styles] Remove `withStyles` from `@material-ui/core` (#26377) @mnajdova

  The `withStyles` JSS utility is no longer exported from `@material-ui/core`. You can use `@material-ui/styles` instead. Make sure to add a `ThemeProvider` at the root of your application, as the `defaultTheme` is no longer available. If you are using this utility together with `@material-ui/core`, you should use the `ThemeProvider` component from `@material-ui/core` instead.

  ```diff
  -import { withStyles } from '@material-ui/core/styles';
  +import { withStyles } from '@material-ui/styles';
  +import { createTheme, ThemeProvider } from '@material-ui/core/styles';

  +const defaultTheme = createTheme();
   const MyComponent = withStyles((props) => {
     const { classes, className, ...other } = props;
     return <div className={clsx(className, classes.root)} {...other} />
   })(({ theme }) => ({ root: { background: theme.palette.primary.main }}));

   function App() {
  -  return <MyComponent />;
  +  return <ThemeProvider theme={defaultTheme}><MyComponent /></ThemeProvider>;
   }
  ```

- [styles] Merge options in `experimentalStyled` (#26396) @mnajdova

  The options inside the `experimentalStyled` module are now merged under one object. In the coming weeks, we will rename ths module: `styled()` to signal that it's no longer experimental.

  ```diff
  -experimentalStyled(Button, { shouldForwardProp: (prop) => prop !== 'something' }, { skipSx: true })(...);
  +experimentalStyled(Button, { shouldForwardProp: (prop) => prop !== 'something', skipSx: true })(...);
  ```

- [Tabs] Update `min` & `max` width and remove `minWidth` media query (#26458) @siriwatknp

  Update the implementation to better match Material Design:

  - Tab `minWidth` changed from `72px` => `90px` (without media-query) according to [material-design spec](https://m2.material.io/components/tabs#specs)
  - Tab `maxWidth` changed from `264px` => `360px` according to [material-design spec](https://m2.material.io/components/tabs#specs)

#### Changes

- [ButtonBase] Fix role="button" attribute (#26271) @Gautam-Arora24
- [Dialog] Fix support for custom breakpoints (#26331) @jeferson-sb
- [Select] Open popup below button (#26200) @oliviertassinari
- [TextField] Add variants support, for example custom sizes (#26468) @siriwatknp
- [Tooltip] Improve handling of small vs. touch screens (#26097) @oliviertassinari

### `@material-ui/codemod@5.0.0-alpha.35`

- [codemod] Add multiple codemods to migrate components from v4 to v5 (#24867) @mbrookes
- [codemod] Correct path and add target placeholder (#26414) @mbrookes

### `@material-ui/icons@5.0.0-alpha.35`

- [icons] Use array children instead of React fragments (#26309) @eps1lon

  Reduce a bit the size of the package.

### `@material-ui/system@5.0.0-alpha.35`

We are progressively moving all modules that are relevant to styling custom design systems in this package. It's meant to be complementary with `@material-ui/unstyled`.

- [system] Add Box to system (#26379) @mnajdova
- [system] Add createStyled utility (#26485) @mnajdova

### `@material-ui/styled-engine-sc@5.0.0-alpha.35`

- [styled-engine] Fix styled() util to respect `options` (#26339) @pasDamola

### `@material-ui/lab@5.0.0-alpha.35`

#### Breaking changes

- [pickers] Remove allowKeyboardControl (#26451) @eps1lon
- [ClockPicker] Rework keyboard implementation (#26400) @eps1lon

  Remove the `allowKeyboardControl` prop from ClockPicker (and TimePicker and variants). Keyboard navigation now works by default.

#### Changes

- [Button] Migrate LoadingButton to emotion (#26370) @siriwatknp
- [ClockPicker] Selected option is the active descendant (#26411) @eps1lon
- [DatePicker] Migrate CalendarPicker to emotion (#26390) @siriwatknp
- [DatePicker] Migrate CalendarPickerSkeleton to emotion (#26335) @siriwatknp
- [DateRangePicker] Migrate DateRangePickerDay to emotion (#26368) @siriwatknp
- [DateRangePicker] Migrate internal components to emotion (#26326) @siriwatknp
- [pickers] Migrate PickersCalendarHeader to emotion (#26354) @siriwatknp
- [pickers] Migrate PickersModalDialog to emotion (#26355) @siriwatknp
- [pickers] Migrate PickersPopper to emotion (#26391) @siriwatknp
- [pickers] Migrate PickersTransition to emotion (#26353) @siriwatknp
- [TimePicker] Migrate ClockPicker to emotion (#26389) @siriwatknp
- [TreeView] Correctly select items in deeply nested trees (#26413) @Dru89

### Docs

- [docs] Add page for `experimentalStyled()` (#26361) @mnajdova
- [docs] Add TypeScript convention (#26259) @siriwatknp
- [docs] Add warning about git-blame-ignore-revs (#26487) @eps1lon
- [docs] Clarify migration from Hidden (#26348) @m4theushw
- [docs] Fix grammar for style library page (#26325) @mbrookes
- [docs] Persist copied state indefinitely or until the user moves their cursor (#26336) @eps1lon
- [docs] Typo in MultipleSelect (#26466) @wolfykey
- [docs] Update system installation for v5 (#26481) @mnajdova
- [template] Demo how to retreive form value (#26393) @akshitsuri

### Core

- [core] Batch small changes (#26434) @oliviertassinari
- [core] Fix peer dependencies declaration with yarn v2 (#26433) @oliviertassinari
- [core] Remove `@material-ui/styles` dependencies from declaration files too (#26376) @mnajdova
- [core] Revert Leverage CircleCI workspaces for jobs after checkout (#26444) @eps1lon
- [test] Don't hoist constant elements (#26448) @eps1lon
- [test] Fix prop-type warning (#26432) @oliviertassinari
- [test] Flush scheduled effects before user event returns (#26447) @eps1lon
- [test] Move ClockPicker tests to ClockPicker.test (#26407) @eps1lon
- [test] setProps from createPickerRender should set props on the rendered element (#26405) @eps1lon
- [utils] Convert useId to TypeScript (#26491) @eps1lon

All contributors of this release in alphabetical order: @akshitsuri, @DanailH, @Dru89, @eps1lon, @Gautam-Arora24, @jeferson-sb, @m4theushw, @mbrookes, @mnajdova, @oliviertassinari, @pasDamola, @siriwatknp, @wolfykey

## 5.0.0-alpha.34

_May 18, 2021_

<!-- generated comparing v5.0.0-alpha.33..next -->

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 💥 Make progress with the breaking changes. We have done 89 of the 109 changes [planned](https://github.com/mui/material-ui/issues/20012). We will release 5.0.0-beta.0 on July 1st and start to promote its usage over v4. You can also follow [our milestone](https://github.com/mui/material-ui/milestone/35) for more details.
- 🚀 Make progress with components migration to emotion. We have done 153 of the 168 components (almost there!)
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.34`

#### Breaking change

- [Select][nativeselect] Polish CSS classes (#26186) @m4theushw

  **Select, NativeSelect**

  Merge the `selectMenu` slot into `select`. Slot `selectMenu` was redundant. The `root` slot is no longer applied to the select, but to the root.

  ```diff
  -<NativeSelect classes={{ root: 'class1', select: 'class2', selectMenu: 'class3' }} />
  +<NativeSelect classes={{ select: 'class1 class2 class3' }} />
  ```

  **TablePagination**

  Move the custom class on `input` to `select`. The `input` key is being applied on another element.

  ```diff
   <TablePagination
  -  classes={{ input: 'foo' }}
  +  classes={{ select: 'foo' }}
   />
  ```

- [core] Move `StyledEngineProvider` to `@material-ui/core/styles` (#26265) @mnajdova

  Change location of `StyledEngineProvider` import.

  ```diff
  -import StyledEngineProvider from '@material-ui/core/StyledEngineProvider';
  +import { StyledEngineProvider } from '@material-ui/core/styles';
  ```

- [Autocomplete] Apply .Mui-focused instead of data-focus on the focused option (#26181) @m4theushw

  The `data-focus` attribute is not set on the focused option anymore, instead, global class names are used.

  ```diff
  -'.MuiAutocomplete-option[data-focus="true"]': {
  +'.MuiAutocomplete-option.Mui-focused': {
  ```

- [Radio] Make color primary default (#26180) @vicasas
- [Switch] Make color primary default (#26182) @vicasas
- [pickers] Drop ResponsiveWrapper usage (#26123) @eps1lon

  When a responsive picker changes from mobile to desktop, it will now clear its entire state. To keep the original behavior you can implement a controlled picker:

  ```js
  function ResponsiveDateTimePicker(props) {
    const [open, setOpen] = React.useState(false);

    return (
      <DateTimePicker
        open={open}
        onClose={() => setOpen(false)}
        onOpen={() => setOpen(true)}
        {...props}
      />
    );
  }
  ```

- [Autocomplete] Rename getOptionSelected to isOptionEqualToValue (#26173) @m4theushw

  ```diff
   <Autocomplete
  -  getOptionSelected={(option, value) => option.title === value.title}
  +  isOptionEqualToValue={(option, value) => option.title === value.title}
   />
  ```

> Follow [this link](https://mui.com/material-ui/migration/migration-v4/) for full migration from v4 => v5

#### Changes

- [TextField] Fix hiddenLabel type of FilledInput (#26290) @siriwatknp
- [TextField] Fix classes forward to InputBase (#26231) @arpitBhalla
- [Autocomplete] Fix missing 'createOption' in AutocompleteCloseReason type (#26197) @Gautam-Arora24
- [Autocomplete] Reduce CSS specificity by 1 (#26238) @Gautam-Arora24
- [ButtonBase] Omit aria-disabled if not disabled (#26189) @Gautam-Arora24
- [colors] Fix A inconsistencies (#26196) @oliviertassinari
- [examples] Fix dynamic global styles & global styles leak in the ssr examples (#26177) @mnajdova
- [Slider] Fix support for non primary colors (#26285) @davidfdriscoll
- [Slider] Center value label for disabled slider (#26257) @davidfdriscoll
- [styled-engine] Fix styled-components not supporting empty style (#26098) @ruppysuppy
- [styles] Fix overrides type issues (#26228) @mnajdova
- [Container] Fix support for custom breakpoints (#26328) @alanszp

### `@material-ui/lab@5.0.0-alpha.34`

- [pickers] Migrate TimePickerToolbar to emotion (#26274) @siriwatknp
- [pickers] Migrate DatePickerToolbar to emotion (#26292) @siriwatknp
- [DateTimePicker] Migrate DateTimePickerTabs and Toolbar to emotion (#26327) @siriwatknp
- [DatePicker] Migrate PickersYear to emotion (#25949) @siriwatknp
- [DateRangePicker] Migrate PickersToolbarText to emotion (#25983) @siriwatknp
- [pickers] Migrate StaticWrapper to emotion (#26275) @siriwatknp
- [pickers] Migrate Clock to emotion (#26278) @siriwatknp
- [pickers] Migrate PickersToolbar to emotion (#26273) @siriwatknp
- [pickers] Migrate ClockNumber to emotion (#26058) @siriwatknp
- [pickers] Migrate ClockPointer to emotion (#26057) @siriwatknp
- [pickers] Migrate PickersMonth to emotion (#26021) @siriwatknp
- [pickers] Migrate MonthPicker to emotion (#26025) @siriwatknp
- [pickers] Migrate PickersDay to emotion (#25995) @siriwatknp
- [pickers] Migrate PickersToolbarButton to emotion (#25989) @siriwatknp

### `@material-ui/icons@5.0.0-alpha.34`

- [icons] Remove extraneous React.Fragment (#26308) @eps1lon
- [icons] Synchronize icons (#26302) @eps1lon

  New DriveFileMove icon and its variants

### Docs

- [NProgressBar] Fix invalid ARIA and HTML (#26234) @eps1lon
- [docs] Simplify demos slider (#26324) @oliviertassinari
- [docs] Use transpiled icons directly (#26268) @eps1lon
- [docs] Remove dependency on withStyles from @material-ui/core/styles (#26269) @mnajdova
- [docs] Add Jalali date picker demo (#26243) @smmoosavi
- [docs] Remove last dependencies on `makeStyles` from `@material-ui/core/styles` (#26246) @mnajdova
- [docs] Polish the pickers demo (#26094) @oliviertassinari
- [docs] Fix broken overrides link on API pages (#26244) @mnajdova
- [docs] Improve documentation for Buttons (#26184) @arpitBhalla
- [docs] Emphasize on props for screen readers (#26222) @atisheyJain03
- [docs] Link third-party routing in Bottom navigation (#26190) @arpitBhalla
- [docs] Migrate Select, Progress demos to emotion (#26178) @mnajdova
- [docs] Add accessibility section to Badges (#26009) @likitarai1
- [docs] Migrate Popper, Drawer demos to emotion (#26183) @mnajdova
- [docs] Use public next/router events API (#26233) @eps1lon
- [docs] Remove remnants Hidden component (#26191) @vicasas
- [docs] Ensure TreeView demos don't overflow demo container (#26161) @eps1lon
- [docs] Fix a typo in the import statement of LocalizationProvider (#26226) @huyenltnguyen
- [docs] Improve react-admin coverage in the showcase (#26169) @fzaninotto
- [docs] Fix Workbox that are causing infinite loading of site (#26193) @arpitBhalla

### Core

- [core] Skip sx prop in internal components (#26235) @mnajdova
- [core] Remove `withStyles` dependencies from `@material-ui/core/styles` (#26277) @mnajdova
- [core] Include human readable target in the BrowserStack build (#26322) @eps1lon
- [core] Fix NotchedOutlineProps type (#26305) @gnowland
- [core] Add file for git-blame --ignore-revs-file (#26295) @eps1lon
- [core] Ensure component class keys aren't missing (#25754) @eps1lon
- [core] Drop support for blocking mode (#26262) @eps1lon
- [core] Don't download monorepo packages (#26261) @eps1lon
- [core] Batch small changes (#26199) @oliviertassinari
- [core] Extract classes descriptions from TypeScript (#25933) @eps1lon
- [styled-engine] Fix test script (#26258) @ruppysuppy

All contributors of this release in alphabetical order: @arpitBhalla, @atisheyJain03, @davidfdriscoll, @eps1lon, @fzaninotto, @Gautam-Arora24, @gnowland, @huyenltnguyen, @likitarai1, @m4theushw, @mnajdova, @oliviertassinari, @ruppysuppy, @siriwatknp, @smmoosavi, @vicas

## 5.0.0-alpha.33

_May 9, 2021_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 💥 Make progress with the breaking changes. We have done 81 of the 109 changes [planned](https://github.com/mui/material-ui/issues/20012). We will release 5.0.0-beta.0 on July 1st and start to promote its usage over v4. You can also follow [our milestone](https://github.com/mui/material-ui/milestone/35) for more details.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.33`

#### Breaking changes

- [core] Remove deprecated innerRef prop (#26028) @m4theushw

  **withStyles**

  Replace the `innerRef` prop with the `ref` prop. Refs are now automatically forwarded to the inner component.

  ```diff
   import * as React from 'react';
   import { withStyles } from '@material-ui/core/styles';

   const MyComponent = withStyles({
     root: {
       backgroundColor: 'red',
     },
   })(({ classes }) => <div className={classes.root} />);

   function MyOtherComponent(props) {
     const ref = React.useRef();
  -  return <MyComponent innerRef={ref} />;
  +  return <MyComponent ref={ref} />;
   }
  ```

  **withTheme**

  Replace the `innerRef` prop with the `ref` prop. Refs are now automatically forwarded to the inner component.

  ```diff
   import * as React from 'react';
   import { withTheme } from '@material-ui/core/styles';

   const MyComponent = withTheme(({ theme }) => <div>{props.theme.direction}</div>);

   function MyOtherComponent(props) {
     const ref = React.useRef();
  -  return <MyComponent innerRef={ref} />;
  +  return <MyComponent ref={ref} />;
   }
  ```

- [theme] Rename `createMuiTheme()` to `createTheme()` (#25992) @m4theushw

  Developers only need one theme in their application. A prefix would suggest a second theme is needed. It's not the case. `createMuiTheme` will be removed in v6.

  ```diff
  -import { createMuiTheme } from '@material-ui/core/styles';
  +import { createTheme } from '@material-ui/core/styles';

  -const theme = createMuiTheme({
  +const theme = createTheme({
  ```

- [theme] Remove MuiThemeProvider alias (#26171) @m4theushw

  The `MuiThemeProvider` is no longer exported. Use `ThemeProvider` instead. It was removed from the documentation during v4-beta, 2 years ago.

  ```diff
  -import { MuiThemeProvider } from '@material-ui/core/styles';
  +import { ThemeProvider } from '@material-ui/core/styles';
  ```

- [Box] Remove the `clone` prop (#26031) @m4theushw

  Its behavior can be obtained using the `sx` prop.

  ```diff
  -<Box sx={{ border: '1px dashed grey' }} clone>
  -  <Button>Save</Button>
  -</Box>
  +<Button sx={{ border: '1px dashed grey' }}>Save</Button>
  ```

- [Box] Remove render prop (#26113) @m4theushw

  Its behavior can be obtained using the `sx` prop directly on the child if it's a Material UI component. For non-Material UI components use the `sx` prop in conjunction with the `component` prop:

  ```diff
  -<Box sx={{ border: '1px dashed grey' }}>
  -  {(props) => <Button {...props}>Save</Button>}
  -</Box>
  +<Button sx={{ border: '1px dashed grey' }}>Save</Button>
  ```

  ```diff
  -<Box sx={{ border: '1px dashed grey' }}>
  -  {(props) => <button {...props}>Save</button>}
  -</Box>
  +<Box component="button" sx={{ border: '1px dashed grey' }}>Save</Box>
  ```

- [Checkbox] Make color="primary" default (#26002) @vicasas

  This better matches the Material Design guidelines.

  ```diff
  -<Checkbox />
  +<Checkbox color="secondary />
  ```

- [Select] Remove `labelWidth` prop (#26026) @m4theushw

  The `label` prop now fulfills the same purpose, using CSS layout instead of JavaScript measurement to render the gap in the outlined. The TextField already handles it by default.

  ```diff
  -<Select variant="outlined" labelWidth={20} />
  +<Select label="Gender" />
  ```

- [core] Remove `styled` JSS utility from `@material-ui/core/styles` (#26101) @mnajdova

  The `styled` **JSS** utility is no longer exported from `@material-ui/core/styles`. You can use `@material-ui/styles/styled` instead. Make sure to add a `ThemeProvider` at the root of your application, as the `defaultTheme` is no longer available. If you are using this utility together with `@material-ui/core`, it's recommended you use the `ThemeProvider` component from `@material-ui/core/styles` instead.

  ```diff
  -import { styled } from '@material-ui/core/styles';
  +import { styled } from '@material-ui/styles';
  +import { createTheme, ThemeProvider } from '@material-ui/core/styles';

  +const theme = createTheme();
   const MyComponent = styled('div')(({ theme }) => ({ background: theme.palette.primary.main }));

   function App(props) {
  -  return <MyComponent />;
  +  return <ThemeProvider theme={theme}><MyComponent {...props} /></ThemeProvider>;
   }
  ```

  For new components, you can instead use the `experimentalStyled()` helper powered by emotion/sc.

  ```jsx
  import { experimentalStyled as styled } from '@material-ui/core/styles';
  ```

- [Hidden] Remove component (#26135) @m4theushw

  Removed in favor of using the `sx` prop or the `useMediaQuery` hook.

  Use the `sx` prop to replace `implementation="css"`:

  ```diff
  -<Hidden implementation="css" xlUp><Paper /></Hidden>
  -<Hidden implementation="css" xlUp><button /></Hidden>
  +<Paper sx={{ display: { xl: 'none', xs: 'block' } }} />
  +<Box component="button" sx={{ display: { xl: 'none', xs: 'block' } }} />
  ```

  ```diff
  -<Hidden implementation="css" mdDown><Paper /></Hidden>
  -<Hidden implementation="css" mdDown><button /></Hidden>
  +<Paper sx={{ display: { xs: 'none', md: 'block' } }} />
  +<Box component="button" sx={{ display: { xs: 'none', md: 'block' } }} />
  ```

  Use the `useMediaQuery` hook to replace `implementation="js"`:

  ```diff
  -<Hidden implementation="js" xlUp><Paper /></Hidden>
  +const hidden = useMediaQuery(theme => theme.breakpoints.up('xl'));
  +return hidden ? null : <Paper />;
  ```

- [withWidth] Remove API (#26136) @m4theushw

  Removed in favor of the `useMediaQuery` hook. You can reproduce the same functionality creating a custom hook as described [here](https://mui.com/components/use-media-query/#migrating-from-withwidth).

- [Autocomplete] Rename values of the reason argument (#26172) @m4theushw

  Rename the values of the reason argument in `onChange` and `onClose` for consistency:

  1. `create-option` to `createOption`
  2. `select-option` to `selectOption`
  3. `remove-option` to `removeOption`

- [core] Remove `withTheme` from `@material-ui/core` (#26051) @mnajdova

  The `withTheme` utility has been removed from the `@material-ui/core/styles` package. You can use the `@material-ui/styles/withTheme` instead. Make sure to add a `ThemeProvider` at the root of your application, as the `defaultTheme` is no longer available. If you are using this utility together with `@material-ui/core`, it's recommended you use the `ThemeProvider` from `@material-ui/core/styles` instead.

  ```diff
   import * as React from 'react';
  -import { withTheme } from '@material-ui/core/styles';
  +import { withTheme } from '@material-ui/styles';
  +import { createTheme, ThemeProvider } from '@material-ui/core/styles';

  +const theme = createTheme();
   const MyComponent = withTheme(({ theme }) => <div>{props.theme.direction}</div>);

   function App(props) {
  -  return <MyComponent />;
  +  return <ThemeProvider theme={theme}><MyComponent {...props} /></ThemeProvider>;
   }
  ```

- [core] Remove `createStyles` from `@material-ui/core` (#26018) @mnajdova

  - The `createGenerateClassName` module is no longer exported from `@material-ui/core/styles`. You should import it directly from `@material-ui/styles`.

  ```diff
  -import { createGenerateClassName } from '@material-ui/core/styles';
  +import { createGenerateClassName } from '@material-ui/styles';
  ```

  - The `jssPreset` object is no longer exported from `@material-ui/core/styles`. You should import it directly from `@material-ui/styles`.

  ```diff
  -import { jssPreset } from '@material-ui/core/styles';
  +import { jssPreset } from '@material-ui/styles';
  ```

  - The `ServerStyleSheets` component is no longer exported from `@material-ui/core/styles`. You should import it directly from `@material-ui/styles`.

  ```diff
  -import { ServerStyleSheets } from '@material-ui/core/styles';
  +import { ServerStyleSheets } from '@material-ui/styles';
  ```

- The `StylesProvider` component is no longer exported from `@material-ui/core/styles`. You should import it directly from `@material-ui/styles`.

  ```diff
  -import { StylesProvider } from '@material-ui/core/styles';
  +import { StylesProvider } from '@material-ui/styles';
  ```

- The `useThemeVariants` hook is no longer exported from `@material-ui/core/styles`. You should import it directly from `@material-ui/styles`.

  ```diff
  -import { useThemeVariants } from '@material-ui/core/styles';
  +import { useThemeVariants } from '@material-ui/styles';
  ```

- [FormControlLabel] The `label` prop is now required.

#### Changes

- [Dialog] Improve support for custom breakpoints (#26092) @oliviertassinari
- [IconButton] Fix default color prop (#26064) @Jack-Works
- [Radio] Migrate RadioButtonIcon to emotion (#26068) @mnajdova
- [SwipeableDrawer] Migrate SwipeArea to emotion (#26059) @mnajdova
- [Table] Synchronize horizontal sticky header position with body (#26159) @LiKang6688
- [Tabs] Fix support for null children in TabList (#26170) @hubertokf
- [Tabs] Fix keyboard traversal over disabled tabs (#26061) @anish-khanna
- [TextField] Fix missing `standard` variant classes in types (#26115) @siriwatknp
- [TextField] Allow to customize Typography in FormControlLabel (#25883) @mousemke
- [theme] Fix transition duration default value customization (#26054) @anshuman9999

### `@material-ui/lab@5.0.0-alpha.33`

#### Breaking changes

- [Timeline] Add support for position override on items (#25974) @simonecervini

  Rename the `align` prop to `position` to reduce confusion.

  ```diff
  -<Timeline align="alternate">
  +<Timeline position="alternate">
  ```

  ```diff
  -<Timeline align="left">
  +<Timeline position="right">
  ```

  ```diff
  -<Timeline align="right">
  +<Timeline position="left">
  ```

- [pickers] Remove customization of deep components (#26118) @eps1lon

#### Changes

- [DatePicker] Migrate YearPicker to emotion (#25928) @siriwatknp
- [DateRangePicker] Fix not being opened on click (#26016) @eps1lon
- [pickers] Fix ref types (#26121) @eps1lon
- [pickers] Rely on native behavior for disabled/readOnly behavior (#26055) @eps1lon
- [pickers] Remove unused components from mobile and desktop variants (#26066) @eps1lon
- [pickers] Document readonly/disabled pickers (#26056) @eps1lon
- [pickers] Remove unused components from static variants (#26052) @eps1lon
- [pickers] Toggle mobile keyboard view in the same commit as the view changes (#26017) @eps1lon
- [pickers] Remove redundant aria-hidden (#26014) @eps1lon
- [pickers] Ensure input value is reset in the same commit as the value (#25972) @eps1lon
- [internal][pickers] Pass desktop wrapper props explicitly (#26120) @eps1lon
- [internal][pickers] Move useInterceptProps into module (#26090) @eps1lon
- [internal][pickers] Explicit default toolbar components (#26075) @eps1lon
- [internal][pickers] Move validation from config to module (#26074) @eps1lon
- [internal][pickers] Minimal types for defaultizing in useInterceptProps (#26063) @eps1lon
- [internal][pickers] Don't validate inputFormat in production (#26053) @eps1lon
- [internal][pickers] Remove unused styles (#26023) @eps1lon
- [internal][pickers] Remove `AllSharedPickerProps` and `AllSharedDateRangePickerProps` (#26005) @eps1lon

### Docs

- [docs] Migrate Tabs, Table, Snackbar demos to emotion (#26175) @mnajdova
- [docs] Fix dynamic global styles (#25690) @mnajdova
- [docs] Fixed React.forwardRef missing display name ESLint error (#26160) @arpitBhalla
- [docs] Migrate Tooltip, Steppers demos to emotion (#26165) @mnajdova
- [docs] Migrate Dialog demos to emotion (#26162) @vicasas
- [docs] Remove `makeStyles` from landing pages (#26130) @mnajdova
- [docs] Add new customized switch examples (#26096) @DanielBretzigheimer
- [docs] Migrate Autocomplete demos (#26127) @mnajdova
- [docs] Remove `@material-ui/core/styles` from the styles pages (#26126) @mnajdova
- [docs] Update templates, premium-themes to use `makeStyles` from `@material-ui/styles` (#26131) @mnajdova
- [docs] Migrate TreeView demos (#26146) @mnajdova
- [docs] More explicit breakpoint documentation in `sx` (#26140) @eps1lon
- [docs] Explicitly describe how the media query affects the rendered version (#26129) @eps1lon
- [docs] Fix 301 link to store (#26095) @oliviertassinari
- [docs] Normalize name use for state in pickers demo (#26093) @oliviertassinari
- [docs] Consistent type name in docs (#26077) @jamesaucode
- [docs] Remove `makeStyles` dependency from core in modules (#26071) @mnajdova
- [docs] Add links for demo in different deploys (#26065) @eps1lon
- [docs] Add section for useFormControl (#25927) @t49tran
- [docs] Add Styled Engine page (#25911) @mnajdova
- [docs] Migrate Timeline demos to emotion (#26036) @vicasas
- [docs] Document all the colors available (#26015) @anshuman9999
- [docs] Avoid extracting classes twice (#25973) @oliviertassinari

### Core

- [test] Add test for behavior when picker variant changes (#26128) @eps1lon
- [test] testing-library patterns for playwright tests (#25860) @eps1lon
- [test] Remove scheduler/tracing (#26062) @eps1lon
- [test] Remove duplicate property (#26011) @eps1lon
- [core] Link to experimental size-comparison page (#26179) @eps1lon
- [core] Update typings for theme's components (#26125) @mnajdova
- [core] Improve `react@experimental` compat (#26116) @eps1lon
- [core] Remove more dependencies on `@material-ui/styles` (#26100) @mnajdova
- [core] Batch small changes (#26083) @oliviertassinari
- [core] ComponentType -> JSXElementConstructor (#26081) @eps1lon
- [core] Create new @material-ui/private-theming package (#25986) @mnajdova

All contributors of this release in alphabetical order: @anish-khanna, @anshuman9999, @arpitBhalla, @DanielBretzigheimer, @eps1lon, @hubertokf, @Jack-Works, @jamesaucode, @LiKang6688, @m4theushw, @mnajdova, @mousemke, @oliviertassinari, @simonecervini, @siriwatknp, @t49tran, @vicasas

## 5.0.0-alpha.32

<!-- generated comparing v5.0.0-alpha.31..next -->

_Apr 27, 2021_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 We have completed the migration to emotion of all components in `@material-ui/core`. We will focus on the components in `@material-ui/lab` next.
- 💥 Make progress with the breaking changes plan. We have done 38 out of 41 breaking changes that can be deprecated. We have done 21 out of the 39 that can't have deprecations. Once done, we will focus on updating the component for better following material design, and to improve the aesthetic.
- 💄 Support extending the theme for custom color and size values in all components.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.32`

#### Breaking changes

- [Table] Rename padding="default" to padding="normal" (#25924) @m4theushw

  ```diff
  -<Table padding="default" />
  -<TableCell padding="default" />
  +<Table padding="normal" />
  +<TableCell padding="normal" />
  ```

- [Button] Rename `pending` prop to `loading` in LoadingButton (#25874) @m4theushw

  ```diff
  -<LoadingButton pending pendingIndicator="Pending…" pendingPosition="end" />
  +<LoadingButton loading loadingIndicator="Pending…" loadingPosition="end" />
  ```

- [ButtonBase] Remove buttonRef prop (#25896) @m4theushw

  ```diff
  -<ButtonBase buttonRef={ref} />
  +<ButtonBase ref={ref} />
  ```

  ```diff
  -<Button buttonRef={ref} />
  +<Button ref={ref} />
  ```

- [Checkbox][switch] Remove checked argument from onChange (#25871) @m4theushw

  ```diff
   function MyCheckbox() {
  -  const handleChange = (event: React.ChangeEvent<HTMLInputElement>, checked: boolean) => {
  +  const handleChange = (event: React.ChangeEvent<HTMLInputElement>) => {
  +    const checked = event.target.checked;
     };
     return <Checkbox onChange={handleChange} />;
   }
  ```

  ```diff
   function MySwitch() {
  -  const handleChange = (event: React.ChangeEvent<HTMLInputElement>, checked: boolean) => {
  +  const handleChange = (event: React.ChangeEvent<HTMLInputElement>) => {
  +    const checked = event.target.checked;
     };
     return <Switch onChange={handleChange} />;
   }
  ```

- [theme] Remove theme.breakpoints.width helper (#25918) @m4theushw

  ```diff
  -theme.breakpoints.width('md')
  +theme.breakpoints.values.md
  ```

- [theme] Remove theme.typography.round helper (#25914) @m4theushw

  The `theme.typography.round` helper was removed because it was no longer used. If you need it, use the function below:

  ```js
  function round(value) {
    return Math.round(value * 1e5) / 1e5;
  }
  ```

#### Changes

- [Container] Fix maxWidth="false" resulting in incorrect css (#25869) @mnajdova
- [core] Improve support for extended props in theme (#25934) @vicasas
- [core] Fix various too wide `classes` types (AppBar, Card, Link, LoadingButton, MenuItem) (#25917) @eps1lon
- [Drawer] Fix classes forwarded to DOM node for docked drawer (#25870) @mnajdova
- [IconButton] Support custom colors and sizes (#25890) @Vikram710
- [l10n] Add Bengali (bnBD) locale (#25841) @Knoxo
- [Rating] Support custom sizes (#25922) @vicasas
- [Select] Fix classes leaking on the DOM (#25894) @siriwatknp
- [Stack] Fix support of spacing falsy values (#25937) @simonecervini
- [Table] Migrate TablePagination to emotion (#25809) @siriwatknp
- [Tabs] Migrate Tabs to emotion (#25824) @siriwatknp
- [TextField] Remove utlity class name for margin="none" (#25969) @oliviertassinari
- [TextField] Make the `position` prop required in InputAdornment (#25891) @m4theushw
- [theme] Remove fade color helper (#25895) @m4theushw

### `@material-ui/lab@5.0.0-alpha.32`

- [DateTimePicker] `date` is nullable in `onChange` (#25981) @eps1lon
- [internal][pickers] Remove unused TView type argument (#25936) @eps1lon
- [internal][pickers] Inline some BasePickerProps usages (#25971) @eps1lon
- [internal][pickers] Entangle what Props vs AllProps means (#25938) @eps1lon
- [lab] Update slot components to use overridesResolver (#25906) @mnajdova
- [Timeline] Remove use of nth-child in favor of nth-of-type (#25915) @wellwellmissesanderson
- [Timeline] Migrate Timeline to emotion (#25838) @siriwatknp
- [TreeView] Migrate TreeItem to emotion (#25835) @siriwatknp

### `@material-ui/styled-engine@5.0.0-alpha.32`

- [styled-engine] Skip variants resolver for non root slots by default (#25865) @mnajdova

### `@material-ui/system@5.0.0-alpha.32`

- [system] Add missing `main` entry for styleFunctionSx (#25885) @eps1lon

### `@material-ui/types@6.0.0`

This package is just re-released since version 5.1.7 had a breaking change.

### Docs

- [Autocomplete] Fix tagSize class typo (#25908) @JanMisker
- [DataGrid] Update docs sections (#25980) @dtassone
- [docs] Batch small fixes (#25807) @m4theushw
- [docs] Explicitly list demos of unstyled components (#25900) @eps1lon
- [docs] Expose heading links in a11y tree (#25861) @eps1lon
- [docs] Fix minor typo (#26001) @onpaws
- [docs] Fix global styles leaking on different pages (#25855) @mnajdova
- [docs] Fix Typography api docs for `paragraph` prop (#25929) @DanailH
- [docs] Fix Slider's classes wrong description (#25907) @mnajdova
- [docs] Grammar correction in autocomplete API (#25910) @gruber76
- [docs] Require documentation of demos (#25811) @eps1lon
- [docs] Update minimum required TypeScript version (#25930) @eps1lon
- [Table] Improve description of TablePagination.rowsPerPageOptions (#25982) @kevinlul

### Core

- [core] Fix wrong imports to '@material-ui/styles' (#25984) @mnajdova
- [core] Ensure props spreading works as expected (#25939) @oliviertassinari
- [core] Batch small changes (#25968) @oliviertassinari
- [core] Enable trailing comma in TypeScript files (#25931) @eps1lon
- [core] Remove @typescript-to-proptypes-generate handlers (#25909) @eps1lon
- [core] Update slots components to enable flatten specificity for overrides (#25853, #25864, #25881, #25884, #25887, #25904, #25892) @mnajdova
- [test] Add current behavior of inverleaving elements on mousedown (#25903) @eps1lon
- [test] Add test validator to improve DX (#25854) @siriwatknp
- [test] Fix duplicate key in TreeItem test (#26000) @mnajdova

All contributors of this release in alphabetical order: @DanailH, @dtassone, @eps1lon, @gruber76, @JanMisker, @kevinlul, @Knoxo, @m4theushw, @mnajdova, @oliviertassinari, @simonecervini, @siriwatknp, @vicasas, @Vikram710, @wellwellmissesanderson

## 5.0.0-alpha.31

<!-- generated comparing v5.0.0-alpha.30..next -->

_Apr 20, 2021_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Migrate 4 components to emotion.
- 💥 Resume work on the breaking changes, aim for v5.0.0-beta.0 in the next coming months.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.31`

#### Breaking changes

- [FormControl] Change default variant from standard to outlined (#24895) @petyosi
  Standard has been removed from the Material Design guidelines. [This codemod](https://github.com/mui/material-ui/tree/next/packages/mui-codemod#variant-prop) will automatically update your code.

  ```diff
  -<FormControl value="Standard" />
  -<FormControl value="Outlined" variant="outlined" />
  +<FormControl value="Standard" variant="standard" />
  +<FormControl value="Outlined" />
  ```

- [Menu] The `selectedMenu` variant will not vertically align the selected item with the anchor anymore. (#25691) @m4theushw
- [Popover] Remove the `getContentAnchorEl` prop to simplify the positioning logic. (#25691) @m4theushw
- [Select] Change default variant from standard to outlined (#24895) @petyosi
  Standard has been removed from the Material Design guidelines. [This codemod](https://github.com/mui/material-ui/tree/next/packages/mui-codemod#variant-prop) will automatically update your code.

  ```diff
  -<Select value="Standard" />
  -<Select value="Outlined" variant="outlined" />
  +<Select value="Standard" variant="standard" />
  +<Select value="Outlined" />
  ```

#### Changes

- [Alert] Fix action to be aligned with the text (#25768) @mnajdova
- [Avatar] Fix onload event not firing when img cached (#25793) @npandrei
- [Box] Add utility mui class (#25802) @mnajdova
- [core] Don't call noop event.persist() (#25782) @eps1lon
- [Dialog] Fix support of custom breakpoint units (#25788) @Vikram710
- [List] Fix support for list item container style overrides (#25777) @mnajdova
- [Rating] Allow clearing ratings with arrow keys (#25645) @Vikram710
- [Rating] Fix focus visible regression (#25698) @oliviertassinari
- [Select] Fix specificity of style overrides (#25766) @robphoenix
- [Select] Fix className overwritten (#25815) @siriwatknp
- [Select] Fix overrides for slots (#25796) @mnajdova
- [Snackbar] Fix hidden overlay blocking interactions regression (#25739) @MieleVL
- [TextField] Fix InputAdornment classes (#25749) @mnajdova
- [theme] Avoid mutating args in createSpacing (#25745) @eps1lon

### `@material-ui/lab@5.0.0-alpha.31`

#### Breaking changes

- [Pickers] Rename DayPicker to CalendarPicker (#25810) @eps1lon

  ```diff
  -import DayPicker from '@material-ui/lab/DayPicker';
  +import CalendarPicker from '@material-ui/lab/CalendarPicker';

   createMuiTheme({
     components: {
  -    MuiDayPicker: {},
  +    MuiCalendarPicker: {},
     }
   })
  ```

- [Pickers] Rename PickersCalendarSkeleton to CalendarPickerSkeleton (#25679) @eps1lon

  ```diff
  -import PickersCalendarSkeleton from '@material-ui/lab/PickersCalendarSkeleton';
  +import CalendarPickerSkeleton from '@material-ui/lab/CalendarPickerSkeleton';
  ```

- [Pickers] Rename `date` `view` to `day` (#25685) @eps1lon

  ```diff
  -<DatePicker openTo="date" views={['date', 'month']} />
  +<DatePicker openTo="day" views={['day', 'month']} />
  ```

#### Changes

- [DateRangePicker] Add DateRangePickerDay to theme augmentation list (#25758) @ifndefdeadmau5
- [Pickers] Rename internal DayPickerView to CalendarPickerView (#25817) @eps1lon
- [Pickers] Remove `TView` generic in CalendarPicker (#25818) @eps1lon
- [Pickers] Use passive effect to attach close-on-escape listener (#25819) @eps1lon
- [Timeline] Migrate TimelineDot to emotion (#25830) @vicasas
- [Timeline] Migrate TimelineContent to emotion (#25781) @siriwatknp
- [Timeline] Migrate TimelineItem to emotion (#25822) @vicasas
- [Timeline] Migrate TimelineOppositeContent to emotion (#25816) @vicasas
- [FocusTrap] Make isEnabled and getDoc optional (#25784) @m4theushw

### `@material-ui/styled-engine@5.0.0-alpha.31`

- [styled-engine] Fix shouldForwardProp on slots (#25780) @mnajdova
- [styled-engine] Improve GlobalStyles props (#25751) @mnajdova

### `@material-ui/unstyled@5.0.0-alpha.31`

- [unstyled] Convert generateUtilityClass(es) to TypeScript (#25753) @eps1lon

### Docs

- [Avatar] Set backgroundColor from string (#25789) @Vikram710
- [docs] Add demos for public picker components (#25812) @eps1lon
- [docs] Add example with switch dark/light mode (#25823) @Vikram710
- [docs] Add package headings to 5.0.0-alpha.30 changelog (#25733) @eps1lon
- [docs] Add unstyled section to all components coming with the package (#25843) @mnajdova
- [docs] Breakdown Chip demos into smaller ones (#25750) @vicasas
- [docs] Document circular progress inherit (#25736) @oliviertassinari
- [docs] Fix /production-error crash (#25839) @eps1lon
- [docs] Fix ad duplication (#25831) @oliviertassinari
- [docs] Fix autocommplete disable event value (#25752) @oliviertassinari
- [docs] Fix inline-preview selection controls (#25834) @oliviertassinari
- [docs] Fix Horizontally centered demo (#25787) @viditrv123
- [docs] Improve pickers migration docs from v3 (#25813) @ahmed-28
- [docs] Move DataGrid editing nav link (#25769) @dtassone
- [docs] Replace Typography color values with system values (#25805) @oliviertassinari
- [docs] Remove one inline-style (#25671) @oliviertassinari
- [docs] Use gender neutral pronoun for Swipeable Drawer (#25775) @catchanuj
- [examples] Add TypeScript for styled-components engine (#25675) @jqrun
- [l10n] zhTW refinement (#25786) @shakatoday
- [Tabs] Add demo for routing with Tabs (#25827) @ahmed-28

### Core

- [core] Batch small changes (#25804) @oliviertassinari
- [core] Document token permissions of release:changelog (#25732) @eps1lon
- [core] Error when installing in unsupported node environments (#25795) @eps1lon
- [core] Fix rgba to hex conversion (#25825) @saeedeyvazy
- [core] Normalize usage of pseudo classes selectors (#25748) @mnajdova
- [core] Remove unused public types (#25833) @oliviertassinari
- [core] Remove incorrect overridesResolver usages (#25778) @mnajdova
- [test] Use public imports (#25686) @vicasas
- [core] Use readonly arrays where possible (#25746) @eps1lon

All contributors of this release in alphabetical order: @ahmed-28, @catchanuj, @dtassone, @eps1lon, @ifndefdeadmau5, @jqrun, @m4theushw, @MieleVL, @mnajdova, @npandrei, @oliviertassinari, @petyosi, @robphoenix, @saeedeyvazy, @shakatoday, @siriwatknp, @vicasas, @viditrv123, @Vikram710

## 5.0.0-alpha.30

<!-- generated comparing v5.0.0-alpha.29..next -->

_Apr 12, 2021_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Migrate 9 components to emotion.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.30`

- [Alert] Vertically align action on top (#25654) @xdshivani
- [Autocomplete] Fix text field standard visual regression (#25676) @oliviertassinari
- [CssBaseline] Fix @font-face rule broken in styleOverrides (#25583) @mnajdova
- [Grid] Support custom number of columns (#25636) @Avi98
- [InputBase] Fix autofill typo (#25651) @michal-perlakowski
- [LinearProgress] Add color="inherit" support (#25641) @itscharlieliu
- [Pagination] Allow to differentiate more item types (#25622) @ruppysuppy
- [Popover] Add popoverClasses export to type declarations (#25695) @tomasznguyen
- [Rating] Add highlight selected rating only (#25649) @Vikram710
- [Rating] Migrate to emotion (#25588) @natac13
- [Select] Migrate to emotion (#25653) @mnajdova
- [Select] Migrate NativeSelect to emotion (#24698) @duganbrett
- [SpeedDial] Fix broken aria reference issue (#25665) @RiyaNegi
- [Stepper] Migrate MobileStepper to emotion (#25589) @natac13
- [styles] Outdated warning message (#25637) @bhairavee23
- [Table] Remove legacy fix for JSS (#25692) @oliviertassinari
- [Table] Migrate TableSortLabel to emotion (#25638) @natac13
- [TabPanel] Migrate to emotion (#25646) @tomasznguyen
- [TextareaAutosize] Fix resizing bug on Firefox (#25634) @bhairavee23
- [TextField] Add textFieldClasses export to type declarations (#25696) @tomasznguyen
- [theme] Change default bgColor to white in light mode (#25730) @saleebm
- [ToggleButton] Add fullWidth prop (#25585) @hcz
- [typescript] Add muiName to declarations (#25689) @michal-perlakowski

### `@material-ui/lab@5.0.0-alpha.30`

- [Timeline] Migrate TimelineSeparator to emotion (#25666) @vicasas
- [Timeline] Migrate TimelineConnector to emotion (#25663) @vicasas
- [TimePicker] Use clock icon when editing in mobile mode (#25569) @alcwhite
- [TreeView] Migrate to emotion (#25673) @tomasznguyen

### Docs

- [blog] Fix typos @oliviertassinari
- [docs] Migrate TextField demos to emotion (#25626) @vicasas
- [docs] Bump stylis-plugin-rtl requirement (#25661) @mnajdova
- [docs] Ensure old api-docs translations are cleaned (#25680) @eps1lon
- [docs] Fix typo in v4 migration doc (#25678) @thameera
- [docs] Fix useLayoutEffect warning (#25670) @oliviertassinari
- [docs] Fix a11y issue in the SpeedDial docs (#25669) @RiyaNegi
- [docs] Cover TypeScript commands in codemod readme (#25640) @StuffByLiang
- [docs] Migrate Popover demos to emotion (#25620) @vicasas
- [docs] Fix typo in switches and checkboxes doc (#25639) @dimitropoulos
- [docs] Add interoperability section for Portal (#25575) @mnajdova
- [docs] Fix side nav scroll position (#25619) @misaka3

### Core

- [test] Use public api in lab (#25682) @vicasas
- [test] Test types of .spec lab files (#25684) @eps1lon
- [core] Fix build step for unstyled package (#25672) @oliviertassinari
- [core] Ensure react-is uses v17 (#25668) @eps1lon

All contributors of this release in alphabetical order: @alcwhite, @bhairavee23, @dimitropoulos, @duganbrett, @eps1lon, @hcz, @itscharlieliu, @michal-perlakowski, @misaka3, @mnajdova, @natac13, @oliviertassinari, @RiyaNegi, @ruppysuppy, @saleebm, @StuffByLiang, @thameera, @tomasznguyen, @vicasas, @Vikram710, @xdshivani

## 5.0.0-alpha.29

<!-- generated comparing v5.0.0-alpha.28..next -->

_Apr 4, 2021_

A big thanks to the 26 contributors who made this release possible. Here are some highlights ✨:

- 🙌 Add support in the Grid for any spacing value (#25503) @ZakMiller.
  For instance:

  ```jsx
  <Grid container spacing={1.5}>
  <Grid container spacing="30px">
  ```

  This feature was made possible by the recent migration to emotion.
  You can [find the other issues](https://github.com/mui/material-ui/issues?q=is%3Aopen+is%3Aissue+label%3A%22component%3A+Grid%22) unlocked by the migration to emotion on the Grid component that are left to be solved.

- 👩‍🎤 Convert 3 components to emotion (#25541, #25516, #25521) @rajzik, @praveenkumar-kalidass, @siriwatknp.
- 📚 Migrate 8 component demo pages to the `sx`, `Stack`, and `styled` API @vicasas.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.29`

- [AppBar] Fix type support of overridable component (#25456) @heleg
- [Autocomplete] Fix Async demo in docs (#25536) @kanish671
- [Autocomplete] Fix TypeScript wrapper example (#25530) @JanKaczmarkiewicz
- [Backdrop] Remove z-index: -1 (#25524) @silver-snoopy
- [Card] Add component prop support (#25537) @silver-snoopy
- [CssBaseline] Migrate ScopedCssBaseline to emotion (#25541) @rajzik
- [Divider] Support middle variant with vertical orientation (#25428) @vedadeepta
- [Grid] Support decimal spacing (#25503) @ZakMiller
- [List] Remove background inheritance of ListSubheader (#25532) @tanmoyopenroot
- [Paper] Support dark mode brightening based on elevation (#25522) @m4theushw
- [Select] Fix selection of non-options (#25567) @oliviertassinari
- [Select] Set aria-expanded to false when listbox is collapsed (#25545) @Harish-Karthick
- [SpeedDial] Call focus on escape (#25509) @tanmoyopenroot
- [Stack] Add component prop (#25526) @silver-snoopy
- [Stack] Fix the :not selector (#25484) @Andarist
- [Stepper] Migrate StepButton to emotion (#25516) @praveenkumar-kalidass
- [Stepper] Migrate Stepper to emotion (#25521) @siriwatknp
- [Tabs] Don't animate scroll on first render (#25469) @manziEric
- [Tooltip] Fix forwarded classes (#25535) @silver-snoopy

### `@material-ui/unstyled@5.0.0-alpha.29`

- [Slider] Allow disabling the left and right thumbs swap (#25547) @michal-perlakowski

### `@material-ui/lab@5.0.0-alpha.29`

- [DateRangePicker] Fix props naming in DatePicker components (#25504) @callmeberzerker
- [DateRangePickerInput][internal] Inline makeDateRangePicker calls (#25470) @eps1lon
- [StaticDateRangePicker] Fix inconsistent name for theme props (#25483) @eps1lon
- [Pickers] Move own internals from lab internals to dedicated file (#25498) @eps1lon

### Docs

- [docs] Provide an alternative to right-to-left (#25584) @dariusk
- [docs] Add note for TypeScript on the styled() customization guide (#25576) @mnajdova
- [docs] Replace incorrect instances of defined with define (#25572) @surajpoddar16
- [docs] Fix spelling error in roadmap.md file (#25570) @Brlaney
- [docs] Migrate Card demos to emotion (#25557) @vicasas
- [docs] Fix typo in data grid (#25561) @michael-001
- [docs] Migrate Menu demos to emotion (#25554) @vicasas
- [docs] Fix <kbd> style in dark mode (#25551) @m4theushw
- [docs] Document changing skeleton color (#25542) @ZakMiller
- [docs] Improve coverage of TypeScript theme augmentation (#25489) @ashishshuklabs
- [docs] Update minimizing-bundle-size.md (#25534) @nguyenyou
- [docs] Migrate Portal demos to emotion (#25505) @vicasas
- [docs] Migrate NoSSR demos to emotion (#25506) @vicasas
- [docs] Migrate ClickAwayListener demos to emotion (#25507) @vicasas
- [docs] Cover change of React support (#25487) @oliviertassinari
- [docs] Migrate Transitions demos to emotion (#25488) @vicasas
- [docs] Fix Stack divider demo (#25491) @oliviertassinari
- [docs] Migrate Icons demos to emotion (#25412) @vicasas

### Core

- [core] Use latest TypeScript in typescript-to-proptypes (#25512) @eps1lon
- [core] Update the codesandbox issue templates (#25501) @oliviertassinari
- [test] Wait on e2e server to start before starting runner (#25476) @eps1lon

All contributors of this release in alphabetical order: @Andarist, @ashishshuklabs, @Brlaney, @callmeberzerker, @dariusk, @eps1lon, @Harish-Karthick, @heleg, @JanKaczmarkiewicz, @kanish671, @m4theushw, @manziEric, @michael-001, @michal-perlakowski, @mnajdova, @nguyenyou, @oliviertassinari, @praveenkumar-kalidass, @rajzik, @silver-snoopy, @siriwatknp, @surajpoddar16, @tanmoyopenroot, @vedadeepta, @vicasas, @ZakMiller

## 5.0.0-alpha.28

_Mar 22, 2021_

A big thanks to the 34 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Convert 9 components to emotion (#25267, #25216, #25264, #25197, #25372, #25281, #25210, #25279, #2528) @natac13 @tomasznguyen @kayuapi.
  85% of the components have been migrated so far, thanks to the help of the community.
- 📚 Migrate 18 component demo pages to the `sx`, `Stack`, and `styled` API @vicasas.
  This was also an importunity to breakdown the existing large demos into smaller and more focuses ones.
- Add a new Stack component (#25149) @souporserious
  The component allows to workaround the lack of support for the CSS flexbox `gap` property across browsers.

  <img width="830" alt="stack" src="https://user-images.githubusercontent.com/3165635/112068427-29434200-8b6a-11eb-94e8-057535423b0f.png">

  See the documentation for [more details](https://mui.com/components/stack/).

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.28`

#### Breaking changes

- [core] Drop support for React 16 (#25464) @eps1lon
- [core] Drop support for node 10 (#25306) @eps1lon

#### Changes

- [Autocomplete] Warn when the input didn't resolve in time (#25311) @LaneRamp
- [Autocomplete] Fix styleOverrides support (#25276) @manziEric
- [ButtonBase] Allow to customize the link component via theme (#25331) @vedadeepta
- [ButtonBase] Fix default type attribute (submit -> button) (#25323) @RTEYL
- [ButtonGroup] Support custom colors (#25413) @oliviertassinari
- [CircularProgress] Fix animation when disableShrink={true} (#25247) @duongdev
- [Dialog] Fix typo (#25287) @aheimlich
- [Dialog] Migrate DialogContentText to emotion (#25267) @tomasznguyen
- [Dialog] Migrate Dialog to emotion (#25216) @natac13
- [Drawer] Fix RTL support (#25453) @silver-snoopy
- [Menu] Migrate to emotion (#25264) @tomasz-crozzroads
- [Paper] Fix component prop type error (#25426) @heleg
- [Popover] Migrate to emotion (#25197) @tomasznguyen
- [Radio] Fix html structure (#25398) @oliviertassinari
- [Select] Fix focus background when variant="outlined" (#25393) @christiaan
- [Slider] Add `tabIndex` prop (#25388) @johnloven
- [Snackbar] Fix prop type error for 'key' prop (#25431) @jansedlon
- [SpeedDial] Reset tooltip state when the speed dial is closed (#25259) @m4theushw
- [Stack] Add new component (#25149) @souporserious
- [Stepper] Migrate StepLabel to emotion (#25372) @praveenkumar-kalidass
- [Stepper] Migrate StepIcon to emotion (#25281) @praveenkumar-kalidass
- [Stepper] Migrate StepContent to emotion (#25210) @praveenkumar-kalidass
- [SwipeableDrawer] Fix hideBackDrop support (#25275) @manziEric
- [Table] Fix duplicated keys in TablePagination rows per page (#25309) @martinfrancois
- [Table] Consistency with DataTable (#25414) @oliviertassinari
- [TextField] Size small for multiline (#25423) @julihereu
- [TextField] Migrate InputAdornment to emotion (#25279) @kayuapi
- [TextField] Migrate to emotion (#25286) @tomasznguyen
- [ToggleButton] Add color prop (#25390) @AlfredoGJ
- [Tooltip] Make `disableFocusListener` prop comment clearer (#25455) @jansedlon
- [Tooltip] Fix placement regression (#25255) @oliviertassinari
- [Transition] Add easing prop to override default timing function (#25245) @jeferson-sb

### `@material-ui/lab@5.0.0-alpha.28`

- [Pickers] Follow "private by default" in makeDateRangePicker (#25424) @eps1lon
- [Pickers] Simplify internals of \*Wrapper components (#25369) @eps1lon
- [Pickers] Remove `make*` HOCs (#25172) @eps1lon
- [Pickers] Remove propTypes in production for exotic components (#25261) @eps1lon
- [Pickers] Unify ref behavior (#25425) @eps1lon
- [Pickers] Sort properties (#25473) @eps1lon

### `@material-ui/utils@5.0.0-alpha.28`

- [utils] Fix useForkRef typings rejecting nullish (#25468) @eps1lon
- [utils] Allow functional updates in TypeScript declaration of useControlled (#25378) @MikhailTSE
- [utils] Add a new integer propType (#25224) @fayzzzm

### Docs

- [docs] Fix typo in migration-v4.md (#25384) @Tollwood
- [docs] Use defaultCodeOpen where appropriate (#25418) @eps1lon
- [docs] Support RTL with styled components (#25457) @silver-snoopy
- [docs] Improve the docs of the Grid component (#25429) @oliviertassinari
- [docs] Migrate Switch demos to emotion (#25366) @vicasas
- [docs] Use Stack in demos (#25419) @vicasas
- [docs] Migrate Checkbox demos to emotion (#25394) @vicasas
- [docs] Migrate Radio demos to emotion (#25396) @vicasas
- [docs] Update icon link to fonts.google.com (#25410) @BGehrels
- [docs] Migrate Avatar demos to emotion (#25375) @vicasas
- [docs] Fix multiline textfields docs to use minRows/maxRows (#25383) @saleebm
- [docs] Consolidate environment variables into next.config (#25386) @eps1lon
- [docs] Use `env` next config over DefinePlugin (#25373) @eps1lon
- [docs] Migrate SpeedDial to emotion (#25367) @vicasas
- [docs] Refine the used prop-type to discriminate number from integer (#25334) @fayzzzm
- [docs] Migrate AppBar demos to emotion (#25335) @m4theushw
- [docs] Migrate Grid demos to emotion (#25332) @vicasas
- [docs] Migrate Toggle Button demos to emotion (#25333) @vicasas
- [docs] Migrate Links demos to emotion (#25303) @vicasas
- [docs] Migrate Breadcrumbs demos to emotion (#25302) @vicasas
- [docs] Migrate Image List demos to emotion (#25301) @vicasas
- [docs] Bring clarity about the IE 11 support policy: it's partial (#25262) @oliviertassinari
- [docs] Add the new demo page for the data grid (#25284) @DanailH
- [docs] Migrate List demos to emotion (#25266) @vicasas
- [docs] Migrate Chip demos to emotion (#25268) @vicasas
- [docs] Add missing props to \*DatePicker API (#25254) @eps1lon
- [docs] Improve accessibility of the basic menu demo (#25207) @ee0pdt
- [docs] Migrate Fab demos to emotion (#25251) @vicasas
- [docs] Migrate Rating demos to emotion (#25252) @vicasas
- [docs] Migrate Transfer List demos to emotion (#25253) @vicasas
- [docs] Remove dead generatePropTypeDescription method (#25188) @fayzzzm
- [docs] Migrate Skeleton demos to emotion (#25212) @vicasas
- [docs] Migrate Paper demos to emotion (#25213) @vicasas
- [docs] Migrate Container demos to emotion (#25220) @vicasas
- [docs] Add GlobalStyles API (#25191) @eps1lon

### Core

- [benchmark] Set intended environment (#25402) @eps1lon
- [core] Remove .propTypes when the props are empty (#25193) @eps1lon
- [core] Fix allSettled usage (#25461) @eps1lon
- [core] Switch to React 17 (#25416) @eps1lon
- [core] Bump missed node versions (#25385) @eps1lon
- [core] Batch small changes (#25330) @oliviertassinari
- [core] Use Promise.allSettled over .all where appropriate (#25315) @eps1lon
- [test] Use fixture terminology in e2e and visual regression tests (#25466) @eps1lon
- [test] Create end-to-end testing CI job (#25405) @eps1lon
- [test] Transpile more similar to prod bundle (#25406) @eps1lon
- [test] Minor improvements to `describeConformance` (#25297) @eps1lon
- [test] Fix warnings in the demos (#25140) @oliviertassinari
- [test] Convert createClientRender to TypeScript (#25249) @eps1lon
- [test] Increase ttp setup timeout (#25248) @eps1lon
- [test] Improve typescript-to-proptypes test suite (#25209) @eps1lon

All contributors of this release in alphabetical order: @aheimlich, @AlfredoGJ, @BGehrels, @christiaan, @DanailH, @duongdev, @ee0pdt, @eps1lon, @fayzzzm, @heleg, @jansedlon, @jeferson-sb, @johnloven, @julihereu, @kayuapi, @LaneRamp, @m4theushw, @manziEric, @martinfrancois, @MikhailTSE, @natac13, @oliviertassinari, @praveenkumar-kalidass, @RTEYL, @saleebm, @silver-snoopy, @souporserious, @Tollwood, @tomasz-crozzroads, @tomasznguyen, @vedadeepta, @vicasas

## 5.0.0-alpha.27

<!-- generated comparing v5.0.0-alpha.26..next -->

_Mar 5, 2021_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Convert 8 components to emotion (#25091, #25158, #25146, #25142, #25166) @natac13, @mngu, @m4theushw, @praveenkumar-kalidass.
- 📚 Convert 5 components demos to emotion (#25164, #25183, #25180, #25145, #25138) @vicasas
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.27`

- [Autocomplete] Support readonly type for the options (#25155) @silver-snoopy
- [Drawer] Migrate to emotion (#25091) @natac13
- [LinearProgress] Migrate to emotion (#25158) @mngu
- [Pagination] Migrate Pagination and PaginationItem to emotion (#25146) @mngu
- [Radio] Migrate to emotion (#25152) @mngu
- [Snackbar] Migrate to emotion (#25142) @m4theushw
- [SpeedDial] Migrate to emotion (#25166) @m4theushw
- [Stepper] Migrate StepConnector to emotion (#25092) @praveenkumar-kalidass
- [styled] Fix override logic to support component without root (#25143) @niting143
- [Table] Remove default role logic in TableCell (#25105) @silver-snoopy
- [Table] Use primary cover over secondary for selected state (#25182) @beaudry
- [theme] Fix styleOverrides with nested selectors (#25156) @ruppysuppy

### `@material-ui/system@5.0.0-alpha.27`

- [system] Fix behavior of visuallyHidden when used with `sx` prop (#25110) @niting143

### `@material-ui/lab@5.0.0-alpha.27`

#### Breaking changes

- [Pickers] Remove `dateAdapter` prop (#25162) @eps1lon

The prop didn't solve any important problem better than any of its alternatives do.

```diff
-<DatePicker dateAdapter={x} />
+<LocalizationProvider dateAdapter={x}>
+  <DatePicker />
+</LocalizationProvider>
```

#### Changes

- [Pickers][internal] Use React.forwardRef instead of forwardedRef prop (#25173) @eps1lon

### `@material-ui/styles@5.0.0-alpha.27`

- [styles] Use capitalize from utils (#25136) @eps1lon

### Docs

- [docs] Migrate Bottom navigation demos to emotion (#25180) @vicasas
- [docs] Migrate Button demos to emotion (#25138) @vicasas
- [docs] Migrate Divider demos to emotion (#25145) @vicasas
- [docs] Migrate Pagination demos to emotion (#25183) @vicasas
- [docs] Migrate Typography demos to emotion (#25164) @vicasas
- [docs] Remove CircleCI from backers (#24801) @mbrookes
- [docs] Update the used testing libraries (#25144) @oliviertassinari

### Core

- [changelog] Better document breaking changes @oliviertassinari
- [core] Modernize icons `builder:src` (#25137) @eps1lon
- [core] Properly use BABEL_ENV test and development (#25139) @eps1lon
- [test] Add (manual) visual regression test for icons (#25160) @eps1lon

All contributors of this release in alphabetical order: @beaudry, @eps1lon, @m4theushw, @mbrookes, @mngu, @natac13, @niting143, @oliviertassinari, @praveenkumar-kalidass, @ruppysuppy, @silver-snoopy, @vicasas

## 5.0.0-alpha.26

<!-- generated comparing v5.0.0-alpha.25..next -->

_Feb 27, 2021_

A big thanks to the 26 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Convert 11 components to emotion (#24696, #24631, #24857, #25048, #24693, #24663, #25007, #24688, #24665, #24878, #24571) @praveenkuma @natac13 @xs9627 @povilass @m4theushw @natac13 @natac13 @DanailH @duganbrett @duganbrett @praveenkumar-kalidass @vinyldarkscratch.
  75% of the components have been migrated so far, thanks to the help of the community.
- 🦴 Convert 4 components to the unstyled pattern (#24985, #24857, #24890, #24957) @povilass.
  This change doesn't introduce any breaking changes. Hence, most of the conversion effort will be done post v5-stable.
- 📚 Fix the generation of the API pages for the date pickers (#25101, #25100, #25086, #25089, #25085, #25084) @eps1lon.
  This is a follow-up effort after we have merged `material-ui-pickers`. The components are written in TypeScript which required us to upgrade our infra.
- 👌 Improve the Slider thumb and track animation (#24968) @remyoudemans.
  The thumb is now moving with a light transition between different values unless it's dragged.
  <img src="https://user-images.githubusercontent.com/3165635/109394906-b7405a00-7929-11eb-829a-3b5246c30c08.gif" width="412" height="110" alt="thumb-animation" />
- 💅 Convert 5 components with custom colors support (#25099, #25088) @mngu.
  This change makes it easier to leverage custom palettes
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@5.0.0-alpha.26`

#### Breaking changes

- [Tabs] Change the default indicatorColor and textColor prop values to "primary" (#25063) @Dripcoding

  This is done to match the most common use cases with Material Design. You can restore the previous behavior with:

  ```diff
  -<Tabs />
  +<Tabs indicatorColor="secondary" textColor="inherit" />
  ```

#### Changes

- [AppBar][circularprogress][LinearProgress] Support custom colors (#25099) @mngu
- [Autocomplete] Prevent closing on no-option text click (#25103) @silver-snoopy
- [Autocomplete] Fix ListboxComponent slot regression (#25102) @oliviertassinari
- [Autocomplete] Fix the return type of AutocompleteGetTagProps (#24950) @joemaffei
- [Autocomplete] Migrate to emotion (#24696) @natac13
- [Button] Fix ripple stuck after displaying the context menu (#25004) @DanailH
- [Button] Fix forward classes to ButtonBase (#25072) @praveenkumar-kalidass
- [Chip] Normalize Material Design States (#24915) @oliviertassinari
- [Chip] Fix focus-visible regression (#24906) @oliviertassinari
- [CircularProgress] Make source easier to read (#24893) @oliviertassinari
- [Menu] Migrate MenuItem to emotion (#24631) @xs9627
- [Paper] Fix type support of overridable component (#25059) @mngu
- [Skeleton] Fix global theme customization (#24983) @glocore
- [Slider] Improve thumb and track animation (#24968) @remyoudemans
- [Slider] Fix override of event.target when preparing change events (#24782) @praveenkumar-kalidass
- [Snackbar] Migrate SnackbarContent to emotion (#25048) @m4theushw
- [SwipeableDrawer] Fix detection of native scroll container (#24903) @oliviertassinari
- [Switch] Migrate to emotion (#24693) @natac13
- [Switch] Update to follow current MD guidelines (#24954) @hxqlin
- [Table] Migrate TableCell to emotion (#24663) @natac13
- [TextField] Support custom color and size (#25088) @mngu
- [TextField] Fix input adornment color (#25090) @manziEric
- [TextField] Fix FilledInput AA contrast issue (#25046) @Dripcoding
- [TextField] Migrate FormControlLabel to emotion (#25007) @DanailH
- [TextField] Fix label wrap, display an ellipsis instead (#25012) @NekoApocalypse
- [TextField] Migrate OutlinedInput to emotion (#24688) @duganbrett
- [TextField] Fix focused={true} disabled={true} infinite render (#24961) @oliviertassinari
- [TextField] Migrate FormLabel and InputLabel to emotion (#24665) @duganbrett
- [theme] Update theme.palette.text.secondary to match the spec (#25060) @Dripcoding
- [ToggleButton] Migrate ToggleButtonGroup to emotion (#24878) @praveenkumar-kalidass
- [Tooltip] Migrate to emotion (#24571) @vinyldarkscratch

### `@material-ui/unstyled@5.0.0-alpha.26`

- [Portal] Migrate to unstyled (#24890) @povilass
- [FocusTrap] Migrate to unstyled (#24957) @povilass
- [Backdrop] Migrate to unstyled (#24985) @povilass
- [Modal] Migrate to emotion + unstyled (#24857) @povilass

### `@material-ui/lab@5.0.0-alpha.26`

- [Pickers] Fix scroll-jump when opening with a selected value (#25010) @eps1lon
- [Pickers] Rework keyboard navigation implementation (#24315) @eps1lon
- [Pickers] Fix picker components not opening on click in React 17 (#24981) @eps1lon
- [Pickers] Fix outdated link to PickersDay (#24883) @oliviertassinari

### `@material-ui/icons@5.0.0-alpha.26`

- [icons] Synchronize icons (#25055) @eps1lon

  The icons were synchronized with https://m2.material.io/resources/icons/. This change increases the number of supported icons from 1,349 to 1,781 per theme (we support 5 themes). The breaking changes:

  ```diff
   // AmpStories -> Download
  -AmpStories
  +Download
  -AmpStoriesOutlined
  +DownloadOutlined
  -AmpStoriesRounded
  +DownloadRounded
  -AmpStoriesSharp
  +DownloadSharp
  -AmpStoriesTwoTone
  +DownloadTwoTone
   // Outbond -> Outbound
  -Outbond
  +Outbound
  -OutbondOutlined
  +OutboundOutlined
  -OutbondRounded
  +OutboundRounded
  -OutbondSharp
  +OutboundSharp
  -OutbondTwoTone
  +OutboundTwoTone
  ```

  We are getting closer to the maximum number of icons our infrastructure can support. In the future, we might remove the least popular icons in favor of the most frequently used ones.

### `@material-ui/system@5.0.0-alpha.26`

- [system] Fix gap, rowGap, columnGap, borderRadius reponsive support (#24994) @oliviertassinari

### `@material-ui/utils@5.0.0-alpha.26`

- [utils] Fix isMuiElement types (#24936) @oliviertassinari

### Docs

- [docs] Add DateRangePickerDay, PickersDay, PickersCalendarSkeleton, MontherPicker API (#25101) @eps1lon
- [docs] Add DayPicker API (#25100) @eps1lon
- [docs] Improve description of builderbook (#25086) @klyburke
- [docs] Add API of ClockPicker (#25089) @eps1lon
- [docs] Add API of \*DateRangePicker components (#25085) @eps1lon
- [docs] Add API of \*DateTimePicker components (#25084) @eps1lon
- [docs] Add graphql-starter to Example Projects (#25068) @koistya
- [docs] Migrate Alert demos to emotion (#25074) @m4theushw
- [docs] Add codesandbox example for styled-components (#25050) @jony89
- [docs] Wrong link @oliviertassinari
- [docs] Improve error message when GitHub API fail (#24976) @oliviertassinari
- [docs] Separate simple and nested modal demos (#24938) @ydubinskyi
- [docs] Remove under construction icons from DataGrid feature pages (#24946) @DanailH
- [docs] Fix prefers-color-scheme switch (#24902) @oliviertassinari
- [docs] Add yarn install step, safer @oliviertassinari
- [examples] Fix CodeSandbox link GitHub branch (#24996) @kevbarns

### Core

- [core] Prevent out-of-memory in test_types_next (#25079) @eps1lon
- [core] Pin playwright image to known working version (#25080) @eps1lon
- [core] Remove need to reinject backdrop (#25071) @oliviertassinari
- [core] Batch small changes (#25015) @oliviertassinari
- [core] More cleanup on Pickers code (#25020) @dborstelmann
- [core] Allow running full pipeline with various React versions (#25005) @eps1lon
- [core] Fix missing codecov report (#25006) @eps1lon
- [core] Fix release:tag pushing to first push remote (#24960) @eps1lon
- [core] Fix cache miss when using playwright docker images (#24942) @eps1lon
- [core] Prevent out-of-memory when type-checking in CI (#24933) @eps1lon
- [core] Disable page size tracking (#24932) @eps1lon
- [core] Extract linting into separate CI job (#24930) @eps1lon
- [core] Only clone props if needed (#24892) @oliviertassinari
- [core] listChangedFiles returns an empty list with no changed files (#24879) @eps1lon
- [core] Remove dead code in docs:dev (#24880) @oliviertassinari
- [core] Fix a few stylelint error (#24885) @oliviertassinari
- [core] Fix name of Safari target (#24881) @oliviertassinari
- [core] Prefer return over throw in chainPropTypes (#24882) @oliviertassinari
- [core] Support /r/issue-template back (#24870) @oliviertassinari
- [core] Simplify xxxClasses types (#24736) @oliviertassinari
- [test] Improve BrowserStack configuration (#25049) @oliviertassinari
- [test] Track bundle size of unstyled components (#25047) @oliviertassinari
- [test] Make `render` required with describeConformanceV5 (#25003) @oliviertassinari
- [test] Move a11y tree exclusion to appropriate document (#24998) @eps1lon
- [test] Test with ClickAwayListener mount on onClickCapture (#25001) @eps1lon
- [test] Improve various timer related issues (#24963) @eps1lon
- [test] Avoid Rate Limit Exceeded (#24931) @oliviertassinari
- [test] Remove internal icons smoke test (#24969) @eps1lon
- [test] Reduce compile time of test:karma in watchmode drastically (#24967) @eps1lon
- [test] Dedupe missing act warnings for HoC (#24949) @eps1lon
- [test] Consolidate on a single API (#24884) @oliviertassinari
- [test] Update react next patch (#24934) @eps1lon
- [test] Link CircleCI URL in BS (#24935) @oliviertassinari
- [test] Run more tests at the same time (#24886) @oliviertassinari
- [test] Dedupe missing act warnings by component name (#24871) @eps1lon
- [test] Enable type-unaware versions of disabled typed-aware lint rules (#24873) @eps1lon
- [test] Initial workspace definition (#24869) @eps1lon
- [test] Add current behavior of focus during mount in Popper (#24863) @eps1lon
- [test] Increase BrowserStack timeout to 6min (#24861) @oliviertassinari

All contributors of this release in alphabetical order: @DanailH, @dborstelmann, @Dripcoding, @duganbrett, @eps1lon, @glocore, @hxqlin, @joemaffei, @jony89, @kevbarns, @klyburke, @koistya, @m4theushw, @manziEric, @mngu, @natac13, @NekoApocalypse, @oliviertassinari, @povilass, @praveenkumar-kalidass, @remyoudemans, @silver-snoopy, @vinyldarkscratch, @xs9627, @ydubinskyi

## 5.0.0-alpha.25

<!-- generated comparing v5.0.0-alpha.24..next -->

_Feb 11, 2021_

A big thanks to the 30 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Convert 32 components to emotion. Around 64% of the components have been migrated so far, thanks to the help of the community. We aim to migrate them all before the end of Q1 2021.
  The podium of the most active community members in the migration 🏆:

  1. @natac13 x17
  2. @vicasas x5
  3. @kodai3 x4

- 📐 Add a subset of MUI System as flattened props on `Typography` (#24496) @mnajdova.
  Now, you can do:

  ```jsx
  <Typography padding={2} color="text.secondary" />
  ```

- 📅 Focus on the date pickers, 5 fixes and 3 docs improvements.
- 💅 Provide a new [`darkScrollbar()`](https://mui.com/components/css-baseline/#scrollbars) CSS utility to improve the native scrollbar in dark mode. The documentation uses it.

### `@material-ui/core@5.0.0-alpha.25`

#### Breaking changes

- Increase the minimum version of TypeScript supported from v3.2 to v3.5. (#24795) @petyosi

  We try to align with types released from [DefinitelyTyped](https://github.com/DefinitelyTyped/DefinitelyTyped) (i.e. packages published on npm under the `@types` namespace).
  We will not change the minimum supported version in a major version of Material UI.
  However, we generally recommend to not use a TypeScript version older than the [lowest supported version of DefinitelyTyped](https://github.com/DefinitelyTyped/DefinitelyTyped#older-versions-of-typescript-33-and-earlier).

#### Changes

- [ImageList] Migrate to emotion (#24615) @kodai3
- [Dialog] Migrate DialogTitle to emotion (#24623) @vicasas
- [TextField] Prepare removal of labelWidth prop (#24595) @oliviertassinari
- [ImageList] Migrate ImageListItem to emotion (#24619) @kodai3
- [Card] Migrate CardMedia to emotion (#24625) @natac13
- [Card] Migrate CardHeader to emotion (#24626) @natac13
- [TextField] Migrate FilledInput to emotion (#24634) @mnajdova
- [Fab] Migrate to emotion (#24618) @natac13
- [ClickAwayListener] Fix `children` and `onClickAway` types (#24565) @eps1lon
- [List] Migrate ListItemIcon to emotion (#24630) @vicasas
- [Card] Migrate CardActionArea to emotion (#24636) @natac13
- [DataTable] Add example in docs for data table (#24428) @DanailH
- [CircularProgress] Migrate to emotion (#24622) @natac13
- [ImageList] Migrate ImageListItemBar to emotion (#24632) @kodai3
- [TextField] Migrate Input component to emotion (#24638) @duganbrett
- [Tab] Migrate to emotion (#24651) @natac13
- [Table] Migrate to emotion (#24657) @natac13
- [List] Migrate ListItemAvatar to emotion (#24656) @vicasas
- [TextField] Migrate FormControl to emotion (#24659) @duganbrett
- [Table] Migrate TableContainer to emotion (#24666) @natac13
- [Tab] Migrate TabScrollButton to emotion (#24654) @natac13
- [Card] Warn on raised + outlined (#24648) @sumarlidason
- [TextField] Migrate FormHelperText to emotion (#24661) @duganbrett
- [Dialog] Migrate DialogContent to emotion (#24670) @vicasas
- [Typography] Add system props (#24496) @mnajdova
- [Paper] Improve warning on invalid combinations of variant and elevation (#24667) @eps1lon
- [Chip] Migrate to emotion (#24649) @natac13
- [ToggleButton] Migrate to emotion (#24674) @natac13
- [Step] Migrate to emotion (#24678) @natac13
- [Link] Fix CSS prefix property casing with emotion (#24701) @idanrozin
- [Card] Use the default elevation (#24733) @oliviertassinari
- [Typography] Remove align inherit noise (#24717) @oliviertassinari
- [Dialog] Convert role `none presentation` to `presentation` (#24500) @hallzac2
- [TextField] Improve baseline alignment with start adornment (#24742) @praveenkumar-kalidass
- [Popper] Fix usage of ownerDocument with anchorEl (#24753) @ruppysuppy
- [Table] Migrate TableBody to emotion (#24703) @natac13
- [Table] Migrate TableRow to emotion (#24687) @natac13
- [TextField] Migrate FormGroup to emotion (#24685) @vicasas
- [CssBaseline] Make dark mode scrollbar overrides an optional function (#24780) @dborstelmann
- [ButtonGroup] Migrate ButtonGroup to emotion (#24775) @mirefly
- [Checkbox] Migrate to emotion (#24702) @natac13
- [Table] Migrate TableHead to emotion (#24686) @natac13
- [Table] Migrate TableFooter to emotion (#24684) @natac13
- [Skeleton] Migrate to emotion (#24652) @kodai3

### `@material-ui/system@5.0.0-alpha.25`

#### Breaking changes

- [system] Use spacing unit in `gap`, `rowGap`, and `columnGap` (#24794) @ruppysuppy

  If you were using a number previously, you need to provide the value in `px` to bypass the new transformation with `theme.spacing`. The change was done for consistency with the Grid spacing prop and the other system spacing properties, for example `<Box padding={2}>`.

  ```diff
   <Box
  -  gap={2}
  +  gap="2px"
   >
  ```

### `@material-ui/styled-engine@5.0.0-alpha.25`

- [styled-engine] Fix GlobalStyles not to throw when no theme is available (#24671) @mnajdova

### `@material-ui/types@5.0.0-alpha.25`

#### Breaking changes

- [types] Rename the exported `Omit` type in `@material-ui/types`. (#24795) @petyosi
  The module is now called `DistributiveOmit`. The change removes the confusion with the built-in `Omit` helper introduced in TypeScript v3.5. The built-in `Omit`, while similar, is non-distributive. This leads to differences when applied to union types. [See this Stack Overflow answer for further details](https://stackoverflow.com/a/57103940/1009797).

```diff
-import { Omit } from '@material-ui/types';
+import { DistributiveOmit } from '@material-ui/types';
```

#### Changes

- [types] Remove implicit children from PropInjector (#24746) @eps1lon

### `@material-ui/lab@5.0.0-alpha.25`

- [Pickers] Fix role attribute (#24621) @EkaterinaMozheiko
- [Pickers] Fix `showTodayButton` not returning the current time (#24650) @anthonyraymond
- [Pickers] Ensure components have a display name in DEV (#24676) @eps1lon
- [Pickers] Fix more name inconsistencies (#24734) @oliviertassinari
- [Pickers] Dismiss on clickaway when using the desktop variant (#24653) @eps1lon
- [Pickers] Add missing periods at end of some descriptions (#24791) @fulin426
- [Pickers] Enable YearPicker documentation (#24830) @oliviertassinari
- [Pickers] Fix useState related console warnings in examples (#24848) @ydubinskyi

### Docs

- [docs] Add sorting section (#24637) @dtassone
- [docs] Include in docs directive to silence `eslint` erroneous warning (#24644) @silviot
- [docs] Clarifying the documentation about Chip behavior (#24645) @KarimOurrai
- [docs] Update Typography in migration guide (#24662) @mbrookes
- [examples] Update examples to use StyledEngineProvider (#24489) @mnajdova
- [docs] Add API documentation for \*DatePicker components (#24655) @eps1lon
- [docs] Add HoodieBees to sponsors (#24735) @mbrookes
- [docs] Fix indent @oliviertassinari
- [docs] Make <main> responsive to font size (#24531) @eps1lon
- [docs] Follow similar demo pattern for date and time pickers (#24739) @eps1lon
- [docs] Add information about local dev environment (#24771) @plug-n-play
- [docs] Add tcespal to Showcase (#24793) @ArnaultNouvel
- [docs] Fix CssBaseline typography description (#24802) @xiaoyu-tamu
- [docs] Add 'playlist' synonym to 'menu' (#24754) @Lagicrus
- [docs] Add more similar icons (#24799) @oliviertassinari
- [docs] Fix typo in the error message generated by createMuiTheme (#24827) @mbrookes
- [examples] Align more with the v5 recommended approach (#24798) @Tejaswiangotu123
- [docs] Update ButtonGroup demos to match v5 (#24797) @SCollinA
- [docs] Fix formatting of `mask` prop description (#24842) @eps1lon
- [docs] Add read synonym to drafts (#24854) @Lagicrus

### Core

- [core] Fix release:tag pushing to material-ui-docs (#24633) @eps1lon
- [core] Fix `next` using stale pages (#24635) @eps1lon
- [test] Skip JSDOM in style related conformance tests (#24668) @mnajdova
- [test] Conformance to handle wrapped elements (#24679) @natac13
- [core] Batch small changes (#24705) @oliviertassinari
- [test] Run more tests in Strict Mode (#24646) @oliviertassinari
- [test] Avoid visual flakiness (#24737) @oliviertassinari
- [core] Remove deprecated SimplifiedPropsOf/Simplify types (#24750) @petyosi
- [core] Disable type-checking of .propTypes (#24747) @eps1lon
- [test] Allow setting react-dist-tag via pipeline parameter (#24755) @eps1lon
- [test] Don't run dev CI for dependabot pushes (#24833) @eps1lon
- [test] Isolate Tooltip tests more (#24834) @eps1lon
- [test] Clear emotion cache between tests (#24837) @eps1lon
- [core] Save/restore actual yarn cache folder (#24844) @eps1lon
- [test] Increase timeout to 4000ms for screenshots (#24850) @oliviertassinari

All contributors of this release in alphabetical order: @anthonyraymond, @ArnaultNouvel, @DanailH, @dborstelmann, @dtassone, @duganbrett, @EkaterinaMozheiko, @eps1lon, @fulin426, @hallzac2, @idanrozin, @KarimOurrai, @kodai3, @Lagicrus, @mbrookes, @mirefly, @mnajdova, @natac13, @oliviertassinari, @petyosi, @plug-n-play, @praveenkumar-kalidass, @ruppysuppy, @SCollinA, @silviot, @sumarlidason, @Tejaswiangotu123, @vicasas, @xiaoyu-tamu, @ydubinskyi

## 5.0.0-alpha.24

<!-- generated comparing v5.0.0-alpha.23..next -->

_Jan 26, 2021_

A big thanks to the 23 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Convert 31 components to emotion. Around 40% of the components have been migrated so far thanks to the help of the community.
- 🐛 Fix two long-standing issues with the Grid. Solve the horizontal scrollbar as well as dimensions when nesting (#24332) @greguintow.
- 📚 Fix various display issues on API documentation pages (#24526, #24503, #24504. #24517, #24417).
- 📐 Add a subset of MUI System as flatten props on the CSS utility components (`Grid` and `Box` so far, `Typography` and `Stack` coming later) (#24485, #24499) @mnajdova.

  ```jsx
  <Box m={2}>
  ```

### `@material-ui/core@5.0.0-alpha.24`

- [Dialog] Migrate DialogActions to emotion (#24613) @vicasas
- [Toolbar] Migrate to emotion (#24567) @natac13
- [Hidden] Fix unsupported props warning when sx prop is used (#24624) @mnajdova
- [List] Migrate ListItemText to emotion (#24602) @natac13
- [List] Migrate ListItemSecondaryAction to emotion (#24593) @xs9627
- [BottomNavigation] Migrate to emotion (#24556) @vinyldarkscratch
- [CardActions] Fix wrong classes export name (#24609) @mnajdova
- [Card] Migrate CardContent to emotion (#24600) @vicasas
- [Card] Migrate to emotion (#24597) @povilass
- [TextField] Migrate InputBase to emotion (#24555) @duganbrett
- [Accordion] Allow to disable gutter/spacing (#24532) @TimonPllkrn
- [List] Migrate to emotion (#24560) @vinyldarkscratch
- [Card] Migrate CardActions to emotion (#24604) @vicasas
- [List] Migrate ListSubheader to emotion (#24561) @vinyldarkscratch
- [Breadcrumbs] Migrate to emotion (#24522) @vinyldarkscratch
- [Divider] Migrate to emotion (#24558) @vinyldarkscratch
- [Switch] Migrate SwitchBase to emotion (#24552) @vinyldarkscratch
- [Hidden] Migrate to emotion (#24544) @vinyldarkscratch
- [List] Migrate ListItem to emotion (#24543) @xs9627
- [TextField] Fix Google Translate zero-width space issue (#24563) @d3mp
- [Table] Separate classes for different labels (#24568) @tonysepia
- [Accordion] Migrate AccordionSummary to emotion (#24540) @vinyldarkscratch
- [IconButton] Migrate to emotion (#24542) @vinyldarkscratch
- [Accordion] Migrate AccordionActions to emotion (#24538) @vinyldarkscratch
- [Accordion] Migrate AccordionDetails to emotion (#24539) @vinyldarkscratch
- [Link] Migrate to emotion (#24529) @praveenkumar-kalidass
- [Accordion] Migrate to emotion (#24518) @vinyldarkscratch
- [Backdrop] Migrate to emotion (#24523) @vinyldarkscratch
- [Grid] Add system props (#24499) @mnajdova
- [Icon] Migrate to emotion (#24516) @vinyldarkscratch
- [Collapse] Migrate to emotion (#24501) @vinyldarkscratch
- [SvgIcon] Migrate to emotion (#24506) @oliviertassinari
- [Avatar] Migrate AvatarGroup to emotion (#24452) @praveenkumar-kalidass
- [Box] Add back system props (#24485) @mnajdova
- [Alert] Migrate AlertTitle to emotion (#24448) @povilass
- [Alert] Migrate to emotion (#24442) @kutnickclose
- [l10n] Improve Hebrew translation (#24449) @eladmotola
- [Checkbox][switch] Document defaultChecked (#24446) @praveenkumar-kalidass
- [AppBar] Migrate to emotion (#24439) @povilass
- [l10n] Improve German translation (#24436) @lukaselmer
- [Button][badge] Support custom colors and sizes (#24408) @mnajdova
- [Grid] Fix horizontal scrollbar and nested dimensions (#24332) @greguintow
- [Grid] Migrate to emotion (#24395) @mnajdova
- [Badge] Fix TS custom variants (#24407) @mnajdova

### `@material-ui/lab@5.0.0-alpha.24`

- [DatePicker] Remove unnecessary wrapping dom node (#24533) @mxsph
- [DateRangePicker] Remove variant prop override for Textfield (#24433) @praveenkumar-kalidass
- [lab] Reflect draft pattern of picker value in implementation (#24367) @eps1lon

### `@material-ui/styled-engine@5.0.0-alpha.24`

- [styled-engine] Rename StylesProvider to StyledEngineProvider (#24429) @mnajdova

### `@material-ui/system@5.0.0-alpha.24`

- [system] Fix handling of null-ish values (#24530) @oliviertassinari

### `@material-ui/unstyled@5.0.0-alpha.24`

- [unstyled] Convert composeClasses to TypeScript (#24396) @eps1lon

### `@material-ui/utils@5.0.0-alpha.24`

- [utils] `useEventCallback` `args` defaults to `unknown[]` (#24564) @eps1lon
- [utils] Fix requirePropFactory to merge validators (#24423) @mnajdova

### Docs

- [examples] Patch preact example not working (#24616)
- [docs] Add missing newline in component JSDoc (#24610) @eps1lon
- [docs] Add API of picker components (#24497) @eps1lon
- [examples] Add `locale` prop to the Nextjs Link component (#24596) @CyanoFresh
- [docs] List required props first in /api/\* (#24526) @eps1lon
- [docs] Mention MUI System props when available in the API pages (#24503) @mnajdova
- [docs] Improve system properties page (#24524) @mnajdova
- [docs] Fix malformed component API description (#24504) @eps1lon
- [docs] Fix ToC "Component name" fragment link on /api/\* (#24517) @eps1lon
- [docs] Fix ToC on /api pages linking to api-docs (#24515) @eps1lon
- [docs] Add comment explaining specificity bump on Select (#24509) @KarimMokhtar
- [docs] Compute spreadable from tests (#24490) @eps1lon
- [docs] Fix label bug in stepper vertical demo (#24491) @artola
- [docs] Update Divjoy URL (#24447) @mbrookes
- [docs] Improve packages description (#24330) @oliviertassinari
- [docs] Fix content-layout-shift (#24418) @oliviertassinari
- [docs] Document default values of external props (#24417) @eps1lon
- [docs] Update in-house ads (#24410) @mbrookes @ewldev

### Core

- [core] Skip downloading browser binaries in codesandbox/ci (#24628) @eps1lon
- [core] Batch small changes (#24599) @oliviertassinari
- [test] Simplify DatePicker tests (#24545) @eps1lon
- [core] Improve pseudo classes overrides error (#24535) @mnajdova
- [core] Fix styleProps to always contain all props (#24505) @mnajdova
- [test] Fix AvatarGroup failing test (#24512) @mnajdova
- [pickers] Sort tests (#24481) @eps1lon
- [test] Split tests in describeConformanceV5 to isolate them (#24479) @mnajdova
- [core] Do not forward classes prop by default in experimentalStyled (#24451) @mnajdova
- [core] Pass styleProps on all slots in the styled() components (#24454) @mnajdova
- [core] Batch small changes (#24445) @oliviertassinari
- [core] Normalize generating declaration files (#24411) @eps1lon

All contributors of this release in alphabetical order: @artola, @CyanoFresh, @d3mp, @duganbrett, @eladmotola, @eps1lon, @ewldev, @greguintow, @KarimMokhtar, @kutnickclose, @lukaselmer, @mbrookes, @mnajdova, @mxsph, @natac13, @oliviertassinari, @povilass, @praveenkumar-kalidass, @TimonPllkrn, @tonysepia, @vicasas, @vinyldarkscratch, @xs9627

## 5.0.0-alpha.23

_Jan 14, 2021_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 📚 Only document public paths in module augmentation (#24267) @eps1lon
- 👩‍🎤 Migrate the Paper and CssBaseline to emotion (#24397, #24176) @povilass @mnajdova

  We have reached a point where we feel confident that the new approach should make it to v5 stable. An issue has been created to track the progress with the migration to emotion: #24405. Your contribution to this effort and the ones from the community are welcome 🙌.

- 📅 Various improvements on the date picker components (#24301, #24309, #24275, #24298, #24319) @m4theushw @eps1lon @huzaima @praveenkumar-kalidass
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.23`/`@material-ui/unstyled@v5.0.0-alpha.23`

- [Container] Fix disableGutters style not applied (#24284) @povilass
- [Paper] Migrate to emotion (#24397) @povilass
- [Slider] Allow mobile VO users to interact with Sliders (#23902) @CodySchaaf
- [SwipeableDrawer] Add bleeding demo (#24268) @vicasas
- [SwipeableDrawer] Fix overflow scroll computation logic (#24225) @yann120
- [Table] Fix "more than" translation in es-ES (#24356) @vicasas
- [TextField] Fix error color for form input with secondary color (#24290) @praveenkumar-kalidass
- [Button] Fix resolution of default props (#24253) @oliviertassinari

### `@material-ui/lab@v5.0.0-alpha.23`

#### Breaking changes

- [DateRangePicker] Remove DateRangDelimiter (#24298) @huzaima

  You can migrate away from it with:

  ```diff
  diff --git a/docs/src/pages/components/date-range-picker/BasicDateRangePicker.tsx b/docs/src/pages/components/date-range-picker/BasicDateRangePicker.tsx
  index 72a89f9a11..2742fa6811 100644
  --- a/docs/src/pages/components/date-range-picker/BasicDateRangePicker.tsx
  +++ b/docs/src/pages/components/date-range-picker/BasicDateRangePicker.tsx
  @@ -3,7 +3,7 @@ import TextField from '@material-ui/core/TextField';
   import DateRangePicker, { DateRange } from '@material-ui/lab/DateRangePicker';
   import AdapterDateFns from '@material-ui/lab/AdapterDateFns';
   import LocalizationProvider from '@material-ui/lab/LocalizationProvider';
  -import DateRangeDelimiter from '@material-ui/lab/DateRangeDelimiter';
  +import Box from '@material-ui/core/Box';

   export default function BasicDateRangePicker() {
     const [value, setValue] = React.useState<DateRange<Date>>([null, null]);
  @@ -20,7 +20,7 @@ export default function BasicDateRangePicker() {
          renderInput={(startProps, endProps) => (
            <React.Fragment>
              <TextField {...startProps} variant="standard" />
  -            <DateRangeDelimiter> to </DateRangeDelimiter>
  +            <Box sx={{ mx: 2 }}>to</Box>
              <TextField {...endProps} variant="standard" />
            </React.Fragment>
          )}
  ```

#### Changes

- [DatePicker] Fix out of range month selection (#24301) @m4theushw
- [DatePicker] Replace withDefaultProps with useThemeProps (#24309) @m4theushw
- [DatePicker] Simplify ExtendWrapper type (#24275) @eps1lon
- [DatePicker] Reduce coupling of parsing picker input value and props (#24319) @eps1lon
- [TimePicker] Add pointer cursor for clock in desktop (#24276) @praveenkumar-kalidass
- [lab] Drop usage of createStyles (#24158) @eps1lon
- [lab] Fix import paths in generated declaration files (#24380) @eps1lon
- [lab] Prevent possible null pointer in useValidation (#24318) @eps1lon

### `@material-ui/styled-engine@v5.0.0-alpha.23`/`@material-ui/styled-engine-sc@v5.0.0-alpha.23`

- [styled-engine] Add `GlobalStyles` component (#24176) @mnajdova

### Docs

- [docs] Add example performance Stepper vertical (#24292) @vicasas
- [docs] Change Link example from JS to TS (#24291) @vicasas
- [docs] Do not show 'Add' if user input matches existing option (#24333) @ramdog
- [docs] Focus docs search input when the shortcut is clicked (#24296) @eps1lon
- [docs] Further template the CSS API descriptions (#24360) @mbrookes
- [docs] Improve Next.js Link integration (#24258) @oliviertassinari
- [docs] Misc API fixes (#24357) @mbrookes
- [docs] Prevent kbd to wrap (#24269) @oliviertassinari
- [docs] Simplify icon button docs (#24317) @baharalidurrani
- [docs] Standardize some API descriptions (#24274) @mbrookes
- [docs] Sync AppSearch.tsx with AppSearch.js (#24363) @Lagicrus
- [docs] Update CONTRIBUTING being accepted (#24306) @vicasas
- [docs] Update right to left compatibility plugin version (#24370) @mnajdova
- [docs] Widen example datetime-local picker so it's not clipped (#24324) @ramdog

### Core

- [core] Create issue labeled (#24283) @xrkffgg
- [core] Fix eslint @oliviertassinari
- [core] Skip downloading browser binaries when building docs (#24393) @eps1lon
- [core] Small changes (#24329) @oliviertassinari
- [core] Support public paths in module augmentation (#24267) @eps1lon
- [core] Update classes generation logic (#24371) @mnajdova
- [core] Update issue mark duplicate (#24311) @xrkffgg
- [core] Update issues helper version (#24379) @xrkffgg
- [test] Add pipeline task for performance monitoring (#24289) @eps1lon
- [test] Compensate for Circle CI's low performance (#24358) @oliviertassinari
- [test] Debug expensive GH actions still runing for l10nbot (#24392) @eps1lon
- [test] Move callback args to right side of assertion (#24366) @eps1lon
- [test] Persist new declaration files in CI cache (#24313) @eps1lon
- [test] Reduce download times of playwright binaries (#24364) @eps1lon
- [test] Skip expensive GitHub actions on l10nbot commits (#24303) @eps1lon
- [test] Test declaration files in TS nightly (#24391) @eps1lon
- [styles] Define useThemeProps as unstable and fix TS issues (#24383) @mnajdova

## 5.0.0-alpha.22

_Jan 4, 2021_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- ♿️ Fix major accessibility issue with the Autocomplete (#24213) @inform880
- 👩‍🎤 Migrate the Container to emotion (#24227) @oliviertassinari
- 🐛 Fix Next.js regression and other cross-platform issues with the build (#24200, #24223)
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.22`/`@material-ui/unstyled@v5.0.0-alpha.22`

- [Autocomplete] Fix VoiceOver not reading the correct activedescendant (#24213) @inform880
- [Autocomplete] Warn when value is invalid (#24202) @Sandeep0695
- [Button] Fix disableElevation regression (#24251) @oliviertassinari
- [Container] Migrate to emotion (#24227) @oliviertassinari
- [Pagination] Fix className forwarding when type is ellipsis (#24256) @andrelmlins
- [Select] Improve description on how it extends the Input components (#24180) @azza85
- [styled] Fix missing types for `sx` (#24211) @mnajdova
- [styled] Remove unused type parameters from StyledOptions (#24255) @eps1lon
- [styled] Support components without theme (#24214) @mnajdova
- [styles] Fix classes logic (#24250) @oliviertassinari
- [styles] Improve the classes structure (#24249) @oliviertassinari

### `@material-ui/lab@v5.0.0-alpha.22`

- [DatePicker] Fix year only view, hide the current month (#24205) @hyeonhong
- [DatePicker] Nested imports for better DX (#24147) @oliviertassinari
- [DatePicker] Remove unused type parameters (#24257) @eps1lon
- [TimePicker] Prevent conflicting type parameter in `ClockProps#getClockLabelText` (#24193) @eps1lon

### Docs

- [docs] Accept pages written in TypeScript (#24230) @oliviertassinari
- [docs] Document emotion migration breaking changes (#24229) @luminaxster
- [docs] Fix broken benchmark link (#24210) @jalaj-k
- [docs] Fix codesandbox datagrid demo (#24218) @brno32
- [docs] Fix iframe demos with emotion (#24232) @oliviertassinari
- [docs] Sync translations (#24161) @l10nbot

### Core

- [test] More granular progress tracking of relative type imports (#24233) @eps1lon
- [core] Add missing sx typings on the components migrated to emotion (#24208) @mnajdova
- [core] Batch small changes (#24224) @oliviertassinari
- [core] Create issue mark duplicate (#24184) @xrkffgg
- [core] Fix generation of package.json (#24223) @oliviertassinari
- [core] Fix relative import of types (#24248) @oliviertassinari
- [core] Platform agnostic build script for envinfo (#24200) @eps1lon
- [core] Remove unused generics from experimentalStyled (#24192) @eps1lon

## 5.0.0-alpha.21

_Dec 30, 2020_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Migrate the Avatar to emotion (#24114) @oliviertassinari
- 👩‍🎤 Migrate the Button to emotion (#24107, #24100) @mnajdova
- ♿️ Improve TrapFocus behavior, ignore the container as a tabbable element (#23364) @gregnb
  In rare cases, an element might not longer be tabbable when looping, for example overflow container in Firefox.
  You can work around the problem by adding a `tabIndex={0}` or customizing the `getTabbable` prop.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.21`/`@material-ui/unstyled@v5.0.0-alpha.21`

- [Avatar] Migrate to emotion (#24114) @oliviertassinari
- [ButtonBase] Migrate styles to emotion (#24100) @mnajdova
- [Button] Migrate styles to emotion (#24107) @mnajdova
- [unstyled] Add utils for generating utility classes (#24126) @mnajdova
- [FocusTrap] Fix trap to only focus on tabbable elements (#23364) @gregnb
- [Link] Improve integration with Next.js (#24121) @kelvinsanchez15
- [Select] Fix overflow showing scrollbar (#24085) @Segebre
- [Slider] Fix circular type reference in SliderValueLabel (#24190) @eps1lon
- [Skeleton] Fix default TypeScript component type (#24191) @eps1lon

### `@material-ui/system@v5.0.0-alpha.21`

- [system] Fix sx prop typings to support grid gap props (#24093) @mnajdova
- [system] Improve the SxProp typings structure, by splitting them in a separate module. (#24090) @mnajdova
- [system] Replace grid gap properties (#24094) @mnajdova

### `@material-ui/lab@v5.0.0-alpha.21`

- [DatePicker] Allow to customize icons (#24017) @jackcwu
- [DatePicker] Fix missing component for theme augmentation (#24092) @rajzik
- [DatePicker] Hide outline on container (#24108) @oliviertassinari
- [DatePicker] Fix accessibility issue with heading (#24183) @gracektay
- [TimePicker] Improve the design to fit on smaller screens (#23855) @marianayap
- [TreeView] Add preventScroll for tree focus (#24105) @praveenkumar-kalidass

### `@material-ui/styles@v5.0.0-alpha.21`

- [styles] Fix for supporting non string props in propsToClassKey (#24101) @mnajdova

### `@material-ui/styled-engine@v5.0.0-alpha.21`/`@material-ui/styled-engine-sc@v5.0.0-alpha.21`

- [styled-engine] Fix StylesProvider injectFirst with sc (#24104) @mnajdova

### Docs

- [docs] Add examples for adding and removing Typography variants (#24088) @mnajdova
- [docs] Fix typo (#24123) @ajonp
- [docs] Fix warning about wrong prop type (#24117) @mnajdova
- [docs] Rename "Customization > Theme > Global" to "Customization > Theme > Components" (#24115) @mnajdova
- [docs] Rename customization/components to customization/how-to-customize (#24089) @mnajdova
- [docs] Replace process.browser with typeof navigator (#24122) @softshipper
- [docs] Sync translations (#24152) @l10nbot
- [docs] Update Fontsource install instructions (#24120) @DecliningLotus
- [docs] Add system grid page (#24119) @mnajdova
- [blog] 2020 in review and beyond (#24130) @oliviertassinari
- [docs] Improve naming and structure of the Customization and Guide pages (#24175) @mnajdova

### Core

- [core] Batch small changes (#24131) @oliviertassinari
- [core] Fix overridesResolver on the core components and added tests (#24125) @mnajdova
- [core] Reduce number of files included in language server (#24165) @eps1lon
- [core] Reduce response time of initial PR bot comment (#24168) @eps1lon
- [core] Refactor styled() components to ease out the migration process (#24124) @mnajdova
- [test] Add more packages to browser test suite (#24155) @eps1lon
- [core] Monitor progress of fixing type imports (#24188) @eps1lon
- [core] Fix build on Windows (#24187) @oliviertassinari

## 5.0.0-alpha.20

_Dec 21, 2020_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Migrate the Typography to emotion (#23841) @DanailH

  This change allows to add typography variants in the theme and to use them directly:

  ```jsx
  const theme = createMuiTheme({
    typography: {
      poster: {
        color: 'red',
      },
    },
  });
  <Typography variant="poster">poster</Typography>;
  ```

  [A full demo](https://codesandbox.io/p/sandbox/fontsizetheme-material-demo-forked-l9u05?file=/demo.tsx:725-773)

- 📚 Add a shortcut to open the Algolia search (#23959) @hmaddisb.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.20`/`@material-ui/unstyled@v5.0.0-alpha.20`

#### Breaking changes

- [CssBaseline] Change body font size to body1 (1rem) (#24018) @mbrookes

  The new default matches the variant used by the Typography component. To return to the previous size, you can override it in the theme:

  ```js
  const theme = createMuiTheme({
    typography: {
      body1: {
        fontSize: '0.875rem',
      },
    },
  });
  ```

#### Changes

- [Badge] Fix the classes description to reflect the correct component (#24035) @mnajdova
- [Select] Fix aria-describedby attribute (#24027) @HVish
- [Skeleton] Fix Circle border radius on Safari (#24054) @anatolzak
- [Slider][badge] Fix classes prop not working (#24034) @mnajdova
- [Typography] Migrate styles to emotion (#23841) @DanailH

### `@material-ui/styled-engine@v5.0.0-alpha.20`/`@material-ui/styled-engine-sc@v5.0.0-alpha.20`

- [styled-engine] Add name and slot options (#23964) @mnajdova
- [styled-engine] Add StylesProvider with injectFirst option (#23934) @mnajdova

### `@material-ui/system@v5.0.0-alpha.20`

- [system] Fix transform not firing when theme provided (#24010) @ZovcIfzm

### Docs

- [docs] Add a shortcut to access the search bar (#23959) @hmaddisb
- [docs] Animate component's mounting and unmounting (#24049) @cjoecker
- [docs] Fix collapse API docs description of 'hidden' style condition (#24053) @jaiwanth-v
- [docs] Improve color demo snippet spacing (#24009) @yukinoda
- [docs] Improve displayed versions (#24051) @oliviertassinari
- [docs] Show a better file on codesandbox (#24052) @oliviertassinari
- [docs] Update customization/components and customization/global pages (#24016) @mnajdova
- [docs] Update the CSS injection guide (#24020) @mnajdova

### Core

- [core] Batch small changes (#24038) @oliviertassinari
- [core] Track size of /unstyled (#24021) @eps1lon
- [core] Use consistent naming scheme for ttp annotations (#24022) @eps1lon

## 5.0.0-alpha.19

_Dec 13, 2020_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- 👩‍🎤 Migrate the Badge to emotion (#23745) @mnajdova.
- 🌏 Add infrastructure to translate the API pages (#23852) @mbrookes.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.19`

#### Breaking changes

- [Icon][svgicon] Change default fontSize from default to medium (#23950) @mbrookes

  The default value of `fontSize` was changed from `default` to `medium` for consistency.
  In the unlikey event that you were using the value `default`, the prop can be removed:

  ```diff
  -<SvgIcon fontSize="default">{iconPath}</SvgIcon>
  +<SvgIcon>{iconPath}</SvgIcon>
  ```

- [TextField] Add size prop for outlined and filled input (#23832) @mayralgr

  Rename `marginDense` and `inputMarginDense` classes to `sizeSmall` and `inputSizeSmall` to match the prop.

#### Changes

- [Autocomplete] Document onChange last `details` param (#23942) @natac13
- [Autocomplete] Fix useAutocomplete groupedOptions type (#23854) @ZachCMP
- [Autocomplete] Improve DX/UX when getOptionLabel is not configured correctly (#23884) @marianayap
- [Autocomplete] Improve getOptionSelected description (#23817) @smartshivkat
- [Badge] Create unstyled component & move to emotion (#23745) @mnajdova
- [Grid] Improve support for nested grid (#23913) @gbrochar
- [Grid] Fix side effects when direction="column" and xs={} is used (#23900) @Kai-W
- [Select] Fix description, value is not required (#23940) @natac13
- [Slider] Remove color prop in unstyled (#23840) @mnajdova
- [Slider] Replaced inlined isHostComponent with the utils (#23880) @mnajdova
- [SwipeableDrawer] Refactor internals (#23944) @eps1lon
- [TextField] Add documentation for hidden label (#23915) @Fredestrik
- [TextField] Fix the color leak of the textbox (#23912) @szabgab
- [useMediaQuery] Fix a false return at the first call (#23806) @marthaerm
- [utils] Fix minified errors throwing with \_formatMuiErrorMessage (#23828) @eps1lon

### `@material-ui/unstyled@v5.0.0-alpha.19`

- [core] Use Lerna to publish (#23793) @oliviertassinari

### `@material-ui/system@v5.0.0-alpha.19`

#### Breaking changes

- [system] Move visually hidden helper to utils (#23974) @eps1lon

  Only applies if you've installed v5.0.0-alpha.1

  ```diff
  -import { visuallyHidden } from '@material-ui/system';
  +import { visuallyHidden } from '@material-ui/utils';
  ```

#### Changes

- [core] Use Lerna to publish (#23793) @oliviertassinari

### `@material-ui/lab@v5.0.0-alpha.19`

- [core] Use Lerna to publish (#23793) @oliviertassinari

### `@material-ui/utils@v5.0.0-alpha.19`

- [core] Use Lerna to publish (#23793) @oliviertassinari

### `@material-ui/styles@v5.0.0-alpha.19`

- [core] Use Lerna to publish (#23793) @oliviertassinari

### Docs

- [example] Change Box to new sx prop (#23937) @natac13
- [example] Explain package choice (#23938, #23958) @mnajdova
- [example] Update nextjs examples to fix hydration (#23936) @mnajdova
- [docs] Add API tradeoff section for the sx prop (#23962) @mnajdova
- [docs] Add ELEVATOR to backers (#23977) @mbrookes
- [docs] Add eslint rule to docs (#23843) @jens-ox
- [docs] Add infrastructure to translate API pages (#23852) @mbrookes
- [docs] Add link to the sx docs page in the API description (#23967) @mnajdova
- [docs] Add prepend option on emotion caches to allow JSS style overrides (#23892) @mnajdova
- [docs] Add Vercel deploy config (#23910) @eps1lon
- [docs] Allow codesandbox deploy for demos in X (#23644) @oliviertassinari
- [docs] Copy icons to clipboard (#23850) @CodeWithGuruji
- [docs] Fix breakpoints typos (#23893) @mnajdova
- [docs] Fix color contrast of code within links (#23819) @eps1lon
- [docs] Fix duplicated styles generated from emotion (#23809) @mnajdova
- [docs] Fix icon alignment in /components/breadcrumbs (#23818) @eps1lon
- [docs] Fix production deploy (#23963) @eps1lon
- [docs] Fix source on GitHub links (#23821) @praveenkumar-kalidass
- [docs] Fix StickyHeaderTable round borders (#23882) @antoniopacheco
- [docs] Fix typo in date picker dayjs adapter name (#23935) @andresmrm
- [docs] Improve system properties page (#23961) @mnajdova
- [docs] Link module augmentation in TypeScript @oliviertassinari
- [docs] Make stable width of localization example (#23820) @sujinleeme
- [docs] Mention Adobe XD (#23978) @oliviertassinari
- [docs] Prefer system shorthands (#23970) @oliviertassinari
- [docs] Remove 'TODO' comment from buildApi script (#23973) @mbrookes
- [docs] Sync translations (#23742, #23842) @l10nbot
- [docs] Update Badge examples to use Box instead of makeStyles (#23927) @mnajdova

### Core

- [test] Add conformance tests for testing the `theme.components` options for the v5 components (#23896) @mnajdova
- [test] Include type path mappings in language server (#23905) @eps1lon
- [test] Make Popper tests StrictMode agnostic (#23838) @eps1lon
- [test] Run benchmarks in Azure Pipelines when approved (#23895) @eps1lon
- [test] Skip tests with cascading network requests (#23823) @eps1lon
- [core] All packages are published from /build (#23886) @oliviertassinari
- [core] Batch small changes (#23853) @oliviertassinari
- [core] Fix failing CI on HEAD (#23947) @oliviertassinari
- [core] Force LF for text files (#23932) @eps1lon
- [core] Improve envinfo instructions (#23918) @eps1lon
- [core] Replace fs-extra deprecated function (exists) (#23848) @leonardopliski
- [core] Use Lerna to publish (#23793) @oliviertassinari
- [core] Use playwright instead of puppeteer (#23906) @eps1lon
- [core] Add envinfo --json flag (#23883) @eps1lon
- [core] Ask for output from envinfo in issues (#23881) @eps1lon

## 5.0.0-alpha.18

_Dec 3, 2020_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- Fix most of the issues with MUI System (#23716, #23635, #23737, #23733, #23700, #23688) @mnajdova.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.18`

#### Breaking changes

- [Box] Remove deprecated props (#23716) @mnajdova
  All props are now available under the `sx` prop. A deprecation will be landing in v4.
  Thanks to @mbrookes developers can automate the migration with a [codemod](https://github.com/mui/material-ui/blob/v5.0.0/packages/mui-codemod/README.md#box-sx-prop).

  ```diff
  -<Box p={2} bgcolor="primary.main">
  +<Box sx={{ p: 2, bgcolor: 'primary.main' }}>
  ```

#### Changes

- [Autocomplete] Add ability to override key down events handlers (#23487) @hessaam
- [Autocomplete] Better isolate test case (#23704) @oliviertassinari
- [Autocomplete] Fix highlight change event (#23718) @TakumaKira
- [Box] Fix TypeScript issue when component prop is used (#23686) @mnajdova
- [experimentalStyled] Make sx style fn optional (#23714) @mnajdova
- [l10n] Improve Brazilian (pt-BR) locale (#23707) @m4rcelofs
- [l10n] Improve Korean (ko-KR) locale (#23794) @sujinleeme
- [Select] Add disabled attribute in input element when disabled (#23778) @praveenkumar-kalidass
- [Switch] Add preventDefault check for state change (#23786) @praveenkumar-kalidass
- [Tabs] Remove duplicate styles (#23561) @cmfcmf

### `@material-ui/system@v5.0.0-alpha.18`

- [system] Allow values to use shorter string when the prop name is contained in the value (#23635) @mnajdova
- [system] Another round of perf improvements (#23737) @mnajdova
- [system] Fix transform return value to support CSSObject (#23733) @mnajdova
- [system] Make borderRadius multiply a theme's design token (#23700) @mnajdova
- [system] Various perf gain experiments (#23688) @mnajdova

### `@material-ui/styles@v5.0.0-alpha.18`

- [styles] Small performance gain (#23749) @oliviertassinari
- [styles] Update mergeClasses types to more closely match its implementation (#23705) @etrepum

### `@material-ui/utils@v5.0.0-alpha.18`

- [system] Another round of perf improvements (#23737) @mnajdova

### `@material-ui/lab@v5.0.0-alpha.18`

- [DatePicker] Found one prop that was renamed (#23676) @oliviertassinari
- [DateRangePicker] Allow same date selection (#23701) @hmaddisb

### `@material-ui/styled-engine@v5.0.0-alpha.18`/`@material-ui/styled-engine-sc@v5.0.0-alpha.18`

- [styled-engine] Fix tagged template syntax with multiple expressions (#23269) @eps1lon

### Docs

- [docs] Add settings panel to allow system mode (#23722) @mbrookes
- [docs] Add v5 peer dependencies in README (#23751) @johnrichardrinehart
- [docs] Document using codesandbox-ci (#23800) @brorlarsnicklas
- [docs] Fix link name for canadacasino (#23799) @eps1lon
- [docs] Fix various a11y issues reported by lighthouse (#23791) @eps1lon
- [docs] Improve prop descriptions (#23723) @oliviertassinari
- [docs] Improve SEO structure (#23748) @oliviertassinari
- [docs] Improve settings toggle button styling (#23754) @mbrookes
- [docs] Misc fixes (#23756) @mbrookes
- [docs] Move instructions for starting the docs earlier in the file (#23801) @brorlarsnicklas
- [docs] Prepare v5.0.0-alpha.17 (#23680) @oliviertassinari
- [docs] Remove unused abstraction (#23724) @oliviertassinari
- [docs] Sync translations (#23682) @l10nbot

### Core

- [benchmark] Improve printed results (#23729) @oliviertassinari
- [benchmark] Test styleFunctionSx vs. @styled-system/css (#23702) @mnajdova
- [benchmark] Update with latest (#23694) @oliviertassinari
- [core] Batch small changes (#23678) @oliviertassinari
- [core] Fix ci @oliviertassinari
- [core] Fix error handling on upload (#23734) @eps1lon
- [core] Fully clear composite TypeScript project state (#23805) @eps1lon
- [core] Remove unused classes (#23473) @jens-ox
- [test] Add conformance test suite for v5 (#23798) @mnajdova
- [test] Cleanup skipped tests (#23732) @eps1lon
- [test] Misc improvements to experimental and browser test runner (#23699) @eps1lon
- [test] Stay busy until document.fonts is ready (#23736) @eps1lon

## 5.0.0-alpha.17

_Nov 23, 2020_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 📚 Improve the IntelliSense support for the `sx` prop (#23599) @mnajdova.
  You should now get a description for each property of MUI System. For instance with `mx`:

  ![system TypeScript](https://user-images.githubusercontent.com/3165635/99920493-20f60a00-2d24-11eb-8748-c5dd7fe85cbd.png)

- 💅 Migrate the first core component to the v5 styling architecture (#23308) @mnajdova.
  We have spent the last few months iterating on the new styling approach in the lab, and are confident enough in the new approach to move it to the core, so we have migrated the Slider. We will wait a week or two to collect feedback on it, before scaling it to the rest of the codebase.
- 📅 Fix the first few issues on the date picker components since the migration in the lab.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.17`

#### Breaking changes

- [Slider] Migrate to emotion (#23308) @mnajdova

  By default, emotion injects its style after JSS, this breaks the computed styles. In order to get the correct CSS injection order until all the components are migrated, you need to wrap the root of your application with:

  ```jsx
  import * as React from 'react';
  import ReactDOM from 'react-dom';
  import { StylesProvider } from '@material-ui/core';
  import App from './App';

  ReactDOM.render(
    <StylesProvider injectFirst>
      <App />
    </StylesProvider>,
    document.querySelector('#root'),
  );
  ```

  This enforces emotion being injected first. [More details](https://mui.com/material-ui/integrations/interoperability/#css-injection-order) in the documentation.

- [Autocomplete] Rename `closeIcon` prop with `clearIcon` to avoid confusion (#23617) @akhilmhdh.

  ```diff
  -<Autocomplete closeIcon={icon} />
  +<Autocomplete clearIcon={icon} />
  ```

- [Dialog] Remove the `disableBackdropClick` prop. It's redundant with the `reason` argument (#23607) @eps1lon.

  ```diff
   <Dialog
  -  disableBackdropClick
  -  onClose={handleClose}
  +  onClose={(event, reason) => {
  +    if (reason !== 'backdropClick') {
  +      onClose(event, reason);
  +    }
  +  }}
   />
  ```

- [Modal] Remove the `disableBackdropClick` prop. It's redundant with the `reason` argument (#23607) @eps1lon.

  ```diff
   <Modal
  -  disableBackdropClick
  -  onClose={handleClose}
  +  onClose={(event, reason) => {
  +    if (reason !== 'backdropClick') {
  +      onClose(event, reason);
  +    }
  +  }}
   />
  ```

- [Modal] Remove the `onEscapeKeyDown` prop. It's redundant with the `reason` argument. (#23571) @eps1lon

  ```diff
   <Modal
  -  onEscapeKeyDown={handleEscapeKeyDown}
  +  onClose={(event, reason) => {
  +    if (reason === "escapeKeyDown") {
  +      handleEscapeKeyDown(event);
  +    }
  +  }}
   />;
  ```

#### Changes

- [CircularProgress][linearprogress] Change components from div to span (#23587) @bruno-azzi
- [Grid] Improve warning when a prop is missing (#23630) @udayRedI
- [Icon] Allow customizing the 'material-icons' base class name (#23613) @rart
- [Select] Fix focus() call on ref (#23302) @reedanders
- [Slider] Add test case for triggering a specific value (#23642) @Thehambalamba
- [Slider] General cleanup and add classes prop for unstyled (#23569) @mnajdova
- [styles] Add support for TypeScript 4.1 (#23633) @eps1lon

### `@material-ui/codemod@v5.0.0-alpha.17`

- [codemod] Add moved-lab-modules (#23588) @eps1lon
  This codemod is part of our effort to make the migration from v4 to v5 as painless as possible.

### `@material-ui/utils@v5.0.0-alpha.17`

- [Grid] Improve warning when a prop is missing (#23630) @udayRedI

### `@material-ui/system@v5.0.0-alpha.17`

- [system] Improve the `sx` prop IntelliSense (#23599) @mnajdova

### `@material-ui/unstyled@v5.0.0-alpha.17`

- [Slider] Replace core Slider with SliderStyled (#23308) @mnajdova

### `@material-ui/lab@v5.0.0-alpha.17`

#### Breaking changes

- [DatePicker] Change the import path of the date adapters (#23568) @eps1lon.
  It better fits with the current import convention.

  ```diff
  -import AdapterDateFns from '@material-ui/lab/dateAdapter/date-fns';
  +import AdapterDateFns from '@material-ui/lab/AdapterDateFns';
  ```

#### Changes

- [DatePicker] Add missing exports (#23621) @havgry
- [DatePicker] Add missing TypeScript definitions (#23560) @mbrookes
- [DatePicker] Fix false-positive when validating mask in Safari (#23602) @eps1lon
- [DatePicker] Fix missing manifest for TypeScript packages (#23564) @eps1lon
- [TimePicker] Prevent scroll when interacting with the clock (#23563) @knightss27

### Docs

- [docs] Add advanced page for MUI System (#23596) @mnajdova
- [docs] Add docs for typography in system (#23510) @oliviertassinari
- [docs] API pages i18n (#23214) @mbrookes
- [docs] Create pickers migration guide (#23605) @dmtrKovalenko
- [docs] Enable TS language service for docs/src (#23576) @eps1lon
- [docs] Explain the information listed on MUI System properties page (#23566) @mnajdova
- [docs] Fix /api client-side routing (#23586) @eps1lon
- [docs] Fix the Box section title on migration-v4 guide (#23679) @claudioldf
- [docs] Generate default values for docs from the unstyled components (#23614) @mnajdova
- [docs] Increase printWidth from 80 to 85(#23512) @eps1lon
- [docs] Prevent layout jumps from img loading in system demo (#23504) @eps1lon
- [docs] Remove controlled Tooltip example in Slider (#23625) @micsidoruk
- [docs] Remove dead demos in MUI System basics page (#23565) @mnajdova
- [docs] Replace emotion-server packages with @emotion/server (#23557) @numToStr
- [docs] Sync translations (#23648) @l10nbot

### Core

- [core] Add support for TypeScript 4.1 (#23633) @eps1lon
- [core] Batch small changes (#23554) @oliviertassinari
- [core] Cleanup emotion dependencies (#23556) @eps1lon
- [core] Fix formatting (#23567) @eps1lon
- [core] Fix tracked component size regression (#23516) @eps1lon
- [core] Fix transpilation target of UMD bundle (#23618) @eps1lon
- [test] Create chunks for Argos (#23518) @oliviertassinari
- [test] Debug argos-cli upload failures (#23623) @eps1lon
- [test] Enable experimental-timezone tests (#23595) @eps1lon
- [test] Misc visual regression flakiness improvements (#23619) @eps1lon
- [test] Use playwright instead of vrtest (#23500) @eps1lon

## 5.0.0-alpha.16

_Nov 14, 2020_

A big thanks to the 34 contributors who made this release possible. Here are some highlights ✨:

- 📅 Migrate the date picker to the lab (#22692) @dmtrKovalenko.
  We have integrated the components with the code infrastructure. Next we will migrate all the GitHub issues from [material-ui-pickers](https://github.com/mui/material-ui-pickers) and archive the repository. This migration will help provide first-class support for the date picker components. The component will stay in the lab as long as necessary to reach the high-quality bar we have for core components. You can find the [new documentation here](https://mui.com/components/pickers/).

  While the source code is currently hosted in the [main repository](https://github.com/mui/material-ui), we might move it to the [x repository](https://github.com/mui/mui-x) in the future, depending on what is easier for the commercial date range picker. The date picker will stay open source no matter what.

- 📚 Revamp the documentation for [MUI System](https://mui.com/system/getting-started/). The System contains CSS utilities. The documentation now promotes the use of the `sx` prop. It's ideal for adding one-off styles, for example padding, but when pushed to its limits, it can be used to implement quickly a complete page.
- 👩‍🎨 Upgrade emotion to v11 (#23007) @mnajdova.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.16`

#### Breaking changes

- [TextField] Change default variant from standard to outlined (#23503) @mbrookes
  Standard has been removed from the Material Design guidelines. [This codemod](https://github.com/mui/material-ui/tree/next/packages/mui-codemod#variant-prop) will automatically update your code.

  ```diff
  -<TextField value="Standard" />
  -<TextField value="Outlined" variant="outlined" />
  +<TextField value="Standard" variant="standard" />
  +<TextField value="Outlined" />
  ```

- [Autocomplete] Remove `debug` in favor of `open` and dev tools (#23377) @eps1lon
  There are a couple of simpler alternatives: `open={true}`, Chrome devtools ["Emulate focused"](https://x.com/sulco/status/1305841873945272321), or React devtools props.

#### Changes

- [Autocomplete] Use Popper when `disablePortal` (#23263) @eps1lon
- [Box] Better DX for deprecated props (#23285) @eps1lon
- [codemod] Add a codemod for the Box sx prop (#23465) @mbrookes
- [CssBaseline] Add dark mode scrollbar support (#23407) @mmmols
- [Slider] Extract slots as standalone components (#22893) @mnajdova
- [Stepper] Fix the icon prop support in StepLabel (#23408) @randyshoopman
- [theme] Add htmlFontSize to Typography interface (#23412) @fergusmcdonald
- [Tooltip] Fix PopperProps popper modifiers not being merged properly (#23421) @dominique-mueller
- [Tooltip] Long press select text on iOS (#23466) @hmaddisb
- [Tooltip] Unexpected behavior onOpen/onClose (#23482) @brorlarsnicklas

### `@material-ui/lab@v5.0.0-alpha.16`

- [DatePicker] Migrate to the lab #22692 @dmtrKovalenko

### `@material-ui/system@v5.0.0-alpha.16`

- [system] Add typography prop that will pull from theme.typography (#23451) @mnajdova
- [system] Create separate margin and padding functions (#23452) @mnajdova
- [system] Export styleFunctionSx and improve signature (#23397) @mnajdova
- [system] Merge breakpoints in correct order (#23380) @mnajdova
- [system] Remove css utility in favor of sx (#23454) @mnajdova
- [system] Warn for spacing when non integer value is used with theme.spacing array (#23460) @mnajdova

### `@material-ui/styled-engine@v5.0.0-alpha.16`

- [styled-engine] Upgrade emotion to 11 RC (#23007) @mnajdova

### `@material-ui/unstyled@v5.0.0-alpha.16`

- [Slider] Extract slots as standalone components (#22893) @mnajdova

### `@material-ui/codemod@v5.0.0-alpha.16`

- [TextField] Change default variant from standard to outlined (#23503) @mbrookes

### Docs

- [docs] Allow to host code in a different repo (#23390) @oliviertassinari
- [docs] CHANGELOG for v5.0.0-alpha.15 (#23383) @oliviertassinari
- [docs] Fix examples download URLs to match the correct branch name (#23467) @matchatype
- [docs] Fix links being opened when dismissing context menus (#23491) @eps1lon
- [docs] Fix the Netlify proxy for localization of X (#23387) @oliviertassinari
- [docs] Fix usage of palette.type instead of palette.mode in docs (#23414) @hubgit
- [docs] Improve documentation of MUI System (#23294) @mnajdova
- [docs] Improve feedback a11y (#23459) @eps1lon
- [docs] Improve formatting of MUI System (#23509) @oliviertassinari
- [docs] Improve migration guide for theme.palette (#23416) @hubgit
- [docs] Mention delay instead of transition twice (#23393) @benmneb
- [docs] Prepare Material UI X (#1893) @oliviertassinari
- [docs] Redirect legacy GridList pages to ImageList (#23456) @eps1lon
- [docs] Remove redundant aria-label when wrapped in Tooltip (#23455) @eps1lon
- [docs] Sync translations (#23316) @l10nbot
- [docs] Update buildAPI script to handle the "styled" components (#23370) @mnajdova
- [docs] Update new components in the roadmap (#23507) @mbrookes
- [docs] Update translations (#23501) @l10nbot

### Core

- [core] Batch small changes (#23422) @oliviertassinari
- [core] Fix skipped ignore patterns (#23474) @eps1lon
- [core] Switch to globby and fast-glob (#23382) @eps1lon
- [test] Increase timeout threshold for slow Firefox tests (#23463) @eps1lon
- [test] Make sure system properties are in the same order when generating CSS (#23388) @mnajdova
- [test] Prefer longhand properties (#23445) @eps1lon
- [test] Remove data-mui-test from tests (#23498) @eps1lon
- [test] Remove keyDown#force (#23488) @eps1lon
- [test] Use adapter instead of native Date (#23475) @eps1lon
- [test] Use fake timers in visual regression tests (#23464) @eps1lon

## 5.0.0-alpha.15

_Nov 4, 2020_

A big thanks to the 20 contributors who made this release possible. Here are some highlights ✨:

- ⚛️ Add support for React 17 (#23311) @eps1lon.
  React 17 release is unusual because it doesn't add any new developer-facing features. It was released a couple of days ago. You can learn more about it in the [introduction post](https://legacy.reactjs.org/blog/2020/10/20/react-v17.html). Material UI now supports `^16.8.0 || ^17.0.0`.
- 🛠 Introduce a new `@material-ui/unstyled` package (#23270) @mnajdova.
  This package will host the unstyled version of the components. In this first iteration, only the Slider is available. You can find it documented under the [same page](https://mui.com/components/slider-styled/#unstyled-slider) as the styled version.

  **Why an unstyled package?**

  While engineering teams are successfully building custom design systems by wrapping Material UI, we [occasionally hear](https://github.com/mui/material-ui/issues/6218) that Material Design or our styling solution are something they don't need. Some teams prefer SASS, others prefer to customize the components starting from a pristine state. What all these teams have in common is that they value the features coming from the components, such as accessibility.

  The unstyled package goes one step down in the abstraction layer, providing more flexibility. Angular Material introduced this approach two years ago. Today their unstyled components account for [25% of the usage](https://npm-stat.com/charts.html?package=%40angular%2Fmaterial&package=%40angular%2Fcdk&from=2017-11-03&to=2020-11-03).

  Another reason for introducing this package is to prepare the groundwork for a [second theme](https://github.com/mui/material-ui/issues/22485) (not Material Design based).

  A note on the terminology: "unstyled" means that the components have the same API as the "styled" components but come without CSS. Material UI also contains "headless" components that exposes a hook API, for example [useAutocomplete](https://mui.com/components/autocomplete/#useautocomplete) or [usePagination](https://mui.com/components/pagination/#usepagination).

  This change is part of our strategy to iterate on the v5 architecture with the `Slider` first. In the next alpha release, we plan to replace the v4 slider with the v5 slider. Once the new approach is stress-tested and validated, we will roll it out to all the components.

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.15`

#### Breaking changes

- [AppBar] Fix z-index when position="static" (#23325) @sujinleeme
  Remove z-index when position static and relative
- [theme] Fix error message for augmentColor failure (#23371) @reedanders
  The signature of `theme.palette.augmentColor` helper has changed:

  ```diff
  -theme.palette.augmentColor(red);
  +theme.palette.augmentColor({ color: red, name: 'brand' });
  ```

#### Changes

- [Autocomplete] Fix unclickable area between text input and endAdornment (#23229) @sujinleeme
- [Autocomplete] Follow Material Design State spec (#23323) @sujinleeme
- [Avatar] Fix usage of srcset property (#23286) @matheuspiment
- [ClickAwayListener] Fix mounting behavior in Portals in React 17 (#23315) @eps1lon
- [core] Allow React 17 (#23311) @eps1lon
- [Icon] Fix translation, for example Google Translate (#23237) @cbeltrangomez84
- [LinearProgress] Fix Safari's bug during composition of different paint (#23293) @montogeek
- [Radio] Fix dot misalignment in Safari (#23239) @anasufana
- [styled-engine] Fix tagged template syntax with multiple expressions (#23269) @eps1lon
- [Table] Fix empty row logic when displaying all (#23280) @JoaoJesus94
- [Table] Fix handling of rowsPerPage={-1} (#23299) @JoaoJesus94
- [TextareaAutosize] Fix container with no intrinsic height (#23273) @sujinleeme
- [TextField] Fix disabled color in Safari (#23375) @Morteza-Jenabzadeh
- [theme] Fix spacing string arguments (#23224) @GuilleDF
- [Tooltip] Fix excess spacing (#23233) @benneq

### `@material-ui/unstyled@v5.0.0-alpha.15`

- [unstyled] Create package and move SliderUnstyled there (#23270) @mnajdova
- [core] Allow React 17 (#23311) @eps1lon

### `@material-ui/lab@v5.0.0-alpha.15`

- [lab] Migrate Timeline to TypeScript (#23242) @oliviertassinari
- [core] Allow React 17 (#23311) @eps1lon

### `@material-ui/icons@v5.0.0-alpha.15`

- [core] Allow React 17 (#23311) @eps1lon

### `@material-ui/styles@v5.0.0-alpha.15`

- [core] Allow React 17 (#23311) @eps1lon

### `@material-ui/system@v5.0.0-alpha.15`

- [core] Allow React 17 (#23311) @eps1lon
- [theme] Fix spacing string arguments (#23224) @GuilleDF

### Docs

- [Transition] Document default appear value (#23221) @GuilleDF
- [blog] Danail Hadjiatanasov joins Material UI (#23223) @oliviertassinari
- [docs] Add Material UI Builder to in-house ads (#23342) @mbrookes
- [docs] Fix a few typos and add comma (#23284) @reedanders
- [docs] Fix few propTypes in Inputs (#23331) @youknowhat
- [docs] Fix language cookie (#23324) @mbrookes
- [docs] Fix typo in `README.md` (#23329) @mtsknn
- [docs] Guard against unknown value in userLanguage cookie (#23336) @mbrookes
- [docs] Make it clearer that custom router is supported (#23304) @Maxgit3
- [docs] Sync translations (#23080) @l10nbot
- [docs] Update homepage quotes (#23326) @mbrookes
- [docs] Update nav translations (#23234) @mbrookes
- [docs] Update system pages to use sx prop instead of deprecated Box props (#23368) @mnajdova
- [docs] Use present tense for bool prop descriptions (#23274) @mbrookes

### Core

- [utils] Add all @material-ui/core/utils to @material-ui/utils (#23264) @mnajdova
- [core] Batch small changes (#23327) @oliviertassinari
- [core] Fix implicit transitive 'csstype' dependency (#23301) @quinnturner
- [core] Move material-ui-benchmark into benchmark/server (#23271) @eps1lon
- [core] Replace temp package with node built-ins (#23262) @eps1lon
- [core] Restrict top level imports that target CJS modules (#23159) @eps1lon
- [test] Fix unexpected console warn/error spy swallowing unrelated messages (#23312) @eps1lon
- [test] Fix various issues with the new cli on windows (#23381) @eps1lon
- [test] Improve test debugging (#23372) @eps1lon
- [test] Introduce experimental CLI (#23369) @eps1lon
- [test] Prevent growing call stack in custom keyDown/keyUp (#23321) @eps1lon
- [test] Run with Safari 13 (#23292) @eps1lon

## 5.0.0-alpha.14

_Oct 23, 2020_

A big thanks to the 23 contributors who made this release possible.
Here are some highlights ✨:

- 💄 Introduce a new `sx` prop (#23053, #23205) @mnajdova
  We have resumed the work on Material UI System. This is made possible by the latest progress on the new styling solution of v5.
  You can read the [introduction blog post](https://medium.com/material-ui/introducing-material-ui-design-system-93e921beb8df) that we did for MUI System two years ago.

  The system is meant to solve the following problems:

  1. Naming things is hard. How should a class name, JSS style rule, or styled component be named?
  2. Jumping between JS and CSS in the editor wastes time. This is particularly true as the complexity (LOCs/# of elements) of a component increases. It's still true when using the `styled()` API.
  3. Introducing a `makeStyles` for the first time in a component is daunting. For example, it's why https://github.com/vscodeshift/material-ui-codemorphs#add-usestyles-hook exists. What if we had less code to type, gaining velocity when writing styles?
  4. Pulling values out from the theme can be cumbersome. How can we make it less painful to increase the usage of design tokens?

  This new iteration of MUI System brings two major improvements:

  - It moves from the support of a subset of CSS to the support of a superset of CSS.
    Learning the shorthand is optional. It's no longer necessary to moving back to styled() when MUI System doesn't support a specific CSS property.
  - It moves from support on Box only to any core component (starting with the slider).

    ```jsx
    import Slider from '@material-ui/lab/SliderStyled';

    // Set the primary color and a vertical margin of 16px on desktop.
    <Slider sx={{ color: 'primary.main', my: { xs: 0, md: 2 } }} />;
    ```

- ✨ Upgrade Popper.js from v1 to v2 (#21761) @joshwooding
  The change reduces the bundle size (-1 kB gzipped) while fixing bugs at the same time.

- 🐛 Fix broken nested imports with the icons package (#23157) @eps1lon
  The revamp of the bundling strategy in #22814 has broken the nested imports.
  Imports such as the one below should work again with this release:

  ```jsx
  import CloseIcon from '@material-ui/icons/Close';
  ```

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.14`

#### Breaking changes

- [Popper] Upgrade to popper.js to v2 (#21761) @joshwooding
  This third-party library has introduced a lot of changes.<br />
  You can read [their migration guide](https://popper.js.org/docs/v2/migration-guide/) or the following summary:

  - The CSS prefixes have changed:

    ```diff
     popper: {
       zIndex: 1,
    -  '&[x-placement*="bottom"] $arrow': {
    +  '&[data-popper-placement*="bottom"] $arrow': {
    ```

  - Method names have changed.

    ```diff
    -popperRef.current.scheduleUpdate()
    +popperRef.current.update()
    ```

    ```diff
    -popperRef.current.update()
    +popperRef.current.forceUpdate()
    ```

  - Modifiers' API has changed a lot. There are too many changes to be covered here.

- [withMobileDialog] Remove this higher-order component (#23202) @RDIL
  The hook API allows a simpler and more flexible solution than the HOC:

  ```diff
  -import withMobileDialog from '@material-ui/core/withMobileDialog';
  +import { useTheme, useMediaQuery } from '@material-ui/core';

   function ResponsiveDialog(props) {
  -  const { fullScreen } = props;
  +  const theme = useTheme();
  +  const fullScreen = useMediaQuery(theme.breakpoints.down('sm'));
     const [open, setOpen] = React.useState(false);

   // ...

  -export default withMobileDialog()(ResponsiveDialog);
  +export default ResponsiveDialog;
  ```

#### Changes

- [Box] Add sx prop (#23053) @mnajdova
- [Box] Deprecate system props (#23206) @mnajdova
- [Card] Use flex display for CardHeader.avatar (#23169) @mordechaim
- [Container] Fix support of custom breakpoint units (#23191) @espipj
- [Container] Revert max-width change for xs @oliviertassinari
- [InputBase] Use ref prop instead of inputRef prop on input component (#23174) @GuilleDF
- [l10n] Add Kazakh (kz-KZ) locale (#23195) @abdulgafur24
- [Rating] Ensure hover and click are in sync (#23117) @redbmk
- [Select] Fix SelectDisplayProps className concat (#23211) @reedanders

### `@material-ui/styled-engine@v5.0.0-alpha.14`

- [styled] Add @babel/runtime dependency (#23175) @koistya

### `@material-ui/system@v5.0.0-alpha.14`

- [Box] Add sx prop (#23053) @mnajdova
- [core] Fix bundles for packages without subpackages (#23157) @eps1lon

### `@material-ui/icons@v5.0.0-alpha.14`

- [core] Fix bundles for packages without subpackages (#23157) @eps1lon

### `@material-ui/lab@v5.0.0-alpha.14`

#### Breaking changes

- [AvatarGroup] Move from lab to core (#23121) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import AvatarGroup from '@material-ui/lab/AvatarGroup';
  +import AvatarGroup from '@material-ui/core/AvatarGroup';
  ```

#### Changes

- [Slider] Add sx prop in SliderStyled (#23205) @mnajdova

### `@material-ui/utils@v5.0.0-alpha.14`

- [utils] Fix types of chainPropTypes (#23123) @oliviertassinari
- [core] Fix bundles for packages without subpackages (#23157) @eps1lon

### `@material-ui/types@v5.2.0-alpha.14`

- [types] Add LICENSE files (#23162) @lielfr

### Docs

- [examples] Remove reason example project (#23158) @mnajdova
- [examples] Update cdn example to use @material-ui/core@next (#23153) @mnajdova
- [examples] Update preact to use the @material-ui/core@next (#23154) @mnajdova
- [examples] Update ssr example to use @material-ui/core@next (#23155) @mnajdova
- [examples] Updated nextjs-typescript example to use @material-ui/core@next (#23119) @numToStr
- [docs] Add Menu component example with explicit positioning prop values (#23167) @jaebradley
- [docs] Add page feedback (#22885) @mbrookes
- [docs] Add Performance section for Modal (#23168) @jaebradley
- [docs] Better document CardActionArea (#23196) @el1f
- [docs] Cleaner image of font-size equation (#23189) @CamDavidsonPilon
- [docs] Fix casing typo (#23148) @piperchester
- [docs] Fix typo in steppers (#23163) @AGDholo
- [docs] Fix typo on interoperability page (#23177) @SassNinja
- [docs] Improve migration v5 guide @oliviertassinari
- [docs] Lazy load demo toolbar (#23108) @eps1lon
- [docs] Remove unused style selectors `extendedIcon` (#23160) @MatejKastak
- [docs] Use Box sx prop on all Slider examples #23217 @mnajdova

### Core

- [benchmark] Add theme-ui and chakra-ui Box scenarios (#23180) @mnajdova
- [benchmark] Create separate workspace (#23209) @eps1lon
- [benchmark] Extracted Profiler & added output in readme (#23178) @mnajdova
- [core] Batch small changes (#23116) @oliviertassinari
- [core] Improve bundle size comment (#23110) @eps1lon
- [core] Prevent unstable chunks in size snapshot (#23181) @eps1lon

## 5.0.0-alpha.13

_Oct 17, 2020_

A big thanks to the 25 contributors who made this release possible.
Here are some highlights ✨:

- 📦 Ship modern bundle (#22814) @eps1lon.
  This is a significant update to the [browsers supported](https://mui.com/material-ui/getting-started/supported-platforms/) by Material UI.
  The previous policy was defined 2 years ago, and the landscape has evolved since then. The package now includes 4 bundles:

  1. `stable` (default, formerly `esm`) which targets a snapshot (on release) of `> 0.5%, last 2 versions, Firefox ESR, not dead, not IE 11"`
  2. `node` (formerly default) which targets a snapshot (on release) of `maintained node versions`
  3. `legacy` (new) which is `stable` + IE 11
  4. `modern` (formerly `es`) which targets the last 1 version of evergreen browsers and active node (currently that is 14

  The change yields a 6% reduction in bundle size 📦 (Babel only).
  In the coming weeks, we will refactor the internals to take advantage of the new browser capabilities that dropping these older platforms allows. For instance, we might be able to remove the span we render inside the `<Button>` to work around [Flexbug #9](https://github.com/philipwalton/flexbugs/blob/master/README.md#flexbug-9).

  Check the updated [Supported platforms documentation](https://mui.com/material-ui/getting-started/supported-platforms/) and [new "minimizing bundle size" guide](https://mui.com/material-ui/guides/minimizing-bundle-size/).

  If you target IE11, you need to use the new bundle (`legacy`). We are treating IE11 as a second class-citizen, which is a continuation of the direction taken in #22873.

- 🚀 Improve the internal benchmark suite (#22923, #23058) @mnajdova.
  This was a prerequisite step to improve the [system](https://mui.com/system/getting-started/). We needed to be able to measure performance. After #22945, we have measured that the `Box` component is x3 faster in v5-alpha compared to v4.
- ✏️ A new blog post: [Q3 2020 Update](https://mui.com/blog/2020-q3-update/) (#23055) @oliviertassinari.
- 🐙 Migrate more tests to react-testing-library @deiga, @Morteza-Jenabzadeh, @nicholas-l.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.13`

#### Breaking changes

- [core] Ship modern bundle (#22814) @eps1lon

#### Change

- [Autocomplete] Fix autoHighlight synchronization (#23025) @Tubaleviao
- [Autocomplete] Ignore keydown event until IME is confirmed (#23050) @jiggum
- [Card] Fix action area hover style on touch devices (#23079) @giulianovarriale
- [Slider] Align value label text center (#23075) @LorenzHenk
- [SwipeableDrawer] Decorrelate swipeAreaWidth and initial jumping amount (#23042) @omidtajik
- [Tooltip] Fix followCursor preventing onMouseMove on children (#23104) @eps1lon
- [Tooltip] Refactor event handling (#23092) @eps1lon
- [theme] Add missing types for theme overrides (#23028) @povilass
- [l10n] Add Arabic (ar_EG) locale (#23006) @GoldenWings

### `@material-ui/lab@v5.0.0-alpha.13`

- [TreeView] Fix bundle size link and refactor array spreads (#22992) @joshwooding
- [TreeView] Fix `alpha()` color utility instead of deprecated `fade()` (#22978) @joshwooding
- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/utils@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/system@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/styles@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/styled-engine@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/styled-engine-sc@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### `@material-ui/icons@v5.0.0-alpha.13`

- [core] Ship modern bundle (#22814) @eps1lon

### Docs

- [blog] Allow to support card preview (#23087) @oliviertassinari
- [blog] Q3 2020 Update (#23055) @oliviertassinari
- [docs] Add a new demo to the showcase (#22949) @adonig
- [docs] Add demo for Link underline (#23074) @LorenzHenk
- [docs] Add logarithmic slider demo (#23076) @LorenzHenk
- [docs] Add react-admin in related projects page (#23097) @fzaninotto
- [docs] Change color to palette (#23046) @mockingjet
- [docs] Don't suggest putting a Switch inside a ListItemSecondaryAction (#23018) @sirlantis
- [docs] Fix docs:dev (#23023) @eps1lon
- [docs] Fix vertical alignment of Slider demo (#23059) @r0zar
- [docs] Fix wrong variable characters (#23066) @AGDholo
- [docs] Improve docs for Table sticky column grouping (#23100) @andre-silva-14
- [docs] Improve icon preview color contrast (#22974) @oliviertassinari
- [docs] Interoperability guide updates (#23030) @mnajdova
- [docs] Move outdated versions into a collapsible section (#23029) @NoNamePro0
- [docs] Point to material-ui-x/next instead of master @oliviertassinari
- [docs] Restore ButtonBases images (#23083) @eps1lon
- [docs] Slider demos clean up (#22964) @mnajdova
- [docs] Sync translations (#22888) @l10nbot
- [examples] Update gatsby example to use @material-ui/\* next (#23089) @mnajdova
- [examples] Update gatsby-theme example to use @material-ui/\* next #23093 @mnajdova
- [examples] Update nextjs example project to use @material-ui/\* next (#23094) @mnajdova

### Core

- [benchmark] Add browser benchmark (#22923) @mnajdova
- [benchmark] Fix benchmark scripts & moved scenarios to correct benchmark project (#23058) @mnajdova
- [test] Enable failing unexpected console warn|error in browser tests (#23063) @eps1lon
- [test] Fail each test on unexpected console logs in test:unit (#23064) @eps1lon
- [test] Introduce toHaveInlineStyle and toHaveComputedStyle matcher (#23054) @eps1lon
- [test] Migrate ButtonBase to react-testing-library (#23011) @deiga
- [test] Migrate IconButton to react-testing-library (#22972) @Morteza-Jenabzadeh
- [test] Migrate InputBase to react-testing-library (#23014) @deiga
- [test] Migrate SpeedDial to react-testing-library (#23021) @nicholas-l
- [test] Migrate TableCell to react-testing-library (#23095) @nicholas-l
- [test] Migrate TableRow to react-testing-library (#23105) @deiga
- [test] Move some work out of evaluation phase (#23112) @eps1lon
- [test] Supress 404 img warnings in browser tests (#23106) @eps1lon
- [test] Throw on console.(error|warn) outside of test (#22907) @eps1lon
- [test] Use dot reporter in CI (#23026) @eps1lon
- [core] Add support for iOS Safari 12 (#23068) @eps1lon
- [core] Also format dot files & folders (#22975) @oliviertassinari
- [core] Extend yarn size:why (#22979) @eps1lon
- [core] Fix react-next test (#23027) @oliviertassinari
- [core] Lint CSS (#22976) @oliviertassinari
- [core] Misc modules/\* cleanup (#22983) @eps1lon

## 5.0.0-alpha.12

_Oct 11, 2020_

A big thanks to the 45 contributors who made this release possible.
Here are some highlights ✨:

- 🧪 The promotion of 4 components from the lab to core: Autocomplete, Pagination, SpeedDial, and ToggleButton. These components have been in the lab for more than 10 months @mbrookes.
- 📦 Switch the style engine of the `Box` component from JSS to _@material-ui/styled-engine_ (use emotion by default) (#22945) @mnajdova.
  The early benchmark we have run shows that performance has improved. We will share more detailed results in #21657.
- 🐙 Migrate a large portion of the tests from enzyme to react-testing-library @eladmotola, @baterson, @bewong89, @devrasec, @guillermaster, @itamar244, @jeferson-sb, @The24thDS.
  Last month, react-testing-library had [more downloads](https://npm-stat.com/charts.html?package=enzyme&package=%40testing-library%2Freact&from=2019-10-10&to=2020-10-10) than enzyme in the ecosystem!
- 🏷 Add support for tooltips [following the cursor](https://mui.com/components/tooltips/#follow-cursor) (#22876) @xtrixia.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.12`

#### Breaking changes

- [Accordion] Remove `display:flex` from AccordionDetails (#22809) @croraf
  The style was too opinionated. Most developers expect `display: block`.
- [Accordion] Replace IconButton wrapper with div (#22817) @croraf
  Remove IconButtonProps prop from AccordionSummary.
  The component renders a `<div>` element instead of an IconButton.
  The prop is no longer relevant.
- [Box] Add mui styled usage (#22945) @mnajdova
  Change the style-engine powering the Box component from JSS to the style engine adatper (emotion by default).
- [CircularProgress] Drop IE11 wobbly workaround (#22873) @suliskh
  The IE11 workaround is harming performance on the latest browsers.
  This change is part of a best-effort strategy to keep IE11 support.
  We are degrading the UX and DX with IE11 where we can improve the components on modern browsers.
- [Table] Rename onChangeRowsPerPage and onChangePage (#22900) @eladmotola
  The change was done to match the API convention.

  ```diff
   <TablePagination
  -  onChangeRowsPerPage={()=>{}}
  -  onChangePage={()=>{}}
  +  onRowsPerPageChange={()=>{}}
  +  onPageChange={()=>{}}
  ```

- [theme] Rename fade to alpha (#22834) @mnajdova
  Better describe its functionality. The previous name was leading to confusion when the input color already had an alpha value. The helper **overrides** the alpha value of the color.

  ```diff
  -import { fade } from '@material-ui/core/styles';
  +import { alpha } from '@material-ui/core/styles';

   const classes = makeStyles(theme => ({
  -  backgroundColor: fade(theme.palette.primary.main, theme.palette.action.selectedOpacity),
  +  backgroundColor: alpha(theme.palette.primary.main, theme.palette.action.selectedOpacity),
   }));
  ```

- [Tooltip] Make `interactive` default (#22382) @eps1lon
  The previous default behavior failed [success criterion 1.4.3 ("hoverable") in WCAG 2.1](https://www.w3.org/TR/WCAG21/#content-on-hover-or-focus).
  To reflect the new default value, the prop was renamed to `disableInteractive`.
  If you want to restore the old behavior (thus not reaching level AA), you can apply the following diff:

  ```diff
  -<Tooltip>
  +<Tooltip disableInteractive>
   # Interactive tooltips no longer need the `interactive` prop.
  -<Tooltip interactive>
  +<Tooltip>
  ```

#### Changes

- [Accordion] Remove incorrect demo which nests input in button (#22898) @croraf
- [Autocomplete] Fix filtering when value is already selected (#22935) @montelius
- [Autocomplete] Fix virtualization example in IE11 (#22940) @bearfromtheabyss
- [Autocomplete] Restrict component props in `renderInput` (#22789) @eps1lon
- [Box] Add types for `ref` (#22927) @lcswillems
- [Button] Fix invalid type value (#22883) @oliviertassinari
- [Button] Improve loading transition (#22884) @oliviertassinari
- [Grid] Clarify document about direction column limitation (#22871) @ThewBear
- [IconButton] Improve warning against non root onClick listeners (#22821) @pranjanpr
- [Popper] Use placement viewport instead of window (#22748) @maksimgm
- [Select] Add generic support for value (#22839) @AntoineGrandchamp
- [Skeleton] Fix importing with named export (#22879) @0prodigy
- [SpeedDial] Fix keyboard navigation when uncontrolled (#22826) @akharkhonov
- [styled] Specify emotion & styled-components as optional peer dependencies (#22808) @mnajdova
- [styled] Support default theme when none is available (#22791) @mnajdova
- [Tabs] Fix RTL scrollbar with Chrome 85 (#22830) @ankit
- [TextField] Pass minRows to InputComponent (#22831) @suliskh
- [ToggleButton] Fix vertical double border (#22825) @Avi98
- [ToggleButton] Match ToggleButtonGroup name and render function name (#22790) @jjoselv
- [Tooltip] Add placement `followCursor` (#22876) @xtrixia
- [Tooltip] Improve docs and warning for custom children (#22775) @brorlarsnicklas
- [Tooltip] Use label semantics (#22729) @eps1lon
- [useAutocomplete] Fix getXProps functions type (#22749) @kentaro84207

### `@material-ui/styled-engine@v5.0.0-alpha.12`

- [styled] Support default theme when none is available (#22791) @mnajdova

### `@material-ui/lab@v5.0.0-alpha.12`

#### Breaking changes

- [Autocomplete] Move from lab to core (#22715) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import Autocomplete from '@material-ui/lab/Autocomplete';
  -import useAutocomplete from '@material-ui/lab/useAutocomplete';
  +import Autocomplete from '@material-ui/core/Autocomplete';
  +import useAutocomplete from '@material-ui/core/useAutocomplete';
  ```

- [Pagination] Move from lab to core (#22848) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import Pagination from '@material-ui/lab/Pagination';
  -import PaginationItem from '@material-ui/lab/PaginationItem';
  -import { usePagination } from '@material-ui/lab/Pagination';
  +import Pagination from '@material-ui/core/Pagination';
  +import PaginationItem from '@material-ui/core/PaginationItem';
  +import usePagination from '@material-ui/core/usePagination';
  ```

- [SpeedDial] Move from lab to core (#22743) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import SpeedDial from '@material-ui/lab/SpeedDial';
  -import SpeedDialAction from '@material-ui/lab/SpeedDialAction';
  -import SpeedDialIcon from '@material-ui/lab/SpeedDialIcon';
  +import SpeedDial from '@material-ui/core/SpeedDial';
  +import SpeedDialAction from '@material-ui/core/SpeedDialAction';
  +import SpeedDialIcon from '@material-ui/core/SpeedDialIcon';
  ```

- [ToggleButton] Move from lab to core (#22784) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import ToggleButton from '@material-ui/lab/ToggleButton';
  -import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup';
  +import ToggleButton from '@material-ui/core/ToggleButton';
  +import ToggleButtonGroup from '@material-ui/core/ToggleButtonGroup';
  ```

- [TreeView] Improve customization of tree item (#22846) @joshwooding
  Remove `onLabelClick` and `onIconClick`.

#### Changes

- [AvatarGroup] Add variant prop (#22832) @hjades
- [SliderStyled] Fix mark label alignment on coarse pointer devices (#22849) @joshwooding

### Docs

- [docs] Add example for using styled-components as styled-engine (#22788) @mnajdova
- [docs] Add longhand system API props to docs (#22796) @possibilities
- [docs] Box & system cleanup (#22962) @mnajdova
- [docs] CONTRIBUTING.md only yarn is supported (#22754) @Yashvirani
- [docs] Document createSvgIcon() (#22843) @mbrookes
- [docs] Document inherited props (#22318) @oliviertassinari
- [docs] Document LoadingButton behavior (#22878) @eps1lon
- [docs] Fix dark theme for input field on autocomplete (#22711) @GauravKesarwani
- [docs] Fix material icon search details view (#22793) @skr571999
- [docs] Fix type vs. mode and capitalization of createMuiTheme (#22844) @joshwooding
- [docs] Fix typo in guides/typescript (#22806) @croraf
- [docs] Fix various typos (#22842) @kkirsche
- [docs] For non-SSR language, internal search fall back to English (#22902) @bicstone
- [docs] Improve CRA example (#22967) @spursbyte
- [docs] Improve FormControl duplication warning (#22823) @talgautb
- [docs] Improve perf when opening the drawer (#22781) @eps1lon
- [docs] Improve SEO on titles (#22742) @oliviertassinari
- [docs] Improve the left side-nav (#22780) @oliviertassinari
- [docs] Include peer deps in installation steps (#22889) @numToStr
- [docs] Link all the examples in docs (#22891) @Avi98
- [docs] More robust description matcher (#22836) @eps1lon
- [docs] Reduce risk of 404 when changing the default branch (#22801) @eps1lon
- [docs] Resolve .tsx first (#22315) @oliviertassinari
- [docs] Simplify locales example (#22747) @mbrookes
- [docs] Sync translations (#22752, #22851) @l10nbot
- [docs] Update installation guide to contain peer dependencies (#22787) @mnajdova
- [docs] Update ToggleButton import (#22971) @mbrookes
- [docs] Use demo name as codesandbox name (#22926) @eps1lon

### Core

- [benchmark] Add cross-env to fix window run issue (#22895) @mnajdova
- [core] Batch small changes (#22746) @oliviertassinari
- [core] Batch small changes (#22847) @oliviertassinari
- [core] Drop babel-plugin-transform-dev-warning (#22802) @eps1lon
- [core] Misc dependency fixes (#22909) @eps1lon
- [test] Apply lazy forwardRef fix (#22904) @eps1lon
- [test] Autocomplete drop "defaultProps" pattern (#22896) @eps1lon
- [test] Fix react-next patch (#22800) @eps1lon
- [test] Migrate Accordion to react-testing-library (#22952) @bewong89
- [test] Migrate Backdrop to react-testing-library (#22931) @itamar244
- [test] Migrate Container to react-testing-library (#22919) @eladmotola
- [test] Migrate CssBaseline to react-testing-library (#22920) @eladmotola
- [test] Migrate Fab to react-testing-library (#22959) @The24thDS
- [test] Migrate Fade to react-testing-library (#22918) @eladmotola
- [test] Migrate Grow to react-testing-library (#22917) @eladmotola
- [test] Migrate List to react-testing-library (#22929) @eladmotola
- [test] Migrate MenuList and ImageListItem to react-testing-library (#22958) @eladmotola
- [test] Migrate MobileStepper to react-testing-library (#22963) @devrasec
- [test] Migrate more components to react-testing-library (#22872) @baterson
- [test] Migrate more components to react-testing-library (#22874) @baterson
- [test] Migrate more components to react-testing-library (#22892) @baterson
- [test] Migrate NativeSelect to react-testing-library (#22970) @guillermaster
- [test] Migrate NativeSelectInput to react-testing-library (#22910) @baterson
- [test] Migrate RadioGroup to react-testing-library (#22953) @eladmotola
- [test] Migrate Slide to react-testing-library (#22913) @eladmotola
- [test] Migrate SpeedDialIcon to react-testing-library (#22965) @jeferson-sb
- [test] Migrate TabIndicator to react-testing-library (#22906) @eladmotola
- [test] Migrate TextField to react-testing-library (#22944) @The24thDS
- [test] Migrate useTheme,withTheme to react-testing-library (#22928) @eladmotola
- [test] Migrate Zoom to react-testing-library (#22914) @eladmotola
- [test] Prevent nextjs build cache to grow indefinitely (#22948) @eps1lon
- [test] Simplify usage of `yarn mocha` (#22899) @eps1lon
- [test] Solve 2000ms timeout (#22778) @oliviertassinari
- [test] Update react next patch (#22890) @eps1lon
- [test] Use appropriate templates for csb CI (#22943) @eps1lon
- [test] Verbose reporter in CI (#22924) @eps1lon

## 5.0.0-alpha.11

_Sep 26, 2020_

A big thanks to the 29 contributors who made this release possible.
Here are some highlights ✨:

- 👩‍🎨 A first iteration on the new styling solution.

  You can find a [new version](https://mui.com/components/slider-styled/) of the slider in the lab powered by [Emotion](https://emotion.sh/).

  In the event that you are already using styled-components in your application, you can swap emotion for styled-components 💅. Check [this CodeSandbox](https://codesandbox.io/p/sandbox/sliderstyled-with-styled-components-forked-olc27?file=/package.json) for a demo. It relies on aliases to prevent any bundle size overhead.

  The new styling solution saves 2kB gzipped in the bundle compared to JSS, and about 14 kB gzipped if you were already using emotion or styled-components.

  Last but not least, the change allows us to take advantage dynamic style props. We will use them for dynamic color props, variant props, and new style props (an improved [system](https://mui.com/system/getting-started/)).

  This change has been in our roadmap for more than a year.
  We announced it in the [v4 release blog post](https://mui.com/blog/material-ui-v4-is-out/) as a direction v5 would take.

- 🛠 A first iteration on the unstyled components.

  You can find a [new version](https://mui.com/components/slider-styled/#UnstyledSlider.tsx) of the slider in the lab without any styles.
  The unstyled component weighs 6.5 kB gzipped, compared with 26 kB for the styled version when used standalone. The component is best suited for use when you want to fully customize the look of the component without reimplementing the JavaScript and accessibility logic.

- ⚡️ A first alpha of the [DataGrid](https://mui.com/x/react-data-grid/) component.

  It has taken 6 months of development since the initial commit (March 15th, 2020) to make the first alpha release of the grid. The component comes in two versions:
  @material-ui/data-grid is licensed under MIT, while @material-ui/x-grid is licensed under a commercial license.

- 🪓 Keep working on the breaking changes.

  We aim to complete most of the breaking changes during the alpha stage of v5.
  We will move to beta once all the breaking changes we have anticipated are handled.
  As always, you should find a clear and simple upgrade path for each of them.
  You can learn more about the breaking changes left to be done in #22700.

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.11`

#### Breaking changes

- [Chip] Rename `default` variant to `filled` (#22683) @mnajdova
  Rename `default` variant to `filled` for consistency.

  ```diff
  -<Chip variant="default">
  +<Chip variant="filled">
  ```

- [Tabs] Add allowScrollButtonsMobile prop for mobile view (#22700) @GauravKesarwani
  The API that controls the scroll buttons has been split it into two props:

  - The `scrollButtons` prop controls when the scroll buttons are displayed depending on the space available.
  - The `allowScrollButtonsMobile` prop removes the CSS media query that systematically hides the scroll buttons on mobile.

  ```diff
  -<Tabs scrollButtons="on" />
  -<Tabs scrollButtons="desktop" />
  -<Tabs scrollButtons="off" />
  +<Tabs scrollButtons allowScrollButtonsMobile />
  +<Tabs scrollButtons />
  +<Tabs scrollButtons={false} />
  ```

- [theme] Improve breakpoints definitions (#22695) @mnajdova
  Breakpoints are now treated as values instead of ranges.
  The behavior of `down(key)` was changed to define media query less than the value defined with the corresponding breakpoint (exclusive).
  The behavior of `between(start, end)` was also updated to define media query for the values between the actual values of start (inclusive) and end (exclusive).

  Find examples of the changes required defined below:

```diff
-theme.breakpoints.down('sm') // '@media (max-width:959.95px)' - [0, sm + 1) => [0, md)
+theme.breakpoints.down('md') // '@media (max-width:959.95px)' - [0, md)
```

```diff
-theme.breakpoints.between('sm', 'md') // '@media (min-width:600px) and (max-width:1279.95px)' - [sm, md + 1) => [sm, lg)
+theme.breakpoints.between('sm', 'lg') // '@media (min-width:600px) and (max-width:1279.95px)' - [sm, lg)
```

- [theme] Rename `type` to `mode` (#22687) @mnajdova
  Renames `theme.palette.type` to `theme.palette.mode`, to better follow the "dark mode" term that is usually used for describing this feature.

  ```diff
   import { createMuiTheme } from '@material-ui/core/styles';

  -const theme = createMuiTheme({palette: { type: 'dark' }}),
  +const theme = createMuiTheme({palette: { mode: 'dark' }}),
  ```

  The changes are supported by the `adaptV4Theme()` for easing the migration

#### Changes

- [Checkbox] Improve indeterminate UI (#22635) @oliviertassinari
- [Chip] Fix prop-type support for custom variants (#22603) @cansin
- [icons] Expose a data-test-id attribute on all svg icons (#22634) @jaebradley
- [Rating] Add form integration test suite (#22573) @eps1lon
- [Rating] Simpler customization of active "no value" styles (#22613) @eps1lon
- [Rating] Treat as input when readOnly (#22606) @eps1lon
- [Rating] Treat read-only as image (#22639) @eps1lon
- [Select] Improve docs for displayEmpty prop (#22601) @mihaipanait
- [Slider] Better tracking of mouse events (#22557, #22638) @chrisinajar, @oliviertassinari
- [Slider] Create unstyled version and migrate to emotion & styled-components (#22435) @mnajdova
- [Slider] Export components from lab and renamed to fit file names (#22723) @mnajdova
- [Slider] Fix value label display for custom value component (#22614) @NoNonsense126
- [Stepper] Add slight transition (#22654) @xtrixia
- [Tabs] Fix TabScrollButton using absolute path (#22690) @4vanger
- [Tabs] Only scroll the visible tabs (#22600) @quochuy
- [theme] convertLength does not work for fromUnit !== 'px' (#22739) @brorlarsnicklas
- [theme] Fix createSpacing.d.ts definition (#22645) @dabretin
- [theme] Fix Hidden breakpoints issues and updates the migration guide (#22702) @mnajdova

### `@material-ui/lab@v5.0.0-alpha.11`

#### Breaking changes

- [Alert] Move from lab to core (#22651) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import Alert from '@material-ui/lab/Alert';
  -import AlertTitle from '@material-ui/lab/AlertTitle';
  +import Alert from '@material-ui/core/Alert';
  +import AlertTitle from '@material-ui/core/AlertTitle';
  ```

- [Rating] Move from lab to core (#22725) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import Rating from '@material-ui/lab/Rating';
  +import Rating from '@material-ui/core/Rating';
  ```

- [Skeleton] Move from lab to core (#22740) @mbrookes
  Move the component from the lab to the core. This component will become stable.

  ```diff
  -import Skeleton from '@material-ui/lab/Skeleton';
  +import Skeleton from '@material-ui/core/Skeleton';
  ```

- [Autocomplete] Get root elements of options via renderOption (#22591) @ImanMahmoudinasab
  After this change, the full DOM structure of the option is exposed.
  It makes customizations easier.
  You can recover from the change with:

  ```diff
   <Autocomplete
  -  renderOption={(option, { selected }) => (
  -    <React.Fragment>
  +  renderOption={(props, option, { selected }) => (
  +    <li {...props}>
         <Checkbox
           icon={icon}
           checkedIcon={checkedIcon}
           style={{ marginRight: 8 }}
           checked={selected}
         />
         {option.title}
  -    </React.Fragment>
  +    </li>
     )}
   />
  ```

#### Changes

- [lab] Fix transitive dependencies in @material-ui/lab (#22671) @koistya
- [Autocomplete] Add "remove-option" to AutocompleteCloseReason type (#22672) @iansjk
- [Autocomplete] Don't close popup when Ctrl/Meta is pressed (#22696) @montelius
- [Autocomplete] Fix accessibility issue with empty option set (#22712) @tylerjlawson
- [Autocomplete] Update GitHub customization example (#22735) @hmaddisb

### `@material-ui/styled-engine@v5.0.0-alpha.11`

The new default style engine leveraging emotion.

### `@material-ui/styled-engine-sc@v5.0.0-alpha.11`

Allows developer to swap emotion with styled-components.
More documentation are coming.

### `@material-ui/icons@v5.0.0-alpha.11`

- [icons] Synchronize with Google (#22680) @delewis13

### `@material-ui/styles@v5.0.0-alpha.11`

- [Slider] Create unstyled version and migrate to emotion & styled-components (#22435) @mnajdova

### `@material-ui/system@v5.0.0-alpha.11`

- [core] Port createSpacing to TypeScript (#22720) @eps1lon

### Docs

- [blog] New posts (#22607) @oliviertassinari
- [docs] Add additional context to Autocomplete asynchronous documentation (#22621) @jaebradley
- [docs] Add emotion dependencies in codesandbox examples (#22736) @mnajdova
- [docs] Add props from Unstyled component to Styled API page (#22733) @mnajdova
- [docs] Add ui-schema in related projects (#22644) @elbakerino
- [docs] Avoid confusion between layout grid and data grid (#22681) @oliviertassinari
- [docs] Batch small changes (#22646) @oliviertassinari
- [docs] Configuring redirects for MUI X (#22632) @dtassone
- [docs] Customized hook at Autocomplete issue in dark mode (#22605) @hmaddisb
- [docs] Encourage DataGrid in /components/tables/ over alternatives (#22637) @oliviertassinari
- [docs] Fix emotion broken in SSR (#22731) @mnajdova
- [docs] Fix markdown metadata yaml (#22629) @oliviertassinari
- [docs] Fix static asset loading with X @oliviertassinari
- [docs] Improve Dashboard template (#22647) @pak1989
- [docs] Improve DX for docs generation (#22619) @eps1lon
- [docs] Migrate templates to TypeScript (#22650) @oliviertassinari
- [docs] New Crowdin updates (#22620) @mbrookes
- [docs] Prevent toolbar tooltips overlapping demos (#22732) @eps1lon
- [docs] Reduce indirections (#22642) @Arsikod
- [docs] Reference experimental slider demos correctly (#22738) @eps1lon
- [docs] Remove minimum-scale from meta viewport in docs (#22724) @barik
- [docs] Remove wrong migration instruction (#22710) @oliviertassinari
- [docs] Use codesandbox deploy for demos created from deploy previews (#22616) @eps1lon

### Core

- [core] Port createSpacing to TypeScript (#22720) @eps1lon
- [core] Replace ChangeEvent<{}> with SyntheticEvent (#22716) @eps1lon
- [core] Use ttp sources directly (#22706) @eps1lon
- [test] Add skip ci to Crowdin commit message (#22685) @mbrookes
- [test] Only run on push for master/next (#22624) @eps1lon
- [test] Run CircleCI anytime (#22676) @eps1lon

## 5.0.0-alpha.10

_Sep 15, 2020_

A big thanks to the 16 contributors who made this release possible.
Here are some highlights ✨:

- Keep working on the breaking changes before v5-beta.
  As always, you should find a clear and simple upgrade path for each of them.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.10`

#### Breaking changes

- [Accordion] Normalize focusVisible logic (#22567) @oliviertassinari
  Rename `focused` to `focusVisible` for consistency with the other components:

  ```diff
   <Accordion
     classes={{
  -    focused: 'custom-focus-visible-classname',
  +    focusVisible: 'custom-focus-visible-classname',
     }}
   />
  ```

- [Stepper] Remove Paper and built-in padding (#22564) @mbrookes
  The root component (Paper) was replaced with a `<div>`. Stepper no longer has elevation, nor inherits Paper's props. This change is meant to encourage composition.

  ```diff
  -<Stepper elevation={2}>
  -  <Step>
  -    <StepLabel>Hello world</StepLabel>
  -  </Step>
  -</Stepper>
  +<Paper square elevation={2}>
  +  <Stepper>
  +    <Step>
  +      <StepLabel>Hello world</StepLabel>
  +    </Step>
  +  </Stepper>
  +<Paper>
  ```

  Remove the built-in 24px padding for consistency with the other components that avoid reserving space anytime it's possible.

  ```diff
  -<Stepper>
  -  <Step>
  -    <StepLabel>Hello world</StepLabel>
  -  </Step>
  -</Stepper>
  +<Stepper style={{ padding: 24 }}>
  +  <Step>
  +    <StepLabel>Hello world</StepLabel>
  +  </Step>
  +</Stepper>
  ```

- [theme] Always return default spacing value with px units (#22552) @mbrookes

  `theme.spacing` now returns single values with px units by default.
  This change improves the integration with styled-components & emotion (with the CSS template strings syntax).

  Before:

  ```bash
  theme.spacing(2) => 16
  ```

  After:

  ```bash
  theme.spacing(2) => '16px'
  ```

- [theme] Remove palette.text.hint key (#22537) @mbrookes

  The `theme.palette.text.hint` key was available but unused in Material UI v4 components.
  You can use `adaptV4Theme()` to restore the previous behavior.

#### Changes

- [BottomNavigation] onClick does not fire if tapped while scrolling (#22524) @EliasJorgensen
- [Button] Remove dead code (#22566) @oliviertassinari
- [Chip] Fix focus visible style (#22430) @alexmotoc
- [ImageList] Refactor using CSS grid & React context (#22395) @mbrookes
- [Slider] Improve integration with form libraries (#22548) @NoNonsense126
- [StepIcon] Add className in render SvgIcon (#22559) @ZouYouShun
- [SwipeableDrawer] Avoid blocking events (#22525) @JadRizk
- [theme] Support spacing and border radius with CSS unit (#22530) @madmanwithabike
- [theme] Fix theme object global leak (#22517) @eps1lon
- [theme] Increase usage of the disabled design tokens (#22570) @LorenzHenk

### `@material-ui/lab@v5.0.0-alpha.10`

#### Breaking changes

- [Rating] Use different shape for empty and filled icons (#22554) @oliviertassinari
  Change the default empty icon to improve accessibility (1.4.1 WCAG 2.1).
  If you have a custom `icon` prop but no `emptyIcon` prop, you can restore the previous behavior with:

  ```diff
   <Rating
     icon={customIcon}
  +  emptyIcon={null}
   />
  ```

#### Changes

- [Autocomplete] Improve TypeScript in the Google Maps demo (#22555) @L-U-C-K-Y
- [Rating] Explain some styles in code comments (#22571) @eps1lon

### Docs

- [docs] Improve Font Awesome integration (#22496) @chrislambe
- [docs] Clarify SSG acronym in Next.js example (#22558) @leerob
- [docs] Add redirection for links published on npm (#22575) @oliviertassinari
- [docs] Add LightyearVPN to showcase (#22568) @lightyearvpn
- [docs] Fix typo, extra 'you' (#22560) @jedsmit
- [docs] Option to disable ads (#22574) @oliviertassinari

### Core

- [core] Remove usage of deprecated event.keyCode (#22569) @oliviertassinari
- [core] Remove references to other objects from created theme (#22523) @eps1lon
- [core] Batch small changes (#22565) @oliviertassinari

## 5.0.0-alpha.9

_Sep 6, 2020_

A big thanks to the 14 contributors who made this release possible.
Here are some highlights ✨:

- 💎 A new diamond sponsor: [DoiT](https://www.doit.com/), thank you!
- 📚 Include the default value of the props in IntelliSense (#22447) @eps1lon
- ⚛️ More source migrated to TypeScript and testing-library (#22441) @baterson
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.9`

#### Breaking changes

- [Modal] Remove `onRendered` prop from Modal and Portal (#22464) @eps1lon
  Depending on your use case either use a [callback ref](https://react.dev/learn/manipulating-the-dom-with-refs#how-to-manage-a-list-of-refs-using-a-ref-callback) on the child element or an effect hook in the child component.

#### Changes

- [Modal] Convert ModalManager to TypeScript (#22465) @eps1lon
- [Paper] Fix elevation warning when rendering (#22494) @nesso-pfl
- [Slider] Edge against swallowing of mouse up event (#22401) @motiejunas
- [Tabs] Add option to show scrollbar (#22438) @LogyLeo
- [Tabs] Document visibleScrollBar default value (#22475) @eps1lon
- [TextField] Remove excessive catching of hiddenLabel prop (#22444) @croraf

### `@material-ui/lab@v5.0.0-alpha.9`

- [docs] Include default values in IntelliSense (#22447) @eps1lon

### Docs

- [docs] Add DoiT diamond sponsor (#22436) @oliviertassinari
- [docs] Bump markdown-to-jsx (#22474) @eps1lon
- [docs] Change showcase approval process (#22398) @africanzoe
- [docs] Fix close context menu if repeated (#22463) @eps1lon
- [docs] Fix Next.js example (#22457) @bhati
- [docs] Fix TypeScript deps in CodeSandbox (#22346) @oliviertassinari
- [docs] Fix unresolved returntypes for props (#22459) @eps1lon
- [docs] Fix usage of overrides instead of styleOverrides (#22478) @discodanne
- [docs] Improve Backstage showcase (#22458) @stefanalund
- [docs] Improve styles basics.md section (#22440) @bxie
- [docs] Include default values in IntelliSense (#22447) @eps1lon

### Core

- [core] Batch small changes (#22461) @oliviertassinari
- [core] Fix useEventCallback type (#22448) @kodai3
- [core] Try out new JSX transform where available (#22455) @eps1lon
- [test] Migrate more components to react-testing-library (#22441) @baterson

## 5.0.0-alpha.8

_Aug 31, 2020_

A big thanks to the 19 contributors who made this release possible.
Here are some highlights ✨:

- 🎨 Inverse the customization API of the theme to be component-centric (#22347, #22293) @mnajdova.

```jsx
const theme = createMuiTheme({
  components: {
    MuiIconButton: {
      defaultProps: {
        size: 'small',
      },
      styleOverrides: {
        sizeSmall: {
          marginLeft: 4,
          marginRight: 4,
          padding: 12,
        },
      },
    },
  },
});
```

- ✨ Add [text in divider](https://mui.com/components/dividers/#dividers-with-text) support (#22285) @ShehryarShoukat96

  ```jsx
  <Divider>{'CENTER'}</Divider>
  ```

  <img width="530" alt="divider" src="https://user-images.githubusercontent.com/3165635/91740018-01cb5e80-ebb3-11ea-9a7f-6ddb48b3f496.png">

- ♿️ A bunch of accessibility fixes (#22366, #22374, #22377, #22340, #22376) @fakeharahman @alexmotoc @eps1lon @oliviertassinari
- ⚛️ Increase adoption of TypeScript in the codebase (#22389, #22367, #22282) @Luchanso, @oliviertassinari

### `@material-ui/core@v5.0.0-alpha.8`

#### Breaking changes

- [theme] Rename theme keys to defaultProps and styleOverrides (#22347) @mnajdova
- [theme] Restructure component definitions (#22293) @mnajdova
  The components' definition inside the theme were restructure under the `components` key, to allow people easier discoverability about the definitions regarding one component.

  1. `props`

  ```diff
   import { createMuiTheme } from '@material-ui/core/styles';

   const theme = createMuiTheme({
  -  props: {
  -    MuiButton: {
  -      disableRipple: true,
  -    },
  -  },
  +  components: {
  +    MuiButton: {
  +      defaultProps: {
  +        disableRipple: true,
  +      },
  +    },
  +  },
   });
  ```

  2. `overrides`

  ```diff
   import { createMuiTheme } from '@material-ui/core/styles';

   const theme = createMuiTheme({
  -  overrides: {
  -    MuiButton: {
  -      root: { padding: 0 },
  -    },
  -  },
  +  components: {
  +    MuiButton: {
  +      styleOverrides: {
  +        root: { padding: 0 },
  +      },
  +    },
  +  },
   });
  ```

  Note that if you don't have the time to upgrade the structure of the theme, you
  can use the `adaptV4Theme()` adapter.

- [GridList] Rename to ImageList (#22311) @mbrookes
- [GridList] Rename Tile to Item (#22385) @mbrookes
  Rename the `GridList` components to `ImageList` to align with the current Material Design naming.

  ```diff
  -import GridList from '@material-ui/core/GridList';
  -import GridListTile from '@material-ui/core/GridListTile';
  -import GridListTileBar from '@material-ui/core/GridListTileBar';
  +import ImageList from '@material-ui/core/ImageList';
  +import ImageListItem from '@material-ui/core/ImageListItem';
  +import ImageListItemBar from '@material-ui/core/ImageListItemBar';

  -<GridList>
  -  <GridListTile>
  +<ImageList>
  +  <ImageListItem>
      <img src="file.jpg" alt="Image title" />
  -    <GridListTileBar
  +    <ImageListItemBar
        title="Title"
        subtitle="Subtitle"
      />
  -  </GridListTile>
  -</GridList>
  +  </ImageListItem>
  +</ImageList>
  ```

#### Changes

- [Breadcrumbs] Fix wrong role usage (#22366) @fakeharahman
- [Breadcrumbs] More robust focus capture (#22374) @eps1lon
- [ButtonBase] Reset box-sizing to border-box (#22316) @su8ru
- [Dialog] Fix unexpected close when releasing click on backdrop (#22310) @danbrud
- [Divider] Add text in divider (#22285) @ShehryarShoukat96
- [Slider] Respect disabled property when already focused (#22247) @pireads
- [Tabs] Don't fire onChange if current value (#22381) @jjoselv
- [Tabs] Improve focus management on list with no active tabs (#22377) @alexmotoc
- [theme] Add theme.mixins.gutters() in adaptV4Theme (#22396) @mnajdova
- [Tooltip] Improve readability (#22340) @oliviertassinari
- [Tooltip] Meet dismissable WCAG criterion (#22376) @eps1lon
- [l10n] Improve th-TH locale (#22350) @vimutti77

### `@material-ui/lab@v5.0.0-alpha.8`

- [docs] Add IntelliSense for each class in the `classes` prop (#22312) @eps1lon

### `@material-ui/styles@v5.0.0-alpha.8`

- [theme] Restructure component definitions (#22293) @mnajdova

### `@material-ui/utils@v5.0.0-alpha.8`

- [core] Move utils package to TypeScript (#22367) @oliviertassinari

### Docs

- [docs] Add Content Security Policy guide (#22383) @tjg37
- [docs] Add IntelliSense for each class in the `classes` prop (#22312) @eps1lon
- [docs] Add links in the header (#22210) @oliviertassinari
- [docs] Fix Argos-ci 404 link (#22362) @brunocechet
- [docs] Fix test README typo @mbrookes
- [docs] Forward x data-grid (#22400) @oliviertassinari
- [docs] Transpile demo .ts files (#22388) @eps1lon
- [docs] Add Backstage to showcase (#22428) @stefanalund
- [docs] Update Fontsource installation instructions (#22431) @DecliningLotus

### Core

- [icons] Label them as vendored for GitHub (#22397) @oliviertassinari
- [test] DialogContent with testing-library (#22356) @baterson
- [test] DialogContentText with testing-library (#22357) @baterson
- [test] DialogTitle with testing-library (#22358) @baterson
- [test] Enable tests that weren't working in JSDOM (#22360) @eps1lon
- [test] Fix failing tests on Windows (#22369) @eps1lon
- [test] Update react 17 patch (#22391) @eps1lon
- [core] Add explicit dependency on `@types/yargs` (#22339) @eps1lon
- [core] Add useEnhancedEffect module (#22317) @oliviertassinari
- [core] Batch small changes (#22314) @oliviertassinari
- [core] Fix setRef types (#22389) @Luchanso
- [core] Include TypeScript definitions in GitHub source (#22282) @oliviertassinari
- [core] Refactor how we ignore default values in docs (#22355) @eps1lon
- [core] Update SECURITY.md to account for v5 @oliviertassinari

## 5.0.0-alpha.7

_Aug 22, 2020_

A big thanks to the 22 contributors who made this release possible.
Here are some highlights ✨:

- 💎 A new diamond sponsor: [Octopus](https://octopus.com/), thank you!
- ⚛️ Migrate parts of the codebase to TypeScript (#22295, #22280, #22179, #22195) @rothbart, @eps1lon, @oliviertassinari.
- 💅 Add support for custom variant to most of the components (9 new components in this release) @mnajdova
- ⚛️ Keep working on React 17 support (#22270, #22262) @eps1lon
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v5.0.0-alpha.7`

### Breaking changes

- [Menu] Remove transition onX props (#22212) @mbrookes
  The onE\* transition props were removed. Use TransitionProps instead.

  ```diff
   <Menu
  -  onEnter={onEnter}
  -  onEntered={onEntered},
  -  onEntering={onEntered},
  -  onExit={onEntered},
  -  onExited={onEntered},
  -  onExiting={onEntered}
  +  TransitionProps={{
  +    onEnter,
  +    onEntered,
  +    onEntering,
  +    onExit,
  +    onExited,
  +    onExiting,
  +  }}
   >
  ```

- [Popover] Remove transition onX props (#22184) @mbrookes
  The onE\* transition props were removed. Use TransitionProps instead.

  ```diff
   <Popover
  -  onEnter={onEnter}
  -  onEntered={onEntered},
  -  onEntering={onEntered},
  -  onExit={onEntered},
  -  onExited={onEntered},
  -  onExiting={onEntered}
  +  TransitionProps={{
  +    onEnter,
  +    onEntered,
  +    onEntering,
  +    onExit,
  +    onExited,
  +    onExiting,
  +  }}
   />
  ```

- [TextField] Improve line-height reset (#22149) @imnasnainaec
  Increase the line-height by 4px to support long descender on special alphabets.
  If you were overriding the input vertical padding, reduce it by 4px.

### Changes

- [Accordion] Fix scroll anchoring (#22292) @brickmaker17
- [colorManipulator] Add support for CSS Color Module Level 4 (#20790) @marcosvega91
- [Divider] Custom variant (#22182) @mnajdova
- [Fab] Custom variant (#22189) @mnajdova
- [l10n] Add Thai (th-TH) locale (#22242) @smoogi
- [l10n] Improve ja-JP locale (#22287) @chelproc
- [Link] Custom variant (#22204) @mnajdova
- [Paper] Custom variant (#22216) @mnajdova
- [Slider] Improve touch passive event handling (#22269) @mikhalev-im
- [Stepper] Fix spacing without StepContent (#22199) @Floriferous
- [SwipeableDrawer] Fix prevented inner scroll (#22254) @BramKaashoek
- [Tabs] Add aria-orientation of vertical (#22291) @eps1lon
- [Tabs] Document how to make scroll icons visible (#22255) @Sorgrum
- [TextField] Add hidden label to multi-line filled textfield (#22284) @fakeharahman
- [Toolbar] Custom variant (#22217) @mnajdova
- [FocusTrap] Entangle effects (#22155) @eps1lon
- [FocusTrap] Fix compatibility issues with React 17 (#22270) @eps1lon
- [FocusTrap] Prevent possible crash in React 17 (#22262) @eps1lon

### `@material-ui/icons@v5.0.0-alpha.7`

- [icons] Synchronize icons (#22186) @oliviertassinari

### `@material-ui/styles@v5.0.0-alpha.7`

- [core] Change children to be optional (#22134) @suliskh

### `@material-ui/lab@v5.0.0-alpha.7`

- [Alert] Custom variant (#22218) @mnajdova
- [Pagination] Custom variant (#22220, #22219) @mnajdova
- [Skeleton] Custom variant (#22243) @mnajdova
- [SpeedDial] Add support for uncontrolled open state (#22248) @akharkhonov
- [Timeline] Custom variant (#22244) @mnajdova

### Docs

- [docs] Add Design resources in installation (#22209) @oliviertassinari
- [docs] Add Octopus diamond sponsor (#22177) @oliviertassinari
- [docs] Better track usage of icons (#22187) @oliviertassinari
- [docs] Change property/properties to prop/props (#22271) @mbrookes
- [docs] Document TextField helperText height (#22146) @morgan-sam
- [docs] Fix `@global` being considered a class (#22297) @eps1lon
- [docs] Fix a typo on TextField components (#22300) @Renfrew
- [docs] Fix use of removed transition onE\* props (#22286) @mbrookes
- [docs] Improve codesandbox generation logic (#22221) @oliviertassinari
- [docs] Migrate Onepirate to TypeScript (#22295) @rothbart
- [docs] Migrate Dashboard template to TypeScript (#22280) @oliviertassinari
- [docs] Fix minimizing-bundle-size.md (#22298) @Primajin

### Core

- [core] Batch small changes (#22183) @oliviertassinari
- [core] Change children to be optional (#22134) @suliskh
- [test] Clear fake timers only in afterEach hook (#22307) @dmtrKovalenko
- [test] Convert initMatchers to TypeScript (#22179) @eps1lon
- [test] Improve toHaveVirtualFocus error message (#22185) @eps1lon
- [test] Lint fix the custom rules plugin for useThemeVariants (#22192) @mnajdova
- [test] Make all tests runnable with React 17 (#22290) @eps1lon
- [test] Prevent swallowing errors during setup (#22196) @eps1lon
- [test] Setup infra for tests in TypeScript (#22195) @eps1lon
- [test] Update react next patch (#22260) @eps1lon

## 5.0.0-alpha.6

_Aug 13, 2020_

A big thanks to the 26 contributors who made this release possible.
Here are some highlights ✨:

- 💅 Introduce a new dynamic variant API (#21648) @mnajdova.
  This API allows developers to add new variants on the Material UI's components right from the theme, without having to wrap the components.
  For instance with the Button:

  ```tsx
  // Define the style that should be applied, for specific props.
  const theme = createMuiTheme({
    variants: {
      MuiButton: [
        {
          props: { variant: 'dashed', color: 'secondary' },
          styles: {
            border: `4px dashed ${red[500]}`,
          },
        },
      ],
    },
  });

  // Retain type safety.
  declare module '@material-ui/core/Button/Button' {
    interface ButtonPropsVariantOverrides {
      dashed: true;
    }
  }

  // Enjoy!
  <Button variant="dashed" />;
  ```

  More details in [the documentation](https://mui.com/material-ui/customization/components/#adding-new-component-variants) and [RFC](#21749).

- 👮 Add documentation for the [FocusTrap](https://mui.com/base-ui/react-focus-trap/) component (#22062) @oliviertassinari.
- ⚛️ Prepare support for React v17 (#22093, #22105, #22143, #22111) @eps1lon.
- 🚧 We have undertaken breaking changes.

### `@material-ui/core@v5.0.0-alpha.6`

#### Breaking changes

- [Avatar] Rename variant circle -> circular for consistency (#22015) @kodai3
  Rename `circle` to `circular` for consistency. The possible values should be adjectives, not nouns:

  ```diff
  -<Avatar variant="circle">
  +<Avatar variant="circular">
  ```

- [Badge] Rename overlap circle -> circular and rectangle -> rectangular for consistency (#22050) @kodai3
  Rename `circle` to `circular` and `rectangle` to `rectangular` for consistency. The possible values should be adjectives, not nouns:

  ```diff
  -<Badge overlap="circle">
  -<Badge overlap="rectangle">
  +<Badge overlap="circular">
  +<Badge overlap="rectangular">
  ```

- [CircularProgress] Remove static variant, simplify determinate (#22060) @mbrookes
  The `static` variant has been merged into the `determinate` variant, with the latter assuming the appearance of the former.
  The removed variant was rarely useful. It was an exception to Material Design, and was removed from the specification.

  ```diff
  -<CircularProgress variant="determinate" />
  ```

  ```diff
  -<CircularProgress variant="static" classes={{ static: 'className' }} />
  +<CircularProgress variant="determinate" classes={{ determinate: 'className' }} />
  ```

- [Dialog] Remove transition onX props (#22113) @mbrookes
  The onE\* transition props were removed. Use TransitionProps instead.

  ```diff
   <Dialog
  -  onEnter={onEnter}
  -  onEntered={onEntered},
  -  onEntering={onEntered},
  -  onExit={onEntered},
  -  onExited={onEntered},
  -  onExiting={onEntered}
  +  TransitionProps={{
  +    onEnter,
  +    onEntered,
  +    onEntering,
  +    onExit,
  +    onExited,
  +    onExiting,
  +  }}
   />
  ```

- [Fab] Rename round -> circular for consistency (#21903) @kodai3
  Rename `round` to `circular` for consistency. The possible values should be adjectives, not nouns:

  ```diff
  -<Fab variant="round">
  +<Fab variant="circular">
  ```

- [List] Improve hover/select/focus UI display (#21930) @joshwooding
- [Pagination] Rename round -> circular for consistency (#22009) @kodai3
  Rename `round` to `circular` for consistency. The possible values should be adjectives, not nouns:

  ```diff
  -<Pagination shape="round">
  -<PaginationItem shape="round">
  +<Pagination shape="circular">
  +<PaginationItem shape="circular">
  ```

- [RootRef] Remove component (#21974) @eps1lon
  This component was removed. You can get a reference to the underlying DOM node of our components via `ref` prop.
  The component relied on [`ReactDOM.findDOMNode`](https://legacy.reactjs.org/docs/react-dom.html#finddomnode) which is [deprecated in `React.StrictMode`](https://legacy.reactjs.org/docs/strict-mode.html#warning-about-deprecated-finddomnode-usage).

  ```diff
  -<RootRef rootRef={ref}>
  -  <Button />
  -</RootRef>
  +<Button ref={ref} />
  ```

- [Snackbar] Change the default position on desktop (#21980) @kodai3
  The notification now displays at the bottom left on large screens.
  It better matches the behavior of Gmail, Google Keep, material.io, etc.
  You can restore the previous behavior with:

  ```diff
  -<Snackbar />
  +<Snackbar anchorOrigin={{ vertical: 'bottom', horizontal: 'center' }} />
  ```

- [Snackbar] Remove transition onX props (#22107) @mbrookes
  The onE\* transition props were removed. Use TransitionProps instead.

  ```diff
   <Snackbar
  -  onEnter={onEnter}
  -  onEntered={onEntered},
  -  onEntering={onEntered},
  -  onExit={onEntered},
  -  onExited={onEntered},
  -  onExiting={onEntered}
  +  TransitionProps={{
  +    onEnter,
  +    onEntered,
  +    onEntering,
  +    onExit,
  +    onExited,
  +    onExiting,
  +  }}
   />
  ```

- [TextareaAutosize] Rename rowsMax->maxRows & rowsMin->minRows (#21873) @mhayk
  Rename `rowsMin`/`rowsMax` prop with `mi Rows`/`maxRows` for consistency with HTML attributes.

  ```diff
  -<TextField rowsMax={6}>
  -<TextareAutosize rowsMin={1}>
  -<TextareAutosize rowsMax={6}>
  +<TextField maxRows={6}>
  +<TextareAutosize minRows={1}>
  +<TextareAutosize maxRows={6}>
  ```

- [TextField] Better isolate static textarea behavior to dynamic one (#21995) @AxartInc
  Better isolate the fixed textarea height behavior to the dynamic one.
  You need to use the `rowsMin` prop in the following case:

  ```diff
  -<TextField rows={2} rowsMax={5} />
  +<TextField rowsMin={2} rowsMax={5} />
  ```

  Remove the `rows` prop, use the `rowsMin` prop instead.
  This change aims to clarify the behavior of the prop.

  ```diff
  -<TextareaAutosize rows={2} />
  +<TextareaAutosize rowsMin={2} />
  ```

- [theme] Remove theme.mixins.gutters (#22109) @joshwooding
  The abstraction hasn't proven to be used frequently enough to be valuable.

  ```diff
  -theme.mixins.gutters(),
  +paddingLeft: theme.spacing(2),
  +paddingRight: theme.spacing(2),
  +[theme.breakpoints.up('sm')]: {
  +  paddingLeft: theme.spacing(3),
  +  paddingRight: theme.spacing(3),
  +},
  ```

#### Changes

- [Avatar] Custom variant (#22139) @mnajdova
- [Badge] Add missing class key (#22095) @kodai3
- [Badge] Custom variant (#22140) @mnajdova
- [Button] Improved variant type names & cleanup tests (#22010) @mnajdova
- [ButtonBase] Forward type to other components than 'button' (#22172) @eps1lon
- [ButtonGroup] Custom variant (#22160) @mnajdova
- [Chip] Custom variant (#22161) @mnajdova
- [CssBaseline] Add text size adjust property (#22089) @Tolsee
- [l10n] Add Greek (el-GR) locale (#21988) @tmanolat
- [Table] Cell small's right padding is bigger than medium (#22017) @adamlaurencik
- [FocusTrap] Add documentation (#22062) @oliviertassinari
- [Typography] Add custom variants support (#22006) @mnajdova
- [useIsFocusVisible] Remove focus-visible if focus is re-targetted (#22102) @eps1lon
- [core] Fix various potential issues with multiple windows (#22159) @scottander
- [core] Improve hook dependencies in useControlled.js (#21977) @roth1002

### `@material-ui/lab@v5.0.0-alpha.6`

#### Breaking changes

- [Skeleton] Rename variant circle -> circular and rect -> rectangular for consistency (#22053) @kodai3
  Rename `circle` to `circular` and `rect` to `rectangular` for consistency. The possible values should be adjectives, not nouns:

  ```diff
  -<Skeleton variant="circle">
  -<Skeleton variant="rect">
  +<Skeleton variant="circular">
  +<Skeleton variant="rectangular">
  ```

#### Changes

- [Autocomplete] Add support for "{label: string}" data type as a default for "options" (#21992) @DanailH
- [TreeView] Add disabled prop (#20133) @netochaves
- [TreeView] Simplify focus logic (#22098) @eps1lon
- [TreeView] Test current behavior of active item removal (#21720) @eps1lon
- [TreeView] Test selection behavior (#21901) @joshwooding

### `@material-ui/system@v5.0.0-alpha.6`

- [core] Bump csstype to 3.0.0 (#22048) @eps1lon

### Docs

- [docs] Add 'size' prop to ToggleButton API docs (#22052) @zenje
- [docs] Add ClassKeys migration description for Renaming API (#22061) @kodai3
- [docs] Add a label to the TreeView demos (#21900) @joshwooding
- [docs] Add missing JSDoc for various props (#22005) @eps1lon
- [docs] Add the services that support MUI in readme (#22137) @naineet
- [docs] Add trailingSlash: true (#22008) @oliviertassinari
- [docs] Add visibility to TypeScript examples (#22013) @esemeniuc
- [docs] Avoid using any type in Tabs examples (#22091) @tacigar
- [docs] Bump next to 9.5.0 (#21975) @eps1lon
- [docs] Disallow undefined array members at runtime where they're unexpected (#21990) @eps1lon
- [docs] Improve Autocomplete GitHub demo (#22153) @aquibbaig
- [docs] Improve draggable dialog demo wording (#22021) @Sanskar95
- [docs] Improve transition props API descriptions (#21952) @maksimgm
- [docs] Port buildApi to TypeScript (#22055) @eps1lon
- [docs] Update build instructions for component API (#21970) @eps1lon
- [docs] Update grouped instruction of autocomplete (#22056) @yfng96
- [docs] Use `import * as React from 'react';` (#22058) @mbrookes
- [docs] Use pickers v4 (#22023) @eps1lon

### Core

- [core] Allow running prettier from material-ui-x (#22071) @oliviertassinari
- [core] Bump csstype to 3.0.0 (#22048) @eps1lon
- [core] Fix next and prevent future regressions (#22135) @eps1lon
- [core] Improve merge-conflict label automation (#22065) @eps1lon
- [core] Lint cleanup (#21972) @eps1lon
- [core] Resolve all dot-prop versions to 5.x (#22007) @eps1lon
- [core] Small changes (#22020) @oliviertassinari
- [Security] Bump elliptic from 6.5.0 to 6.5.3 (#21997) @dependabot-preview
- [test] Drop css-loader (#21999) @eps1lon
- [test] Lint framer workspace (#22002) @eps1lon
- [test] Lint useThemeVariants with custom rules plugin (#21963) @eps1lon
- [test] Run same tests in coverage and unit (#22092) @eps1lon
- [test] Type-check framerx package (#21868) @eps1lon
- [test] Work on React v17 (#22093, #22105, #22143, #22111) @eps1lon

## 5.0.0-alpha.5

_July 28, 2020_

A big thanks to the 18 contributors who made this release possible.

### `@material-ui/core@v5.0.0-alpha.5`

#### Breaking changes

- [Grid] Rename justify prop to justifyContent (#21845) @mnajdova

  Rename `justify` prop with `justifyContent` to be aligned with the CSS property name.

  ```diff
  -<Grid justify="center">
  +<Grid justifyContent="center">
  ```

#### Changes

- [Accordion] Add new classes key (#21920) @natac13
- [Accordion] Fix IconButtonProps spreading logic (#21850) @kgregory
- [Avatar] Fix group size (#21896) @natac13
- [Button] Custom variant (#21648) @mnajdova
- [CssBaseline] Export ScopedCssBaseline from barrel index (#21869) @mherczeg
- [Dialog] Fix body scrollbar close behavior (#21951) @maksimgm
- [Icon] Hide name placeholder while "Material Icons" font is loading (#21950) @maksimgm
- [Select] Ensure that onChange is called before onClose (#21878) @DanailH
- [Slider] Make `index` public in the ValueLabel props (#21932) @govardhan-srinivas

### `@material-ui/lab@v5.0.0-alpha.5`

- [TreeView] Change focus management to aria-activedescendant (#21695) @joshwooding
- [TreeView] Fix crash when shift clicking a clean tree (#21899) @joshwooding

### Framer

- [framer] Refactor as switch (#21885) @mhkasif
- [framer] Update with latest sources (#21888) @eps1lon

### Docs

- [blog] Q2 2020 Update (#21822) @oliviertassinari
- [docs] Add expand all and select all to controlled tree demo (#21929) @joshwooding
- [docs] Add useRadioGroup section (#21910) @kodai3
- [docs] Autocomplete is not showing options even though they exist (#21949) @maksimgm
- [docs] Change the destination branch for PRs (#21870) @DanailH
- [docs] Fix Skeleton inline example (#21918) @ppecheux
- [docs] Fix custom Snackbar width on mobile (#21948) @ruhci28
- [docs] Fix the type of the second argument of 'createMuiTheme' function (#21859) @DanailH
- [docs] Improve ad display @oliviertassinari
- [docs] Improve documentation of theme.breakpoints (#21922) @ruhci28
- [docs] Link react-hook-form (#21886) @jeffshek
- [docs] Mention @MuiContrib in CONTRIBUTING (#21891) @eps1lon
- [docs] Replace latests tags with next in the codesandbox (#21851) @mnajdova
- [docs] Update gold sponsor to Text-Em-All (formerly Call-Em-All) (#21897) @jonmiller0
- [docs] Update testing guide (#21863) @eps1lon

### Core

- [test] Enable more StrictMode tests (#21817) @eps1lon
- [test] Lint internal typescript-to-proptypes fork (#21876) @eps1lon
- [test] Pass didWarnControlledToUncontrolled between tests (#21875) @eps1lon
- [test] Unify import to `test/utils (#21856) @eps1lon
- [core] Add warnings where ref-forwarding components/elements are required (#21883) @eps1lon
- [core] Automatically tweet about good first issues (#21879) @eps1lon
- [core] Batch small changes (#21928) @oliviertassinari
- [core] Remove /test-utils (#21855) @eps1lon
- [core] Throw on unused `typescript-to-proptypes-ignore` directives (#21867) @eps1lon

## 5.0.0-alpha.4

_July 19, 2020_

A big thanks to the 11 contributors who made this release possible.

### `@material-ui/core@v5.0.0-alpha.4`

#### Breaking changes

- [core] Drop support for non-ref-forwarding class components (#21811) @eps1lon
  Support for non-ref-forwarding class components in the `component` prop or as an immediate `children` has been dropped. If you were using `unstable_createStrictModeTheme` or didn't see any warnings related to `findDOMNode` in `React.StrictMode` then you don't need to do anything.
  Otherwise check out the ["Caveat with refs" section in our composition guide](/guides/composition/#caveat-with-refs) to find out how to migrate.
  This change affects almost all components where you're using the `component` prop or passing `children` to components that require `children` to be elements (for example `<MenuList><CustomMenuItem /></MenuList>`)
- [Stepper] Use context API (#21613) @baterson
  Rely on the context over the `React.cloneElement()` API.
  This change makes composition easier.

### `@material-ui/icons@v5.0.0-alpha.4`

- [icons] Add Google brand icon (#21807) @bmg02

### Docs

- [docs] Break up Select demos (#21792) @cjoecker
- [docs] Change RMUIF info to new version (#21812) @phoqe
- [docs] Fix Spanish translation (#21800) @adamsr123
- [docs] Fix nav color (#21780) @mbrookes
- [docs] Update advanced-de.md (#21786) @jasonericdavis

### Core

- [core] Allow dist tag as argv in use-react-dist-tag (#21810) @eps1lon
- [core] Drop support for non-ref-forwarding class components (#21811) @eps1lon
- [core] Lint with typescript-eslint parser (#21758) @oliviertassinari
- [core] One label is enough @oliviertassinari
- [core] Remove lint:fix command @oliviertassinari
- [test] Enable "missing act()"-warnings (#21802) @eps1lon
- [test] Improve stack trace for unexpected errors (#21818) @eps1lon
- [test] Update react next patch (#21746) @eps1lon
- [test] Use testing-library in withStyles (#21804) @eps1lon

## 5.0.0-alpha.3

_July 12, 2020_

A big thanks to the 14 contributors who made this release possible.

### `@material-ui/core@v5.0.0-alpha.3`

- [Avatar] Avoid usage of z-index (#21685) @nvdai2401
- [GridList] Fix crash when loading images (#21741) @paradoxxxzero
- [List] Fix secondary action position when disableGutters={true} (#21732) @kgregory
- [TablePagination] Fix broken labelling if SelectProps provided ids (#21703) @eps1lon
- [theme] Fix custom breakpoint in CSS Media Queries (#21759) @nkrivous
- [FocusTrap] Fix disableAutoFocus prop (#21612) @oliviertassinari

### `@material-ui/lab@v5.0.0-alpha.3`

- [lab] Fix TypeScript theme overrides support (#21724) @cjoecker
- [Autocomplete] Fail form validation if required is filled when `multiple` (#21692, #21670) @weslenng, @eps1lon

### Docs

- [examples] Include troubleshooting for next.js (#21683) @ocavue
- [docs] Add ethicalads.io (#21752) @oliviertassinari
- [docs] Apply small fixes (#21754) @jaironalves
- [docs] Batch small changes (#21669) @oliviertassinari
- [docs] Bump next to 9.4.4 (#21690) @eps1lon
- [docs] Fix custom switch ripple color (#21729) @xanderoku
- [docs] Fix text from showcase (#21755) @cjoecker
- [docs] Improve customized timeline demo (#21739) @mageprincess
- [docs] Move more prop docs into IntelliSense (#21659) @eps1lon
- [docs] Move more prop docs into IntelliSense (#21687) @eps1lon
- [docs] Recommend default branch (#21719) @eps1lon
- [docs] Remove `@document` directive from IntelliSense (#21688) @eps1lon
- [docs] Track web-vitals (#21702) @eps1lon

### Core

- [test] Allow container + hydrate in render (#21747) @eps1lon
- [test] Bump url-loader (#21689) @eps1lon
- [test] Restore clock between each test (#21760) @eps1lon
- [test] Run lab unit tests in browser (#21691) @eps1lon
- [core] Allow generating markdown api docs for subset of components (#21731) @eps1lon
- [core] Batch small changes (#21756) @oliviertassinari
- [core] Don't bail out early if docs:api fails (#21726) @eps1lon
- [core] Remove dead code from docs:api (#21730) @eps1lon
- [core] Simplify debounce (#21666) @NMinhNguyen
- [core] Use common yarn version (#21779) @eps1lon

## 5.0.0-alpha.2

_July 4, 2020_

A big thanks to the 16 contributors who made this release possible.

### `@material-ui/core@v5.0.0-alpha.2`

#### Breaking changes

- [Button] Make primary the default color (#21594) @mbrookes
  The button `color` prop is now "primary" by default, and "default" has been removed. This makes the button closer to the Material Design specification and simplifies the API.

  ```diff
  -<Button color="default" />
  -<Button color="primary" />
  +<Button />
  +<Button />
  ```

- [ExpansionPanel] Remove component (#21630) @mnajdova
  This completes our effort on renaming the ExpansionPanel component Accordion
- [Collapse] Add orientation and horizontal support (#20619) @darkowic
  The `collapsedHeight` prop was renamed `collapsedSize` to support the horizontal direction.

  ```diff
  -<Collapse collapsedHeight={40}>
  +<Collapse collapsedSize={40}>
  ```

#### Changes

- [Card] Fix vertically center header action (#21646) @kgregory
- [l10n] Update cs-CZ and sk-SK locales (#21656) @char0n
- [l10n] Update sv-SE locale (#21631) @tbz
- [Menu] Remove overflow style in MenuItem (#21644) @tj3407
- [MenuItem] Add types for ListItemClasses (#21654) @eps1lon
- [Slider] Fix cannot read property 'focus' of null (#21653) @mageprincess
- [TextField] Fix CSS isolation issue (#21665) @Codetalker777
- [FocusTrap] Fix portal support (#21610) @mnajdova
- [TypeScript] Fix version support (#21640) @jakubfiglak

### `@material-ui/lab@v5.0.0-alpha.2`

- [TreeView] Improve node registration and fix other issues (#21574) @joshwooding

### Docs

- [blog] Post survey results 2020 (#21555) @mnajdova
- [docs] Add new showcase (#21637) @cjoecker
- [docs] CodeFund is shutting down (#21632) @oliviertassinari
- [docs] Document next version (#21591) @oliviertassinari
- [docs] Enable docs search on v5.0.0 & fix duplicate on master @oliviertassinari
- [docs] Fix ad issues @oliviertassinari
- [docs] Move more prop docs into IntelliSense (#21655) @eps1lon
- [docs] Remove in-context translation code & files (#21633) @mbrookes
- [example] Remove dead dependency from next-typescript (#21628) @StefanWerW

### Core

- [test] Add toWarnDev() and toErrorDev() matcher (#21581) @eps1lon

## 5.0.0-alpha.1

_June 27, 2020_

A big thanks to the 33 contributors who made this release possible. Here are some highlights ✨:

- 🔄 Introduce a new `LoadingButton` component in the lab (#21389) @mnajdova.
- 📍 Synchronize icons with Google, add 200 new icons (#21498) @alecananian
- 💥 Start working on breaking changes.

### `@material-ui/core@v5.0.0-alpha.1`

#### Breaking changes

- [Divider] Use border instead of background color (#18965) @mikejav.
  It prevents inconsistent height on scaled screens. For people customizing the color of the border, the change requires changing the override CSS property:

  ```diff
   .MuiDivider-root {
  -  background-color: #f00;
  +  border-color: #f00;
   }
  ```

- [Rating] Rename `visuallyhidden` to `visuallyHidden` for consistency (#21413) @mnajdova.

  ```diff
   <Rating
     classes={{
  -    visuallyhidden: 'custom-visually-hidden-classname',
  +    visuallyHidden: 'custom-visually-hidden-classname',
     }}
   />
  ```

- [Typography] Replace the `srOnly` prop so as to not duplicate the capabilities of [System](https://mui.com/system/getting-started/) (#21413) @mnajdova.

  ```diff
  -import Typography from '@material-ui/core/Typography';
  +import { visuallyHidden } from '@material-ui/utils';
  +import styled from 'styled-component';

  +const Span = styled('span')(visuallyHidden);

  -<Typography variant="srOnly">Create a user</Typography>
  +<Span>Create a user</Span>
  ```

- [TablePagination] Add showFirstButton and showLastButton support (#20750) @ShahAnuj2610.
  The customization of the table pagination's actions labels must be done with the `getItemAriaLabel` prop. This increases consistency with the `Pagination` component.

  ```diff
   <TablePagination
  -  backIconButtonText="Avant"
  -  nextIconButtonText="Après
  +  getItemAriaLabel={…}
  ```

- [ExpansionPanel] Rename to Accordion (#21494) @mnajdova.
  Use a more common the naming convention:

  ```diff
  -import ExpansionPanel from '@material-ui/core/ExpansionPanel';
  -import ExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary';
  -import ExpansionPanelDetails from '@material-ui/core/ExpansionPanelDetails';
  -import ExpansionPanelActions from '@material-ui/core/ExpansionPanelActions';
  +import Accordion from '@material-ui/core/Accordion';
  +import AccordionSummary from '@material-ui/core/AccordionSummary';
  +import AccordionDetails from '@material-ui/core/AccordionDetails';
  +import AccordionActions from '@material-ui/core/AccordionActions';

  -<ExpansionPanel>
  +<Accordion>
  -  <ExpansionPanelSummary>
  +  <AccordionSummary>
       <Typography>Location</Typography>
       <Typography>Select trip destination</Typography>
  -  </ExpansionPanelSummary>
  +  </AccordionSummary>
  -  <ExpansionPanelDetails>
  +  <AccordionDetails>
       <Chip label="Barbados" onDelete={() => {}} />
       <Typography variant="caption">Select your destination of choice</Typography>
  -  </ExpansionPanelDetails>
  +  </AccordionDetails>
     <Divider />
  -  <ExpansionPanelActions>
  +  <AccordionActions>
       <Button size="small">Cancel</Button>
       <Button size="small" color="primary">Save</Button>
  -  </ExpansionPanelActions>
  +  </AccordionActions>
  -</ExpansionPanel>
  +</Accordion>
  ```

- [BottomNavigation] TypeScript: The `event` in `onChange` is no longer typed as a `React.ChangeEvent` but `React.SyntheticEvent`.

  ```diff
  -<BottomNavigation onChange={(event: React.ChangeEvent<{}>) => {}} />
  +<BottomNavigation onChange={(event: React.SyntheticEvent) => {}} />
  ```

- [Slider] TypeScript: The `event` in `onChange` is no longer typed as a `React.ChangeEvent` but `React.SyntheticEvent`.

  ```diff
  -<Slider onChange={(event: React.ChangeEvent<{}>, value: unknown) => {}} />
  +<Slider onChange={(event: React.SyntheticEvent, value: unknown) => {}} />
  ```

- [Tabs] TypeScript: The `event` in `onChange` is no longer typed as a `React.ChangeEvent` but `React.SyntheticEvent`.

  ```diff
  -<Tabs onChange={(event: React.ChangeEvent<{}>, value: unknown) => {}} />
  +<Tabs onChange={(event: React.SyntheticEvent, value: unknown) => {}} />
  ```

- [Accordion] TypeScript: The `event` in `onChange` is no longer typed as a `React.ChangeEvent` but `React.SyntheticEvent`.

  ```diff
  -<Accordion onChange={(event: React.ChangeEvent<{}>, expanded: boolean) => {}} />
  +<Accordion onChange={(event: React.SyntheticEvent, expanded: boolean) => {}} />
  ```

#### Changes

- [Badge] Fix transition flicker (#21557) @mnajdova
- [ButtonGroup] Improve contained hover style (#21532) @alecananian
- [l10n] Improve Russian translation (#21480) @AntonLukichev
- [l10n] Improve zh-CN, add zh-TW (#21493) @Jack-Works
- [LinearProgress] High frequency updates (#21416) @dnicerio
- [Stepper] Fix optional label alignment (#21420) @curtislin7
- [Table] Move prop docs into IntelliSense (#21530) @oliviertassinari
- [TablePagination] Add showFirstButton and showLastButton support (#20750) @ShahAnuj2610
- [Tabs] Fix useCallback missing arguments (#21471) @KitsonBroadhurst
- [TextField] Fix FilledInput disable hover style when disabled (#21457) @tchmnn

### `@material-ui/lab@v5.0.0-alpha.1`

- [Autocomplete] Fix support for renderTags={() => null} (#21460) @matthenschke
- [LoadingButton] Introduce new component (#21389) @mnajdova
- [Pagination] Fix display when boundaryCount={0} (#21446) @guimacrf
- [Skeleton] Fix text border (#21543) @el1f
- [Timeline] Align dots with content (#21402) @mnajdova
- [TreeView] Minor styling changes (#21573) @joshwooding
- [TreeView] Simplify customization (#21514) @joshwooding

### `@material-ui/icons@v5.0.0-alpha.1`

- [icons] Synchronize icons with Google (#21498) @alecananian

### `@material-ui/system@v5.0.0-alpha.1`

- [system] Introduce visuallyHidden style utility (#21413) @mnajdova

### Docs

- [docs] Add CSP support section to docs (#21479) @razor-x
- [docs] Add explicit example for extending existing palette colors (#21458) @BennyHinrichs
- [docs] Add more details about breakpoint widths (#21545) @Muzietto
- [docs] Add new gold sponsor @oliviertassinari
- [docs] Add transitions customization page (#21456) @mnajdova
- [docs] Correct syntax errors to improve document readability (#21515) @AGDholo
- [docs] Document type="number" limitation (#21500) @IwalkAlone
- [docs] Entry for translations and fix grammar error (#21478) @jaironalves
- [docs] Fix broken "customization" anchor link (#21506) @connorads
- [docs] Fix typo in MultipleSelects.js (#21510) @ShiyuCheng2018
- [docs] Fix typo in SpeedDialIcon classes comment (#21398) @zachbradshaw
- [docs] Fix typo in TextField required prop (#21538) @HumbertoL
- [docs] Fix version in localized urls (#21442) @tchmnn
- [docs] Format english markdown files (#21463) @eps1lon
- [docs] Format some previously unformatted, untranslated files (#21558) @eps1lon
- [docs] Hide duplicate table borders (#20809) @marcosvega91
- [docs] Improve docs for useMediaQuery and breakpoint (#21512) @DDDDDanica
- [docs] Improve npm homepage links (#21452) @eps1lon
- [docs] Move more prop docs into IntelliSense (#21383) @eps1lon
- [docs] Restrict docs markdown and demos to 80ch (#21481) @eps1lon
- [docs] Reword palette intention and fix format (#21477) @DDDDDanica
- [docs] Update v4 migration guide (#21462) @eps1lon

### Core

- [typescript-to-proptypes] Integrate into monorepo @eps1lon
- [test] Add type test CardHeader title component (#21590) @eps1lon
- [test] Fix type tests not being type checked (#21539) @eps1lon
- [test] Ignore empty vrtests (#21450) @eps1lon
- [test] Improve makeStyles error coverage (#21568) @eps1lon
- [test] Migrate Typography to testing-library (#21534) @marcosvega91
- [test] Move size comparison details to separate page (#21504) @eps1lon
- [test] Use testing-library in MenuItem (#21391) @eps1lon
- [test] Use testing-library in StepButton (#21406) @baterson
- [test] Use testing-library in Stepper (#21400) @baterson
- [core] Batch small changes (#21419) @oliviertassinari
- [core] Batch small changes (#21553) @oliviertassinari
- [core] Disable caching for yarn proptypes permanently (#21414) @eps1lon
- [core] Extend env for build script (#21403) @eps1lon
- [core] Fix react next patch and prevent regression (#21495) @eps1lon
- [core] Fork typescript-to-proptypes (#21497) @eps1lon
- [core] Misc branch cleaning (#21459) @eps1lon
- [core] Misc prettier changes (#21484) @eps1lon
- [core] Run prettier on the JSON sources (#21556) @oliviertassinari
- [core] Type custom `onChange` implementations with a generic react event (#21552) @eps1lon

## 4.12.3

<!-- generated comparing v4.12.2..master -->

_Jul 27, 2021_

### `@material-ui/core@4.12.3`

- <!-- 2 --> [AccordionSummary] Fix false-positive propType warning with `disableGeneration` (#27385) @eps1lon
- <!-- 7 --> [ImageList] Fix deprecation warnings (#27502) @mnajdova
- <!-- 6 --> [TablePagination] Re-introduce deprecated `onChangePage` to `ActionsComponent` (#27407) @eps1lon
- <!-- 1 --> [TextareaAutosize] Updated deprecation warning to suggest minRows instead of rowsMin (#27398) @HumbertoL

### Docs

- <!-- 4 --> [docs] Fix 404 link to ImageList @oliviertassinari
- <!-- 3 --> [docs] Fix DataTable.tsx demo in v4 (#27196) @Siv-tspab

### Core

- <!-- 5 --> [core] Add release scripts (#27399) @eps1lon

All contributors of this release in alphabetical order: @eps1lon, @mnajdova, @HumbertoL, @oliviertassinari, @Siv-tspab

## 4.12.2

<!-- generated comparing v4.12.1..master -->

_Jul 19, 2021_

### `@material-ui/core@4.12.2`

- <!-- 09 --> [Accordion, Collapse] Fix failed proptype error (#27307) @serenalin121
- <!-- 12 --> [AccordionSummary] Ensure backwards compatible deprecation of classes.focused (#27351) @eps1lon
- <!-- 11 --> [TextField] Add support for `minRows` (#27293) @eps1lon

### Docs

- <!-- 07 --> [blog] Danilo Leal joins Material UI (#27231) @oliviertassinari
- <!-- 04 --> [blog] Jun did join in Q1 @oliviertassinari
- <!-- 03 --> [blog] Fix typo @oliviertassinari
- <!-- 02 --> [blog] Q2 2021 Update (#27089) @oliviertassinari
- <!-- 10 --> [docs] Add constant for the banner height (#27309) @mnajdova
- <!-- 08 --> [docs] Fix various layout issues with the v5 banner (#27237) @mnajdova
- <!-- 06 --> [docs] Fix https protocol (#27262) @m4theushw
- <!-- 01 --> [docs] Remove Ethical Ads (#27173) @mbrookes
- <!-- 05 --> [website] Open 4 new roles (#27123) @oliviertassinari

All contributors of this release in alphabetical order: @eps1lon, @m4theushw, @mbrookes, @mnajdova, @oliviertassinari, @serenalin121

## 4.12.1

_July 7, 2021_

This release is released to fix the package.json generation in the previous release.

### Core

- [core] Fix generation of package.json file on Windows (#27160) @mnajdova

## 4.12.0

_July 6, 2021_

A big thanks to the 12 contributors who made this release possible. It includes deprecations that should help developers to have an easier adoption of v5.

### @material-ui/core@4.12.0

- [Accordion] Deprecate classes.focused (#24083) @oliviertassinari
- [Avatar] Change default variant and adjust deprecation message (#25549) @michal-perlakowski
- [Badge] Add overlap circular and rectangular (#22076) @eps1lon
- [ButtonBase] Add warning for buttonRef removal (#25897) @m4theushw
- [Collapse] Deprecate classes.container (#24084) @oliviertassinari
- [Collapse] Deprecate collapsedHeight (#24079) @oliviertassinari
- [Dialog] Add deprecation warning for withMobileDialog (#23570) @RDIL
- [Dialog] Deprecate the transition onX props (#22114) @mbrookes
- [Fab] Deprecate variant="round" (#24080) @oliviertassinari
- [Grid] Add deprecation for justify prop rename (#24078) @oliviertassinari
- [Grid] Fix justifyContent="flex-start" prop types (#24788) @DukeManh
- [GridList] Rename to ImageList & add deprecation warnings (#22363) @mbrookes
- [Icons] Deprecate fontSize value of default, add medium (#23971) @mbrookes
- [Menu] Deprecate transition onX props (#22213) @mbrookes
- [Modal][dialog] Deprecate duplicate props with onChange (#24081) @oliviertassinari
- [Modal][portal] Deprecate onRendered (#24082) @oliviertassinari
- [Popover] Deprecate transition onX props (#22202) @mbrookes
- [RootRef] Deprecate component (#24075) @oliviertassinari
- [Snackbar] Deprecate transition onX props (#22206) @mbrookes
- [Table] Add deprecation for renamed TablePagination props (#23789) @mnajdova
- [Table] Deprecate padding="default" (#25990) @m4theushw
- [TextareaAutosize] Deprecate rowsMax->maxRows & rowsMin->minRows (#23530) @mhayk
- [TextField] Add isRequired to position prop in InputAdornment (#25912) @m4theushw
- [theme] Deprecate theme.mixins.gutters (#22245) @joshwooding
- [theme] Deprecate fade color utility in favor of alpha (#22837) @mnajdova
- [theme] Deprecate createMuiTheme (#26004) @m4theushw
- [theme] Add warning for theme.typography.round deprecation (#25916) @m4theushw
- [theme] Add warning for theme.breakpoints.width deprecation (#25993) @m4theushw

### @material-ui/system@4.12.0

- [Box] Deprecate `css` prop in favor of `sx` prop (#23480) @mnajdova

### Docs

- [blog] Michał Dudak joins Material UI (#26700)
- [blog] Siriwat Kunaporn joins Material UI (#26329) @oliviertassinari
- [docs] Add gold sponsor (#26968)
- [docs] Add v5 banner (#27070)
- [docs] Fix 404 link (Evergreen Box) (#26430) @k-utsumi
- [docs] Prepare for data grid auto-generated docs (#26477) @m4theushw
- [docs] Update typography.md to non-deprecated fontsource (#26082) @kiwimahk

### Core

- [test] Deprecate test-utils (#24099) @eps1lon

## 4.11.4

<!-- generated comparing v4.11.3..master -->

_Apr 27, 2021_

A big thanks to the 6 contributors who made this release possible. Here are some highlights ✨:

We fixed an issue related to some packages using incompatible versions of `@material-ui/types`. This affected `@material-ui/core`, `@material-ui/lab`, and `@material-ui/styles`
`@material-ui/types@5.1.7 accidentally included a breaking change.

### @material-ui/core@4.11.4

- <!-- 13 --> [Avatar] Remove circular variant deprecation (#25543) @michal-perlakowski
- <!-- 22 --> [types] Ensure Omit type exists (#25978) @eps1lon

### Docs

- <!-- 21 --> [DataGrid] Update docs sections (#25980) @dtassone
- <!-- 20 --> [docs] Sync master redirections with next @oliviertassinari
- <!-- 19 --> [docs] Fix deploy @oliviertassinari
- <!-- 18 --> [docs] Move DataGrid editing nav link (#25769) @dtassone
- <!-- 11 --> [docs] Design is what matters @oliviertassinari
- <!-- 10 --> [docs] Add the new demo page (#25285) @DanailH
- <!-- 09 --> [docs] Add a temporary hiring block in the docs (#25111) @oliviertassinari
- <!-- 05 --> [docs] Remove under construction icons from DataGrid feature pages (#24946) @DanailH
- <!-- 03 --> [docs] Add HoodieBees to sponsors (#24735) @mbrookes
- <!-- 02 --> [docs] Add sorting section (#24637) @dtassone
- <!-- 01 --> [docs] v4 is not under active development @oliviertassinari

### Core

- <!-- 17 --> remove job ad @oliviertassinari
- <!-- 07 --> clearer header @oliviertassinari
- <!-- 16 --> [blog] Fix typos @oliviertassinari
- <!-- 12 --> [core] Update the codesandbox issue templates (#25501) @oliviertassinari
- <!-- 04 --> [core] Support /r/issue-template back (#24870) @oliviertassinari
- <!-- 15 --> [website] Q1 2021 Update (#25591) @oliviertassinari
- <!-- 14 --> [website] Matheus Wichman joins Material UI (#25590) @oliviertassinari
- <!-- 08 --> [website] Fix 404 page @oliviertassinari
- <!-- 06 --> [website] Update Careers page (#24948) @oliviertassinari

All contributors of this release in alphabetical order: @DanailH, @dtassone, @eps1lon, @mbrookes, @michal-perlakowski, @oliviertassinari

## UNRELEASED - 4.12.0

This release is intended to help prepare the migration to Material UI v5 ⏫:

- 📚 Start to add deprecations in anticipation of v5. We plan to add a deprecation for any breaking change in v5 that allows it. Each warning comes with a simple message that explains how to handle the deprecation. If no warnings are reported in the console, you are set for this first batch.
  Please report issues with the deprecations on [#22074](https://github.com/mui/material-ui/issues/22074) (wrong instructions, false-positives, floods in the console, etc.).

You can expect similar releases like this one in the coming months.

### `@material-ui/core@v4.12.0`

#### Deprecations

- [theme] Deprecate `fade()` color utility in favor of `alpha()` (#22837) @mnajdova
- [theme] Deprecate theme.mixins.gutters (#22245) @joshwooding
- [Avatar] Add circular variant (#22090) @eps1lon
- [Badge] Add overlap circular and rectangular (#22076) @eps1lon
- [Box] Deprecate `css` prop in favor of `sx` prop (#23480) @mnajdova
- [CircularProgress] Backport simplified determinate style & deprecate static (#22094) @mbrookes
- [Dialog] Deprecate the transition onX props (#22114) @mbrookes
- [GridList] Rename to ImageList & add deprecation warnings (#22363) @mbrookes
- [Menu] Deprecate transition onX props (#22213) @mbrookes
- [Popover] Deprecate transition onX props (#22202) @mbrookes
- [Snackbar] Deprecate transition onX props (#22206) @mbrookes

## 4.11.3

_Jan 24, 2021_

This release fixes an important issue with Chrome 88. The usage of NaN as a CSS property with JSS throws an exception.

### `@material-ui/core@v4.11.3`

- [styles] Upgrade jss to 10.5.1 (#24570) @oliviertassinari

### `@material-ui/styles@v4.11.3`

- [styles] Upgrade jss to 10.5.1 (#24570) @oliviertassinari

### `@material-ui/system@v4.11.3`

- [system] Fix handling of null-ish values (#24527) @oliviertassinari"

### Docs

- [blog] 2020 in review and beyond (#24130) @oliviertassinari
- [docs] Add ELEVATOR to backers (#23977) @mbrookes
- [docs] Add eslint rule to docs (#23843) @jens-ox
- [docs] Add notification for Adobe XD design assets (#23979) @mbrookes
- [docs] Allow codesandbox deploy for demos in X (#23644) @oliviertassinari
- [docs] Fix codesandbox datagrid demo (#24218) @brno32
- [docs] Improve displayed versions (#24051) @oliviertassinari
- [docs] Mention Adobe XD (#23978) @oliviertassinari
- [docs] Sync tranlations (#23981) @l10nbot
- [docs] Sync translation (#23719) @l10nbot
- [docs] Sync translations (#23836) @l10nbot
- [docs] Sync translations (#24039) @l10nbot
- [docs] Update Divjoy URL (#24447) @mbrookes
- [docs] Update in-house ads (#24410) @mbrookes

### Core

- [core] Batch small changes (#24224) @oliviertassinari

## 4.11.2

_Dec 2, 2020_

This release widens the peer dependency scope of React to accept ^17.0.0.
The change makes it easier for developers to upgrade React independently from Material UI. The best support for React 17 will be found in Material UI v5.

This is a reminder that all ongoing work has moved to v5. This means a feature freeze on v4. The development of v4 is limited to important bug fixes, security patches and easing the upgrade path to v5.

### `@material-ui/core@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/icons@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/lab@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/styles@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/system@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/utils@v4.11.2`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.57`

- [core] Allow React 17 in peer dependencies (#23697) @oliviertassinari

## 4.11.1

_Nov 24, 2020_

A big thanks to the 12 contributors who made this release possible.

- 🐛 Fix integration issue with TypeScript 4.1 (#23692) @ldrick
- ⚛️ Fix two issues with React 17 (#22263, #23367) @eps1lon
  v4 doesn't have official support for React 17 like v5 has. Use it at your own risk.
- 🐛 Fix right-to-left support of Tabs since Chrome 85 (#22830) @ankit

### `@material-ui/core@v4.11.1`

- [styles] Add support for TypeScript 4.1 (#23692) @ldrick
- [ClickAwayListener] Fix mounting behavior in Portals in React 17 (#23367) @eps1lon
- [FocusTrap] Prevent possible crash in React 17 (#22263) @eps1lon
- [Tabs] Fix RTL scrollbar with Chrome 85 (#22830) @ankit

### `@material-ui/styles@v4.11.1`

- [styles] Add support for TypeScript 4.1 (#23692) @ldrick

### Docs

- [blog] Allow to support card preview (#23087) @oliviertassinari
- [blog] Danail Hadjiatanasov joins Material UI (#23223) @oliviertassinari
- [blog] New posts (#22607) @oliviertassinari
- [blog] Q2 2020 Update (#21822) @oliviertassinari
- [blog] Q3 2020 Update (#23055) @oliviertassinari
- [docs] Add Backstage to showcase (#22428) @stefanalund
- [docs] Add Design resources in installation (#22209) @oliviertassinari
- [docs] Add DoiT diamond sponsor (#22436) @oliviertassinari
- [docs] Add LightyearVPN to showcase (#22568) @lightyearvpn
- [docs] Add Material UI Builder to in-house ads (#23342) @mbrookes
- [docs] Add Octopus diamond sponsor (#22178) @oliviertassinari
- [docs] Add Spotify to users (#22776) @mbrookes
- [docs] Add ethicalads.io (#21752) @oliviertassinari
- [docs] Add live demo with DataGrid (#22697) @oliviertassinari
- [docs] Add notification about survey @oliviertassinari
- [docs] Add notification for Material UI for Figma v4.12.0 (#23212) @mbrookes
- [docs] Add redirection for links published on npm (#22575) @oliviertassinari
- [docs] Allow to host code in a different repo (#23390) @oliviertassinari
- [docs] Avoid confusion between layout grid and data grid (#22681) @oliviertassinari
- [docs] Backport \_redirect from next @oliviertassinari
- [docs] Change "Let Us Know" button URL (#22521) @mbrookes
- [docs] Clear the different between table vs data grid right at the start @oliviertassinari
- [docs] Encourage DataGrid in /components/tables/ over alternatives (#22637) @oliviertassinari
- [docs] Engage with more Russian users @oliviertassinari
- [docs] Fix 404 reported by Moz.com @oliviertassinari
- [docs] Fix codesandbox link @oliviertassinari
- [docs] Fix static asset loading with X @oliviertassinari
- [docs] Fix theme.palette.type usage @oliviertassinari
- [docs] Forward x data-grid (#22400) @oliviertassinari
- [docs] Improve SEO on titles (#22742) @oliviertassinari
- [docs] Improve ad display @oliviertassinari
- [docs] Improve codesandbox generation logic (#22221) @oliviertassinari
- [docs] Improve export to CodeSandbox (#22346) @oliviertassinari
- [docs] Improve position in the side nav of DataGrid @oliviertassinari
- [docs] Include new video on customization @oliviertassinari
- [docs] Option to disable ads (#22574) @oliviertassinari
- [docs] Point to the production branch of x @oliviertassinari
- [docs] Reduce tracking events (#21710) @eps1lon
- [docs] Remove codefund Ads (#21714) @eps1lon
- [docs] Remove expansion-panels @oliviertassinari
- [docs] Remove v5 docs capability @oliviertassinari
- [docs] Sync translation (#21638, #21751, #21925, #22751, #22850, #22887, #23357) @oliviertassinari
- [docs] Update homepage quotes (#23326) @mbrookes
- [docs] Use codesandbox deploy for demos created from deploy previews (#22616) @eps1lon
- [docs] configuring redirects for MUI X (#22632) @dtassone

### Core

- [core] Remove Alert codeowner @oliviertassinari
- [core] Small changes (master) (#22022) @oliviertassinari
- [test] Add skip ci to Crowdin commit message (#22684) @mbrookes
- [test] Fix CI @oliviertassinari
- [test] Only run on push for master/next (#22627) @eps1lon
- [test] Run CircleCI anytime (#22686) @eps1lon
- [test] Update react next patch (#22393) @eps1lon

## 4.11.0

_July 1, 2020_

A big thanks to the 8 contributors who made this release possible.

### `@material-ui/core@v4.11.0`

- [ExpansionPanel] Prepare renaming to Accordion, add warnings (#21560) @mnajdova
  It uses a more common naming convention:

  ```diff
  -import ExpansionPanel from '@material-ui/core/ExpansionPanel';
  -import ExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary';
  -import ExpansionPanelDetails from '@material-ui/core/ExpansionPanelDetails';
  -import ExpansionPanelActions from '@material-ui/core/ExpansionPanelActions';
  +import Accordion from '@material-ui/core/Accordion';
  +import AccordionSummary from '@material-ui/core/AccordionSummary';
  +import AccordionDetails from '@material-ui/core/AccordionDetails';
  +import AccordionActions from '@material-ui/core/AccordionActions';

  -<ExpansionPanel>
  +<Accordion>
  -  <ExpansionPanelSummary>
  +  <AccordionSummary>
      <Typography>Location</Typography>
      <Typography>Select trip destination</Typography>
  -  </ExpansionPanelSummary>
  +  </AccordionSummary>
  -  <ExpansionPanelDetails>
  +  <AccordionDetails>
      <Chip label="Barbados" onDelete={() => {}} />
      <Typography variant="caption">Select your destination of choice</Typography>
  -  </ExpansionPanelDetails>
  +  </AccordionDetails>
    <Divider />
  -  <ExpansionPanelActions>
  +  <AccordionActions>
      <Button size="small">Cancel</Button>
      <Button size="small">Save</Button>
  -  </ExpansionPanelActions>
  +  </AccordionActions>
  -</ExpansionPanel>
  +</Accordion>
  ```

### Docs

- [blog] Post survey results 2020 (#21555) @mnajdova
- [docs] Add new gold sponsor @oliviertassinari
- [docs] CodeFund is shutting down (#21632) @oliviertassinari
- [docs] Enable next.mui.com sub-domain @oliviertassinari
- [docs] Fix ad issues @oliviertassinari
- [docs] Fix version in localized urls (#21442) @tchmnn
- [docs] Sync translations (#21445) @oliviertassinari
- [docs] Sync translations (#21535) @oliviertassinari

### Core

- [core] Batch small changes (#21419) @oliviertassinari
- [core] Fix react next patch and prevent regression (#21482) @eps1lon

## 4.10.2

_June 11, 2020_

⚠️ This release marks the end of the active development on the v4.x versions, after 18 months of development.
We are moving all ongoing efforts to v5 (`next` branch) ✨.
This means a feature freeze on v4. The development of this version will be limited to important bug fixes, security patches, and easing the upgrade path to v5.

You can follow our progress on the [v5 milestone](https://github.com/mui/material-ui/milestone/35). We will make the documentation of the v5 alpha releases available under https://next.mui.com/, starting next week (weekly releases, as usual).

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- Introduce a new Timeline component (#21331) @mnajdova.
  <img width="244" alt="timeline" src="https://user-images.githubusercontent.com/3165635/84400961-ff381900-ac02-11ea-8e5e-beb6c0840fe0.png">
  You can find the component in the [lab](https://mui.com/components/timeline/).

- Simplify the theme overrides with TypeScript for the components in the lab (#21279) @CarsonF.

  In order to benefit from the [CSS overrides](/customization/globals/#css) with the theme and the lab components, TypeScript users need to import the following types. Internally, it uses [module augmentation](/guides/typescript/#customization-of-theme) to extend the default theme structure with the extension components available in the lab.

  ```tsx
  // 1. augment the theme
  import type '@material-ui/lab/themeAugmentation';

  // 2. override
  const theme = createMuiTheme({
    overrides: {
      MuiTimeline: {
        root: {
          backgroundColor: 'red',
        },
      },
    },
  });
  ```

- Minify error messages in production (#21214) @eps1lon.

  Using the [React error decoder](https://react.dev/errors) as inspiration, the exceptions thrown by Material UI in production are now minified.
  You will be redirected to the documentation to [decode the error](https://mui.com/production-error/?code=4&args%5B%5D=500).

### `@material-ui/core@v4.10.2`

- [Checkbox] Fix custom icon fontSize prop support (#21362) @kn1ves
- [Dialog] Fix dialog children being announced as clickable (#21285) @eps1lon
- [Select] Improve native validation, autofill, and testability (#21192) @netochaves
- [Stepper] Always pass state props to connector (#21370) @baterson
- [Stepper] Only render label container if a label exists (#21322) @Floriferous

### `@material-ui/lab@v4.0.0-alpha.56`

- [Autocomplete] Fix scroll reset after unselect the only option (#21280) @svikhristyuk
- [Autocomplete] Prevent default event for disabled options (#21390) @GregoryAndrievskiy
- [SpeedDial] Improve tooltip work break (#21359) @SugiKent
- [Timeline] Introduce new component (#21331) @mnajdova
- [TypeScript] Allow lab components to have overrides in theme (#21279) @CarsonF

### `@material-ui/utils@v4.10.2`

- [core] Minify error messages in production (#21214) @eps1lon

### Docs

- [docs] Add palette TypeScript override example (#21319) @WillSquire
- [docs] Always consider code as left-to-right (#21386) @eps1lon
- [docs] Correct the name of a prop in the Table docs (#21384) @fedde-s
- [docs] Improve CONTRIBUTING.md (#21303) @pedrooa
- [docs] Improve ad display (#21246) @oliviertassinari
- [docs] Improve legibility of required star (#21369) @eps1lon
- [docs] List all the Tab components under the API section (#21241) @emretapci
- [docs] Move more prop docs into IntelliSense (#21002) @eps1lon
- [docs] Move more prop docs into IntelliSense (#21368) @eps1lon
- [docs] Move more prop docs into IntelliSense (#21375) @eps1lon
- [docs] Sync translations (#21336) @oliviertassinari
- [docs] Update builderbook.org image in showcase (#21360) @klyburke
- [docs] Update builderbook.org showcase (#21274) @klyburke
- [docs] Update minimum TypeScript version to 3.2 (#21197) @NMinhNguyen
- [docs] Use rem in responsive font sizes chart (#21373) @thewidgetsmith

### Core

- [test] Speed up slow TablePagination tests (#21374) @eps1lon
- [test] Type-test event handlers on ListItem (#21298) @eps1lon
- [core] Batch small changes (#21335) @oliviertassinari
- [core] Don't ship type tests (#21300) @eps1lon
- [core] Minify error messages in production (#21214) @eps1lon
- [core] Switch from `$ExpectError` to `@ts-expect-error` (#21308) @eps1lon
- [core] Use custom \$ExpectType assertion (#21309) @eps1lon

## 4.10.1

_June 1, 2020_

A big thanks to the 21 contributors who made this release possible.

### `@material-ui/core@v4.10.1`

- [CircularProgress] Fix IE11 wobbling (#21248) @AmirAhrari
- [l10n] Improve Ukrainian translation (#21239) @goodwin64
- [LinearProgress] Set aria-valuemin and aria-valuemax (#21195) @eps1lon
- [List] Add 'alignItemsFlexStart' to ListItemIconClassKey #21256) @YoonjiJang
- [Slider] Fix missing type definitions (#21244) @konekoya
- [Stepper] Add focus ripple to StepButton (#21223) @mnajdova
- [SvgIcon] Add displayName in react-devtools (#21134) @gndplayground
- [Table] Add React node support to TablePagination.labelRowsPerPage (#21226) @oliviertassinari
- [TextField] Fix missing autofill events (#21237) @maksimgm
- [Tooltip] Improve arrow customization (#21203) @mnajdova
- [Transition] Prevent passing undefined argument to callbacks (#21158) @iamhosseindhv

### `@material-ui/lab@v4.0.0-alpha.55`

- [Autocomplete] Document how to use a 3rd party input (#21257) @maksimgm
- [Autocomplete] Fix dynamic changes of multiple={boolean} (#21194) @weizhi9958
- [Autocomplete] Improve getOptionLabel usage warning (#21207) @rhuanbarreto
- [Skeleton] Improve component (#21255) @oliviertassinari
- [Skeleton] Improve contrast on light themes (#21122) @eps1lon
- [Pagination] Fix selected item style (#21252) @svikhristyuk

### Docs

- [docs] Adapt CONTRIBUTING.md for https instead of SSH git clone (#21187) @cjoecker
- [docs] Add Progress value label examples (#21190) @cjoecker
- [docs] Document the onClick handler on Button (#21234) @hoop71
- [docs] English improvements in api.md (#21159) @dandv
- [docs] Fix typo in default palette value (#21243) @dbgb
- [docs] Fix typo, principals -> principles (#21160) @dandv
- [docs] Improve ad display (#21219) @oliviertassinari
- [docs] Mention laying out radio buttons horizontally (#21186) @dandv
- [docs] Replace typefaces with fontsource (#21153) @DecliningLotus
- [docs] Simplify CONTRIBUTING.md (#21196) @NMinhNguyen
- [docs] Small grammar fix (#21161) @dandv
- [docs] Sync translations (#21275) @oliviertassinari
- [docs] Track pixel ratio (#21209) @eps1lon

### Core

- [FocusTrap] Make an unstable version public (#21201) @dmtrKovalenko
- [test] Track size of `@material-ui/utils` (#21240) @eps1lon
- [core] Batch small changes (#21156) @oliviertassinari
- [core] Batch small changes (#21249) @oliviertassinari

## 4.10.0

_May 23, 2020_

A big thanks to the 30 contributors who made this release possible.

Here are some highlights ✨:

- 🦴 Allow Skeleton to infer its dimensions from the children (#21097) @mikew.
  In the following example, the skeleton will take the size of the avatar.

  ```jsx
  <Skeleton>
    <Avatar />
  </Skeleton>
  ```

  Follow [the docs to learn more](https://mui.com/components/skeleton/#inferring-dimensions).

- ♿️ Add tabs accessibility docs section (#20965) @eps1lon.
  The behavior of the [keyboard navigation](https://mui.com/components/tabs/#keyboard-navigation) can be customized with the `selectionFollowsFocus` prop.
- ℹ Improve tooltip arrow customizability (#21095) @sakulstra.
  The arrow background color and border can now be customized independently.
  <img src="https://user-images.githubusercontent.com/3165635/82205669-328acf00-9907-11ea-8fa0-f9784ad2b718.png" width="90" />
- 🔘 Add vertical support to the ToggleButton component (#21051) @xiaomaini
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.10.0`

- [AppBar] Fix z-index issue on Firefox (#21063) @pedrooa
- [Avatar] Fix group positioning (#21141) @CarsonF
- [Button] Fix disableFocusRipple prop description (#21116) @umairfarooq44
- [CircularProgress] Improve custom bar demo (#21005) @id0Sch
- [l10n] Add new keys to Finnish (fi-FI) locale (#21087) @SampsaKaskela
- [l10n] Prepare iteration on number formatting (#20656) @oliviertassinari
- [Popper] Remove duplicate handleOpen call from effect (#21106) @inomdzhon
- [Select] Fix possible crash when clicking on the label (#21047) @eps1lon
- [Slide] Fix double negation in CSS translate (#21115) @scristall
- [Snackbar] Explain how to place the snackbar (#21052) @dandv
- [Snackbar] Fix double click issue on demos (#21059) @joshwooding
- [Tabs] Add a11y docs section (#20965) @eps1lon
- [theme] Fix types, reject undefined coefficient in darken, lighten (#21006) @dellink
- [Tooltip] Add PopperComponent prop (#21039) @joshwooding
- [Tooltip] Improve arrow customizability (#21095) @sakulstra

### `@material-ui/styles@v4.10.0`

- [styles] Increase counter only for non global styles (#21003) @jantimon

### `@material-ui/lab@v4.0.0-alpha.54`

- [Autocomplete] Improve value type inference (#20949) @kanoshin
- [Autocomplete] Fix autoHighlight for dynamic options (#21090) @mstykow
- [Autocomplete] Fix iOS double tap (#21060) @kaplantm
- [Pagination] Document difference with TablePagination (#21107) @hoop71
- [Skeleton] Allow children to influence width and height (#21097) @mikew
- [Skeleton] Reduce SkeletonChildren test flakiness (#21121) @eps1lon
- [TabPanel] Allow flow content (#21017) @eps1lon
- [ToggleButton] Add orientation prop (#21051) @xiaomaini
- [TreeView] Add test for undesired behavior (#21043) @eps1lon

### Docs

- [docs] Add CssBaseline to auto dark mode example (#21094) @fantasyui-com
- [docs] Add new Twitter quotes to the homepage (#21061) @mbrookes
- [docs] Fix anchor link to using inline vs. classes (#21151) @dandv
- [docs] Fix autocomplete attributes (#21138) @socsieng
- [docs] Fix typo in Modal accessibility description (#21062) @arthur-melo
- [docs] Improve mui-treasury integration (#21054) @siriwatknp
- [docs] Improve text based sizing for larger font scales (#21131) @eps1lon
- [docs] Keep the same header between locales (#21041) @jaironalves
- [docs] Minor fixes in theming, link to Context (#21149) @dandv
- [docs] Recommend no-restricted-imports to catch treeshake issues (#21035) @eps1lon
- [docs] Reduce confusion around higher order component (#21056) @ravshansbox
- [docs] Show font smoothing override (#21057) @mattstobbs
- [docs] Sort ways to support MUI; clarify clsx (#21150) @dandv
- [docs] Sync translations (#21155) @oliviertassinari

### Core

- [core] Add issue template for material design issues (#21120) @eps1lon
- [core] Batch small changes (#20980) @oliviertassinari
- [core] Explicitly declare children (#21014) @eps1lon
- [core] Narrow type definition for useControlled hook (#21027) @EdwardSalter
- [core] Small changes (#21064) @oliviertassinari
- [Security] Bump handlebars from 4.5.3 to 4.7.6 (#21033) @dependabot-preview
- [test] Fix react next patch (#21109) @eps1lon
- [test] Improve isolation of tests using mount() (#21034) @eps1lon
- [test] Isolate transition tests (#21032) @eps1lon
- [test] Migrate some tests to testing-library (#21058) @joshwooding

## 4.9.14

_May 11, 2020_

A big thanks to the 19 contributors who made this release possible.

Here are some highlights ✨:

- 🗂 An experimental extension of the Tab API (#20806) @eps1lon.
- ⚛️ An improved version of unstable strict mode support (#20952, #20985) @eps1lon @DrewVartanian.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.14`

- [l10n] Add Hindi (hi-IN) locale (#20916) @chandan-singh
- [Popper] Fix keepMounted visibility (#20937) @weslenng
- [Select] Focus labeled element on click (#20833) @qkdreyer
- [Slider] Fix center label in IE11 (#20942) @Uneetpatel7
- [Tabs] Add `selectionFollowsFocus` (#20936) @eps1lon
- [Tabs] Forward aria-label\* attributes to tablist (#20986) @eps1lon
- [TextField] Fix typography inheritance issue (#20908) @esseswann
- [theme] Fix missing args to createMuiStrictModeTheme (#20985) @DrewVartanian
- [theme] Add support #rrggbbaa pattern in hexToRgb function (#20931) @dellink
- [theme] Fix override breakpoints (#20901) @JasonHK
- [Tooltip] Fix arrow placement overlap (#20900) @esseswann

### `@material-ui/styles@v4.9.14`

- [styles] Return simpler type from ComponentCreator (#20854) @vlazh

### `@material-ui/system@v4.9.14`

- [system] Add csstype as dependency to material-ui-system (#20922) @govizlora

### `@material-ui/lab@v4.0.0-alpha.53`

- [Autocomplete] Add new handleHomeEndKeys prop (#20910) @p00000001
- [Autocomplete] Fix Google Map demo warnings (#20983) @oliviertassinari
- [Autocomplete] Fix onHighlightChange when filtering (#20923) @marcosvega91
- [Tabs] Add new experimental Tabs API (#20806) @eps1lon
- [ToggleButton] Reduce gap with ButtonGroup (#20967) @rehanmohiuddin

### `@material-ui/types@v5.1.0`

- [types] Add OverridableStringUnion helper (#20901) @JasonHK

### Docs

- [docs] Add missing spot do DiamondSponsors (#20958) @eps1lon
- [docs] Fix leaking lazy stylesheets (#20903) @eps1lon
- [docs] Label accessibility for native select (#20876) @mkesavan13
- [docs] Reduce likelihood of overflow in ToC (#20961) @eps1lon
- [docs] Remove redirection to v0 (#17637) (#20902) @dellink
- [docs] Sychronize translations (#20982) @oliviertassinari

### Core

- [test] Improve assertion mismatch messages (#20964) @eps1lon
- [test] Migrate all Table components to testing-library (#20914) @marcosvega91
- [test] Migrate CircularProgress and Collapse to testing-library (#20789) @marcosvega91
- [test] Prepare patch for `react@next` (#20966) @eps1lon
- [test] Use actual element over document.activeElement (#20945) @eps1lon
- [core] Remove unstable_StrictMode transition components (#20952) @eps1lon
- [core] Fix typo in internal ScrollbarSize (#20934) @liujiajun
- [core] Fix typo in test description (#20943) @kunal-mandalia

## 4.9.13

_May 4, 2020_

A big thanks to the 27 contributors who made this release possible.

Here are some highlights ✨:

- 💎 A new diamond sponsor: [Sencha](https://sencha.com/), thank you!
- ⚛️ More tests migrated from enzyme to testing-library @marcosvega91.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.13`

- [AvatarGroup] Improve limit display (#20793) @let-aurn
- [ClickAwayListener] Remove misleading code comment (#20743) @eps1lon
- [l10n] Improve es-ES locale (#20794) @eloyrubinos
- [Modal] Should propagate event if disableEscapeKeyDown (#20786) @weslenng
- [Pagination] Refactor boundaryCount (#20826) @mbrookes
- [Select] Fix height overflow (#20822) @esseswann
- [Slider] Fix RTL support (#20851) @weslenng
- [Tabs] Implement keyboard navigation (#20781) @eps1lon
- [Tabs] Improve customizability of the scroll buttons (#20783) @netochaves
- [TextField] Fix caret color in autofill dark theme (#20857) @CarsonF
- [Tooltip] Fix disableTouchListener behavior (#20807) @weslenng
- [FocusTrap] Guard against dropped memo cache (#20848) @eps1lon

### `@material-ui/styles@v4.9.13`

- [styles] Fix wording in indexCounter comment (#20874) @iamclaytonray
- [styles] Improve component props inference of styled (#20830) @vlazh

### `@material-ui/system@v4.9.13`

- [system] Improve breakpoints types (#20753) @nodeTempest

### `@material-ui/lab@v4.0.0-alpha.52`

- [Autocomplete] Display loading feedback with freeSolo (#20869) @weslenng
- [Autocomplete] Fix support for limitTags={0} (#20850) @tykdn
- [Skeleton] Fix z-index elevation issue (#20803) @luminaxster
- [SpeedDial] Fix direct dependency on react-transition-group (#20847) @squirly
- [TreeView] Add onIconClick and onLabelClick (#20657) @tonyhallett

### Docs

- [sponsors] Add diamond Sencha (#20875) @oliviertassinari
- [docs] Add collapsible table demo (#19795) @LorenzHenk
- [docs] Fix "Find the source" link in localization.md (#20791) @ValentinH
- [docs] Fix emojis/html being included in toc (#20841) @eps1lon
- [docs] Fix groups name in autocomplete virtualization example (#20898) @Uneetpatel7
- [docs] Fix header and row shift on pagination click (#20873) @ankitasingh170190
- [docs] Fix incorrect signature of createStyles (#20866) @eps1lon
- [docs] Fix table zebra customization demo (#20870) @rkrueger11
- [docs] Fix typo in Select type definitions (#20817) @qkdreyer
- [docs] Implement keyboard navigation for demo toolbar (#20798) @eps1lon
- [docs] Improve svgr documentation (#20893) @tavantzo
- [docs] Make CSS interoperability examples easier to use (#20860) @weisk
- [docs] Use mathematical interval notation for breakpoints (#20843) @eps1lon
- [examples] Add next.js SSG clarification comment (#20810) @sospedra

### Core

- [test] Migrate colorManipulator from assert to expect (#20792) @marcosvega91
- [test] Migrate from assert to expect (#20799) @oliviertassinari
- [test] Replace all assert with expect (#20853) @marcosvega91
- [core] Batch small changes (#20823) @oliviertassinari
- [core] Batch small changes (#20877) @oliviertassinari

## 4.9.12

_Apr 27, 2020_

A big thanks to the 32 contributors who made this release possible.

Here are some highlights ✨:

- ⚛️ A first module written in TypeScript (#20685) @eps1lon.
- 🇧🇷 A documentation fully translated in Brazilian (@jaironalves).
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.12`

- [ButtonBase] Fix ripple size when clientX or clientY is 0 (#20654) @jin60641
- [ButtonGroup] Add disableElevation prop (#20747) @Andrew5569
- [ClickAwayListener] Fix support of leading edge (#20647) @oliviertassinari
- [ExpansionPanel] Increase contrast for focus state (#20720) @petermikitsh
- [l10n] Document how far Material UI should go (#20737) @eloyrubinos
- [l10n] Improve az-AZ locale (#20659) @rommelmamedov
- [l10n] Improve bg-BG locale (#20668) @panayotoff
- [l10n] Improve cs-CZ locale (#20670) @char0n
- [l10n] Improve de-DE locale (#20684) @eps1lon
- [l10n] Improve et-EE locale (#20682) @villuv
- [l10n] Improve hu-HU locale (#20658) @vgaborabs
- [l10n] Improve it-IT locale (#20674) @Angelk90
- [l10n] Improve pl-PL locale (#20672) @eXtreme
- [l10n] Improve pt-BR locale (#20734) @jaironalves
- [l10n] Improve pt-PT locale (#20673) @hrafaelveloso
- [l10n] Improve ro-RO locale (#20681) @raduchiriac
- [l10n] Improve tr-TR locale (#20754) @yunusemredilber
- [l10n] Port locale to TypeScript (#20685) @eps1lon
- [Modal] Prevent focus steal from other windows (#20694) @eps1lon
- [Popper] Add ref type definition (#20688) @takakobem
- [Select] Fix height inconsistency between input and select (#20780) @esseswann
- [Select] Pass onClick to menuItem (#20739) @marcosvega91
- [Slider] Fix focus after click (#20651) @davidcalhoun
- [Snackbar] Improve consecutive demos (#20721) @calbatr0ss
- [Tabs] Use a native element for the tabpanel role (#20648) @oliviertassinari
- [TextField] Fix required outlined label space with no asterisk (#20715) @eps1lon
- [TextField] Use aria-hidden on required asterisk (#20742) @alorek
- [Tooltip] Fix flip invalid CSS property error (#20745) @j-mendez
- [useScrollTrigger] Fix out of sync trigger (#20678, #20680) @ohlr @marcosvega91.

### `@material-ui/lab@v4.0.0-alpha.51`

#### Breaking changes

- [Autocomplete] Remove startAfter props (#20729) @marcosvega91

#### Change

- [Autocomplete] Add new onHighlightChange callback (#20691) @marcosvega91
- [Autocomplete] Fix "fixed tags" demo (#20687) @kthyer
- [Autocomplete] Fix popup open logic when non empty (#20732) @marcosvega91
- [Autocomplete] Remove dead code (#20663) @oliviertassinari
- [TreeView] Update firstCharMap when a TreeItem is removed (#20085) @tonyhallett

### `@material-ui/utils@v4.9.12`

- [core] Avoid test with instanceof HTMLElement (#20646) @oliviertassinari

### Docs

- [docs] Add "Persian" to the list of RTL languages (#20679) @mirismaili
- [docs] Add "reset focus" control to demo tools (#20724) @eps1lon
- [docs] Allow default actions of nested elements (#20777) @eps1lon
- [docs] Batch small changes (#20644) @oliviertassinari
- [docs] English fix: fewer boilerplate -> less boilerplate (#20775) @dandv
- [docs] Fix dropped iframe content in firefox (#20686) @eps1lon
- [docs] Fix typo in vision.md (#20649) @Flavyoo
- [docs] Fix warning and crash in dev mode (#20623) @oliviertassinari
- [docs] Improve infrastructure (#20751) @oliviertassinari
- [docs] Modernize DemoFrame (#20664) @eps1lon
- [docs] Never transition preview if not shown (#20784) @eps1lon
- [docs] Parse markdown on mount (#20601) @eps1lon
- [docs] Replace react-frame-component with concurrent safe impl (#20677) @eps1lon
- [docs] Sync translations (#20779) @oliviertassinari
- [material-ui-docs] Fix missing/extraneous dependencies (#20771) @eps1lon

### Core

- [AppBar] Migrate to testing-library (#20693) @marcosvega91
- [Avatar] Migrate to testing-library (#20697) @marcosvega91
- [Badge] Migrate to testing-library (#20710) @marcosvega91
- [BottomNavigation] Migrate to testing-library (#20728) @marcosvega91
- [Box] Migrate to testing-library (#20736) @marcosvega91
- [Card] Migrate to testing-library (#20773) @marcosvega91
- [core] Bump `@material-ui/react-transition-group` (#20699) @eps1lon
- [core] Force visibility on a few components in ink save print mode (#20749) @coktopus
- [test] Improve textToHash test (#20770) @eps1lon
- [test] Relax lint rules in test (#20702) @eps1lon

## 4.9.11

_Apr 18, 2020_

A big thanks to the 25 contributors who made this release possible.

### `@material-ui/core@v4.9.11`

- [Backdrop] Document Fade inherited component (#20500) @Josh-Weston
- [Checkbox] Add test showcase for checked checkbox (#20571) @eps1lon
- [ExpansionPanel] Unify paddings with ListItem and similar components (#20586) @esseswann
- [l10n] Improve persian (fa-IR) locale (#20543) @ali4heydari
- [List] Fix ListItemIcon `children` type from element to Node (#20577) @alielkhateeb
- [Popper] Fix support for TypeScript 3.2 (#20550) @NMinhNguyen
- [react] Add createMuiStrictModeTheme (#20523) @eps1lon
- [SwitchBase] Prepare v5 removal of the second argument of onChange (#20541) @samuliasmala
- [Tabs] Fix the types of the color props (#20595) @sirajalam049
- [TextareaAutosize] Fix height inconsistency for empty last row (#20575) @benwiley4000
- [TextField] Fix long label scrollbar (#20535) @Uzwername
- [theme] Allow palette tonalOffset light and dark values (#20567) @TidyIQ

### `@material-ui/lab@v4.0.0-alpha.50`

- [Autocomplete] Add fullWidth prop (#20538) @Uzwername
- [Autocomplete] Add test cases for createFilterOptions (#20499) @netochaves
- [Autocomplete] Fix autoHighlight behavior (#20606) @qkdreyer
- [Autocomplete] Fix correcy core peer-dependency @oliviertassinari
- [Autocomplete] Fix missing startAfter type (#20542) @dohomi
- [Autocomplete] Fix reset input on blur for freeSolo mode too (#20603) @goffioul
- [Pagination] Fix missing renderItem types (#20592) @ankitasingh170190

### Docs

- [blog] Q1 2020 Update (#20536) @oliviertassinari
- [docs] Add link for help on creating a custom transition (#20524) @zeckdude
- [docs] Correct "row" to "col" in Table (#20566) @sdpaulsen
- [docs] Fix command to start docs server (#20612) @plug-n-play
- [docs] Fix filerOption typo in autocomplete (#20572) @qkdreyer
- [docs] Fix punctuation and english grammar (#20596) @samisnotinsane
- [docs] Fix small typo in Container (#20589) @plug-n-play
- [docs] Improve a11y of the chip array example (#20294) @m4theushw
- [docs] Refactor markdown parsing (#20549) @eps1lon
- [docs] Remove old workarounds (#20587) @eps1lon
- [docs] Remove unnecessary webpack loaders (#20563) @eps1lon
- [docs] Sync translations (#20498) @oliviertassinari
- [docs] Use reactStrictMode over custom switch (#20522) @eps1lon

### Core

- [test] Add StrictMode compat layer test (#20547) @eps1lon
- [test] Use method calls over property access expressions (#20545) @eps1lon

## 4.9.10

_Apr 11, 2020_

A big thanks to the 20 contributors who made this release possible.

Here are some highlights ✨:

- ⚛️ Migrate more descriptions of the props to TypeScript (#20342) @eps1lon.

  The coverage has increased from 50 to 75 components. We are working on migrating the 48 missing components.

- 🦋 Fix support for portals and dropped events with ClickAwayListener (#20406, #20409) @NMinhNguyen, @seare-kidane.
- ♿️ Fix 3 accessibility issues (#20489, #20432, #20475) @arturbien, @ShehryarShoukat96.
- And many more 🐛 bug fixes and 📚 improvements.

Over the last 3 months, we have focused exclusively on making patch releases.
We have done 11 so far. We have optimized for stability.
In the coming weeks, we will initiate our work on the [next major: v5](https://github.com/mui/material-ui/issues/20012).
You can expect the following:

- A feature freeze on v4.
- The introduction of deprecation messages in the next v4 minors. These messages will help developers upgrade to v5.
- A progressive bug fixes freeze on v4, to the exception of security issues and important bugs.
- At least 6 months of work on v5 to get to a stable release (probably more). You can follow our [milestone](https://github.com/mui/material-ui/milestone/35). We will look for hiring a new full-time member on the core team to move faster.

### `@material-ui/core@v4.9.10`

- [Breadcrumbs] Keep focus in the component after expanding (#20489) @ShehryarShoukat96
- [ButtonBase] Warn with wrong component prop (#20401) @oliviertassinari
- [ClickAwayListener] Fix support for portal (#20406) @NMinhNguyen
- [ClickAwayListener] Fix support for removed DOM node (#20409) @seare-kidane
- [CssBaseline] Add limitation for ScopedCssBaseline (#20481) @newrice
- [CssBaseline] Fix typings for `@global` override (#20454) @eps1lon
- [Dialog] Fix TypeScript type for `children` (#20450) @NMinhNguyen
- [Popper] Fix links to popper.js (#20464) @eps1lon
- [Popper] Fix outdated TypeScript props docs (#20465) @eps1lon
- [Popper] Fix popper.js deprecation npm warning (#20433) @oliviertassinari
- [Select] Add aria-disabled attribute (#20432) @arturbien
- [Select] Add new test for onChange (#20444) @arturbien
- [Slider] Allow individual mark customization (#17057) @mstrugo
- [Table] Add role if the default role of elements can't be used (#20475) @arturbien
- [TextareaAutosize] Update rows/rowMax to use number for better clarity (#20469) @esemeniuc
- [theme] Fix typings to pass array for spacing (#20486) @denys-pavlenko
- [theme] Fix typings for theme.spacing (#20435) @m4theushw
- [theme] Support string args in theme.spacing (#20408) @m4theushw
- [TypeScript] Move more prop docs into IntelliSense (#20342) @eps1lon
- [TypeScript] Fix support for TypeScript 3.2 (#20443) @NMinhNguyen
- [TypeScript] Fix TypeScript type for optional `children` (#20458) @NMinhNguyen

### `@material-ui/styles@4.9.10`

- [TypeScript] Fix support for TypeScript 3.2 (#20443) @NMinhNguyen

### `@material-ui/system@4.9.10`

- [TypeScript] Fix support for TypeScript 3.2 (#20443) @NMinhNguyen

### `@material-ui/types@5.0.1`

- [TypeScript] Fix support for TypeScript 3.2 (#20443) @NMinhNguyen

### `@material-ui/lab@v4.0.0-alpha.49`

- [Alert] Fix support for nested elements (#20490) @developerKumar
- [Autocomplete] Improve virtualization example (#20496) @galkadaw
- [Autocomplete] Warn when mixing controlled/uncontrolled inputValue states (#20403) @vileppanen
- [Rating] Warn if precision prop is below 0.1 (#20491) @AlexAndriyanenko
- [ToggleButton] Don't set default for disableRipple prop (#20493) @cp

### Docs

- [examples] Fix Next.js AMP support (#20463) @timneutkens
- [examples] Fix Next.js prop-type (#20474) @Izhaki
- [docs] Material UI Developer Survey 2020 @oliviertassinari
- [docs] Add Component name section to API docs (#20434) @Josh-Weston
- [docs] Fix various issues with heading structure (#20389) @eps1lon
- [docs] Synchronize translations (#20405) @oliviertassinari

### Core

- [core] Introduce useId hook (#20407) @NMinhNguyen
- [test] Fix broken tests in `react@next` (#20472) @eps1lon
- [test] Use .checkPropTypes instead of render + propTypes (#20451) @eps1lon

## 4.9.9

_Apr 4, 2020_

A big thanks to the 20 contributors who made this release possible.

### `@material-ui/core@v4.9.9`

- [Card] Fix TypeScript not recognizing "component" prop (#20179) @rart
- [Chip] Fix input integration (#20368) @chaudharykiran
- [Drawer] Fix clipped scroll overflow (#20396) @maksimgm
- [ExpansionPanel] Use theme.spacing in summary (#20344) @eps1lon
- [MenuItem] Fix prop ListItemClasses (#20377) @netochaves
- [Select] Fix onChange fired with current value (#20361) @ksrb
- [Select] Fix validator.w3.org error (#20356) @mfsjr
- [Slide] Fix `direction` as optional in TypeScript (#20338) @maksimgm
- [styles] Fix missing export of ThemeProviderProps (#20390) @TomekStaszkiewicz
- [TextField] Fix line-height and height that cut text (#20363) @fyodorovandrei

### `@material-ui/lab@v4.0.0-alpha.48`

- [Autocomplete] Fix blurOnSelect consistency for keyboard (#20314) @alexbarkin
- [Autocomplete] Fix multiselect regression (#20315) @oliviertassinari
- [Autocomplete] Go back to the initial groupBy tradeoff (#20376) @oliviertassinari
- [TreeView] Allow TreeItem to have conditional child (#20238) @tonyhallett
- [TreeView] Correct visibleNodes on re-render (#20157) @tonyhallett
- [TreeView] Fix move focus when pressing a modifier key + letter (#20309) @m4theushw

### Docs

- [examples] Move Copyright into its own component (#20383) @HaNdTriX
- [blog] Introducing Material UI for Sketch (#20295) @oliviertassinari
- [docs] Batch small changes (#20312) @oliviertassinari
- [docs] Explain mini-theme example (#20339) @maksimgm
- [docs] Fix Tidelift UTM parameters (#20348) @phated
- [docs] Fix grammar: a -> they (#20336) @nainardev
- [docs] Fix masked text field bug (#20397) @mattcorner
- [docs] Improve \_app usage in nextjs examples (#20381) @HaNdTriX
- [docs] Improve analytics (#20337) @oliviertassinari
- [docs] Sync translations (#20316) @oliviertassinari
- [docs] Next.js: Remove unused config files (#20382) @HaNdTriX

### Core

- [core] Add TextField `focused` prop (#20276) @dmtrKovalenko
- [core] Add missing test case for restricted-path-imports (#20350) @NMinhNguyen
- [core] Batch of small changes (#20349) @oliviertassinari
- [core] Export core utils modules from barrel (#20354) @NMinhNguyen
- [core] Improve out-of-date PR story (#20341) @eps1lon
- [core] Remove createSvgIcon duplication (#20308) @oliviertassinari

## 4.9.8

_Mar 28, 2020_

A big thanks to the 24 contributors who made this release possible.

Here are some highlights ✨:

- ⚛️ Improve the DX, migrate a couple of props' descriptions to TypeScript (#20298, #20171, #20264) @eps1lon.

  ![TypeScript](https://user-images.githubusercontent.com/3165635/77828342-1f376080-711b-11ea-8c9d-c1c245fb17b0.png)

  The coverage has increase from 17 to 50 components. We are working on migrating the 94 missing components.

- ⚛️ Improve the DX, add debug information when using hooks (#19515) @eps1lon.

  For instance, with the `useMediaQuery` hook

  ![useMediaQuery](https://user-images.githubusercontent.com/3165635/77828448-bf8d8500-711b-11ea-881a-e9cc09c7d9ee.png)

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.8`

- [DX] Add debug values to various hooks (#19515) @eps1lon
- [ListItem] Add component prop to primaryTypographyProps and… (#19155) @fyodore82
- [MenuList] Include disabled items in keyboard navigation (#19967) @scottander
- [MenuList] Remove if-statement that is always true (#20270) @CptWesley
- [Popover] Fix resize event leak (#20272) @skmail
- [Select] Fix disabled color to the icon (#20287) @HenryLie
- [SvgIcon] Remove wrong role (#20307) @oliviertassinari
- [theme] Warn when palette structure is wrong (#20253) @oliviertassinari
- [Tooltip] Fix TextField integration (#20252) @ShehryarShoukat96
- [Tooltip] Remove superfluous argument in handleBlur call (#20271) @CptWesley
- [TypeScript] Enable module augmentation of CommonColors (#20212) @eps1lon
- [TypeScript] Add JSDoc to ListItem TypeScript props (#20171) @eps1lon
- [TypeScript] Fix Checkbox and Radio type propType (#20293) @eps1lon
- [TypeScript] Fix incorrect typings regarding transition components a… (#20306) @eps1lon
- [TypeScript] Link to demos and API in IntelliSense (#20078) @eps1lon
- [TypeScript] Mark context value as nullable for optional providers (#20278) @ianschmitz
- [TypeScript] Move more prop docs into IntelliSense (#20298) @eps1lon
- [TypeScript] Add more props documentation to IntelliSense (#20264) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.47`

- [Autocomplete] Add limitTags prop (#20209) @netochaves
- [Autocomplete] Add startAfter option (#20305) @netochaves
- [Autocomplete] Warn when value does not match options (#20235) @igorbrasileiro
- [Pagination] Add RTL support (#20247) @HenryLie
- [TreeView] Correct single-select aria-selected (#20102) @tonyhallett
- [TreeView] Disable all selection when disableSelection (#20146) @tonyhallett
- [TreeView] Fix focus steal (#20232) @tonyhallett
- [TreeView] fix inconsistent focus for programmatically focused treeitem (#20237) @tonyhallett

### Docs

- [docs] Add a new site to showcase (google-keep clone) (#20260) @anselm94
- [docs] Add color preview to default theme tree (#20082) @mlizchap
- [docs] Add demo link (#20262) @esemeniuc
- [docs] Extract landing-only modules (#20187) @eps1lon
- [docs] Fix TablePagination props swap descriptions (#20274) @johncalvinroberts
- [docs] Fix a few WAVE errors (#20304) @oliviertassinari
- [docs] Fix icons + locale (#20213) @oliviertassinari
- [docs] Fix popover anchor playground crash (#20265) @Zaynex
- [docs] Fix wording in backdrop.md (#20190) @matt-savvy
- [docs] Improve demo error boundary (#20177) @eps1lon
- [docs] Improve doc for textField and buttons (#20207) @DDDDDanica
- [docs] Improve loading experience (#20005) @eps1lon
- [docs] Improve material icons installation instructions (#20290) @ArianKrasniqi
- [docs] Mark toolbar for assistive technology (#20158) @eps1lon
- [docs] Page size tracking fixes (#20199) @eps1lon
- [docs] Sync translations (#20210) @oliviertassinari

### Core

- [test] Improve regression test suite debugging (#20194) @eps1lon
- [ci] Retry mergeable state for 30 minutes (#20269) @eps1lon
- [core] Automatically apply "PR: needs rebase" PR label (#20169) @eps1lon
- [core] Batch small changes (#20255) @oliviertassinari
- [core] Fix docs:start which should start next.js server (#20202) @ro7584
- [core] Fix maintenance workflow failing on fork PRs (#20195) @eps1lon
- [core] Format all .ts files (#20233) @eps1lon

## 4.9.7

_Mar 19, 2020_

### `@material-ui/core@v4.9.7`

- [core] Patch correct dependencies (10bc98f)

## 4.9.6

_Mar 18, 2020_

A big thanks to the 39 contributors who made this release possible.

Here are some highlights ✨:

- ⚛️ Improve the DX in Visual Studio Code (#20079, #19962, #19280) @eps1lon @jedwards1211.
  - Preview the colors in right in the editor
    ![colors](https://user-images.githubusercontent.com/12292047/76473891-2b70ad80-63fa-11ea-8afe-38ceee43eeaa.png)
    ![colors.amber](https://user-images.githubusercontent.com/12292047/76473890-2ad81700-63fa-11ea-9bb3-005f79a195e7.png)
  - Preview the purpose of each theme.spacing arguments right in the editor
    ![spacing](https://user-images.githubusercontent.com/12292047/75786858-31192400-5d66-11ea-9382-94dd74c42985.png)
  - Leverage code snippets to save time with [this extension](https://marketplace.visualstudio.com/items?itemName=vscodeshift.material-ui-snippets).
- 🔍 12 patches on the Autocomplete component.
- 💄 Polish on the Pagination component (#19933, #19964, #19966, #19987) @pvdstel @eps1lon @mbrookes.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.6`

- [Chip] Prevent event default when onDelete is triggered (#20051) @eps1lon
- [Container] Reset display block (#19971) @oliviertassinari
- [DatePicker] Fix codesandbox demo (#19926) @netochaves
- [Drawer] Add a comment for clarity on the styling of height of the toolbar (#19934) @smerriman18
- [Grid] Fix row-reverse typo (#20048) @jhthompson
- [Link] Fix color mismatch with Typography component (#19949) Weslen do Nascimento
- [ListItemText] Fix display block issue (#20039) @psdr03
- [Select] Simplify the demos (remove ref) (#20076) @captain-yossarian
- [TablePagination] Out of range warning when "count={-1}" (#19874) @dbarabashdev
- [TextField] Avoid outline label CSS leak (#19937) @ivoiv
- [TextField] Fix outlined render gap if label = empty string (#19722) @captain-yossarian
- [TextField] Minimize usage of z-index (#19547)" (#20016) @piotros
- [theme] Describe what each argument of theme.spacing affects (#19962) @eps1lon
- [theme] Array reject on spacing transformation fixed (#19900) Weslen do Nascimento
- [Tooltip] Fix useMemo dependency (#19899) @NMinhNguyen
- [Tooltip] Reduce enterDelay to 100ms (#19898) @oliviertassinari

### `@material-ui/styles@v4.9.6`

- [styles] Fix theme default props overridden by Component default (#20091) @adridavid
- [styles] Name anonymous function type (#19996) @eps1lon

### `@material-ui/system@v4.9.6`

- [theme] Array reject on spacing transformation fixed (#19900) Weslen do Nascimento

### `@material-ui/utils@v4.9.6`

- [core] Fix deepmerge of DOM elements (#20100) @ValentinH

### `@material-ui/lab@v4.0.0-alpha.46`

#### Breaking Changes

- [Autocomplete] Improvement popup open logic (#19901) @haseebdaone

#### Changes

- [Autocomplete] Add more details in the onChange event (#19959) @akharkhonov
- [Autocomplete] Add scrollbar support in IE11 (#19969) @SergeyUstinovich
- [Autocomplete] Better synchronize the highlight with the value (#19923) @captain-yossarian
- [Autocomplete] Document listbox limitation (#20101) @zatine
- [Autocomplete] Fix clearOnEscape + multiple combination (#20065) @chaudharykiran
- [Autocomplete] Fix GitHub's demo behavior (#19928) @hasanozacar
- [Autocomplete] Fix typo in prop description (#20086) @vince1995
- [Autocomplete] Make categories more obvious (#20142) @embeddedt
- [Autocomplete] Simplify error for wrong getOptionLabel (#20103) @oliviertassinari
- [Autocomplete] Update onChange API @oliviertassinari
- [Autocomplete] Use getOptionLabel over stringify (#19974) @a-type
- [AvatarGroup] Add max avatar prop (#19853) @GFynbo
- [Pagination] Add TypeScript types (#19933) @pvdstel
- [Pagination] Fix prop forwarding of `onChange` and `page` (#19964) @eps1lon
- [Pagination] Leverage `@default` over default values (#19966) @eps1lon
- [Pagination] Remove children prop (#19987) @mbrookes
- [Rating] Fix text alignment inheritance (#20055) @mlizchap
- [Skeleton] Fix SkeletonClassKey type (#20047) @100terres
- [Skeleton] Improve wave dark mode support (#20112) @oliviertassinari

### Docs

- [docs] Add radio error demo (#19599) @mbrookes
- [docs] Bump next to latest (#19995) @eps1lon
- [docs] Display color preview in IntelliSense (#20079) @eps1lon
- [docs] Document typescript:transpile script (#19951) @eps1lon
- [docs] Fix @material-ui/styles release version number (#19939) @jkjustjoshing
- [docs] Fix OutlinedLabel typo (#20006) @ljcooke
- [docs] Fix SEO issues (#20108) @oliviertassinari
- [docs] Fix Sketch link (#19944) @mbrookes
- [docs] Fix grammar in autocomplete doc (#20066) @dandv
- [docs] Fix incorrect type for fontWeight @eps1lon
- [docs] Fix missing OutlinedLabel#label link in Select API docs (#19993) @eps1lon
- [docs] Flexbox, add element for show the good effect (#19956) @tbredillet
- [docs] Flexbox: update item number (#19954) @tbredillet
- [docs] Improve font size scaling of some demos (#19950) @eps1lon
- [docs] Remove premium support offerings (#19972) @mbrookes
- [docs] Simplify checkbox examples (#20052) @tacigar
- [docs] Simplify some demos (#19608) @mbrookes
- [docs] Track bundle size of pages (#19978) @eps1lon
- [docs] Upgrade to next 9 (#18441) @eps1lon
- [docs] Simplify drawer examples (#20040) @TommyJackson85
- [examples] Fix typo in gatsby readme (#19998) @eps1lon

### Core

- [test] Match against messages not args on console methods (#20046) @eps1lon
- [test] Resize screenshots with sharp (#19979) @oliviertassinari
- [test] Run snapshot tests on the a11y tree (#20019) @eps1lon
- [ci] Fix azure not running (#20127) @eps1lon
- [ci] Fix incorre pr number for experimental scripts (#20021) @eps1lon
- [ci] Let failed types-next jobs pass (#20007) @eps1lon
- [ci] Let failed types-next jobs pass (#20017) @eps1lon
- [core] Add missing properties to TypeAction (#20075) @timonweber
- [core] Add spacing after prettier command (#20073) @dandv
- [core] Batch small changes (#20111) @oliviertassinari
- [core] Fix typos in code comments (#19999) @eps1lon
- [core] Improve the DX when iterating on components (#20128) @oliviertassinari
- [core] Use Babel 7 version of transform-react-constant-elements (#20015) @merceyz
- [security] Bump acorn from 5.7.3 to 5.7.4 (#20105) @dependabot-preview
- [core] Batch small changes (#19896) @oliviertassinari
- [core] Update type defs to use OverridableComponent (#20110) @theGirrafish
- [core] Fix docs:api cleaning the wrong directory #20164 @ro7584

## 4.9.5

_Feb 29, 2020_

A big thanks to the 15 contributors who made this release possible.

Here are some highlights ✨:

- 💄 Add selection (and multi-selection) support to tree view (#18357) @joshwooding
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.5`

- [ButtonBase] Fix when changing enableRipple prop from false to true (#19667) @dmtrKovalenko
- [l10n] Add Armenian (hy-AM) locale (#19844) @vgevorgyan
- [l10n] Add Hebrew (he-IL) locale (#19850) @boazberman
- [Popper] Fix deep merge of PopperProps (#19851) @valgrindMaster
- [RadioGroup] Random default name (#19890) @dfernandez-asapp
- [Slider] Add explicit types for slider callbacks (#19867) @deymundson
- [Step] Add missing expanded prop to step TypeScript (#19873) @countableSet

### `@material-ui/lab@v4.0.0-alpha.45`

- [Autocomplete] Fix list of countries (#19862) @FottyM
- [TreeView] Fix conditional nodes support (#19849) @joshwooding
- [TreeView] Add node selection support (#18357) @joshwooding

### Docs

- [docs] Fix broken link to jss-nested plugin (#19837) @Izhaki
- [docs] Fix typo on supported-platforms.md (#19841) @vferdiansyah
- [docs] Move store to a subfolder (#19822) @oliviertassinari

### Core

- [ci] Enable re-run of azure pipelines (#19823) @eps1lon
- [ci] Fix heap out of memory in azure pipelines (#19825) @eps1lon
- [core] Migrate to import \* as React from 'react' (#19802) @TrySound
- [test] Fix defaultProps overriding props (#19858) @eps1lon
- [test] Test against TypeScript nightlies (#19857) @eps1lon

## 4.9.4

_Feb 23, 2020_

A big thanks to the 18 contributors who made this release possible.

Here are some highlights ✨:

- ♿️ Improve the accessibility support of the Breadcrumbs and ButtonBase (#19724, #19784) @captain-yossarian.
- 💄 Polish the new Pagination component (#19758) @zettca.
- 🐛 Fix Preact support of the swipeable drawer (#19782) @TommyJackson85.
- 💅 Introduce a small delay in the appearance of the tooltip (#19766) @Ritorna.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.4`

- [Breadcrumbs] Fix expand/collapsed Breadcrumbs via keyboard (#19724) @captain-yossarian
- [ButtonBase] Fix space handling for non native button elements (#19784) @captain-yossarian
- [CardMedia] Fix propTypes to allow `component` prop (#19790) @stevenmusumeche
- [CssBaseline] Change of children type to ReactNode (#19770) @dfernandez-asapp
- [Framer] Release v1.1.0 (#19800) @mbrookes
- [SwipeableDrawer] Improve Preact support (#19782) @TommyJackson85
- [SwipeableDrawer] Support global theme changes (#19771) @TommyJackson85
- [TextareaAutosize] Prevent "Maximum update depth exceeded" (#19743) @SofianeDjellouli
- [theme] Built-in convertLength method (#19720) @oliviertassinari
- [Tooltip] Add enterNextDelay prop (#19766) @Ritorna

### `@material-ui/lab@v4.0.0-alpha.44`

- [Autocomplete] Built-in fullWidth (#19805) @oliviertassinari
- [Autocomplete] Fix stuck with open popup (#19794) @hasanozacar
- [Autocomplete] Warn when using wrong getOptionSelected (#19699) @ahmad-reza619
- [AvatarGroup] Add spacing prop (#19761) @GFynbo
- [Pagination] Fix activatedOpacity typo (#19758) @zettca

### Docs

- [docs] Fix typo in Autocomplete (#19775) @aurnik
- [docs] Add Data Driven Forms to the list of libraries (#19747) @rvsia
- [docs] Improve wording of bundle size guide (#19768) @larsenwork
- [docs] Sync translations.json @oliviertassinari
- [docs] Update the translations (#19741) @mbrookes

### Core

- [core] Export ThemeOptions (#19789) @dbarabashdev
- [core] Small fixes (#19803) @oliviertassinari
- [core] Update getDisplayName to handle React.memo (#19762) @dantman

## 4.9.3

_Feb 16, 2020_

A big thanks to the 18 contributors who made this release possible.

### `@material-ui/core@v4.9.3`

- [l10n] Add Estonian (et-EE) locale (#19707) @villuv
- [ScopedCssBaseline] Allow CSS to be only applied on children (#19669) @TomPradat

### `@material-ui/system@v4.9.3`

- [system] Add boxSizing to sizing styled system (#19684) @mesteche

### `@material-ui/lab@v4.0.0-alpha.43`

- [Autocomplete] Improve freeSolo UX (#19663) @itelofilho
- [Autocomplete] Make options required (#19648) @alexandesigner
- [Pagination] Second iteration (#19612) @oliviertassinari

### Docs

- [TreeView] Add recursive demo (#19636) @captain-yossarian
- [docs] Encourage mui-rff (#19676) @lookfirst
- [docs] Fix missing import in auto-dark theme palette example (#19694) @vinyldarkscratch
- [docs] Fix typo in sticky footer template (#19695) @bryndyment
- [docs] List default attributes first (#19693) @amcasey
- [docs] Revamp the notifications (#19615) @mbrookes
- [docs] Revert sidebar scrolling (#19678) @kristenmills
- [docs] Switch to cross-fetch (#19644) @eps1lon
- [docs] Update codemod documentation (#19661) @larsenwork
- [docs] What's the lab about? (#19611) @jcafiero

### Core

- [core] Export TypographyVariant type (#19598) @aleccaputo
- [core] Host normalize-scroll-left (#19638) @oliviertassinari
- [core] Misc dependency fixes (#19643) @eps1lon
- [core] Batch small changes (#19639) @oliviertassinari
- [core] Batch small changes (#19717) @oliviertassinari

## 4.9.2

_Feb 9, 2020_

A big thanks to the 24 contributors who made this release possible.

### `@material-ui/core@v4.9.2`

- [AppBar] Add color transparent support (#19393) @lexskir
- [Divider] Fix height for vertical divider in a flexbox (#19614) @captain-yossarian
- [Modal] Fix zoom out on iOS (#19548) @TommyJackson85
- [MobileStepper] Fix TypeScript props not aligning with prop-types (#19594) @illusionalsagacity
- [Tabs] Add missing updateScrollButtons type in TabActions (#19570) @notsidney
- [TextField] Fix blurry text on label (#19547) @chybisov
- [TextField] Fix label notch for custom htmlFontSize (#19558) @kusmierz
- [Typography] Add missing classes to TypographyClassKey (#19588) @galechus
- [l10n] Add Hungarian (hu-HU) locale (#19566) @vgaborabs
- [l10n] Add Icelandic (is-IS) locale (#19538) @axelbjornsson

### `@material-ui/lab@v4.0.0-alpha.42`

- [Autocomplete] Fix unexpected clearing (#19511) @captain-yossarian
- [Autocomplete] Support limiting the amount of options (#19539) @govizlora
- [Pagination] Introduce new component (#19049) @mbrookes

### Docs

- [docs] Add ToggleButton demo for not accepting null value (#19582) @LorenzHenk
- [docs] Add blocks section to related-projects (#19562) @alexandre-lelain
- [docs] Add generic props usage examples (#19341) @fyodore82
- [docs] Add links to sandbox option in examples readme files (#19592) @garethx
- [docs] Add new starting template (#19604) @dunky11
- [docs] Add post-update to examples so they run on CodeSandbox (#19605) @garethx
- [docs] Fix typo in the Avatar docs (#19544) @UltimateForm
- [docs] Improve entry points for issue repros (#19501) @eps1lon
- [docs] Link a VS Code extension for working with Material UI (#19280) @jedwards1211
- [docs] Notification blog post @oliviertassinari
- [docs] Refactor EnchancedTable demo (#19560) @ahmad-reza619
- [docs] The error style rule is a pseudo-class (#19555) @TommyJackson85
- [docs] Update link to example for adding a new demo (#19590) @LorenzHenk

### Core

- [company] Polish the job post (#19593) @oliviertassinari
- [core] Ignore `@date-ui/` updates (#19633) @eps1lon

## 4.9.1

_Feb 2, 2020_

A big thanks to the 39 contributors who made this release possible.

Here are some highlights ✨:

- 🐛 Clean and synchronize the material icons with Google (#19483, #19485) @timmydoza.
- 🐛 Fix outline input regressions (#19389, #19409, #19495) @Alexeyun1k, @kusmierz, @cadrimiranda.
- 🐛 Fix IME support of the Autocomplete, important for Chinese, Japanese, and Korean (#19499) @teramotodaiki.
- 📚 Improve the Style library interoperability docs section (#19457) @oliviertassinari.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.1`

- [Container] Fix mismatch between Container and Toolbar gutters (#19505) @koistya
- [FormControl] Add `fullWidth` prop to `FormControl` context (#19369) @EsoterikStare
- [l10n] Add Catalan (ca-ES) locale (#19428) @yyuri
- [l10n] Add Finnish (fi-FI) locale (#19471) @SampsaKaskela
- [l10n] Add Vietnamese (vi-VN) locale (#19439) @imcvampire
- [ListItemAvatar] Add "children" prop (#19509) @srghma
- [Select] Right click opens select menu (#19434) @fyodore82
- [Slider] Support marks={false} (#19350) @embeddedt
- [SwitchBase] Fix ignoring disabled from FormControl (#19319) @rostislavbobo
- [TablePagination] Support unknown total count (#19494) @Domino987
- [TextField] Declare global mui-auto-fill(-cancel) keyframes (#19497) @martinjlowm
- [TextField] Fix label notch for custom htmlFontSize (#19409) @kusmierz
- [TextField] Handle leaky global styles of Bootstrap (#19495) @cadrimiranda
- [TextField] Prevent overriding legend display styles (#19389) @Alexeyun1k
- [TextField] Reduce helper text height to match spec (#19390) @suliskh

### `@material-ui/icons@v4.9.1`

- [icons] Remove extraneous path (#19483) @timmydoza
- [icons] Synchronize components with Google (#19485) @oliviertassinari

### `@material-ui/system@v4.9.1`

- [system] Add grid support (#17326) @Lavoaster

### `@material-ui/lab@v4.0.0-alpha.41`

- [Alert] Improve dark theme coloring (#19105) @ahtcx
- [Autocomplete] Fix autoSelect logic (#19384) @SerhiiBilyk
- [Autocomplete] Should not fire change until IME is confirmed (#19499) @teramotodaiki
- [Autocomplete] Update docs for defaultValue prop (#19431) @willwill96
- [Rating] Fix readOnly + precision combination (#19414) @TommyJackson85

### Framer

- [framer] Support Framer color tokens for ThemeProvider (#19451) @iKettles

### Docs

- [example] Add @types/node dependency (#19383) @AlexanderVishnevsky
- [blog] 2019 in review and beyond (#19478) @oliviertassinari
- [blog] Improve the layout (#19385) @oliviertassinari
- [docs] Add SwipeableTextMobileStepper demo (#18503) @eps1lon
- [docs] Add cinemaPlus to showcase (#19502) @georgesimos
- [docs] Fix /versions GitHub API rate limitation (#19223) @hiteshkundal
- [docs] Fix a small typo ("idea" ==> "ID") (#19366) @markdoliner
- [docs] Fix some typos and correct a grammar mistake (#19324) @konekoya
- [docs] Fix typo (#19492) @Blechkelle
- [docs] Fix typo in Autocomplete CSS API (#19503) @DenrizSusam
- [docs] Improve Style library interoperability (#19457) @oliviertassinari
- [docs] Include more info on RMUIF v2.2.0 (#19410) @phoqe
- [docs] Increase button variant demos consistency (#19392) @theswerd
- [docs] Refresh the home page (#19430) @mbrookes
- [docs] Remove `@ts-ignore` usage (#19504) @eps1lon
- [docs] Replace switch with checkbox and radio (#19440) @rostislavbobo
- [docs] Separate ButtonGroup and Fab pages from Button page (#19381) @mbrookes
- [docs] Update the translations (#19514) @mbrookes
- [docs] makeStyles doesn't have access to the component's name (#19474) @hesto2

### Core

- [test] Check exhaustive deps of useEnhancedEffect (#19417) @eps1lon
- [test] Misc polish (#19425) @eps1lon
- [test] Test type libs in docs (#19375) @eps1lon
- [test] Exclude inaccessible elements by default in browser tests (#19380) @eps1lon
- [core] Batch small changes (#19416) @oliviertassinari
- [core] cross-os jsonlint (#19377) @eps1lon
- [core] Fix mixins not being assignable as JSS styles (#19491) @ririvas
- [core] Misc dependency fixes (#19412) @eps1lon

## 4.9.0

_Jan 22, 2020_

A big thanks to the 43 contributors who made this release possible.

Here are some highlights ✨:

- 🐛 Change the outlined input notch implementation to rely 100% on CSS (#17680) @eps1lon.
- 🔍 11 patches on the Autocomplete component.
- 📚 Simplify the usage of "copy demo" action (#19291) @theswerd.
- 📚 Warn when defaultValue changes (#19070) @m4theushw.
- 💅 Slight updates to better match the Material Design spec (#19277, #19342) @elmeerr.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.9.0`

- [Breadcrumbs] Remove private separator component (#19234) @hiteshkundal
- [ButtonBase] Fix potential memory leak for multi-touch devices (#19333) @eps1lon
- [DialogContentText] Fix component prop (#19102) @fyodore82
- [l10n] Add Bulgarian (pg-BG) locale (#19138) @panayotoff
- [l10n] Improve it-IT locale (#19143) @keul
- [RadioGroup] Fix useRadioGroup.d.ts (#19001) @NMinhNguyen
- [Slider] Add a custom scale support (#19158) @netochaves
- [Slider] Center the value label (#19330) @LorenzHenk
- [StepButton] Fix prop-types warning regarding `expanded` (#19332) @eps1lon
- [Stepper] Add support for expanding all the steps (#19200) @hiteshkundal
- [Tab] Remove font-size media-query (#19342) @elmeerr
- [TableRow] Improve hover/selected styles (#19277) @elmeerr
- [TextField] Fix outline offscreen label strikethrough (#17680) @eps1lon
- [TextField] Improve transitions (#19228) @oliviertassinari
- [TextField] Support padding for helperText (#19198) @hiteshkundal
- [Tooltip] Fix popper.js re-instantiation (#19304) @netochaves

### `@material-ui/styles@v4.9.0`

- [styles] Overload function signature instead of conditional (#19320) @eps1lon

### `@material-ui/types@v5.0.0`

#### Breaking Changes

- [types] Overload function signature instead of conditional (#19320) @eps1lon
  Or, And, IsAny and IsEmptyInterface have been removed.
- [types] Remove CoerceEmptyInterface (#19259) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.40`

- [Alert] Improve Transition demo (#19283) @theswerd
- [Alert] Use alert severity in demos (#19123) @sviande
- [Rating] Add default value prop (#19103) @oliviertassinari
- [Skeleton] Use span element (#19278) @oliviertassinari
- [Autocomplete] Add missing 'clear' to onInputChange typing (#19286) @mvestergaard
- [Autocomplete] Decrease padding when icon buttons aren't rendered (#19257) @jedwards1211
- [Autocomplete] Document how to disable chrome autofill (#19126) @goleary
- [Autocomplete] Don't delete tag if exists (in freesolo mode) (#19215) @adica
- [Autocomplete] Extend support to textarea (#19232) @justtol
- [Autocomplete] Fix group labels hiding items during keybd navigation (#19305) @aisamu
- [Autocomplete] Fix misleading warning (#19177) @embeddedt
- [Autocomplete] Fix option grouping (#19121) @liangchunn
- [Autocomplete] Improve typings (#18854) @testarossaaaaa
- [Autocomplete] Polish CustomizedHook demo (#19287) @JeremiAnastaziak
- [Autocomplete] Add selectOnFocus prop (#19281) @Bebersohl

### Docs

- [blog] December 2019 Update (#19119) @oliviertassinari
- [docs] Add "material-ui-confirm" to the related projects (#19237) @jonatanklosko
- [docs] Add a new site to showcase (hifivework) (#19129) @lau-sam
- [docs] Add a new site to showcase (tradenba) (#19307) @zachrdz
- [docs] Add links to mui-treasury (#19334) @siriwatknp
- [docs] Fix "Edit this page" link (#19170) @neletdev
- [docs] Fix a tiny mistake in Chips playground (#19172) @OrBin
- [docs] Fix broken TypeScript hash link in CONTRIBUTING.md (#19236) @hiteshkundal
- [docs] Fix link in switches.md (#19256) @TurnerB24
- [docs] Fix typo in the accessible table demo (#19321) @carbonid1
- [docs] Improve EnhancedTable.tsx demo (#19266) @sdgluck
- [docs] Improve draggable dialog demo (#19339) @konekoya
- [docs] Improve the demos copy experience (#19291) @theswerd
- [docs] Improve the documentation of the dark theme (#19122) @m4theushw
- [docs] Improve transition documentation (#19201) @hiteshkundal
- [docs] Improve typography documentation (#19216) @kevin-lindsay-1
- [docs] Merge brand.png and logo.png @oliviertassinari
- [docs] Minor typo (#19219) @sourabhbagrecha
- [docs] Minor typo fix in testing docs (#19146) @Ardeshir81
- [docs] Remove Glamor link (#19178) @terryBaz
- [docs] Update the translations (#19111) @mbrookes
- [docs] Use button in backdrop demo (#19282) @theswerd
- [docs] Use reasonable unitless line-height for Box (#19260) @minikomi

### Core

- [test] Improve visual regression tests (#19175) @oliviertassinari
- [core] Batch small changes (#19097) @oliviertassinari
- [core] Batch small changes (#19174) @oliviertassinari
- [core] Distinguish JSSProperties and CSSProperties (#19263) @eps1lon
- [core] Fix TypographyStyle not allowing media queries and allowing unsafe undefined access (#19269) @eps1lon
- [core] Ignore a few flaky visual tests (#19226) @oliviertassinari
- [core] Remove unnecessary exports from styles/transitions.js (#19337) @JonKrone
- [core] Simplify types of styled (#19243) @eps1lon
- [core] Use node 10 in every CI/CD pipeline (#19301) @eps1lon
- [core] Warn when defaultValue changes (#19070) @m4theushw
- [build] Clarify transform-runtime, runtime version (#18512) @eps1lon

## 4.8.3

_Jan 6, 2020_

A big thanks to the 19 contributors who made this release possible.

Here are some highlights since 4.8.0 ✨:

- 💄 Introduce a new Alert component in the lab (#18702) @dimitropoulos.
- 💄 Improve skeleton animation, add wave support (#18913, #19014) @bowann, @oliviertassinari.
- 🔍 13 patches on the Autocomplete component.
- 🌎 Add 6 new locales (ko-KR, az-AZ, cs-CZ, sk-SK, uk-UA, pt-PT).
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.8.3`

- [Badge] Improve demos (#18981) @ypresto
- [Collapse] Add `hidden` class key to Collapse typings (#19044) @pvdstel
- [Grid] Update TypeScript classes definitions (#19050) @Rikpat
- [Popover] Fix position when changing state or updated (#19046) @SandraMarcelaHerreraArriaga
- [Snackbar] Improve accessibility (#19043) @oliviertassinari
- [theme] Support breakpoints.between(a, b) with number (#19003) @ulises-lara

### `@material-ui/lab@v4.0.0-alpha.39`

- [Alert] Introduce new component (#18702) @dimitropoulos
- [Autocomplete] Fix disabled + multiple combination support (#19041) @cvanem
- [Autocomplete] Fix form submit with freeSolo and multiple (#19072) @haseebdaone
- [Autocomplete] Warn when mixing uncontrolled and controlled (#19060) @m4theushw
- [Rating] Fix hover state stuck (#19071) @fyodore82

### Docs

- [example] Make sure next.js Links can accept url objects as href (#19073) @Janpot
- [docs] Add company page (#18964) @oliviertassinari
- [docs] Add hexToRgb rename to v3 to v4 changelog (#19058) @zettca
- [docs] Disable in-context translations (#19056) @mbrookes
- [docs] Fix grammar (#19062) @RDIL
- [docs] Improve Next.js usage (#19075) @chrisweb
- [docs] Improve theme.breakpoints description (#19065) @littleee

### Core

- [core] Fix missing type peer deps (#17211) @eps1lon

## 4.8.2

_Dec 30, 2019_

A big thanks to the 22 contributors who made this release possible.

### `@material-ui/core@v4.8.2`

- [Badge] Fix doc about anchorOrigin (#18982) @ypresto
- [DialogContent] Add missing `dividers` class types (#18984) @NickCis
- [RadioGroup] Add useRadioGroup Hook (#18920) @NMinhNguyen
- [Slider] Fix discrete mark highlighting (#18993) @ulises-lara
- [Slider] Improve the pointer event logic (#19010) @oliviertassinari
- [TablePagination] Fix duplicate key error (#18988) @afzalsayed96
- [TableSortLabel] Relax IconComponent prop requirements in TypeScript (#18936) @Igorbek
- [TableSortLabel] Sort asc by default (#19013) @oliviertassinari
- [l10n] Add Portuguese (pt-PT) locale (#18987) @hrafaelveloso

### `@material-ui/styles@v4.8.2`

- [styles] Fix jss StyleSheet attach() call (#19042) @mceIdo

### `@material-ui/lab@v4.0.0-alpha.38`

#### Breaking Changes

- [Skeleton] Add wave animation support (#19014) @oliviertassinari

  ```diff
  -<Skeleton disableAnimation />
  +<Skeleton animation={false} />
  ```

#### Change

- [Autocomplete] Fix option height border-box (#19000) @MariyaVdovenko
- [Autocomplete] Zero (0) integer key display throws (#18994) @hoop71
- [Rating] Clear value if selected value is clicked (#18999) @ivowork
- [Rating] Add a demo with different icons (#19004) @hoop71

### Docs

- [docs] Add TypeScript demo for MenuPopupState (#18998) @eps1lon
- [docs] Add yarn install instructions in CONTRIBUTING.md (#18970) @hiteshkundal
- [docs] Clarify not all components have 'component' prop (#19015) @JamieS1211
- [docs] Fix syntax error in palette customization example (#19008) @mumairofficial
- [docs] Fix typo in toggle-button.md (#19002) @noahbenham
- [docs] Update showcase lists (#19039) @typekev
- [docs] Fix url address in modules/watrerfall/Batcher.js (#18997) @hiteshkundal

### Core

- [core] Don't force a remote when listing prettier changes (#18794) @Janpot
- [core] Bump handlebars from 4.1.2 to 4.5.3 (#18989) @dependabot-preview
- [core] Batch small changes (#19016) @oliviertassinari
- [core] Batch small changes (#19012) @mbrookes

## 4.8.1

_Dec 24, 2019_

A big thanks to the 24 contributors who made this release possible.

### `@material-ui/core@v4.8.1`

- [Drawer] Fix PaperProps className merge (#18866) @kristenmills
- [InputBase] Add rowsMin to typings (#18922) @lcswillems
- [Paper] Add a variant prop (#18824) @netochaves
- [Popover] Fix bug open animation (#18896) @KevinAsher
- [Select] Fix bug on focus in controlled open (#18857) @netochaves
- [TextField] onBlur event argument can be undefined (#18867) @abnersajr
- [Typography] Improve custom component types support (#18868) @fyodore82
- [theme] Add warning, success and info colors to the palette (#18820) @r3dm1ke
- [l10n] Add Korean (ko-KR) locale (#18952) @inspiredjw
- [l10n] Add Azerbaijan (az-AZ) locale (#18859) @rommelmamedov
- [l10n] Add Czech (cs-CZ) and Slovak (sk-SK) locales (#18876) @char0n
- [l10n] Add Ukrainian (uk-UA) locale (#18832) @EvgenBabenko

### `@material-ui/lab@v4.0.0-alpha.37`

- [Skeleton] Delay the animation by 500ms (#18913) @bowann
- [TreeView] Improve RTL support (#18855) @eladex
- [TreeView] Support input in item child (#18894) @eggbread
- [Autocomplete] Add ListboxProps prop (#18887) @ChrisWiles
- [Autocomplete] Add blurOnSelect prop (#18827) @m4theushw
- [Autocomplete] Add forcePopupIcon prop (#18886) @SandraMarcelaHerreraArriaga
- [Autocomplete] Call onInputChange before onChange (#18897) @MarinePicaut
- [Autocomplete] Fix padding to make visual height consistent (#18851) @takutolehr
- [Autocomplete] Pass ListboxProps (#18916) @ChrisWiles
- [Autocomplete] Prevent focusing control / opening dropdown on clear (#18889) @Monbrey
- [Autocomplete] Support `ChipProps` prop (#18917) @ChrisWiles

### Docs

- [docs] Fix grammar issues in Babel plugin unwrap-createstyles (#18856) @RDIL
- [docs] Update the translations (#18865) @mbrookes

### Core

- [core] Batch small changes (#18961) @oliviertassinari

## 4.8.0

_Dec 14, 2019_

A big thanks to the 29 contributors who made this release possible.

Here are some highlights ✨:

- 💄 Add orientation support to the button group (#18762) @SandraMarcelaHerreraArriaga.
- 💄 Add stacking support to the avatar (#18707) @oliviertassinari.
- 💄 Add disable elevation support to the button (#18744) @netochaves.
- 💄 Add size small support to the radio and checkbox (#18688) @SandraMarcelaHerreraArriaga.
- 🌎 Add 3 new locales (id-Id, ro-RO, nl-NL) @fuadinaqi, @raduchiriac, @JimKoene.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.8.0`

- [Avatar] Add missing 'fallback' AvatarClassKey (#18717) @kLabz
- [ButtonGroup] Add orientation prop (#18762) @SandraMarcelaHerreraArriaga
- [Button] disableElevation prop (#18744) @netochaves
- [ClickAwayListener] Fix preventDefault logic (#18768) @jayknott
- [Container] Add disableGutters prop (#15872) @divyanshutomar
- [Drawer] Fix PaperProps className merge conflict (#18740) @siriwatknp
- [Modal] Fix scroll jump issue (#18808) @cvara
- [Popper] Fix position when changing state or updated (#18813) @Amagon96
- [Radio][checkbox] Add size="small" support (#18688) @SandraMarcelaHerreraArriaga
- [Select] Fix incorrect auto-sizing of native select (#18787) @IvanFrescas
- [Select] Fix listbox closing on Space keyUp (#18754) @eps1lon
- [Table] Add TableContainer component (#18699) @r3dm1ke
- [TextField] Fix missing size prop in TypeScript types @sarpt
- [TextareaAutosize] Add rowsMin prop (#18804) @lcswillems
- [ToggleButton] Add size prop type definition (#18778) @sarfata
- [Tooltip] Add `popperArrow` to `TooltipClassKey` (#18772) @umidbekkarimov
- [Typography] Fix lineHeight for h1-h5 (#18663) @LorenzHenk
- [l10n] Add Indonesian (id-Id) locale (#18817) @fuadinaqi
- [l10n] Add Romanian (roRO) locale (#18825) @raduchiriac
- [l10n] Add dutch translations (#18758) @JimKoene
- [useMediaQuery] Support custom window (#18741) @siriwatknp

### `@material-ui/lab@v4.0.0-alpha.36`

- [AvatarGroup] Introduce new component (#18707) @oliviertassinari
- [Autocomplete] Fix double change event issue (#18786) @tplai
- [Autocomplete] Add reason to onInputChange callback (#18796) @Tybot204
- [Autocomplete] Expand virtualized example to have grouped items (#18763) @Janpot

### Docs

- [blog] November 2019 Update (#18805) @oliviertassinari
- [docs] Change `readOnly` to `disabled` in text-fields.md example (#18792) @sterjoski
- [docs] Fix chip outlined variant (#18806) @scotttrinh
- [docs] Improve Avatar fallback description (#18720) @mbrookes
- [docs] Improve homepage accessibility (#18745) @mbrookes
- [docs] Improve table of contents cmd+click (#18765) @Janpot
- [docs] Remove unused dependencies (#18753) @eps1lon
- [docs] Revert hiding duplicate link (#18767) @mbrookes
- [docs] Simplify MiniDrawer demo (#18814) @shc023

### Core

- [core] Fix @material-ui/lab homepage url (#18823) @francisrod01
- [core] Batch small changes (#18780) @oliviertassinari

## 4.7.2

_Dec 7, 2019_

A big thanks to the 18 contributors who made this release possible.

### `@material-ui/core@v4.7.2`

- [Tooltip] Add missing classes type definitions (#18645) @dufia
- [Tooltip] Fix arrow placement in RTL languages (#18706) @mosijava
- [Tooltip] Fix onMouseOver event leak (#18687) @r3dm1ke
- [ClickAwayListener] Support other documents (#18701) @Izhaki
- [Avatar] Fallback images when fails to load (#18711) @netochaves
- [Chip] Support text-overflow ellipsis by default (#18708) @suliskh
- [Container] Add missing default theme props Type (#18654) @max10rogerio
- [Modal] Document the 'Focus trap' limitation (#18643) @PutziSan
- [Portal] Support any children node (#18692) @luffywuliao
- [TablePagination] Fix responsive display issue (#18668) @r3dm1ke
- [TextField] InputAdornment shouldn't wrap (#18641) @TrejGun
- [l10n] Add Polish translation (#18685) @eXtreme
- [theme] Fix wrong ResponsiveFontSizesOptions type (#18661) @pstadler
- [useMediaQuery] Fix hydrationCompleted true before hydrated (#18683) @toddmazierski

### `@material-ui/lab@v4.0.0-alpha.35`

- [Autocomplete] Add getOptionSelected prop (#18695) @DarkKnight1992
- [Autocomplete] Add size prop (#18624) @oliviertassinari
- [Autocomplete] Prevent tag overflow (#18662) @fbarbare

### Docs

- [docs] Break up blog template into smaller sections (#18627) @mbrookes
- [docs] Update the translations (#18644) @mbrookes
- [docs] `ssrMatchMedia` required for client rending as well (#18680) @moshest

### Core

- [core] Batch changes (#18629) @oliviertassinari

## 4.7.1

_Dec 1, 2019_

A big thanks to the 27 contributors who made this release possible.

Here are some highlights ✨:

- 🌎 Improve localization support.
- ✨ Export all the types from barrel index (#18306) @merceyz.
- 🔍 8 patches on the Autocomplete component.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.7.1`

- [Backdrop] Comment on z-index use case (#18589) @meebix
- [Select] Improve response, react to mouse down (#17978) @SarthakC
- [l10n] Add Italian translation (#18507) @Angelk90
- [l10n] Add Turkish translation (#18509) @yunusemredilber
- [l10n] Add svSE translations (Swedish) (#18591) @dluco-
- [l10n] Fix German translation (#18498) @cmfcmf
- [styles] Fix ThemeProvider requiring full theme (#18500) @eps1lon
- [useMediaQuery] Fix ssrMatchMedia requiring listener mixin (#18501) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.34`

- [Skeleton] Fix non-breakable space (#18548) @gmltA
- [Rating] Improve mobile support (#18603) @aleccaputo
- [Autocomplete] Document value equality check (#18516) @ChawinTan
- [Autocomplete] Fix CSS specificity issue (#18578) @mr-bjerre
- [Autocomplete] Fix selecting undefined on updated options (#18611) @jellyedwards
- [Autocomplete] Fix typo in test (#18506) @TrejGun
- [Autocomplete] Improve icons display (#18520) @oliviertassinari
- [Autocomplete] Only call .focus() when necessary (#18584) @Davidasg180
- [Autocomplete] Only trigger onInputChange when the value changes (#18571) @sclavijo93
- [Autocomplete] Show loading text when there are no options (#18570) @sclavijo93

### Docs

- [docs] Add monday.com to in-house ads (#18598) @mbrookes
- [docs] Fix bug in Popper component's Scroll playground example (#18562) @maprihoda
- [docs] Fix typo in media query docs (#18617) @rajnish307
- [docs] Fix yarn start command (#18565) @andrestone
- [docs] Improve the SvgIcon documentation (#18560) @oliviertassinari
- [docs] Reduce confusion in picker link (#18566) @BGehrels
- [docs] Include mention to Persian in localization.md (#18513) @uxitten
- [docs] Update v3 migration guide for ExpansionPanel (#18612) @NMinhNguyen

### Core

- [test] Assert accessible name (#18609) @eps1lon
- [test] Improve merging tests for createMuiTheme (#18543) @eedrah
- [misc] Batch small changes (#18614) @mbrookes
- [core] Add react-is dependency (#18551) @HeadFox
- [core] Batch small changes (#18539) @oliviertassinari
- [core] Bump `@babel/*` deps (#18552) @eps1lon
- [core] Export everything from the second level (#18306) @merceyz
- [core] Fix dependabot not ignoring babel-plugin-preval (#18553) @eps1lon
- [core] Ignore url-loader >= 3 updates (#18639) @eps1lon

## 3.9.4

_Nov 28, 2019_

### `@material-ui/core@v3.9.4`

- [Portal] Fix circular PortalProps Types (#18602)

  Fix TypeScript 3.7 support

## 4.7.0

_Nov 22, 2019_

A big thanks to the 27 contributors who made this release possible.

Here are some highlights ✨:

- 🌎 Add localization support (#18219) @soltanloo.
- 🔍 8 patches on the Autocomplete component.
- 💄 Add tooltip arrow support (#18323) @goleary.
- 📚 Display the demos on a white background (#18396) @oliviertassinari.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.7.0`

- [l10n] Add localization (#18219) @soltanloo
- [l10n] Improve Russian translation (#18422) @gmltA
- [Avatar] Tip about what srcset can be used for (#18366) @uxitten
- [CardMedia] Use propTypes for "at least one"-check (#18384) @eps1lon
- [Chip] Document accessibility (#18271) @eps1lon
- [Collapse] Add support for unitless collapsedHeight (#18461) @weslenng
- [Grid] Infer `displayName` (#18481) @NMinhNguyen
- [HiddenCss] Fix warning when using custom breakpoints (#18382) @eps1lon
- [Modal] Prefer to lock scroll on body than HTML element (#18445) @andreasheim
- [Popper] Use context for RTL support (#18381) @MisterQH
- [Slider] Increase interaction area (#18429) @oliviertassinari
- [Slider] Make the slider work as intended when max%step !== 0 (#18438) @macfire10
- [Snackbar] Fix timer restarting when parent component re-render (#18361) @weslenng
- [Tooltip] Add `arrow` prop (#18323) @goleary
- [Tooltip] Use hysteresis with the enterDelay (#18458) @oliviertassinari
- [getContrastText] Throw descriptive exception when passing falsy argument (#18383) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.33`

- [Skeleton] Keep the size 1:1 to replaced text content (#18451) @macfire10
- [SpeedDialIcon] Fix test for react 16.12 (#18379) @eps1lon
- [TreeView] Fix control state error (#18341) @joshwooding
- [Autocomplete] Add popperDisablePortal to classes (#18346) @nullberri
- [Autocomplete] Add tag keyboard navigation test (#18355) @oliviertassinari
- [Autocomplete] Better handle native browsers' autofill and autocomplete (#18376) @IanSmith89
- [Autocomplete] Fix CreateFilterOptions definition (#18419) @alaumh
- [Autocomplete] Fix bug on disableOpenOnFocus prop (#18380) @netochaves
- [Autocomplete] Fix usage of Home/End keys (#18338) @weslenng
- [Autocomplete] Fix virtualization demo (#18455) @mandrin17299
- [Autocomplete] Ignore object keys in default filter (#18480) @eggbread
- [lab] Bump material-ui/core version (#18354) @renatoagds

### Docs

- [docs] Add related project links (#18035) @MaximKudriavtsev
- [docs] Fix grammar in app-bar.md (#18362) @smilevideo
- [docs] Fix some markdown spec issue (#18428) @eps1lon
- [docs] Fix typo in autocomplete docs (#18343) @thomasdashney
- [docs] Fix useMediaQuery ssr implementation example (#18325) @carloscuesta
- [docs] Increase the contrast of the demos (#18396) @oliviertassinari
- [docs] Reduce .html response size (#18356) @oliviertassinari
- [docs] Remove outdated showcase (#18364) @LorenzHenk
- [docs] Update the translations (#18339) @mbrookes

### Core

- [GitHub] Fix fragment on link in PR template (#18370) @twgardner2
- [Security] Bump https-proxy-agent from 2.2.2 to 2.2.4 (#18440) @dependabot-preview
- [core] Add displayName to contexts (#18468) @eps1lon
- [core] Batch changes (#18395) @oliviertassinari
- [core] Ignore babel-plugin-preval updates (#18415) @dependabot-preview
- [framer] Update after publication (#18340) @mbrookes
- [test] Check a11y tree inclusion in CI only (#18433) @eps1lon
- [test] Improve coverage (#18385) @eps1lon
- [utils] Simplify refType (#18437) @NMinhNguyen

## 4.6.1

_Nov 12, 2019_

A big thanks to the 19 contributors who made this release possible.

Here are some highlights ✨:

- 🔍 12 patches on the Autocomplete component.
- 👨‍🎤 Add Framer X support (#17797) @mbrookes.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.6.1`

- Add Framer X wrapper components (#17797) @mbrookes
- [ButtonBase] Fix space calling onClick on keyDown instead of keyUp (#18319) @eps1lon
- [ButtonBase] Test keyboard events of child elements (#18318) @eps1lon
- [ButtonGroup] Fix typings for disabled classes property (#18274) @xZliman
- [Select] Fix id not being present when native (#18257) @eps1lon
- [TextField] Add demo for color prop (#18220) @Studio384
- [core] Fix createMuiTheme side-effect (#18247) @FabianSellmann
- [core] Increase specificity to get correct style (#18238) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.32`

#### Breaking Changes

- [Autocomplete] Fix Multiple tag delete action (#18153) @tkanzakic

```diff
diff --git a/docs/src/pages/components/autocomplete/FixedTags.js b/docs/src/pages/components/autocomplete/FixedTags.js
index 757d66a97..a4f36edd5 100644
--- a/docs/src/pages/components/autocomplete/FixedTags.js
+++ b/docs/src/pages/components/autocomplete/FixedTags.js
@@ -11,17 +11,9 @@ export default function FixedTags() {
       options={top100Films}
       getOptionLabel={option => option.title}
       defaultValue={[top100Films[6], top100Films[13]]}
-      renderTags={(value, { className, onDelete }) =>
+      renderTags={(value, getTagProps) =>
         value.map((option, index) => (
-          <Chip
-            key={index}
-            disabled={index === 0}
-            data-tag-index={index}
-            tabIndex={-1}
-            label={option.title}
-            className={className}
-            onDelete={onDelete}
-          />
+          <Chip disabled={index === 0} label={option.title} {...getTagProps({ index })} />
         ))
       }
       style={{ width: 500 }}
```

#### Changes

- [TreeView] Add controlled API to TreeView (#18165) @joshwooding
- [TreeView] Support empty array (#18259) @tomasbruckner
- [Rating] Add random name when none is provided (#18284) @Vitao18
- [SpeedDial] Fix crash when using custom style in FabProps (#18320) @weslenng
- [Autocomplete] Add closeIcon and popupIcon props (#18266) @AbdallahElroby
- [Autocomplete] Add controllable input value API (#18285) @oliviertassinari
- [Autocomplete] Add hook customization demo (#18242) @oliviertassinari
- [Autocomplete] Fix Enter key clearing selected option (#18229) @chapmanio
- [Autocomplete] Fix popup placement (#18289) @andreasheim
- [Autocomplete] Fix the errors reported by Wave (#18283) @oliviertassinari
- [Autocomplete] Improve accessibility (#18204) @oliviertassinari
- [Autocomplete] Improve focus logic (#18286) @oliviertassinari
- [Autocomplete] Remove aria-activedescendant (#18281) @oliviertassinari
- [Autocomplete] Fix missing inputValue (#18268) @AbdallahElroby
- [Autocomplete] Handle Opera fullscreen mode (#18275) @xZliman

### Docs

- [blog] October 2019 Product Update (#18239) @oliviertassinari
- [examples] Fix Gatsby broken example (#18321) @weslenng
- [docs] Fix error in Select options (#18224) @eedrah
- [docs] Fix show all rows in table pagination (#18260) @markusf1
- [docs] Improve demo clarity by using form elements (#18241) @jcuenod
- [docs] Replace alert with console.info (#18316) @eps1lon
- [docs] Replace react-inspector with custom TreeView implementation (#17662) @eps1lon

### Core

- [core] Add funding entry to manifests (#18250) @eps1lon
- [core] Remove nodemod (#18222) @oliviertassinari
- [test] Misc cleanup (#18261) @eps1lon
- [core] Batch changes (#18264) @oliviertassinari

## 4.6.0

_Nov 5, 2019_

A big thanks to the 26 contributors who made this release possible.

Here are some highlights ✨:

- 🔍 8 patches on the Autocomplete component that was released last week.

The positive feedback we had this early version of the component is encouraging.
Developers should be able to rely on it in production within a couple of weeks (from a bug perspective).
We will take more time to stabilize the API, a couple of months.

- 📚 Split the TextField demos into smaller demos (#17483) @joshwooding
- 💄 Add a color prop to the TextField (#17891) @ValentinH
- 💄 Add square and rounded variant to the Avatar (#18116) @mattdotam
- 🐛 Fix Chip <> Avatar rendering issue (#18156)

By chance, it's the third year in a row we release on november 5th.
The number of contributors involved, for a similar one-week period, has grown from 12 contributors (2017) to 16 contributors (2018) to 26 contributors (2019).
We are proud of the community. Let's keep this trend going 🚀.

### `@material-ui/core@v4.6.0`

- [Avatar] Add square variant and documentation (#18116) @mattdotam
- [Button] Fix horizontal padding on small button with icon (#18118) @vkasraj
- [Chip] Add ripple when clickable (#17829) @Tarun047
- [Chip] Fix Avatar CSS issue (#18156) @oliviertassinari
- [Drawer] Improve "ResponsiveDrawer" demo (#18045) @gorjan-mishevski
- [ExpansionPanel] Use context instead of cloneElement (#18085) @eps1lon
- [InputBase] Fix onChange event handler callback of inputProps (#18131) @sjsingh85
- [OutlinedInput] Simplify customizations (#18127) @gregjoeval
- [Slider] Improve UX for pointing device with limited accuracy (#18174) @oliviertassinari
- [Slider] Increase hover hitbox for thumb (#18074) @eps1lon
- [SwipeableDrawer] Only trigger a swipe when appropriate (#17993) @leMaik
- [TextField] Add support for "secondary" color (#17891) @ValentinH
- [TextField] Fix label not being associated with native select (#18141) @eps1lon
- [TextField] Fix typo in FromControl warning (#18129) @xuanvan229
- [types] Fix IsEmptyInterface with optional members (#18148) @amcasey
- [types] Simplify some of the conditional types (#18128) @amcasey

### `@material-ui/styles@v4.6.0`

- [styles] Fix props based styles callback not including defaultProps (#18125) @salmanm

### `@material-ui/lab@v4.0.0-alpha.31`

- [Autocomplete] Add disabled prop (#18195) @m4theushw
- [Autocomplete] Fix aria-controls and aria-activedescendant (#18142) @eps1lon
- [Autocomplete] Fix crash with freeSolo and rich options (#18161) @oziniak
- [Autocomplete] Fix disableListWrapp affecting initial focus (#18162) @eps1lon
- [Autocomplete] Fix display in modal (#18160) @oliviertassinari
- [Autocomplete] Fix multiple blur/focus crash (#18117) @itayyehezkel
- [Autocomplete] Fix typo + types (#18096) @NaridaL
- [Autocomplete] Rename autoHightlight prop to autoHighlight (#18137) @tkanzakic
- [TreeView] Change when node map is built (#18154) @joshwooding
- [SpeedDial] Fix fab items alignment (#18084) @itayyehezkel

### Docs

- [docs] Add ScaffoldHub to ads and example projects (#18071) @mbrookes
- [docs] Add TagSpaces to the showcase (#18144) @uggrock
- [docs] Add warning disabled button in Safari (#18072) @itayyehezkel
- [docs] Break up TextField demos (#17483) @joshwooding
- [docs] Fix typo (#18090) @mtsmfm
- [docs] Fix various a11y issues reported by lighthouse (#18146) @eps1lon
- [docs] Force usage of block language (#18069) @mtsmfm
- [docs] Improve TypeScript support of Next.js examples (#18088) @Tokenyet
- [docs] Move "TextField" section higher in the "Selects" page (#17643) @croraf
- [docs] Rename interface headCell to HeadCell (#18093) @EngMoathOmar
- [docs] Update notification v4.5.2 @oliviertassinari

### Core

- [test] Build all `@material-ui/*` packages for CodeSandbox CI (#18100) @eps1lon
- [test] Fix tests failing on subsequent runs in watchmode (#18076) @eps1lon
- [test] Fix tests polluting DOM (#18163) @eps1lon
- [core] Batch small changes (#18041) @oliviertassinari
- [core] Batch small changes (#18155) @oliviertassinari

## 4.5.2

_Oct 28, 2019_

A big thanks to the 48 contributors who made this release possible!

Here are some highlights ✨:

- 🔍 Introduce a new Autocomplete component in the lab to support the autocomplete, combobox and multi-select use cases (#17037) @dreamsinspace.

  This [new component](https://mui.com/components/autocomplete/) will replace the [third-party integration examples](https://mui.com/components/integrated-autocomplete/) once it graduates from the lab to the core.
  It was one of the [most requested features](https://x.com/MaterialUI/status/1148901411180163073) (by number of 👍 on the corresponding issue).

- 📚 Show the JSX by default for small examples (#17831) @mbrookes.
- ♿️ Improve Gatsby's Modal support (#17972) @sreetej1998.
- 🐛 Better support Preact (#18027) @glromeo.
- 💅 Improve Chrome autofill dark theme support (#17863) @MAkerboom.
- 📚 Add new context menu demo (#17839) @SarthakC.

### `@material-ui/core@v4.5.2`

- [Avatar] Revert #17694, correct the API docs, add tests (#18026) @mbrookes
- [Checkbox] Add TypeScript demo for FormControlLabelPosition (#17964) @burtyish
- [Dialog] Fix labelledby and describedby placement (#18032) @eps1lon
- [Dialog] Reduce margins (#17867) @rahulkotha18
- [ExpansionPanelSummary] Test in StrictMode (#17873) @eps1lon
- [FormControlLabel] Add missing CSS class keys to TypeScript (#17963) @itayyehezkel
- [Link] Warn when using plain function component in `component` (#17825) @Nikhil-Pavan-Sai
- [ListSubheader] Reduce specificity of TypeScript type (#17715) @sakulstra
- [Menu] Add new context menu demo (#17839) @SarthakC
- [Modal] Fix tabIndex customization (#17939) @Cyrus-d
- [Modal] Improve Gatsby support (#17972) @sreetej1998
- [Popper] Revert position fix (#17914) @rahulkotha18
- [Select] Add labelId to implement proper labeling (#17892) @eps1lon
- [Select] Better support Preact (#18027) @glromeo
- [Select] Document how values are compared (#17912) @DustinRobison
- [Slider] Apply the disabled pseudo class on the thumb too (#18011) @hoop71
- [Slider] Format value passed to ValueLabelComponent (#17985) @hoop71
- [SnackbarContent] Convert unit tests to testing-library (#17942) @emilyuhde
- [Snackbar] Change default role from 'alertdialog' to 'alert' (#17897) @emilyuhde
- [SwipeableDrawer] Change close swipe behavior and fix touch bug (#17941) @leMaik
- [Switch] Fix hover style on mobile (#18034) @SarthakC
- [Tab] Run tests in StrictMode (#18037) @eps1lon
- [TablePagination] Support display of all rows (#17885) @SarthakC
- [Table] Demo multiple group headers (#17933) @rayy-lo
- [Table] Fix sticky header interaction with checkboxes (#17968) @Lavoaster
- [Table] Improve RTL virtualized demo support (#18038) @FabianKielmann
- [TextField] Improve Chrome autofill dark theme support (#17863) @MAkerboom
- [TextareaAutoSize] Add ref prop (#17835) @Tarun047

### `@material-ui/styles@v4.5.2`

- [styles] Allow ref on withTheme components in TypeScript (#17695) @ianschmitz

### `@material-ui/system@v4.5.2`

- [system] Support style.transform return React.CSSProperties (#18030) @yoyooyooo

### `@material-ui/lab@v4.0.0-alpha.30`

- [Autocomplete] Introduce new component (#17037) @dreamsinspace

### Docs

- [docs] Add TypeScript demo for DynamicCSS (#17994) @netochaves
- [docs] Add TypeScript demo for DynamicCSSVariables (#17983) @netochaves
- [docs] Add TypeScript demo for MaterialTable (#17938) @schapka
- [docs] Add TypeScript demo for WithWidth (#17930) @burtyish
- [docs] Add TypeScript demos for SimpleNoSsr and FrameDeferring (#17913) @ganes1410
- [docs] Add TypeScript demos for SplitButton in components/buttons (#17862) @rahmatrhd
- [docs] Add demo for actions in ExpansionPanelSummary (#17969) @ayliao
- [docs] Add demo for prominent app bar (#17894) @burtyish
- [docs] Add notification about the date picker survey @oliviertassinari
- [docs] Clarify aria role of Switch (#17870) @eps1lon
- [docs] Document mui-rff (#17943) @lookfirst
- [docs] Explain checks in Contributing (#18033) @eps1lon
- [docs] Fix "Unknown" typo (#17911) @qmertesdorf-terratrue
- [docs] Fix RTL-toggle tooltip bug in app bar (#17865) @flurmbo
- [docs] Fix a typo while reading the doc :) (#18040) @daemonsy
- [docs] Fix grammar in docs (#17889) @DDDDDanica
- [docs] Fix typo in Paperbase theme (#17984) @DavidMoraisFerreira
- [docs] Fix typos and grammar in getting started (#17880) @tonyjmartinez
- [docs] Improve TabelCell description (#17979) @uxitten
- [docs] Improve fixed app bar placement section (#17896) @adeelibr
- [docs] Lazy load landing page images (#17827) @eps1lon
- [docs] Optimize images (#18025) @MichaelDeBoey
- [docs] Prevent layout shift when rendering ads (#17893) @Janpot
- [docs] README: change material design link to use material.io (#17967) @RDIL
- [docs] Remove unused styles in EnhancedTable demo (#17902) @FeynmanDNA
- [docs] Replace negative actions from fab examples (#17926) @nuragic
- [docs] September 2019 Update (#17852) @oliviertassinari
- [docs] Show the JSX by default for small examples (#17831) @mbrookes
- [docs] Update the translations (#18042) @mbrookes
- [docs] Workaround next.js AMP support limitation (#18020) @fbnklmnvds
- [docs] document use of theme.mixins.toolbar & <Toolbar /> when using Appbar variant fixed (#17878) @adeelibr

### Core

- [core] Batch small changes (#17910) @oliviertassinari
- [core] Custom deepmerge implementation (#17982) @oliviertassinari
- [core] Ignore meta, ctrl and alt in keyboard modality detection (#17924) @adeelibr
- [core] Reduce eslint-disables (#17841) @eps1lon
- [core] Remove redundant production check (#17929) @ellisio
- [test] Add codesandbox CI config (#17874) @eps1lon
- [test] Add silent option to CodeSandbox CI config (#18024) @CompuIves
- [test] Only build component packages for codesandbox (#17976) @eps1lon
- [test] Reduce ByRole calls (#18015) @eps1lon
- [test] Run tests periodically with `react@next` (#18008) @eps1lon
- [test] Use Performance implementation of vendors (#18073) @eps1lon

## 4.5.1

_Oct 12, 2019_

A big thanks to the 28 contributors who made this release possible!

Here are some highlights ✨:

- 📚 Change imports from @material-ui/styles to @material-ui/core/styles (#17447) @mnemanja

  The presence of two almost identical import paths has been a source of confusion: `@material-ui/styles` and `@material-ui/core/styles`.
  Starting with v4.5.1, the documentation mentions `@material-ui/core/styles` as much as possible.

  ```diff
  -import { makeStyles } from '@material-ui/styles';
  +import { makeStyles } from '@material-ui/core/styles';
  ```

  This change removes the need to install the `@material-ui/styles` package directly.
  It prevents the duplication of `@material-ui/styles` in bundles and avoids confusion.
  You can [learn more about the difference](https://v4.mui.com/styles/basics/#material-ui-core-styles-vs-material-ui-styles) in the documentation.

- ♿️ Improve the accessibility of the table and select components (#17696, #17773) @adeelibr, @eps1lon.
- 📊 Launch a Developer Survey as a precursor to a major DatePicker enhancement effort.
- 💄 Add support for different [slider track mode](https://mui.com/components/slider/#track) (#17714) @slipmat.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.5.1`

- [AppBar] Fix display of elevation with position static (#17819) @sreetej1998
- [Avatar] Allow to set src and children (#17694) @lcswillems
- [BottomNavigationAction] Test in StrictMode (#17837) @eps1lon
- [ButtonBase] Document how to use cursor not-allowed (#17778) @slipmat
- [Button] Add missing class keys for icon sizing (#17677) @mvestergaard
- [Button] Fix duplicate class names (#17690) @netochaves
- [Dialog] Forward the id in example (#17678) @ricsam
- [Modal] Remove mentions of legacy classes (#17798) @eps1lon
- [Popover] Add root class (#17817) @jayesh-kaza
- [Popper] Fix placement update logic (#17781) @hoop71
- [Portal] Remove redundant circular PortalProps import (#17676) @le0nik
- [Select] Fix opening select requiring double enter with NVDA (#17773) @eps1lon
- [Select] Simplify blur logic (#17299) @eps1lon
- [Select] Add missing y to setDisplaNode (#17716) @sakulstra
- [Select] Warn for unmatched value (#17691) @asownder95
- [Slider] Add support for removed and inverted track (#17714) @slipmat
- [Slider] Fix drag interruption when leaving browser (#17765) @hoop71
- [Table] Add aria-label & caption in table demos (#17696) @adeelibr

### `@material-ui/icons@v4.5.1`

- [icons] Introduce a new GitHub brand icon

### `@material-ui/lab@v4.0.0-alpha.29`

- [SpeedDial] Pass event and reason to onOpen, onClose (#17783) @lsnch

### `@material-ui/system@v4.5.1`

- [system] Fallback to value if theme's value is an array and index missing (#17661) @stasiukanya

### Docs

- [docs] Add Customization/Components TypeScript demo (#17788) @limatgans
- [docs] Add Media Query TypeScript demo (#17766) @lksilva
- [docs] Add TypeScript demos for guides/interoperability (#17804) @limatgans
- [docs] Add classNames TypeScript demo (#17771) @lksilva
- [docs] Add component demos in TypeScript (#17790) @lksilva
- [docs] Add dynamic class name TypeScript demo (#17793) @lksilva
- [docs] Add useWidth TypeScript demo (#17770) @lksilva
- [docs] Added TypeScript Demos for component/toggle-button (#17822) @limatgans
- [docs] Better strict mode switch (#17684) @eps1lon
- [docs] Change imports from @material-ui/styles to @material-ui/core/styles (#17447) @mnemanja
- [docs] Extend size-snapshot (#17633) @eps1lon
- [docs] Fix react-number-format example for FormattedInputs (#17675) @s-yadav
- [docs] Fix typo (#17698) @Ceejaymar
- [docs] Fix typo and improve consistency (#17821) @stasiukanya
- [docs] Fix typo in versions.md (#17782) @raymondsze
- [docs] Fixed typo in Components/Modal (#17704) @lzhuor
- [docs] Improve contributing guidelines (#17653) @oliviertassinari
- [docs] Mentioned CSS required for disabling transitions (#17802) @burtyish
- [docs] Migrate Globals demo to TypeScript (#17785) @limatgans
- [docs] Migrate Palette demo to TypeScript (#17683) @limatgans
- [docs] Prepare the DatePicker Developer Survey notification (#17805) @oliviertassinari
- [docs] Update "Who's using" (#17830) @mbrookes
- [docs] Update notification @oliviertassinari
- [docs] Update useMediaQuery example to avoid confusion with print (#17642) @epeicher

### Core

- [ci] Fix size comparison sort order (#17800) @eps1lon
- [core] Batch small changes (#17673) @oliviertassinari
- [core] Batch small changes (#17807) @oliviertassinari
- [test] Fix test_browser timing out (#17763) @eps1lon
- [test] Use testing-library for ToggleButton\* tests (#17768) @eps1lon

## 4.5.0

_Oct 2, 2019_

A big thanks to the 20 contributors who made this release possible!

Here are some highlights ✨:

- 💄 Add startIcon and endIcon props for the button (#17600) @mbrookes

  ```jsx
  import DeleteIcon from '@material-ui/icons/Delete';

  <Button startIcon={<DeleteIcon />}>Delete</Button>;
  ```

- 🔐 Add support for Chrome autofill (#17436, #17552) @croraf
- 💅 Adjust table styles to match spec (#17388) @kybarg
- 💅 Adjust menu styles to match spec (#17332) @damir-sirola
- 💅 Adjust chip styles to match spec (#17584) @oliviertassinari
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.5.0`

- [theme] Allow an arbitrary number of elevations (#17659) @millnitzluan
- [ButtonGroup] Fix missing divider if background color is set (#17648) @neon98
- [ButtonGroup] Support text variant (#17529) @Dhruvi16
- [Button] Add startIcon / endIcon props (#17600) @mbrookes
- [Button] Improve horizontal padding (#17640) @mbrookes
- [Button] Increase elevation on hover when contained (#17537) @eps1lon
- [CardMedia] Add separate rules for Image components (#17591) @neon98
- [Chip] Update style to match the specification (#17584) @oliviertassinari
- [InputBase] Fix remaining issues with Chrome autofill (#17552) @croraf
- [MenuItem] Update size on desktop to match spec (#17332) @damir-sirola
- [Menu] Fix menu being focused instead of item when opening (#17506) @eps1lon
- [Menulist] Add autoFocusItem for initial focus control (#17571) @eps1lon
- [SwipeableDrawer] Calculate transition duration based on swipe speed (#17533) @dan8f
- [Table] Adjust table styles to the latest specs (#17388) @kybarg
- [Tabs] Add new updateScrollButtonState() action (#17649) @neon98
- [TextareaAutosize] Improve line computation and avoid infinite loop (#17652) @neon98

### `@material-ui/lab@v4.0.0-alpha.28`

- [Slider] Remove from the lab (#17528) @oliviertassinari

  ```diff
  -import { Slider } from '@material-ui/lab';
  +import { Slider } from '@material-ui/core';
  ```

### `@material-ui/system@v4.5.0`

- [system] Fix props being required from `style` function (#17534) @abukurov

### `@material-ui/styles@v4.5.0`

- [styles] Bump jss dependencies to v10.0.0 stable (#17536) @eps1lon

### `@material-ui/codemod@v4.5.0`

- [codemod] Fix build importing esm version of babel/runtime (#17561) @merceyz

### Docs

- [docs] Batch small fixes (#17527) @oliviertassinari
- [docs] Fix CHANGELOG format @oliviertassinari
- [docs] Fix calculation of height for empty rows (#17657) @Teloah
- [docs] Improve /styles vs /core/styles description (#16473) @bigtone1284
- [docs] Improve CSP nonce docs (#17594) @johnnyreilly
- [docs] Improve Contributing.md (#17597) @croraf
- [docs] Improve bundle size option 2 advantage wording (#17577) @ilanbm
- [docs] Improve testing readme (#17557) @eps1lon
- [docs] Move GOVERNANCE.md and ROADMAP.md files from root (#17531) @croraf
- [docs] Remove already moved SUPPORT.md file (#17525) @croraf
- [docs] Remove an un-used className in template Blog (#17587) @FeynmanDNA
- [docs] Reword icons page (#17558) @croraf
- [examples] Fix CRA start script (#17598) @lychyi

### Core

- [core] Fix missing peer dependency warning (#17632) @eps1lon
- [core] Re-export all the styles modules from core (#17419) @merceyz
- [core] Warn if anchor element is not visible (#17599) @eAmin
- [dependencies] Put dependabot config in vcs (#17651) @eps1lon
- [test] Bump `@testing-library/dom` (#17573) @eps1lon
- [test] Isolate each test case using testing-library (#17394) @eps1lon
- [ci] Use azure aws tasks instead of aws-sdk (#17631) @eps1lon
- [Select] Make internal tests public (#17538) @eps1lon

## 4.4.3

_Sep 22, 2019_

A big thanks to the 23 contributors who made this release possible!
This is a stability release.

### `@material-ui/core@v4.4.3`

- [TextField] Handle Chrome autofill (#17436) @croraf
- [ButtonBase] Fix blurry text issue (#17453) @chibis0v
- [CircularProgress] Fix centering (#17482) @fiws
- [Chip] Load the right version of Avatar (#17469) @Maxim-Mazurok
- [TablePagination] Merge root classes properly (#17467) @DavidHenri008
- [Box] Fix demo item name (#17523) @Skaronator
- [Breadcrumbs] Improve API docs (#17468) @eps1lon
- [Menu] Isolate more integration tests (#17490) @eps1lon
- [SelectInput] Use `@testing-library` for test (#17390) @eps1lon

### `@material-ui/styles@v4.4.3`

- [styles] Bump jss dependencies to 10.0.0-alpha.25 (#17520) @eps1lon
- [core] Replace warning with manual console.error (#17404) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.27`

- [TreeItem] Use the 'endIcon' prop where appropriate (#17488) @Chocolatl
- [Skeleton] Make default CSS display mode to block (#17406) @ahtcx
- [SpeedDial] Rework part of the logic (#17301) @hashwin

### `@material-ui/icons@v4.4.3`

- [docs] Update README.md

### `@material-ui/system@v4.4.3`

- [core] Replace warning with manual console.error (#17404) @eps1lon

### Docs

- [examples] Add a Gatsby Theme example (#17411) @hupe1980
- [docs] Add a customization example with ToggleButton (#17401) @nrkroeker
- [docs] Add a note in disabled tooltip (#17421) @konekoya
- [docs] Add a support page (#17437) @oliviertassinari
- [docs] Add demo for vertical dividers (#17457) @nrkroeker
- [docs] Add synonyms for brand icons (#17455) @mbrookes
- [docs] August Update (#17439) @oliviertassinari
- [docs] Batch small changes (#17435) @oliviertassinari
- [docs] CONTRIBUTING.md reword branch structure, remove Build, Yarn Link (#17501) @croraf
- [docs] Clarify props spread for ListItem when button flag is set (#17466) @rossmmurray
- [docs] Fix Popper demo link typo (#17522) @mbrookes
- [docs] Fix a typo in CONTRIBUTING.md (#17400) @konekoya
- [docs] Fix english language link (#17526) @croraf
- [docs] Fix heading format in CONTRIBUTING.md (#17460) @paras151
- [docs] Improve in-site search (#17450) @eps1lon
- [docs] Improve the documentation covering react-router (#17343) @MelMacaluso
- [docs] Move BACKERS.md file (#17508) @croraf
- [docs] Remove Access to premium modules from the support page (#17489) @oliviertassinari
- [docs] Spelling mistake (#17500) @jehuamanna
- [docs] Update translations (#17509, #17438) @mbrookes
- [docs] Use Button for language menu (#17487) @mbrookes
- [docs] Use Suspense for lazy loading algolia (#17451) @eps1lon
- [docs] Wrong URL for spacing in PT (#17502) @renatoagds

### Core

- [core] Prevent empty useEffect in production (#17420) @merceyz
- [core] Replace warning with manual console.error (#17404) @eps1lon
- [core] Warn when changing between controlled uncontrolled (#17422) @kmhigashioka

## 4.4.2

_Sep 11, 2019_

A big thanks to the 7 contributors who made this release possible!
This is a quick release after v4.4.1 to solve 3 regressions.

### `@material-ui/core@v4.4.2`

- [Grid] Remove lab import @oliviertassinari
- [Radio] Add zIndex to SwitchBase (#17389) @andokai
- [TextField] Fix incorrect focus handler types for FormControl (#17378) @eps1lon
- [StepButton] Fix overlap with StepContent (#17374) @rossmmurray

### Docs

- [docs] Add material-ui-flat-pagination to related projects (#17372) @szmslab
- [docs] Add tubular-react in related project (#17371) @geoperez
- [docs] Add tubular-react to tables related projects (#17382) @geoperez
- [docs] Fix color tool crash (#17380) @jsjain

### Core

- [core] Bump `@babel/*` deps (#17363) @eps1lon

## 4.4.1

_Sep 8, 2019_

A big thanks to the 21 contributors who made this release possible!

Here are some highlights ✨:

- 💄 Introduce 10 new brand icons and 61 new official Material Design icons (#17257, #17274) @colemars and @mbrookes.
- ⚛️ Move a few descriptions of the props to TypeScript (#17300) @merceyz.
  This change allows the IDEs to display the props' descriptions in place, without having to go to the documentation.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.4.1`

- [Badge] Improve shape of 2 digit badge (#17247) @mbrookes
- [Cars] Fix export issue for consistency (#17354) @yikkok-yong
- [Modal] Support theme default props (#17337) @ianschmitz
- [Rating] Fix a few issues (#17270) @oliviertassinari
- [Select] Changes the default input based on variant prop (#17304) @netochaves
- [Select] Follow spec with placement of dropdown icon (#17303) @lonssi
- [Slider] Add getAriaLabel prop (#17240) @city41
- [SvgIcon] Fix color type definition including default (#17288) @merceyz
- [Table] Fix sticky header table with buttons/inputs (#17285) @Studio384
- [TextareaAutosize] Show scrollbar when rowsMax is exceeded (#17310) @Shubhamchinda
- [useMediaQuery] Workaround Safari wrong implementation of matchMedia (#17315) @momentpaul

### `@material-ui/icons@v4.4.1`

- [icons] Add social icons (#17274) @mbrookes
- [icons] Refresh material icons (#17259) @colemars
- [icons] Update script to use latest json file (#17257) @colemars

### `@material-ui/styles@v4.4.1`

- [styles] Fix global classnames being disabled in deserialized themes (#17345) @eps1lon
- [styles] Support augmenting a default theme type (#16777) @merceyz

### `@material-ui/lab@v4.0.0-alpha.26`

- [lab] Generate proptypes from type definitions (#17300) @merceyz
- [ToggleButton] Improve accessibility (#17290) @mbrookes
- [ToggleButton] Update TypeScript class keys (#17278) @ljvanschie

### Docs

- [misc] Batch small changes (#17316) @oliviertassinari
- [docs] Fix CHANGELOG.md (#17331) @skirunman
- [docs] Add new synonyms for Material Icons (#17272) @mbrookes
- [docs] Add script to merge MD icon tags with synonyms (#17312) @mbrookes
- [docs] Batch small changes (#17268) @oliviertassinari
- [docs] Fix more SEO issue report @oliviertassinari
- [docs] Add TypeScript version of paperbase theme (#17213) @eps1lon
- [docs] Improve /customization/typography/ (#17307) @meebix
- [docs] Improve grammar in snackbars (#17296) @chaseholdren
- [docs] Notification for v4.4.0 @oliviertassinari
- [docs] Only server-side render the popular languages (#17249) @oliviertassinari
- [docs] Reduce the use of "our", "We"... (#17347) @mbrookes
- [docs] Remove section about modal performance (#17284) @eps1lon
- [docs] Remove unnecessary any cast (#17292) @eps1lon
- [docs] Remove wrong alternate languages (#17311) @oliviertassinari
- [docs] Sync JavaScript version with TypeScript @oliviertassinari
- [docs] Update translations (#17351) @mbrookes
- [docs] Update translations.json (#17266) @mbrookes

### Core

- [core] Add ref type to every component (#17286) @eps1lon
- [core] Fix typo contaniners -> containers (#17280) @charlax
- [core] Fix various dependency issues (#17317) @eps1lon
- [core] Generify props with component property (#16487) @ypresto
- [core] Guard against bad Symbol polyfills (#17336) @briandelancey

## 4.4.0

_Aug 31, 2019_

A big thanks to the 29 contributors who made this release possible!

Here are some highlights ✨:

- ✨ Add fixed Table header Support (#17139) @egerardus.
- 🌳 Accept any label in TreeView (#17080) @oliviertassinari.
- 🏝 Add standalone ToggleButton mode (#17187) @simshaun.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.4.0`

- [Backdrop] Render children inside div (#17115) @dominictwlee
- [Button] Fix typo in demo text (#17230) @jasonkylefrank
- [Button] Remove code leftover from < v4 (#17232) @sakulstra
- [ButtonGroup] Fix border color when disabled and contained (#17109) @ryanburr
- [CardActionArea] Fix 'border-radius' (#17221) @stasiukanya
- [CircularProgress] Document String format for size prop (#17081) @devsumanmdn
- [Drawer] Include ref when variant=persistent (#17090) (#17091) @ZachStoltz
- [Menu] Include 'list' in class key (#17205) @rbrishabh
- [MenuItem] Add missing dense classkey (#17103) @JapuDCret
- [Popover] Fix anchorEl positioning within popup window (#17128) @zekehernandez
- [Popover] Fix update position action (#17097) @netochaves
- [RadioGroup] Make value accept any (#17132) @cmeeren
- [Slider] Avoid mutating user's value prop (#17085) @elmeerr
- [Switch] Fix rendering in IE11 and Safari (#17095) @rbrishabh
- [Table] Add sticky header support (#17139) @egerardus
- [TextField] Specs alignment (#17192) @elmeerr
- [TextField] Update outlined label when prop changes (#17217) @Shubhamchinda
- [Tooltip] Fix interactive + enterDelay combination (#17174) @kiransiluveru
- [Typography] noWrap requires display block (#17206) @rbrishabh
- [Badge] Add alignment options to badges (#17204) @ahtcx
- [LinearProgress] Make color adapt to theme type (#17219) @ahtcx

### `@material-ui/lab@v4.0.0-alpha.25`

- [ToggleButton] Improve customizability (#17187) @simshaun
- [TreeView] Support node label (#17080) @oliviertassinari
- [Rating] Add Custom prop-type to prop name (#17078) @netochaves
- [Rating] Improve signature in docs (#17093) @cmeeren

### Docs

- [docs] Better document the ref props in the API (#17198) @oliviertassinari
- [docs] Fix edit dependencies extraction (#17120) @Shubhamchinda
- [docs] Fix page rendering on Crowdin (#17135) @mbrookes
- [docs] Fix popover demo event.target is null (#17104) @spaceexperiment
- [docs] Fix typo in modal demo (#17122) @Shubhamchinda
- [docs] Implement in-context translation (#17040) @mbrookes
- [docs] Improve custom styles of the demos (#17118) @uxitten
- [docs] Improve enhanced table variable name (#17141) @keiohtani
- [docs] Improve style of the demos (#17218) @uxitten
- [docs] Minor Update to remove "n°" notations (#17200) @skube
- [docs] Missing degree/option symbol (#17189) @skube
- [docs] New translations (#17134) @mbrookes
- [docs] Remove unnecessary createStyles in TypeScript Tabs demo (#17164) @Imballinst
- [docs] Require less strict tsconfig (#17214) @eps1lon
- [examples] Fix warning in next.js example (#17133) @Janpot
- [examples] Fix warnings Container in \_app.js with Next.js (#17181) @saltyshiomix

## 4.3.3

_Aug 21, 2019_

A big thanks to the 22 contributors who made this release possible!

Here are some highlights ✨:

- 🔍 Introduce a [material icons search](https://mui.com/components/material-icons/) (#16956).
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.3.3`

- [AppBar] Add back to top demo (#17062) @oliviertassinari
- [CardHeader] Remove mention of children from API docs (#17045) @cmeeren
- [Dialog] Add support for a Dialog without a DialogTitle (#16980) @megos
- [Divider] Add vertical support (#17063) @oliviertassinari
- [Grid] Better support custom theme spacing values (#17005) @Workvictor
- [Modal] Add transition documentation (#17059) @oliviertassinari
- [Select] Hide SVG icon for native multiple select (#16992) @craigmjackson
- [Slider] Fix mouse enter edge case for Firefox (#16986) @Astrantia
- [Slider] Hide mark labels to screen readers (#17024) @Patil2099
- [Tabs] Fix issue where scrollable tabs auto move to selected tab (#16961) @wereHamster
- [TextareaAutosize] Export component in barrel index.js (#17003) @Shubhamchinda
- [TextareaAutosize] Update spelling in props (umber to number) (#16982) @melwyn001
- [Tooltip] Fix word wrapping (#17020) @pranshuchittora
- [Tooltip] Improve arrow demo (#17058) @Patil2099

### `@material-ui/lab@v4.0.0-alpha.24`

- [Rating] Improve rendering of arbitrary precision (#17013) @Patil2099
- [TreeView] Lazy render the tree items (#17046) @Shubhamchinda
- [Skeleton] Add missing exports from the barrel (#16960) @mejackreed

### `@material-ui/styles@v4.3.3`

- [styles] Better support right-to-left (#17019) @AminZibayi

### Docs

- [docs] Add TypeScript example for switch label position (#16959) @nowNick
- [docs] Adjust React + Material UI + Firebase for v2.0 (#16988) @Phoqe
- [docs] Improve instructions for Babel import plugins (#16993) @lookfirst
- [docs] Make it easier to find material icons (#16956) @oliviertassinari
- [docs] Add synonyms for Material icons (#17021) @mbrookes
- [docs] Migration guide to v4: include change to dense Lists (#17074) @zekehernandez
- [docs] Prefer SVG over font icons in the demos (#17056) @troussos
- [docs] Small changes (#17060) @oliviertassinari
- [example] Remove unused MuiLink declaration (#16991) @colemars

### Core

- [core] Classes to hooks (#17061) @oliviertassinari
- [core] Upgrade the dependencies (#16990) @oliviertassinari
- [core] yarn docs:export support for Windows (#17009) @vabole

## 4.3.2

_Aug 10, 2019_

A big thanks to the 22 contributors who made this release possible!

Here are some highlights ✨:

- 🦴 Introduce a new Skeleton component in the lab (#16786).
- 📦 Reduce bundle size by -10%,-20% of the small helpers like useMediaQuery, Portal, and TextareaAutosize (#16842) @NMinhNguyen.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.3.2`

- [Box] Forward props into cloned element (#16882) @RostyslavKravchenko
- [ButtonGroup] Allow override of the variant prop (#16946) @nvwebd
- [ButtonGroup] Separate button colors (#16876) @CyanoFresh
- [CssBaseline] Add backdrop base styles (#16880) @yordis
- [Fab] Accept FabProps in theme.props (#16877) @aditya1906
- [FormControl] Warn if rendered multiple inputs (#16923) @lemes
- [Popper] Fix ScrollPlayground.js demo (#16948) @pinktig
- [Slider] Update TypeScript demo to cast types to values (#16957) @allypally
- [Stepper] Improve the description of the icon prop (#16916) @mbrookes
- [TextField] How to leverage CSS input validation (#16903) @jonkelling
- [Textfield] Add left property to prevent scrollbars on IE11 (#16936) @beaudry
- [ToggleButton] Fix horizontal shift (#16861) @wereHamster
- [Transition] Forward isAppearing to onEnter, onEntering, onEntered (#16917) @millerrafi

### `@material-ui/lab@v4.0.0-alpha.23`

- [TreeView] Fix the height of the customization demo (#16874) @mbrookes
- [Skeleton] New component (#16786) @oliviertassinari

### `@material-ui/system@v4.3.3`

- [system] Avoid `!important` in `borderColor` prop (#16875) @rogerclotet

### Docs

- [blog] July 2019 update (#16872) @oliviertassinari
- [docs] Add Material UI with React course in learning (#16869) @deekshasharma
- [docs] Add error boundary to demos (#16871) @oliviertassinari
- [docs] Add react compatibility in supported platforms (#16863) @pranshuchittora
- [docs] Batch small changes (#16951) @oliviertassinari
- [docs] Fix build on windows (#16870) @merceyz
- [docs] Fix grammatical error in components docs (#16886) @Dasbachc
- [docs] Hide header in DefaultTheme demo (#16937) @rogerclotet
- [docs] Migrate WithTheme demo to TypeScript (#16941) @rogerclotet
- [docs] Batch small changes (#16864) @oliviertassinari
- [docs] Batch small changes (#16883) @oliviertassinari

### Core

- [benchmark] Fix not running (#16900) @ypresto
- [ci] Ignore dependabot branches (#16893) @eps1lon
- [core] Generate PropTypes from type definitions (#16642) @merceyz
- [core] Optimize destructuring for useState, useReducer (#16842) @NMinhNguyen
- yarn docs:api @oliviertassinari

## 4.3.1

_Aug 03, 2019_

A big thanks to the 18 contributors who made this release possible!

### `@material-ui/core@v4.3.1`

- [Container] Add missing class key to overrides interface (#16783) @Und3Rdo9
- [Dialog] Test with testing-library (#16780) @eps1lon
- [Grid] Add 'root' to GridClassKey typing (#16799) @hendrikskevin
- [Modal] Fix Modal default open with disablePortal behavior (#16850) @lmuller18
- [Popper] Fix handlePopperRefRef.current is not a function (#16807) @darkowic
- [Radio][switch][Checkbox] Document the `required` prop (#16809) @pranshuchittora
- [Slider] Fix small typo (#16825) @ninjaPixel
- [TextareaAutosize] Add missing export for TextareaAutosize (#16815) @tuxracer
- [Tooltip] Fix tooltips's demo arrow dimensions (#16838) @fillipe-ramos
- [Tooltip] Remove the title attribute when open (#16804) @jamesgeorge007
- [Transition] Change the default behavior, 0ms duration if prop missing (#16839) @jamesgeorge007

### `@material-ui/lab@v4.0.0-alpha.22`

- [TreeView] Iterate on the component (#16814) @mbrookes
- [TreeView] Add customization demo (#16785) @oliviertassinari

### Docs

- [docs] Add missing `(` to withStyle docs (#16816) @SneakyFish5
- [docs] Fix typo in description of Slider (#16824) @LorenzHenk
- [docs] Improve the issue template (#16836) @pranshuchittora
- [docs] Link react-most-wanted (#16856) @TarikHuber
- [docs] Migrate all public class component to function components (#16693) @bpas247
- [docs] Small fix for box.md and migration.md (#16806) @DDDDDanica
- [docs] Update `@material-ui/pickers` (#16823) @eps1lon

## 4.3.0

_July 28, 2019_

A big thanks to the 23 contributors who made this release possible!

Here are some highlights ✨:

- 🌳 Introduce a new Tree view component in the (#14827) @joshwooding.

  This is a first step toward a feature rich tree view component.
  We will keep iterate on it to add customization demos, filter, drag and drop, and checkboxes.
  You can find the documentation under [this URL](https://mui.com/components/tree-view/).

- 💄 Support vertical tabs (#16628) @josephpung.

  You can learn more about it following [this URL](https://mui.com/components/tabs/#vertical-tabs).

- 📚 Remove the prop-types from TypeScript demos (#16521) @merceyz.

  The runtime prop-types are often redundant with the static type checks.
  We have removed them from the TypeScript demos.

- ⚛️ Add two codemods to improve the imports (#16192) @jedwards1211.

  If you are not familiar with codemods, [check the library out](https://github.com/facebook/codemod). This is a tool tool to assist you with large-scale codebase refactors.
  We introduce two new codemods in this release:

  - `optimal-imports`: Material UI supports tree shaking for modules at 1 level depth maximum.
    You shouldn't import any module at a higher level depth.

  ```diff
  -import createMuiTheme from '@material-ui/core/styles/createMuiTheme';
  +import { createMuiTheme } from '@material-ui/core/styles';
  ```

  - `top-level-imports`: Converts all @material-ui/core submodule imports to the root module.

  ```diff
  -import createMuiTheme from '@material-ui/core/styles/createMuiTheme';
  +import { createMuiTheme } from '@material-ui/core';
  ```

- 💄 Support small switch (#16620) @darkowic.

  You can learn more about it following [this URL](https://mui.com/components/switches/#sizes).

- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.3.0`

- [FilledInput] Add hiddenLabel prop (#16671) @oliviertassinari
- [Menu] Use strict mode compatible testing API (#16582) @eps1lon
- [Modal] Fix focus not being contained (#16585) @eps1lon
- [Modal] Prevent backdrop to stay open (#16694) @ValentinH
- [Popper] Fix scroll jump when content contains autofocus input (#16740) (#16751) @alirezamirian
- [Portal] Prepare deprecation of onRendered (#16597) @oliviertassinari
- [SelectInput] Fix layout issue with displayEmpty (#16743) @ypresto
- [Select] Implement WAI-ARIA dropdown without label (#16739) @eps1lon
- [useMediaQuery] Improve useWidth demo (#16611) @siriwatknp
- [Step] Add `completed` class key to TypeScript definitions (#16662) @pranshuchittora
- [Stepper] Add cutomization example (#16769) @oliviertassinari
- [Switch] Support small size (#16620) @darkowic
- [Tabs] Improve accessibility (#16384) @mbrookes
- [Tabs] Support vertical tabs (#16628) @josephpung
- [TextField] Rename interface FormControl to FormControlState (#16748) @B3zo0
- [TextareaAutosize] Fix infinite render loop (#16635) @oliviertassinari
- [TextareaAutosize] Fix infinite render loop (#16708) @mcdougal

### `@material-ui/lab@v4.0.0-alpha.21`

- [TreeView] Add new component (#14827) @joshwooding

### `@material-ui/styles@@4.3.0`

- [styles] Add typings for font-face (#16639) @merceyz

### `@material-ui/codemod@v4.3.0`

- [codemod] Add codemods for optimal tree-shakeable imports (#16192) @jedwards1211

### `@material-ui/system@v4.3.2`

- [core] Import esm babel helpers (#16701) @TrySound

### Docs

- [docs] Add CSS to api for TextField (#16659) @m2mathew
- [docs] Apply v1 redirection first @oliviertassinari
- [docs] Batch changes (#16621) @oliviertassinari
- [docs] Display correct version of Material UI (#16680) @eps1lon
- [docs] Document the global class names (#16770) @oliviertassinari
- [docs] Fix SEO reported by Ahrefs (#16765) @oliviertassinari
- [docs] Fix Typo in modal.md (#16744) @jeffshek
- [docs] Fix dependabot badge (#16725) @eps1lon
- [docs] Fix reset colors crashing app (#16750) @eps1lon
- [docs] Fix typo in typography.md (#16654) @hexium310
- [docs] Generate prop-types from TypeScript demos (#16521) @merceyz
- [docs] Grammar fix for global class names docs (#16778) @joshwooding
- [docs] Improve SEO (#16724) @oliviertassinari
- [docs] Improve favicon (#16632) @oliviertassinari
- [docs] Improve generated markdown (#16771) @merceyz
- [docs] Link page layouts to premium themes (#16690) @mbrookes
- [docs] Move dependencies/scripts from root into workspace (#16640) @eps1lon
- [docs] Prevent password field blur when adornment clicked (#16672) @ee92
- [docs] Redirects old v1.5.0 url to v1 subdomain (#16658) @m2mathew
- [docs] Reduce bundle size (#16046) @eps1lon
- [docs] Remove bbb from showcase (#16687) @mbrookes
- [docs] Remove unused imports (#16623) @merceyz
- [docs] Reword unsupported material components notes (#16660) @m2mathew
- [docs] Solve docs 301 redirections (#16705) @oliviertassinari
- [docs] Update translations (#16684) @mbrookes
- [docs] Upgrade next to v9 (#16546) @eps1lon
- [docs] Revert upgrade to next 9 (#16755) @eps1lon
- [docs] Workaround to describe aria-sort (#16767) @mbrookes
- [examples] Remove version next version from the description (#16678) @straxico

## Core

- [test] Fix empty visual rergression screenshots (#16702) @eps1lon
- [test] Fix failing test_browser in edge (#16688) @eps1lon
- [core] Batch changes (#16691) @oliviertassinari
- [core] Batch small changes (#16766) @oliviertassinari
- [core] Deduplicate packages (#16608) @merceyz
- [core] Fix type definition for createMuiTheme SpacingOptions (#16624) @dominictwlee
- [core] Import esm babel helpers (#16701) @TrySound
- [core] Introduce dependabot (#16679) @eps1lon
- [core] Remove old JSS v9 animationName property (#16779) @merceyz
- [core] Upgrade babel-plugin-optimize-clsx (#16636) @merceyz
- [core] Upgrade dependencies from yarn audit (#16625) @merceyz
- [core] Upgrade jss (#16668) @TrySound
- [core] Bump babel dependencies to latest (#16699) @eps1lon
- [ci] Merge test_browser and test_production (#16731) @eps1lon
- [ci] Use custom frozen lockfile check (#16677) @eps1lon

## 4.2.1

_July 17, 2019_

A big thanks to the 25 contributors who made this release possible!

Here are some highlights ✨:

- ♿️ Improve Dialog header accessibility (#16576) @dayander.
- ⚛️ Fix more strict mode warnings (#16525) @eps1lon.
- 🐛 Fix menu dense support (#16510) @sumedhan.
- ⭐️ Introduce a new Rating component in the lab.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.2.1`

- [Autocomplete] Use placeholder prop (#16568) @himanshupathakpwd
- [DialogTitle] Update default element from h6 to h2 (#16576) @dayander
- [Grid] Generify props with component property (#16590) @JipingWang
- [InputBase] Fix inconsistent filled state (#16526) @eps1lon
- [InputBase] Improve documentation for custom `inputComponent` (#16399) @eps1lon
- [Input] Add missing class keys in TypeScript (#16529) @dskiba
- [MenuItem] Fix dense prop support (#16510) @sumedhan
- [Modal] Use computed key to restore style (#16540) @neeschit
- [Popper] Refactor to more commonly known react patterns (#16613) @eps1lon
- [Ripple] Use custom transition logic (#16525) @eps1lon
- [Slide] Remove gutter (#16533) @User195
- [TouchRipple] Convert to function component (#16522) @joshwooding
- [Transition] The ref forwarding works (#16531) @oliviertassinari
- [useMediaQuery] Accept function as argument & more (#16343) @merceyz

### `@material-ui/styles@v4.2.1`

- [styles] Make theme optional for `styled` components (#16379) (#16478) @akomm
- [core] Upgrade deepmerge (#16520) @TrySound

### `@material-ui/system@v4.3.1`

- [core] Upgrade deepmerge (#16520) @TrySound

### `@material-ui/lab@v4.0.0-alpha.20`

- [Rating] Add a new component (#16455) @oliviertassinari
- [SpeedDialAction] Convert to hook (#16386) @adeelibr

### Docs

- [docs] Add density guide to customizations (#16410) @eps1lon
- [docs] Add sidebar alias to Drawer demo description (#16535) @mbrookes
- [docs] Fix dead link (#16567) @sharils
- [docs] Fix typo (#16561) @siowyisheng
- [docs] Fix typo in advanced styles guide (#16593) @elquimista
- [docs] Fix typo: change lakes to lacks (#16553) @davinakano
- [docs] Remove <any> from nextjs-with-typescript example (#16555) @virzak
- [docs] Remove duplicate alts (#16564) @williammalone
- [docs] Update migration v3 guide, slider in core (#16589) @elquimista
- [docs] Update typo in docs - portals (#16592) @siowyisheng
- [docs] Use LinkProps from next in examples (#16583) @Janpot
- [example] Fix "@zeit/next-typescript" dependency missing (#16603) @nb256
- [examples] Update to support Next.js v9 (#16519) @Janpot
- [blog] June 2019 Update (#16516) @oliviertassinari

### Core

- [core] Fix docs:typescript:check (#16607) @merceyz
- [core] Fix incorrect usage of HtmlHTMLAttributes (#16579) @whitneyit
- [core] Re-export missing typings (#16490) @merceyz
- [core] Remove all .defaultProps usages (#16542) @joshwooding
- [core] Restrict setRef usage to ref callback (#16539) @eps1lon
- [core] Upgrade convert-css-length (#16530) @TrySound
- [core] Upgrade deepmerge (#16520) @TrySound
- [core] Use useFormControl instead of withFormControlState (#16503) @eps1lon
- [core] Batch small changes (#16532) @oliviertassinari
- [test] Run queries on document.body (#16538) @eps1lon
- [test] react-test-renderer coverage (#16523) @dondi
- [ci] Create canaries (#16587) @eps1lon

## 4.2.0

_July 6, 2019_

A big thanks to the 24 contributors who made this release possible!

Here are some highlights ✨:

- ♿️ Fix the persisting aria-hidden logic of the Modal (#16392) @eps1lon.
- 💄 Move the Slider component to the core (#16416).
- 💄 Introduce a new TextareaAutosize component (#16362).
- ⚛️ Migrate a few components to testing-library.
- 🚀 Remove two dependencies (react-event-listener and debounce).
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.2.0`

- [Tabs] Use the correct window reference (#16497) @NMinhNguyen
- [Breadcrumbs] Add li to BreadcrumbsClassKey type (#16425) @le0nik
- [ButtonBase] Fix anchors with href having a button role (#16397) @eps1lon
- [ButtonBase] Improve test coverage (#16361) @eps1lon
- [CardMedia] Change prop requirements to conform html picture semantics (#16396) @maeertin
- [ClickAwayListener] Don't miss any click away events (#16446) @NMinhNguyen
- [FormControl] Add useFormControlState (#16467) @eps1lon
- [ListItemIcon] Add margin to line up when using flex-start (#16398) @slim-hmidi
- [ListItemSecondaryAction] Add missing types for props spread (#16411) @nsams
- [MenuItem] Fix type deceleration not using MenuItemClassKey (#16358) @merceyz
- [Menu] Fix autoFocus to work correctly with keepMounted (#16450) @ryancogswell
- [Modal] Fix persisting aria-hidden (#16392) @eps1lon
- [Modal] Make the modal demo style more "agnostic" (#16385) @oliviertassinari
- [Select] Fix node reference (#16401) @ffjanhoeck
- [Slider] Fix small step regression (#16395) @alitaheri
- [Slider] Fix textAlign prop affecting Slider rail (#16440) @mohan-cao
- [Slider] Move to core (#16416) @oliviertassinari
- [Tabs] Migrate to hooks (#16427) @oliviertassinari
- [TextareaAutosize] Fix one possible case of infinite render loop (#16387) @ZYinMD
- [TextareaAutosize] New public component (#16362) @oliviertassinari
- [Tooltip] Fix arrow demos (#16412) @Favna

### `@material-ui/styles@v4.2.0`

- [styles] Add test for removing styles via `overrides` (#16420) @eps1lon
- [styles] Handle props of type any in styled (#16356) @merceyz
- [styles] Support augmenting CSS properties (#16333) @merceyz

### `@material-ui/lab@v4.0.0-alpha.19`

- [Slider] Move to core (#16416) @oliviertassinari

### Docs

- [docs] Fix typo in TypeScript doc (#16365) @DDDDDanica
- [docs] Add missing page title for translations (#16375) @jaironalves
- [docs] Correct spelling imporant -> important (#16388) @rlfarman
- [docs] Fix typo in customizing components (#16404) @YipinXiong
- [docs] Fix typo in docs server (#16406) @thanasis00
- [docs] Fixed link to Button API in FAQ (#16370) @kxlow
- [docs] Improve example of Custom Pagination Actions Table (#16472) @bigtone1284
- [docs] Minor improvements (#16423) @eps1lon
- [docs] Reduce the headers font-size (#16433) @oliviertassinari
- [docs] Remove compose helper (#16429) @oliviertassinari
- [docs] Remove outdated references to the @next release (#16428) @davidoffyuy
- [docs] Replace hardcoded content with translation (#16380) @eps1lon
- [docs] Small ad information icon (#16438) @oliviertassinari
- [docs] Update displayEmpty prop description in Select API docs (#16376) @bigtone1284
- [docs] Update testing guide (#16368) @eps1lon
- [docs] Use full text of the code of conduct (#16417) @mbrookes
- [docs][tablecell] Fix padding and size property descriptions (#16378) @the-question

### Core

- [test] Simpler createClientRender (#16461) @eps1lon
- [ci] Move TypeScript tests into separate job (#16405) @eps1lon
- [ci] Persist/Report only if previous steps succeeded (#16432) @eps1lon
- [core] Improve test coverage (#16453) @eps1lon
- [core] Speed-up typechecking (#16413) @merceyz

## 4.1.3

_June 25, 2019_

A big thanks to the 4 contributors who made this release possible!
This is a quick release after a regression that occurred in 4.1.2.

### `@material-ui/core@v4.1.3`

- [core] Revert strict mode compatible transition components (#16348) @eps1lon
- [theme] Validate fontSize in createTypography (#16321) @merceyz

### `@material-ui/lab@v4.0.0-alpha.18`

- [Slider] Fix label contrast color (#16350) @oliviertassinari

### Docs

- [docs] Improve colors reliably (#16324) @oliviertassinari
- [docs] Migrate batch of demos to hooks/typescript (#16334) @merceyz
- [docs] Some fixes to the Link component page (#16345) @kyarik
- [docs] Use latest size snapshot from master (#16342) @eps1lon

## 4.1.2

_June 23, 2019_

A big thanks to the 30 contributors who made this release possible!

Here are some highlights ✨:

- ♿️ Fix Select and Menu keyboard behavior (#16323).
- 🚀 Reduce the Modal bundle size by -22% (5 kB) (#15839, #16254, #16262).
- 💄 Remove noise from the material.io generated icons (#16258).
- ⚛️ Extend StrictMode compatibility to 25 more components (#16283).
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.1.2`

- [ButtonBase] Fix dragging issue (#16250) @LukasMirbt
- [Dialog] Prepare deprecation of withMobileDialog (#14992) @oliviertassinari
- [Divider] Add aria role if it's not implicit (#16256) @eps1lon
- [Grow][zoom] Remove transform value when entered (#16297) @gijsbotje
- [MenuList] Fix keyboard a11y when no item is focused when opening (#16323) @eps1lon
- [Menu] Add missing `autoFocus` TypeScript types (#16289) @BassT
- [Modal] Fix aria-hidden restore logic (#15839) @mackersD
- [Modal] Migrate to hooks (#16254) @oliviertassinari
- [Modal] Refactor tests to remove internal accesses (#16262) @oliviertassinari
- [Select] Fix autowidth not working with open controlled (#16214) @jobpaardekooper
- [Select] Fix display when no value is selected (#16294) @ianschmitz
- [Select] Fix forward ref logic (#16296) @ffjanhoeck
- [Select] Fix specificity issue (#16137) @aditya1906
- [Slide] Remove the transform property once open (#16281) @gijsbotje
- [Snackbar] Fix type definition of autoHideDuration prop (#16257) @brunomonteirosud
- [TextField] Fix media hover specificity issue (#16266) @arminydy
- [TextField] Reduce specificity of notchedOutline (#16304) @romanr
- [Textarea] Update height when maxRows prop changes (#16298) @tasinet
- [TouchRipple] Fix ripple staying on fast updates (#16291) @eps1lon

### `@material-ui/icons@v4.2.1`

- [icons] Remove noise from Google source (#16258) @oliviertassinari

### `@material-ui/system@v4.3.0`

- [system] Add support for marginX, marginY, paddingX, and paddingY (#16169) @dimitropoulos
- [system] Add visibility property to display (#16231) @aditya1906

### `@material-ui/lab@v4.0.0-alpha.17`

- [Slider] Fix onChangeCommitted firing on mouseenter (#16329) @cdcasey
- [Slider] Fix various tick mark issues (#16275) @eps1lon
- [Slider] Mitigate floating point errors (#16252) @joaosilvalopes

### `@material-ui/styles@v4.1.2`

- [styles] Make StyleRules backwards compatible (#16200) @merceyz
- [styles] Only run the check on the client-side (#16284) @oliviertassinari
- [styles] Remove withTheme type from makeStyles options (#16217) @merceyz

### Docs

- [docs] Add docs for Overflow, TextOverflow, WhiteSpace (#16170) @aditya1906
- [docs] Batch of fixes (#16229) @oliviertassinari
- [docs] Better react-router-dom version comment (#16335) @kyarik
- [docs] Convert SideEffects to hooks (#16197) @eps1lon
- [docs] Fix IE11 rendering issue on the pickers page (#16246) @oliviertassinari
- [docs] Fix code example (#16279) @maslowproject
- [docs] Fix links that point to the next branch (#16326) @Maxim-Mazurok
- [docs] Fix outdated react-transition-group docs link (#16274) @eps1lon
- [docs] Improve codevariant switch perf (#16211) @eps1lon
- [docs] Include and explain value type change in migration guide (#16226) @eps1lon
- [docs] Instapaper, fix contained+secondary button border (#16236) @patelnav
- [docs] Material Sense is only using v3 (#16267) @josiahbryan
- [docs] Migrate batch of demos to hooks/typescript (#16322) @merceyz
- [docs] Remove import if there are no specifiers left (#16199) @merceyz
- [docs] Fix a typo emooji -> emoji (#16286) @sabrinaluo
- [example] Hooks are standards now, no need to mention it (#16288) @obedparla
- [examples] Fix the styled-jsx integration of the Next.js examples (#16268) @lifeiscontent

### Core

- [types] Explicitly use react types (#16230) @kdy1
- [test] Introduce @testing-library/react (#15732) @eps1lon
- [core] Add MuiCardActionArea prop (#16235) @aditya1906
- [core] Add missing MuiTableHead and MuiTableBody type to theme.props (#16220) @merceyz
- [core] Add missing exports from styles in core (#16311) @fzaninotto
- [core] Change <> to <React.Fragment> (#16225) @aditya1906
- [core] Extend StrictMode compatibility (#16283) @eps1lon
- [core] Move size tracking to azure pipelines (#16182) @eps1lon
- [core] Remove string from SpacingArgument in theme.spacing (#16290) @merceyz
- [ci] Build packages in parallel for size snapshot (#16261) @eps1lon
- [ci] Run azure on master (#16207) @eps1lon
- [ci] Use sinon browser build (#16208) @eps1lon

## 4.1.1

_June 13, 2019_

A big thanks to the 10 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 Fix react-hot-loader regression (#16195).
- 🐛 Fix TypeScript icons regression (#16139) @MayhemYDG.
- 🐛 Fix withWidth regression (#16196).
- 💄 Add Slider range support (#15703).
- And many more 📚 improvements.

### `@material-ui/core@v4.1.1`

- [ButtonBase] Fix riple not stopping on mouse up (#16142) @joaosilvalopes
- [useMediaQuery] Defensive logic against matchMedia not available (#16196) @oliviertassinari
- [Typography] Fix variantMapping rejecting partial type (#16187) @eps1lon

### `@material-ui/styles@v4.1.1`

- [styles] Fix react-hot-loader regression (#16195) @oliviertassinari

### `@material-ui/icons@v4.2.0`

- [icons] Fix generated index.d.ts (#16139) @MayhemYDG
- [icons] Update and clean the icons (#16166) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.16`

- [Slider] Support range (#15703) @oliviertassinari

### `@material-ui/system@v4.2.0`

- [system] Add overflow, textOverflow, whiteSpace properties (#16129) @aditya1906
- [system] Add remaining flexbox properties (#16164) @aditya1906

### Docs

- [docs] Add 700 font weight support (#16141) @aditya1906
- [docs] Change http to https part 2 (#16171) @aditya1906
- [docs] Fix build on windows (#16154) @merceyz
- [docs] Fix small typos in v3->v4 migration guide (#16174) @charlax
- [docs] Improve the CssBaseline description (#16148) @levigunz
- [docs] Lowercase text to demo text-transform (#16160) @blmoore
- [docs] Pseudo-class: the style rules that require an increase of specificity (#16120) @oliviertassinari
- [docs] Remove `CSS to Material UI webpack Loader` (#16175) @sabrinaluo
- [docs] import Omit Type from @material-ui/types (#16157) @aditya1906

### Core

- [core] Add TypeScript types for styled (#16133) @merceyz
- [core] Fix withStyles not including props (#16134) @merceyz
- [core] Fix yarn docs:api removing <br> tags on windows (#16165) @merceyz
- [core] Remove bootstrap v4-alpha (#16177) @aditya1906

## 4.1.0

_June 10, 2019_

A A big thanks to the 26 contributors who made this release possible!

Here are some highlights ✨:

- 💄 A new ButtonGroup component (#15744) @mbrookes.
- 💄 New system props (flex, fontStyle, letterSpacing, lineHeight) (#16045, #16109) @ljvanschie, @aditya1906.
- 📚 Fix the documentation notification spam (#16070).
- 💄 A new fontWeightBold typography theme value (#16036) @aditya1906.
- 🚀 Reduce TypeScript compile time when using the icons (#16083) @phryneas.
- And many more 🐛 bug fixes and 📚 improvements.

### `@material-ui/core@v4.1.0`

- [ButtonGroup] New component (#15744) @mbrookes
- [TextField] Improve dense height to better match the specification (#16087) @Ritorna
- [Popper] Add popperRef prop (#16069) @oliviertassinari
- [theme] Add fontWeightBold to theme.typography (#16036) @aditya1906
- [LinearProgress] Fix direction issue in RTL (#16009) @mkermani144
- [Dialog] Fix double scroll issue (#16108) @williamsdyyz
- [Popper] Fix anchorEl prop types (#16004) @dan8f
- [Snackbar] Fix wrong event call (#16070) @oliviertassinari
- [SwipeableDrawer] Convert to function component (#15947) @joshwooding
- [Tab] Improve the textColor description (#16085) @sPaCeMoNk3yIam
- [withWidth] Migrate to hooks (#15678) @jacobbogers

### `@material-ui/system@v4.1.0`

- [system] Add flex to FlexboxProps type definitions (#16045) @ljvanschie
- [system] Add fontStyle, letterSpacing, lineHeight props (#16109) @aditya1906
- [system] Fix breakpoints TypeScript types (#15720) @Kujawadl

### `@material-ui/styles@v4.1.0`

- [styles] Allow CSS properties to be functions (#15546) @merceyz
- [styles] Fix styled type definition not including properties (#15548) @merceyz
- [styles] Upgrade jss (#16121) @eps1lon

### `@material-ui/icons@v4.1.0`

- [icons] Simplify generated index.d.ts to reduce TypeScript compile time (#16083) @phryneas

### Docs

- [blog] May 2019 Update (#16117) @oliviertassinari
- [docs] Minor typo correction (#16115) @tonytino
- [docs] Add AdaptingHook TypeScript demo (#16131) @merceyz
- [docs] Add global override demos (#16067) @oliviertassinari
- [docs] Add redirect for typography migration (#16077) @eps1lon
- [docs] Add system example for prop + theme key (#16099) @peteruithoven
- [docs] Batch of small fixes (#16061) @oliviertassinari
- [docs] Bump material-table and @material-ui/pickers versions (#16039) @eps1lon
- [docs] Change http to https (#16056) @aditya1906
- [docs] Fix bundle doc typos (#16054) @DDDDDanica
- [docs] Fix chip array removal (#16086) @joaosilvalopes
- [docs] Fix grammar in migration doc (#16064) @DDDDDanica
- [docs] Fix some warnings/regressions (#16106) @eps1lon
- [docs] Fix spelling and usage of MuiCssBaseline (#16098) @tschaub
- [docs] Fix typo in the Gatsby example (#16130) @bernardwang
- [docs] Make demos linkable (#16063) @eps1lon
- [docs] Migrate Popover demo to Hooks (#16074) @nikhilem
- [docs] Migrate batch of demos to hooks/typescript (#16003) @merceyz
- [docs] Move the themes to themes.mui.com (#15983) @oliviertassinari
- [docs] Remove duplicate font icons instruction (#16066) @hubgit
- [docs] Remove extraneous link to migration helper (#16082) @charlax
- [docs] Remove unsupported textDense styles (#16057) @sadika9
- [docs] Revert unreleased changes to the useMediaQuery API (#16127) @oliviertassinari
- [docs] Update translations (#16125) @mbrookes
- [docs] Upgrade notistack and migrate the demo to hooks (#16124) @merceyz
- [docs] Use immediate export in MenuAppBar.js (#16032) @aditya1906
- [docs] Use immediate export when there is no HOC part 2 (#16038) @merceyz

### Core

- [core] Fix incorrect typings for hexToRgb (#16059) @whitneyit
- [core] Fix type definition for theme.spacing (#16031) @merceyz
- [core] Remove direct type dependency to jss/csstype (#16071) @eps1lon
- [core] Remove export of describeConformance (#16048) @eps1lon
- [core] Use only up to second level path imports (#16002) @eps1lon
- [test] Bump karma-webpack (#16119) @eps1lon

## 4.0.2

_June 3, 2019_

A A big thanks to the 30 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 A second stability release after the release of v4.0.0.
- 💄 Add a new size="small" prop to the Chip component (#15751) @mbrookes.
- 🐛 Fix three IE11 issues (#15921, #15952, #15967) @eps1lon, @rupert-ong, @ryancogswell
- And many more 📚 improvements.

### `@material-ui/core@v4.0.2`

- [Box] Fix prop-types and TypeScript warnings (#15884) @eps1lon
- [Breadcrumbs] Add theme props and override TypeScript definitions (#15950) @chrislambe
- [Chip] Add size prop for small option (#15751) @mbrookes
- [Container] Document the classes API (#15919) @divyanshutomar
- [Dialog] Improve scroll=body CSS logic (#15896) @DominikSerafin
- [Link] Better support of component="button" (#15863) @ianschmitz
- [Popover] Convert to function component (#15623) @joshwooding
- [Portal] Synchronously call onRendered (#15943) @Arlevoy
- [Radio] Fix dot misalignment in IE11 (#15952) @rupert-ong
- [theme] Return default value for spacing when no args provided (#15891) @mbrookes
- [FocusTrap] Fix error restoring focus when activeElement is null (#15967) @ryancogswell
- [core] Export useMediaQuery & useScrollTrigger in index.js (#15958) @adeelibr
- [core] Migrate extend ButtonBaseProps typings (#15869) @joshwooding

### `@material-ui/styles@v4.0.2`

- [styles] Remove warning when component with no displayName is provided (#15913) @eps1lon
- [styles] Fix createStyles for TypeScript v3.5 (#15990) @merceyz

### `@material-ui/system@v4.0.2`

- [system] Fix typing for flexDirection prop (#15987) @rhmoller

### `@material-ui/lab@v4.0.0-alpha.15`

- [lab] Consume correct core utils in lab (#15995) @TrySound

### `@material-ui/codemod@v4.0.2`

- [codemod] Improve theme codemod to handle destructured theme.spacing (#15916) @sviande

### Docs

- [docs] Add React + Material UI + Firebase as an example project (#15915) @Phoqe
- [docs] Batch of fixes (#15996) @oliviertassinari
- [docs] Fix a typo within pricing page layout example (#15978) @sdornan
- [docs] Fix broken JSS links (#15972) @timkindberg
- [docs] Fix most lighthouse a11y issues in input demos (#15780) @eps1lon
- [docs] Fix typo (#15975) @rick-software
- [docs] Fix wrong variable name (styles => useStyles) (#15908) @hiromoon
- [docs] Icon TypeScript demos (#15965) @goldins
- [docs] Improve dark mode (#15944) @eps1lon
- [docs] Improve interactive performance (#15874) @eps1lon
- [docs] Improve lighthouse a11y score in demos (#15901) @eps1lon
- [docs] Mention Virtuoso as a possible virtualization integration (#15934) @petyosi
- [docs] Migrate Grid demos to hooks (#15970) @merceyz
- [docs] Migrate Hidden demos to hooks (#15989) @merceyz
- [docs] SignIn -> SignUp typo (#15966) @Hatko
- [docs] Update FUNDING.yml with Tidelift string (#15981) @jeffstern
- [docs] Update the translations (#15991) @mbrookes
- [docs] v4 Migration doc slight clean up (#15886) @mlenser
- [example] Fix ssr example to work on Windows (#15949) @petervaldesii
- [example] Fix theme palette value (#15977) @vaidehi27
- [docs] Fix syntax error in v3 migration guide (#16010) @zhuangya
- [docs] Use immediate export when there is no HOC (#16005) @merceyz

### Core

- [core] Add dependency react>=16.3.0 requested by @emotion/core and react-js (#15982) @marco-silva0000
- [core] Fix IE11 crashes related to Object.assign (#15921) @eps1lon
- [core] Minor fixes (#15875) @joshwooding
- [core] Remove export of internal test-utils (#15895) @eps1lon
- [core] Update babel-plugin-optimize-clsx (#15894) @merceyz
- [core] Upgrade rollup and related plugins (#15939) @merceyz
- [ci] Move static tests into separate job (#15890) @eps1lon
- [core] Upgrade dependencies with esm support (#16000) @TrySound

## 4.0.1

_May 27, 2019_

A A big thanks to the 23 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 A stability release after the release of v4.0.0.
- 🤖 A new codemod to migrate the theme.spacing.unit API (#15782) @joshwooding.
- 🐛 Fix IE11 crash (#15856) @aditya1906.
- 📚 Clean up the documentation after the next -> master migration.

### `@material-ui/core@v4.0.1`

- [Buttons] Consolidate ripple props type declarations (#15843) @lychyi
- [IconButton] Add disable ripple props (#15864) @lychyi
- [ListItemText] Update classes type definitions (#15822) @davjo664
- [Tabs] Hide scrollbar on macOS (#15762) @Umerbhat
- [Tooltip] Fix alignment issues (#15811) @pkmnct
- [styles] Add MuiLink to ComponentsPropsList (#15814) @stuartgrigg

### `@material-ui/icons@v4.0.1`

- [icons] Fix the TypeScript definition of createSvgIcon (#15861) @alexkirsz

### `@material-ui/codemod@v4.0.1`

- [codemod] Create spacing API codemod (#15782) @joshwooding

### `@material-ui/styles@v4.0.1`

- [styles] Fix Symbol() usage in IE11 (#15856) @aditya1906

### `@material-ui/lab@v4.0.0-alpha.14`

- [lab] Add missing clsx calls (#15809) @merceyz

### Docs

- [docs] Add SECURITY.md (#15804) @oliviertassinari
- [docs] Add Transitions header in the dialogs page (#15847) @prasook-jain
- [docs] Add extendedFab migration (#15866) @chanand
- [docs] Add missing Breadcrumbs CSS API (#15813) @joshwooding
- [docs] Correctly fix the Google Ad issue @oliviertassinari
- [docs] Fix Boolan -> Boolean (#15880) @jaironalves
- [docs] Fix Link import (#15871) @bennyn
- [docs] Fix deploy command @oliviertassinari
- [docs] Fix empty v4 blog post link (#15831) @drac
- [docs] Fix typo in styles advanced guide (#15844) @mgvparas
- [docs] Follow the documentation, my bad @oliviertassinari
- [docs] Global at rule is called font-face (#15865) @aditya1906
- [docs] Hide the Ad fallback to Google (#15815) @oliviertassinari
- [docs] Improve SEO structure @oliviertassinari
- [docs] Improve lighthouse performance score (#15758) @eps1lon
- [docs] Let's take our time, we don't need to rush v5 (#15826) @oliviertassinari
- [docs] Minor fixes (#15836) @mbrookes
- [docs] Minor improvements to codesandbox demos and examples (#15857) @eps1lon
- [docs] Move links to the master branch (#15830) @oliviertassinari
- [docs] Redirect next.mui.com to mui.com (#15838) @mbrookes
- [docs] Update Installation.md for v4.0.0 (#15818) @hinsxd
- [docs] Update the translations (#15807) @mbrookes
- [docs] Update the v4 blog post (#15862) @mbrookes
- [docs] Update translations (#15841) @mbrookes
- [docs] Use makeStyles from core in layout examples (#15845) @divyanshutomar
- [docs] Fix typo in README (#15817) @ammaristotle
- [example] Update gatsby-plugin-material-ui dependency (#15810) @hupe1980

### Core

- [core] Add cross-env to docs:size-why (#15816) @merceyz
- [core] Change the top package name so we get the number of dependents packages @oliviertassinari
- [core] Fix not appearing in GitHub used/dependents (#15859) @eps1lon
- [core] Prepare focus visible polyfill in ref phase (#15851) @eps1lon
- [core] Remove babel-node for server/shared modules (#15764) @cvanem
- [core] Remove dependency on workspace (#15849) @eps1lon
- Create FUNDING.yml @oliviertassinari
- [test] Remove FontAwesome from screenshot tests (#15853) @eps1lon

## 4.0.0

_May 23, 2019_

[Material UI v4 is out 🎉](https://mui.com/blog/material-ui-v4-is-out/)

Some statistics with v4 compared to the release of v1 one year ago:

- From 300k downloads/month to 2M downloads/month on npm
- From 90k users/month to 350k users/month on the documentation

### `@material-ui/lab@v4.0.0-alpha.13`

- [ToggleButtonGroup] Added missing size prop to type declarations (#15785) @CoolCyberBrain

### `@material-ui/system@v4.0.0`

- [system] Add missing TypeScript types for flexbox and shadows (#15781) @willbamford

### Docs

- [docs] Add remaining TypeScript component demos (#15755) @eps1lon
- [docs] Fix Nav components subsections to be open by default (#15749) @mbrookes
- [docs] Fix some gramma in testing doc (#15776) @DDDDDanica
- [docs] Fix some grammar in right to left guide (#15789) @DDDDDanica
- [docs] Fix typo (#15792) @retyui
- [docs] Material UI v4 is out (#15766) @oliviertassinari
- [docs] Reference the article with it's full name in icon doc (#15796) @DDDDDanica
- [docs] Revert the marked change (#15797) @oliviertassinari

### Core

- [core] Change cssutils responsiveProperty unit type (#15783) @eddiemonge

## 4.0.0-rc.0

_May 20, 2019_

A A big thanks to the 17 contributors who made this release possible!

We have done the very last breaking changes (nothing significant).
The release of v4 is imminent, stay tuned!

### `@material-ui/core@v4.0.0-rc.0`

### Breaking changes

- [ClickAwayListener] Fix scrollbar interaction (#15743) @Umerbhat

  ```diff
  -<ClickAwayListener />
  +<ClickAwayListener mouseEvent="onMouseUp" />
  ```

  We recommend the default value since `mouseup` will be triggered by clicks
  on scrollbars.

- [Tabs] Hide scrollbar buttons when possible (#15676) @whitneymarkov

  ```diff
  -<Tabs />
  +<Tabs scrollButtons="desktop" />
  ```

- [Tabs] Remove deprecated fullWidth and scrollable props (#15670) @mbrookes

  ```diff
  -<Tabs fullWidth scrollable />
  +<Tabs variant="scrollable" />
  ```

### Changes

- [ButtonBase] Convert to function component (#15716) @eps1lon
- [CssBaseline] Fix wrong default font weight (#15747) @oliviertassinari
- [InputBase] Convert to function component (#15446) @adeelibr
- [Popups] Allow Element as anchor el (#15707) @eps1lon
- [Portal] Fix disablePortal not working (#15701) @imdaveead
- [Radio] Animate the check state change (#15671) @imdaveead
- [Tabs] Remove deprecated fullWidth and scrollable props (#15670) @mbrookes
- [Tabs] Update rendering of auto-scrollable buttons (#15676) @whitneymarkov
- [Tabs] Update onChange docs to match types (#15672) @jharrilim
- [ToggleButtonGroup] Add size prop (#15644) @isaacblinder

### `@material-ui/icons@v4.0.0-rc.0`

- [icons] Forward ref (#15683) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.12`

- [SpeedDial] Convert to function component (#15737) @jeongsd

### Docs

- [docs] Add showcase criteria (#15686) @cvanem
- [docs] Document if a component is StrictMode compatible (#15718) @eps1lon
- [docs] Fix "enebles" typo on Palette page (#15719) @sbward
- [docs] Fix a typo (#15709) @designorant
- [docs] Fix Algolia top level duplication (#15738) @oliviertassinari
- [docs] Fix typo and formatting in app-bar demo (#15723) @flying-sheep
- [docs] Overhaul bundle size guide (#15739) @eps1lon
- [docs] Persist the side nav scroll (#15704) @oliviertassinari
- [docs] Port blog to next (#15711) @mbrookes
- [docs] Simplify /related-projects (#15702) @pinturic
- [docs] Use pickers from material-ui namespace (#15691) @eps1lon
- [docs] Warn about ButtonBase#disableRipple and a11y (#15740) @eps1lon
- [docs] Add ClickAwayListener breaking change (#15753) @eps1lon
- [docs] Core a11y improvements (#15748) @eps1lon
- [docs] Fix some apostrophe in TypeScript doc (#15757) @DDDDDanica

### Core

- [test] Colocate shadow root test for focus visible with implementation (#15712) @eps1lon
- [test] Extend StrictMode tests (#15714) @eps1lon
- [core] Add missing fontStyle type to TypographyStyle (#15733) @merceyz

## 4.0.0-beta.2

_May 13, 2019_

A A big thanks to the 13 contributors who made this release possible!

This is a stability release preparing v4.

### `@material-ui/core@v4.0.0-beta.2`

- [Box] Add export to barrel (index.js) (#15602) @ljvanschie
- [ButtonBase] Extend error message for invalid `component` prop (#15627) @eps1lon
- [Select] Add to docs that options must be direct descendants (#15619) @bh1505
- [SwipeableDrawer] Remove internal accesses in the tests (#15469) @joshwooding
- [Tabs] scrollButtons have an empty button error in compliance tools (#15646) @elnikolinho
- [useScrollTrigger] Enhance trigger, improve tests (#15634) @cvanem

### `@material-ui/styles@v4.0.0-beta.2`

- [styles] Fix warning false positive (#15595) @oliviertassinari
- [styles] Keep MuiThemeProvider for backward compatibility (#15650) @oliviertassinari

### `@material-ui/system@v4.0.0-beta.2`

- [system] Fix CSS function rejecting certain prop types (#15611) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.11`

- [SpeedDial] Fix classname override logic (#15652) @janhesters

### Docs

- [docs] Add custom default props handler (#15473) @eps1lon
- [docs] Add next page link (#15656) @mbrookes
- [docs] Add QuintoAndar in the showcase (#15622) @oliviertassinari
- [docs] Fix dead David DM badges in README (#15667) @mbrookes
- [docs] Fix few grammar issues (#15643) @DDDDDanica
- [docs] Fix plural spelling (#15613) @cvanem
- [docs] Fix some dev-only warnings (#15640) @eps1lon
- [docs] Fix the adapting makeStyles based on props example syntax (#15621) @devarsh
- [docs] Improve installation instructions for running the docs locally (#15608) @andreawaxman
- [docs] Improve v3 migration guide (#15615) @eps1lon
- [docs] Link edit page button to GitHub editor (#15659) @mbrookes
- [docs] Miscellaneous polish (#15665) @eps1lon
- [docs] Reorganize the structure (#15603) @mbrookes
- [docs] Update the translations (#15653) @mbrookes

### Core

- [core] Drop partial chrome 41 support (#15630) @eps1lon
- [core] Optimize clsx usage (#15589) @merceyz
- [core] Remove react-event-listener from function components (#15633) @joshwooding
- [core] Upgrade the dev dependencies (#15590) @oliviertassinari

## 4.0.0-beta.1

_May 5, 2019_

A A big thanks to the 19 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 Many bug fixes based on people migrating from v3 to v4.
- 💄 Responsive font sizes (#14573) @n-batalha.
- 💄 AppBar scroll behavior (#15522) @cvanem.
- ♿️ Better Button and Tooltip keyboard behavior (#15398, #15484) @eps1lon.
- And many more 🔍 TypeScript fixes and 📚 documentation improvements.

### `@material-ui/core@v4.0.0-beta.1`

### Bug fixes / Breaking changes

- [ListItem][expansionpanel] Follow the style convention (#15534) @oliviertassinari
  Fix a CSS override issue.
- [Tooltip] Display only on keyboard focus (#15398) @eps1lon
  Fix an accessibility issue.

### Changes

- [AppBar] Hide and Elevate on Scroll (#15522) @cvanem
- [Box] Add to core index TypeScript definitions (#15576) @ljvanschie
- [ButtonBase] Use fork of focus-visible polyfill (#15484) @eps1lon
- [Menu] Add 'variant' prop TypeScript declaration (#15556) @kunimart
- [MenuList] Ignore disableListWrap for text focus navigation (#15555) @ryancogswell
- [Portal] Migrate to React hooks (#15399) @gautam-pahuja
- [TableCell] Fix TypeScript declaration of the 'padding' prop (#15516) @kunimart
- [TableCell] Update TypeScript definitions (#15541) @ljvanschie
- [TablePagination] Use OverridableComponent in TypeScript declarations (#15517) @kunimart
- [Tabs] Fix aria-label issue on the demos (#15507) @amangalvedhekar
- [theme] Responsive font sizes (#14573) @n-batalha
- [Transition] Fix false-positive ref warning (#15526) @eps1lon
- [Badge] Handle undefined badgeContent rendering empty bubble (#15581) @Naismith

### `@material-ui/styles@v4.0.0-beta.1`

- [styles] Create a new JSS instance with injectFirst (#15560) @oliviertassinari
- [core] Set default theme type for makeStyles (#15549) @merceyz
- [core] Set default theme type for useTheme (#15538) @merceyz

### `@material-ui/types@v4.0.0-beta.2`

- [types] Add @material-ui/types package (#15577) @eps1lon

### `@material-ui/system@v4.0.0-beta.1`

- [system] Test types (#15575) @eps1lon

### `@material-ui/lab@v4.0.0-alpha.10`

- [Slider] Save focus after click (#15439) @jztang

### Docs

- [example] Fix TypeScript compilation error (#15550) @emmtqg
- [docs] Add DelayingApperance TypeScript demo (#15551) @merceyz
- [docs] Convert react-autosuggest demo to TypeScript (#15485) @nareshbhatia
- [docs] Document v4 theme.spacing.unit deprecation (#15571) @cvanem
- [docs] Extract inherited component from test (#15562) @eps1lon
- [docs] Fix Draggable Dialog interactions with the content (#15552) @devdanco
- [docs] Fix outdated links & demos (#15521) @oliviertassinari
- [docs] Fix typechecking (#15501) @merceyz
- [docs] Fix typography demo in dark mode (#15591) @jztang
- [docs] Improve v3 migration guide (#15527) @janhesters
- [docs] Migrate more demos to hooks (#15494) @merceyz
- [docs] Remove NoSsr where possible (#15510) @oliviertassinari
- [docs] Simplify wording for customization demo descriptions (#15539) @mbrookes
- [docs] Update Changelog (#15567) @oliviertassinari
- [docs] Updated v3 Migration guide (#15518) @vkasraj

### Core

- [core] Add additional warnings when attaching ref to function elements (#15519) @eps1lon
- [core] Add ref prop to transition components (#15520) @eps1lon
- [core] Better handle theme.overrides pseudo-classes (#15578) @oliviertassinari
- [core] Fix createStyles not being defined (#15547) @pvdstel

## 4.0.0-beta.0

_Apr 28, 2019_

A A big thanks to the 21 contributors who made this release possible!

Here are some highlights ✨:

- ♿️ Significantly improve the keyboard behavior of the menu (#15360, #15495) @ryancogswell.
- 💅 Generate global class names (#15140) @oliviertassinari.
- 📦 Add example integration with Preact (#15401).
- 🔥 Continue the TypeScript and hook demos migration @merceyz, @bh1505, @donigianrp, @eluchsinger, @eps1lon, @lksilva.
- 🎀 4 more core components migrated from Classes to Hooks @joshwooding.
- 📦 Reduce the cost of using the Modal by -74% standalone (#15466).
- And many more 🐛 bug fixes and 💄 improvements.

The library has entered the beta phase of v4.
We are grateful to all the contributors that have helped us so far.
We will focus or effort on the stability of the library for the next two weeks.
We don't plan more breaking changes, at the exception of changes that are required to fix bugs or that have minor impacts.
We hope we can release v4 on May 15th, one year after v1.

Please try the beta out! You can find an [upgrade guide](https://mui.com/material-ui/migration/migration-v3/) to ease the transition.
You will learn more about v4 in the final release blog post and our plans for the future.

### `@material-ui/core@v4.0.0-beta.0`

#### Breaking Changes

- [styles] Generate global class names (#15140) @oliviertassinari
  Remove the dangerouslyUseGlobalCSS options (makes it the default behavior).
- [Modal] -74% bundle size reduction when used standalone (#15466) @oliviertassinari
  Remove the classes customization API for the Modal component.
- [core] Remove RootRef usage (#15347) @joshwooding
  The Modal and Dialog child needs to be able to hold a ref.

  ```diff
  class Component extends React.Component {
    render() {
      return <div />
    }
  }
  -const MyComponent = props => <div {...props} />
  +const MyComponent = React.forwardRef((props, ref) => <div ref={ref} {...props} />);
  <Modal><Component /></Modal>
  <Modal><MyComponent /></Modal>
  <Modal><div /></Modal>
  ```

- [ClickAwayListener] Hide react-event-listener (#15420) @oliviertassinari
- [Slide] Convert to function component (#15344) @joshwooding
  The child needs to be able to hold a ref.

  ```diff
  class Component extends React.Component {
    render() {
      return <div />
    }
  }
  -const MyComponent = props => <div {...props} />
  +const MyComponent = React.forwardRef((props, ref) => <div ref={ref} {...props} />);
  <Slide><Component /></Slide>
  <Slide><MyComponent /></Slide>
  <Slide><div /></Slide>
  ```

#### Changes

- [TextField] Update labelWidth for outline variant if required is updated (#15386) @dmiller9911
- [Breadcrumbs] Fix types and enable component generic props (#15414) @Atralbus
- [TextField] Pass rowsMin prop to underlying abstractions (#15411) @pachuka
- [SelectInput] Convert to function component (#15410) @joshwooding
- [Link] Improve TypeScript integration with react-router (#15412) @pachuka
- [ButtonBase] Remove dead style (#15503) @koshea
- [Menu] Improve performance and add support for variants (#15360) @ryancogswell
- [MenuList] Add text keyboard focus navigation (#15495) @ryancogswell
- [Modal] -74% bundle size reduction (#15466) @oliviertassinari
- [Paper] Fix color inheritance issue using nested themes (#15465) @mustafahlvc
- [Popper] Convert to function component (#15405) @joshwooding
- [Radio][checkbox] Revert breaking changes (#15483) @oliviertassinari
- [Select] Display 0 as a valid value, fix a propType warning (#15468) @Princezhm
- [Slider] Add Customized Slider Demo (#15478) @bh1505
- [Snackbar] Convert to function component (#15504) @adeelibr
- [Textarea] Fix cursor jump (#15436) @oliviertassinari
- [Textarea] Remove rowsMin prop (#15430) @pachuka

### `@material-ui/styles@v4.0.0-beta.0`

- [styles] Add type test for withStyles + ref (#15383) @eps1lon
- [styles] Warn if @material-ui/styles is duplicated (#15422) @oliviertassinari
- [styles] Generate global class names (#15140) @oliviertassinari

### Docs

- [docs] Add Button + react-router TypeScript demo (#15382) @eps1lon
- [docs] Add CustomizedSwitches TypeScript demo (#15424) @donigianrp
- [docs] Add Interactive List TypeScript demos (#15416) @lksilva
- [docs] Add Nested List and Switch List Secondary TypeScript demos (#15493) @bh1505
- [docs] Add ref vs dom node prop explanation (#15458) @eps1lon
- [docs] Add Selected List Item to TypeScript demos (#15417) @lksilva
- [docs] Add SkipNav (#15409) @mbrookes
- [docs] Add some Selection-Controls TypeScript demos (#15408) @bh1505
- [docs] Add switches TypeScript demo (#15384) @JarkEMones
- [docs] Add TypeScript demo for hook+props based styling (#15459) @eps1lon
- [docs] Document Tooltip breaking changes (#15403) @joshwooding
- [docs] Fix modal demo jumping on cursor move (#15462) @eps1lon
- [docs] Improve CSS Grid documentation (#15477) @dmwyatt
- [docs] Improved demo transpiling (#15438) @merceyz
- [docs] material-table demo: persist the changes (#15392) @mbrn
- [docs] Migrate Divider demos to hooks (#15490) @merceyz
- [docs] Migrate Drawer demos to hooks (#15487) @merceyz
- [docs] Migrate List demos to hooks (#15488) @merceyz
- [docs] Migrate Paper demos to hooks (#15489) @merceyz
- [docs] Migrate picker demos to hooks (#15390) @merceyz
- [docs] Migrate Table demos to hooks (#15486) @merceyz
- [docs] Migrate TextField demos to hooks (#15434) @merceyz
- [docs] Remove unused imports and declarations (#15479) @merceyz
- [docs] Separate out selection controls to own pages (#15427) @mbrookes
- [docs] Small grammar fix for Menu (#15475) @mbrookes
- [docs] Transfer List TypeScript Demo (#15419) @eluchsinger
- [example] Add preact-next example (#15401) @oliviertassinari
- [example] Fix gatsby-next (#15406) @TheHolyWaffle

### Core

- [core] Fix the CI fail (#15428) @oliviertassinari
- [ci] Fail when demos are only available in TypeScript (#15460) @eps1lon
- [core] Fix useLayoutEffect warnings on the server (#15463) @eps1lon
- [core] Minor nitpicks (#15432) @joshwooding
- [core] Use terser for minification in umd bundle (#15491) @eps1lon
- [test] Conform components forward ref to root component (#15425) @eps1lon
- [test] Fix a flaky test (#15445) @oliviertassinari
- [test] Keep track of the bundle size of FocusTrap (#15453) @oliviertassinari

## 4.0.0-alpha.8

_Apr 17, 2019_

A A big thanks to the 27 contributors who made this release possible!

Here are some highlights ✨:

- 🔥 Many new TypeScript & hook demos @donigianrp, @sperry94, @jasondashwang, @cahilfoley, @bh1505 and @kenzhemir
- 🎀 5 more core components migrated from Classes to Hooks @joshwooding, @oliviertassiari.
- 📐 Update the List to better match the Material Design specification.
- 🎁 Add new TransferList component @mbrookes.
- And many more 🐛 bug fixes and 💄 improvements.

We hope the next release can be 4.0.0-beta.0.
Here are the last breaking changes we want to introduce:

- Remove the `dangerouslyUseGlobalCSS` option (make it the default behavior) (#15140)
- Require the Slide and Modal child element to be able to hold a ref (#15344, #15347)
- Hide the EventListener dependency of ClickAwayListener (#15126)

We have done a lot of changes in the alpha phase.
The beta phase will be used to stabilize the library, we might have introduced bugs.
We will encourage people to try the beta out. We hope the migration will be smooth [with the upgrade guide](https://mui.com/material-ui/migration/migration-v3/).

We hope 2-3 weeks of beta will be enough. We plan on releasing v4 stable in May.

### `@material-ui/core@v4.0.0-alpha.8`

#### Breaking Changes

- [Paper] Reduce the default elevation (#15243) @oliviertassinari
  Change the default Paper elevation to match the Card and the Expansion Panel:

  ```diff
  -<Paper />
  +<Paper elevation={2} />
  ```

- [List] Update to match the specification (#15339) @oliviertassinari
  Rework the list components to match the specification:

  - The usage of the `ListItemAvatar` component is required when using an avatar
  - The usage of the `ListItemIcon` component is required when using a left checkbox
  - The `edge` property should be set on the icon buttons.

- [actions] Rename disableActionSpacing to disableSpacing (#15355) @oliviertassinari

  - [CardActions] Rename the `disableActionSpacing` prop `disableSpacing`.
  - [CardActions] Remove the `disableActionSpacing` CSS class.
  - [CardActions] Rename the `action` CSS class `spacing`.
  - [DialogActions] Rename the `disableActionSpacing` prop `disableSpacing`.
  - [DialogActions] Rename the `action` CSS class `spacing`.
  - [ExpansionPanelActions] Rename the `action` CSS class `spacing`.

- [Tooltip] Convert to function component (#15291) @joshwooding
  The child of the `Tooltip` needs to be able to hold a ref

  ```diff
  class Component extends React.Component {
    render() {
      return <div />
    }
  }
  -const MyComponent = props => <div {...props} />
  +const MyComponent = React.forwardRef((props, ref) => <div ref={ref} {...props} />);
  <Tooltip><Component /></Tooltip>
  <Tooltip><MyComponent /></Tooltip>
  <Tooltip><div /></Tooltip>
  ```

#### Changes

- [ScrollbarSize] Convert to function component (#15233) @joshwooding
- [InputBase] Fix placeholder bug in Edge (#15267) @rodrigolabs
- [TransferList] Add new component (#15232) @mbrookes
- [withMobileDialog] Improve types (#15276) @eps1lon
- [Collapse] Convert to function component (#15248) @joshwooding
- [DialogContent] Add divider prop type for TypeScript (#15273) @sperry94
- [Tab] Remove outdated classes from the definitions (#15297) @zheeeng
- [Tooltip] Suppress disabled button warning when controlled (#15304) @tasinet
- [typescript] Generic props for FormControl, FormLabel, List (#15292)
- [Select] Fix incorrect event.target type in onChange (#15272) @sperry94
- [Popper] Fix to defer setting of exited state to Transition component (#15250) @Sharakai
- [Modal] Fix to defer setting of exited state to Transition component (#15266) @Sharakai
- [InputBase] Fix onFilled/onEmpty being called during render (#15319) @eps1lon
- [Tooltip] Convert to function component (#15291) @joshwooding
- [Ripple] Convert to function component (#15345) @joshwooding
- [Textarea] Refactor the implementation (#15331) @oliviertassinari
- [Modal] Add reason parameter to onClose function signature (#15373) @JarkEMones
- [Box] Test props to attributes forwarding (#15365) @eps1lon
- [Container] Add component prop for TypeScript (#15369) @Amere
- [Popper] Fix popperOptions prop (#15359) @jaipe

### `@material-ui/styles@v4.0.0-alpha.8`

- Fix dependency duplication issue @oliviertassinari
- [styles] Improve typings for makeStyles (#15366) @geirsagberg

### `@material-ui/system@v4.0.0-alpha.8`

- [system] Add types (#15357) @eps1lon

### `@material-ui/docs@v4.0.0-alpha.8`

- [NProgressBar] Add types (#15380) @eps1lon

### Docs

- [docs] Fix layout glitch when changing sort-by in showcases (#15255) @thomasnordquist
- [docs] Add Checkbox TypeScript demo (#15222) @donigianrp
- [docs] Add CheckboxLabel TypeScript demo (#15237) @donigianrp
- [docs] Adding Most Stepper TypeScript Demos (#15223) @sperry94
- [docs] Add CustomInputBase TypeScript demo (#15209) @jasondashwang
- [docs] Add most Drawer TypeScript demos (#15119) @cahilfoley
- [docs] Slight grammar changes to color.md (#15257) @raybooysen
- [docs] Document sharing makeStyles between components (#15234) @johnraz
- [docs] Improve the @material-ui/styles documentation (#15236) @oliviertassinari
- [docs] Add CheckboxesGroup TypeScript demo (#15228) @donigianrp
- [docs] Delete legacy lab/layout (#15285) @mbrookes
- [docs] Proof the Styles section (#15268) @mbrookes
- [docs] Enable react profiling in production (#15282) @eps1lon
- [docs] Improve table demos (#15281) @eps1lon
- [docs] Add ClippedDrawer TypeScript demo (#15284) @cahilfoley
- [docs] Add most Dialog TypeScript demos (#15271) @sperry94
- [docs] Who's using Material UI? (#15301) @mbrookes
- [examples] Fix HTML end tag (#15293) @raybooysen
- [docs] Update version filter (#15307) @mbrookes
- [docs] Removed styled-components in gatsby-next dependencies (#15313) @tatchi
- [docs] Improve ServerStyleSheets documentation (#15287) @raymondsze
- [docs] Add Select TypeScript demos (#15288) @cahilfoley
- [docs] Fix placeholder position in react-select demo (#15332) @merceyz
- [docs] Add some List TypeScript demos (#15323) @bh1505
- [docs] Disable the table of content on a few pages (#15338) @oliviertassinari
- [docs] Document ref forwarding (requirements) (#15298) @eps1lon
- [example] Add Reason example (#15340) @Tevinthuku
- [docs] Migrate docs' breadcrumbs page to hooks (#15349) @kenzhemir
- [docs] Provide a definition to root element and component (#15337) @oliviertassinari
- [docs] update FAQ doc (#15356) @gautam-pahuja
- [docs] Expand demo by default instead of duplicating the code (#15364) @eps1lon
- [docs] Promote material-table (#15367) @oliviertassinari
- [docs] Improve the customization demos (#15368) @oliviertassinari
- [docs] Use tsx syntax highlighting (#15385) @eps1lon

### Core

- [core] Allow docs:dev access over local network (#15259) @eps1lon
- [core] Type ref for components (#15199) @eps1lon
- [core] Dedupe lockfile (#15260) @eps1lon
- [core] Ref cleanup (#15261) @eps1lon
- [test] Add undesired withStyles + generic props component behavior (#15215) @eps1lon
- [Transition] Update transition tests (#15249) @joshwooding
- [core] Switch from buttonRef to ref usage (#15296) @eps1lon
- [core] Synchronise value and checked prop typing (#15245) @joshwooding
- [test] Use skip instead of testComponentPropWith: false (#15309) @eps1lon
- [core] Reduce calls to actions props (#15312) @eps1lon
- [test] Use actual React.memo (#15321) @eps1lon
- [core] Add `strict` option to createMount (#15317) @eps1lon
- [core] Use implicit children spread (#15354) @oliviertassinari
- [core] Reduce calls to actions prop (#15370) @eps1lon
- [core] Upgrade react-transition-group (#15375) @eps1lon
- [test] Add missing styles tests (#15376) @ellisio
- [test] Add hoc + overridable component workaround (#15381) @ellisio
- [utils] Fix lazy and memo components issuing forward ref warnings (#15322) @eps1lon

## 4.0.0-alpha.7

_Apr 8, 2019_

A A big thanks to the 24 contributors who made this release possible!

Here are some highlights ✨:

- 🔥 Many new TypeScript & hook demos @Dudrie, @jasondashwang, @sperry94, @Adherentman, @gabrielgene and @Tevinthuku
- 🎀 6 more core components migrated from Classes to Hooks @joshwooding.
- 📐 Update the selection controls and Snackbar to better match the Material Design specification.
- And many more 🐛 bug fixes and 💄 improvements.

### `@material-ui/core@v4.0.0-alpha.7`

#### Breaking Changes

- [Switch][radio][Checkbox] Improve specification compliance (#15097) @oliviertassinari

  Refactore the implementation to make it easier to override the styles.
  Rename the class names to match the specification wording:

  ```diff
  -icon
  -bar
  +thumb
  +track
  ```

- [Snackbar] Match the new specification (#15122) @oliviertassinari

  - Change the dimensions
  - Change the default transition to from `Slide` to `Grow`.

- [TextField] Fix height inconsistency (#15217) @gautam-relayr

  Remove the `inputType` class from `InputBase`.

#### Changes

- [Box] Add remaining props to type declaration (#15101) @iamsoorena
- [theme] Prepare the deprecation of theme.mixins.gutters (#15124) @oliviertassinari
- [Switch] Add demo for labels on both sides (#14900) @s7dhansh
- [Zoom] Convert to function component (#15133) @joshwooding
- [Tab] Remove internal indicator prop types (#15143) @sperry94
- [Grid] Add root class (#15163) @eps1lon
- [Grow] Convert to function component (#15134) @joshwooding
- [CardMedia] Move object-fit to the core (#15166) @gebigoma
- [core] Forward ref in Collapse, Popper and SwipeableDrawer (#15170) @eps1lon
- [Popover] Fix the warning when anchorReference="anchorPosition" (#15182) @xaviergonz
- [styles] Fix getLuminance for hsl (#14391) @strayiker
- [Select] Trigger the open callbacks even when uncontrolled (#15176) @rreznichenko
- [Popover] Add warning when non-ref-holding component is used in Paper (#15181) @eps1lon
- [TablePaginationActions] Convert to function component (#15189) @joshwooding
- [TextField] Add links to Input and Select (#15148) @MrHen
- [CardMedia] Allow generic component in TypeScript (#15098) @Domino987
- [Button] Improve types with regard to react-router (#15193) @eps1lon
- [NoSsr] Convert to function component (#15167) @joshwooding
- [ClickAwayListener] Remove findDOMNode usage (#15179) @eps1lon
- [FormControl] Convert to function component (#15208) @joshwooding
- [SwitchBase] Convert to function component (#15188) @joshwooding

### `@material-ui/styles@v4.0.0-alpha.7`

- [styles] Fix types of ServerStyleSheets.collect (#15156) @evenchange4
- [styles] Add injectFirst to StylesOptions interface (#15192) @stefanorie
- [styles] Memoize theme to prevent re-rendering (#15201) @jhrdina

### Docs

- [docs] SimplePortal example using Hooks (#15125) @ralvs
- [example] Simplify ssr examples (#15127) @oliviertassinari
- [docs] Add Grid List TypeScript demos (#15118) @Dudrie
- [docs] Polish Snackbar demos (#15129) @eps1lon
- [docs] More Table TypeScript demos (#15086) @jasondashwang
- [docs] Add most Progress TypeScript demos (#15104) @sperry94
- [docs] Flatten /layout/layout (#15120) @oliviertassinari
- [docs] Migrate docs' App bar page to hooks (#15121) @gabrielgene
- [docs] Migrate docs' Tooltips page to hooks (#15137) @gabrielgene
- [docs] Use Date type instead of any for Material UI pickers demo (#15144) @gabrielgene
- [docs] Add virtualized List example (#15149) @joshwooding
- [docs] Update Style library interoperability + Container forwardRef (#15147) @oliviertassinari
- [docs] Run the TypeScript demos (#15159) @oliviertassinari
- [docs] Add Breadcrumbs TypeScript demos (#15139) @Adherentman
- [docs] Fix anchor link (#15174) @eps1lon
- [docs] Convert customized select component to use hooks (#15177) @Tevinthuku
- [docs] Add ExpansionPanels TypeScript Demo (#15162) @Adherentman
- [docs] Add ref forwarding to API docs (#15135) @eps1lon
- [docs] Add ImgMediaCard TypeScript demo (#15130) @jasondashwang
- [docs] Link 'React Material UI Cookbook' (#15211) @oliviertassinari
- [docs] Fix the docs in dev mode for IE11 (#15230) @oliviertassinari
- [docs] New translations (#15235) @mbrookes
- [examples] Update all the examples + page layout examples (#15219) @nareshbhatia
- [docs] Tidy up moved / deleted translations and update the Crowdin config (#15247) @mbrookes

### Core

- [test] Forward ref behavior (#15131) @eps1lon
- [core] Use explicit HTML entity (#15132) @eps1lon
- [test] Decouple root class from root component (#15168) @eps1lon
- [core] Polish `type` type of button related components (#15158) @eps1lon
- [DialogContentText] Test conformance (#15206) @eps1lon

## 4.0.0-alpha.6

_Mar 30, 2019_

A A big thanks to the 20 contributors who made this release possible!

Here are some highlights ✨:

- 🔥 Many new TypeScript & hook demos @eluchsinger, @sperry94, @Dudrie.
- 🎀 5 more core components migrated from Classes to Hooks @joshwooding.
- ⚛️ A simpler server-side rendering API (#15030).
- 💅 Better typography defaults (#15100) @oliviertassinari
- And many more 🐛 bug fixes and 💄 improvements.

### `@material-ui/core@v4.0.0-alpha.6`

#### Breaking Changes

- [Typography] Better defaults (#15100) @oliviertassinari

  - Change the default variant from `body2` to `body1`.
    A font size of 16px is a better default than 14px.
    Bootstrap, material.io or even our documentation use 16px as a default font size.
    14px like Ant Design is understandable as Chinese users have a different alphabet.
    We document 12px as the default font size for Japanese.
  - Remove the default color from the typography variants.
    The color should inherit most of the time. It's the default behavior of the web.
  - Rename `color="default"` to `color="initial"` following the logic of #13028.
    The usage of _default_ should be avoided, it lakes semantic.

- [Container] Move to the core (#15062) @oliviertassinari

#### Changes

- [Box] Use the default theme (#15019) @apanizo
- [SwipeableDrawer] Ignore open swipe if it didn't start on the swipe area (#15045) @leMaik
- [Divider] Enable component generic props (#15040) @StevenGodin
- [ListItem] Add type test for button prop (#15049) @eps1lon
- [Button] Fix typing for type-attribute (#15077) @karlbohlmark
- [RadioGroup] Remove cloneElement, use the context (#15069) @oliviertassinari
- [Popover] Add warning to Popover if anchorRef is not visible (#15090) @alexmironof
- [MobileStepper] Support variant "text" (#15108) @AcidRaZor
- [Tabs] Update so that tabs keep equal widths (#15114) @sosaucily

### `@material-ui/styles@v4.0.0-alpha.6`

- [styles] Fix IE11 issue (#15034) @oliviertassinari
- [styles] Use the hook directly in styled() (#15029) @oliviertassinari
- [styles] Add a new injectFirst prop (#15028) @oliviertassinari
- [styles] Go back to index counter (#15044) @oliviertassinari
- [styles] Server-side rendering API (#15030) @oliviertassinari
- [styled] Correct doc and typings for styled with theme (#15004) @sveyret

### `@material-ui/lab@v4.0.0-alpha.6`

- [Slider] Fix onChange not being fired on single touch (#14998) @ahockersten

### Docs

- [docs] Add keyframes in the v3 -> v4 upgrade guide (#15039) @oliviertassinari
- [docs] Migrate one demo to the hooks (#15031) @oliviertassinari
- [docs] Add TypeScript demos for Dividers (#15037) @eluchsinger
- [docs] Add Chip TypeScript demo for Chip array (#15050) @sperry94
- [docs] Add MQTT Explorer to showcases (#15033) @thomasnordquist
- [docs] Fix CustomizedTabs demo (#15065) @HaNdTriX
- [docs] Add a new site to showcase (learnseeker) (#15064) @ravishwetha
- [docs] Add Tabs TypeScript demo (#15053) @sperry94
- [docs] Migrate docs' badge page to hooks (#15109) @apanizo
- [docs] Migrate docs' buttons page to hooks (#15110) @apanizo
- [docs] Add Pickers TypeScript demos (#15103) @sperry94
- [docs] Migrate Avatar demo page to the hooks (#15116) @rick-mo
- [docs] Add Snackbars TypeScript Demos (#15087) @sperry94
- [docs] Add Tooltip TypeScript demos (#15061) @Dudrie

### Core

- [ToggleButtonGroup] Convert to function component (#15025) @joshwooding
- [ToggleButton] Convert to function component (#14965) @joshwooding
- [Fade] Convert to function component (#15027) @joshwooding
- [performance] Add live pages (#15046) @oliviertassinari
- [ExpansionPanelSummary] Convert to function component (#15043) @joshwooding
- [test] Add conformance suite (#14958) @eps1lon
- [Menu] Convert to function component (#15068) @joshwooding
- [test] Update enzyme (#14987) @eps1lon
- [core] Batch of fixes (#15115) @oliviertassinari

## 3.9.3

_Mar 28, 2019_

A big thanks to the 11 contributors who made this release possible!

This release fixes an important regression with TypeScript: https://github.com/mui/material-ui/issues/15076.

### `@material-ui/core@v3.9.3`

- [Select] Open select when focused with enter (#14452) @oknechirik
- [Tooltip] Fix children focus detection (#14496) @codeheroics
- [SwipeableDrawer] Ignore open swipe if it didn't start on the swipe area (#15038) @leMaik
- [Button] Narrow type for `type` prop (#15096) @karlbohlmark

### Docs

- [docs] Fix hooks codesandbox broken (#14553) @Abbo44
- [docs] Fix typo in simple breadcrumbs example (#14575) @AndrewUsher
- [blog] Material UI Developer Survey 2019 (#14614) @oliviertassinari
- [docs] Change Gitter to Spectrum (#14668) @mbrookes
- [docs] Update link to https://cssinjs.org/jss-api/ (#14788) @monicatie
- [docs] Add Algolia metadata (#14835) @oliviertassinari
- [docs] Improve overrides.md wording (#14403) @i0
- [docs] Grammar fix (#14960) @nateq314

### Core

N/A

## 4.0.0-alpha.5

_Mar 23, 2019_

A A big thanks to the 23 contributors who made this release possible!

Here are some highlights ✨:

- 📝 A new ROADMAP (#14923).
- 📝 Many new TypeScript demos @vitkon, @cojennin, @Dudrie, @rahmatrhd, @jasondashwang.
- And many more 🐛 bug fixes and 💄 improvements.

### `@material-ui/core@v4.0.0-alpha.5`

#### Breaking Changes

- [TextField] Prevent fullwidth textfield expanding the screen (#14988) @FMcIntosh

  Change the default box sizing model of the `InputBase`. It uses the following CSS now:

  ```css
  box-sizing: border-box;
  ```

  It solves issues with the `fullWidth` prop.

- [Modal] Ignore event.defaultPrevented (#14991) @oliviertassinari

  The new logic closes the Modal even if `event.preventDefault()` is called on the key down escape event.
  `event.preventDefault()` is meant to stop default behaviors like clicking a checkbox to check it, hitting a button to submit a form, and hitting left arrow to move the cursor in a text input etc.
  Only special HTML elements have these default behaviors.
  You should use `event.stopPropagation()` if you don't want to trigger an `onClose` event on the modal.

#### Changes

- [Popover] Correct warning for tall component (#14925) @vitkon
- [List] Memoize context value (#14934) @mkermani144
- [Typography] Add a custom, self-hosted font demo (#14928) @johnrichter
- [RadioGroup] Warn for uncontrolled <-> controlled switch (#14878) @manonthemat
- [Slide] Attach ref to child instead of Transition (#14847) @eps1lon
- [Grid] Fix zeroMinWidth proptype warning (#14967) @pmacom
- [TextField] Reduce the specificity (#14953) @oliviertassinari
- [MenuList] Convert to a function component (#14865) @ryancogswell
- [Popper] Add ClickAwayListener documentation (#14986) @charlax
- [RadioGroup] Convert to a function component (#14964) @joshwooding
- [Tab] Enable generic props (#15003) @caroe233
- [Tooltip] Make enterTouchDelay match the specification (#15008) @devsumanmdn
- [Chip] Support pressing delete to delete a chip (#14978) @keeslinp
- [Box] Improve TypeScript definitions (#15024) @pheuter

### `@material-ui/styles@v4.0.0-alpha.5`

- [test] Remove test-only class wrappers for higher-order components (#15017) @eps1lon

### Docs

- [docs] Remove flow examples as outdated (#14919) @oliviertassinari
- [docs] Enable German (#14927) @mbrookes
- [docs] Add react-basket to related projects (#14941) @mbrn
- [docs] Update the ROADMAP (#14923) @oliviertassinari
- [docs] Take advantage of the default theme (#14945) @oliviertassinari
- [docs] Improve the styles interpolation documentation (#14940) @oliviertassinari
- [docs] Add Avatar TypeScript demos (#14954) @cojennin
- [docs] Add PaperSheet TypeScript demo (#14952) @vitkon
- [docs] Remove all the .hooks.js files (#14947) @oliviertassinari
- [docs] Add Badge TypeScript demo (#14969) @vitkon
- [docs] Grammar fix in FAQ (#14974) @rtalvarez
- [docs] Document how to nest style selectors (#14957) @cojennin
- [docs] BottomNavigation TypeScript docs (#14979) @vitkon
- [docs] Add some Card TypeScript demos (#15011) @Dudrie
- [docs] Add Badge TypeScript demo for Maximum Value (#15013) @rahmatrhd
- [docs] Add TypeScript demos for Simple and Spanning Table (#14985) @jasondashwang
- [docs] Add note to docs README regarding translations (#15020) @mbrookes
- [docs] Content's max width changed for large displays (#15014) @kenzhemir

### Core

- [core] Refactor a subset of components from classes to functions (#14854) @mbrookes
- [benchmark] Use deterministic version tags (#14968) @eps1lon
- [test] Remove test-only class wrappers for higher-order components (#15017) @eps1lon

## 4.0.0-alpha.4

_Mar 17, 2019_

A A big thanks to the 17 contributors who made this release possible!

Here are some highlights ✨:

- Improve the TypeScript definitions of @material-ui/styles @VincentLanglet.
- Prepare the migration of more TypeScript demos (#14896) @eps1lon.
- Complete the i18n support for the documentation (#14838) @oliviertassinari.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v4.0.0-alpha.4`

#### Breaking Changes

- [ButtonBase] Require host or ref forwarding components (#13664) @eps1lon
- [SvgIcon] Rename nativeColor -> htmlColor (#14863) @oliviertassinari

  React solved the same problem with the `for` HTML attribute, they have decided to call the prop `htmlFor`. This change follows the same reasoning.

  ```diff
  -<AddIcon nativeColor={secondary.contrastText} />
  +<AddIcon htmlColor={secondary.contrastText} />
  ```

- [Divider] Remove the deprecated inset prop (#14826) @joshwooding

  ```diff
  -<Divider inset />
  +<Divider variant="inset" />
  ```

- [Box] Remove the unstable prefix & import the right version (#14845) @pheuter

  ```diff
  -import { unstable_Box as Box } from '@material-ui/core/Box';
  +import Box from '@material-ui/core/Box';
  ```

#### Changes

- [Grid] Adding missing 'spacing-xs-\*' to TypeScript definition (#14859) @scott-martin
- [Tabs] Fix an infinite loop (#14664) @caroe233
- [NoSsr] Add missing defer prop to TypeScript definition (#14869) @DaleJefferson
- [core] Remove dom-helpers dependency (#14877) @oliviertassinari
- [TextField] Add typing for theme wide props override (#14879) @C-Rodg
- [Autocomplete] Add a downshift variant demo (#14881) @ekoeditaa
- [Popover][popper] Warn when `anchorEl` is invalid (#13468) @Andarist
- [LinearProgress] Improve customization capability (#14882) @giuliogallerini
- [Popover] Fix PaperProps classname concat (#14902) @vitkon
- [MenuItem] Add buttonRef (and other button props) type (#14772) @VincentLanglet
- [TouchRipple] Remove findDOMNode usage (#14825) @eps1lon
- [ExpansionPanelSummary] Simplify overrides (#14828) @TroySchmidt
- [Popper] Use refs instead of findDOMNode (#14829) @eps1lon
- [Tab] Fix alignment when using multiple children (#14844) @HaNdTriX
- [TextField] Convert to function component (#14833) @eps1lon
- [Table] Fix demo parse rowsPerPage value as an integer (#14848) @SimplyAhmazing

### `@material-ui/styles@v4.0.0-alpha.4`

- [styles] Change material-ui/styles folder structure (#14868) @VincentLanglet
- [styles] Add WithThemeCreator typing (#14856) @VincentLanglet
- [styles] Add types for defaultTheme option in makeStyles (#14862) @vitkon
- [styles] Make CSSProperties public (#14802) @VincentLanglet

### `@material-ui/lab@v4.0.0-alpha.4`

- [Slider] Fix possible touchstart leak (#14837) @eps1lon

### Docs

- [docs] Prepare full TypeScript demos (#14896) @eps1lon
- [docs] Improve documentation for new component + ref behavior (#14883) @eps1lon
- [docs] Add perf section to ExpansionPanel (#14903) @eps1lon
- [docs] Simplify the /examples (#14822) @oliviertassinari
- [docs] Add ssr-next example (#14823) @oliviertassinari
- [docs] Add missing breaking changes from #14795 (#14824) @eps1lon
- [docs] Minor fixes to system demos (#14831) @jo shwooding
- Complete the i18n support for the documentation] Enable the i18n search (#14838) @oliviertassinari
- [docs] Fix babel generator extra line (#14849) @VincentLanglet
- [docs] Remove unnecessary findDOMNode usage (#14836) @eps1lon

### Core

- [core] Only import from top or 2nd level (#14888) @eps1lon
- [test] Leaner eslint config (#14901) @eps1lon
- [core] Upgrade the dev dependencies (#14911) @oliviertassinari
- [core] Stop using @types/jss (#14852) @VincentLanglet
- [core] Babel plugin unwrap createStyles now handle material-ui/styles package (#14850) @VincentLanglet
- [test] Fix unwrapCreateStyles tests for windows (#14832) @ryancogswell

## 4.0.0-alpha.3

_Mar 10, 2019_

A A big thanks to the 14 contributors who made this release possible!

Here are some highlights ✨:

- ⚛️ Increase the usage of `React.forwardRef()` (#14714, #14737, #14738, #14775) @eps1lon.
- 💅 Remove the old styles modules (#14767) @oliviertassinari.
- 📝 Migrate many demos to use the hooks API (#14805) @adeelibr.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v4.0.0-alpha.3`

#### Breaking Changes

- [useMediaQuery] Remove unstable prefix (#14593)

  ```diff
  -import { unstable_useMediaQuery as useMediaQuery } from '@material-ui/core/useMediaQuery';
  +import useMediaQuery from '@material-ui/core/useMediaQuery';
  ```

- [DialogActions] `action` CSS class is applied to root element if `disableActionSpacing={false}` instead of children (#14795)
- [DialogContentText] Use typography variant `body1` instead of `subtitle1` (#14795)

- [MenuItem] Remove fixed height (#14799) @KyruCabading
  Remove the fixed height of the MenuItem.
  The padding and line-height are used by the browser to compute the height.

#### Changes

- [Tabs] Forward refs (#14714) @eps1lon
- [TextField] New filled variant override example (#14725) @oliviertassinari
- [FilledInput] Simplify border overrides (#14719) @C-Rodg
- [CssBaseline] Apply body2 styling to the body element (#14729) @joshwooding
- [IconButton] Add a size prop (#14649) @leMaik
- [Popover] Forward refs (#14737) @eps1lon
- [Modal] Forward refs (#14738) @eps1lon
- [createSpacing] Narrow return type (#14745) @eps1lon
- [Chip] Correct Chip TypeScript Definition Class Keys (#14750) @cvanem
- [MenuList] Remove focus method and test dependencies on instance methods (#14757) @ryancogswell
- [Dialog] Forward refs (#14775) @eps1lon
- [IconButton] Implement a new edge prop (#14758) @jedwards1211
- [Dialog] Add a dividers boolean prop (#14795) @oliviertassinari

### `@material-ui/styles@v4.0.0-alpha.3`

#### Breaking Changes

- [styles] Remove the old styles modules (#14767) @oliviertassinari
  Isolation of the styling solution of the core components in a dedicated package.

  - Remove the `MuiThemeProvider` component:

    ```diff
    -import { MuiThemeProvider } from '@material-ui/core/styles';
    +import { ThemeProvider } from '@material-ui/styles';
    ```

  - Remove the `@material-ui/styles/install` module.

    ```diff
    -import { install } from '@material-ui/styles';
    -install();
    ```

#### Changes

- [styles] Improve ref forwarding (#13676) @eps1lon
- [styles] Use hoist-non-react-statics (#14722) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.3`

- [SpeedDial] Change actions background color (#14640) @hburrows
- [SpeedDialAction] Pass onTouchEnd event onto called onClick handler (#14641) @hburrows

### Docs

- [docs] Fix Drawer demos accessibility (#14728) @tiagodreis
- [docs] Add "Portals" to the styled components documentation (#14720) @C-Rodg
- [docs] Specify PaletteIntention syntax (#14727) @ozydingo
- [docs] Add button demos in TypeScript (#14739) @eps1lon
- [docs] Document the migration from v3 to v4 (#14741) @oliviertassinari
- [docs] before() is Mocha; beforeEach() is Jest (#14743) @masaok
- [docs] Fix IE11 build (#14781) @oliviertassinari
- [docs] Kill as many non hook demos as possible (#14805) @oliviertassinari
- [docs] Prepare Google & Algolia i18n search + v3/v4 search (#14806) @oliviertassinari
- [docs] Speed-up pull requests build (#14811) @oliviertassinari

### Core

- [test] Ignore the image load issue (#14723) @oliviertassinari
- [icons] Fix builder failing on Windows (#14726) @joshwooding
- [ci] Don't use -browser images (#14779) @eps1lon
- [test] Increase the Codecov threshold (#14796) @oliviertassinari
- [test] Disable the user sandbox security feature (#14804) @oliviertassinari
- [core] Use hoist-non-react-statics (#14722) @oliviertassinari

## 4.0.0-alpha.2

_Mar 3, 2019_

A A big thanks to the 23 contributors who made this release possible!

Here are some highlights ✨:

- Keep working on accessibility (#14465, #14545, #14661) @eps1lon, @oliviertassinari.
- Add the Table dense support (#14561) @leMaik.
- Change the bundle size tracking strategy (copy React) (#14587) @eps1lon.
- Introduce a new Container component & new full layout demos (#14499) @oliviertassinari.
- Start removing the need for findDOMNode() (#14536) @eps1lon.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v4.0.0-alpha.2`

#### Breaking Changes

- [Tabs] Simplify override (#14638) @oliviertassinari

  We have removed the `labelContainer`, `label` and `labelWrapped` class keys.
  We have removed 2 intermediary DOM elements.
  You should be able to move the custom styles to the root class key.
  ![wrapper](https://user-images.githubusercontent.com/3165635/53287870-53a35500-3782-11e9-9431-2d1a14a41be0.png)

- [Table] Add dense support (#14561) @leMaik

  - We have removed the deprecated numeric property.

  ```diff
  -<TableCell numeric>{row.calories}</TableCell>
  +<TableCell align="right">{row.calories}</TableCell>
  ```

  - We have removed the fixed height property on the table row.
    The cell height is computed by the browser using the padding and line-height.
  - The `dense` mode was promoted to a different property:

  ```diff
  -<TableCell padding="dense" />
  +<TableCell size="small" />
  ```

- Every component except `Dialog`, `MenuList`, `Modal`, `Popover` and `Tabs` forward
  their `innerRef` (#14536).

  This is implemented by using `React.forwardRef`. This affects the internal component
  tree and display name and therefore might break shallow or snapshot tests.
  `innerRef` will no longer return a ref to the instance
  (or nothing if the inner component is a function component) but a ref to its root component.
  The corresponding API docs list the root component.

#### Changes

- [core] Improve a11y for Collapse, ExpansionPanel and Grow (#14598) @eps1lon
- [Transitions] Increase minimal version of react-transition-group to 2.5.3 (#14612) @wilcoschoneveld
- [ExpansionPanelSummary] Update docs (#14606) @ifndefdeadmau5
- [ExpansionPanel] Add TransitionComponent prop (#14617) @ptbrowne
- [Link] Color property is defined with a wrong type (#14631) @akellan
- [Tooltip] Improve legibility (#14651) @leMaik
- [Tabs] Fix variant missing in Tabs.d.ts (#14659) @Deturium
- [Autocomplete] Improve demo (#14657) @tjmcewan
- [Dialog] Support for print (#14660) @emildatcu
- [TableSortLabel] Increase size and show on hover (#14650) @leMaik
- [Modal] Fix autoFocus support (#14661) @oliviertassinari
- [InputLabel] display: block as default (#14676) @johnloven
- [InputBase] Add missing TypeScript class keys (#14684) @dmtrKovalenko
- [ListItem] Fix listItem focus (#14680) @xs9627
- [ExpansionPanel] Improve a11y (#14682) @eps1lon

### `@material-ui/styles@v4.0.0-alpha.2`

- [styles] Fix the theme update support (#14697) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.2`

- [Slider] Pass current value to onDragStart/onDragEnd callback (#14475) @rejas
- [Slider] Fix thumb creating scroll overflow (#14689) @xaviergonz
- [Layout] New Container component (#14499) @oliviertassinari
- [Container] Fix two exceptions (#14715) @oliviertassinari

### `@material-ui/utils@v4.0.0-alpha.2`

- [utils] Drop componentPropType in favor of PropTypes.elementType (#14602) @eps1lon

### Docs

- [MobileStepper] Remove unused classname in example (#14597) @charlax
- [docs] Update the Team (#14613) @oliviertassinari
- [docs] Solve Firefox middle click issue (#14623) @paol
- [docs] Update ScrollDialog Demo for 4k (#14622) @AndrewUsher
- [docs] Fix broken hash link in css-in-js (#14633) @furkle
- [docs] Improve demo source discoverability (#14635) @eps1lon
- [docs] Improve Grid limitations description (#14637) @ryancogswell
- [docs] Fix minor issues with demo action tooltips (#14652) @eps1lon
- [docs] Upgrade react-docgen (#14666) @eps1lon
- [docs] Update bundle size strategy (#14662) @eps1lon
- [docs] Minor next adjustments (#14679) @eps1lon
- [docs] A grammar modification suggestion (#14671) @mataxxx5
- [docs] Link the mui-tables project in the documentation (#14701) @parkerself22
- [docs] Generate unique hash (#14703) @oliviertassinari
- [docs] Add simple list TypeScript demo (#14485) @eps1lon
- [docs] Fix wrong source code URLs (#14716) @oliviertassinari

### Core

- [core] Fix webstorm autocompletion (#14599) @eps1lon
- [ci] Use dangerJS to report bundle size changes (#14587) @eps1lon
- [ci] Various size snapshot enhancements (#14620) @eps1lon
- [core] Solve Babel dependency issue (#14621) @AndrewUsher
- [core] Add eslint-plugin-react-hooks (#14629) @eps1lon
- [test] Fix size snapshot including peer dependencies (#14636) @eps1lon
- [ci] Speedup and cleanup (#14643) @eps1lon
- [test] Fix how menu items are found in MenuList integration tests (#14654) @ryancogswell
- [core] Add tslint deprecation rule (#14675) @eps1lon
- [typescript] Add regression test for popular hoc interop (#14688) @eps1lon
- [core] Fix .yarnrc syntax (#14704) @joshwooding
- [core] forward innerRef for certain components (#14536) @eps1lon
- [core] Use official prop-type cache invalidation (#14699) @eps1lon

## 4.0.0-alpha.1

_Feb 20, 2019_

A A big thanks to the 16 contributors who made this release possible!

Here are some highlights ✨:

- Important accessibility fixes (#14465, #14545) @eps1lon, @oliviertassinari
- Improve the Gastby integration (we will continue working on it to get something awesome) (#14552)
- Remove the deprecated Typography variants (#14562) @joshwooding
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v4.0.0-alpha.1`

#### Breaking Changes

- [Typography] Remove deprecated Typography variants (#14562) @joshwooding

  - Remove the deprecated typography variants. You can upgrade by performing the following replacements:
    - display4 => h1
    - display3 => h2
    - display2 => h3
    - display1 => h4
    - headline => h5
    - title => h6
    - subheading => subtitle1
    - body2 => body1
    - body1 (default) => body2 (default)
  - Remove the opinionated `display: block` default typograpghy style.
    You can use the new `display?: 'initial' | 'inline' | 'block';` property.
  - Rename the `headlineMapping` property to better align with its purpose.

  ```diff
  -<MuiTypography headlineMapping={headlineMapping}>
  +<MuiTypography variantMapping={variantMapping}>
  ```

- [InputLabel] Remove FormLabelClasses in favor of asterisk class (#14504) @umairfarooq44

You should be able to override all the styles of the FormLabel component using the CSS API of the InputLabel component. We do no longer need the `FormLabelClasses` property.

```diff
<InputLabel
- FormLabelClasses={{ asterisk: 'bar' }}
+ classes={{ asterisk: 'bar' }}
>
  Foo
</InputLabel>
```

- [TablePagination] Only raise a warning when the page is out of range (#14534) @leMaik

The `TablePagination` component does no longer try to fix invalid (`page`, `count`, `rowsPerPage`) property combinations. It raises a warning instead.

### Changes

- [typescript] Fix theme.spacing to accept up to 4 arguments (#14539) @toshi1127
- [Transition] Fix hidden children appearing in a11y tree (#14465) @eps1lon
- [TablePagination] Fix style issue with rpp select (#14547) @antokara
- [Modal] Improve the focus logic (#14545) @oliviertassinari

### `@material-ui/styles@v4.0.0-alpha.1`

#### Breaking Changes

- [styles] Change the withTheme API (#14565) @oliviertassinari

Remove the first option argument of `withTheme()`. The first argument was a placeholder for a potential future option. We have never found a need for it. It's time to remove this argument. It matches the Emotion and styled-components API.

```diff
-const DeepChild = withTheme()(DeepChildRaw);
+const DeepChild = withTheme(DeepChildRaw);
```

#### Changes

- [styles] Type ThemeProvider and getThemeProps generic (#14489) @igorbt
- [styles] 100% test coverage (#14566) @oliviertassinari
- [styles] Follow react docs for firstRender flag (#13607) @eps1lon
- [styles] Add react-hot-loader support (#14583) @oliviertassinari
- [styles] Warn if missing ThemeProvider (#14581) @oliviertassinari

### `@material-ui/icons@v4.0.0-alpha.1`

- [icons] Remove es folder (#14518) @mgansler

### Docs

- [docs] yarn command to add @material-ui/icons (#14502) @Inambe
- [docs] Update CHANGELOG.md (#14516) @saculbr
- [examples] Add lib to tsconfig (#14507) @eps1lon
- [docs] Enable es, fr, pt & ru (#14537) @oliviertassinari
- [docs] Add TypeScript demos for menus, fixes ClickAwayListener onClickAway type (#14535) @eps1lon
- [docs] Update the styling of the TOC (#14520) @mbrookes
- [docs] Update breakpoints.md for clarity (#14527) @matthewjwhitney
- [docs] Fix Horizontal Non-linear Stepper demo (#14551) @SVTerziev
- [docs] Update the branch for Crowdin (#14550) @mbrookes
- [docs] Fix hooks codesandbox broken (#14553) @Abbo44
- [docs] Fix CSS anchor link (#14554) @umairfarooq44
- [examples] Improve the Gastby integration (#14552) @oliviertassinari
- [docs] Add examples of global class names (#14563) @n-batalha
- [docs] Change Gitter to Spectrum (#14558) @mbrookes
- [docs] Add sections about translation contributions (#14571) @eps1lon
- [docs] Localize the table of contents (#14548) @mbrookes

### Core

- [core] Convert remaining classNames usage (#14506) @eps1lon
- [core] Fix Prettier on next branch (#14524) @joshwooding
- [core] Fix some peer dependency warnings (#14572) @eps1lon

## 4.0.0-alpha.0

_Feb 12, 2019_

This is our first unstable release toward Material UI v4.0.0. We try to release a major every 6-12 months.
This gives us the opportunity to remove deprecated APIs, upgrade our peer dependencies and more importantly, keep up with the direction the community is taking.

- You can find the documentation following this URL: https://mui.com/.
- You can track our progress following this URL: https://github.com/mui/material-ui/milestone/25.

A A big thanks to the 28 contributors who made this release possible!

Here are some highlights ✨:

- Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari
- Improve the spacing API (#14099) @ifndefdeadmau5
- Improve ES modules tree shake-ability (#13391) @eps1lon
- Remove recompose dependency (#14479)
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v4.0.0-alpha.0`

#### Breaking Changes

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari

  The upgrade path to React 16.8.0 should be pretty easy for our users.
  Introducing this breaking change in v4 enables the following:

  - We can remove the recompose dependency and use the new `React.memo()` API.
  - Before or after v4 is out, we can gradually migrate the core components to use the Hook API.

- [Grid] Use a unitless spacing API (#14099) @ifndefdeadmau5

In order to support arbitrary spacing values and to remove the need to mentally count by 8, we are changing the spacing API:

```diff
  /**
   * Defines the space between the type `item` component.
   * It can only be used on a type `container` component.
   */
-  spacing: PropTypes.oneOf([0, 8, 16, 24, 32, 40]),
+  spacing: PropTypes.oneOf([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]),
```

Going forward, you can use the theme to implement a custom Grid spacing transformation function: https://mui.com/system/spacing/#transformation.

- [theme] Make theme.palette.augmentColor() pure (#13899) @ryancogswell

The `theme.palette.augmentColor()` method no longer performs a side effect on its input color.
In order to use it correctly, you have to use the output of this function.

```diff
-const background = { main: color };
-theme.palette.augmentColor(background);
+const background = theme.palette.augmentColor({ main: color });

console.log({ background });
```

- [core] Change UMD output name to 'MaterialUI' (#13142) @tkrotoff

  This change eases the use of Material UI with a CDN:

  ```diff
  const {
    Button,
    TextField,
  -} = window['material-ui'];
  +} = MaterialUI;
  ```

  It's consistent with the other projects:

  - material-ui => MaterialUI
  - react-dom => ReactDOM
  - prop-types => PropTypes

- [Button] Remove deprecated props and styles (#14383) @mbrookes

Remove the deprecated button flat, raised and fab variants:

```diff
-<Button variant="raised" />
+<Button variant="contained" />
```

```diff
-<Button variant="flat" />
+<Button variant="text" />
```

```diff
-import Button from '@material-ui/core/Button';
-<Button variant="fab" />
+import Fab from '@material-ui/core/Fab';
+<Fab />
```

- [core] Drop official node 6 support (#14379) @eps1lon

### Deprecation

- `theme.spacing.unit` usage is deprecated, you can use the new API (#14099) @ifndefdeadmau5:

```diff
    [theme.breakpoints.up('sm')]: {
-     paddingTop: theme.spacing.unit * 12,
+     paddingTop: theme.spacing(12),
    },
```

_Tip: you can provide more than one argument: `theme.spacing(1, 2) // = '8px 16px'`_

#### Changes

- [ListItem] Improve phrasing of error message (#14437) @netzwerg
- [styles] Replace classnames with clsx (#14152) @TrySound
- [Modal] Make children property required (#14444) @erichodges
- [Select] Open select when focused with enter (#14452) @oknechirik
- [Popper] Add hook API demo (#14464) @oliviertassinari
- [Breadcrumbs] Fix wrong aria label property (#14486) @MalignantShadow
- [Tooltip] Fix children focus detection (#14496) @codeheroics
- [MenuItem] Improve note about using ellipsis (#14371) @charlax
- [Tabs] Fix scrollbar appearing briefly on scroller (#14384) @ekoeditaa
- [Chip] Fix role prop when not clickable (#14365) @pandaiolo
- [Box] Add typings (#14397) @eps1lon
- [Dialog] Fix inconsistencies with scroll="body" (#14398) @TomiCake
- [TextField] Allow overriding default TextField props from the theme (#14252) @janowsiany
- [Drawer] Add 'root' to class declaration (#14408) @sowings13
- [theme] Improve the state warning (#14412) @oliviertassinari
- [InputBase] Provide input adornments with FormControlContext (#14364) @mtidei

### `@material-ui/styles@v4.0.0-alpha.0`

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari

### `@material-ui/system@v4.0.0-alpha.0`

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari

### `@material-ui/icons@v4.0.0-alpha.0`

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari

### `@material-ui/docs@v4.0.0-alpha.0`

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari

### `@material-ui/lab@v4.0.0-alpha.0`

#### Breaking Changes

- [Breadcrumbs] Move to the core (#14436) @oliviertassinari

```diff
-import Breadcrumbs from '@material-ui/lab/Breadcrumbs';
+import Breadcrumbs from '@material-ui/core/Breadcrumbs';
```

- [ToggleButton] Update styles for Material v2 (#14278) @mbrookes

⚠️ The height has changed - it might break your layout.

#### Changes

- [core] Increase React peer dependency to v16.8.0 (#14432) @oliviertassinari
- [Slider] Fix a11y issues with the handle (#14461) @eps1lon

### Docs

- [docs] Improve overrides.md wording (#14403) @i0
- [docs] Remove unneeded input from select docs (#14443) @eladmotola
- [docs] Fix broken font-awesome icons in documentation (#14454) @EndiM
- [docs] Reword certain phrases to improve i10n (#14457) @eps1lon
- [docs] Fix IE11 crash on demo pages (#14466) @eps1lon
- [docs] Add french translation (#14467) @zek0faws
- [docs] Standardize compose util usage (#14472) @mbrookes
- [docs] Additional tweaks to English l10n strings (#14471) @mbrookes
- [examples] Improve the v3/v4 distinction (#14476) @oliviertassinari
- [docs] Change interpolation library (#14481) @mbrookes
- [docs] Fix showcase (#14494) @oliviertassinari
- [docs] New translations (#14501) @mbrookes
- [examples] Fix download link in example README (#14372) @clk1006
- [docs] Revise the wrapping components guide wording (#14381) @mbrookes
- [README] Fix the underscored space on hover, rearrange thanks (#14388) @mbrookes
- [docs] Update use-media-query.md (#14389) @edwin32
- [docs] Fix the SW cache between updates (#14390) @oliviertassinari
- [docs] Add analytics to language notifications (#14402) @mbrookes
- [docs] Targeted edit button URL (#14395) @mbrookes
- [docs] Remove recompose/compose (#14421) @mbrookes
- [docs] Generalize non-markdown I18n (#14413) @mbrookes
- [docs] Fix the css-in-js styled section to match currying implementation (#14418) @gutofoletto

### Core

- [core] Use frozen-lockfile by default (#14433) @eps1lon
- [utils] Add support for forwardRef components in getDisplayName (#14429) @eps1lon
- [test] Back to 100% test coverage (#14458, #14460) @oliviertassinari
- [core] Upgrade the dev dependencies (#14463, #14385) @oliviertassinari
- [core] Prepare next versions (#14473) @oliviertassinari
- [typescript] Enable generic props for certain components (#13868) @pelotom
- [core] Remove recompose (#14479) @oliviertassinari
- [typescript] Add type test for style lib interopability (#14482) @eps1lon
- [core] Upgrade to Next.js 8 (#14493)
- [core] Improve tree-shakeability (#13391) @eps1lon
- [core] Use common copy-files script (#14406) @eps1lon
- [core] Enable innerRef on ListItem and MenuItem (#14423) @eps1lon
- [core] Remove typings for `/es` build (#14422) @eps1lon
- [core] Enable innerRef on Backdrop, List, MenuList and Paper (#13722) @eps1lon

## 3.9.2

_Feb 03, 2019_

A big thanks to the 16 contributors who made this release possible!

Here are some highlights ✨:

- ⚛️ Add a new Breadcrumb component to the lab (#14084) @mbrookes
  https://mui.com/lab/breadcrumbs
- 📝 AppBar and Textfield demos in TypeScript (#13229) @eps1lon
- 📝 Prepare support for 5 new documentation languages
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.9.2`

- [Portal] Fix onRendered being called before child componentDidUpdate (#14305) @joshwooding
- [Select] Id should not be set from name if missing (#14322) @aericson
- [ListItem] Add alignItems prop to ListItem.d.ts (#14334) @EndiM
- [useMediaQuery] Fix typings for options object (#14339) @johannwagner`
- [NativeSelect] Fix option background for dark theme (#14340) @ryancogswell
- [Button] Add color inherit to outlined variant of button component (#14332) @EndiM
- [ListItem] Improve ListItemSecondaryAction DX (#14350) @eps1lon
- [ExpansionPanel] Fix userAgent check (#14361) @Floriferous

### `@material-ui/styles@v3.0.0-alpha.10`

- [styles] Export StyleRules as public type #14362 @VincentLanglet

### `@material-ui/lab@v3.0.0-alpha.30`

- [Slider] Added valueReducer prop (#12665) @aseem191
- [lab] Add a Breadcrumb component (#14084) @mbrookes

### Docs

- [docs] Add CloudHealth to showcase, reorder based on latest pageviews (#14307) @mbrookes
- [docs] New translations (#14308) @oliviertassinari
- [docs] New Crowdin translations (#14315) @muibot
- [docs] Fix i18n logic (#14316) @oliviertassinari
- [docs] Translate the key wordings (#14317) @oliviertassinari
- [docs] Add sorting to Showcase (#14312) @mbrookes
- [docs] Link ignore target blank (807bab8) @oliviertassinari
- [docs] Reset Table page number (#14354) @rafaelmarinids
- [docs] Explain bootstrap issue for nextjs-hooks (#14353) @avetisk
- [docs] Improve wrapping docs (#14351) @eps1lon
- [docs] AppBar and Textfield demos in TypeScript (#13229) @eps1lon
- [docs] Minor Hook Demo fixes (#14367) @joshwooding
- [docs] Enable the i18n help messages (#14356) @oliviertassinari
- [docs] Fix SW cache invalidation (242bff9) @oliviertassinari

### Core

- [README] Add all the products sponsoring open source (#14311) @oliviertassinari
- [core] Disable CircleCI on l10n (#14314) @oliviertassinari
- [test] Fix CDN test (#14324) @oliviertassinari
- [core] Fix innerRef being considered injected with certain HOCs (#14333) @eps1lon
- [test] Update test/README.md section (#14355) @Dynogic

## 3.9.1

_Jan 26, 2019_

A big thanks to the 30 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 Fix many Dialog issues (#13789, #14240, #14288) @joshwooding, @zharris6
- 📝 Promote material-ui-pickers (#14277)
- 🚀 Remove the keycode dependency (#14248)
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.9.1`

- [Tooltip] Add example using node (#14182) @Varad25
- [Badge] Make badgeContent optional in ts too (#14186) @kLabz
- [CircularProgress] Fix animation jumps on indeterminate variant (#14198) @rfbotto
- [Textarea] Fix line height visibility issue on SSR (#14197) @rfbotto
- [Link] Fix type declaration for props (#14193) @lunaryorn
- [useMediaQuery] Synchronize TypeScript definition with js one (#14214) @sthenault
- [MenuList] Add `home` and `end` key support (#14212) @dallin-christensen
- [InputAdornment] Automatically inherit the variant (#14023) @joshwooding
- [Dialog] Add missing PaperComponent property in the definition (#14240) @zharris6
- [Dialog] Check target has not changed before closing (#13789) @joshwooding
- [TextField] Fix to expose helperText for accessibility (#14266) @mlenser
- [Modal] Hide the manager property (#14273) @oliviertassinari
- [GridListTileBar] Add missing titleWrap key (#14275) @nroot86vml
- [Pickers] Promote material-ui-pickers (#14277) @oliviertassinari
- [Select] Add customization demo (#14281) @bemineni
- [ExpansionPanel] Fix square support (#14282) @brandonvilla21
- [Dialog] Fix scrollbar (#14288) @joshwooding
- [LinearProgress] Remove dead bar2Determinate CSS class (#14298) @lmcarreiro
- [Select] Help automated UI testing (#14289) @oumaima1234
- [MobileStepper] Fix typo CSS API (#14300) @DenrizSusam
- [Link] Add TypeScript test and distinguish from react-router link test (#14304) @rosskevin

### `@material-ui/styles@v3.0.0-alpha.9`

- [styles] Better warning message (#14290) @oliviertassinari
- [styles] Document the right react-jss version for legacy style modules (#14237) @mrmedicine

### `@material-ui/lab@v3.0.0-alpha.29`

- [Slider] Support multitouch for dragging multiple sliders (#13320) @Pajn

### `@material-ui/system@v3.0.0-alpha.2`

- [system] Add fractions support (#14209) @oliviertassinari
- [system] Better zindex documentation (#14229) @oliviertassinari

### Docs

- [docs] Update supported components page (#13905) @MidnightDesign
- [docs] Fix componentPropType display (#14194) @eps1lon
- [docs] Fix fade transition visual bug on codesandbox (#14200) @rfbotto
- [docs] Handle missing errors more gracefully (#14210) @oliviertassinari
- [docs] Fix grammar in related-projects.md (#14227) @jasonkylefrank
- [docs] Add Portuguese translation notification (#14230) @mbrookes
- [docs] New Crowdin translations (#14223) @muibot
- [docs] Minor fix of selection control labels doc (#14238) @ccesare
- [docs] Correct Bethesda.net title in app list (#14242) @sbolel
- [docs] Change ponyfill to polyfill in use-media-query.md (#14215) @MathiasKandelborg
- [docs] Fix typos on the links for the JSS docs (#14235) @viniciusCamargo
- [docs] Improve the performance (#14250) @oliviertassinari
- [docs] Notification by locale (#14256) @oliviertassinari
- [docs] Add component prop and React Router usage to TypeScript guide (#14170) @hedgerh
- [docs] Tiny fixes (#14259) @mbrookes
- [docs] Better server-side rendering example (#14269) @unalterable
- [docs] Add Misheneye to the showcase (#14262) @gdub01

### Core

- [core] Upgrade the dependencies (#14196) @oliviertassinari
- [core] Remove keycode() (#14248) @oliviertassinari
- [core] Update the dev dependencies (#14261) @oliviertassinari

## 3.9.0

_Jan 14, 2019_

A big thanks to the 17 contributors who made this release possible!

Here are some highlights ✨:

- 💄 Add a new Link component (#14093) @joshwooding
- 💄 Important update of the Badge component (#14121) @joshwooding
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.9.0`

- [ButtonBase] Reduce keyup timeout interval to 500ms (#14120) @rfbotto
- [InputAdornment] Add disablePointerEvents prop (#14123) @rfbotto
- [Chip] Fix wrong font color for default variant with secondary color (#14125) @bjm904
- [IconButton] Warn when providing onClick to a child of a button (#14160) @oliviertassinari
- [Link] Refinement (#14162) @oliviertassinari
- [Modal] Change keydown handling to use synthetic event (#14134) @rfbotto
- [Badge] Give Badge dynamic width and other improvements (#14121) @joshwooding

### `@material-ui/styles@v3.0.0-alpha.8`

- [styles] Add test case for class extension with classes prop (#14127) @eps1lon
- [styles] Document the CSS prefixing strategy on the server (#14139) @eps1lon
- [styles] Add missing dependency hoist-non-react-statics (#14164) @joglr

### Docs

- [docs] Fix select multiple prop description (#13923) @AkselsLedins
- [docs] Reduce by /50 the website traffic (#14122) @oliviertassinari
- [docs] Handle the exactProp usage in the API generation (#14130) @tallpants
- [docs] Fix minor wording/typo issues (#14142) @eps1lon
- [docs] Add gadr.io in the showcase (#14128) @clabbeaf
- [docs] Fix deprecated Typography variants warning in demos (#14156) @joshwooding
- [docs] Add 5 sites to Showcase, simplify image paths (#14154) @mbrookes
- [docs] Add polyfill suggestion to ButtonBase (#14158) @ianschmitz
- [docs] Add a new site to showcase (#14163) @ValleyZw
- [docs] Update Tooltip info on prop spread (#14165) @e-x-wilson
- [docs] Fix typo in click-anyway-listener-zh.md (#14118) @Wu-Qijun
- [docs] Update example projects with Material Sense (#14168) @alexanmtz
- [docs] Icon name consistency (#14171) @harvey56
- [docs] Add notes about next branch (#14151) @eps1lon
- [docs] Add Yakaz to homepage, backers & readme (#14180) @mbrookes

### Core

- [core] Remove unnecessary plugins in .eslintrc (#14161) @WebDeg-Brian
- [core] Fix the CDN release (#14172) @oliviertassinari
- [core] Remove unnecessary rules in .eslintrc (#14173) @WebDeg-Brian

## 3.8.3

_Jan 9, 2019_

A big thanks to the 5 contributors who made this release possible!

We are making a quick release to fix an important TypeScript regression.

### `@material-ui/core@v3.8.3`

- [InputBase] Fix the `InputBaseComponentProps` type (#14082) @franklixuefei
- [Link] Add a Link component (#14093) @joshwooding
- [core] Fix jss v10 types being used (#14117) @eps1lon

### Docs

- [themes] Fix typo on Onepirate Forgot Password page (#14112) @mbrookes
- [docs] Fix codesandbox examples with React Hooks (#14116) @asokani

## 3.8.2

_Jan 7, 2019_

A big thanks to the 20 contributors who made this release possible!

Here are some highlights ✨:

- 📝 Add 36 new sites in the showcase (#14083) @mbrookes.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.8.2`

- [TableCell] Add align to the TypeScript definition (#14046) @rfbotto
- [withWidth] Add TypeScript definitions for options (#14054) @anthotsang
- [Button] Fix vertical alignment of text (#14051) @joshwooding
- [Tabs] Update scrollable property description (#14059) @jmcpeak
- [Tabs] Add standard variant (#14067) @oliviertassinari
- [RadioGroup] Support defaultValue in uncontrolled mode (#14092) @Slessi
- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen
- [MenuList] Wrap focus by default, add disableListWrap (#14100) @dallin-christensen

### `@material-ui/icons@v3.0.2`

- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### `@material-ui/lab@v3.0.0-alpha.28`

- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### `@material-ui/styles@v3.0.0-alpha.7`

- [styles] Add a note about the backward compatibility (#14047) @oliviertassinari
- [styles] Change dangerouslyUseGlobalCSS to only affect static style sheets (#14089) @joshwooding
- [styles] Upgrade JSS to 10.0.0-alpha.7 (#14090) @oliviertassinari
- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### `@material-ui/system@v3.0.0-alpha.1`

- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### `@material-ui/utils@v3.0.0-alpha.3`

- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### `@material-ui/docs@v3.0.0-alpha.9`

- [core] Relax @babel/runtime version to ^7.2.0 (#14096) @NMinhNguyen

### Docs

- [docs] Fix demo iframe styling in Firefox (#14056) @joshwooding
- [docs] CSS to Material UI loader documentation updated (#14060) @Kaliyani
- [docs] Fix spelling mistake in Premium themes footer (#14071) @nikhilem
- [docs] Update showcase with 36 new sites (#14083) @mbrookes
- [docs] Update URL for @material-ui/system (#14043) @NMinhNguyen
- [docs] Add complementary form building project (#14081) @skirunman
- [docs] Update broken link to cssinjs.org in css-in-js (#14080) @valerieernst
- [docs] Tweeper theme (#14034) @siriwatknp
- [docs] Add Code Typing Tutor to Showcase (#14061) @kulakowka
- [docs] Improve MUI System variant demo (#14091) @oliviertassinari
- [docs] Add PhotoUtils to Showcase (#14098) @Maxim-Gurin
- [docs] Add GovX to Showcase, move Onepixel (#14094) @mbrookes
- [docs] Simplify the color documentation page (#14103) @oliviertassinari
- [docs] Correct API typos (#14104) @nitayneeman
- [docs] Add Tidelift security link to README (#14108) @mbrookes
- [docs] Showcase, reorder based on SimilarWeb Global Rank (#14106) @mbrookes

### Core

- [core] Fix multiline deprecatedPropType (#14049) @joshwooding
- [core] Remove opinionated will-change usage (#14036) @joshwooding
- [core] Update benchmark (#14065) @GuillaumeCisco
- [test] Use yarn frozen lockfile (#14050) @rosskevin

## 3.8.1

_Dec 30, 2018_

### `@material-ui/core@v3.8.1`

- Fix utils.chainPropTypes issue

### `@material-ui/styles@v3.0.0-alpha.6`

- Fix utils.chainPropTypes issue

### `@material-ui/lab@v3.0.0-alpha.27`

- Fix utils.chainPropTypes issue

### `@material-ui/utils@v3.0.0-alpha.2`

- Fix utils.chainPropTypes issue

## 3.8.0

_Dec 30, 2018_

A big thanks to the 15 contributors who made this release possible!

Here are some highlights ✨:

- System package 💎 & Box component 🛠️
- Demos 100% powered by React hooks ⚛️ (#13497) @adeelibr
- Massive speed-up of the SSR performance 🚀
- A new Instagram demo theme 💅 https://mui.com/premium-themes/instapaper/
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.8.0`

#### Deprecations

- [Tabs] Add variant prop and deprecate fullWidth and scrollable props (#13980)

The Tabs `fullWidth` and `scrollable` properties can't be used at the same time. The API change prevents any awkward usage.

```diff
-<Tabs fullWidth>
+<Tabs variant="fullWidth">
```

#### Changes

- [Fab] Add styles to make size property work with extended property (#13973) @rfbotto
- [CardHeader] Change action element to have a fixed right margin (#13992) @inv8der
- [SvgIcon] Add createSvgIcon type definition (#13994) @yifei-fu
- [ExpansionPanel] Add customized demo (#13998) @rfbotto
- [Button] Fix vertical text alignment by reducing padding (#13931) @adipascu
- [Card] Update the action spacing to better match the spec (#14005) @oliviertassinari
- [LinearProgress] Change height from 5 to 4 pixels (#14009) @almondj
- [Modal] Add cross references from Modal docs to other components (#14025) @ryancogswell
- [Tabs] Fix infinite loop in the scroll button logic (#14033) @joshwooding
- [styles] Fix component animations (#14035) @joshwooding

### `@material-ui/system@v3.0.0-alpha.0`

- @material-ui/system (#13632) @oliviertassinari
- [system] Fix responsivePropType typo (#14011) @eps1lon
- [styles] Add defaultTheme option for makeStyles (#14032) @joshwooding

### `@material-ui/styles@v3.0.0-alpha.5`

- [styles] Upgrade JSS to v10-alpha (#14006) @oliviertassinari
- [styles] Hash the classnames (#14013) @oliviertassinari
- [styles] Fix TypeScript throwing in makeStyles with no props required (#14019) @eps1lon

### Docs

- [examples] Add nextjs-hooks-with-typescript (#13981) @virzak
- [docs] Theme usage with styled-components (#13999) @oliviertassinari
- [docs] Update the Emotion documentation (#14001) @oliviertassinari
- [docs] Duplicate all the demos with the React Hooks API (#13497) @adeelibr
- [docs] Set react-jss version in nextjs example (#14015) @goofiw
- [docs] Fix fullWidth deprecation warnings (#14010) @oliviertassinari
- [docs] Add note on archived components (#14000) @rudolfolah
- [docs] Add Instagram theme (#14007) @siriwatknp
- [docs] Removed focus outline on modal demo (#14022) @sebasrodriguez
- [styles] Document withStyles defaultTheme option (#14029) @joshwooding
- [docs] Update the CodeFund embed script (#14031) @oliviertassinari

### Core

- [core] Fix running docs:api on Windows and other minor spelling mistakes (#13989) @joshwooding
- [core] Sanitize the benchmark (#14012) @oliviertassinari

## 3.7.1

_Dec 22, 2018_

A big thanks to the 15 contributors who made this release possible!

Here are some highlights ✨:

- ⚛️ Introduce a new useMediaQuery hook (#13867) @joshwooding
  https://mui.com/layout/use-media-query
- ⛄️ Support uncontrolled RadioGroup mode (#13929) @rfbotto
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.7.1`

- [Slide] Remove direction from being passed on to children (#13930) @rfbotto
- [Dialog] Allow use of custom className under PaperProps (#13935) @eladhayun
- [Input] Check custom input inputRef implementation (#13934) @henrik1234
- [BottomNavigation] Add component prop (#13960) @lychyi
- [TextField] Add Solo Field demo (#13945) @joshwooding
- [RadioGroup] Support uncontrolled mode (#13929) @rfbotto
- [TextField] Reword solo textfield documentation (#13970) @joshwooding
- [layout] Add new useMediaQuery hook (#13867) @joshwooding
- [Tab] Remove font size change logic (#13969) @rfbotto
- [Autocomplete] Update react-select demo to have isClearable set to true (#13975) @rfbotto

### Docs

- [docs] Fix Typo in BottomNavigationAction label (#13943) @ovidiumihaibelciug
- [docs] Update album page-layout preview image album.png (#13946) @dvorwak
- [docs] Add a next.js demo with hooks (#13920) @oliviertassinari
- [docs] Fix select multiple prop description (91a95d38218459282b381a23653b722493392190) @AkselsLedins
- [docs] Add AospExtended Download center to showcase (#13956) @ishubhamsingh
- [docs] Fix i18n page transition (#13947) @unordered
- [docs] Fix material-ui-pickers codesandbox demo (#13976) @rfbotto
- [docs] Fix a typo, the word "the" was repeated in Layout Grid (#13983) @sgoldens
- [docs] Improve demos loading (#13959) @adeelibr
- [docs] Improve the service-worker logic (#13987) @oliviertassinari

### Core

- [CDN] Fix the UMD build (#13928) @oliviertassinari
- [ci] Exit with non-zero if argos cli failed (#13954) @eps1lon
- [core] Upgrade JSS to latest minor version (#13950) @doaboa

## 3.7.0

_Dec 17, 2018_

A big thanks to the 11 contributors who made this release possible!

Here are some highlights ✨:

- 💅 Update some components to better match the Material specification (#13788, #13827) @bdeloeste @joshwooding.
- 📅 Add a material-ui-pickers live demo (#13697) @dmtrKovalenko.
- ⚛️ A first step toward converting all the demos to React Hooks (#13873) @adeelibr.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.7.0`

#### Deprecations

We are allowing more align variants (left, center, right, inherit, justify).
Following our [API guideline](https://mui.com/material-ui/guides/api/), we are using an enum over a boolean.
Keep in mind that monetary or generally number fields **should be right aligned** as that allows
you to add them up quickly in your head without having to worry about decimals.

```diff
-<TableCell numeric>
+<TableCell align="right">
```

- [TableCell] Add align property (#13860) @rfbotto

#### Changes

- [Card][list] Change subcomponents to have fixed gutters (#13788) @joshwooding
- [Button] Fix padding for Text Button variant to adhere to spec (#13827) @bdeloeste
- [ButtonBase] Add stop ripple on context menu event (#13740) @joshwooding
- [Menu] Add reason value and update documentation for on close reason (#13877) @rfbotto
- [Dialog] Add a `PaperComponent` property & draggable demo (#13879) @rfbotto
- [Tabs] Correct typo in error message (#13902) @timmydoza
- [Tooltip] Fix hover display issue (#13911) @oliviertassinari

### `@material-ui/lab@v3.0.0-alpha.26`

- [ToggleButton] Change the classes structure to match the core components convention (#13723) @DonBrody

### `@material-ui/styles@v3.0.0-alpha.4`

- [styles] Remove hoisting of static properties in HOCs (#13698) @eps1lon

### `@material-ui/utils@v3.0.0-alpha.1`

- [utils] Add component propType (#13816) @eps1lon

### Docs

- [docs] Fix search suggestions on dark mode (#13874) @rfbotto
- [docs] Add accessibility section to selection-controls with demo (#13896) @wyseguyonline
- [docs] Add support for multiple demo variants - for example JS or Hooks (#13873) @adeelibr
- [docs] Remove the withRoot HOC (#13909) @oliviertassinari
- [docs] Add material-ui-pickers in pickers page (#13697) @dmtrKovalenko
- [docs] Continue #13806 and port back some fix from @system (#13917) @oliviertassinari
- [docs] Notify that we will do core/MuiThemeProvider -> styles/ThemeProvider (#13910) @Skn0tt
- [docs] Improve the state override story (#13919) @oliviertassinari

### Core

- [core] 100% remove the prop types (#13859) @oliviertassinari
- [core] Prefix the errors with Material UI (#13892) @oliviertassinari

## 3.6.2

_Dec 9, 2018_

A big thanks to the 20 contributors who made this release possible!

Here are some highlights ✨:

- 🎨 Add a new Onepirate theme demo (#13769) @oliviertassinari
  You can preview it following [this link](https://mui.com/premium-themes/paperbase/).
- 📝 Add virtualized table demo (#13786) @joshwooding
- 🚀 Avoid unnecessary Table re-rendering (#13832) @petrjaros
- And many more 🐛 bug fixes and documentation improvements.

### `@material-ui/core@v3.6.2`

- [Tooltip] Suppress warning if button is disabled and title is empty (#13785) @rfbotto
- [Dialog] Warn if className in PaperProps is set (#13797) @eps1lon
- [TextField] Fix textfield label position when empty (#13791) @Studio384
- [Popper] Save 7 kB gzipped (for people only using it) (#13804) @oliviertassinari
- [Modal] Handle modal mount interruption (#13778) @amensouissi
- [Select] Make value prop required in TypeScript (#13810) @t49tran
- [Popover] Fix onEntering event propagation (#13821) @ekoeditaa
- [Input] Make CSS override a bit simpler (#13825) @euharrison
- [LinearProgress] Add determinate and indeterminate classes to root element (#13828) @alxsnchez
- [Select] Support native multiple value (#13830) @rfbotto
- [BottomNavigation] Improve action padding (#13851) @rfbotto
- [Dialog] Add dialog with close button to demos (#13845) @rfbotto
- [Tabs] Reduce the bundle size (#13853) @oliviertassinari
- [Dialog] Add missing TypeScript style rule (#13856) @garredow
- [Table] Avoid unnecessary re-rendering (#13832) @petrjaros

### `@material-ui/lab@v3.0.0-alpha.25`

- [ToggleButtonGroup] Consider nullish instead of falsy value as no selected value (#13494) @ItamarShDev
- [Slider] Update SliderClassKey types (#13826) @guiihlopes
- [SpeedDialAction] Add TooltipClasses prop (#13848) @mbrookes
- [ToggleButton] Change ToggleButtonGroup non-exclusive default value to an empty array (#13857) @joshwooding

### `@material-ui/styles@v3.0.0-alpha.3`

- [styles] Infer optional props argument for makeStyles in TypeScript (#13815) @oliviertassinari

### Docs

- [docs] Add @eps1lon to the team page (#13768) @oliviertassinari
- [docs] Add a new onepirate theme (#13769) @oliviertassinari
- [docs] Link tags HTML vs JSX (#13775) @benbowler
- [docs] Missing text in docs (#13798) @Skn0tt
- [docs] Add virtualized table demo (#13786) @joshwooding
- [docs] Add Open Collective gold sponsors manually (#13806) @mbrookes
- [docs] Add example of globally disabling animations (#13805) @joshwooding
- [docs] Fix KeyboardIcon import name (#13822) @bryantabaird
- [docs] Force common hoist-non-react-statics version (#13818) @eps1lon
- [docs] Improve the theme nesting documentation (#13843) @oliviertassinari
- [docs] Add more details regarding installation of material-ui/styles (#13813) @wilcoschoneveld
- [docs] Fix broken link anchor (#13862) @mvasin

### Core

- [typescript] Add test case for List type limitations (#13764) @eps1lon
- [core] Remove unused lint directives (#13766) @eps1lon
- [test] Fix running tests on Windows (#13852) @joshwooding
- [core] Upgrade the dependencies (#13858) @oliviertassinari

## 3.6.1

_Dec 1, 2018_

A big thanks to the 15 contributors who made this release possible!

There are no fundamental changes in this version.
It's a stability release after v3.6.0. It contains tons of bug fixes 🐛.

### `@material-ui/core@v3.6.1`

- [Dialog] Add xl maxWidth and demo component (#13694) @dispix
- [Dialog] Add missing TypeScript style rule (ddfa8e0215bfe895efcb8da69f1ea3cc3b1370ff) @oliviertassinari
- [ClickAwayListener] Ignore touchend after touchmove (#13689) @hsimah
- [Tooltip] Hide native title when disableHoverListener is true (#13690) @joshwooding
- [withTheme] Fix typography warning (#13707) @jmcpeak
- [Fab] Add Fab type declaration to index and theme (#13715) @Naturalclar
- [InputBase] Remove dead disableUnderline property (#13720) @PierreCapo
- [FilledInput] Fix disableUnderline property (#13719) @ekoeditaa
- [SwitchBase] Fix error not being thrown when controlled state is changed (#13726) @joshwooding
- [TextField] Better support select object value (#13730) @yezhi780625
- [TablePagination] Support native selection (#13737) @jsdev
- [Modal] Fix concurrency regression (#13743) @oliviertassinari
- [LinearProgress] Remove dead code (#13749) @ekoeditaa
- [typescript] Add test case for FormControl type limitations (#13754) @eps1lon
- [Popover] Handle resize close concurrency issue (#13758) @oliviertassinari
- [Avatar] Remove truthiness check on childrenProp (#13759) @camilleryr

### `@material-ui/styles@v3.0.0-alpha.2`

- [styles] Add options definitions for makeStyles (#13721) @eps1lon
- [styles] Loosen props consistency check in styled (#13755) @eps1lon

### Docs

- [docs] Add support for changing react version in codesandbox demos (#13686) @joshwooding
- [changelog] Add deprecation notice for Divider (#13700) @eps1lon
- [docs] Add notistack demo to the snackbar page (#13685) @iamhosseindhv
- [docs] Remove Grid List dead code (#13731) @akhil-gautam
- [docs] Reduce the no-results rate on Algolia (#13741) @oliviertassinari
- [docs] Fix concurrency with Frame demos (#13747) @oliviertassinari

### Core

- [test] Correct the link to the example test (#13709) @mdcanham
- [styles] Fix tslint false negative with outdated local builds (#13750) @eps1lon

## 3.6.0

_Nov 26, 2018_

A big thanks to the 28 contributors who made this release possible!

The last release was two weeks ago.
Last weekend, we have missed the release train 🚃.
As a consequence, this is a dense release.

Here are some highlights ✨:

- 🎨 Add a new Firebase theme demo (#13579) @siriwatknp.
  You can preview it following [this link](https://mui.com/premium-themes/paperbase/).
- ⚛️ Introduce a new Fab component (#13573) @mbrookes.
- ⛏ Fix more StrictMode warnings (#13590) @eps1lon.
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.6.0`

#### Deprecations

- [Fab] Extract from Button as new component (#13573) @mbrookes

The floating action button doesn't share many styles with the default button component.
We are extracting the variant into its own component.
This way, we better isolate the concerns.
We will remove the FAB styles from the button in v4, making the `Button` component more lightweight, a win for people overriding our styles.

```diff
-import Button from '@material-ui/core/Button';
+import Fab from '@material-ui/core/Fab';

-<Button variant="fab" color="primary">
+<Fab color="primary">
  <AddIcon />
-</Button>
+</Fab>
```

- [Divider] Add support for middle divider by introducing a `variant` prop (#13574) @joshwooding

We are introducing a new variant to the divider component: middle. Following our API guideline, we can no longer use a boolean property, it needs to be an enum, hence the introduction of the variant property.

```diff
import Divider from '@material-ui/core/Divider';

-<Divider inset />
+<Divider variant="inset" />
```

#### Changes

- [FormControlLabel] Fix documentation warnings (#13583) @dsbrutha777
- [ExpansionPanelSummary] Fix event forwarding (#13582) @jmetev1
- [Button] Move deprecated variants to the end of the list (#13584) @avetisk
- [FormControl] Use stable context API (#13590) @eps1lon
- [TablePagination] Improve TypeScript definition (#13601) @xiaoyu-tamu
- [SwipeableDrawer] Add `SwipeAreaProps` property (#13592) @SerhiiBilyk
- [ListItem] Add three-line support (#13553) @ntorion
- [Grid] Fix the IE11 issue in the demo (7d2070fb388295d38806ecc49717006f34393e74) @oliviertassinari
- [Zoom] Correct transition delay value of the example (#13645) @t49tran
- [Tabs] Improve the warning message (#13640) @oliviertassinari
- [Grow] Condense the demo (#13665) @Thyix
- [Tooltip] Fix the property forwarding priority (#13667) @oliviertassinari
- [Modal] Fix the close jump on Windows (#13674) @oliviertassinari
- [Select] Support object value (#13661) @yezhi780625
- [Menu] Fix wrong condition (#13675) @dolezel

### `@material-ui/lab@v3.0.0-alpha.24`

- [Slider] Fix sticky slider when mousing off the window then back in (#13479) @gkjohnson
- [Slider] Fix visual hover state on disabled slider (#13638) @eps1lon
- [Slider] Add missing thumb TypeScript definition (#13650) @dhiroll

### `@material-ui/styles@v3.0.0-alpha.1`

- [styles] Add TypeScript declarations (#13612) @eps1lon

### `@material-ui/docs@v3.0.0-alpha.8`

- Fix the @material-ui/utils require error.

### Docs

- [docs] Add redirect rule for moved page layout examples (#13588) @mbrookes
- [docs] Add the selfeducation.app showcase (#13620) @kulakowka
- [docs] Warn about the Dynamic CSS alpha state (#13619) @WebDeg-Brian
- [docs] Learn Material UI (#13624) @oliviertassinari
- [docs] Add a Firebase example in the premium-theme section (#13579) @siriwatknp
- [docs] Increase clarity around the usage of font icons (#13628) @JosephMart
- [docs] Add swimmy.io to showcase page (#13637) @uufish
- [docs] Correct typo in comment of snackbar, children (#13651) @kobi
- [docs] Improve Grid limitation description (#13668) @sshevlyagin
- [docs] Fix theme menu link (#13669) @iamhosseindhv
- [docs] Change &quote; to &apos; (#13678) @wiktoriatomzik
- [docs] Restructure the demo based on usage analytics (#13684) @oliviertassinari
- [docs] Fix typo in URL (#13688) @Malvineous

### Core

- [core] Update dev dependencies (#13626) @oliviertassinari
- [test] Fix codecov failing on merge commits (#13654) @eps1lon
- [core] Make prettier run programmatically (#13621) @joshwooding
- [test] Run unit/integration test on Chrome 41 (#13642) @eps1lon
- [core] Move unit test commands to their package (#13604) @eps1lon

## 3.5.1

_Nov 13, 2018_

A big thanks to the 13 contributors who made this release possible!

Here are some highlights ✨:

- Introduce a new `@material-ui/styles` package 💅 (#13503).

The Material UI's styling solution has pretty much stayed the same [for the last 12 months](https://github.com/oliviertassinari/a-journey-toward-better-style).
Some interesting CSS-in-JS libraries like styled-components, Emotion or linaria have emerged.
This new package is a significant step forward. Some of the key features:

- Supports 4 different APIs: hooks, styled-components, higher-order components and render props.
- Allow accessing the component's props from within the style object.
- Replace the usage of the old React APIs with the new ones.
- 15.0 kB gzipped.

Here is an example: https://codesandbox.io/p/sandbox/vjzn5z4k77.

```jsx
import Button from '@material-ui/core/Button';
import * as React from 'react';
import { makeStyles } from '@material-ui/core/styles';

// Like https://github.com/brunobertolini/styled-by
const styledBy = (property, mapping) => (props) => mapping[props[property]];

const useStyles = makeStyles({
  root: {
    background: styledBy('color', {
      red: 'linear-gradient(45deg, #FE6B8B 30%, #FF8E53 90%)',
      blue: 'linear-gradient(45deg, #2196F3 30%, #21CBF3 90%)',
    }),
    border: 0,
    borderRadius: 3,
    boxShadow: styledBy('color', {
      red: '0 3px 5px 2px rgba(255, 105, 135, .3)',
      blue: '0 3px 5px 2px rgba(33, 203, 243, .3)',
    }),
    color: 'white',
    height: 48,
    padding: '0 30px',
  },
});

function MyButton(props) {
  const { color, ...other } = props;
  const classes = useStyles(props);
  return <Button className={classes.root} {...other} />;
}

function AdaptingHook() {
  return (
    <div>
      <MyButton color="red">Red</MyButton>
      <br />
      <br />
      <MyButton color="blue">Blue</MyButton>
    </div>
  );
}

export default AdaptingHook;
```

_Powered by [JSS](https://github.com/cssinjs/jss)._

- Remove some usages of the old React's APIs (#13487, #13529, #13503) @eps1lon.
- Add a language menu in the documentation and persist states between repeated visits (#13544, #13567) @mbrookes
- And many more 🐛 bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.5.1`

- [OutlinedInput] Remove Firefox workaround (#13519) @Studio384
- [TextField] Fix style focus issue on mobile (#13511) @ekoeditaa
- [InputBase] Remove legacy lifecycle methods (#13487) @eps1lon
- [Chip] Alignment fix (#13536) @izyb
- [Badge] Add invisible property (#13534) @joshwooding
- [Table] Use stable context API (#13529) @eps1lon
- [TablePagination] Allow more rows per pages (#13524) @oliviertassinari
- [LinearProgress] Fix TypeScript definition (#13562) @AdamMcquiff
- Add missing brcast dependency @oliviertassinari

### `@material-ui/styles@v3.0.0-alpha.0`

- @material-ui/styles (#13503) @oliviertassinari

### Docs

- [docs] Advanced filter added to the documentation (#13528) @ashkank83
- [docs] Save one component in the demo (#13537) @levelingup
- [docs] Make the lab > core dependency more explicit (#13542) @Robindiddams
- [docs] Remove redundant text (#13547) @EbiEbiEvidence
- [docs] Add language menu (#13544) @mbrookes
- [docs] Misc fixes (#13555) @oliviertassinari
- [docs] Add cookie for persistent colors (#13567) @mbrookes

### Core

- [test] Improve tests related to lists (#13517) @eps1lon
- [core] Remove recompose/wrapDisplayName usage (#13525) @oliviertassinari
- [core] Fix the CDN release (#13540) @oliviertassinari
- [core] Pass import filename through normalizePath function (#13565) @joshwooding

## 3.5.0

_Nov 12, 2018_

_Corrupted, to not use._

## 3.4.0

_Nov 5, 2018_

A big thanks to the 16 contributors who made this release possible!

Here are some highlights ✨:

- ⚛️ Fix some React 16.6.0 warnings in StrictMode (#13498, #13477) @eps1lon.
- 💅 Improve the customization of the outlined input (#13428) @oliviertassinari.
- And many more bug fixes and documentation improvements.

### `@material-ui/core@v3.4.0`

- [Autocomplete] Fix react-select input overflow (#13413) @sayfulloev
- [Drawer] Add a root style rule for consistency (#13418) @KirankumarAmbati
- [Menu] Fix position regression (#13419) @oliviertassinari
- [Menu] Add a visual regression test (#13420) @oliviertassinari
- [Select] Fix focused text color (#13423) @joshwooding
- [Tabs] Fix misaligned tab (#13421) @Ang-YC
- [OutlinedInput] Improve customization (#13428) @oliviertassinari
- [CircularProgress] Introduce disableShrink property (#13430) @joshwooding
- [Select] Improve the value comparison function (#13408) @nicolasiensen
- [InputLabel] Fix InputLabelClassKey (#13445) @eps1lon
- [createMixins] Use theme spacing unit in gutters (#13452) @zsalzbank
- [ButtonBase] Update focusVisible ponyfill for shadowRoots (#13483) @jaipe
- [Table] Add rowspan and colspan examples (#13490) @josgraha
- [FormControlLabel] Add top and bottom `labelPlacement` property variants (#13499) @JulienMalige
- [List] Use stable context API (#13498) @eps1lon
- [SvgIcon] Add shapeRendering property description (#13509) @joshwooding

### `@material-ui/lab@v3.0.0-alpha.23`

- [Slider] Fix hover state not being registered (#13437) @eps1lon
- [SpeedDial] Add default value to tooltipOpen property (#13458) @joshwooding

### Docs

- [examples] Fix Next.js warning "no title in \_document.js" (#13415) @iamhosseindhv
- [docs] Update misspelled "Interactive" in Tooltip Demo (#13427) @imjaroiswebdev
- [docs] Fix the scroll functionality of the mini drawer demo (#13460) @nicolasiensen
- [examples] Update create-react-app examples (#13453) @eps1lon
- [docs] Add Google Analytics events (#13451) @goldins
- [docs] Use stable context API (#13477) @eps1lon
- [docs] Update CONTRIBUTING.md (#13478) @josgraha
- [docs] Fix material-ui-popup-state IE11 issue (#13474) @jedwards1211
- [docs] Add Typography example for MenuItem (#13500) @joshwooding
- [docs] Reword flexbox limitation (#13508) @joshwooding

### Core

- [core] Ponyfill global (#13426) @TrySound
- [core] Upgrade dev dependencies (#13429) @oliviertassinari

## 3.3.2

_Oct 27, 2018_

A big thanks to the 17 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 Fix some important issues with the Modal (#13378, #13389) @TomiCake.
- 🐛 Fix a Dialog scroll issue (#13409) @Ang-YC.
- 📝 Full IE11 support (#13375, #13324) @eps1lon.
- And many more bug fixes and documentation improvements.

### `@material-ui/core@v3.3.2`

- [Stepper] Fix visual issue on IE11 (#13375) @oliviertassinari
- [Modal] Reuse the same reference (#13378) @oliviertassinari
- [MenuItem] Add disableGutters property (#13329) @adeelibr
- [FormControl] Issue 13246 revert (#13380) @drkohlipk
- [theme] Correct augmentColor TypeScript definition (#13376) @sveyret
- [Table] Change divider color in dark theme (#13395) @Krijovnick
- [TablePagination] Better color inheritance (#13393) @markselby9
- [Modal] Fix aria and focus logic (#13389) @TomiCake
- [Tooltip] Allow to interact with the tooltip (#13305) @jantimon
- [Dialog] Fix unable to drag scrollbar when scroll="body" (#13409) @Ang-YC

### `@material-ui/lab@v3.0.0-alpha.22`

- [Slider] Improve performance of slider (#13325) @Pajn

### Docs

- [docs] Fix some issue with i18n (#13342) @GFwer
- [docs] Add polyfill for IE11 (#13324) @eps1lon
- [docs] Correct title attribute for Paella recipe card (#13398) @vixmorrigan-redseven
- [docs] CONTRIBUTING is not read by default (#13400) @eps1lon
- [docs] Add missing </span> for prop-type (#13401) @mvsmal
- [docs] aria-owns accepts 'string | undefined' but we feed it 'null' (#13396) @Primajin
- [docs] Let user know where <Icon /> coming from (#13405) @bekicot
- [docs] Update Workbox to v3.6.3 (#13392) @msiadak
- [docs] Better i18n capability (#13410) @oliviertassinari

### Core

- [core] Update overrides type declarations (#13379) @eps1lon
- [core] Misc of improvements (#13381) @oliviertassinari

## 3.3.1

_Oct 24, 2018_

A big thanks to the 8 contributors who made this release possible!

This is a quick patch after an important regression with the Modal component.

### `@material-ui/core@v3.3.1`

- [Modal] Fix modalRef is null (#13351) @TomiCake
- [Modal] Add a failling test case (#13350) @universalmind303
- [Button] Fix styles classes isolation (#13352) @MECarmody
- [Chip] Control clickable property (#13056) @vilvaathibanpb

### Docs

- [docs] Add material-ui-popup-state examples (#13044) @jedwards1211
- [docs] Recommend yarn link to test local distribution (#13348) @nicolasiensen
- [docs] Move the favicon to the root (#13362) @oliviertassinari

## 3.3.0

_Oct 21, 2018_

A big thanks to the 26 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 Fix some important issues with the Modal (#13082, #13310) @J-Kallunki.
- 📝 First translations of the documentation in Chinese (#13094) @mbrookes.
- 📦 Make the Drawer demos usable outside of the box (#13314).
- And many more bug fixes and documentation improvements.

### `@material-ui/core@v3.3.0`

- [FormHelperText] Error styles should override disabled styles (#13217) @matthewdordal
- [InputBase] Add 'renderPrefix' and 'onFilled' signatures (#13282) @zheeeng
- [Drawer] Fix right chevron in persistent demo (#13275) @fabriziocucci
- [Tabs] Center text within tabs (#13258) @pelotom
- [ModalManager] Fix aria-hidden of modal current node (#13082) @J-Kallunki
- [Modal] Restore the focus as fast as possible (#13310) @oliviertassinari
- [Select] Add a multiple placeholder demo (#13309) @rfbotto
- [ListItem] Document how you can render a link (#13069) @JulienUsson
- [Select] Fix NativeSelect's height in FF and Edge (#13326) @pinguinjkeke
- [FormControl] Added zIndex of 0 to root style (#13327) @drkohlipk
- [withStyle] Improve the dangerouslyUseGlobalCSS option (#13330) @oliviertassinari

### `@material-ui/lab@v3.0.0-alpha.21`

- [Slider] Fix Jest unmount issue (#13295) @mdartic

### `@material-ui/docs@v3.0.0-alpha.7`

- [withStyle] Improve the dangerouslyUseGlobalCSS option (#13330) @oliviertassinari

### Docs

- [docs] Adds documentation for Circular Progress component (#13266) @mxmcg
- [docs] Remove usage of non-existent `listItem` jss class (#13269, #13268) @G-Rath
- [examples] Extend the .gitignore files (#13270) @phiilu
- [docs] Remove/annotate deprecated button variants (#13280) @eps1lon
- [docs] Update RTL guide to be more clear (#13181) @wenduzer
- [docs] Add checklist to PR template (#13225) @eps1lon
- [docs] Fix markdown formatting (#13284) @rutsky
- [docs] Fix typo (#13287) @NMinhNguyen
- [docs] Fixes typos & formatting in GridListTile and GridListTileBar documentation (#13298) @rassek96
- [docs] Reverse show password logic (#13301) @ShunnyBunny
- [docs] Some improvements (#13308) @programistka
- [docs] Clarify on how to use the local distribution in the CONTRIBUTING file (#13312) @nicolasiensen
- [docs] Refactor CheckboxesGroup to support IE11 (#13316) @simjes
- [docs] Set the infrastructure for a full page demo (#13314) @oliviertassinari
- [docs] Fix typos & formatting in filled-input (#13317) @dskiba
- [docs] Remove usage of non-existent `margin` jss class (#13318) @G-Rath
- [docs] Fix ad display (#13321) @oliviertassinari
- [docs] New Crowdin translations (#13094) @mbrookes

### Core

- [core] Fix defaultFontFamily misspelled in createTypography (#13260) @TheBear44
- [core] Misc of improvements (#13271) @oliviertassinari
- [core] Upgrade the dev dependencies (#13286) @oliviertassinari
- [core] Disable the jss vendor plugin server-side (#13285) @oliviertassinari
- [core] Work toward preventing Googlebot regressions (#13323) @oliviertassinari

## 3.2.2

_Oct 16, 2018_

A big thanks to the 3 contributors who made this release possible!
This is a quick patch after important regressions.

### `@material-ui/core@v3.2.2`

- [ButtonBase] Fix process is not defined (#13252) @eps1lon

### Core

- [core] Fix deprecated variant (#13254) @oliviertassinari
- [core] Add a real life benchmark (#13244) @oliviertassinari
- [core] Only use debounce client-side (#13255) @oliviertassinari

## 3.2.1

_Oct 14, 2018_

A big thanks to the 19 contributors who made this release possible!

Here are some highlights ✨:

- 🐛 A simpler Typography upgrade story
- 🚀 Work on the performance server-side (x10) (#13233, #13236)
- And many more bug fixes and 📝 documentation improvements.

### `@material-ui/core@v3.2.1`

- [DialogContentText] Fix typography deprecation warning with useNextVariants (#13148) @eps1lon
- [SnackbarContent] Fix invalid dom (#13151) @eps1lon
- [Autocomplete] Fix the Portal Downshift demo (#13166) @oliviertassinari
- [SwitchBase] Fix type declarations (#13172) @eps1lon
- [Switch] Fix stacking context (#13122) @skenbo0916
- [Radio][switch] Accept number & bool as value (#13173) @rassek96
- [Collapse] Show overflow content once entered (#13117) @skenbo0916
- [Stepper] Forward state properties to StepConnector (#13130) @jmaloon
- [Typography] Add missing classkey for overline variant (#13187) @eps1lon
- [Stepper] Prevent overriding Step's props (#13188) @nikhilem
- [Stepper] We were too greedy, revert (#13192) @oliviertassinari
- [withWidth] Document the render prop (#13074) @JulienUsson
- [TextField] Fix/core/input label/declarations and refactor (#13200) @eps1lon
- [CardActionArea] Fix overflow issue (#13213) @mdsadiq
- [Typography] Improve the upgrade story (#13214) @oliviertassinari
- [Snackbar] Remove non supported property `anchorOrigin.vertical=enter` (#13238) @iamhosseindhv
- [Tabs] Fix IE11 styling (#13230) @pography

### `@material-ui/lab@v3.0.0-alpha.20`

- [SpeedDialAction] Fix className prop being ignored (#13161) @eps1lon
- [SpeedDial] Add missing class keys (#13228) @msenevir

### Docs

- [docs] Use typography v2 in examples (#13112) @eps1lon
- [docs] Add formik-material-ui (#13149) @cliedeman
- [examples] Fix codesandbox throwing Invalid comparator (#13153) @eps1lon
- [docs] Keep working on the SEO issues (#13158) @oliviertassinari
- [docs] Fix select outlined example (#13168) @RichardLindhout
- [Grid] Refactor prop order for clarity (#13204) @dijonkitchen
- [docs] Fix typo in Dialog (#13209) @rassek96
- [Tabs] Remove the href form simple tab example (#13205) @menomanabdulla
- [docs] Add demo for a bottom app bar (#13030) @adeelibr
- [docs] Fix a typo in the content that Table normally takes (#13219) @eddiemonge
- [docs] Change `filled-input` link text to `FilledInput` (#13223) @G-Rath
- [docs] Add Onepixel to the showcase (#13227) @oliviertassinari
- [docs] Fix API generation for i18n (#13237) @mbrookes
- [docs] Keep SEO juice for the other pages (#13240) @oliviertassinari

### Core

- [test] Add visual regression test for SpeedDIal (#13140) @eps1lon
- [test] Tidelift - skip checking nomnom & os-locale (#13157) @mbrookes
- [core] Benchmark Material UI (#13233) @oliviertassinari
- [core] Introduce JSS caching (#13236) @oliviertassinari

## 3.2.0

_Oct 8, 2018_

A big thanks to the 18 contributors who made this release possible!

Here are some highlights ✨:

- 💅 Update the Typography implementation to better follow the specification (#12916) @eps1lon.
- 📝 Enable [translating the documentation into Chinese](https://crowdin.com/project/material-ui-docs) @mbrookes.
- 📝 Fix many SEO issues of the docs.
- And many more bug fixes 🐛 and documentation improvements.

### `@material-ui/core@v3.2.0`

#### Deprecations

- [Typography] Add typography v2 variants (#12916) @eps1lon

This is a backward compatible change.
You can opt-in the usage of the new Material Design typography specification.
To learn more about the upgrade path, follow https://mui.com/style/typography/#migration-to-typography-v2.

- [Button] Deprecate flat and raised variant naming (#13113) @eps1lon

This change updates the variant wording to match the one used in the Material Design specification.

```diff
-<Button variant="flat" />
+<Button variant="text" />
```

```diff
-<Button variant="raised" />
+<Button variant="contained" />
```

#### Changes

- [TextField] Ensure labelWidth is set (#13077) @evanstern
- [styles] Remove react-jss dependency (#12993) @oliviertassinari
- [TextField] Fix ClassKey inference for outlined and filled variants (#13060) @eps1lon
- [Select] Document the filled and outlined variants (#13071) @JulienUsson
- [Typography] Support incomplete headlineMapping property (#13078) @oliviertassinari
- [Stepper] Expose connector index to <StepConnector /> (#13079) @dannycochran
- [ListItemIcon] Add wrapper `<div>` element to children (#13067) @izyb
- [TextField] Fix of Uncaught TypeError: r.inputRef.focus is not a function (#13091) @MustD
- [InputAdornment] Add missing "variant" prop to types (#13107) @cmfcmf
- [Textarea] Merge style with calculated height (#13125) @daniel-rabe
- [Typography] Small improvements (#13129) @oliviertassinari
- [Typography] Run the e2e tests with the next variant (#13136) @oliviertassinari
- [Tooltip] Forward the properties to the child element (#13138) @parulgupta26
- [Tooltip] Prevent onOpen, onClose to pass through (#13139) @eps1lon

### `@material-ui/lab@v3.0.0-alpha.19`

- [SpeedDial] Improve hover intent between Dial and Actions (#13018) @eps1lon
- [Slider] Fix thumb outline not matching spec (#12967) @eps1lon
- [SpeedDial] Fix navigation between SpeedDialActions (#12725) @eps1lon
- [Slider] Lowest value for vertical should be at the bottom (#13090) @eps1lon

### Docs

- [docs] Fix more SEO issues (#13050) @oliviertassinari
- [docs] Fix even more 301 redirections (#13051) @oliviertassinari
- [docs] Use typography v1 in examples (#13073) @mikhailsidorov
- [docs] Add SFR Presse to the Showcase (#13092) @RyudoSynbios
- [docs] Mark Text fields variants as supported (#13089) @KaRkY
- [docs] Add internationalization (#13066) @mbrookes
- [docs] Remove language code for default language for CrowdIn (#13093) @mbrookes
- [docs] Update SwipeableTextMobileStepper in demos with AutoPlay (#13095) @JayathmaChathurangani
- [docs] Fix broken link (#13096) @Hocdoc
- [docs] Use the InputBase component for the AppBar demo (#13102) @oliviertassinari
- [docs] Adds DropDownMenu to migration guide (#13110) @mxmcg
- [docs] Warn about the number of inputs allowed in a FormControl (#13108) @matthewdordal
- [docs] Repurpose page edit button as Chinese l10n call-to-action (#13115) @mbrookes
- [docs] Fix a IE11 rendering issue (#13118) @oliviertassinari
- [docs] Link the related projects where it's relevant (#13124) @oliviertassinari
- [docs] Fix 404 edit button of the versions page (#13127) @oliviertassinari
- [docs] Add a translation badge to readme, and update URLs (#13128) @mbrookes

### Core

- [core] Add integrity hashes to yarn.lock (#13055) @eps1lon
- [test] Fail if coverage can't be push (#13084) @eps1lon
- [core] Remove eslint-spellcheck (#13120) @oliviertassinari
- [test] Add jsonlint to CI (#13126) @mbrookes

## 3.1.2

_Sep 30, 2018_

A big thanks to the 16 contributors who made this release possible!
It contains many bug fixes 🐛 and documentation improvements 📝.

### `@material-ui/core@v3.1.2`

- [FormControlLabel] Reverse margins values when labelPlacement="start" (#13007) @IvanoffDan
- [InputBase] Fix cursor on disabled state (#13008) @itskibo
- [InputLabel] Add `variant` property to InputLabel type definition (#13009) @chrislambe
- [StepLabel] Introduce StepIconComponent property (#13003) @semos
- [StepConnector] Customize connector based on internal states (#13023) @spirosikmd
- [OutlinedInput] `notched` should be boolean type (#13038) @zheeeng
- [TextField] Add "pointerEvents: none" to outline and filled variants (#13040) @byronluk
- [TextField] Fix the recent regressions (#13017) @slipo
- [Portal] container should allow being 'null' type (#13043) @zheeeng

### `@material-ui/lab@v3.0.0-alpha.18`

#### Breaking Changes

- [Slider] Replace reversed with rtl support on horizontal sliders (#12972)

### `@material-ui/docs@v3.0.0-alpha.6`

- [docs] Defer NProgressBar rendering to the client (e5d757dc8fec9dd6a0951b865dec531528b7f1d0) @oliviertassinari

### Docs

- [docs] Fix typo in grid.md (#12978) @jschnurr
- [examples] Clean up create-react-app-with-typescript (#12992) @eps1lon
- [docs] Small spelling correction (#13012) @innovade
- [docs] Add closing tag in the Popover snippet (#13026) @liesislukas
- [docs] The Grammar Nazi (#13031) @maciej-gurban
- [docs] Improve the Gatsby demo (#13041) @oliviertassinari
- [docs] Fix 3xx and 4xx HTTP statuses (#13046) @oliviertassinari
- [docs] Fix issues spotted by ahrefs.com (#13047) @oliviertassinari

### Core

- [core] Upgrade the @types/jss dependency to 9.5.6 (#12982) @qvxqvx
- [core] Upgrade the dev dependencies (#13016) @oliviertassinari
- [core] Remove redundant class field initializers, save 1% of bundle size (#13022) @RobertPurcea
- [core] Better assertion (#13035) @oliviertassinari

## 3.1.1

_Sep 24, 2018_

A big thanks to the 21 contributors who made this release possible!
It contains many bug fixes 🐛 and documentation improvements 📝.

### `@material-ui/core@v3.1.1`

- [TextField] Fix alignment bug in Safari (#12906) @shcherbyakdev
- [InputLabel] Fix Chrome's autofill (#12926) @PutziSan
- [Tooltip] Fix unwanted tooltip opening (#12929) @ayubov
- [TextField] Fix RTL support of outlined (#12939) @RobertPurcea
- [Button] Make the outlined button border gray when disabled (#12933) @dispix
- [RootRef] Keep track of the DOM node changes (#12953) @oliviertassinari
- [Grid] Fix rounding errors (#12952) @RobertPurcea
- [Tooltip] Back to 100% test coverage (#12954) @oliviertassinari
- [SwipableDrawer] Don't break when backdrop is null (#12969) @spirosikmd
- [InputAdornment] Fix flexbox alignment bug for IE (#12975) @oliviertassinari
- [FilledInput] Update the background color to match the spec (#12977) @adeelibr
- [ListItem] Fix background color bug on mobile (#12976) @ryusaka

### `@material-ui/lab@v3.0.0-alpha.17`

- [Slider] Remove touchend event listener (#12923) @brian-growratio
- [SpeedDialAction] Add missing TypeScript property (#12959) @KarimFereidooni

### Docs

- [docs] Make JSS insertion point reference the same as HTML comment (#12896) @emattias
- [docs] Small fixes (#12904) @oliviertassinari
- [docs] Add reference to material-ui-theme-editor (#12888) @jdrouet
- [docs] Add another case to check when SSR fails (#12908) @oliviertassinari
- [docs] Correct misspelling (dasboard => dashboard) (#12910) @seishan
- [docs] Use core package for (peer-)dependency badges (#12911) @eps1lon
- [docs] Display the backers avatars correctly (3057f970a385fc0cf43e6c978c373b847d0d341e) @oliviertassinari
- [docs] Update themes.md (#12942) @brucegl
- [docs] Fix documentation error in <Input /> (#12955) @lukePeavey
- [docs] Minor style update of the tabs demos (#12958) @dotku
- [docs] Glamorous is deprecated for Emotion (#12963) @oliviertassinari
- [docs] Add Emotion to style library interoperability guide (#12966) @lukePeavey
- [docs] Fix IconButton Snackbar demos (#12964) @bhalahariharan
- [docs] Show how to combine OutlinedInput and FilledInput (#12968) @oliviertassinari
- [docs] Fix Typo in PaymentForm.js (#12971) @n3n
- [docs] Fix Typo in page-layout-examples (#12974) @n3n

### Core

- [typescript] Improve definitions with strictNullChecks disabled (#12895) @eps1lon
- [typescript] Remove unused isMuiComponent definition (#12903) @eps1lon
- [core] Add setRef helper (#12901) @eps1lon
- [core] Fix umd bundle (#12905) @oliviertassinari
- [core] Use .browserlistrc as single point of thruth for target env §#12912) @eps1lon
- [typescript] Add missing `MuiFilledInput` to 'Overrides' (#12938) @marcel-ernst

## 3.1.0

_Sep 16, 2018_

A big thanks to the 24 contributors who made this release possible!

Here are some highlights ✨:

- 💅 Add outlined and filled text field variants (#12076) @enagy27.
- ♿️ Document how to make the icons accessible (#12822).
- 🐛 Fix a class name generation regression (#12844).
- And many more bug fixes 🐛 and documentation improvements 📝.

### `@material-ui/core@v3.1.0`

- [Checkbox] Add indeterminateIcon type definition (#12815) @cvanem
- [Popover] Change to offsetWidth and offsetHeight (#12816) @akaxiaok
- [styles] Use the same class name generator (#12818) @oliviertassinari
- [styles] Revert packageId as default option (#12823) @oliviertassinari
- [withStyles] Fix JSS issues in IE11 in development (#12826) @novascreen
- [autocomplete] Fix incorrect input font in react-select autocomplete demo (#12828) @wijwoj
- [withWidth] Prevent Rerendering (#12825) @junhyukee
- [SvgIcon] Improve accessibility (#12822) @oliviertassinari
- [CircularProgress] Update missing type definitions (#12835) @gsalisi
- [styles] Remove the packageId (#12844) @oliviertassinari
- [Typography] Add inherit and screen reader only (#12837) @oliviertassinari
- [Select] Test if child passed to onChange handler (#12852) @akaxiaok
- [TableSortLabel] Remove sort icon when not active (#12874) @markselby9
- [icons] Add `fontSize` small and large (#12865) @JoshuaLicense
- [Chip] Add an icon property (#12881) @aretheregods
- [TextField] Add outlined and filled variants (#12076) @enagy27

### `@material-ui/lab@v3.0.0-alpha.16`

- [Slider] Don't pass component props down to root div (#12842) @mbrookes
- [Slider] Faster transitions (#12843) @mbrookes
- [SpeedDial] Fix ARIA & fix duplicate id in docs example (#12846) @mbrookes
- [SpeedDial] Remove redundant aria-labelledby (#12847) @mbrookes
- [SpeedDial] Fix not opening on first tap in mobile (#12771) @hashwin
- [Slider] Feature Custom Icon (#12600) @adeelibr

### Docs

- [docs] Fix the gatsby example (#12817) @oliviertassinari
- [docs] Fix Typo in Pricing.js (#12821) @enducker
- [docs] Fix Typo in Checkout.js (#12820) @enducker
- [docs] Fix typo in popover.md (#12832) @amacleay
- [docs] Add documentation for css-to-mui-loader (#12841) @mcdougal
- [docs] Fix ToggleButtons example typography variant (#12845) @mbrookes
- [docs] Fix very minor typo (Docs - page layout examples) (#12849) @bcapinski
- [SvgIcon] Fix minor typo in docs (#12848) @iamhosseindhv
- [docs] Fix typo in blog page layout README (#12868) @sethduncan
- [docs] Update comparison.md (#12877) @GideonShils
- [docs] Split test ad networks (#12878) @mbrookes
- [docs] Customize LinearProgress color (#12883) @mbrn

### Core

- [typescript] Update createGenerateClassName.d.ts (#12824) @Qeneke
- [github] Make issue templates version agnostic (#12839) @mbrookes
- [typescript] Fix with\* injectors ignoring defaultProps (#12673) @eps1lon
- [core] Set required yarn version (#12864) @eps1lon
- [core] Upgrade dev dependencies (#12884) @oliviertassinari

## 3.0.3

_Sep 9, 2018_

A big thanks to the 13 contributors who made this release possible!

### `@material-ui/core@v3.0.3`

- [typescript] Fix ModalClasses prop type on popover (#12761) @YuriiOstapchuk
- [AppBar] Add position="relative" (#12790) @jgoux
- [Checkbox] Revert input indeterminate support (#12803) @eps1lon
- [Checkbox] Indeterminate CSS & DOM helpers (#12804) @oliviertassinari
- [Chip] Add verticalAlign: 'middle' (#12809) @akaxiaok
- [autocomplete] Fix delete chip not working on mobile (#12813) @aretheregods
- [styles] Support multiple withStyles instances (#12814) @oliviertassinari

### `@material-ui/lab@v3.0.0-alpha.15`

- [SpeedDialAction] Update tooltipPlacement propTypes (#12758) @Primajin
- [ToggleButtons] normalize onChange api (#12549) @eps1lon

### Docs

- [docs] Remove function call from onChange handler (#12785) @snikobonyadrad
- [docs] Unescapes character in markdown (#12778) @schalkventer
- [docs] Enable service worker by default as the latest CRA (#12775) @sharils
- [docs] New DataTable component (#12799) @mbrn
- [docs] Add AppBar demos with exapandable & primary search fields (#12695) @adeelibr
- [docs] Simpler AppBar search demos (#12806) @oliviertassinari
- [docs] Document the shrink status input limitation (#12769) @racingrebel

### Core

- [test] Use yarn offline mirror (#12763) @eps1lon
- [core] Small changes investigating issues (#12812) @oliviertassinari

## 3.0.2

_Sep 3, 2018_

A big thanks to the 16 contributors who made this release possible!

Here are some highlights ✨:

- A documented release strategy (#12752).
- And many more bug fixes 🐛 and documentation improvements 📝.

### `@material-ui/core@v3.0.2`

- [Tab] Ability change font size of tab (#12706) @adeelibr
- [typescript] Set default for withStyles' Options generic (#12698) @nmchaves
- [Dialog] Remove dialog margin when fullScreen=true and scroll=body (#12718) @akaxiaok
- [Table] Improved sorting in table for demo EnhancedTable (#12736) @adeelibr
- [Snackbar] Add `ClickAwayListenerProps` property (#12735) @tendermario
- [IconButton] Fix border radius cutting of badges on IE11 (#12743) @novascreen
- [Select] Pass child to onChange handler (#12747) @akaxiaok
- [Input] Fix Input passing inputRef to intrinsic elements (#12719) @eps1lon
- [withStyles] Better theme.props support (#12750) @oliviertassinari
- [SwipeableDrawer] Add hysteresis and velocity property (#12722) @jniclas

### `@material-ui/lab@v3.0.0-alpha.14`

#### Breaking Changes

- [ToggleButton] Fix ToggleButtonGroup exports (#12733) @mbrookes

```diff
-import { ToggleButtonGroup } from '@material-ui/lab/ToggleButton';
+import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup';
```

### Component Fixes / Enhancements

- [SpeedDialAction] Update tooltipPlacement propTypes (#12730) @Primajin
- [Slider] Add missing packages (#12745) @GermanBluefox
- [SpeedDial] Allow tooltip to always be displayed (#12590) @hashwin

### Docs

- [docs] Fix typo in Overrides chapter (#12705) @sanderpost
- [docs] Improve the Downshift demo (#12703) @oliviertassinari
- [examples] Fix typing of `withRoot` to accept props (#12712) @mattmccutchen
- [docs] Fix class name in overrides example (#12717) @manuelkiessling
- [examples] Fix withRoot accepting any props (#12713) @eps1lon
- [typescript] Illustrate issue with ambiguous css class names (#12724) @eps1lon
- [docs] Fix Typo in Page Layout Examples (#12734) @mblodorn
- [docs] Explain how to pass props down to overridden components (#12716) @manuelkiessling
- [docs] Generate import examples in API docs (#12720) @jedwards1211
- [docs] More transparency around the release strategy (#12752) @oliviertassinari

### Core

N/A

## 3.0.1

_Aug 28, 2018_

A big thanks to the 10 contributors who made this release possible!

We are making a quick release after v3.0.0 to patch an incorrect peer dependency.
It's also a good opportunity to upgrade to the stable release of Babel 7.

### `@material-ui/core@v3.0.1`

- [Checkbox] Improve indeterminate status (#12671) @hareaca
- [StepLabel] Fix custom icon spacing (#12694) @JiayuanDeng
- [Chip] Add outlined variant (#12680) @orporan
- [Stepper] Add a new test case (#12684) @Anugraha123
- [core] Upgrade the dependencies (#12693) @oliviertassinari

### `@material-ui/icons@v3.0.1`

- [core] Fix for incorrect peer dependency version warning (#12677) @xaviergonz
- [core] Upgrade the dependencies (#12693) @oliviertassinari

### `@material-ui/lab@v3.0.0-alpha.13`

- [core] Fix for incorrect peer dependency version warning (#12677) @xaviergonz
- [core] Upgrade the dependencies (#12693) @oliviertassinari

### Docs

- [docs] Typo (#12675) @nazartokar
- [docs] Update notification link for release 3.0.0 (#12681) @lumatijev
- [docs] Warn about using withRoot HOC more than one time per page (#12692) @oorestisime

### Core

- [core] Fix for incorrect peer dependency version warning (#12677) @xaviergonz
- [core] Upgrade the dependencies (#12693) @oliviertassinari

## 3.0.0

_Aug 27, 2018_

A big thanks to the 27 contributors who made this release possible!

We are upgrading the major version of `@material-ui/core` to match the version of `@material-ui/icons`.
The next major release is planned for [Q1, 2019](https://github.com/mui/material-ui/milestone/25).

### Breaking change

- [icons] Save 22 Megabytes from the package (#12662)

Cut the package size by half.
It should make the npm installation twice as fast.
It's not OK to have some installation timeout.
We have removed the `/es` folder.

```diff
-import AccessAlarm from '@material-ui/icons/es/AccessAlarm';
+import AccessAlarm from '@material-ui/icons/AccessAlarm';
```

- [core] Drop Firefox 45 support (#12669)

Firefox 52 is the last version supported by Windows XP.
The market share of Firefox 45 is 0.03%.
We use the same strategy for Chrome.

### Component Fixes / Enhancements

- [Input] Improve type checking for inputProps (#12591) @eps1lon
- [ClickAwayListener] Prevent rerendering (#12613) @shcherbyakdev
- [Chip] Add missing ChipClassKey values (#12625) @IvanCoronado
- [Dialog] Add 'lg' support to maxWidth (#12626) @TheMoonDawg
- [TableSortLabel] Support custom icon component (#12630) @wolfejw86
- [SvgIcon] Add Icon suffix to SVG icons (#12634) @yordis
- [Collapse] Fix document for style wrapperInner (#12638) @peter50216
- [Input] Extract helpers to their own module (#12657) @Pajn
- [Chip] Add onKeyUp handler for correct behavior (#12660) @markselby9
- [CardActionArea] Add CardActionArea component (#12624) @yuchi
- [ListItem] Move the selected prop from MenuItem to ListItem (#12602) @the-question

### Docs

- [examples] Update ts example to be closer to the official docs (#12593) @eps1lon
- [docs] Fix a display issue on IE11 (#12599) @oliviertassinari
- [docs] Warn about checking for version mismatch (#12601) @hluedeke
- [docs] Consistent content height in Albumn layout example (#12556) @mbrookes
- [example] Support Gatsby v2 (#12331) @blukai
- [docs] xlarge = extra-large (#12619) @FarzadSole
- [docs] Add "Insights" by justaskusers.com to the list of showcases (#12620) @mattes3
- [docs] Use public api of jss instead of private vars (#12629) @eps1lon
- [docs] Improve Autocomplete filtering suggestions (#12641) @jorgegorka
- [docs] Fix IE11 support (#12650) @oliviertassinari
- [docs] Fix typos (#12652) @dandv
- [docs] Use the event.target.checked API systematically (#12644) @chellem
- [docs] Correct `by and enum` typo in api.md (#12663) @G-Rath
- [docs] Autocomplete react-select dropdown overlay (#12664) @gerhat
- [docs] Fix typo in usage.md (#12666) @DeveloperDavo

### Core

- [core] Better Windows support for the API generation (#12584) @adeelibr
- [TypeScript] Update SnackbarContent type def to accept action prop as array (#12595) @cngraf
- [test] Fix the missing libxcursor1 binary (#12611) @oliviertassinari
- [core] Fix recompose version (#12605) @yamachu
- [typescript] Fix AnyComponent for functional components (#12589) @vierbergenlars
- [core] Let's see if the CI catch the issue (#12615) @oliviertassinari
- [typescript] Use interfaces for typography types (#12616) @pelotom
- [ci] Consider only files changed on the built branch (#12627) @eps1lon
- [test] Lint TypeScript definitions (#12637) @eps1lon
- [core] Upgrade dev dependencies (#12658) @oliviertassinari

#### Lab

- [Slider] Fix memory leaks (#12537) @eps1lon
- [Slider] Fix transitions (#12531) @eps1lon

## 1.5.1

_Aug 19, 2018_

A big thanks to the 22 contributors who made this release possible!

Here are some highlights ✨:

- Upgrade Babel to `v7.0.0-rc.1` (#12581).
- Document the meta viewport (#12541).
- And many more bug fixes 🐛 and documentation improvements 📝.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Tab] Fix fullWidth CSS (#12495) @jankjr
- [TextField] Fix disabled prop only affecting the Input component (#12489) @WreckedArrow
- [Table] Sync typings (#12503) @franklixuefei
- [Table] Remove padding from getting spread to native element (#12505) @JoshuaLicense
- [Select] Accept boolean (#12522) @oliviertassinari
- [Avatar] Prepare Preact support (#12519) @jorgegorka
- [Drawer] Change height from 100vh to 100% (#12528) @joemaffei
- [TextField] Accept boolean (#12538) @palaniichukdmytro
- [withWidth] Remove broken innerRef (#12542) @oliviertassinari
- [CardMedia] Add an example with the component property (#12481) @adeelibr
- [ListSubheader] Add a disableGutters property (#12570) @johannwagner
- [Dialog] Simplify the DialogContentText implementation (#12577) @oliviertassinari
- [Popover] Fix wrong getContentAnchorEl definition (#12562) @duvet86

### Docs

- [docs] Tweak dashboard example nav list heading (#12501) @JoshuaLicense
- [docs] Fix a typo in the Modal page (#12502) @melaniebcohen
- [docs] Don't load the ad on mobile (#12509) @oliviertassinari
- [docs] Fix typo (suot to suit) (#12513) @ratanachai
- [docs] Fix typo in the icons section (#12514) @PolGuixe
- [docs] Document breakpoint argument for withMobileDialog (#12521) @nxtman123
- [docs] Increase SEO potential (#12525) @oliviertassinari
- [docs] "codestyle" comment typo fix (#12511) @nasiscoe
- [docs] Document the meta viewport (#12541) @oliviertassinari
- [docs] Throttle the active toc instead of debouncing (#12543) @oliviertassinari
- [docs] Add material-ui-next-pickers (#12547) @chingyawhao
- [docs] Fix the broken Table sorting logic (#12569) @oliviertassinari
- [docs] Link a new Menu demo (#12574) @pierrelstan
- [docs] Improve TypeScript issue assistance (#12560) @eps1lon
- [docs] Add notistack in the related projects (#12578) @oliviertassinari

### Core

- [typescript] Style typing improvements (#12492) @pelotom
- [core] Should run the tests when needed (#12510) @oliviertassinari
- [core] Add MuiTableBody to theme overrides (#12550) @pvdstel
- [test] Disable CircleCI cache (#12573) @oliviertassinari
- [test] Introduce prettier into CI pipeline (#12564) @eps1lon
- [test] Fix prettier ci task with multiple changed files (#12579) @eps1lon
- [core] Upgrade to babel@rc.1 (#12581) @oliviertassinari

#### Lab

- [SpeedDial] Fix invalid prop direction supplied (#12533) @eps1lon
- [SpeedDial] Remove dead code from test (#12545) @mbrookes
- [Slider] Fix failing handler test (#12535) @eps1lon

## 1.5.0

_Aug 12, 2018_

A big thanks to the 23 contributors who made this release possible!
This is a dense release!

Here are some highlights ✨:

- Introduce a "page layout examples" section in the documentation. Don't miss it! (#12410) @mbrookes.
- Add a Table Of Contents for each page of the documentation (#12368).
- Improve the TypeScript autocomplete for CSS properties (#12456) @eps1lon.
- And many more bug fixes 🐛 and documentation improvements 📝.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Select] Accept boolean (#12429) @oliviertassinari
- [icons] Resize svg icons (#12356) @the-question
- [Collapse] Add all class keys to the types (#12436) @stuharvey
- [Table] Padding feature (#12415) @aseem191
- [icons] Remove clip-path from all icons (#12452) @kevinnorris
- [Input] Use the color from the theme (#12458) @adeelibr
- [NoSrr] Add a defer property (#12462) @oliviertassinari
- [icons] Remove unused clipPath definitions from icons (#12465) @kevinnorris
- [Popover] Allow to pass repeated props to modal (#12459) @davibq
- [SelectInput] Add "name" to event.target for onBlur callback (#12467) @hassan-zaheer
- [Button] Make the outlined variant better leverage the color (#12473) @essuraj
- [Tooltip] Hide the tooltip as soon as an exit event triggers (#12488) @oliviertassinari

### Docs

- [docs] Fix react-select multiselection wrapping (#12412) @henkvhest
- [docs] Add some Render Props demos (#12366) @jedwards1211
- [docs] Add example layouts (#12410) @mbrookes
- [core] Fix some errors when porting demos to TypeScript (#12417) @PavelPZ
- [docs] Standardize the wording between icon docs and readme (#12425) @mbrookes
- [docs] Improve the withTheme example (#12428) @oliviertassinari
- [docs] Rename layouts to page-layout-examples + minor fixes (#12430) @mbrookes
- [docs] Ensure `inputRef` is wired up to react-number-format's input (#12444) @NMinhNguyen
- [docs] Expand on the JSS and class name generator docs (#12447) @atrauzzi
- [docs] Better autocomplete docs (#12451) @oliviertassinari
- [docs] Fix typo (#12454) @metropt
- [docs] Better descriptive Table demos (#12464) @bala121286
- [README] New iteration on the backers (#12475) @oliviertassinari
- [docs] Font vs SVG. Which approach to use? (#12466) @PolGuixe
- [docs] Add a Table Of Contents (#12368) @oliviertassinari
- [docs] Fix link to Twitter account (#12482) @patcito
- [docs] Try CodeFund over Carbon (#12484) @oliviertassinari

### Core

- [typescript] Synced with PR #12373 (#12439) @franklixuefei
- [core] Add hoverOpacity to TypeAction interface (#12455) @hassan-zaheer
- [core] Save some bytes in the super() logic (#12476) @oliviertassinari
- [core] Upgrade the dependencies (#12477) @oliviertassinari
- [typescript] improve autocomplete for CSS properties in createStyles (#12456) @eps1lon

#### Lab

- [SpeedDialAction] Allow a tooltip placement prop (#12244) @seanchambo
- [lab] Depend on @babel/runtime (#12470) @goto-bus-stop

## 1.4.3

_Aug 4, 2018_

A big thanks to the 15 contributors who made this release possible!
This release focuses on bug fixes 🐛.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Tooltip] Add default css max-width and customization demo (#12338) @simoami
- [Step] Add completed class to the root (#12339) @kylezinter
- [Drawer] Add touchAction: 'none' on the Overlay to disable scrolling (#12350) @jlascoleassi
- [Chip] Remove reference to checked prop in the docs (#12375) @DavidThorpe71
- [styles] Improve the dangerouslyUseGlobalCSS story (#12389) @oliviertassinari
- [Tooltip] Fix autoFocus issue (#12372) @Mangatt
- [FormLabel][formhelpertext] classes keys (#12373) @Mangatt
- [Chip] Add color prop to chip component (#12378) @itelo
- [Tooltip] Fix hover issues (#12394) @aseem191
- [palette] Better defensive logic (#12402) @oliviertassinari
- [MobileStepper] Add a LinearProgressProps property (#12404) @oliviertassinari
- [Textarea] Add back defensive branch logic (#12406) @kanzelm3

### Docs

- [docs] Add markdown code to Interactive Grid (#12333) @itelo
- [docs] Document how to use the Select with a label and a placeholder (#12342) @oliviertassinari
- [docs] Improve the Table sorting logic (#12348) @xkenmon
- [docs] Fix contast => contrast typo (#12395) @chayeoi
- [docs] Fix two typos in Lists.md (#12397) @adl
- [docs] Fix ChipPlayground generated code (#12401) @mbrookes
- [docs] Add Tomahawk boilerplate to the related projects (#12393) @goemen

### Core

- [core] Upgrade the dependencies (#12409) @oliviertassinari

#### Lab

- [ToggleButton] Fix TypeScript definition (#12360) @itskibo

## 1.4.2

_Jul 29, 2018_

A big thanks to the 22 contributors who made this release possible!
I hope we will soon beat our previous record: 30 contributors in a single week.

Here are some highlights ✨:

- Upgrade the react-select demo to v2 (#12307) @oliviertassinari.
- Document a new "No SSR" component (#12317) @oliviertassinari.
- Add a label placement property for FormControlLabel (#12303) @mbrookes.
- And many more bug fixes 🐛 and documentation improvements 📝.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Tabs] Reduce the bundle size (#12256) @oliviertassinari
- [Menu] Add null as acceptable value of anchorEl (#12249) @LAITONEN
- [Popper] Increase the minimal required version of popper.js (#12258) @Tuaniwan
- [TablePagination] Add missing selectIcon ClassKey definition (#12267) @spallister
- [Tooltip] Add some docs for disabled elements (#12265) @kamranayub
- [Tabs] Prevent unwanted auto-move in scrolling tabs (#12276) @novascreen
- [Button] Fix icon positioning on Safari iOS (#12278) @KevinAsher
- [Modal] Add onRendered to ModalProps (#12284) @rynobax
- [Card] Align icons with ListItem (#12292) @mbrookes
- [TextField] Improve onChange type definition (#12294) @t49tran
- [DialogContentText] Inherit TypographyProps in type definition (#12301) @charlieduong94
- [FormControlLabel] Add labelPlacement prop (#12303) @mbrookes
- [FormControlLabel] Correct the style description (#12304) @mbrookes
- [Typography] Add color=textPrimary option (#12310) @oliviertassinari
- [Tooltip] Remove an undocumented API (#12312) @oliviertassinari
- [RootRef] Apply the same logic as React Ref (#12311) @oliviertassinari
- [Grid] Document the nested capability (#12313) @oliviertassinari
- [SwipeableDrawer] Fix SSR issue on iOS (#12314) @oliviertassinari
- [Snackbar] Fix anchorOrigin types (#12316) @nmchaves
- [LinearProgress] Fix wrong style rule usage (#12319) @agentmilindu
- [Popper] Fix modifiers appearing as attribute of div (#12329) @skeithtan

### Docs

- [docs] Fix typo (#12248) @johnjacobkenny
- [docs] Add typekev.com to showcase page (#12243) @typekev
- [docs] Fix escape "|" char (#12254) @TheRusskiy
- [docs] Fix logo in the README (#12273) @antoinerousseau
- [docs] Add an example with Popper and react-autosuggest (#12280) @oliviertassinari
- [docs] Add Complementary Project - create-mui-theme (#12269) @UsulPro
- [docs] Add a note on the name option and dangerouslyUseGlobalCSS (#12281) @oliviertassinari
- [docs] Improve ListItem and BottomNavigationAction docs (#12295) @vkentta
- [docs] Add placeholder for search bar (#12296) @DheenodaraRao
- [docs] Upgrade react-select (#12307) @oliviertassinari
- [docs] Use data to improve the ranking (#12315) @oliviertassinari
- [docs] Document NoSsr (#12317) @oliviertassinari
- [docs] Improve the docs to have matches (#12322) @oliviertassinari

### Core

- [core] Upgrade dev dependencies (#12323) @oliviertassinari

#### Lab

- [Slider] Increase color specification conformance (#12245) @eps1lon
- [SpeedDial] Prevent opening when hovering closed actions (#12241) @mbrookes
- [Slider] Remove visual zero state from thumb (#12242) @eps1lon

## 1.4.1

_Jul 22, 2018_

A big thanks to the 15 contributors who made this release possible!

Here are some highlights ✨:

- The CSS API is now fully documented (#12174) @mbrookes.

| Name                                 | Description                                                 |
| :----------------------------------- | :---------------------------------------------------------- |
| <span class="prop-name">root</span>  | Styles applied to the root element.                         |
| <span class="prop-name">label</span> | Styles applied to the span element that wraps the children. |
| …                                    | …                                                           |

- After many iterations, we are happy to announce `@material-ui/icons` v2.0.0 💃.
  With this version, you can take advantage of all the icons recently released by Google:
  https://m2.material.io/tools/icons/. There are more than 5,000 icons.
  (#12016, #12036, #12170, #12111, #12225)

- The 1.4.0 release of Material UI has introduced a new implementation of the Tooltip and Popper component.
  This release fixes a lot of issues following the rewrite (#12168, #12161, #12194, #12223, #12218).
  Thank you for reporting all these problems 🐛. Hopefully, it's very stable now.

- Creative Tim has just completed [their second Material UI theme](https://www.creative-tim.com/product/material-kit-pro-react?partner=104080) 💅.
  It's an important milestone for the themability of Material UI.
  We are going to keep working on adding more themes to the list.

### Breaking change

@material-ui/icons@2.0.0 allows React users to take advantage of the icons revamp the Material Design Team has been recently released. Some icons have been removed, ~150 new icons have been added, and some icons have been renamed. There are also currently some issues with the size of certain icons. Please refer to #12016 for further details.

### Component Fixes / Enhancements

- [Tab] Fix maxWidth issue with fullWidth mode (#12158) @chenop
- [Popper] Update TypeScript definitions (#12161) @Slessi
- [CardHeader] Add typography/props controls like in ListItemText (#12166) @chenop
- [Tooltip] Fix some new issues (#12168) @oliviertassinari
- [icons] New iteration (#12170) @oliviertassinari
- [icons] Remove fill attribute from some icons (#12111) @ChristiaanScheermeijer
- [Popper] Fix the transition in the demos (#12194) @oliviertassinari
- [Modal] Ignore if the event prevent default is called (#12202) @oliviertassinari
- [Grid] Add "space-evenly" value for justify prop (#12213) @iain-b
- [Grow] Fix scroll on entered (#12199) @stephenway
- [Popper] Fix update logic (#12218) @oliviertassinari
- [Badge] Increase readability (#12221) @oliviertassinari
- [styles] Increase the class name length limit before raising (#12222) @oliviertassinari
- [icons] Fix SVG path precision issue (#12225) @ChristiaanScheermeijer
- [Popper] Typing and documentation (#12223) @dispix
- [Select] Simpler onChange event.target logic (#12231) @oliviertassinari
- [input] Forward required, readOnly and autoFocus (#12234) @sakulstra
- [HOC] Add `innerRef` to withWidth and withTheme (#12236) @itelo
- [Textarea] Simplification of the code (#12238) @oliviertassinari
- [Tabs] Small changes investigating #11624 (#12239) @oliviertassinari

### Docs

- [docs] Add Toggle Selection Control to 'Migration From v0.x' Document (#12149) @shabareesh
- [docs] Add Menu Item to 'Migration From v0.x' Document (#12150) @shabareesh
- [docs] New ISSUE_TEMPLATE (#12148) @oliviertassinari
- [docs] Add Font Icon to 'Migration From v0.x' Document (#12151) @shabareesh
- [docs] copyedit: typo in testing.md (#12155) @cldellow
- [docs] Document the CSS API (#12174) @mbrookes
- [docs] An iteration on the SSR Troubleshooting section (#12229) @oliviertassinari

### Core

- [core] Upgrade dev dependencies (#12156) @oliviertassinari
- [core] Add missing unwrap export to test-utils type definition (#12184) @kallebornemark
- [test] Conditional tests (#12191) @oliviertassinari
- [core] Fix babel plugin name (#12209) @oliviertassinari
- [core] Upgrade the dev dependencies (#12220) @oliviertassinari
- [core] Rename node to ref (#12235) @oliviertassinari

#### Lab

- [Slider] Fix TypeScript typings (#12173) @eps1lon
- [SpeedDial] Fix SpeedDialAction dark theme (#12230) @mbrookes
- [lab] Build and export fixes (#12233) @goto-bus-stop

## 1.4.0

_Jul 14, 2018_

A big thanks to the 21 contributors who made this release possible.
Here are some highlights ✨:

- Rework the Tooltip implementation (#12085)

The component is -1kB gzipped smaller and much faster.
You can render 100 of them on a page with no issue.
It's also introducing a new component: Popper, an abstraction on top of [Popper.js](https://github.com/FezVrasta/popper.js).

- Add color selector (#12053) @mbrookes

You can now dynamically change the theme of the whole documentation site.

- Add a new toggle buttons component (#10144) @phallguy
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Icons] Misc fixes and optimizations (#12036) @mbrookes
- [Tooltip] Rework the implementation (#12085) @oliviertassinari
- [Snackbar] Fix SnackbarOrigin TypeScript definition (#12083) @tzfrs
- [Dialog] Fix action width issue (#12081) @mim-Armand
- [theme] Use `isPlainObject` to avoid dropping prototypes (#12100) @kivlor
- [Popper] Add a modifiers property (#12108) @oliviertassinari
- [Button] Fix IE11 support of CSS 'width:initial' (#12119) @koshea
- [FormControlLabel] Add a failing test case and fix it (#12141) @oliviertassinari
- [Toolbar] Add dense variant (#12075) @srilman
- [Typography] Fix display2 cuts off the bottom of a 'g' (#12146) @Skaronator

### Docs

- [docs] Fix typo (#12046) @AlexanderLukin
- [docs] Fix wrong icon names (#12042) @AlexanderLukin
- [docs] Fix typo (#12050) @AlexanderLukin
- [docs] Fix Typo (#12064) @johnjacobkenny
- [docs] Add known issues/limitations for progress animations (#12062) @HRK44
- [docs] Correct the normalize-function (#12066) @fauskanger
- [docs] Add react-media-material-ui in the related projects (#12068) @jedwards1211
- [docs] Fix SSR example to support production mode (#12080)
- [docs] Fix Theme nesting demo in codesandbox (#12097) @oliviertassinari
- [docs] Use the de-structured "children" variable (#12104) @jzhang729
- [docs] Add Tidelift banner (#12099) @oliviertassinari
- [docs] Fix some broken links (#12107) @oliviertassinari
- [docs] Preconnect to load the fonts (#12113) @oliviertassinari
- [docs] Improve grid demo descriptions (#12112) @mbrookes
- [docs] Add color selector (#12053) @mbrookes
- [docs] Add Tentu in the showcase (#12122) @urkopineda
- [docs] Add Subheader to v0.x migration guide (#12144) @shabareesh
- [docs] Add a comment that React 16.3.0 is a peer dependency (#12145) @chenop
- [Table] Document the CSS API (#12147) @chenop

### Core

- [core] Upgrade the dev dependencies (#12049) @oliviertassinari
- [core] Improve the prop-types of shape (#12098) @oliviertassinari
- [core] Upgrade dev dependencies (#12117) @oliviertassinari
- [core] Error typo fix (#12118) @TheRusskiy
- [test] Fix Argos-CI flakiness (#12142) @oliviertassinari

#### Lab

- [ToggleButtons] Add toggle buttons (#10144) @phallguy
- [Slider] Make interaction easier, fix thumb overflow (#11889) @ValentinH
- [SpeedDial] Inline the Add icon (#12128) @mbrookes

## 1.3.1

_Jul 2, 2018_

A big thanks to the 13 contributors who made this release possible.

Here are some highlights ✨:

- Document the scroll property of the Dialog (#12025).
- Add a demo with Font Awesome (#12027).
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Select] Fix some W3C issues (#11983) @oliviertassinari
- [Icon] Add a fontSize prop which accepts default and inherit (#11986) @sakulstra
- [Menu] Add prop to disable auto focus (#11984) @th317erd
- [SvgIcon] Add component property (#11987) @stephenway
- [GridList] Clean the rendering logic (#11998) @oliviertassinari
- [Snackbar] Add check for autoHideDuration if equals 0 (#12002) @C-Rodg
- [Menu] Fix scrolling issue (#12003) @stephenway
- [Stepper] Merge StepPositionIcon in StepIcon (#12026) @bousejin
- [Input] Add read only demo (#12024) @oliviertassinari
- [ExpansionPanelSummary] Add IconButtonProps property (#12035) @dakotamurphyucf
- [Dialog] Document the scroll property (#12025) @oliviertassinari

### Docs

- [docs] Use \_app.js instead of wrapping every page by withRoot() (#11989) @NikitaVlaznev
- [docs] Link RootRef in the FAQ (#12005) @scottastrophic
- [docs] Add Core UI (#12015) @oliviertassinari
- [docs] Switch autosuggest highlighting (#12019) @TheRusskiy
- [docs] Small spelling fix (#12028) @danh293
- [docs] Add a demo with Font Awesome (#12027) @oliviertassinari

### Core

- [typescript][createmuitheme] Fix typings & deepmerge shape (#11993) @franklixuefei
- [core] Warn about Children.map & Fragment (#12021) @oliviertassinari
- [core] Remove usage of theme.spacing.unit (#12022) @oliviertassinari

#### Lab

N/A

## 1.3.0

_Jun 26, 2018_

A big thanks to the 10 contributors who made this release possible.

Here are some highlights ✨:

- 🔥 Add extended Floating Action Button variant (#11941) @mbrookes.
- 🔥 Add scroll body handling for the dialog (#11974).
- 📝 Work on SEO for the components (#11963).

### Breaking change

N/A

### Component Fixes / Enhancements

- [FormControl] Correct minor typo in text (#11931) @FluentSynergyDW
- [Grid] Add `auto` to TypeScript definitions (#11933) @woobianca
- [styles] Safer prefix logic (#11943) @oliviertassinari
- [Button] Add extended FAB variant (#11941) @mbrookes
- [styles] Warn when the first argument is wrong (#11953) @oliviertassinari
- [ClickAwayListener] Handle null child (#11955) @oliviertassinari
- [theme] Add border-radius to the theme (#11847) @itelo
- [Dialog] Add a scroll property (#11974) @oliviertassinari

### Docs

- [Showcase] Add posters galore (react-admin) (#11939) @fzaninotto
- [docs] Update ts example (#11949) @kevinhughes27
- [docs] Add Outline docs (#11960) @tomasdev
- [docs] Do SEO for the components (#11963) @oliviertassinari
- [docs] Better API wording (#11973) @oliviertassinari
- [docs] In TypeScript doc, add missing `createStyles` to import (#11975) @Sylphony

### Core

- [typescript] Fix Typings for disableTouchRipple and allVariants (#11944) @franklixuefei
- [core] Upgrade the dev dependencies (#11954) @oliviertassinari
- [core] Upgrade eslint (#11957) @oliviertassinari
- [core] Upgrade preval (#11958) @oliviertassinari
- [core] Use Chrome Headless for the tests over PhantomJS (#11961) @oliviertassinari

#### Lab

N/A

## 1.2.3

_Jun 20, 2018_

A big thanks to the 6 contributors who made this release possible.

This release fixes some important regressions.
We are making it outside of the normal schedule.

### Breaking change

N/A

### Component Fixes / Enhancements

- [ButtonBase] Fix exception (#11905) @oliviertassinari
- [NoSSR] Add a fallback property (#11907) @oliviertassinari
- [Dialog] Add max-height back (#11914) @oliviertassinari
- [Tooltip] Revert update react-popper (#11920) @oliviertassinari
- [Select] Fix classes merge issue (#11904) @C-Rodg

### Docs

- [docs] Document jss-nested rule reference feature (#11901) @i8ramin
- [docs] Correct markdown example from svg icon (#11922) @GabrielDuarteM
- [docs] TypeScript decorating reword (#11923) @swpease

### Core

N/A

#### Lab

- [Slider] Add TypeScript definitions (#11747) @epodivilov

## 1.2.2

_Jun 18, 2018_

A big thanks to the 16 contributors who made this release possible.

Here are some highlights ✨:

- 📝 Document the dynamic override alternatives (#11782) @adeelibr
- 📝 Document the ClickAwayListener component (#11801).
- And many more bug fixes 🐛 and documentation improvements 📝.

### Breaking change

N/A

### Component Fixes / Enhancements

- [ClickAwayListener] Add a demo (#11801) @oliviertassinari
- [Grid] Add support a auto value (#11804) @oliviertassinari
- [StepButton] Fix IE11 flexbox (#11814) @paulnta
- [styles] Re-add default parameter of string for WithStyles (#11808) @pelotom
- [SwipeableDrawer] Allow custom style (#11805) @Johann-S
- [ButtonBase] Corrected the type definitions for the TouchRipple classes (#11818) @C-Rodg
- [RootRef] Updated main index.js to include RootRef export (#11817) @C-Rodg
- [typography] Add a `allVariants` key in the theme (#11802) @oliviertassinari
- [ButtonBase] Add a disableTouchRipple property (#11820) @oliviertassinari
- [Tabs] Fix calculating tab indicator position (#11825) @ljani
- [Tabs] Fix IE11 support (#11832) @oliviertassinari
- [withWidth] Reading initialWidth from the theme (#11831) @kleyson
- [Tabs] Add support for a `component` property (#11844) @C-Rodg
- [ListItemText] Detect and avoid re-wrapping Typography (#11849) @jedwards1211
- [ListItemText] Add primaryTypographyProps and secondaryTypographyProps (#11858) @jedwards1211
- [Tooltip] Update react-popper (#11862) @oliviertassinari
- [TableCell] Fix property name (#11870) @marutanm
- [Modal] Fix removeEventListener (#11875) @DominikSerafin
- [CircularProgress] Fix wobble (#11886) @oliviertassinari
- [CircularProgress] End of line shape: use butt (#11888) @Modestas
- [Select] Fix reflow in render (#11891) @oliviertassinari

### Docs

- [docs] Add structured data (#11798) @oliviertassinari
- [docs] Add a link to a CSS-in-JS egghead.io course (98168a2c749d8da2376d6a997145e3622df71bff) @kof
- [Table] Derive sorted rows from state at render time in demo (#11828) @charlax
- [docs] Document the dynamic override alternatives (#11782) @adeelibr
- [docs] Add a Select required example (#11838) @oliviertassinari
- [docs] Better class names conflict FAQ (#11846) @oliviertassinari
- [docs] Add a link toward dx-react-chart-material-ui (#11859) @Krijovnick
- [docs] Fix the Gatsby example (d7fe8c79dc097105fd1c6035b76a4d30666e9080) @oliviertassinari
- [docs] Update npm downloads badge to point to @material-ui/core (#11590) @davidcalhoun
- [examples] Add Server Rendering implementation (#11880) @oliviertassinari
- [docs] Update react-swipeable-views to fix a warning (#11890) @oliviertassinari

### Core

- [core] Misc (#11797) @oliviertassinari
- [core] Better `component` prop types (#11863) @jedwards1211
- [core] Remove some unneeded code (#11873) @oliviertassinari
- [core] Fix the UMD release (#11878) @oliviertassinari
- [core] Document the non supported children properties (#11879) @oliviertassinari

#### Labs

N/A

## 1.2.1

_Jun 10, 2018_

A big thanks to the 15 contributors who made this release possible.

Here are some highlights ✨:

- A lot of bug fixes 🐛!
- Add full `React.createRef` support ⚛️ (#11757) @t49tran.
- Document the `withWidth()` helper

### Breaking change

N/A

### Component Fixes / Enhancements

- [Select] Add a placeholder demo (#11706) @oliviertassinari
- [RootRef] Update RootRef.d.ts (#11708) @franklixuefei
- [ButtonBase] Document the `type` property (#11728) @C-Rodg
- [Popover] Fix default value (#11729) @oliviertassinari
- [withWidth] Second iteration on the component (#11730) @oliviertassinari
- [transition] Fix IE11 issue in dev mode (#11743) @adeelibr
- [Tabs] Better flex layout (#11748) @adeelibr
- [core] Add React.createRef support (#11757) @t49tran
- [Grid] Improve the dev warnings (#11765) @oliviertassinari
- [CircularProgress] Fix centering (#11781) @adeelibr
- [TextField] Bind the focus/blur explicitly (#11789) @oliviertassinari
- [RadioGroup] Fix onChange chaining (#11793) @oliviertassinari

### Docs

- [docs] Property !== attribute (#11694) @adeelibr
- [docs] Add Trafikito.com to showcase (#11716) @liesislukas
- [docs] Update meetingku image (#11724) @liganok
- [docs] Improve docs:dev init by ~2 s and HMR by ~200 ms (#11752) @tal952
- [docs] Change app bar to button on the getting started (#11756) @Simperfit
- [docs] Add React Most Wanted to related projects (#11753) @TarikHuber
- [docs] Error in example in Migration From v0.x Guide (#11771) @AkselsLedins
- [docs] Simple Grammar Fix (#11785) @jeff-kilbride
- [docs] Fix typo (#11787) @BenDiuguid
- [docs] Better troubleshooting action for the hydration mismatch (#11792) @oliviertassinari

### Core

- [core] Remove parser specification to fix JSON issue (#11763) @ryanpcmcquen
- [core] Throw if react >= 16.3.0 requirement isn't matched (#11779) @oliviertassinari
- [core] Better warnings for class names duplicates (#11788) @oliviertassinari
- [core] Remove dead code (#11791) @oliviertassinari

#### Labs

- [Slider] Fix for IE11 (#11727) @epodivilov
- [Slider] Value can still be updated while disabled (#11744) @epodivilov

## 1.2.0

_Jun 3, 2018_

A big thanks to the 23 contributors who made this release possible.

Here are some highlights ✨:

- Start upgrading the button component to match the new Material specification (#11497) @mbrookes.
- Fix some regressions (#11614, #11689).
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Snackbar] Add customization example (#11597) @mbrn
- [Menu] Fix a regression on Edge (#11614) @oliviertassinari
- [TextField] Replace underline content text with nbsp (#11617) @Jdubedition
- [TextField] Fix grammar for docs (#11633) @RobBednark
- [ListItem] Fix typings for ListItem (#11645) @franklixuefei
- [Button] Add text and contained variants (#11497) @mbrookes
- [Chip] Add `clickable` property (#11613) @vilvaathibanpb
- [Popover] Add timeout prop to TransitionComponent (#11657) @C-Rodg
- [styles] Better class name conflict warning (#11685) @oliviertassinari
- [Grid] Better support for theme.props (#11688) @oliviertassinari
- [ListItemText] Fix primary={0} display (#11686) @helfi92
- [SwipeableDrawer] Fix a regression introduced in React 16.4.0 (#11689) @oliviertassinari
- [RootRef] Allow using React.createRef api with RootRef component (#11681) @TrySound

### Docs

- [docs] Better API spread section (#11598) @oliviertassinari
- [docs] Update Wertarbyte components link (#11603) @leMaik
- [docs] Add a changelog page (#11604) @oliviertassinari
- [docs] Keep the current version into account (#11595) @oliviertassinari
- [ROADMAP] Update the roadmap (#11606) @oliviertassinari
- [example] Fix missing brackets TypeScript (#11623) @Ilaiwi
- [docs] Update overrides.md (#11630) @risafletcher
- [docs] Styled API Example (5 lines) (#11620) @mssngr
- [docs] Mention view port size in SVGIcon documentation (#11639) @JesusCrow
- [docs] Update README for codemod (#11647) @sacdallago
- [docs] Update link to flow-typed definitions (#11674) @jessrosenfield
- [docs] Minor grammitcal error (#11691) @NeuTrix

### Core

- [typescript] Depend directly on CSSType (#11608) @pelotom
- [core] Upgrade dependencies (#11616) @oliviertassinari
- [typescript] createStyles and improved WithStyles helpers (#11609) @pelotom
- [core] Add cross-env back (#11638) @lookfirst
- [typescript] Fix keyof for TypeScript@2.9 (#11669) @mctep
- [core] Some fixes looking into issues (#11676) @oliviertassinari
- [core] Upgrade dependencies (#11684) @oliviertassinari

#### Labs

- [SpeedDial] Fix classes prop description (#11599) @mbrookes
- [Slider] Misc fixes towards standard Material UI patterns (#11605) @mbrookes
- [Slider] Fire the right event on mouseDown (#11642) @acroyear
- [SpeedDial] Add type definitions to lab, so SpeedDial can be use with TypeScript project (#11542) @TR3MIC

## 1.1.0

_May 26, 2018_

A big thanks to the 30 contributors who made this release possible.

Here are some highlights ✨:

- A smaller bundle, saved 5 kB gzipped (#11511, #11492, #11521, #11523) @TrySound
- A new Slider component in the lab (#11040) @epodivilov.
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [ListSubheader] Fix demo import path (#11468) @Hocdoc
- [Backdrop] Fix export paths (#11481) @brandonhall
- [ListItem] Take the focusVisibleClassName property into account (#11451) @rdemirov
- [Grid] Allow shrink in items so text will wrap by default (#11411) @ShaneMcX
- [StepLabel] Allow StepIcon customization (#11446) @jargot
- [StepConnector] Exposes the component (#11478) @racingrebel
- [Tabs] Fix TabIndicatorProps merge (#11494) @adeelibr
- [ButtonBase] Fix React propTypes buttonRef warning (#11519) @t49tran
- [ListItemText] Shouldn't be a heading by default (#11544) @adeelibr
- [GridListTileBar] Add missing title and subtitle keys (#11570) @ljani
- [TableCell] Fix padding for last TableCell if checkbox (#11568) @gfpacheco
- [Button][buttonbase] Take advantage of defaultProps for component prop (#11574) @cherniavskii
- [StepConnector] Add to default export from @material-ui/core (#11583) @OsipovIgor
- [ButtonBase] Improve enter & space handling (#11585) @TheBear44

### Docs

- [examples] Fix imports for Dialog (#11469) @sboles
- [docs] Add v0 subdirectory redirects (#11470) @mbrookes
- [docs] Remove trailing slash on progress-indicators link (#11473) @srt32
- [docs] Add HSTS header (#11475) @mbrookes
- [docs] Add missing word to documentation (#11476) @Skn0tt
- [docs] Specify correct corner to locate directional toggle (#11479) @jacquesporveau
- [examples] Fix create-react-app-with-jss theme object (#11485) @Dror88
- [docs] Add Snippets Chrome extension to showcase (#11487) @richardscarrott
- [docs] Fix hyphen for iOS (#11490) @mbrookes
- [docs] Prevent content-type: application/octet-stream (#11501) @oliviertassinari
- [docs] Add Customized Switches section (#11505) @mbrookes
- [docs] Remove Firebase config file & deploy script (#11516) @mbrookes
- [docs] Pull versions from github API (#11522) @mbrookes
- [docs] Removed references to Grid's hidden property (#11529) @lfalke
- [docs] Remove background grid from Typography variants demo (#11562) @mbrookes
- [docs] Finish incomplete list-item-text.md documentation (#11559) @codeheroics
- [docs] Add outlined buttons to ButtonSizes demo (#11509) @mbrookes
- [docs] Add a Troubleshooting section for SSR (#11579) @oliviertassinari
- [docs] Fix a little typo in TypeScript docs (#11580) @saculbr
- [docs] Add react-admin to related projects (#11582) @fzaninotto
- [docs] Update the showcase (#11578) @mbrookes

### Core

- [typescript] Make TypographyStyle assignable to CSSProperties, misc other typing fixes (#11456) @pelotom
- [core] Cut the head of the snake 🐍 (#11477) @oliviertassinari
- [core] Add esm bundle to start tracking treeshakability (#11489) @TrySound
- [core] More aggressive transpilation (#11492) @oliviertassinari
- [core] Enable loose mode for staged features (#11511) @TrySound
- [core] Simplify the babel docs config (#11514) @oliviertassinari
- [core] Remove lodash 💃 (#11521) @oliviertassinari
- [core] Internalize ScrollbarSize (#11523) @oliviertassinari
- [typescript] Add sample with return types (#11512) @yacut

#### Labs

- [SpeedDial] Clean up SpeedDialIcon transition (#11513) @mbrookes
- [Slider] Port component (#11040) @epodivilov

## 1.0.0

_May 17, 2018_

Our first stable v1 release! 🎉

It has taken us two years to do it, but Material UI v1 has finally arrived!
We are so excited about this release, as it's setting a new course for the project. Thank you to _everyone_, especially to [the team](https://mui.com/material-ui/discover-more/team/), and to everyone who's contributed code, issue triage, and support. **Thank you**.

Some statistics with v1 while it was in alpha and beta:

- 304 contributors
- 2390 commits
- From 0 downloads/month to 300k downloads/month
- From 0 users/month to 90k users/month

## 1.0.0-rc.1

_May 15, 2018_

A big thanks to the 10 contributors who made this release possible.

Here are some highlights ✨:

- Thanks for trying out v1.0.0-rc.0! This release focus on fixing the reported bugs 🐛.
- Great focus on the performance (#11358, #11360, #11364) @goto-bus-stop, @TrySound
  We will have more time to work on that topic post v1.

### Breaking change

N/A

### Component Fixes / Enhancements

- [codemod] Revert the codemod inception on the tests (#11376) @oliviertassinari
- [typescript] Fix DialogContent export (#11378) @ljvanschie
- [Dialog] Fix content export (#11393) @stefensuhat
- [icons] Remove deadcode (#11400) @oliviertassinari
- [NativeSelect] New component (#11364) @oliviertassinari
- [Popover] Fix max height issue in some mobile browsers (#11349) @gaborcs

### Docs

- [docs] Update notifications for v1.0.0-rc.0 (#11351) @simsim0709
- [Snackbar] Fix transition directions demo (#11391) @serendipity1004
- [docs] Remove react@15 message (#11399) @deltaskelta
- [docs] Better netlify cache control (#11404) @oliviertassinari

### Core

- [core] Do not include polyfills in the ES modules build (#11358) @goto-bus-stop
- [core] Workaround a Babel regression (#11398) @oliviertassinari
- [core] Fix size-limit for the new Next path (#11401) @oliviertassinari
- [core] Require node >=8.0.0 to work on the project (#11407) @netdeamon
- [core] Bundle UMD with rollup (#11360) @TrySound

## 0.20.1

_May 13, 2018_

A big thanks to the 14 contributors who made this release possible.

### Component Fixes / Enhancements

- [Tabs] Add support for inline style override for parent container of InkBar (#9598) @PharaohMaster
- Popover does not listen to events unless it is open at the moment (#9482) @romanzenka
- [EnhancedButton] Fix onClick event being fired twice on "Enter Key" press (#9439) @karaggeorge
- [Slider] Fix handle case where ref is null (#10006) @jony89
- [RaisedButton] Conditionally apply overlay backgroundColor (#9811) @walwoodr
- [Snackbar] Static properties for reason string constants (#10300) @RavenHursT
- [TextField] Fix caret position issue (#10214) @MaratFaskhiev
- Add sideEffects: false for webpack 4 (#11167) @matthoffner

### Docs

- [docs] Adding smpl to showcase (#9386) @Bonitis
- [docs] Remove HEAD in versions list (#9391) @HZooly
- Add Governance Document (#9423) @hai-cea
- [docs] Add v1 recommendation to home page (#9727) @mbrookes
- [docs] Remove BrainBOK from showcase (#11292) @brainbok

## 1.0.0-rc.0

_May 13, 2018_

A big thanks to the 11 contributors who made this release possible.

Here are some highlights ✨:

- Introduce the last planned breaking changes before stable v1

### Breaking change

- [core] Move material-ui to @material-ui/core (#11310) @oliviertassinari

```diff
-import { withStyles } from 'material-ui/styles';
+import { withStyles } from '@material-ui/core/styles';
```

- [core] Flatten the import path (#11330) @oliviertassinari

#### Motivation

1. It's a simple pattern to learn. You won't need to go back and forth in the documentation to learn the import paths 💭.
2. Your application bundle size will decrease 🚀.
3. In an ideal world, we would import everything from the root module and tree sharking would be taken care of for us. This change doesn't matter in this world ☮️.

```jsx
import { Table, TableBody, TableCell, TableFooter, TablePagination, TableRow } from 'material-ui';
```

#### The diff

```diff
-import CircularProgress from '@material-ui/core/Progress/CircularProgress';
+import CircularProgress from '@material-ui/core/CircularProgress';
```

```diff
-import { ListItem } from '@material-ui/core/List';
+import ListItem from '@material-ui/core/ListItem';
```

#### Upgrade path

We provide a codemod to automate the migration: https://github.com/mui/material-ui/tree/master/packages/material-ui-codemod#import-path. I have used it to upgrade all the demos in the documentation :).

- [core] Require React 16.3.0 or greater (#11347, #11361) @oliviertassinari
- [Grid] Remove the hidden property (#11348) @oliviertassinari

Split the responsibilities between the different components. Help with tree-shaking.

```diff
-        <Grid item xs hidden={{ xlUp: true }}>
-          <Paper>xlUp</Paper>
-        </Grid>
+        <Hidden xlUp>
+          <Grid item xs>
+            <Paper>xlUp</Paper>
+          </Grid>
+        </Hidden>
```

- [TextField] change underline approach to prevent browser zoom issue (#11181) @Jdubedition

The text underline color customization change:

```diff
   underline: {
     '&::after': {
-      backgroundColor: purple[500],
+      borderBottomColor: purple[500],
     },
   },
```

### Component Fixes / Enhancements

- [CircularProgress] Add transition for static variant (#11313) @oliviertassinari
- [createTypography] Add primary text color to 'button' typography variant (#11322) @ValentineStone
- [styles] Fix typings for FontStyle (#11326) @vkentta
- [Grid] Add 32px gutter to grid spacing (#11338) @abnersajr
- [Button] Add outlined variant (#11346) @leMaik

### Docs

- [docs] v0 redirect (#11303) @mbrookes
- [docs] Add a new premium-theme (#11300) @oliviertassinari
- [docs] Prepare the v1 release (#11317) @oliviertassinari
- [docs] Add HIJUP.com to the showcase site (#11328) @fikriauliya
- [docs] Update material.io URLs (#11334) @mbrookes
- [docs] Make the button examples consistent (#11352) @mbrookes
- [docs] Eradicate 'Useful to' (#11353) @mbrookes
- [docs] Move v1-beta to master (#11354) @oliviertassinari
- [docs] Install with yarn (#11357) @Xakher

### Core

- [typescript] Add CreateMuiTheme props TypeScript definition (#11296) @abnersajr
- [typescript] Fix color type in augmentColor function (#11302) @AiusDa
- Make WithStylesOptions extend the options argument of createStyleSheet (#11325) @pelotom
- [core] Update the dev dependencies (#11355) @oliviertassinari

## 1.0.0-beta.47

_May 9, 2018_

A big thanks to the 4 contributors who made this release possible.

Here are some highlights ✨:

- Fix an important regression (Babel upgrade)

### Breaking change

- [typescript] Fix withStyles edge cases (#11280) @pelotom

If you are using TypeScript, 2.8 or later is required.

### Component Fixes / Enhancements

- [withStyles] Support createRef() (#11293) @rolandjitsu
- [InputLabel] Remove the width style property (#11297) @C-Rodg

### Docs

N/A

### Core

- [core] Add @babel/runtime as a dependency (#11298) @oliviertassinari

## 1.0.0-beta.46

_May 8, 2018_

A big thanks to the 7 contributors who made this release possible.

Here are some highlights ✨:

- Fix an important regression (npm dependency)

### Breaking change

N/A

### Component Fixes / Enhancements

- [Table] Add table-footer-group CSS (#11264) @t49tran
- [ButtonBase] Add a focusVisible action (#9712) @tkvw
- [ButtonBase] Better performance (#11277) @oliviertassinari
- [Tabs] Add a TabIndicatorProps property (#11254) @adeelibr

### Docs

- [docs] Improve the table examples' accessibility (#11256) @mbrookes
- [docs] Add Pilcro to showcase apps (#11274) @hugowoodhead

### Core

- [typescript] Fix type definitions for Snackbar and CircularProgress (#11265) @franklixuefei
- [core] Upgrade Babel 6 to Babel 7 (#10964) @oliviertassinari
- [core] npm shouldn't be a dependency (#11263) @oliviertassinari

## 1.0.0-beta.45

_May 6, 2018_

A big thanks to the 12 contributors who made this release possible.

Here are some highlights ✨:

- A release date. We will release Material UI v1 May 17th.
- Improve the performance of withStyles by adding memoization (#11202) @CharlesStover.
- Standardization of the component injection pattern (#11204) @oliviertassinari
- And many more bug fixes and documentation improvements.

### Breaking change

- [core] Standardize the component injection pattern (#11204) @oliviertassinari

I couldn't find a clean way to support the render props pattern.
Doing such would require to greatly reduce the usage of JSX.
It would really harm source code readability.

Instead, I have been focusing on standardizing our component injection story.
This way, we can go back to the render props after stable v1 is released and see if source code readability worth be sacrificed for the render prop pattern.

```diff
<Tabs
- TabScrollButton={TabScrollButtonWrapped}
+ ScrollButtonComponent={TabScrollButtonWrapped}
```

```diff
<TablePagination
- Actions={TablePaginationActionsWrapped}
+ ActionsComponent={TablePaginationActionsWrapped}
```

```diff
<Dialog
- transition={Transition}
+ TransitionComponent={Transition}
```

```diff
<Menu
- transition={Transition}
+ TransitionComponent={Transition}
```

```diff
<Snackbar
- transition={Transition}
+ TransitionComponent={Transition}
```

```diff
<Popover
- transition={Transition}
+ TransitionComponent={Transition}
```

```diff
<StepContent
- transition={Transition}
+ TransitionComponent={Transition}
```

- [Snackbar] Rename SnackbarContentProps (#11203) @oliviertassinari

This change is for consistency with the other components. No need to repeat the component name in the property.

```diff
       <Snackbar
-        SnackbarContentProps={{ 'aria-describedby': 'notification-message' }}
+        ContentProps={{ 'aria-describedby': 'notification-message' }}
```

- [CircularProgress] Remove min & max props (#11211) @mbrookes

Makes the API consistent with LinearProgress

```diff
<CircularProgress
- min={10}
- max={20}
- value={15}
+ value={(15 - 10) / (20 - 10) * 100}
/>
```

- [ButtonBase] Complete the focusVisible rename (#11188) @oliviertassinari

The rename started with #11090. I should have taken the time to complete it in the first place. This way, we are fully consistent with the spec: https://drafts.csswg.org/selectors-4/#the-focus-visible-pseudo :)

```diff
<ButtonBase
- onKeyboardFocus={this.handleVisible}
+ onFocusVisible={this.handleVisible}
```

### Component Fixes / Enhancements

- [ButtonBase] Update TypeScript to sync with the implementation (#11189) @franklixuefei
- [styles] Simpler outline reset (#11199) @oliviertassinari
- [Transition] Add a TransitionProps (#11201) @oliviertassinari
- [TablePagination] Allow the MenuItem customization (#11200) @oliviertassinari
- [ListItemIcon] Take advantage of CSS inheritance (#11206) @xiaoyu-tamu
- [StepButton] Allow null to be assigned to icon prop (#11221) @franklixuefei
- [TextField] Increase shrunk label width to match 100% input width (#11215) @pandaiolo
- [Select] Add IconComponent property (#11136) @sepehr1313
- [withStyles] Memoization the classes property (#11202) @CharlesStover
- [NProgress] Better RTL support and closer to YouTube version (#11246) @oliviertassinari
- [Stepper] Swipeable demo integration (#11241) @Klynger
- [codemod] Prepare the import path breaking change (#11249) @oliviertassinari
- [codemod] Support the private and direct imports (#11253) @oliviertassinari
- [Table] Fix TypeScript classes support (#11255) @t49tran

### Docs

- [docs] Fix typo in comparison.md (#11185) @morleytatro
- [docs] Fix dark theme display (#11194) @oliviertassinari
- [example] Revert wrong change (#11195) @oliviertassinari
- [docs] Improve server-rendering, replace render by hydrate (#11210) @Mystraht
- [docs] Update notification (#11213) @simsim0709
- [docs] Clarify the difference with enzyme (#11228) @oliviertassinari
- [docs] Add a note on the override of internal states (#11227) @oliviertassinari
- [docs] Misc fixes (#11239) @mbrookes
- [docs] Document the theme.props feature (#11245) @oliviertassinari
- [docs] Speedup a bit the homepage (#11248) @oliviertassinari

### Core

- [test] Fix the CI (#11187) @oliviertassinari
- [core] Update dependencies (#11240) @oliviertassinari

## 1.0.0-beta.44

_Apr 29, 2018_

A big thanks to the 17 contributors who made this release possible.

### Breaking change

- [CardMedia] Escape background image url (#11126) @Bennit

As long as you are providing a valid URL to `<CardMedia image />`, it should be working. However, previously `"` escaped URL will no longer work.

### Component Fixes / Enhancements

- [SwipeableDrawer] Prevent interaction with the drawer content if not opened (#11091) @leMaik
- [Icon] Prevent shrinking when inside a flex container (#11097) @ValentinH
- [Grid] Fix TypeScript definitions of class keys (#11102) @nmchaves
- [Portal] Revert "Global option to disable the portal" (#11116) @oliviertassinari
- [ButtonBase] Simpler global focus visible style override (#11130) @oliviertassinari
- [Modal] Prevent IE11 from crashing on modal close (#11115) @JonAbrams
- [Input] Fix infinite rendering loop (#11159) @oliviertassinari
- [lab] Fix the tests (#11160) @oliviertassinari
- [Snackbar] Add a consecutive demo (#11111) @simoami
- [Tabs] Better Ant Design demo (#11095) @theiliad
- [Popover] Improve the demos (#11175) @oliviertassinari

### Docs

- [docs] Add npm-registry-browser into showcase (#11114) @topheman
- [docs] Fix the flow example (#11118) @prastut
- [docs] Add showcase for Local Insights (#11131) @hrdymchl
- [docs] Add iOS momentum scrolling (#11140) @cherniavskii
- [docs] Add a CSS Modules example (#11171) @oliviertassinari
- [docs] Fix typo in themes.md (#11149) @zhuangya
- [docs] Make sure next@6 is working (#11168) @oliviertassinari
- [docs] Correct spelling error in FormDialog.js example (#11176) @weldon0405

### Core

- [core] Reduce the size of the npm package (#11144) @oliviertassinari
- [typescript] allow pseudos on any theme mixins (#11145) @rosskevin
- [core] Upgrade dev dependencies (#11146) @oliviertassinari
- [styles] Fix constraint on withStyles P parameter to allow StyledComponentProps (#11156) @pelotom

## 1.0.0-beta.43

_Apr 22, 2018_

A big thanks to the 8 contributors who made this release possible.

Here are some highlights ✨:

- A better keyboard focused customization story (#11090) @oliviertassinari
- Various TypeScript fixes

### Breaking change

- [ButtonBase] Better keyboard focused story (#11090) @oliviertassinari

  - Rename the `keyboardFocused` feature `focusVisible` in order to follow the CSS specification wording:
    https://drafts.csswg.org/selectors-4/#the-focus-visible-pseudo
  - Give up on the `classes` property to host the focus visible feature. The fact that the classes don't cascade was making it hard to use. Instead, we rely on a `focusVisibleClassName` property. This is allowing any component along the rendering chain to use the feature. For instance, a Switch component: Switch > SwitchBase > IconButton > ButtonBase.

  ```diff
  <ButtonBase
  - classes={{
  -   keyboardFocused: 'my-class-name',
  - }}
  + focusVisibleClassName="my-class-name"
  />
  ```

### Component Fixes / Enhancements

- [typescript] Constrain props type param appropriately in withStyles, withTheme, withWidth HOCs (#11003) @estaub
- [typescript] make Select's onChange prop optional (#11041) @nmchaves
- [Table] Remove overflow (#11062) @oliviertassinari
- [TablePagination] Allow the override of the action buttons (#11058) @lukePeavey
- [Popover] Add option to disable Menu auto positioning (#11050) @nicoffee
- [Input] Allow div props on InputAdornment in TypeScript (#11077) @mtandersson
- [Dialog] Fix iOS momentum scroll (#11066) @greenwombat
- [Portal] Global option to disable the portal (#11086) @oliviertassinari
- [ExpansionPanel] Fix display on IE11 and Edge (#11087) @oliviertassinari
- [CardActions] Fix CSS override (#11092) @oliviertassinari

### Docs

- [docs] Fix broken link (#11042) @imrobinized
- [CONTRIBUTING] Update the docs (#11078) @oliviertassinari

### Core

- [core] Better distinction between the private and public components (#11051) @oliviertassinari
- [core] Upgrade dev dependencies (#11096) @oliviertassinari

## 1.0.0-beta.42

_Apr 16, 2018_

A big thanks to the 15 contributors who made this release possible.

Here are some highlights ✨:

- A better CSS override story (#10961) @oliviertassinari
- Strongly typed React.CSSProperties TypeScript definitions (#11007) @pelotom
- And many more bug fixes and documentation improvements.

### Breaking change

- [styles] Change the CSS specificity (#10961) @oliviertassinari

This breaking change is important. It might be the most painful to recover from before stable v1 (May 17th 2018).
We have changed the CSS specificity rule to solve #10771 at scale.

It's inspired by the Bootstrap approach to writing CSS. It follows two rules:

1. A variant has **one level of specificity**.
   For instance, the `color` and `variant` properties are considered a variant.
   The lower the style specificity is, the simpler you can override it.
2. We increase the specificity for a variant modifier.
   We already **have to do** it for the pseudo-classes (`:hover`, `:focus`, etc.).
   It allows much more control at the cost of more boilerplate.
   Hopefully, it's more intuitive.

Example:

```diff
const styles = {
-  checked: {
-    color: green[500],
+  root: {
+    color: green[600],
+    '&$checked': {
+      color: green[500],
+    },
   },
+  checked: {},
};

<Checkbox
  classes={{
+   root: classes.root,
    checked: classes.checked,
  }}
/>
```

### Component Fixes / Enhancements

- [lab] No side effect (7c379fa7ba4ed2a3eb8abc841a9a4376014b6145) @oliviertassinari
- [Card] Hide overflow to maintain round corners with CardMedia (#10946) @mbrookes
- [ButtonBase] More robust button keyboard accessibility (#10965) @oliviertassinari
- [Tooltip] Remove title from chldrenProps (#10977) @mbrookes
- [theme] Expose augmentColor for colors outside the palette (#10985) @AiusDa
- [Select] Update onChange props definition to match with SelectInput (#11012) @t49tran
- [lab] Bump version for @material-ui/icons dependency (#10992) @mbrookes
- [Drawer] Improve the "Mini variant drawer" demo (#11010) @andriyor
- [Step] Remove private modules from the export (#11020) @oliviertassinari
- [Grid] Update propTypes to accept false (#11022) @oliviertassinari
- [Chip] only transition the CSS properties we need (#11023) @oliviertassinari
- [CssBaseline] Add key to theme overrides type definition (#11025) @roosmaa
- [Tabs] Add a customization demo (#10999) @cherniavskii
- [theme] Use a single theme variable for the hover effects of Button, IconButton and ListItem (#10952) @SebastianSchmidt
- [Dialog] Fix BackdropProps propagation (#11029) @sepehr1313
- [ButtonBase] Fix wrong touchMove wiring (#11026) @mbrookes
- [SwipeableDrawer] Simplify isSwiping logic (#11032) @leMaik
- [SwipeableDrawer] Add a blocking div to the edge of the screen (#11031) @leMaik

### Docs

- [docs] Fix typo (#10990) @jleeohsu
- [docs] Better private/public API description (#11024) @oliviertassinari
- [Collapse] Fix typo in comment (#11035) @mknet

### Core

- [core] Add fallback to ownerWindow (#10978) @richardscarrott
- [typescript] Remove unnecessary Partial<> for `style` prop (#10994) @franklixuefei
- [core] Export all the style modules (#11021) @oliviertassinari
- [typescript] Upgrade types, use string index fallback for CSSProperties to allow nested pseudos (#11007) @pelotom
- [core] Upgrade the dependencies (#11030) @oliviertassinari
- [core] Move to the packages structure (#11033) @oliviertassinari

## 1.0.0-beta.41

_Apr 7, 2018_

A big thanks to the 14 contributors who made this release possible.

Here are some highlights ✨:

- An icon package ready for v1 stable (#10902, #10933, #10957).
- An important focus on the documentation.
- And many more bug fixes and documentation improvements.

### Breaking change

- Move the icon package from `material-ui-icons` to `@material-ui/icons` (#10957) @oliviertassinari

```diff
-import FormatTextdirectionRToL from 'material-ui-icons/FormatTextdirectionRToL';
+import FormatTextdirectionRToL from '@material-ui/icons/FormatTextdirectionRToL';
```

### Component Fixes / Enhancements

- [icons] Reduce code duplication (#10902) @cherniavskii
- [icons] Check if `global` is defined before trying to use it (#10933) @joliss
- [Table] Fix EnhancedTable example to not scroll TablePagination (#10878) @mbrookes
- [Zoom] Export Zoom in the TypeScript definitions (#10897) @Klynger
- [IconButton] Add hover effect to IconButton (#10871) @SebastianSchmidt
- [TextField] Add an icon example (#10899) @oliviertassinari
- [SwipeableDrawer] Disable swiping on iOS by default (#10877) @leMaik
- [SwipeableDrawer] Fix crash when swiping during an update (#10906) @leMaik
- [ListItemText] Fix invalid ListItemText 'children' proptype (#10948) @kendallroth
- [BottomNavigationAction] Use default childIndex value only if value undefined (#10937) @peterbartos
- [styles] Add a warning to prevent a memory leak (#10953) @oliviertassinari
- [Select] Fix width update (#10956) @oliviertassinari

### Docs

- [docs] Add hideHeader option to Demo component (#10887) @mbrookes
- [docs] Document the /es folder (#10888) @oliviertassinari
- [docs] More transparent exportPathMap method (#10894) @oliviertassinari
- [docs] Dodge issue with hoist-non-react-statics (#10896) @oliviertassinari
- [docs] Add missing apostrophe (#10911) @davidgilbertson
- [docs] Improve the search experience (#10905) @oliviertassinari
- [docs] Improve the layout for premium themes (#10901) @mbrookes
- [docs] Fix example in TypeScript docs (#10924) @piotros
- [docs] Atomic state update in the Stepper demo (#10936) @iceveda06
- [docs] Add versions page (#10883) @mbrookes
- [docs] Fix npm urls (#10949) @sujeetkrjaiswal
- [docs] Add "Do I have to use JSS?" to FAQ (#10954) @mbrookes

### Core

- [typescript] Upgrade React and JSS typings, which both make use of csstype now (#10903) @pelotom

## 1.0.0-beta.40

_Apr 1, 2018_

A big thanks to the 4 contributors who made this release possible.

Here are some highlights ✨:

- React 16.3.0 support (#10867).
- Many bug fixes on the Tooltip component (#10843) @shssoichiro.
- A much better navigation experience on the docs (#10859).

### Breaking change

- [Tooltip] Portal the component to the body (#10843) @shssoichiro

We take advantage of the latest features of React 16.x.
React is allowing us to return an array of elements in the render method.
We have removed the useless root `div` element.
Nothing has changed for people using React 15.x.

### Component Fixes / Enhancements

- [FormControlLabel] Enable disabled label CSS modifications (#10841) @vkentta
- [Select] Throw when the non native select is not controlled (#10860) @oliviertassinari
- [Drawer] Back to 100% test coverage (#10861) @oliviertassinari
- [core] Work on React 16.3.0 support (#10867) @oliviertassinari

### Docs

- [docs] typo: reponse => response (#10850) @luminaxster
- [docs] Remove dead code (#10855) @oliviertassinari
- [docs] Much better navigation experience (#10859) @oliviertassinari
- [examples] Demonstrate how to use the icons CDN (#10874) @oliviertassinari

### Core

- [core] Remove the addEventListener module (#10856) @oliviertassinari
- [core] Upgrade the dependencies (#10853) @oliviertassinari
- [core] Rename .spec.js to .test.js (#10854) @oliviertassinari

## 1.0.0-beta.39

_Mar 28, 2018_

A big thanks to the 25 contributors who made this release possible.

Here are some highlights ✨:

- Add a [swipeable drawer](https://mui.com/demos/drawers/#swipeable-temporary-drawer) component (#9730) @leMaik.
- Add a [StackBlitz](https://stackblitz.com/) edit link (#10758).
- Add a new npm package: [@material-ui/docs](https://www.npmjs.com/package/@material-ui/docs) (#10699).
- And many more bug fixes and documentation improvements.

### Breaking change

- [Grid] Change the default spacing value: 0 (#10768) @oliviertassinari

The negative margin implementation solution currently used comes with [serious limitations](https://mui.com/components/grid/#negative-margin).
Material UI is the only library with a non-zero default spacing between the items.
Having zero spacing by default will ease the usage of the component.

```diff
-<Grid />
+<Grid spacing={16} />
```

- [Tooltip] Rename disableTriggerX (#10700) @oliviertassinari

For consistency with the [removeEventListener Web API](https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/removeEventListener) and the Snackbar `disableWindowBlurListener` property.

```diff
<Tooltip
- disableTriggerFocus
- disableTriggerHover
- disableTriggerTouch
+ disableFocusListener
+ disableHoverListener
+ disableTouchListener
/>
```

- [InputLabel] Rename FormControlClasses property (#10796) @oliviertassinari

I have made a mistake in [#8108](https://github.com/mui/material-ui/pull/8108). The property isn't applied on a `FormControl` but on a `FormLabel` component.

```diff
-<InputLabel FormControlClasses={classes} />
+<InputLabel FormLabelClasses={classes} />
```

### Component Fixes / Enhancements

- [Switch] Add missing TypeScript class keys (#10691) @wenduzer
- [ClickAwayListener] Add mouseEvent and touchEvent property (#10694) @tgrowden
- [Switch] Add default color (#10697) @oliviertassinari
- [StepButton] Support vertical stepper (#10698) @danieljuhl
- [TextField] Update defaultValue prop types (#10703) @moondef
- [Input] Rename isDirty to isEmpty (#10704) @oliviertassinari
- [Select] Perform the layout computation as soon as possible (#10706) @oliviertassinari
- [Stepper] Add error prop to StepIcon and StepLabel (#10705) @nicoffee
- [Grid] Add zeroMinWidth to TypeScript definition (#10712) @cvanem
- [Select] Fix data-value value (#10723) @a-x-
- [Tooltip] Update error message (#10742) @MoonDawg92
- [TextField] Apply onFocus and onBlur on the input (#10746) @oliviertassinari
- [TextField] Remove dead code (#10757) @oliviertassinari
- [Checkbox] Add checkedPrimary and checkedSecondary to TypeScript definition (#10747) @cvanem
- [️MuiThemeProvider] TypeScript disableStylesGeneration (#10759) @djeeg
- [Input] Relax inputProps and inputComponent Types (#10767) @pelotom
- [Tabs] Warn on invalid combination (#10788) @oliviertassinari
- [Select] Better document event.target.value (#10791) @oliviertassinari
- [Drawer] Add Swipeable feature (#9730) @leMaik
- [Select] Add support for autoFocus (#10792) @nicoffee
- [Icon] Fix typing by taking out fontSize property (#10821) @franklixuefei

### Docs

- [docs] Add new npm package: @material-ui/docs (#10699) @oliviertassinari
- [docs] Use buttonRef instead of ref in anchor playground example (#10708) @pelotom
- [docs] Fix "Edit this page" button (#10722) @SebastianSchmidt
- [docs] Add search shortcut (#10725) @oliviertassinari
- [docs] Make navigation look more like the material guidelines (#10709) @leMaik
- [docs] Clarify discrepancies from default theme (#10732) @yihangho
- [examples] Update next.js PWA color (#10749) @blainegarrett
- [docs] Add StackBlitz demo link (#10758) @oliviertassinari
- [docs] Fix typo TextField demo (#10766) @elertan
- [docs] Better CssBaseline documentation (#10770) @oliviertassinari
- [docs] Remove flow warning (#10780) @rosskevin
- [docs] Minor typographical fix (#10786) @samdenty99
- [docs] Selection control, customization example (#10787) @oliviertassinari
- [docs] Fix typo (#10794) @dylangarcia
- [examples] Update Flow Example (#10799) @prastut
- [docs] Material Dashboard Pro React (#10832) @oliviertassinari

### Core

- [core] Upgrade the dev dependencies (#10702) @oliviertassinari
- [typings] Fix `mixins.gutter` signature (argument is optional) (#10814) @sebald

## 1.0.0-beta.38

_Mar 17, 2018_

A big thanks to the 19 contributors who made this release possible.

This release comes with important theme upgrades. Here are some highlights ✨:

- Introduction of a Premium Themes section (#10616).
- A `props` theme key to globally inject properties on components (#10671).
- A theme option to change the font-size (#10687).
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Select] Fix chip alignment (#10611) @adamszeptycki
- [Tabs] Add 'scrollButtons' and 'indicator' to TabsClassKey TypeScript definition (#10618) @cvanem
- [TablePagination] Add SelectProps property (#10629) @mrahman1122
- [ListItemSecondaryAction] Vertically center (#10628) @jedwards1211
- [Select] Add visual tests to prevent future regression (#10642) @oliviertassinari
- [Popover] Update anchorEl type (#10645) @nicoffee
- [styles] Better color manipulator warning (#10652) @oliviertassinari
- [Autocomplete] Show how to use the label (#10653) @oliviertassinari
- [ButtonBase] Update class keys (#10659) @lukePeavey
- [FromHelperText] Add missing component prop definition (#10658) @franklixuefei
- [theme] Reduce the negative margin (#10672) @oliviertassinari
- [theme] Add a props theme key (#10671) @oliviertassinari
- [DialogActions] Add missing TypeScript property (#10674) @youngnicks
- [GridList] Should allow optional children (#10680) @rosskevin
- [DialogContentText] Extend the Typography component (#10683) @oliviertassinari
- [theme] Allow changing the font-size (#10687) @oliviertassinari
- [Stepper] Soft ripple background (#10690) @oliviertassinari

### Docs

- [docs] Add project to showcase (#10614) @jdupont
- [docs] Fix typo (#10621) @prastut
- [docs] Updating the TypeScript example to use CssBaseline (#10633) @yuchen-w
- [docs] Better support of multiline for downshift (#10641) @oliviertassinari
- [docs] Simplify LongMenu demo (#10646) @RichardLindhout
- [docs] Improve the onboarding (#10639) @oliviertassinari
- [docs] Fix usage of CssBaseline/Reboot in the CDN example (#10655) @SebastianSchmidt
- [docs] Fix reference to CssBaseline component (#10654) @SebastianSchmidt
- [themes] Introduce a themes website ⚡️ (#10616) @oliviertassinari
- [docs] Fix reference to FAQ (#10660) @SebastianSchmidt
- [docs] Fix reference to Popover demo (#10661) @SebastianSchmidt
- [docs] Fix reference to Modal demo (#10662) @SebastianSchmidt
- [docs] Add Rung to showcase (#10669) @vitorebatista
- [docs] Add Bit as a sponsor ❤️ (#10673) @oliviertassinari
- [docs] Third iteration on the homepage (#10670) @oliviertassinari
- [docs] Add Team SC into showcase (#10676) @Losses
- [docs] Handle optional params (#10685) @oliviertassinari
- [docs] Customized tables (#10686) @oliviertassinari

### Core

- [typescript] Remove xxxClassName props from type declarations (#10644) @lukePeavey
- [typescript] Add inline style prop to transition (#10650) @nmchaves

## 1.0.0-beta.37

_Mar 11, 2018_

A big thanks to the 13 contributors who made this release possible.

Here are some highlights ✨:

- An important fix of the focus/blur logic of the Select (#10538) @oliviertassinari.
- A multiple selection downshift example (#10550) @oliviertassinari.
- A new parcel example (#10575) @oliviertassinari.
- And many more bug fixes and documentation improvements.

### Breaking change

- [classes] Move the XXXClassName to the classes property (#10600) @oliviertassinari

These properties were introduced before `classes`.
Exposing a single pattern makes things more predictable and easier to work with.

```diff
-<Tabs buttonClassName="foo" indicatorClassName="bar" />
+<Tabs classes={{ scrollButtons: 'foo', indicator: 'bar' }} />
```

```diff
-<TextField labelClassName="foo" helperTextClassName="bar" />
+<TextField InputLabelProps={{ className: 'foo' }} FormHelperTextProps={{ className: 'bar' }} />
```

- [CssBaseline] Rename from Reboot (#10605}

The new wording should clarify the purpose of the component.
For instance, it's not about adding JavaScript polyfills.

```diff
-<Reboot />
+<CssBaseline />
```

### Component Fixes / Enhancements

- [Select] Fix wrong onBlur onFocus logic (#10538) @oliviertassinari
- [ExpansionPanel] Fix controlled behavior (#10546) @oliviertassinari
- [Autocomplete] Add multiple downshift example (#10550) @oliviertassinari
- [Autocomplete] selectedItem can be null (#10565) @caub
- [core] Improve IE11 support (#10568) @oliviertassinari
- [TextField] Better inputComponent demo (#10573) @oliviertassinari
- [typescript] Add a test case for ListItemIcon (#10593) @oliviertassinari
- [ListItemText] Make the children an alias of the primary property (#10591) @caub
- [Button] Fix Button variant prop description (#10578) @teekwak
- [Table] Fix table pagination example empty row height (#10588) @amcgee
- [Icon] Fix a bug in Chrome 64.0 (#10594) @caub
- [List] use theme for margin in ListItemText (#10597) @caub
- [StepIcon] enable CSS modifications of active step (#10599) @vkentta
- [Tooltip] Add enterTouchDelay and leaveTouchDelay props (#10577) @petegivens

### Docs

- [docs] Simplify the CDN example (6e4cc723689961582ede16db421cbdf24ac7c4b9) @oliviertassinari
- [docs] Add showcase to readme - componofy (#10541) @DalerAsrorov
- [docs] Add Cryptoverview to the showcase (#10545) @leMaik
- [docs] Add menu Collapse example (#10548) @oliviertassinari
- [docs] Add PersonalBlog Gatsby starter to Showcase (#10566) @greglobinski
- [docs] Add parcel example (#10575) @oliviertassinari
- [docs] Fix typo in contributing readme (#10586) @chiragmongia
- [docs] Fix next.js example to enable styled-jsx with material-ui (#10580) @shibukawa
- [docs] Add the latest backers (#10602) @oliviertassinari
- [docs] Add Planalyze to Showcase (#10603) @dancastellon
- [docs] Improve the htmlFontSize documentation (#10604) @oliviertassinari

### Core

- [core] Fix type definitions (#10553) @stefanorie
- [core] Better overrides merge support (#10606) @oliviertassinari

## 1.0.0-beta.36

_Mar 5, 2018_

A big thanks to the 14 contributors who made this release possible.

Here are some highlights ✨:

- We have started the effort toward supporting the async API of react@16.3.0 (#10489, #10523) @oliviertassinari.
- Document how to use Material UI with a CDN (#10514) @zelinf.
- And many more bug fixes and documentation improvements.

### Breaking change

- [SvgIcon] Allow changing the width with the font-size (#10446) @oliviertassinari

Remove the `fontSize` property. The `SvgIcon` behavior is closer to the `Icon` behavior.

```diff
-<Icon fontSize />
-<SvgIcon fontSize />
+<Icon />
+<SvgIcon />
```

Now, you can use the `font-size` style property to changr the size of the icon.

- [classes] Normalize the classes names (#10457) @oliviertassinari

This is an effort in order to harmonize the classes API.
The best way to recover from this breaking change is to check the warnings in the console and to check the added documentation around the design rules around this API.

### Component Fixes / Enhancements

- [Table] Default display style for all table components (#10447) @caub
- [Collapse] Fix description (#10454) @onurkose
- [ButtonBase] Add a TouchRippleProps property (#10470) @christophediprima
- [Select] Ensure label is shrunk when using startAdornment (#10474) @carab
- [Card][list] Implement responsive gutters (#10477) @lukePeavey
- [icon] Add "side-effects": false to material-ui-icons (#10482) @b1f6c1c4
- [IconButton] Fix theme.spacing.unit size dependency (#10486) @oliviertassinari
- [ListItem] Avoid li > li issue (#10484) @oliviertassinari
- [ListItem] Fix ContainerProps.className propagation (#10488) @oliviertassinari
- [Textarea] Prepare React 16.3.0 (#10489) @oliviertassinari
- [icon] Add build:es for material-ui-icons (#10497) @b1f6c1c4
- [ButtonBase] Fix the ripple on Edge (#10512) @oliviertassinari
- [Autocomplete] Update the demos so people can stack the components (#10524) @oliviertassinari
- [Button] Add override support for sizeLarge and sizeSmall (#10526) @wenduzer
- [Modal] Use prototype functions in ModalManager (#10528) @ianschmitz

### Docs

- [docs] Fix Roadmap docs formatting (#10501) @cherniavskii
- [docs] EnhancedTable Demo (#10491) @kgregory
- [docs] Add new Showcase project (#10509) @chriswardo
- [Select] Document when the value is required (#10505) @MichaelArnoldOwens
- [Select] Document the renderValue signature (#10513) @oliviertassinari
- [docs] Add a CDN example (#10514) @oliviertassinari
- [docs] Fix SSR rendering in Gatsby example (#10536) @LegNeato

### Core

- [core] Prepare the async API (#10523) @oliviertassinari
- [core] Upgrade the dev dependencies (#10456) @oliviertassinari
- [core] Upgrade the dev dependencies (#10515) @oliviertassinari

## 1.0.0-beta.35

_Feb 24, 2018_

A big thanks to the 20 contributors who made this release possible.

Here are some highlights ✨:

- A new lab npm package (#10288) @mbrookes.
- A breaking changes ROADMAP before v1 (#10348) @oliviertassinari.
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [Stepper] Add style override types (#10334) @vkentta
- [Input] Reset the line-height (#10346) @oliviertassinari
- [Select] Revert #9964 (#10347) @oliviertassinari
- [lab] Create lab package, add SpeedDial (#10288) @mbrookes
- [Button] Update Button mini description (#10355) @lorensr
- [SpeedDial] Fix onClick target element (#10368) @mbrookes
- [IconButton] Fix class key types (#10374) @vkentta
- [Chip] Ignore events generated by descendants (#10372) @maxdubrinsky
- [CardHeader] Add missing "action" classes key definition (#10379) @chubbsMcfly
- [Dialog] Consistent description (#10377) @oliviertassinari
- [Select] Fix the vertical-align (#10380) @oliviertassinari
- [Snackbar] Disable pausing of auto hide when window loses focus (#10390) @SebastianSchmidt
- [Select] Add `SelectDisplayProps` prop (#10408) @noah-potter
- [SelectInput] Add tabIndex prop (#10345) @keenondrums
- [Select] Make 'type' prop able to be overwritten (#10361) @fabijanski
- [Select] Set type undefined rather than null (#10430) @caub
- [ButtonBase] Fix accessibility (#10434) @oliviertassinari
- [SwitchBase] Fix defaultChecked issue (#10444) @tanmayrajani
- [SwitchBase] Prevent defaultChecked regression (#10445) @oliviertassinari

### Docs

- [Transitions] Document transition style prop handling (#10322) @AdamGorkoz
- [Drawer] Add clipped navigation drawer demo (#10330) @AdamGorkoz
- [docs] Fix demo links for new util components (#10337) @jprince
- [docs] Add react-final-form to Related Projects (#10352) @mbrookes
- [docs] rename theme-default to default-theme (#10356) @mbrookes
- [docs] Fix modal page link (#10360) @tanmayrajani
- [docs] Plan the breaking changes before v1 (#10348) @oliviertassinari
- [docs] Fix IE11 and W3C warnings (#10394) @oliviertassinari
- [docs] Sort the pages by path and ignore dashes (#10396) @leMaik
- [docs] Autocomplete migration (#10397) @oliviertassinari
- [docs] Add AudioNodes to the showcase (#10407) @JohnWeisz
- [docs] Breaking changes feedback notification (#10413) @mbrookes
- [docs] Improve readability (#10412) @oliviertassinari
- [docs] Add material-ui-autosuggest to related projects (#10415) @tgrowden
- [docs] Update transitions.md (#10417) @caub
- [docs] Fix minor typo in breaking-changes notification (#10418) @phazor
- [docs] Description of how component will render (#10432) @oliviertassinari
- [docs] Add CSSGrid comparison example (#10433) @caub

### Core

- [core] Upgrade some dependency to start looking into React 16.3 (#10338) @oliviertassinari
- [core] Remove direct references to window/document objects (#10328) @ianschmitz
- [core] Use tabIndex as number (#10431) @oliviertassinari

## 1.0.0-beta.34

_Feb 17, 2018_

A big thanks to the 21 contributors who made this release possible.

Here are some highlights ✨:

- Checkbox, Radio, Switch update to follow the spec and be consistent with the Input (#10196, #10138) @phsantiago, @mbrookes.
- The documentation works offline (#10267) @msiadak.
- Better styled-components documentation (#10266) @rocketraman.
- And many more bug fixes and documentation improvements.

### Breaking change

- [Checkbox, Radio, Switch] Fix id in internal input (#10196) @phsantiago

For consistency between the `Input` and the `Checkbox`, `Switch`, `Radio` the following small breaking changes have been done:

The usage of the `inputProps` property is no longer needed to apply an id to the input. The `id` is applied to the input instead of the root.

```diff
-<Checkbox inputProps={{ id: 'id' }} />
+<Checkbox id="id" />
```

The `inputType` property was renamed `type`.

```diff
-<Checkbox inputType="text" />
+<Checkbox type="text" />
```

- [Checkbox, Radio, Switch] Change default color, add color prop (#10138) @mbrookes

The Material Design specification says that selection controls elements should [use the application's secondary color](https://m2.material.io/guidelines/components/selection-controls.html).

```diff
-<Checkbox />
-<Switch />
-<Radio />
+<Checkbox color="primary" />
+<Switch color="primary" />
+<Radio color="primary" />
```

### Component Fixes / Enhancements

- [Input] Fix infinite loop (#10229) @oliviertassinari
- [CircularProgress] Add static variant (#10228) @oliviertassinari
- [Transition] Add the missing teardown logic (#10244) @oliviertassinari
- [Avatar] Use theme.spacing.unit (#10268) @cherniavskii
- [InputLabel] Add inheritance docs (#10282) @oliviertassinari
- [Input][expansionpane] Remove the use of legacy easing-curve (#10290) @strayiker
- [TableCell] Add "scope" attribute for th (#10277) @z-ax
- [styles] Fix typo (#10303) @strayiker
- [Button] Add fullWidth to ButtonClassKey (#10310) @stefanorie
- [TextField] Fix wrong SSR height of the textarea (#10315) @oliviertassinari
- [ClickAwayListener] Fix interaction with SVGElement (#10318) @KEMBL
- [Icon] Add fontSize to typings (#10317) @clentfort
- [Slide] Work with SVG too (#10325) @oliviertassinari

### Docs

- [docs] Update links on showcase.md (#10227) @klyburke
- [docs] Remove dead code in Drawers (#10230) @oliviertassinari
- [docs] Add utils section, document transitions (#10239) @mbrookes
- [docs] Fix small issues (#10245) @oliviertassinari
- [docs] Add transform-origin and timeout to Grow demo #10246 @mbrookes
- [docs] Add modole.io to showcase (#10247) @mweiss
- [docs] Better API generator (#10249) @oliviertassinari
- [docs] Use non-breaking space (#10252) @oliviertassinari
- [example] TypeScript instructions (a81e5f9e54fdcc4648ffe6bdc08eaa596fb0a9bc) @oliviertassinari
- [docs] Fix the migration guide doc page (#10257) @nicolasiensen
- [docs] Update example in README.md (#10259) @nikoladev
- [docs] Fix typo in button component demo (#10260) @bmuenzenmeyer
- [docs] styled components non-root components (#10266) @rocketraman
- [Selection Control] Symmetry between the demos (#10279) @oliviertassinari
- [docs] Remove StepConnector from Steppers demo (#10301) @jdupont
- [docs] Add precaching Service Worker to exported docs builds (#10267) @msiadak
- [docs] Add missing rel=noopener (#10307) @oliviertassinari
- [docs] Add the average response time (#10308) @oliviertassinari
- [docs] Update TextFields.js (#10313) @Primajin
- [docs] Add toggling with react-popper (#10302) @caub
- [docs] Add the latest backers ♥ (#10323) @oliviertassinari
- [docs] Expose the theme as a global object (#10326) @oliviertassinari
- [docs] Add an example with Google Web Fonts (#10332) @oliviertassinari

### Core

- [core] Fix the es distribution (#10254) @NMinhNguyen
- [typescript] Add missing exports in index.d.ts (#10295) @Andy4ward
- [core] Upgrade react-popper (#10299) @oliviertassinari

## 1.0.0-beta.33

_Feb 10, 2018_

A big thanks to the 16 contributors who made this release possible.

Here are some highlights ✨:

- A documentation section on the `component` property (#10128) @sebald.
- A Snackbar / FAB animation integration example (#10188) @mbrookes.
- The Select open state can be controlled (#10205) @oliviertassinari.
- And many more bug fixes and documentation improvements.

### Breaking change

N/A

### Component Fixes / Enhancements

- [typescript] Use Partial props in TypeScript definitions (#10170) @ianschmitz
- [GridList] Allow null children in GridListTile (#10179) @caub
- [Grid] Small performance improvement (#10180) @oliviertassinari
- [TextField] Correct typo in TypeScript export declaration (#10186) @caghand
- [Switch] Increase the box shadow when checked (#10187) @leMaik
- [Stepper] Mobile Stepper variant determinate (#10190) @KeKs0r
- [MenuItem] Better :hover and .selected logic (#10199) @oliviertassinari
- [LinearProgress] Property definition grammar fix (#10201) @madison-kerndt
- [MuiThemeProvider] Forward the options when nested (#10176) @Aetherall
- [Select] Simpler controlled open property (#10205) @oliviertassinari
- [typescript] Use types from react-transition-group/Transition (#10129) @sebald
- [typescript] Export WithTheme from index (#10209) @clekili
- [Stepper] Increase StepButton space for click (#10204) @AlbertLucianto
- [ButtonBase] Use parent Window of ButtonBase when listening for keyboard events (#10224) @ianschmitz
- [StepLabel] Give more flexibility to the style of span surrounding label (#10218) @seanchambo
- [ButtonBase] Save one line of code (#10225) @oliviertassinari

### Docs

- [examples] Rename type to variant (#10167) @oliviertassinari
- [docs] Using "component" prop to customize rendering (#10128) @sebald
- [docs] Fix the restore focus logic of the Popover demo (#10184) @oliviertassinari
- [docs] Fix react-select chip on mobile (#10185) @oliviertassinari
- [docs] Add Snackbar / FAB animation integration example (#10188) @mbrookes
- [docs] Add LocalMonero to showcase (#10195) @mbrookes
- [docs] Fix typo `Selet` to `Select` (#10207) @Justkant
- [docs] Change negative to positive (#10211) @harvitronix
- [docs] Add project to showcase (#10217) @klyburke

### Core

- [core] Upgrade Next.js (#10181) @oliviertassinari
- [test] Remove the mockPortal workaround (#10208) @leMaik

## 1.0.0-beta.32

_Feb 4, 2018_

A big thanks to the 12 contributors who made this release possible.

Here are some highlights ✨:

- Rename the `type` property to `variant` (#10088, #10086, #10084, #10101) @mbrookes.
- Simplify the implementation of the transitions (#10137, #10151) @oliviertassinari.
- Add support for `position="sticky"` with the AppBar (#10090) @scottastrophic.
- And many more bug fixes and documentation improvements.

### Breaking change

- [API] Complete type to variant migration (#10101) @mbrookes

These breaking changes aim at providing a systematic solution to the boolean vs enum naming problem.

We have documented our approach to solving the problem in #10023. Basically, we enforce the following rule:

- We use a _boolean_ when the degrees of freedom required is **2**.
- We use an _enum_ when the degrees of freedom required is **> 2**.

This is what motivated the button breaking change. Unfortunately `type` has its own meaning in the HTML specification. You can use it on the following elements: `<button>, <input>, <command>, <embed>, <object>, <script>, <source>, <style>, <menu>`.
We are using a more generic name to **avoid the confusion**: `variant`.

Umbrella pull request for: #10084, #10086, #10088.

```diff
<Button
- raised
+ variant="raised"

<Button
- fab
+ variant="fab"

<Typography
- type="title"
+ variant="title"

<MobileStepper
- type="dots"
+ variant="dots"

<Drawer
- type="persistent"
+ variant="persistent"

<LinearProgress
- mode="determinate"
+ variant="determinate"

<CircularProgress
- mode="determinate"
+ variant="determinate"
```

- [transition] Standardize the components (#10151)

```diff
           <Zoom
             in={in}
-            enterDelay={transitionDuration.exit}
+            style={{
+              transitionDelay: in ? transitionDuration.exit : 0,
+            }}
```

### Component Fixes / Enhancements

- [AppBar] Remove one dead CSS property (#10096) @oliviertassinari
- [AppBar] Add support for `position="sticky"` (#10090) @scottastrophic
- [CircularProgress] Improve animation & update example (#10079) @mbrookes
- [API] Rename type prop to variant (#10088) @mbrookes
- [Button] Move bool props to variant (#10086) @mbrookes
- [Progress] Rename mode prop to variant (#10084) @mbrookes
- [Drawer] Add PaperProps property (#10118) @oliviertassinari
- [TextField] Small refinement (#10117) @oliviertassinari
- [Stepper] Add StepIcon to Stepper exports (#10119) @melissanoelle
- [ButtonBase] Fix keyDown handled (#10136) @strayiker
- [Fade] Simplify implementation (#10137) @oliviertassinari
- [typescript] Add missing ExpansionPanel style overrides (#10142) @simonvizzini
- [Dialog] PaperProps TypeScript definition (#10143) @daniel-rabe
- [InputAdornment] Remove hack (#10157) @oliviertassinari
- [Hidden] css implementation handle custom className (#10165) @Vincz

### Docs

- [docs] Minor CSP edit (#10089) @oliviertassinari
- [docs] Avoid anchor id conflict in Progress (#10095) @oliviertassinari
- [docs] Remove last flow annotations (#10099) @oliviertassinari
- [docs] Alternative APIs theme (#10100) @oliviertassinari
- [docs] Add How do I use react-router? in FAQ (#10103) @oliviertassinari
- [examples] Update README for CRA with JSS (#10105) @kgregory
- [docs] Add more examples for the Badge (#10114) @oliviertassinari
- [docs] Rename IntegrationAutosuggest to IntegrationDownshift (#10116) @kentcdodds
- [docs] Better color prop description (#10133) @mbrookes
- [docs] Fix duplicated id issue (#10135) @oliviertassinari
- [docs] Document approach for progress indicator delay (#10145) @mbrookes
- [docs] Simplify delayed progress indicator example (#10147) @mbrookes
- [docs] Improve the performance of the homepage (#10152) @oliviertassinari
- [docs] Allow Demo to specify only required deps (#10150) @caub
- [docs] Add mui-downshift (#10156) @oliviertassinari
- [docs] Demo codesandbox deps (#10158) @caub

### Core

- [core] Add the license in the release (#10102) @oliviertassinari
- [test] Fix AppBar test assert messages (#10109) @cherniavskii

## 1.0.0-beta.31

_Jan 21, 2018_

A big thanks to the 14 contributors who made this release possible.

Here are some highlights ✨:

- Further simplification & standardization with the palette (#10015) @mbrookes.
- A Content Security Policy Guide (#10074) @dav-is.
- Document the withStyles alternative APIs (#9981) @oliviertassinari.
- A react-select integration example (#10070) @oliviertassinari.
- And many more bug fixes and documentation improvements.

Fun facts:

- Our first alpha release was 1 year ago: _Jan 28, 2017_ 🎂!
- We have done 53 pre-releases of the v1.x, one every week for a year 🛥.

### Breaking change

- [Icon] Remove icon ligature "magic" support (#9983) @mbrookes

We have removed the "magic" `<Icon>` wrapping logic. It should be done explicitly now.
It's making our components less biased around the svg icon vs font icon choice.

```diff
+import Icon from 'material-ui/Icon';

-      <IconButton>comment</IconButton>
+      <IconButton>
+        <Icon>comment</Icon>
+      </IconButton>
```

- [theme] Further simplification & standardization (#10015) @mbrookes

  - Most component specific `theme.palette.background` colors have been removed. The affected components use `theme.palette.grey` instead. Shift the values of `theme.palette.grey` if you wish to lighten or darken these as a whole; this will maintain the contrast relationship between them. (Paper remains in the theme, as it is used across multiple components.)
  - `theme.palette.common.fullBlack` and `fullWhite` have been removed. Components that used these values now use `theme.palette.common.black` and `white` instead.
  - `theme.palette.common.transparent` has been removed. Components that used this value now use `'transparent'` directly.
  - Chip has been corrected to use `theme.palette.grey`. If you customize the values of `grey`, the appearance of Chip in your app may change.

- [core] Remove the rootRef properties as unneeded (#10025)

```diff
-import ReactDOM from 'react-dom';

<IconButton
- rootRef={node => {
-   this.button = ReactDOM.findDOMNode(node);
+ buttonRef={node => {
+   this.button = node;
  }}
>
```

- [Button] Add size property (#10009) @oliviertassinari

```diff
-<Button dense>
+<Button size="small">
```

- [palette] Remove the palette.types from the theme (#10040) @oliviertassinari

In order to keep the palette simple to understand. I have removed the `types` from the palette object.
The motivation is the following. The theme & palette should only store
the information needed to display one UI context.
Having the `types` object in the palette encourage people to rely on it.
No, we want people to do it the other way around.

For instance, instead of doing:

```jsx
const theme = createMuiTheme({
  palette: {
    type: 'dark',
    types: {
      dark: {
        background: {
          default: '#000',
        },
      },
      light: {
        background: {
          default: '#fff',
        },
      },
    },
  },
});
```

We would rather see people doing:

```jsx
const types = {
  dark: {
    background: {
      default: '#000',
    },
  },
  light: {
    background: {
      default: '#fff',
    },
  },
};

const theme = createMuiTheme({
  palette: {
    type: 'dark',
    ...types.dark,
  },
});
```

### Component Fixes / Enhancements

- [Input] Make sure our previous or updated context is available (#9986) @yoiang
- [Dialog] Add PaperProps property (#9985) @nbdaaron
- [FormControl] Fix w3c issue (#9996) @oliviertassinari
- [typescript] Add divider to palette type defs (#10008) @xaviergonz
- [Badge] Add error as a palette option (#10004) @t49tran
- [Tab] Add textColor inherit default props to Tab (#10005) @x0fma
- [Menu] Fix dark selected color (#10026) @oliviertassinari
- [SnackbarContent] Change backgroundColor approach (#10027) @mbrookes
- [Backdrop] Allow setting of onTouchMove (#10001) @daniel-rabe
- [Popover] Should default to use anchorEl's parent body (#10049) @ianschmitz
- [Popover] Respect anchorEl's parent window when calculating position (#10048) @ianschmitz
- [TableCell] Add sortDirection TypeScript definition (#10057) @cvanem
- [palette] Fix error color defaults (#10058) @pelotom
- [ButtonBase] Avoid race condition with react-router (#10061) @oliviertassinari
- [Modal] Remove dead logic (#10062) @oliviertassinari
- [List] Fix w3c issues (#10050) @oliviertassinari
- [jss] Fix the last w3c issue I'm aware of (#10063) @oliviertassinari
- [LinearProgress] Add ARIA role & fix bugs (#10069) @mbrookes
- [ButtonBase] Add buttonRef property (#10082) @oliviertassinari

### Docs

- [docs] Edit css injection order docs for create-react-app users (#9990) @PTaylour
- [docs] withStyles alternative APIs (#9981) @oliviertassinari
- [docs] Switch the Lightbulb UI (#9995) @oliviertassinari
- [docs] Use Simple over Basic (#10024) @oliviertassinari
- [docs] boolean vs enum API (#10023) @oliviertassinari
- [docs] Improve the typeface-roboto npm instructions (#10039) @oliviertassinari
- [docs] Add zero click example of Wrapping components (#10041) @oliviertassinari
- [docs] Reach the AA contrast ratio level (#10053) @oliviertassinari
- [docs] Misc fixes (#10055) @mbrookes
- [examples] Add missing TypeScript dependency (#10031) @QuantumInformation
- [docs] Add Content Security Policy Guide (#10074) @dav-is
- [docs] Add react-select example (#10070) @oliviertassinari

### Core

- [core] Two small fixes looking at #10005 (#10014) @oliviertassinari
- [core] Use the official react-docgen package (#10054) @oliviertassinari
- [core] Upgrade the dependencies (#10060) @oliviertassinari

## 1.0.0-beta.30

_Jan 21, 2018_

A big thanks to the 12 contributors who made this release possible.

Here are some highlights ✨:

- A revamp of the palette usage. We want it to be as simple as possible (#9876, #9918, #9970).
  We are pretty happy with the outcome. +80% of the story has been completed.
- A better [w3c compliance](https://validator.w3.org), we will keep working on it in for the next release @sambhav-gore.
- An improved breakpoints documentation section (#9949).
- A new notification system for the documentation (#9974) @mbrookes.
- And many more bug fixes and documentation improvements.

### Breaking change

- [palette] Keep simplifying the solution (#9876) @oliviertassinari

  - Remove the contrast color from our API. This color variation hasn't proven itseft to be useful enough.

  ```diff
  -<Button color="contrast" />
  +<Button />
  ```

  Instead, you can use the `color="inherit"` property or use the `theme.palette.XXX.contrastText` value.

  - Rename `accent` to `secondary`. We have removed the accent indirection to be closer to the object people are providing to customize the palette.

  ```diff
  -<Button color="accent" />
  +<Button color="secondary" />
  ```

  ```diff
  <Tabs
  - indicatorColor="accent"
  - textColor="accent"
  + indicatorColor="secondary"
  + textColor="secondary"
  >
  ```

  - Rename old `secondary` to `textSecondary`. `secondary` and `textSecondary` are two valid color value.

  ```diff
  -<Typography color="secondary" />
  +<Typography color="textSecondary" />
  ```

- [palette] Standardize the secondary color (#9918) @oliviertassinari

The secondary color now behaves the same way than the other colors (primary, error). We always use the `main` tone by default instead of the `light` tone.
It's unclear if this change is making the implementation follow the specification more closely. The direct win is **simplicity and predictability**.

- [palette] Normalize the usage of the palette (#9970) @oliviertassinari
  - Remove `theme.palette.input` object.
  - Remove `theme.palette.text.icon` color.
  - Remove `theme.palette.background.contentFrame`, it was only used in the documentation.
  - Move `theme.palette.text.divider` to `theme.palette.divider`, it's not a text color.
  - Remove `theme.palette.text.lightDivider`, there is no reference to is in the specification, better keep things simple.

### Component Fixes / Enhancements

- [Button] Fix secondary contrastText color (#9913) @ValentinH
- [FormTextHelper] Add component prop (#9917) @sambhav-gore
- [core] Fix some w3c validation errors (#9906) @oliviertassinari
- [TableCell] Fix TypeScript definition (#9926) @ljvanschie
- [Divider] Add component property (#9927) @oliviertassinari
- [FormControl] Fix alternating focus change bug (#9909) @dapetcu21
- [CircularProgress] Fix animation on Edge 16 and below (#9938) @oliviertassinari
- [ListItemText] Update Typings for primary and secondary text class keys (#9946) @spallister
- [palette] ShadeBackground interface updated (#9955) @daniel-rabe
- [TableCell] Fix TypeScript definition (#9959) @ljvanschie
- [Select] Fix a small vertical alignment issue (#9964) @oliviertassinari
- [IconButton] Better follow the spec (#9967) @oliviertassinari
- [Select] Add inputProps property (#9979) @oliviertassinari
- [typescript] Palette typing fixes and error augmentation (#9973) @pelotom
- [Grid] minWidth for type item (#9972) @sambhav-gore

### Docs

- [docs] Add a section about how to test changes locally (#9935) @nicolasiensen
- [docs] Style library interoperability v2 (#9939) @oliviertassinari
- [docs] Fix markdown list (#9948) @yuchi
- [docs] Remove one DOM element in the Card actions (#9952) @maprihoda
- [docs] Improve the documentation on the breakpoints (#9949) @oliviertassinari
- [docs] Apply Matt's requested changes (#9963) @oliviertassinari
- [docs] Using TypeScript & withStyles for class component w/union props (#9975) @nmchaves
- [docs] Add notifications (#9974) @mbrookes

### Core

N/A

## 1.0.0-beta.29

_Jan 16, 2018_

A big thanks to the 9 contributors who made this release possible.

We are making a release earlier than expected. The release schedule norm has been so far: one every weekend. `1.0.0-beta.28` has introduced important pain points we want to address quickly:

- The 1.0.0-beta.28 palette change was made non-breaking (#9889) @mbrookes
- The JSS issues have been fixed
- The TypeScript definitions have been updated

### Breaking change

N/A

### Component Fixes / Enhancements

- [TextField] Add fullWidth propagation to Input (#9888) @enbyted
- [Chip] Add component property (#9890) @caub
- [palette] Update the TypeScript definitions (#9896) @oliviertassinari

### Docs

- [examples] Update for revised theme approach (#9878) @mbrookes
- [examples] Update Gatsby example to work (#9877) @magicmark
- [docs] Additional corrections to palette code sample (#9883) @mbrookes
- [docs] Update showcase.md (#9894) @gerges-beshay

### Core

- [core] Fix w3c validation errors (#9899) @sambhav-gore
- [core] Make palette change non-breaking (#9889) @mbrookes
- [core] Fix some w3c issues (#9872) @oliviertassinari
- [core] Upgrade jss to 9.5.0 (#9885) @cesardeazevedo
- [core] Fix some w3c validation errors (#9895) @sambhav-gore
- [typescript] Remove JSS stub module declaration (#9898) @pelotom
- [typescript] Move @types/react-transition-group from devDependencies to dependencies (#9897) @pelotom
- [typescript] Remove generic object and function types (#9822) @pelotom
- [core] Go back to jss-vendor-prefixer@7 (#9904) @oliviertassinari

## 1.0.0-beta.28

_Jan 14, 2018_

A big thanks to the 22 contributors who made this release possible.

Here are some highlights ✨:

- A new theme palette system (#9794) @mbrookes. It's an important simplification.
- More flexibile and customization friendly table components (#9852) @kgregory.
- A new gold sponsor: [Creative Tim](https://www.creative-tim.com/), thank you!
- And many more bug fixes and documentation improvements.

### Breaking change

- [core] Revise the theme.palette.primary & secondary approach (#9794) @mbrookes

It's an important simplification of the palette system. You can now directly use the "official" Color Tool](https://m2.material.io/color/).

- Instead of using a rich color object of 14 different keys, we rely on an object of 4 different keys: `light`, `main`, `dark` and `contrastText`.
- Providing the full-color object used to be required. Now, we will provide a nice default to the different values using the `main` value.

```diff
import { createMuiTheme } from 'material-ui/styles';
import blue from 'material-ui/colors/blue';
import pink from 'material-ui/colors/pink';

const theme = createMuiTheme({
  palette: {
-   primary: blue,
-   secondary: pink,
+   primary: {
+     light: blue[300],
+     main: blue[500],
+     dark: blue[700],
+   },
+   secondary: {
+     light: pink[300],
+     main: pink[500],
+     dark: pink[700],
+   }
    type: theme.paletteType,
  },
});
```

- [ListItemText] Add extra class to style secondary text (#9759) @t49tran

```diff
<ListItem
  classes={{
-   text: 'my-class',
+   textPrimary: 'my-class',
  }}
/>
```

- [CardHeader] Remove CardContent inheritance (#9764) @oliviertassinari

Rename ListItemText classes for consitancy with the CardHeader component:

```diff
-- `textPrimary`
-- `textSecondary`
+- `primary`
+- `secondary`
```

- [TableCell] Add type property (#9852) @kgregory

`TableHead`, `TableBody` and `TableFooter` no longer offer a CSS API, which means their `root` classes are no longer available.
To style the root element in these components, a `className` prop can be passed, as all non-API props will be spread to the root element.

### Component Fixes / Enhancements

- [Tooltip] Zero-length titles string are never displayed (#9766) @oliviertassinari
- [Chip] Replace instrinic CSS 'fit-content' with 'inline-flex' (#9767) @gregnb
- [Slide] Fix an animation regression (#9773) @oliviertassinari
- [Select] Remove the input warning (#9774) @oliviertassinari
- [Tabs] Add action property (#9780) @gregnb
- [StepButton] Fix TypeScript definition (#9796) @hapood
- [CardContent] Add component property (#9789) @caub
- [TablePagination] Add an Actions property (#9785) @axlider
- [SwitchBase] Enable React input warning (#9814) @oliviertassinari
- [SwitchBase] Remove duplicate TypeScript definitions inherited (#9816) @rosskevin
- [Hidden] Update initialWidth propTypes (#9815) @djeeg
- [Transition] Extend children propTypes (#9819) @oliviertassinari
- [TablePagination] Remove dead code (#9831) @leMaik
- [theme] Polish background scale (#9829) @oliviertassinari
- [ExpansionPanel] Fix TypeScript definitions of onChange event (#9832) @Jocaetano
- [GridList] Remove named export (#9836) @remcohaszing
- [GridList] Export through main index.js (#9833) @remcohaszing
- [Portal] Document default value (#9841) @oliviertassinari
- [Button] Add fullWidth boolean property (#9842) @oliviertassinari
- [Select] Improve vertical alignment (#9827) @jedwards1211
- [GridListTile] Fix error when overriding classes (#9862) @KevinAsher
- [transitions] Improve the style override logic (#9858) @caub
- [Select] Add open, onClose and onOpen properties (#9844) @caub

### Docs

- [docs] Add Expand All switch to default theme tree (#9762) @mbrookes
- [docs] Remove unneeded dependencies from examples (#9746) @cherniavskii
- [docs] Clarify the usage of innerRef property of withStyles (#9765) @nareshbhatia
- [docs] Improve color / theme docs (#9771) @mbrookes
- [docs] Add How can I access the DOM element? in the FAQ (#9768) @oliviertassinari
- [examples] Add a Gatsby example (#9779) @oliviertassinari
- [docs] Alternatives to CRA (#9810) @oliviertassinari
- [docs] Add missing code from example (#9830) @RyanTaite
- [docs] Add Global CSS override section (#9843) @oliviertassinari
- [docs] Add example for Select with Checkbox in MenuItems (#9835) @caub
- [docs] Add SlidesUp to the Showcase (#9854) @bhatiak
- [docs] Track the bundle size (#9853) @oliviertassinari
- [docs] Display the default theme (#9859) @oliviertassinari
- [docs] Add paragraph on withStyles with multiple classes (#9851) @clentfort
- [docs] Add new backers (#9863) @oliviertassinari

### Core

- [core] Remove contastDefaultColor (#9772) @mbrookes
- [core] Revise theme contrastText approach, remove contrastDefaultColor (#9063) @mbrookes
- [color] Add a warning when an invalid value is provided (#9783) @oliviertassinari
- [typescript] Add TouchRipple typings (#9812) @msiadak
- [test] Enforce 100% test coverage in Codecov (#9813) @leMaik
- [typescript] Move @types/jss from devDependencies to dependencies (#9817) @pelotom
- [core] Upgrade the dependencies 😢 (#9828)

## 1.0.0-beta.27

_Jan 6, 2018_

A big thanks to the 19 contributors who made this release possible.

Here are some highlights ✨:

- A strong focus on the documentation.
- Add a new Zoom component (#9693) @mbrookes.
- Better vertical alignment of our components (#9709) @oliviertassinari.
- And many more bug fixes and documentation improvements.

### Breaking change

- [core] Remove some rootRef properties (#9676) @cherniavskii

Remove the rootRef property from the Grow and List component.
Instead, you can use the `ref` property in combination with `findDOMNode()` or a [RootRef](https://gist.github.com/oliviertassinari/fa1cd34a3fff67553631606109bed124) helper.

- [Popover] New `transition` property (#9682) @oliviertassinari

Remove the `transitionClasses` property of the Popover component. Instead, you can provide a transition component.

- [BottomNavigation] Rename BottomNavigationButton to BottomNavigationAction (#9692) @mbrookes

```diff
-import BottomNavigation, { BottomNavigationButton } from 'material-ui/BottomNavigation';
+import BottomNavigation, { BottomNavigationAction } from 'material-ui/BottomNavigation';
```

- [core] Update jss plugins dependencies (#9732) @cherniavskii

You might be relying on the transitive dependency of Material UI: `jss-preset-default`.
If you do, you need to declare the dependency in your package.json. Material UI will no longer install it for you.
Alternatively, you can use our preset to save bundle size.

```diff
-import preset from 'jss-preset-default';
+import { jssPreset } from 'material-ui/styles';
```

### Component Fixes / Enhancements

- [Menu] Better select, hover, focus logic (#9570) @Skaronator
- [CircularProgress] Accept as string size property (#9700) @jedwards1211
- [Zoom] New transition component (#9693) @mbrookes
- [Modal] Add TransitionHandlers to Modal props TypeScript definitions (#9723) @pvdstel
- [style] Add vertical-align: middle (#9709) @oliviertassinari
- [Dialog] Allow fullWidth option of false (#9724) @gregnb
- [SvgIcon] Add a nativeColor property (#9740) @oliviertassinari
- [typescript] Make Modal-/SlideProps on Drawer Partial (#9743) @DaIgeb
- [typescript] Use React.ReactType instead of string | ComponentType (#9686) @pelotom
- [typescript] Style/replace object and function in typedef (#9678) @t49tran
- [typescript] Update zIndex props to latest changes (#9720) @radicand
- [FormControlLabel] Allow highlighted options to be selectable (#9713) @Chopinsky

### Docs

- [flow] Update the documentation and the example (#9679) @oliviertassinari
- [docs] Fix missing sandbox files (#9685) @lukePeavey
- [Portal] Fix typo (#9688) @ifndefdeadmau5
- [examples] Use Reboot (#9691) @oliviertassinari
- [docs] Add a fallback ad (#9694) @oliviertassinari
- [examples] Keep working on the Next.js example (#9695) @oliviertassinari
- [docs] Hide sandbox button on more demos (#9696) @lukePeavey
- [docs] Minor Markdown Fix: Update SUPPORT.md (#9702) @TorzuoliH
- [docs] Move 'Default Theme' to it's own section (#9697) @mbrookes
- [docs] Reorder Drawer items (#9704) @mbrookes
- [docs] Bite the bullet and go for v1-beta (#9706) @oliviertassinari
- [docs] Add project in showcase.md (#9725) @shady831213
- [docs] Fix error in overriding with classes (#9726) @rubencosta
- [docs] Tweak Dialog maxWidth prop description (#9729) @mbrookes
- [docs] Add a reference to create-react-app-with-flow (#9735) @oliviertassinari
- [docs] Fix link of "How to override the look and feel of the components." (#9739) @enavarrocu
- [docs] Fix Chip onDelete property (#9741) @vkentta
- [docs] Reduce the api docs table cell padding (#9752) @mbrookes
- [docs] Misc docs fixes (#9747) @mbrookes
- [docs] Fix two small regressions (#9753) @oliviertassinari
- [docs] Tidy up Tooltips demos (#9755) @mbrookes

### Core

- [core] Fix typo in size:overhead:why script (#9728) @cherniavskii
- [core] Follow the React HOC convention (#9733) @oliviertassinari
- [github] Add Support Requests bot config file (#9751) @mbrookes

## 1.0.0-beta.26

_Dec 30, 2017_

A big thanks to the 12 contributors who made this release possible.

Here are some highlights ✨:

- @kgregory has made the breakpoint down behavior more intuitive. As of now, it's inclusive (#9632).
- We have introduced a new component to kickstart an elegant, consistent, and simple baseline to build upon: `Reboot` (#9661).
- The `Portal` and `Modal` components have been revamped to solve the core issues raised by the community (#9613). Those components are now documented.
- And many more bug fixes and documentation improvements.

### Breaking change

- [Portal] Second iteration on the component (#9613)

Some properties have been renamed:

```diff
<Dialog
- ignoreBackdropClick
- ignoreEscapeKeyUp
+ disableBackdropClick
+ disableEscapeKeyDown
```

```diff
<Modal
- show
- disableBackdrop
- ignoreBackdropClick
- ignoreEscapeKeyUp
- modalManager
+ open
+ hideBackdrop
+ disableBackdropClick
+ disableEscapeKeyDown
+ manager
```

The zIndex object has been updated to match the usage.

```diff
  const zIndex = {
-  mobileStepper: 900,
-  menu: 1000,
+  mobileStepper: 1000,
   appBar: 1100,
-  drawerOverlay: 1200,
-  navDrawer: 1300,
-  dialogOverlay: 1400,
-  dialog: 1500,
-  layer: 2000,
-  popover: 2100,
-  snackbar: 2900,
-  tooltip: 3000,
+  drawer: 1200,
+  modal: 1300,
+  snackbar: 1400,
+  tooltip: 1500,
  };
```

- [breakpoint] Down properties are now inclusive (#9632) @kgregory
  - `createBreakpoints.down()` is now inclusive of the specified breakpoint
  - `isWidthDown()` is now inclusive of the specified breakpoint by default
  - `<Hidden />` will include the breakpoints associated with its _Down_ properties regardless of whether CSS or JS is used.

### Component Fixes / Enhancements

- [TextField] Add inputProps back (#9604) @oliviertassinari
- [TextField] Accessibility improvements (#9617) @cherniavskii
- [ListItemText] Fix noWrap primary text ellipsis (#9631) @dr-js
- [Typography] Remove children required constraint (#9633) @hendratommy
- [CardHeader] Add component property (#9634) @oliviertassinari
- [Snackbar] Clarify that autoHideDuration calls onClose (#9628) @evantrimboli
- [Table] Add aria-label's to pagination left/right arrows (#9622) @gregnb
- [Input] More predictable value behavior (#9647) @oliviertassinari
- [styles] Make sure to escape whitespace (#9644) @jedwards1211
- [Reboot] New component (#9661) @oliviertassinari
- [Snackbar] Allow consecutive messages to display (#9670) @tkvw
- [styles] Reduce the likeliness of conflict (#9671) @oliviertassinari
- [typescript] Make Tabs onChange prop optional (#9668) @pelotom
- [Avatar] Handle non-square images (#9672) @oliviertassinari

### Docs

- [docs] Fix AppBar and Demo button labels (#9607) @mbrookes
- [docs] Fix 414 HTTP issue (#9635) @oliviertassinari
- [docs] Update backers.md (#9636) @oliviertassinari
- [docs] Add a missing codesandbox demo (#9657) @oliviertassinari
- [docs] Interoperability guide: Fix grammar and rework structure (#9658) @mbrookes
- [docs] Remove dead code in generateMarkdown (#9662) @oliviertassinari
- [docs] Interop guide: change Global CSS link from API to description (#9664) @oliviertassinari
- [docs] Add mui-datatables (#9667) @gregnb
- [docs] Small tweaks (#9669) @oliviertassinari

### Core

- [test] Document the ImageMagick / GraphicsMagick dependency (#9608) @mbrookes
- [typescript] re-declare `isMuiElement` and `isMuiComponent` as typeguard (#9630) @SSW-SCIENTIFIC
- [core] Upgrade the dependencies (#9642) @oliviertassinari

## 1.0.0-beta.25

_Dec 22, 2017_

A big thanks to the 16 contributors who made this release possible.

Here are some highlights ✨:

- 100% test coverage. Thanks @leMaik for the last mile (#9596)!
- The first introduction of Global CSS 😱.
  We have introduced a `dangerouslyUseGlobalCSS` option to the class name generator (#9558).
  We discourage people from using this option in production.
  However, it can be a quick escape hatch when prototyping.
  It's making the class names predictable, for instance:

```diff
-c291
+MuiButton-raised
```

- And many more bug fixes and documentation improvements.

### Breaking change

None, merry christmas 🎄.

### Component Fixes / Enhancements

- [typescript] Add Typography pxToRem (#9547) @jaredpetker
- [Select] Typo fix (#9567) @bordagabor
- [CardHeader] Add conditional rendering of the subheader (#9572) @jwwisgerhof
- [Tooltip] children should be an element (#9568) @oliviertassinari
- [BottomNavigationAction] onClick and onChange handler overwritten (#9564) @kgregory
- [typescript] Add typings to reactHelpers (#9565) @SSW-SCIENTIFIC
- [TablePagination] Make onChangeRowsPerPage optional (#9563) @evantrimboli
- [Toolbar] Make the children optional (#9581) @oliviertassinari
- [withWidth] Add withTheme option (#9586) @oliviertassinari
- [docs] Add more interoperability examples (#9558) @oliviertassinari
- [TextField] Make TextField's "value" prop type match Input (#9594) @jaminthorns
- [Popover] Add action property (#9588) @gregnb
- [Modal] Increase test coverage (#9596) @leMaik

### Docs

- [docs] Second iteration on the ad placement (#9524) @oliviertassinari
- [docs] Remove unused styes object from ChipsArray demo (#9540) @mbrookes
- [docs] Hide sandbox button on drawer and grid-list demos (#9537) @lukePeavey
- [docs] Fix typo `masterial-ui` to `material-ui` (#9544) @Ginkoid
- [docs] Add two new members (#9543) @oliviertassinari
- [docs] Fix dark theme toggle of website home page content (#9560) @Tuaniwan
- [docs] Improve migration guide (#9566) @fonzy2013
- [examples] Fix after the latest breaking changes (#9553) @Tuaniwan
- [docs] Fix basic typos in copy text (#9591) @hathix

### Core

- [test] Report the potential svg-icon test error (#9559) @oliviertassinari
- [.editorconfig] Add max_line_length (#9580) @mbrookes
- [core] Move svg-icons to the internal folder (#9601) @oliviertassinari
- [core] Upgrade the dependencies (#9606) @oliviertassinari

## 1.0.0-beta.24

_Dec 17, 2017_

A big thanks to the 16 contributors who made this release possible.

Here are some highlights ✨:

- We have removed Flow from the core components in (#9453).
  You can learn more about the motivations in the pull request.
  This changes two important things:
  - We have reduced the size of the bundle by ~8 kB gzipped.
  - The propTypes runtime checks are back. You might experience new warnings.
- We have introduced 4 breaking changes.
- You can support me on [Patreon](https://www.patreon.com/oliviertassinari) and the community on [Open Collective](https://opencollective.com/mui-org) (#9460).
  Blog posts are coming.
- And many more bug fixes and documentation improvements.

### Breaking change

- [Hidden] Fix js/css implementation inconsistency (#9450) @oliviertassinari

This change is making the js and css breakpoint utils behaving the same way.
The default parameter of `withWidth.isWidthDown(breakpoint, width, inclusive)` changed:

```diff
-inclusive = true
+inclusive = false
```

You might want to update the usage of the API by increasing the breakpoing used on the Hidden component:

```diff
-<Hidden implementation="js" mdDown>
+<Hidden implementation="js" lgDown>
```

Or by going back to the previous behavior:

```diff
-isWidthDown(breakpoint, width)
+isWidthDown(breakpoint, width, true)
```

- [API] Use onClose over onRequestClose (#9451) @oliviertassinari

Most of our components are stateless by default. It wasn't the case with v0.x. Let's translate this default behavior in the property names of v1.

```diff
-onRequestClose
-onRequestOpen
-onRequestDelete
+onClose
+onOpen
+onDelete
```

- [TextField] Remove inputClassName property (#9509) @kgregory

The existing `InputProps` property can be used to set the className on the input element, making `inputClassName` redundant. Issue #9508 exposed some conflicting behavior between the two properties and it was decided that removing `inputClassName` would result in a cleaner API.

```diff
-  /**
-   * The CSS class name of the `input` element.
-   */
-  inputClassName: PropTypes.string,
```

The configuration of the wrapped Input component and its input element should be done through `InputProps`. To specify a className on the input element:

```jsx
<TextField InputProps={{ inputProps: { className: 'foo' } }} />
```

- [Stepper] "Optional" label in StepLabel should be localizable (#9489) @karaggeorge

There is no logic attached to the `optional` boolean property. So, we can reduce the abstraction cost. The property is provided closer to where it's needed, and people have full control over how it should be displayed. By chance, it matches the specification.

```diff
-<Step optional>
-  <StepLabel>
+<Step>
+  <StepLabel optional={<Typography type="caption">Optional Text</Typography>}>
     Label
   </StepLabel>
 </Step>
```

### Component Fixes / Enhancements

- [Popover] Fix warning formatting (27bab8022545c0cda8cbc80bf9b6df1566b14226) @oliviertassinari
- [Hidden] Add `only` array support in the CSS implementation (#9457) @Chopinsky
- [TextField] Fix disabled logic handling (#9472) @oliviertassinari
- [Dialog] Improve accessibility (#9461) @ianschmitz
- [TableFooter] Fix text overlapping pagination drop-down (#9497) @mbrookes
- [ButtonBase] Avoid unnecessary rerender (#9502) @ojab
- [Chip] Fix color contrast against default dark background (#9501) @mbrookes
- [Button] Document how to use a third-party routing library (#9506) @nikoladev
- [MuiThemeProvider] Add a new warning (#9518) @oliviertassinari
- [TextField] Improve the API documentation (#9514) @oliviertassinari
- [TableCell] Add missing aria-sort (#9504) @gregnb
- [ExpansionPanelSummary] Eliminate extra invocation of onClick (#9523) @kgregory

### Docs

- [docs] Update sentence which might be misinterpreted (#9459) @senthuran16
- [docs] Correct list API default value (#9462) @t49tran
- [docs] Fix doc layout when an ad is present (#9473) @zachwolf
- [docs] Update breakpoint info to be in line with code (#9486) @nikoladev
- [docs] Fix broken sandbox in docs (#9491) @ajay2507
- [docs] Add new showcase (#9490) @liganok
- [docs] Add see source button (#9499) @oliviertassinari
- [docs] Add a BACKERS.md (#9460) @oliviertassinari
- [docs] Add Governance page (#9512) @oliviertassinari
- [docs] Demo options as JSON (#9521) @oliviertassinari

### Core

- Add Governance Document (#9423) @hai-cea
- [core] Upgrade to flow 61 (#9471) @rsolomon
- [core] Remove FlowType from the components implementation (#9453) @oliviertassinari
- [core] Upgrade the dependencies (#9515) @oliviertassinari
- [core] Fix wrong usage of the API (#9519) @oliviertassinari
- [core] Use the same react pattern everywhere (#9520) @oliviertassinari

## 1.0.0-beta.23

_Dec 9, 2017_

A big thanks to the 26 contributors who made this release possible.

Here are some highlights ✨:

- The TypeScript definitions keep getting better thanks to @pelotom, @rosskevin, @PavelPZ, @alitaheri, @ianschmitz, @smacpherson64, @brandonlee781
- We keep investing in improving the documentation.
  For instance, you can find a [CodeSandbox](https://codesandbox.io/) edit button on all our demos.

### Breaking change

- [TextField] API disamiguation/consistency (#9382) @rosskevin
  Some of the convenience properties exposed were confusing and have been removed (`inputProps | InputClassName`). For advanced configuration any `Input` through `TextField`, use `TextField.InputProps` to pass any property accepted by the `Input`.
- [SvgIcon] Add color property (#9367) @kale5in
  By consistency with the other components, the color property is no longer apply to the `<svg>`. Instead, it's used to apply normalized color.

### Component Fixes / Enhancements

- [Switch] Update missed div to span for valid HTML (#9334) @mikeriley131
- [Modal] Resolve cordova issues (#9315) @sakulstra
- [Drawer] Missing ModalProps TypeScript (#9352) @rosskevin
- [theme] Fix TypographyOptions type (#9364) @keenondrums
- [styles] createMuiTheme should accept a deep partial (#9368) @keenondrums
- [Table] Add missing component props (#9378) @pelotom
- [typescript] Use correct types for TextFieldProps (#9321) @pelotom
- [typescript] Provide accurate typings for theme overrides (#9314) @pelotom
- [typescript] Add missing direction to theme (#9327) @alitaheri
- [typescript] Update onChange types for selection controls (#9339) @rosskevin
- [typescript] Allow function to be passed as MuiThemeProvider theme prop (#9354) @ianschmitz
- [typescript] Extract WithTheme for external use (#9363) @rosskevin
- [Input] Fix input shrink issue in Firefox (#9384) @t-cst
- [typescript] Wrong default export in shadows.d.ts and transitions.d.ts (#9395) @PavelPZ
- [typescript] Add "component" to FormLabelProps (#9398) @smacpherson64
- [typescript] Rename overloaded type "Icon" in StepButton and StepConnector (#9397) @PavelPZ
- [typescript] Fix definition mismatching on ColorObject (#9409) @kinisn
- [Tabs] Fix SSR regression (#9413) @oliviertassinari
- [theme] Fix mixins.gutter override (#9417) @oliviertassinari
- [ButtonBase] Remove some code (#9419) @oliviertassinari
- [ExpansionPanel] Prevent call onChange event from the root element (#9402) @andrzejbk
- [Hidden] Improve the docs (#9420) @oliviertassinari
- [typescript] Add anchorPosition and anchorReference to PopoverProps (#9428) @brandonlee781
- [Input] Specify target FlowType for SyntheticInputEvents (#9394) @dhui
- [Collapse] Fix minHeight behavior (#9438) @Chopinsky
- [Stepper] Add missing style names (#9441) @oliviertassinari
- [Button] Add a mini FAB variant (#9383) @mbrookes

### Docs

- [docs] Replace type with interface, document TypeScript theme customization (#9350) @rosskevin
- [docs] Fix typo in comparison guide (#9357) @ugomeda
- [docs] Simplify TypeScript custom theme example (#9376) @pelotom
- [docs] Add project to showcase (#9346) @samdenty99
- [Dialog] Fix typo and finish incomplete comment (#9379) @willgriffiths
- [docs] Better definition of what withStyles is (#9235) @ajay2507
- [docs] Save 11% on the images (#9400) @oliviertassinari
- [docs] Add a downshift example (#9401) @oliviertassinari
- [docs] Fix Tabs examples typography and standardize code (#9366) @mbrookes
- [docs] Add a Plugins paragraph (#9399) @oliviertassinari
- [docs] Fix code formatting (#9414) @oliviertassinari
- [docs] Add codesandbox edit button (#9416) @oliviertassinari
- [docs] Various documentation improvements (#9403) @oliviertassinari
- [docs] Remove extra spacing (#9418) @oliviertassinari
- [docs] Remove flow from the docs (#9434) @oliviertassinari
- [examples] remove flow from the examples (#9446) @stormasm

### Core

- [test] Set codecov threshold to avoid spurious build failures (#9323) @pelotom
- [test] Fix parse error in .codecov.yml (#9355) @pelotom
- [typescript] Update `tslint.json` "member-ordering" definition (#9359) @seivan
- [typescript] withTheme parameter on wrong function (#9372) @rosskevin
- [typescript] Fix and standardize remaining ThemeOptions typings (#9370) @pelotom
- [test] Add missing platforms (#9412) @oliviertassinari
- [core] Upgrade dependencies (#9415) @oliviertassinari
- [typescript] Remove DeepPartial (#9445) @PavelPZ

## 1.0.0-beta.22

_Nov 28, 2017_

A big thanks to the 26 contributors who made this release possible.

Here are some highlights ✨:

- Wait, what? A new component is coming, again 🎉.
  @andrzejbk has been implementing the `ExpansionPanel` component with the help of the community. Big thanks to him!
- Support TypeScript@2.6 (#9124) @pelotom
- Support Flow@0.57.x (#8983) @rsolomon, @rosskevin
- A new organization: `mui-org` @hai-cea
- And many more bug fixes and documentation improvements.

### Breaking change

- [Select] Remove InputClasses (#9159) @oliviertassinari
  It's a revert. I have made the unwise call of adding the InputClasses property in an unrelated refactorization pull request #8942. It was not taking the input classes property into account. It was a breaking change and not needed.
- [core] Reduce bundle size by 2kB gzipped (#9129) @oliviertassinari
  We have removed some jss plugins from the default bundle:
  - [jss-expand](https://github.com/cssinjs/jss-expand) (1.3 kB)
  - [jss-compose](https://github.com/cssinjs/jss-compose) (426 B)
  - [jss-extend](https://github.com/cssinjs/jss-extend) (702 B)
  - [jss-template](https://github.com/cssinjs/jss-template) (330 B)

It's a revert.
I have made the unwise call of adding the InputClasses property in an unrelated refactorization pull request #8942.
It was not taking the input classes property into account.
It was a breaking change and not needed.

### Component Fixes / Enhancements

- [Tooltip] Fix typo in API page (#9128) @mizx
- [Transition] Fix wrong addEndListener logic (#9142) @oliviertassinari
- [TablePagination] export LabelDisplayedRowArgs interface and improve label (#8930) @t49tran
- [Drawer] Hide focus ring (#9147) @rodrigofepy
- [Drawer] Fix classes in TypeScript definition (#9145) @johnnynia
- [CircularProgress] Fix behavior when dir=rtl (#9151) @alitaheri
- [StepContent] Fix typings (#9150) @alitaheri
- [Dialog] Fix maxWidth=xs (#9162) @oliviertassinari
- [Select] Fix TypeScript typings (#9153) @alitaheri
- [Slide] No default direction (#9165) @oliviertassinari
- [TablePagination] Improve the API docs page (#9181) @oliviertassinari
- [typescript] Strip keys from GridProps which won't get passed to override component (#9183) @pelotom
- [Input] Fix input height on Firefox (#9184) @oliviertassinari
- [Switch] Fixes non-valid HTML when div used inside of label element (#9188) @mikeriley131
- [FormControlLabel] Fixes non-valid HTML when p used in label element (#9187) @mikeriley131
- [Avatar] Fix alt align (#9193) @mctep
- [Drawer] Fix typo @ignore for theme prop (#9195) @christophehurpeau
- [style] Fix between media-query for xl (#9201) @michaelgruber
- [transitions] Expose the transition components (#9210) @ajay2507
- [Card] Add action prop to CardHeader (#9202) @lukePeavey
- [Select] Add name to the target (#9216) @oliviertassinari
- [TablePagination] Hide the rows per page selector if there are less than two options (#9213) @leMaik
- [ButtonBase] Bookkeep the disable state (#9220) @oliviertassinari
- [TextField] Better select support (#9224) @oliviertassinari
- [TableCell] Use solid version of theme divider (#9229) @mbrookes
- [ExpansionPanel] New component (#7651) @andrzejbk

### Docs

- [docs] Additional tweaks (#9122) @mbrookes
- [docs] Improved documentation for Menu style overrides (#9126) @lsemerini
- [docs] Fix display on IE11 (#9166) @oliviertassinari
- [docs] Fix broken link in README.md (#9177) @Primajin
- [docs] Clean up code in IconLabelButton example (#9211) @xfumihiro
- [docs] Fill enhanced table to always have the same height on all pages (#9214) @leMaik
- [docs] Fix broken link to the API#spread (#9219) @oliviertassinari
- [Guide] Add Interoperability guide (#9217) @FjVillar
- [docs] Add a styled-components section (#9225) @oliviertassinari
- [examples] rename organization to mui-org (#9273) @stormasm
- [docs] Fix typo (#9288) @paulzmuda

### Core

- [test] Fix flaky popper.js test (#9168) @oliviertassinari
- [typescript] Support TypeScript 2.6 and --strictFunctionTypes (#9124) @pelotom
- [typescript] Fix typing of withWidth (#9125) @pelotom
- [typescript] Eliminate the need for type annotations on callback parameters (#9127) @pelotom
- [core] Reduce bundle size by 2kB gzipped (#9129) @oliviertassinari
- [core] Upgrade enzyme (#9167) @oliviertassinari
- Add support for Flow@0.57.x (#8983) @rsolomon
- [test] Avoid unspotted API docs changes (#9212) @oliviertassinari
- [core] Increase the size-limit (#9215) @oliviertassinari
- [flow] Continuation of Flow updates 0.57+ (#9203) @rosskevin
- [flow] Bump react-flow-types version and fix errors (#9232) @rsolomon

## 1.0.0-beta.21

_Nov 13, 2017_

A big thanks to the 18 contributors who made this release possible.

Here are some highlights ✨:

- @alexhayes and @vladimirpekez have done an awesome job migrating the Stepper component
  to the `v1-beta` branch (#8291). Thank you!
- @kof Has been working hard and tightly with us to improve JSS, we have upgraded the dependency to v9 (#9111).
- And many more bug fixes and documentation improvements.

### Breaking change

- [SwitchBase] Remove legacy properties (#9021) @oliviertassinari

In the following diff `SwitchBase` can be a `Checkbox` a `Radio` or a `Switch`.

```diff
-<SwitchBase disabled disabledClassName={disabledClassName} />;
+<SwitchBase disabled classes={{ disabled: disabledClassName }} />;
```

### Component Fixes / Enhancements

- [InputLabel] Fix transformOrigin when direction=rtl (#9007) @alitaheri
- [BottomNavigation] Allow null bottom navigation items (#9011) @ciroja
- [Button] Include lineHeight in default theme button style (#9018) @mkornblum
- [Select] Fix native width display (#8998) @oliviertassinari
- [Modal] Expose the component to the public API (#9038) @oliviertassinari
- [Drawer] Better support different anchor values (#9000) @oliviertassinari
- [IconButton] Add missing TypeScript definition (#9016) @oliviertassinari
- [List] Fix accessibility (#9017) @oliviertassinari
- [ButtonBase] Restore the original keyboardFocusCheckTime value (#9019) @oliviertassinari
- [Popover] Implement ability to pass coordinates as anchor (#9004) @jackyho112
- [TextField] Fix undefined blur event (#9042) @nareshbhatia
- [Slide] Support dynamic anchor (#9055) @oliviertassinari
- [Input] Remove gray highlight on iOS (#9057) @oliviertassinari
- [Grid] Add missing wrap-reverse classname (#9076) @dehli
- [breakpoint] Fix xs value (#9078) @oliviertassinari
- [TablePagination] Fix IE11 colSpan issue (#9086) @sakulstra
- [Menu] Fix MenuList integration demo (#9088)
- [Snackbar] Treat null properly and add a test for it (#9094) @leMaik
- [Input] Fix inputProps.ref support (#9095) @oliviertassinari
- [Slide] Refactor lifecycle logics (#9096) @alitaheri
- [Stepper] First port of the component (#8291) @alexhayes @vladimirpekez
- [InputLabel] Add missing FormControlClasses (#9110) @svachmic

### Docs

- [docs] Fix escape in the API section (#9015) @oliviertassinari
- [examples] Fix flow example (bdf5b6600fd82d2c5b64896994457001dac72104) @oliviertassinari
- [examples] Fix missing props for BaseComponent (#9077) @aislanmaia
- [docs] Add a AppBar/Menu integration example (#9067) @Tevinthuku
- [docs] Add composed withStyles & withTheme HOCs to the FAQ (#9079) @mbrookes
- [docs] Add file upload examples with the icon buttons (#9087) @Tevinthuku
- [docs] Fix word (#9091) @Hissvard
- [docs] Fix AppSearch horizontal rhythm (#9107) @mbrookes
- [docs] Fix misc typos, grammar and add minor clarifications (#9112) @mbrookes

### Core

- [typescript] Conform Typography definition with React CSSProperties (#9023) @dewey92
- [Modal] 100% coverage for modalManager.js (#9022) @oliviertassinari
- [core] Upgrade dependencies (#9010) @oliviertassinari
- [core] Upgrade flow-react-proptypes (#9029) @oliviertassinari
- [typescript] Specify props type for overriding components (#9035) @pelotom
- [core] Document the overhead of importing a single component (#9099) @oliviertassinari
- [typescript] Fix screenWidth type and added is WidthDown (#9114) @stunaz
- [core] Upgrade jss (#9111) @oliviertassinari
- [core] Upgrade some dependencies (#9121) @oliviertassinari

## 1.0.0-beta.20

_Nov 5, 2017_

A big thanks to the 12 contributors who made this release possible.

Here are some highlights ✨:

- We have been addressing a lot of bug and documentation issues during the last month.
  We should soon be able to start porting new components.
- The test coverage increased by 0.5% thanks to @leMaik effort (#8910, #8911).
  We are very close to 100%.
- The internal `ClickAwayListener` component was made public (#8967).

### Breaking change

- [style] Improve the font-size situation (#8942) @oliviertassinari
  The `Input` and `FormLabel` component do no longer inherit the font-size. You might have to override them explicitly.
- [Popover] Add a max-height (#8943) @oliviertassinari

```diff
-Menu.classes.root
+Menu.classes.paper
```

- [Dialog] Rename withResponsiveFullScreen (#8951) @oliviertassinari

```diff
-import { withResponsiveFullScreen } from 'material-ui/Dialog';
+import { withMobileDialog } from 'material-ui/Dialog';
```

### Component Fixes / Enhancements

- [MenuList] Increase test coverage and fix an exception in an edge case (#8911) @leMaik
- [Input] Fix textarea width (#8921) @istarkov
- [SwitchBase] Inherit `disabled` from FormControl (#8917) @nllarson
- [Popover] Improve the warning message (#8948) @oliviertassinari
- [Popover] Add max-width (#8992) @oliviertassinari
- [InputAdornment] Correct TypeScript export (#8959) @minajevs
- [utils] Make ClickAwayListener public (#8967) @oliviertassinari
- [Slider] Add the logic back (#8972) @oliviertassinari
- [Select] Remove IE11 arrow (#8976) @oliviertassinari
- [Select] Menu Items centered in IE11 (#8982) @lukePeavey
- [Select] Fix width on Safari (#8985) @oliviertassinari
- [IconButton] Add buttonRef property (#8986) @oliviertassinari
- [Grid] Document a limitation (#8987) @oliviertassinari
- [Tooltip] New warning message (#8988) @oliviertassinari

### Docs

- [docs] Split support content of CONTRIBUTING.md into SUPPORT.md (#8918) @mbrookes
- [docs] Add demo for buttons with label and icon (#8922) @wongjiahau
- [docs] Fix broken link (#8934) @cantsdmr
- [docs] Fork JssProvider to release the docs (#8929) @oliviertassinari
- [docs] Add more information around the MenuList component (#8947) @oliviertassinari
- [docs] Add --save parameter (#8961) @Phoqe
- [docs] Add guideline for docs/demo contribution (#8953) @wongjiahau
- [docs] Use onChange instead of onClick for switch-like examples (#8971) @pelotom
- [docs] Fix flow example (#8968) @oliviertassinari
- [docs] Use next tag for the npm version badge (#8989) @leMaik
- [docs] Add a JssProvider and CSS injection order section (#8993) @oliviertassinari

### Core

- [core] Upgrade some dependencies (#8977) @oliviertassinari
- [typescript] Add missing base props (#8931) @pelotom
- [typescript] Add missing base props, continued (#8955) @pelotom
- [typescript] Upgrade and resolve @types/react to 16.0.19 (#8956) @pelotom

## 1.0.0-beta.19

_Oct 30, 2017_

A big thanks to the 17 contributors who made this release possible.

Here are some highlights ✨:

- We managed to do it! We have upgraded all the dependencies to react@16 🚀 (#8889).
  We will keep react@15 support for some time in order to help the migration from v0.x to v1.x.
- We have fixed an important bug of `withStyles()` with react-hot-loader.
  Thanks a lot @rrousselGit for the support (#8897).
- We have introduced 3 soft breaking changes (#8830, #8858, #8916).
- And many more bug fixes and documentation improvements.

### Breaking change

- [transition] Improve interoperability with react-transition-group (#8830) @oliviertassinari

```diff
         <Grow
-          transitionDuration={{
+          timeout={{
             enter: enterDuration,
             exit: leaveDuration,
           }}
         />
```

- [transition] Allow more accurate PropTypes (#8858) @apieceofbart

```diff
-    <Dialog transition={<Slide direction="left" />} />;
+    const Transition = props => <Slide direction="left" {...props} />
+    <Dialog transition={Transition} />;

-    <Snackbar transition={<Slide direction="left" />} />;
+    const Transition = props => <Slide direction="left" {...props} />
+    <Snackbar transition={Transition} />;
```

- [RTL] Make Right-to-left optional (#8916) @oliviertassinari
  `jss-rtl` needs to be installed and added to jss by the users. We do no longer do it by default.

### Component Fixes / Enhancements

- [Popover] Add a marginThreshold property (#8815) @eyn
- [Tabs] Fix consecutive updates (#8831) @oliviertassinari
- [TextField] Support adornment full width (#8835) @oliviertassinari
- [TextField] Fix dirty state update (#8879) @oliviertassinari
- [breakpoints] Increase step to 5, fix media query matching on Safari (#8846) @dangh
- [Input] Fix disabled state (#8848) @oliviertassinari
- [Input] Fix inputProps overwriting className (#8867) @johnnynia
- [Input] Ignore underline pointer events (#8885) @johnnynia
- [Input] Made the labels for adorned elements not shrink on end adornment (#8882) @kf6kjg
- [Popover] Warn when the height of the Popover is too tall (#8839) @amilagm
- [Tooltip] Fix resize issue (#8862) @oliviertassinari
- [CircularProgress] Add "inherit" color option (#8871) @dapetcu21
- [Select] Fix array mutability flow annotation (#8870) @dapetcu21
- [Dialog] Fix IE11 overflow bug (#8877) @sakulstra
- [Menu] Add a PopoverClasses property (#8884) @johnnynia
- [CircularProgress] Add thickness property to .t.ds file (#8888) @jportela
- [Slider] Shouldn't be visible when in=false (#8894) @oliviertassinari
- [Collapse] Fix height computation (#8895) @oliviertassinari
- [withStyles] Better handle react-hot-loader (#8897) @oliviertassinari

### Docs

- [docs] Fix wrong SSR path location (#8822) @lukePeavey
- [docs] Fix some issues I have noticed (#8826) @oliviertassinari
- [docs] Fix typos in input adornments example (#8836) @leMaik
- [docs] Better onboarding experience (#8851) @oliviertassinari
- [docs] Show disabled MenuItem (#8853) @ojathelonius
- [docs] Fix Typos (#8860) @shtam
- [docs] Update Popover component readme (#8865) @gregnb
- [docs] Move the font link of CRA for codesandbox (f068f50187b2cc520d3af1276578d9ed951811b7) @oliviertassinari
- [docs] Show how to change the color of the TextField (#8880) @oliviertassinari
- [docs] Simpler IconMenu example (#8892) @oliviertassinari
- [docs] Temporary fix for SSR issue with Portal (#8907) @oliviertassinari

### Core

- [flow] Add config lint (#8834) @rosskevin
- [core] Upgrade the dependencies (#8852) @oliviertassinari
- [core] Fix missing typings in /es folder (#8887) @NeoLegends
- [core] Upgrade to react@16 (#8889) @oliviertassinari
- [core] Upgrade size-limit (#8899) @oliviertassinari
- [Table] Increase test coverage (#8910) @leMaik
- [test] Increase test coverage (#8908) @oliviertassinari

## 1.0.0-beta.18

_Oct 24, 2017_

A big thanks to the 14 contributors who made this release possible.

Here are some highlights ✨:

- New InputAdornment component (#8504).
- New [Frequently asked questions](https://github.com/mui/material-ui/blob/4df547d56448cedf70977d6e2463b38eaf64d1c7/docs/src/pages/getting-started/frequently-asked-questions.md) documentation section
- We have saved 1 kB gzip by removing our internal react-transition-group fork (#8785).
- We have made one step further in order to upgrade all our development dependencies to react@16 (#8804).

### Breaking change

- [Popover] Fix incorrect className API and add mouseover demo (#8774) @oliviertassinari

I have noticed one inconsistency with the `className` property.
The value should have been applied on the root of the component.
We enforce this behavior now.

### Component Fixes / Enhancements

- [createTypography] Add htmlFontSize option (#8699) @kristenmills
- [Modal] Improve scroll handling (#8715) @oliviertassinari
- [RadioGroup] Better keyboard focus logic (#8720) @oliviertassinari
- [ButtonBase] Fix missing keyboard ripple (#8723) @sakulstra
- [ButtonBase] Remove Firefox dotted outline #8721) @oliviertassinari
- [Tooltip] Redefine title from base TypeScript (#8727) @DaIgeb
- [TypeScript] Fix GridListTitle `rows` property (#8740) @fathyb
- [InputAdornment] New Component (#8504) @eyn
- [TableRow] Adjust CSS for components other than <tr> (#8750) @chaitan94
- [Select] Add missing definition for displayEmpty (#8754) @cauld
- [Select] Fix autoWidth regression (#8796) @oliviertassinari
- [ListItem] Disable hover effect on touch devices (#8803) @8enmann
- [styles] Add performance optimization option (#8757) @oliviertassinari
- [theme] Support overriding the shadows key (#8795) @oliviertassinari

### Docs

- [docs] Correct some typos in name 'TypographyTheme' (#8707) @douglasmamilor
- [docs] Better warning description (#8783) @agatac
- [docs] Fix the docs support on windows (#8792) @SeasideLee
- [docs] Correct a typo (occurence -> occurrence) (#8798) @chaitan94
- [docs] Add more information on the migration path (#8709) @oliviertassinari
- [docs] Responsive team page (#8714) @oliviertassinari
- [docs] Better display for print (#8729) @oliviertassinari
- [docs] Interoperability with react-jss (#8735) @oliviertassinari
- [docs] Add CII Best Practices (#8736) @oliviertassinari
- [docs] FAQ disable ripple (#8747) @oliviertassinari
- [docs] Add FAQ inline-style vs withStyles() (#8758) @oliviertassinari
- [docs] Add promising pickers lib (#8814) @oliviertassinari

### Core

- [core] Output ES code in /es (#8772) @NeoLegends
- [core] Remove erroneous exports from styles/index.d.ts (#8805) @pelotom
- [typescript] Standard Props (#8781) @pelotom
- [core] Use react-transition-group (#8785) @oliviertassinari
- [core] Keep fixing failing tests for react@16 (#8804) @oliviertassinari
- [core] react-popper allows react 16 (#8800) @oliviertassinari
- [core] Upgdate some dependencies (#8722) @oliviertassinari
- [core] Upgrade some dependencies (#8737) @oliviertassinari
- [core] Upgrade some dependencies (#8777) @oliviertassinari
- [core] Upgrade some dependencies (#8816) @oliviertassinari

## 1.0.0-beta.17

_Oct 16, 2017_

A big thanks to the 14 contributors who made this release possible.

This release is mostly about stability.
We have merged many bug fixes PRs and documentation improvement PRs.
We are garbage collecting all the features we have been adding lately.
As this garbage collection stabilize, we will be able to add new features, like a stepper, extension panel or date/time pickers. But we are not here yet.
For instance, we need to upgrade all our dev dependencies to _react@16_ first.

### Breaking change

- [Grid] Add alignItems & alignContent properties (#8647) @sakulstra

```diff
-        <Grid container xs={6} align="flex-end">
+        <Grid container xs={6} alignItems="flex-end">
           <Grid item>
```

### Component Fixes / Enhancements

- [ButtonBase] Fix ripple on mobile (#8605) @oliviertassinari
- [icons] Bump recompose version (#8615) @sakulstra
- [icons] Change homepage (#8621) @oliviertassinari
- [withWidth] Export the module in index.js (#8616) @sakulstra
- [typescript] Fix typings for withTheme (#8627) @DaIgeb
- [typescript] Change the TextField.label type to the InputLabel.children type (#8630) @DaIgeb
- [typescript] Fix conflicting types for onChange prop (#8618) @pelotom
- [typescript] Collapse: Redefine children from Transition (#8655) @DaIgeb
- [typescript] Add "baseline" to GridItemsAlignment type (#8678) @brentatkins
- [Badge] Fix vertical alignment inside IconButton (#8677) @AndreiBelokopytov
- [ListItemAvatar] Fix dense font icon display (#8682) @lawlessnut
- [TableCell] Better handle long text (#8685) @lunzhang
- [typing] Chip definition was missing deleteIcon & more (#8696) @cauld
- [Tabs] Add a TabScrollButton property (#8695) @lawlessnut
- [CircularProgress] Fix non Chrome rendering (#8687) @oliviertassinari
- [Badge] Add an example with a IconButton (#8683) @oliviertassinari
- [Button] Better render multilines button (#8684) @oliviertassinari
- [Input] Fix hover style on mobile (#8644) @oliviertassinari
- [Slide] Fix resize issue (#8672) @oliviertassinari
- [RadioGroup] Remove the injected styles (#8692) @oliviertassinari
- [Tooltip] Improve TypeScript definition (#8698) @oliviertassinari
- [MuiThemeProvider] Add more constraints for everybody sanity (#8701) @oliviertassinari

### Docs

- [docs] Fix typo in icons.md (#8612) @MazeChaZer
- [docs] Add link for autosuggest-highlight installation (#8625) @senthuran16
- [docs] Fix typo in item description (#8632) @bennyn
- [docs] Add Venuemob to showcase (#8674) @DJAndries
- [docs] TypeScript example project and guide to withStyles (#8694) @pelotom
- [Input] Fix grammar in documentation (#8700) @ludwigbacklund
- [docs] Fix markdown formatting (#8640) @oliviertassinari
- [examples] Everything is back to normal with next.js (#8611) @oliviertassinari
- [docs] Improve fullWidth wording (#8610) @oliviertassinari
- [docs] Make code follow the header font (#8623) @oliviertassinari
- [docs] Improve SVG icons wordings (#8642) @oliviertassinari
- [docs] Fix test page (#8650) @oliviertassinari

### Core

- [core] Fix more warnings with enzyme@3 and react@16 (#8641) @oliviertassinari
- [core] Prepare upgrade toward enzyme v3 (#8670) @oliviertassinari
- [core] Safer CI on circle-ci with yarn (#8656) @oliviertassinari
- [core] Upgrade deepmerge dependency (#8608) @oliviertassinari
- [core] Fix CSP issue (6172bd0af0c7a0ad66626a9c3d9f5aaa34e1a6f7) @oliviertassinari
- [core] Add global prettier config (#8624) @oliviertassinari

## 1.0.0-beta.16

_Oct 8, 2017_

A big thanks to the 18 contributors who made this release possible.

Here are some highlights ✨:

- Add Right-To-Left support (#8479) @alitaheri
- Safe TypeScript checking of the `withStyles()` Higher-order Component (#8561) @pelotom and @sebald

### Breaking change

- [TablePagination] Allow using it anywhere (#8525) @leMaik

```diff
             <TableFooter>
-              <TablePagination
-                count={data.length}
-                rowsPerPage={rowsPerPage}
-                page={page}
-                onChangePage={this.handleChangePage}
-                onChangeRowsPerPage={this.handleChangeRowsPerPage}
-              />
+              <TableRow>
+                <TablePagination
+                  count={data.length}
+                  rowsPerPage={rowsPerPage}
+                  page={page}
+                  onChangePage={this.handleChangePage}
+                  onChangeRowsPerPage={this.handleChangeRowsPerPage}
+                />
+              </TableRow>
             </TableFooter>
```

- [typescript] Fix withStyles typing for class components; remove usage as TypeScript decorator (#8561) @pelotom
  We drop the TypeScript decorator support.

### Component Fixes / Enhancements

- [Collapse] Fix handleEntered method (#8499) @tcoughlin3
- [ButtonBase] Fix borderRadius for Chrome 63 (#8507) @gokulchandra
- [Collapse] Implement the ability to set the collapsed height through props (#8368) @jackyho112
- [GridList] Add momentum scrolling (#8538) @JeromeFitz
- [Tabs] Add momentum scrolling (#8536) @RichardLindhout
- [SwitchBase] Simplify the implementation (#8540) @oliviertassinari
- [Typography] Add Vertical Rhythm (#8560) @oliviertassinari
- [Input] Fix Textarea regression handling (#8557) @oliviertassinari
- [Snackbar] Fix position regression (#8573) @oliviertassinari
- [IconButton] Take advantage of the CSS inheritance (#8575) @oliviertassinari
- [Select] Add a displayEmpty property (#8587) @oliviertassinari
- [Select] Update description for displayEmpty propepty (#8589) @gmlnchv
- [style] Add RTL support (#8479) @alitaheri
- [TableCell] Fix padding TypeScript definition (#8591) @dakisxx
- [TableCell] Wrong label: 'compact' should be 'dense' (#8596) @dakisxx
- [Table] Standardize class names (#8593) @oliviertassinari
- [Hidden] Make the children property required (#8502) @oliviertassinari

### Docs

- [docs] Fix color palette demo (#8513) @JeromeFitz
- [docs] Fix copy and paste error in migration guide (#8514) @uwap
- [docs] Change the Edit this page link in the API (#8511) @oliviertassinari
- [Example] Pin nextjs example to react 15 (#8521) @eyn
- [docs] Change tooltip placement for table (baa37dee87c4211b598102d8f54500d4dde28a1e) @oliviertassinari
- [docs] Add an app to the v1 showcase (#8548) @Xalio08
- [docs] Add a tests section in the Comparison page (#8555) @oliviertassinari
- [docs] Remove leftover code from Tooltip example (#8551) @the-noob
- [Circular] Add interactive integration in the docs (#8586) @oliviertassinari
- [Hidden] Add docs for initialWidth prop (#8585) @pcardune
- [docs] Avoid SEO indexes duplication (#8592) @oliviertassinari

### Core

- [core] Upgrade to mocha@v4 (#8517) @oliviertassinari
- [core] Upgrade dependencies (#8577) @oliviertassinari
- [core] Upgrade eslint (#8583) @oliviertassinari
- [core] Prepare upgrade enzyme v3 (#8595) @oliviertassinari
- [misc] Fix small issues reported by users (#8524) @oliviertassinari

## 1.0.0-beta.15

_Oct 4, 2017_

## material-ui-icons

### Component Fixes / Enhancements

- [typscript] Adjust icon typings to change introduces in #8366 (#8529) @sebald

## 1.0.0-beta.13

_Oct 1, 2017_

A big thanks to the 18 contributors who made this release possible.

### Breaking change

- [Table] Introduce padding property (#8362) @eyn

```diff
-  <TableCell checkbox>
+  <TableCell padding="checkbox">
```

- [flow] Fix Higher-order Component typing (#8419) @rosskevin

```diff
-  withTheme,
+  withTheme(),
```

- [Transition] Rich transitionDuration property (#8448) @oliviertassinari

```diff
      <Dialog
-       enterTransitionDuration={100}
-       leaveTransitionDuration={100}
+       transitionDuration={100}
      </Dialog>
```

```diff
      <Dialog
-       enterTransitionDuration={100}
-       leaveTransitionDuration={200}
+       transitionDuration={{
+         enter: 100,
+         exit: 200,
+       }}
      </Dialog>
```

### Component Fixes / Enhancements

- [Tabs] Fix indicator update issue (#8388) @oliviertassinari
- [Tabs] Support empty children (#8492) @oliviertassinari
- [Select] Fix popover width and add autoWidth prop (#8307) @leMaik
- [SelectInput] Fix event forwarding (#8386) @cherniavskii
- [breakpoints] add back deleted `getWidth` as `width` with a spec (#8387) @rosskevin
- [styles] More permissive class name generator warning (#8390) @oliviertassinari
- [Table] Add missing components export (#8425) @klauszhang
- [TablePagination] Fix negative pagination numbers (#8435) @leMaik
- [Typography] Add primary option to color property (#8440) @eyn
- [Typography] Add error option to color property (#8446) @samsch
- [CardMedia] Add `component` property (#8376) @AndriusBil
- [Input] Fix wrong CSS property (#8469) @oliviertassinari
- [Input] Better placeholder display logic (#8485) @oliviertassinari
- [icons] Better interoperability with v0.x (#8473) @oliviertassinari
- [icons] Update peer dependency to react 16 (#8476) @eyn
- [Slider] Fix IE11 issue (#8486) @patrickml
- [Chip] Adds option to provide custom delete icon to Chip (#8482) @LinkedList
- [Tooltip] Fix usage with table head (#8488) @oliviertassinari

### Docs

- [docs] Misspelling on Select demo page (#8384) @kgregory
- [docs] Select API default value for input prop (#8385) @kgregory
- [docs] Add FormDialog Example (#8411) @chaseWillden
- [docs] Typo in next.config.js (#8418) @marcoturi
- [docs] Fix redirections in Supported Components (#8389) @oliviertassinari
- [docs] Improve selection controls section (#8405) @oliviertassinari
- [docs] Fix Drawer and Popover api docs (#8442) @cherniavskii
- [core] Update issue template with language about providing a reproduction case (#8466) @rosskevin
- [flow] add examples/create-react-app-with-flow (#8449) @rosskevin
- [docs] Add a Responsive Drawer example (#8494) @oliviertassinari
- [docs] Move docs to https://material-ui-next.com (#8495) @oliviertassinari
- [docs] Take insertionPoint option into account (#8497) @oliviertassinari

### Core

- [test] Prepare enzyme v3 upgrade (#8429) @oliviertassinari
- [core] Update react-transition-group for react@16 (#8468) @oliviertassinari
- [core] Update recompose to 0.25.1 (#8408) @oliviertassinari
- [core] Update sinon to the latest version 🚀 (#8396) @greenkeeper
- [core] Upgrade prettier (#8428) @oliviertassinari
- [typescript] Document withStyles overloads (#8364) @pelotom
- [typescript] Make StyledComponent only a type, not a class (#8366) @pelotom
- [typescript] Update `BreakpointsOptions` in `createBreakpoints` (#8374) @peterprice
- [typescript] Correct typings of TextField's onChange (#8378) @sebald
- [typescript] Add missing toolbar property on Mixins interface (#8392) @MSNexploder
- [typescript] Correct type definition for Theme creation (#8395) @TorstenStueber
- [typescript] Improve `createShallow` typings (#8415) @sebald
- [typescript] Re-add tests for `withStyle` use cases (#8399) @sebald
- [typescript] Remove key prop from Snackbar (#8427) @TorstenStueber
- [typescript] Fix common colors typings (#8433) @alitaheri
- [typescript] Per-component class keys (#8375) @pelotom
- [flow] Post-HOC change bug fixes (#8441) @rosskevin
- [flow] 0.56.0 (#8450) @rosskevin
- [flow] Collapse theme is not an external prop (#8470) @rosskevin
- [flow] Fix HOC RequiredProps vs ProvidedProps (#8477) @oliviertassinari
- [core] Update jsdom to v11.3.0 (#8491) @oliviertassinari

## 1.0.0-beta.12

_Sep 24, 2017_

A big thanks to the 25 contributors who made this release possible.

Wait, what?! We have been merging 52 pull requests from 25 different people in just 6 days (and closed 60 issues).
This is a new record for the project.
The `v1-beta` version is definitely getting traction.
Thanks for the support!

Here are some highlights ✨:

- Introduction of the first codemods for the `v0.x -> v1.x` migration as well as a documentation page. @vividh (#8311, #8333, #8314)
- The TypeScript definitions made an important step forward with more than 10 PRs merged. @pelotom @sebald @xaviergonz and more
- Wondering how Material UI compares to the other solutions out there?
  We have created a documentation page to stress the tradeoffs taken. (#8319)
- `material-ui@next` has just [crossed **react-toolbox**](https://npm-stat.com/charts.html?package=react-scrollbar-size&package=react-toolbox&from=2017-01-24&to=2017-09-24) in terms of downloads on npm.

### Breaking change

- [styles] Refactorisation of the breakpoints (#8308) @oliviertassinari

```diff
const muiTheme = createMuiTheme({
  breakpoints: {
-    breakpointsMap: {
+    values: {
      xs: 360,
      sm: 768,
      md: 992,
      lg: 1200,
      xl: 1440,
    },
  },
});
```

```diff
  paperWidthXs: {
-    maxWidth: theme.breakpoints.getWidth('xs'),
+    maxWidth: theme.breakpoints.values.xs,
  },
```

- [typescript] Improve type definition for withStyles (#8320) @pelotom

@pelotom did a great job improving the `withStyles` typings, such that less generics are required to be written! Most notably, you no longer have to pass a map of class names to `withStyles`:

```diff
- withStyles<{ root: string; }>(...)
+ withStyles(...)
```

Also, `props` can now be set when applying the HOC:

```diff
- const StyledComponent = withStyles<
-   StyledComponentProps,
-   StyledComponentClassNames
- >(styles)(Component);
+ const StyledComponent = withStyles(styles)<StyledComponentProps>(
+   ({ classes, text }) => (
+     <div className={classes.root}>
+       {text}
+     </div>
+   )
+ );
```

When `withStyles()` is used as a decorator and `strictNullChecks` is enabled, one has to use the `!` operator to access classes from within the class.

### Component Fixes / Enhancements

- [Tabs] Move updateIndicatorState after render lifecycle (#8260) @markselby9
- [Tabs] Handle sever side rendering (#8358) @oliviertassinari
- [Tooltip] Fix overlaps and prevents clicking on element belows (#8257) @quanglam2807
- [Tooltip] Fix forced reflows #8293 (#8325) @mctep
- [Chip] Remove highlight on Android and iOS (#8280)@oliviertassinari
- [Snackbar] Add `resumeHideDuration` property (#8272) @AndriusBil
- [ListSubheader] Use sticky list by default (#8194) @slavab89
- [TextField] Add a select mode (#8274) @ctavan
- [TextField] Add Formatted input section in the docs (#8347)
- [MenuItem] Fix dense mode (#8330) @dapetcu21
- [Table] Add a TableFooter for pagination (#8254) @leMaik
- [Table] Update flow types for remaining table components (#8345) @eyn
- [Table] Enhance PropType checks for TableCell (#8350) @eyn
- [Input] Add underline padding at all times (#8348) @dapetcu21
- [Drawer] Add border anchor right (#8361)
- [Dialog] Add `fullWidth` property (#8329) @AndriusBil

### Docs

- [codemod] Update import paths for colors v1 (#8311) @vividh
- [codemod] Update import paths for svg-icons v1 (#8333) @vividh
- [docs] Add a comparison section (#8319) @oliviertassinari
- [docs] Add small migration guide, to be continued (#8314) @oliviertassinari
- [docs] Add some details about TextField vision (0c9936c40a359a3b7d81d44ca63061a0116b9d6d) @oliviertassinari
- [docs] Right colors (#8268) @oliviertassinari
- [docs] Minor grammatical fixes (#8283) @vpicone
- [docs] Tooltips are supported (#8282) @skirunman
- [docs] Autosuggest example typo fix (#8315) @the-noob
- [docs] Changing type 'Alignement' to Alignment (#8335) @apearson
- [changelog] Add info for withStyles BC (#8342) @sebald

### Core

- [flow] Remove class property props to reduce bundle size (#7884) @rosskevin
- [flow] Update to flow 55 (#8305) @oliviertassinari
- [types] Better component typing (#8304) @oliviertassinari
- [styles] Add a new defensive warning (#8341) @oliviertassinari
- [core] Upgrade the dependencies (#8284) @oliviertassinari
- [core] Help webpack doing dead code elimination (#8340) @oliviertassinari
- [core] Add TypeScript in the CI (#8328) @oliviertassinari
- [typescript] Fix typo in Tooltip (#8271) @Rid
- [typescript] Fix definitions for BreakpointsOptions (#8285) @peterprice
- [typescript] Fix for Avatar.d.ts not having a style property definition (#8277) @xaviergonz
- [typescript] Fix missing attribute in FormControl (#8297) @maresja1
- [typescript] Fix Tooltip typings (#8292) @lagunoff
- [typescript] Add className to StyledComponentProps (#8295) @pelotom
- [typescript] Allow `Grid` to accept `HTMLAttributes` props (#8317) @michaelgruber
- [typescript] Add style to StyledComponentProps (#8322) @pelotom
- [typescript] Restore withStyles class decorator (#8354) @pelotom
- [typescript] Enable strictNullChecks (#8356) @pelotom
- [typescript] Allow overriding a subset of classes (#8355) @pelotom
- [typescript] Allow overriding a subset of classes (#8355) @pelotom

## 1.0.0-beta.11

_Sep 18, 2017_

A big thanks to the 12 contributors who made this release possible.

### Breaking change

- [Tooltip] Rename label to title property to match the native HTML feature wording (#8234) @oliviertassinari

```diff
-  <Tooltip label="Add">
+  <Tooltip title="Add">
```

### Component Fixes / Enhancements

- [AppBar] Height shall not shrink (#8192) @hongyuan1306
- [Select] Allow invalid children (#8201) @sakulstra
- [typescript] Correct TypeScript types of typography definitions (#8199) @TorstenStueber
- [Drawer] Height should be set to 100% to allow scrolling (#8203) @Skaronator
- [ButtonBase] Wrong layout with Safari (#8211) @oliviertassinari
- [typescript] Fix `withResponsiveFullScreen`, `Input` + `Select` (#8214) @sebald
- [typescript] Correct definition of StyledComponentProps (#8221) @TorstenStueber
- [Tooltip] Add fontFamily to component (#8226) @nel-co
- [Tooltip] Add accessibility support (#8234) @oliviertassinari
- [Menu] Second iteration on focus issue (#8234) @oliviertassinari
- [ListItem] Add some spacing for ListItemSecondaryAction (#8239) @oliviertassinari
- [ButtonBase] Better support of the component property (#8218) @dobryanskyy
- [TableRow] Adjust head row height according to the specs (#8249) @leMaik
- [Tooltip] Fix core issues with the component (#8250) @oliviertassinari
- [typescript] Fix prop name typo (#8261) @Portgass

### Docs

- [Tooltip] Add a warning when using the title native feature at the same time (#8234) @oliviertassinari
- [Popover] Remove unsupported modal property from the Popover component that doesn't match his purpose. (#8234) @oliviertassinari
- [Form] Extend the description of the component (#8234) @oliviertassinari
- [docs] Some fixes (#8210) @oliviertassinari
- [docs] Fix typo in markdown generation (#8222) @albinekb
- [Toolbar] Fix documentation of children property (#8230) @eyn
- [Drawer] Improve the Temporary demo (#8241) @oliviertassinari
- [docs] Simplify the carbon integration (#8244) @oliviertassinari
- [docs] Add google analytics (#8247) @oliviertassinari

### Core

- [Tooltip] Add a visual regression test (#8228) @oliviertassinari

## 1.0.0-beta.10

_Sep 14, 2017_

This is an early release as we have been breaking the TypeScript typings with 1.0.0-beta.9.
Hopefully, we are in a better state now.
Here are some highlights:

- Keeping pushing typing fixes @xaviergonz and @sebald
- A new Tooltip component thanks to @quanglam2807 (#7909)
- Our internal styling solution should be faster with (#8142).
  With the last release we fix a memory leak (#8036), so thanks for reporting those issues!

A big thanks to the 13 contributors who made this release possible.

### Breaking changes

- [MobileStepper] Add nextButton and backButton property (#8001) @wieseljonas

```diff
+import KeyboardArrowLeft from 'material-ui-icons/KeyboardArrowLeft';
+import KeyboardArrowRight from 'material-ui-icons/KeyboardArrowRight';

     <MobileStepper
-        onBack={this.handleBack}
-        onNext={this.handleNext}
-        disableBack={this.state.activeStep === 0}
-        disableNext={this.state.activeStep === 5}
+        nextButton={
+          <Button dense onClick={this.handleNext} disabled={this.state.activeStep === 5}>
+            Next
+            <KeyboardArrowRight />
+          </Button>
+        }
+        backButton={
+          <Button dense onClick={this.handleBack} disabled={this.state.activeStep === 0}>
+            <KeyboardArrowLeft />
+            Back
+          </Button>
+        }
      />
```

### Component Fixes / Enhancements

- [Tooltip] New component (#7909) @quanglam2807
- [typescript] Fix ts tabindex to use number (#8125) @xaviergonz
- [Drawer] Fix delegation of the className (#8126) @daveish
- [ButtonBase] Make the `button` and `a` behavior the same (#8130) @oliviertassinari
- [withStyle] Memoize the classes object between renders (#8142) @oliviertassinari
- [typescript] Fix for Popover -> PaperProps typing (#8129) @xaviergonz
- [typescript] Fix for createPalette TypeScript types (#8123) @xaviergonz
- [LinearProgress] Fix loop (#8146) @oliviertassinari
- [Card] Add `backgroundPosition: 'center'` to CardMedia (#8148) @kripod
- [ImgBot] Optimize images (#8154) @dabutvin
- [Input] Better handle type=number (#8164) @oliviertassinari
- [typescript] Improve typings for `ButtonBase` (#8175) @sebald
- [typescript] Make `withStyles` usable as decorator (#8178) @sebald
- [FormControls] Fix styling for component (#8186) @slavab89
- [Toolbar] Add a toolbar mixins 💄 (#8157) @wcandillon
- [Switch] Styling bug fix on long labels (#8181) @willfarrell
- [Radio] Accept invalid children (#8187) @oliviertassinari
- [theme] Extend createMuiTheme behavior (#8188) @oliviertassinari

### Docs

- [docs] Fix popover component name (#8161) @cherniavskii
- [Snackbar] 6e3 -> 6000; better to be less clever and more clear (#8151) @davidcalhoun
- [docs] Inverse expand icons on the NestedList demo (51f40016e29f5159a87cafae1092eb85416eb0d5) @oliviertassinari

### Core

- [core] Bump some dependencies (#8149) @oliviertassinari

## 1.0.0-beta.9

_Sep 10, 2017_

Again, this release is particularly dense! Here are some highlights:

- Many typing fixes (typescript and flow) by @sebald, @rosskevin and @xaviergonz
- A new Select component thanks to @kybarg (#8023)
- A new Pickers documentation page (#8117)

A big thanks to the 13 contributors who made this release possible.

### Breaking changes

N/A

### Component Fixes / Enhancements

- [Select] First implementation (#8023) @kybarg
- [style] Fix memory leak (#8036) @oliviertassinari
- [RadioGroup] Fix TypeScript definition for value property (#8026) @jaredklewis
- [Popover] Pass transitionDuration to Grow (#8049) @nvma
- [typescript] Add `image` to CardMediaProps (#8033) @sebald
- [typescript] Fix typings of withTheme (#8052) @sebald
- [typescript] Fix `BottomNavigation`s onChange type (#8067) @sebald
- [typescript] Allow to pass stylings props via component props (#8066) @sebald
- [typescript] Update index and format (#8076) @sebald
- [CardMedia] Allow styling without breaking image (#8079) @pex
- [List] Remove overflow (#8086) @oliviertassinari
- [SvgIcon] Fix react@16 issue with `focusable` (#8102) @NLincoln
- [Hidden] Change children type to allow many and add children tests (#8082) @rosskevin
- [IconButton] Correct CSS precedence (#8106) @oliviertassinari
- [Tabs] Accept null children (#8107) @oliviertassinari
- [Snackbar] Fix click-through issue in IE11 (#8096) @stbenz88
- [InputLabel] Add a FormControlClasses property (#8108) @oliviertassinari
- [typings] Switch tabIndex from string type to number | string (#8115) @xaviergonz
- [Input] Dodge the BFcache issue (#8110) @rosskevin

### Docs

- [Picker] Add page section in the documentation (#8117) @oliviertassinari
- [docs] Update basics.md (#8014) @kgaregin
- [docs] 🚑 Fix broken link (#8029) @wcandillon
- [examples] Fix typo in extraction path (#8031) @freiit
- [Drawer] Fix for mini variant drawer can be scrolled horizontally when collapsed (#8112) @xaviergonz
- [docs] Update react-docgen and fix api docs (#8056) @rosskevin
- [docs] Remove defensive checks (#8057) @rosskevin
- [examples] Fix create react app explicit dependencies (#8087) @rosskevin
- [docs] Add a spread section to the API page (#8097) @oliviertassinari
- [docs] Reduce the bundle size 📦 (#8121) @oliviertassinari
- [docs] Add carbon (#8118) @oliviertassinari
- [docs] Makes the sections bolder (#8116) @oliviertassinari

### Core

- [core] Flow 0.54.0 updates (#8042) @rosskevin
- [typescript] Add example for using withStyle/Theme together (#8078) @sebald
- [core] Small improvements (#8084) @oliviertassinari

## 1.0.0-beta.8

_Sep 2, 2017_

A big thanks to the 8 contributors who made this release possible.

### Breaking changes

N/A

### Component Fixes / Enhancements

- [typescript] Adjust typings to refactoring in `styles` (#7975) @sebald
- [Drawer] Add `type` property, remove `docked` property in TypeScript definition (#7998) @jaredklewis
- [typescript] Make createMuiTheme's ThemeOptions recursively partial (#7993) @fathyb
- [npm] Move "next" to the dev dependencies (#7980) @oliviertassinari

### Docs

- [docs] Add a NestedList example (#7995) @apalanki
- [SSR] Remove the singleton hack ✨ (#7965)
- [docs] Fix SSR palette creation section (#7987) @Shastel
- [docs] Remove typo on the Paper demo page (#7979) @jzakotnik
- [docs] Add missing inheritance pragma to MenuItem (#7983) @yuchi
- [example] Fix next.js CSS blink (cd0f883325b2b74515972d58f12868897fc34bf6) @oliviertassinari
- [docs] Fix ROADMAP page issues (#8008) @oliviertassinari

### Core

- [typescript] Add test for Grid (#7991) @sebald

## 1.0.0-beta.7

_Aug 30, 2017_

This release is particularly dense! Here are some highlights:

- We release 4 breaking changes at the same time.
  This is a first for the project.
  We wanted to release them as soon as possible, while the v1-beta market share is still at 10% of the v0.x version.
  Hopefully, the frequency of the breaking changes will slow down.
- @rosskevin has upgraded the Flow dependency. v0.53 is providing a much better typing integration with React.
- The Drawer component has some new features.
  One of them is allowing the documentation to fully take advantage of the server-side rendering.
  We expect the documentation to render even faster with this beta.

A big thanks to the 12 contributors who made this release possible.

### Breaking changes

- [theme] Use secondary wording over accent (#7906) @oliviertassinari

```diff
     const theme = createMuiTheme({
-      palette: createPalette({ primary: deepOrange, accent: green }),
+      palette: createPalette({ primary: deepOrange, secondary: green }),
     });
```

```diff
   flatAccent: {
-    color: theme.palette.accent.A200,
+    color: theme.palette.secondary.A200,
```

- [Drawer] New improvements (#7925) @oliviertassinari

```diff
-<Drawer docked />
+<Drawer type="persistent" />
```

- [theme] Simplification of the API (#7934) @oliviertassinari

  - If you are using a direct import of `material-ui/styles/theme`, the path changed:

  ```diff
  -import createMuiTheme from 'material-ui/styles/theme';
  +import createMuiTheme from 'material-ui/styles/createMuiTheme';
  ```

  - We have removed the intermediary functions, now you can provide a nested structure to override the generated theme structure inside the first argument of `createMuiTheme()`. Notice that you can still change the output object before providing it to the `<MuiThemeProvider />`.

  ```diff
   const theme = createMuiTheme({
  -  palette: createPalette({
  +  palette: {
       primary: blue,
       secondary: pink,
     }),
  -  typography: createTypography(palette, {
  +  typography: {
       // System font
       fontFamily:
         '-apple-system,system-ui,BlinkMacSystemFont,' +
         '"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif',
  -  }),
  +  },
  -},
  +});
  ```

- [Input] Better support required field (#7955) @oliviertassinari

Following Bootstrap, we are now forwarding the required property down to the input component. We used to only apply `aria-required`. This move makes us less opinionated and should help with native form handling.

If you want to avoid the default browser required property handling, you can add a `noValidate` property to the parent `form`.

### Component Fixes / Enhancements

- [TextField] Fix label position with dense margins (#7946) @phallguy
- [FormControlLabel] Allow for node in the label prop (#7903) @Taldrain
- [ListItemIcon] Icon should not shrink fixes (#7917) @gulderov
- [withResponsiveFullScreen] missed type import (#7926) @rosskevin
- [typescript] Fixes/improvements for withWith/withStyle/BottomNavigationAction (#7897) @sebald
- [typescript] Update typings to popover changes (#7937) @sebald
- [Popover] Expose the component (#7927) @oliviertassinari
- [ButtonBase] Better warning message (#7904) @oliviertassinari
- [Menu] Allow invalid children (#7907) @oliviertassinari
- [Menu] Add a new warning (#7962) @oliviertassinari

### Docs

- [docs] Fix missing props in css-in-js examples (#7867) @Izhaki
- [docs] Fix docs build on Windows (#7938) @kybarg
- [docs] remove flow from demos (#7883) @rosskevin
- [docs] Use emoji directly instead of :shortcodes: (#7912) @markspolakovs
- [docs] Show an example with the data- pattern (#7924) @Sigfried
- [docs] Small fixes after the next.js refactorization (#7851) @oliviertassinari
- [docs] Fix typo in floating-action button property of Button (#7951) @kgregory
- [docs] Add the title for SEO (#7885) @oliviertassinari
- [docs] Better support IE11 (#7939) @oliviertassinari
- [docs] The style is injected at the bottom of the head (#7954) @oliviertassinari

### Core

- [typescript] Refactor typings to modules (#7874) @sebald
- [flow] Upgrade to flow 0.53.1 (#7869) @rosskevin
- [core] Misc flow fixes (#7890) @rosskevin
- [core] Upgrade prettier (#7941) @oliviertassinari

## 1.0.0-beta.6

_Aug 20, 2017_

A big shout-out to @sebald for our first TypeScript coverage.
Another notable change is [the migration of the documentation](#7759) to [Next.js](https://github.com/vercel/next.js), it's twice as fast as before 🚀.

A big thanks to the 9 contributors who made this release possible.

### Breaking changes

- [RadioGroup] Rename selectedValue to value (#7832) @oliviertassinari

Push #7741 initiative forward (use `value` and `onChange` as controlling properties)

```diff
-<RadioGroup selectedValue="foo">
+<RadioGroup value="foo">
// ...
```

### Component Fixes / Enhancements

- [Table] Add the possibility of custom element type (#7765) @wieseljonas
- [Input] remove extraneous props when using custom component (#7784) @rosskevin
- [Input] should accommodate number and string values (#7791) @rosskevin
- [Slide] Remove Slide offset property from src and docs (#7808) @gfpacheco
- [typescript] Create typings for material-ui-icons (#7820) @sebald
- [typescript] Add tests for typings + fixes (#7686) @sebald
- [typescript] Update typings for beta.4 and beta.5 (#7793) @sebald
- [typescript] Update <Slide> typings (#7817) @sebald
- [TextField] Fix placeholder issue (#7838) @oliviertassinari

### Docs

- [docs] Use Next.js: x2 performance (#7759) @oliviertassinari
- [docs] Add the 'data grid for Material UI' reference (#7786) @dxbykov
- [docs] Renamed the styleSheet argument in withStyles to styles (#7819) @phiilu
- [docs] Advanced table (#7824) @oliviertassinari
- [docs] Fix typo (#7777) @Merkyl999x
- [docs] Fix run-on sentences (#7792) @gitname
- [docs] Show inherited components (#7846) @oliviertassinari
- [docs] Add a team page (#7842) @oliviertassinari
- [docs] Add a ROADMAP page (#7840) @oliviertassinari
- [docs] Some last improvement before the release (#7847) @oliviertassinari

### Core

- [core] Better usage of the CI 🚀 (#7833) @oliviertassinari
- [core] Fix size-limit warning (#7822) @oliviertassinari
- [icons] Automate release process (#7823) @oliviertassinari
- [core] Update some dependencies (#7831) @oliviertassinari

## 1.0.0-beta.5

_Aug 15, 2017_

A big thanks to the 11 contributors who made this release possible.

### Breaking changes

- [Tabs][bottomnavigation] Use value over index property (#7741) @oliviertassinari

This is an effort in the prolongation of #2957 where `value`/`onChange` is the idiomatic interface to control a component.

```diff
-<Tabs index={0}>
+<Tabs value={0}>
// ...
```

- [core] Remove createStyleSheet (#7740)(#7730) @oliviertassinari

The primary motivation for this change is simplicity, it's also making our interface closer to
`react-jss`.

```diff
-import { withStyles, createStyleSheet } from 'material-ui/styles';
+import { withStyles } from 'material-ui/styles';

-const styleSheet = createStyleSheet('Button', {
+const styles = {
  root: {
    background: 'red',
  },
-});
+};

// ...

-export default withStyles(styleSheet)(AppContent);
+export default withStyles(styles, { name: 'Button' })(Button);
```

### Component Fixes / Enhancements

- [Modal] Fix with react@next (#7673) @oliviertassinari
- [Card] allow overflow - important for content such as autosuggest (#7687) @rosskevin
- [CardHeader] Allow classes in title and subheader (#7701) @bmuenzenmeyer
- [Tabs] Fix full width issue (#7691) @oliviertassinari
- [Button] Disable the hover effect on touch devices (#7692) @oliviertassinari
- [Popover] Refactor popover transition - separation of concerns (#7720) @rosskevin
- [ButtonBase] Expose internal component (#7727) @oliviertassinari
- [LinearProgress] Use transform instead width (#7732) @kevindantas

### Docs

- [docs] Update Minimizing Bundle Size Documentation (#7707) @umidbekkarimov
- [docs] Fix broken menu on the autocomplete page (#7702) @oliviertassinari
- [examples] Take ownership on the next.js example (#7703) @oliviertassinari
- [docs] Create CODE_OF_CONDUCT.md (1f3e67326d76f5d2053b128d5ca2cdefa0d6d90f) @oliviertassinari
- [docs] Update supported-components.md (#7722) @BLipscomb
- [docs] Fix the installation instructions of the examples (#7733) @dawogfather
- [docs] Fix Typo (#7736) @Merkyl999x

### Core

- [core] Flow type transitions Slide, Fade, Collapse (#7719) @rosskevin
- [core] General maintenance (#7690) @oliviertassinari

## 1.0.0-beta.4

_Aug 5, 2017_

A big thanks to the 7 contributors who made this release possible.

### Component Fixes / Enhancements

- [Grid] Add baseline to container's align property (#7623) @kgregory
- [GridList] Migrate to v1 branch (#7626) @mbrookes
- [ListItemText] Repurpose text class (#7645) @kgregory
- [Drawer] Fix docker warning (#7598) @oliviertassinari
- [Drawer] Fix Chrome regression (#7599) @oliviertassinari
- [style] Fix HMR issue with react-hot-loader (#7601) @oliviertassinari
- [ButtonBase] Explicit the need for a class component (#7656) @oliviertassinari
- [Modal] Take into account the body margin (#7666) @oliviertassinari
- Fixes in the subway (#7661) @oliviertassinari

### Docs

- [docs] Fix language issues for clarity (#7610) @skirunman
- [docs] Update docs for <RadioGroup> (#7640) @sebald
- [docs] Fixed "initial" word in vars and typo (#7639) @kybarg
- [docs] Spell check eslint script (#7643) @kybarg
- [docs] Fix audit issues (#7595) @oliviertassinari
- [docs] Show how to use the insertionPoint (#7611) @oliviertassinari

### Core

- [flow] Export type Props for composability (#7609) @rosskevin
- [typescript] Add TypeScript typings (#7553) @sebald
- [typescript] Improve the coverage (#7606) @sebald
- [core] Add isMuiComponent helper (#7635) @katzoo

## 1.0.0-beta.3

_Jul 29, 2017_

A big thanks to the 8 contributors who made this release possible.

This release is full of bug fixes and documentation improvements following the major
styling update of the previous release.

### Component Fixes / Enhancements

- [Drawer] Fix docked not inheriting props (#7590) @foreggs
- [Dialog] Better fullscreen fix (4deee4b5e3465682996d4dce35e5c60fd040502b) @oliviertassinari
- [List] Fix padding issue (#7529) @markselby9
- [test] Remove dead code (4e2cf38ae3181cf38a5796179bfb2887c402b4ac) @oliviertassinari
- [flow] Fix wrong import (5a88d950bb3e9c7105cfa6b45c796d167827f1d7) @oliviertassinari
- [Tabs] Fix Scroll button visibility state when child tab items are modified (#7576) @shawnmcknight
- [TextField] Forward the id to the label & more (#7584) @oliviertassinari
- [ios] Fix some style issue with Safari iOS (#7588) @oliviertassinari

### Docs

- [docs] Add example with Create React App (#7485) @akshaynaik404
- [docs] Minor tweaks to grammar of CSS in JS page (#7530) @mbrookes
- [docs] Server-side fix docs (91a30ee2276d8d06776f6fba831930568974dacc) @oliviertassinari
- [docs] Fix 'colors' path in imports (#7519) @burnoo
- [docs] Some fixes after the latest upgrade (#7528) @oliviertassinari
- [docs] Update for supported components (#7586) @skirunman
- [docs] Fix small issues I have noticed (#7591) @oliviertassinari
- [docs] Optional style sheet name (#7594) @oliviertassinari
- [docs] Use flow weak on the demos as we can't expect users to have flow (cd25e63a214c37ed7945e31aa9b08f02baa17351) @oliviertassinari

### Core

- [core] Support react@16.0.0-beta.1 (#7561) @oliviertassinari
- [core] Small fixes of the styling solution (#7572) @oliviertassinari
- [core] Better themingEnabled logic (#7533) @oliviertassinari
- [core] Upgrade dependencies and build for the supported targets (#7575) @oliviertassinari
- [core] Upgrade dependencies (#7539) @oliviertassinari
- [flow] Increase coverage (6f4b2b3b3773ace568de54aaefbca963ab408b40) @oliviertassinari

## 1.0.0-beta.2

_Jul 23, 2017_

Publish a new version as `v1.0.0-beta.1` was already used.

## 1.0.0-beta.1

_Jul 23, 2017_

A big thanks to the 12 contributors who made this release possible.

This is the first beta release.
We are proud to move to the next step after 7 months of dogfooding with the alpha releases.
We have been fixing many bugs and implemented new features.
The styling solution has also been greatly improved:

- Better performance
- Shorter class names in production, for example `c1y`
- Better readable class names in development
- No longer required `MuiThemeProvider`
- Simpler `createStyleSheet` API with an optional name
- Theme nesting
- Reliable theme update bypassing pure component logic
- Interoperability with `react-jss`

Please keep in mind that [semver](https://docs.npmjs.com/getting-started/semantic-versioning) won't be respected between pre-releases.
In other words, the API will change if we need to.

### Breaking changes

- [core] Improve styling solution (#7461)

The `styleManager` is gone. The server-side rendering configuration changed, use the `sheetManager` instead. The documentation was updated, you can refer to it if needed.

### Component Fixes / Enhancements

- [List] Make List & ListItem semantic (#7444) @akshaynaik404
- [Portal] Fix Portal not removing layer correctly on React 16 (#7463) @cusxio
- [Popover] Doesn't reposition with anchorEl (#7479) @quiaro
- [IconButton] Remove z-index (#7467) @oliviertassinari
- [IconButton] Add the missing primary color (#7470) @MichaelMure
- [Toolbar] Follow the spec more closely (#7475) @oliviertassinari
- [Dialog] Fix Dialog margin (#7474) @hanalaydrus
- [DialogActions] Fix allow have Children with null values (#7504) @stvkoch
- [Autocomplete] Show an integration example (#7477) @oliviertassinari
- [TextField] Fix multiline issue (#7498) @oliviertassinari
- [Progress] Add color property (#7500) @kgregory

### Docs

- [docs] Fix minor typo (#7476) @jeffbirkholz
- [docs] Mark items on the supported components page as done (#7492) @Airblader
- [docs] Update help for 'overriding' to specify injection point (#7505) @cdharris
- [docs] Add next.js example (#7510) @oliviertassnari
- [docs] Selection control custom colors (#7516) @oliviertassnari

### Core

- [core] Ignore the package-lock.json file generated by npm (#7502) @Airblader

## 1.0.0-alpha.22

_Jul 18, 2017_

### Breaking changes

- [Switch] New FormControlLabel component (#7388) @oliviertassinari

```diff
<RadioGroup>
-  <LabelRadio label="Male" value="male" />
+  <FormControlLabel value="male" control={<Radio />} label="Male" />
</RadioGroup>
```

This change provides more flexibility.

- [BottomNavigation] Use value over index (#7421) @oliviertassinari

```diff
-  <BottomNavigation index={index} onChange={this.handleChange}>
+  <BottomNavigation value={value} onChange={this.handleChange}>
```

Also plan to do the same for the `Tabs` in order to have a consistent API
where we always use `value`/`onChange` for controlled components.

### Component Fixes / Enhancements

- [Avatar] Avoid shrink (#7344) @oliviertassinari
- [withWidth] Add a initalWidth property (#7343) @oliviertassinari
- [TextField] vertical spacing to match visual spec (#7359) @rosskevin
- [TextField/FormControl] dense implementation (#7364) @rosskevin
- [Input/FormHelperText] Dense margin fixes (#7374) @rosskevin
- [LinearProgress] Improve perf and clean (#7356) @oliviertassinari
- [TextField] Address autoComplete issue (#7377) @oliviertassinari
- [Menu] maxHeight spec compliance (#7378) @rosskevin
- [Menu] Add ripple (#7381) @oliviertassinari
- [Menu] Fix wrong scroll positioning (#7391) @oliviertassinari
- [Modal] Fix concurrency issue (#7383) @oliviertassinari
- [Checkbox] Add indeterminate property (#7390) @oliviertassinari
- [Snackbar] Handle inactive tabs (#7420) @oliviertassinari

### Docs

- [docs] Color import correction (#7398) @wieseljonas
- [docs] Fix typo (#7338) @adamborowski
- [docs] Fix the path of imported colors (#7348) @shug0
- [docs] Update documentation to reflect component name (#7406) @the-noob
- [docs] Better warning message for missing MuiThemeProvider (#7429) @oliviertassinari
- [docs] Add @param everywhere (#7432) @oliviertassinari

### Core

- [flow] global dom element workaround (#7401) @rosskevin
- [core] Add size-limit (#7422)
- [core] Upgrade some dependencies (#7361) @oliviertassinari
- [core] Upgrade dependencies (#7433) @oliviertassinari
- [icons] Upgrade the dependencies (#7385) @oliviertassinari

## 1.0.0-alpha.21

_Jul 4, 2017_

### Breaking changes

- [core] Reduce the bundle size (#7306) @oliviertassinari
  Change the colors location as you most likely only need 20% of them in your bundle

```diff
-import { blue, fullWhite } from 'material-ui/styles/colors'
+import blue from 'material-ui/colors/blue'
+import common from 'material-ui/colors/common'
+const { fullWhite } = common
```

### Component Fixes / Enhancements

- [TextField] Fix textarea disabled support (#7255) @Calcyfer
- [withStyles] Provide context for withStyles classes error (#7274) @rosskevin
- [misc] Improve various points (#7275) @oliviertassinari
- [Snackbar] Documentation - key property (#7307) @rosskevin
- [Snackbar] Expose transition onExited to allow for consecutive messages with completed transitions (#7308) @rosskevin
- [Chip] Fix Firefox issue with the svg icon (#7327) @oliviertassinari
- [ButtonBase] Use color inherit by default (#7331 @oliviertassinari
- [Input] Add a fullWidth property (#7329) @oliviertassinari

### Docs

- [docs] Improve the documentation regarding material.io/icons (#7323) @oliviertassinari
- [docs] Fix MobileStepper API (#7299) @ng-hai

### Core

- [core] Reduce the bundle size (#7306) @oliviertassinari
- [test] Should get coverage (#7272) @oliviertassinari
- [core] Expand use of flow (#7268) @rosskevin

## 1.0.0-alpha.20

_Jun 25, 2017_

Do you like playing with bleeding-edge tech?
We do, we have extended the support of React to the 16.0.0-alpha.13 release (aka Fiber).

### Breaking changes

- [Paper] Use normalized root over paper className (#7198) @oliviertassinari
- [core] Follow the same convention as React for the umd build (#7217) @oliviertassinari

### Component Fixes / Enhancements

- [material-ui-icons] v1.0.0-alpha.19 (21b67cec3b200517c9dfdf4d28c0bfc2d1dceeaa) @oliviertassinari
- [Input] Fix incorrect type of autoFocus prop (#7189) @gnapse
- [Icons] Modernize icons package (#7203) @kvet
- [Input] Fix various styling issue #7209 @oliviertassinari
- [Tabs] Add a primary color and update the docs (#7242) @oliviertassinari
- [ListItem] Use the .shortest duration (#7246) @oliviertassinari
- [Dialog] Also take fixed element into account (#7239) @oliviertassinari
- [Drawer] Fix first mount transition issue (#7236) @oliviertassinari

### Docs

- [docs] Fix typo in class name (#7192) @ossan-engineer
- [docs] Add supported server section (#7231) @oliviertassinari
- [docs] Detail the browser support (#7188) @oliviertassinari
- [docs] Upgrade to webpack v3 (#7210) @oliviertassinari
- [docs] More documentation on the typography (#7248) @oliviertassinari

### Core

- [test] Even faster CI build (#7230) @oliviertassinari
- [styles] Export more functions (#7241) @oliviertassinari
- [react] Support 16.0.0-alpha.13 (#7218) @oliviertassinari
- [core] x2 speed up on the build (#7220) @oliviertassinari
- [babel] Use transform-object-assign over a custom one (#7219) @oliviertassinari
- [core] Some fixes (#7216) @oliviertassinari

## 1.0.0-alpha.19

_Jun 19, 2017_

The previous v1.0.0-alpha.18 release is corrupted.

### Component Fixes / Enhancements

- [Typography] Expose a headlineMapping property (#7183) @oliviertassinari
- [Typography] Add a accent color variation (#7183) @oliviertassinari
- [FormControl] Fix wording (#7183) @oliviertassinari
- [Toolbar] Simplify breakpoint logic (#7183) @oliviertassinari
- [Button] Fix upload button demo (#7183) @oliviertassinari
- [TextField] Forward the placeholder (#7183) @oliviertassinari
- [MobileStepper] Improvements (#7179) @alexhayes
- [MobileStepper] Fix the wordings (#7183) @oliviertassinari
- [AppBar] Use a header instead of a div DOM element (#7183) @oliviertassinari

### Docs

- [docs] Update minimizing-bundle-size.md (#7169) @kazazor
- [docs] Info on how to use the breakpoints attribute in the theme (#7172) @alexhayes
- [docs] Add a supported browsers section (#7174) @oliviertassinari
- [docs] We don't require any polyfill (#7183) @oliviertassinari
- [docs] Exposes the 3 Babel plugins available for minimising the bundle size (#) @oliviertassinari
- [docs] Fix MATERIAL_UI_PORT not fully supported

### Core

- [core] Add missing flow import (#7180) @oliviertassinari

## 1.0.0-alpha.18

_Jun 19, 2017_

### Breaking changes

- [TextField] Add a marginForm property (#7113) @oliviertassinari
  This change makes the extra margin of the component optional.
  It's making us following less closely the specification but provides more flexibility out of the box.
- [core] Remove some no longer needed properties (#7132) @oliviertassinari
  Use the `classes` property over the removed `xxxClassName`.
- [Button] Implement the dense option over the compact one (#7147) @oliviertassinari

### Component Fixes / Enhancements

- [SvgIcon] set focusable=false to fix IE tab navigation (#7106) @petermikitsh
- [Dialog] Remove css width as it is too prescriptive for simple dialogs (#7115) @oliviertassinari
- [BottomNavigation] Fix type error when onChange is not defined (#7139) @seasick
- [TextField] Better support number value type (#7162) @oliviertassinari
- [ButtonBase] Normalize ripple to disableRipple (#7159) @oliviertassinari

### Docs

- [docs] Document the Label wrappers (#7161) @oliviertassinari

### Core

- [MuiThemeProvider] Small eslint fix (#7128) @Airblader
- [core] Simplify the array logic (#7112) @oliviertassinari
- [core] Fix type use of Element (#7111) @rosskevin
- [core] Use the beta of circleci (#7133) @oliviertassinari
- [core] Update dependencies (#7137) @oliviertassinari
- [core] Update dependencies, able to remove react-addons-test-utils (#7146) @rosskevin
- [core] As usual after using the lib in a real project I find issues (#7147) @oliviertassinari
- [core] Disable linebreak-style rule (#7163) @oliviertassinari
- [test] Four nines (#7173) @oliviertassinari

## 1.0.0-alpha.17

_Jun 12, 2017_

A big thanks to the 8 contributors who made this release possible.

### Breaking changes

- [core] Normalize the API (#7099) @oliviertassinari
  Reduce degree of freedom of the API with the color property. That's a tradeoff between correctness and verbosity.
  You should be able to recover from this breaking change quite easily, as React will throw warnings. For instance:

```diff
-<Button contrast primary>Login</Button>
+<Button color="contrast">Login</Button>
```

### Component Fixes / Enhancements

- [Switch] Correctly change the cursor value (#7042) @oliviertassinari
- [FormControl] Cannot read property 'target' of undefined (#7046 @Fi1osof
- [AppBar] Add a position property (#7049) @oliviertassinari
- [Stepper] Mobile version (#7043) @alexhayes
- [Snackbar] Implement the component on the next branch (#7059) @oliviertassinari
- [ListItemText] Add disableTypography property (#7073 @zachwolf
- [Modal] Add a keepMounted property (#7072) @oliviertassinari
- [Button] Fix the behavior when a href is provided (#7083) @oliviertassinari
- [Avatar] Add a imgProps property (#7084) @oliviertassinari
- [FormHelperText] Add a min-height (#7085) @oliviertassinari
- [Button] Add an upload example (#7086) @oliviertassinari

### Docs

- [docs] Add testing section (#7101) @oliviertassinari
- [docs] Show the vision in the docs (#7078) @oliviertassinari
- [docs] Improve the documentation on the classes property (#7062) @oliviertassinari
- [docs] Improve accessibility in the component examples (#7047) @tuukkao
- [docs] Update usage.md "Hello World" :| (#7027) @dphrag
- [docs] Add link to the temporary alpha docs (#7037) @peteratticusberg

### Core

- [eslint] Loosen no-unused-vars eslint rule (#7064) @yuchi
- [core] Various fixes (#7028) @oliviertassinari

## 1.0.0-alpha.16

_Jun 1, 2017_

This release is mainly about bug fixes and improving the documentation.
Shout out to @kybarg for the update of the `TextField` in order to better follow the spec (#6566).

### Component Fixes / Enhancements

- [TextField] Make it meet guidelines (#6566) @kybarg
- [TextField] Fix Labels flicker in Chrome (#7010) @kybarg
- [TextField] Fix broken isDirty logic (#7008) @oliviertassinari
- [CircularProgress] make it start and finish from top (#6966) @slavab89
- [Switch] Add inputProps property link in the TextField (#6959) @oliviertassinari
- [BaseButton] Better handle the disabled property (#6958) @oliviertassinari
- [FormControl] Fix onFocus and onBlur events override (#6952) @oliviertassinari
- [Tabs] Add `false` as a valid index value (#6945) @oliviertassinari
- [Input] Improve support of the date/time fields (#6947) @oliviertassinari
- [MuiThemeProvider] Add a muiThemeProviderFactory (#7000) @viotti

### Docs

- [docs] Add a VISION.md file (#6982) @oliviertassinari
- [docs] Grid docs should refer to Hidden component/demo (#6963) @kgregory
- [docs] Fix grammar/verbiage on customization/themes page (#6943) @drusepth
- [docs] Change text for link (#6977) @sghall
- [docs] Some grammar/text edits (#6976) @sghall
- [docs] Suggested text changes (#6978) @sghall
- [docs] Fix MuiThemeProvider documentation (#6989) @viotti
- [docs] Fix TableRow persistent background when clicked (#7001) @sajal50
- [docs] Add an example with a decorator (#7011) @uufish

### Core

- [npm] Fix react-scrollbar-size issue (#7009) @oliviertassinari
- [transitions] Add test coverage for the transition validation functions (#6936) @Alex4S
- [eslint] enable flow's built-in types (#6946) @rosskevin
- [test] Upgrade the docker versions (#6979) @oliviertassinari

## 1.0.0-alpha.15

_May 23, 2017_

This release introduces an important change in the API and the implementation.
Each exposed component is wrapped with a `withStyles` Higher-order component.
This HOC has different responsibilities, the one you're going to be interested in is
regarding the `classes` property. Now, we consider the CSS as a public API.
You now have two way to customize absolutely all the CSS injected by Material UI.
Either the instance level with the `classes` property or the class level with the
`overrides` theme property.

To learn more about it, have a look at the documentation.

### Breaking changes

- [core] Various fixes after using it on a real project (#6882) @oliviertassinari
  Apply the other properties (undocumented) on the root of the Menu.
- [core] Add a new classes property to all the components #6911 @oliviertassinari

If you were using the ref to access the internals of the component or native elements,
you're going to have to change your strategy. Either use `innerRef` or `inputRef`.

### Component Fixes / Enhancements

- [Typography] Add missing style (#6873) @oliviertassinari
- [Dialog] create responsive HOC `withResponsiveFullScreen` (#6898) @rosskevin
- [core] Remove usage of 'not-allowed' (#6932) @oliviertassinari
- [Switch] Remove the blue flash of death (#6933) @oliviertassinari
- [TextField] Fix the inputClassName property (#6934) @oliviertassinari

### Docs

- [docs] Enable flow on much more demos (#6881) @oliviertassinari
- [docs] Better support IE11 (#6880) @oliviertassinari
- [Tabs] Document that the index is required (#6935) @oliviertassinari

### Core

- [eslint] enforce import plugin rules (#6923) @rosskevin
- [core] Change style API (#6892) @oliviertassinari
- [eslint] Fit closer to airbnb (#6894) @oliviertassinari
- [core] Upgrade the dependencies (#6872) @oliviertassinari
- [core] Add prettier (#6931) @oliviertassinari

## 1.0.0-alpha.14

_May 14, 2017_

### Breaking changes

- [Hidden] Remove one degree of freedom (#6820) @oliviertassnari
- [Hidden] Logical fixes for up/down (#6839) @rosskevin

### Component Fixes / Enhancements

- [Icon] Add aria-hidden (#6829) @oliviertassinari
- [Paper] Add elevation boundaries (#6817) @oliviertassinari
- [Paper] Add a component property (#6830) @oliviertassinari
- [Transition] Add flow proptypes (#6846) @rosskevin
- [npm] Upgrade the recompose dependency (#6855) @oliviertassinari
- [TextField] Add in support for multiline text fields (#6553) @peteratticusberg
- [TextField] Second iteration on multilines (#6859) @oliviertassinari

### Docs

- [docs] Fix link to material-ui-icons (#6825) @NiloCK
- [docs] Add a direct link to GitHub (#6861) @oliviertassinari

### Core

- [coverage] Remove the flow plugins as they were not needed (#6816) @rosskevin
- [ButtonBase] Add test coverage for instance.focus (#6827) @agamrafaeli
- [ButtonBase] Add test coverage for handleFocus (#6828) @agamrafaeli
- [flow] Fix small issues (#6860) @oliviertassinari

## 1.0.0-alpha.13

_May 8, 2017_

### Breaking changes

- [lint/flow] validate imports/exports with eslint and flow (#6757) @rosskevin
  Change some import:

```diff
-import { List, ListItem, ListItemText } from 'material-ui/List';
+import List, { ListItem, ListItemText } from 'material-ui/List';
```

- [Grid] Rename Layout to Grid (#6789) @rosskevin

```diff
-import Layout from 'material-ui/Layout';
+import Grid from 'material-ui/Grid';
```

### Component Fixes / Enhancements

- [Slide] Fix getTranslateValue for left & up cases (#6454) @josulliv101
- [Hidden] Responsively hide content (js implementation) (#6748) @rosskevin
- [Hidden] Fixes, demos, regression tests, and `only` functionality (#6782) @rosskevin
- [Layout] Add a hidden property (#6754) @rosskevin
- [Typography] Flow type (#6787) @rosskevin

### Docs

- [palette] Require color shape that matches defaults (#6756) @kgregory
- [docs] Document the Theme section (#6810) @oliviertassinari
- [docs] Add a search bar (#6745) @oliviertassinari
- [docs] Generate a summary of each section (#6772) @oliviertassinari
- [docs] Start addressing documentation issues (#6758) @oliviertassinari
- [docs] Hide the context implementation details (#6798) @oliviertassinari

### Core

- Expanding use of flow for propType, include flow types in package, add flow-typed (#6724) @rosskevin
- [core] Fix flow propTypes generation issue (#6749) @oliviertassinari
- [createShallow] Remove cleanup (#6797) @agamrafaeli

## 1.0.0-alpha.12

_Apr 30, 2017_

A big thanks to the 11 contributors who are pushing the `next` branch forward.

### Breaking changes

- [Typography] Rename Text to Typography (#6667) @oliviertassinari
- [Radio] Change checked color to primary (#6683) @khayong

### Component Fixes / Enhancements

- [Collapse] Add test coverage for wrapper ref (#6617) @agamrafaeli
- [Collapse] Add test coverage for `handleEntered()` (#6616) @agamrafaeli
- [Collapse] Add test coverage for `handleEntering()` (#6615) @agamrafaeli
- [CardHeader] Subheader doesn't go to a new line if there's no avatar (#6668) @kgregory
- [SwitchBase] Add test coverage for `handleInputChange()` (#6613) @agamrafaeli
- [Input] Reset for Safari (21751b293578f25675d415de766f77bd0178fc9c) @oliviertassinari
- [Theme] Reintroduce `muiThemeable` as `withTheme` (#6610) @sxn
- [Modal] Fixes cannot revert back to original overflow when have multiple modals (#6661) @khayong
- [style] Reset the font family where needed (#6673) @oliviertassinari
- [consoleErrorMock] Add test coverage (#6681) @agamrafaeli
- [Transition] Add test coverage for `shouldComponentUpdate()` (#6680) @agamrafaeli
- [ModalManager] Add test coverage for removal of non-exiting modal (#6678) @agamrafaeli
- [Tabs] Label text wrapping / font scaling (#6677) @shawnmcknight
- [Tabs] Cancel throttled event callbacks (#6715) @shawnmcknight
- [Tabs] Improve component lifecycle (#6730) @shawnmcknight
- [material-ui-icons] add making index.js (#6676) @taichi
- [breakpoints] up('xs') should have a min-width of 0px (#6735) @rosskevin

### Docs

- [docs] Fix the example "Usage" to match new Button component (#6692) @artarmstrong
- [docs] Fix theme toggling (#6652) @nathanmarks
- [TextField] Add password example to docs (#6637) @peteratticusberg
- [docs] Fix layout edit button (4b5fedf902704b5e3dd2dba63fc2263f11e975d0) @oliviertassinari
- [docs] Fix IE11 issue (6ad3354ec1a844d0f03bf890a5e73a7987179be7) @oliviertassinari

### Core

- [material-ui-icons] Modernize the package (#6688) @oliviertassinari
- [core] Also take the demo into account for the regressions tests (#6669) @oliviertassinari

## 1.0.0-alpha.11

_Apr 14, 2017_

### Component Fixes / Enhancements

- [Drawer] Proper placement for anchor other than left (#6516) @kgregory
- [ListItemAvatar] Fix & refactor (#6540) @mbrookes
- [style] Add missing blueGrey colors (#6548) @peteratticusberg
- [ButtonBase] Change tests to use faketimers (#6559) @agamrafaeli
- [ButtonBase] Add test coverage for handleKeyDown (#6591)
- [Tabs] Add scrollable behavior (#6502) @shawnmcknight
- [Modal] Test focus (#6573) @agamrafaeli
- [Chip] Add MuiChip to MUI_SHEET_ORDER (#6595) @nareshbhatia
- [Collapse] Add test coverage for `handleExiting()` (#6589) @agamrafaeli
- [Modal] Add test coverage for `handleDocumentKeyUp()` (#6588) @agamrafaeli
- [Popover] Add test coverage for `handleRequestTimeout()` (#6599) @agamrafaeli

### Docs

- [package.json] Add test:unit:grep (#6586) @agamrafaeli
- [docs] Fix build:docs command (#6606) @oliviertassinari

### Core

- [utils] Remove throttle (#6545) @agamrafaeli
- [react] Upgrade to React@15.5.3 (#6543) @oliviertassinari
- [core] Remove one babel transform as require the Symbol polyfill (#6602) @oliviertassinari
- [core] Add missing babel-runtime dependency (#6535) @oliviertassinari
- [core] Random small fixes (#6522) @oliviertassinari
- [test] Makes sure argos run even if diff fails (#6512) @oliviertassinari

## 1.0.0-alpha.10

_Apr 6, 2017_

We are continuing investing in the documentation and the test suite.

Visual regression tests are now sent to [argos-ci](https://app.argos-ci.com/mui/material-ui/builds).
Thanks @agamrafaeli for increasing the test coverage of 1% since the last release (95.23%).
Thanks @mbrookes for fixing the inconsistency of the API and improving the API.

### Breaking changes

- [core][docs] Invert negative bool props (#6487) @mbrookes

```diff
// Paper
-rounded
+square

// BottomNavigation
-showLabel
+showLabels

// Button, IconButton, Switch
-ripple
+disableRipple

// Modal, Dialog
-backdropVisible
+backdropInvisible

-backdrop
+disableBackdrop

-hideOnBackdropClick
+ignoreBackdropClick

-hideOnEscapeKeyUp
+ignoreEscapeKeyUp

// Backdrop
-visible
+invisible

// ListItem
-gutters
+disableGutters

// InputLabel, TextFieldLabel
-animated
+disableAnimation

// TableCell, List
-padding
+disablePadding

// Inputn
-underline
+disableUnderline

// CardAction
-actionSpacing
+disableActionSpacing

// CardHeader
-subhead
+subheader
```

### Component Fixes / Enhancements

- [TextField] Forward name props to the input (#6469) @nvma
- [MuiThemeProvider] Add test for for componentWillUpdate (#6474) @agamrafaeli
- [styles.breakpoints] Add test for `only()` calling 'xl' (#6475) @agamrafaeli
- [Menu] Add tests for handleEnter() (#6477) @agamrafaeli
- [transitions] Add test coverage for getAutoHeightDuration (#6507) @agamrafaeli
- [Popover] Add test for getoffset (#6510) @agamrafaeli
- [breakpoints] Fix down function, eliminate overlap (#6504) @kgregory

### Docs

- [docs] Add missing prop descriptions to all components (#6483) @mbrookes
- [docs] Link version number to release notes (#6486) @mbrookes
- [docs] Link between sections (#6480) @oliviertassinari
- [docs] Add a 'edit this page' button (#6482) @oliviertassinari
- [docs] Display the current version (#6481) @oliviertassinari
- [docs] Upgrade the dependencies (567a35ea3d2aa634a3072fb8b0151c9890551447) @oliviertassinari

### Core

- [test] Fix import paths for theme and MuiThemeProvider (#6493) @joefitzgerald
- [test] Add argos-ci (#6391) @oliviertassinari
- [test] Add HTML reporting of coverage from npm (#6479) @agamrafaeli
- [TouchRipple] Remove react-addons-transition-group (#6514) @ykzts
- [core] Do not output any .map file (#6478) @oliviertassinari

## 1.0.0-alpha.9

_Apr 1, 2017_

### Component Fixes / Enhancements

- [Tab] Add labelClassName property (#6436) @rogeliog
- [test] Fix absolute path in createShallow (444c60392550fe73bb3492ba0ebb63473c73162a) @oliviertassinari
- [material-ui-icons] Reinstate README and update scripts, update installation.md (#6448) @mbrookes
- [Input] Add test for focus() (#6461) @agamrafaeli
- [Input] Add test for componentDidMount() (#6462) @agamrafaeli
- [RadioGroup] Add tests for edge cases (#6409) @agamrafaeli
- [RadioGroup] Add missing teardown in test (8005d9d9b98ed58a041a9e49931fd88cb48687e2) @oliviertassinari
- [Ripple] Add a new test for the unmount logic (#6434) @oliviertassinari

### Docs

- [docs] Add API menu and demo button (#6455) @mbrookes
- [docs] Link to the Collapse documentation (#6464) @JeremyIglehart
- [docs] Fix api.md indentation (#6468) @solkaz

### Core

- [core] Upgrade the dev dependencies (#6435) @oliviertassinari
- [test] Takes the Menu as an example in the test documentation (d13607581dc2bf6c86e88721c2d177b8b8b2d004) @oliviertassinari
- [Layout] Extract requireProp to utils (#6473) @agamrafaeli

## 1.0.0-alpha.8

_Mar 25, 2017_

A big thanks to @agamrafaeli for increasing the test coverage by 4%.
We are now at 93.53%. That's pretty great.

### Component Fixes / Enhancements

- [Chip] Add tests for handleKeyDown for Chip module (#6379) @agamrafaeli
- [Chip] Add tests for onRequestDelete (#6377) @agamrafaeli
- [Chip] Alignements issue on children, affecting safari only (#6336) @stunaz
- [Dialog] Test transition prop not a function (#6387) @agamrafaeli
- [DialogTitle] Test scenario where children are a string (#6386) @agamrafaeli
- [Drawer] Remove unreachable code in `getSlideDirection` (#6388) @agamrafaeli
- [FormControl] Add tests for internal functions (#6407) @agamrafaeli
- [FormGroup] Add spec (#6404) @agamrafaeli
- [IconButton] Add test for rendering Icon children (#6405) @agamrafaeli
- [Layout] Backport a fix at Doctolib for Chrome (#6376) @oliviertassinari
- [Layout] Revise default value for aligns-items (#6334) @stunaz
- [List] Making list meet Material Guidelines (#6367) @kybarg
- [style] Expose createStyleSheet to reduce boilerplate (#6378) @oliviertassinari
- [style] Expose the between breakpoints helper (#6382) @oliviertassinari
- [TableSortLabel] Add spec (#6408) @agamrafaeli
- [test] Expose the test helpers (#6383) @oliviertassinari
- [TouchRipple] Add tests for edge cases (#6411) @agamrafaeli

### Docs

- [docs] Use material-ui-icons package (#6390) @mbrookes

### Core

- [SvgIcons] Update build (#6375) @mbrookes

## 1.0.0-alpha.7

_Mar 12, 2017_

### Component Fixes / Enhancements

- [Slide] Fix displaying when in=false at first (#6223) @ArcanisCz
- [Ripple] Improve the animation (#6248) @oliviertassinari
- [color] Add missing blueGrey color (#6255) @Shahrukh-Zindani
- [Table] Fix paddings according to guidelines (#6306) @kybarg
- [Table] Replace font icon to svg icon in sort label (#6321) @kybarg
- [Table] Add visual regression tests (#6325) @oliviertassinari
- [Button] Use faded text color for hover state (#6320) @mbrookes

### Docs

- [docs] Add a Color section (#6254) @Shahrukh-Zindani
- [docs] Add information to typography (#6266) @Shahrukh-Zindani

### Core

- [test] Server-side render some element to be sure (#6328) @oliviertassinari
- [npm] Add correct extension (#6241) @okvic77
- [core] Rename travis to circle as we migrated (e7fba22bd19f82f5489cb52eaaaaff23f2f57939) @oliviertassinari
- [core] Fix docs:start command on Windows (#6307) @kybarg
- [core] Upgrade the npm dependencies (#6327) @oliviertassinari

## 1.0.0-alpha.6

_Feb 26, 2017_

### Core

- [core] Fix component wrong propType (03f0fdc627951b5ddd3b28bd1a4cbdcee96f2a1c) @oliviertassinari

## 1.0.0-alpha.5

_Feb 26, 2017_

### Core

- [core] Fix propTypes usage (9a220173a59e51108f7ee9d059a312f174113ac2) @oliviertassinari

## 1.0.0-alpha.4

_Feb 26, 2017_

### Component Fixes / Enhancements

- [Button] Fix boxSizing when not rending a native button (#6224) @oliviertassinari
- [Divider] Fix negative margin causes overflow/scrollbars (#6139) @giuseppeg
- [LinearProgress] Add an accessibility property (#6155) @oliviertassinari
- [Text] Add more option to the align property (#6153) @oliviertassinari
- [icon-builder] Update to generate standalone package (#6104) @mbrookes
- [style] transitions theme API reworked (#6121) @ArcanisCz
- [svg-icons] Change target package name (#6184) @mbrookes
- [transitions] Fix an unknown property warning (#6157) @oliviertassinari
- [transitions] Fix allowing fraction numbers as delay/duration (#6221) @ArcanisCz

### Docs

- [docs] Use webpack 2 & dll bundle (#6160) @nathanmarks
- [docs] Improve the user experience on mobile (#6154) @oliviertassinari
- [docs] Fix the Table examples on mobile (425d8ed47e0282b8c0409517c53e00ef61374b02) @oliviertassinari
- [docs] Add an API section (#6239) @oliviertassinari
- [docs] Normalize the container property (#6238) @oliviertassinari

### Core

- [core] Fix typos in styles/transitions pointed out in issue (#6175) @Shahrukh-Zindani
- [core] Lightweight the build (#6152) @oliviertassinari
- [core] Add exports to index.js for inclusion in webpack bundle (#6144) @fkretzer
- [test] Integration of test suite to run on BrowserStack (#6236) @oliviertassinari
- [test] Bump vrtest version for exit code fix (1831aa76fe72e9b22a0b82f2a360f860ca89fdce) @nathanmarks

## 1.0.0-alpha.3

_Feb 12, 2017_

### Component Fixes / Enhancements

- [Button] Make the node isRequired (#6095) @oliviertassinari
- [TextField] value propType (#6091) @mntbkr
- [TextField] Fix width issue (#6096) @oliviertassinari
- [TextField] Add an inputProps property (#6111) @oliviertassinari
- [Checkbox] Not selecting label text on quick clicks (#6097) @ArcanisCz
- [Tabs] Add a disabled property (#6112) @irfanhudda
- [Paper] Rename zDepth -> elevation everywhere (#6116) @ArcanisCz

### Docs

- [docs] Add simple example in the Badge API (#6117) @stunaz
- [docs] Add a Drawer section (#6113) @ArcanisCz

### Core

- [core] Simplify test suite and use vrtest for regressions (#6122) @nathanmarks
- [core] Prefix stylesheet names to prevent collisions (#6110) @oliviertassinari
- [core] Remove stringOrNumber propTypes (#6109) @oliviertassinari

## 1.0.0-alpha.2

_Feb 7, 2017_

One year ago, we were struggling with removing all the mixins from the project.
Now, it's about rewriting all the components.
We're going to try doing frequent alpha releases to keep some intertia. At least once per week would be good.
As always, we are keeping the [documentation](https://mui.com) up to date.

### Component Fixes / Enhancements

- [Badge] Port the Badge Component (#6043) @stunaz
- [Layout] Warn about wrong usage of the item & container combination (#6040) @oliviertassinari
- [Layout] Explicit the box-sizing dependency (#6036) @oliviertassinari
- [Drawer] Open/close animation easing and timing (#6066) @ArcanisCz

### Docs

- [docs] Add a composition section (#6049) @oliviertassinari
- [docs] Explain how to use the visual regression tests (#6050) @oliviertassinari
- [docs] Improve the Server Rendering section (#6070) @oliviertassinari

## 1.0.0-alpha.1

_Jan 28, 2017_

This is the first public alpha release. It's still work in progress.
You will be able to start giving us feedback with this release.
Please keep in mind that [semver](https://docs.npmjs.com/getting-started/semantic-versioning) won't be respected between pre-releases.
In other words, the API will change if we need to.

## 0.16.7

_Jan 15, 2017_

A A big thanks to the 20 contributors who are making this release possible.

### Component Fixes / Enhancements

- [DropDownMenu] Add keyboard accessibility (#5921) @caesay
- [EnhancedButton] Remove unnecessary hack, improving overall performance (#5868) @jampy
- [FloatingActionButton] Fix thin white border (#5881) @ludoviccyril
- [IconButton] Fix a onTouchStart error (#5833) @oliviertassinari
- [IconButton] Fix hoveredStyle prop override style prop (#5874) @MattCain
- [IconMenu] Fix React warning (#5843) @olee
- [Menu] Add onFocusIndexChange property (#5851) @gabrielmdeal
- [Menu] Fix support of any type of children (#5904) @oliviertassinari
- [style] Shorthand syntax for a color object (#5835) @frooeyzanny
- [style] Fix user-agent all with display flex (#5931) @oliviertassinari
- [Tab] Allow overriding button style on tabs (#5844) @rhagigi
- [Tabs] Fix a regression (#5891) @oliviertassinari
- [Table] Add an integration tests (#5845) @oliviertassinari
- [Table] Fix TableBody selectedRows state (#5829) @ovaldi
- [Table] Remove useless padding (#5932) @oliviertassinari
- [TableBody] Fix row selection re-render (#5905) @dchambers
- [test] Fix typo in the iOSHelpers.spec.js (#5837) @frooeyzanny

### Docs

- [docs] Add payment components to Related projects (#5849) @lorensr
- [docs] Add showcase for "humorista.org" (#5859) @minas1
- [docs] Fix broken link (b7d9a373320b49f62e47f4e2e5ca4aa882265904) @oliviertassinari
- [docs] Fix spelling mistake in PropTypeDescription.js (#5883) @Jbarget
- [docs] Fix typo (#5889) @lucasbento
- [docs] It is exciting (#5831) @ratson
- [Tabs] Fix typo in initialSelectedIndex prop description (#5923) @neonray
- [withWidth] Fix typo in the withWidth.spec.js (#5836) @frooeyzanny

### Core

- [test] Use simpler assert API (e017d365f45b07933e8b896f95d6d1455b666516) @oliviertassinari

## 0.16.6

_Dec 25, 2016_

We are releasing sooner than we use to for this **special day** :christmas_tree::gift:.
17 contributors are making that last release of the year possible.

2016 has been an exceptional year for Material UI.

- We went from 40k to 180k [downloads](https://npm-stat.com/charts.html?package=material-ui&from=2014-12-24&to=2016-12-25) a month. :package:
- We went from 12k to 22k [stars](http://www.timqian.com/star-history/#mui/material-ui). :star:

That wouldn't have been possible without this awesome community.
**Thank you!**

But this's just the beginning, some [exciting stuff](https://github.com/mui/material-ui/blob/v0.16.6/ROADMAP.md) is coming in 2017 :sparkles:.
You can preview a **very early** version of the `next` branch following [this link](https://material-ui-next.com).

### Component Fixes / Enhancements

- [IconButton] Add a hoveredStyle property (#5755)
- [Menu] Add a dividerStyle property (#5734)
- [Menu][dropdownmenu][SelectField] Add menuItemStyle and menuItemSelectedStyle properties (#5389)
- [Popover] Fix ghost clicks in onRequestClose (#5749)
- [Popover] Fix bad positioning on IOS devices (#4638)
- [Popover] Revert the latest PR following a regression (#5797)
- [Stepper] Allow custom step connector (#5741)
- [Stepper] Fix content container's height expantion (#5733)
- [TimeDisplay] Inherit text color from theme (#5816)
- [TouchRipple] Fix issue #5626 (#5763)

### Docs

- [Autocomplete] Add a controlled example (#5795)
- [Slider] Add onChange callback signatures to docs (#5760)
- [TextField] Add callback signatures to docs (#5804)
- [docs] Add link to babel-plugin-material-ui (#5754)
- [docs] Node is written mostly in C++, not in C (#5776)
- [docs] Remove redundant words (#5778)
- [docs] Add showcase item - Realty Advisors Elite (#5806)

### Core

- [core] Add support for webpack 2/Rollup tree shaking in `svg-icons` sub module (#5774)

## 0.16.5

_Dec 9, 2016_

This is another release improving the stability of `v0.16.x`.

### Component Fixes / Enhancements

- [Autocomplete] Add an onClose callback property (#5655)
- [Autocomplete] Fix the controlled behavior (#5685)
- [DatePicker] Auto switch the view when a year is selected (#5700)
- [DropDownMenu] Add an onClose callback property (#5653)
- [DropDownMenu] Do not wrap below dropdown menu (#4755)
- [EnhancedButton] Fix an accessibility issue (#5657)
- [EnhancedButton] Only apply type when needed (#5728)
- [IconMenu] Add listStyle prop (#5630)
- [IconMenu] Fix controlled IconMenus to honor onRequestChange (#5704)
- [MenuItem] Add right padding when there is icon (#4762)
- [Popover] Add the missing zIndex (#5730)
- [List] Fix padding styles object (#5661)
- [SelectField] Scroll wheel event bubbling to parent container (#4154)
- [StepLabel] Address a box model issue (#5690)
- [SelectField] Add listStyle prop (#5631)
- [TextField] Fix errorStyle priority (#5654)
- [TextField] Add a floatingLabelShrinkStyle property (#5669)
- [autoprefixer] Fix a style issue with user agent all and display flex (#5668)
- [makeSelectable] Fix missing check for existence of onChange (#5589)

### Docs

- [docs] Add a Q&A section around the next branch (#5718)
- [docs] Fix typo with sentence for Autocomplete (#5596)
- [docs] Fix origin documentation (#5676)
- [docs] Fix Linear Progress Prop Documentation (#5680)
- [docs] Fix a scroll issue on (iOS) (a12dca847af6833dbf671e48c736047d6909ec53)

### Core

- [core] Apply 3 different fixes (#5695)

## 0.16.4

_Nov 17, 2016_

### Component Fixes / Enhancements

- [npm] Rollback the react dependency path to `v15.0.0` (417913e41fbc3366c6997258263270c6d7465c1a)

## 0.16.3

_Nov 17, 2016_

This release is intended to solve an [issue](https://github.com/mui/material-ui/issues/5573) with `react-tap-event-plugin` following the release of React `v15.4.0`.

### Component Fixes / Enhancements

- [ListItem] Fix hover on touch devices (#5566)
- [core] include `react-tap-event-plugin@^2.0.0` for `react@^15.4.0` (#5572)
- [core] Add support for webpack 2/Rollup tree shaking (#5545)

### Docs

- [docs] Upgrade React to v15.4.0 (#5575)

## 0.16.2

_Nov 13, 2016_

This is another release improving the stability of `v0.16.x` while we are working on get `next` out of the door.

### Component Fixes / Enhancements

- [Autocomplete] Fire onUpdateInput when an item from the dropdown is selected (#5518)
- [Autocomplete] Fix Popover's style overriding popoverProps (#5516)
- [Card] Add closeIcon and openIcon for customizability (#5513)
- [FloatingActionButton] Fix regression with n children (#5468)
- [GridList] Add the support for cellHeight="auto" (#5452)
- [GridTitle] Add a titleStyle property (#5535)
- [IconMenu] Change IconMenu to conditionally merge button styles (#5496)
- [IE] Remove the unsupported initial property (#5539)
- [MenuItem][listitem] Allow overriding hoverColor (#5502)
- [ListItem] Fix an issue with the controlled behavior (#5514)
- [ListItem] Clear hover state if component gets disabled (#5528)
- [Popover] Fix support for invalid `anchorEl` (#5444)
- [RaisedButton] Fix hover on touch devices (#5536)
- [Stepper] Fix children count method (#5429)
- [Stepper] Add iconContainerStyle to StepButton and StepLabel (#5507)
- [Tabs] Fix Firefox height issue (bf25bc118523b359bba5a5540205174a1c2d9e27)
- [Table] Warning on rendering attempt of unsupported child (#5520)
- [TextField] Add ability to style label color when a value is present (#5490)
- [TextField] Fix wrong style being applied to div elements (#5446)
- [TextField] Fix floatingLabelFocusStyle when floatingLabelFixed is true (#5487)
- [TextField] Remove the isClean logic (#5540)
- [TimePicker] Fix `autoOk` closing the dialog too early (#5511)
- [ToolbarGroup] Fix vertical alignment (#5515)
- [ToolbarTitle] Take font family from base theme (#5434)
- [Toggle] Fix label propTypes from `string` to `node` (#5474)

### Core

- [npm] Upgrade the dependencies (#5466, #5537)

### Docs

- [docs] Add one more resource around the style migration (0d375d6271a2c65e6e608dde28ee4ca55defd81b)
- [docs] Add a note regarding other properties (#5491)
- [docs] Add redux-form in the Related projects section (3e10f203bc3a7d79f94011586c134b6e17a69016)
- [docs] Add CReMa in the Related projects section (#5431)

## 0.16.1

_Oct 18, 2016_

This is a small release improving the stability of `v0.16.x`.

### Component Fixes / Enhancements

- [ClickAwayListener] Improve the propTypes definition (2d99b2d66f0a895389f61e866c8840abebcf2b72)
- [DropDownMenu] Fix usage of null child (#5402)
- [FloatingActionButton] Set touch flag in handleTouchEnd (#5077)
- [FloatingActionButton] Fix overriding the style property on the children (#5246)
- [IconMenu] Updating error message for IconButton (#5361)
- [IconMenu] Makes the warning message more explicit (#5395)
- [Menu] Fix the key theme used for the selectedTextColor (#5379)
- [MenuItem] Add min-height to MenuItem to allow null options in SelectItem (11639b02e62cc60861582eb9c1516e1fe46d5ccb)
- [Popover] Making sure Popover has correct position (#4839)
- [Popover] Add missing animated=false (#5374)
- [RadioButtonGroup] Modifying `selected` initial value check to account for falsy value (#5342)
- [RaisedButton] Add a overlayStyle property (c16147d9eb81a69a82f88d21fb0d7a356b95e2af)
- [RefreshIndicator] Fix Unknown props react warning (#5356)
- [Tabs] Add tabTemplateStyle prop to Tabs (#5359)
- [TableFooter] Render the children independently of adjustForCheckbox (#5406)
- [TableRowColumn] Revert Tooltip visible with TableRowColumn (#5378)
- [TextField] Fix a failing test with the controlled behavior (#5351)
- [TextField] Fix leaking appearance property on a div (#5412)
- [withWidth] Fix the SSR reconciliation (#5405)

### Core

- [GitHub] Improve ISSUE_TEMPLATE to ask for a running snippet (#5388)
- [npm] Upgrade the dependencies (#5404)

### Docs

- [docs] Add LireLactu to the showcase (#5336)
- [docs] Document the muiThemeable HOC (#5363)
- [docs] Fix non-compiling example code on Themes page (#5344)

## 0.16.0

_Oct 3, 2016_

This release contains a ton of bug fixes and small improvements :boom:.

We have **shifted goals** for `v0.16.0`.
Across a number of issues over the last ~5 months we have been telling people that certain improvements are coming in `v0.16.0` ranging from performance to component API issues and more.
Those improvements are coming with the `next` branch :sparkles:.
We are switching in goal so we can release changes more **often**.

Regarding going forward, this is likely to be the last `minor` release using the **inline-style** approach.
We are migrating all the components to a **CSS-in-JS** approach on the `next` branch.

For more details, you can have a look a the [next milestone](https://github.com/mui/material-ui/milestone/14) as well as the [next project](https://github.com/mui/material-ui/projects/1)

:warning: New features based on the `master` branch (inline-style) have low priority and will most likely not be reviewed nor merged.

### Component Fixes / Enhancements

- [Card] Fix unused property subtitleColor (#5314)

### Core

- [Core] Use lodash.merge/throttle for faster require() (#5308)

### Docs

- [docs] Add a single line example for GridLists (#5313)
- [docs] Add react-dnd (7e1d9d3d1d61a3ee8e6dbf57cd2261754a3285f3)
- [docs] Add Casalova to the showcase (7c0df3be32813ddb003cd47b6529431f3cd41679)

## 0.16.0-rc2

_Sep 24, 2016_

### Breaking Changes

- [TimePicker] Remove the call to onDismiss when already calling onAccept (#5213)

### Component Fixes / Enhancements

- [AppBar] Fix onTouchTap handler (#5245)
- [Autocomplete] Add popoverProps to pass to Popover (#5064)
- [DatePicker] Improve the RTL support (#5155)
- [DatePicker] Improve the i18n support (#5187)
- [IconButton] Remove dead code (#5226)
- [Popover] Fix a callback leak (#5158)
- [RaisedButton] Add a buttonStyle property (#5196)
- [Switch] Add thumbSwitchedStyle and trackSwitchedStyle (#5106)
- [Snackbar] Fix the element covering up 100% width of the screen (#5113)
- [Snackbar] Add a contentStyle property (#5205)
- [Tabs] Fix an edge case where children and value props change (#4635)
- [Tabs] Fix onChange bubbling (#5219)
- [TimePicker] Fix a conflict with box-sizing reset (5529138)
- [withWidth] Compute the width as soon as possible (#5154)

### Docs

- [AppBar] Add a composition example (#5248)
- [RaisedButton] Update file upload example (#5159)
- [docs] Add material-ui-chip-input to related projects (#5172)
- [docs] Add material-auto-rotating-carousel to related projects (#5244)
- [docs] Explicit the prerequisites section to required knowledge (#5203)
- [docs] Update the server-rendering section (#5206)

### Core

- [core] Add babel-runtime to the release (#5221)
- [core] Use the ^15.0.0 as a dependency for React (#5207)
- [npm] Upgrade the dependencies (#5161)

## 0.16.0-rc1

_Sep 8, 2016_

### Breaking Changes

- [Badge] Swapped primary and accent colors (#4449)
- [CircularProgress] The API has become more flexible and straightforward. `size` attribute now means the outer diameter in pixels. Line thickness is variable and should be defined via the `thickness` attribute. Default margins are eliminated. If you'd like to upgrade your existing app without changing the actual sizes of your `CircularProgress` components, here are the formulas:

```js
newSize = 59.5 * oldSize;
thickness = 3.5 * oldSize;
margin = oldSize < 0.71 ? (50 - 59.5 * oldSize) / 2 : 5.25 * oldSize;
```

Examples:

```jsx
// Before:
<CircularProgress />
<CircularProgress size={2} />

// After:
<CircularProgress size={59.5} style={{margin: 5.25}} /> // Thickness is 3.5 by default
<CircularProgress size={119} thickness={7} style={{margin: 10.5}} />
```

(#4705)

- [core] Wrap the `propTypes` definitions so they can be removed in production (#4872)
- [core] Remove the deprecated code (#4987)
- [List] Rename MakeSelectable to makeSelectable (#5025)

### Component Fixes / Enhancements

- [BottomNavigation] Fix SVG icon positioning (#4982)
- [Buttons] Reset hover state when disabled prop is changed (#4951)
- [CardHeader] Fixes warning: Unknown props titleColor (0e787c7)
- [Checkbox] Tweak the transition to allow different shapes (#5016)
- [DatePicker] Improve dark theme support (#4943)
- [DatePicker] Changes opacity of disabled day-buttons (#4994)
- [EnhancedTextarea] Guard for if scrollHeight is not present (#5015)
- [FloatingActionButton] Reset hover state when disabled prop is changed (#4951)
- [IconMenu] Warn when not providing an IconButton to iconButtonElement (#4990)
- [NestedList] Prevent rendering the children when the nested list is hidden (#5024)
- [Popover] Prevent creating multiple timeouts when popover is closing (#5010)
- [ListItem] Fix primaryTogglesNestedList not working with checkbox (#4988)
- [RaisedButton] Fixes warning: Unknown props on <button> (#5067)
- [RefreshIndicator] Passing other props to the root element (#5054)
- [RTL] Add a new directionInvariant property (#5026)
- [TableRowColumn] Tooltip visible with TableRowColumn (#5014)
- [TextField] Better support for type=search (#4973)

### Docs

- [docs] Fix 404 links (#4998)
- [examples] Move to own repositories (#4475)
- [showcase] Add some new projects (#4978, #5119)

### Core

- [Slider] Clean up the implementation (#5036)
- [test] Reduce the noise when running the test suite (ea2538e)

## 0.15.4

_Aug 11, 2016_

### Component Fixes / Enhancements

- [BottomNavigation] Initial implementation (#4846)
- [DropDownMenu] Revert the commit causing a regression in 0.15.3 (#f76302e)
- [Snackbar] Add the material fontFamily (#4892)
- [ListItem] New property open to toggle nested list (#4850)
- [Slider] Fix an issue where not updating when max prop changes (#4895)
- [Slider] Fix more warnings introduced by React v15.3.0 (#4869)

### Docs

- [js] Explain the ECMAScript `stage-1` dependencies of the examples (#4877)

## 0.15.3

_Jul 31, 2016_

This release is mostly about bug fixes. All the new warnings introduced by React
v15.2.1 and v15.3.0 should be addressed in this version.

### Breaking Changes

- Remove a workaround regarding the context propagation as it was fixed in the React Core.
  Upgrade to React v15.2.1 if you are affected. (#4729)

### Component Fixes / Enhancements

- [Autocomplete] Add a textFieldStyle property (#4853)
- [Autocomplete] Call onNewRequest once the animation is done (#4817)
- [Card] Fix bottom padding (#4820)
- [Chip] Fix invalid `labelColor` being passed (#4766)
- [DropDownMenu] Display the first item in case there's no one with the corresponding value (#4822)
- [FlatButton] Merge styles prop for FontIcon node (#4754)
- [GridList] Fix RTL alignment (#4833)
- [List] Prefix the style properties (#1cb0617)
- [ListItem] Trigger onNestedListToggle callback after state update (#4743)
- [ListItem] Fix incorrect nestedLevel (#4744)
- [Menu] TypeError: key is undefined (#4734)
- [MenuItem] Add cursor pointer back to the menu items (#4715)
- [Popover] Forward the animation property to this component (#4702)
- [RadioButtonGroup] Fix propTypes to accept anything (#4807)
- [RaisedButton] Fix the icon style override (#4f2fd22)
- [React] Fix more invalid props warning (#4667, #4675, #4685, #4725)
- [Snackbar] Change the action's PropType to node (#4716)
- [TextField] False should be a valid value (#4728)

### Core

- [dependencies] Update to the latest release version (#4669)
- [eslint] Find new rules with ease (#4521)
- [react] Fix the warnings of the latest release v15.3.0 (#4856)

### Docs

- [ROADMAP] Remove old addressed issues (#4745)
- [ROADMAP] Update to what the core team is working on (#4829)
- [docs] Replaces images on Card page with hosted images (#4748)
- [showcase] Add https://www.spouti.com (#4806)

## 0.15.2

_Jul 7, 2016_

During the release of 0.15.1 something went teribly wrong :sweat_smile: and some
commits were left out even though they were mentioned in the changelog. This release
includes the missing commits and some extra.

### Deperecations

- [Buttons] Deprecate linkButton property (#4197)

### General

- [React] Upgrade React to `v15.2.0` (#4603, #4605, #4607)
- [Docs] Don't document standard DOM events (#4433)
- [Form Components] Set `cursor:not-allowed` style when disabled (#4170)
- [Styles] Upgrade the inline-style-prefixer dependency to v2 (#4613)
- [Styles] Check for nulls for RTL (#4496)

### Browser support

Our support for IE and Safari improved in this release.
Thanks @vizath, @hhaida, @nathanmarks and @aahan96 for their effort.

### Component Fixes / Enhancements

- [AppBar] Improve props checking to be more resilient (#4557)
- [Autocomplete] Use the right dataSource key (#4642)
- [Badge] Fixed incorrect color usage (primary/accent were swapped) (#4449)
- [Button] Never allow a disabled button to be in a hovered state (#4626)
- [Button] Improve the propType definition for the label (#4618)
- [Chip] Add to the index (#4570)
- [ClickAwayListener] Add better support for IE11 (#4537)
- [DatePicker] Expose dialog container style (#4355)
- [DatePicker] Fix year overflow (#4381)
- [DropDownMenu] Remove Synthetic Event from pooling when used asynchronously (#4564)
- [EnhancedButton] Fix href style (#4457)
- [FlatButton] Add a condition to check for zero in the label warning (#4618)
- [LinearProgress] Fix calculating of getRelativeValue (#4624)
- [ListItem] Fix error with props access in state assignment for ie9/10 (#4596)
- [ListItem] Make the dark theme follow more closely the material spec (#4530)
- [MenuItem] Allow styles on lefticon in non-desktop mode (#4474)
- [RadioButton] Changed the value type to any (#4510)
- [RadioButtonGroup] Fix error with props access in state assignment for ie9/10 (#4596)
- [RaisedButton] Fix the `fullWidth` regression (#4479)
- [RenderToLayer] Fix an internal issue with React (#4548)
- [SelectField] Make the maxHeight prop to pass down to DropDownMenu (#4645)
- [Slider] Add a sliderStyle property (#4617)
- [Slider] Add support for vertical/reversible sliders (#4571)
- [Stepper] Fix transition bug in safari (#4616)
- [SvgIcon] Add support for color attribute (#4487)
- [SvgIcon] Add themeable color (#4621)
- [SvgIcon] Remove unused style assignment (#4486)
- [TextField] Keep spreading properties when children is set (#4478)
- [TextField] Fix multi-line overflow (#4634)

## 0.15.1

_Jun 16, 2016_

### Breaking Changes

- [Avatar] Now uses `img` instead of `div` (#4365)
- [DatePicker] `className` prop is now set on the root element instead of being passed down (#4250)
- [Drawer] Changed muiTheme key name from navDrawer to drawer (#4198)
- [SelectField] Move {...other} spread props from DropDownMenu to Textfield as part of (#4392)

### New Component

- [Chip] First implementation (#3870)

### General

- [Examples] Simplify the examples (#4262)
- [Core] Upgrade EventListener dependency (#4162)
- [Core] Upgrade some npm dependencies (#4306)
- [Core] Remove react-addons-update dependency (#3946)
- [Core] Move to the normal lodash (#4380)
- [Docs] Use `copy-webpack-plugin` for dev (#4201)
- [Icon Builder] Add muiName to generated SvgIcons (#4188, #4206)
- [Icon Builder] Fix SvgIcon require path to icons generated with --mui-require absolute (#4204)
- [Themes] Fix MuiThemeProvider default theme (#4229)
- [withWidth] Accept width optional parameter (#4416)
- [eslint] Add a mocha plugin to enforce good practices (#4424)

### Component Fixes / Enhancements

- [AppBar] Add `iconStyleLeft` prop (#4266)
- [AppBar] Fix a styling regression (#4471)
- [Autocomplete] Add text and value field keys for objects list dataSource (#4111)
- [Autocomplete] Fix filter property leaking (#4209)
- [Autocomplete] Fix first item selection on keyboard focus (#4193)
- [Autocomplete] Use sublime text like search instead of Levenshtein Distance for fuzzy search (#4164)
- [Avatar] Fix a layout regression (#4409)
- [Avatar] Remove the border (#4365)
- [Button] Save some bytes on the production build (#4346)
- [DatePicker] Added className prop to DatePicker (#4250)
- [DatePicker] Fix layout when used with border-box (#4454)
- [DatePicker] Fix the issue about onDismiss function will fire by handleTouchTapOk (#4367)
- [DatePicker] Fix `weekTitleDayStyle` (#4464)
- [Drawer] Fix muiTheme key name (#4198)
- [DropDownMenu] Add an animated property (#4442)
- [DropDownMenu] Add check if there is onChange prop before calling it (#4328)
- [EnhancedButton] Fix not setting focus when keyboardFocused prop set (#4122)
- [FlatButton] Fix Icon color prop issue (#4160)
- [FloatingActionButton] Fix SvgIcon fill color (#4311)
- [FontIcon] Prevent parent components from overriding icon's `color` property (#4025)
- [IconMenu] Add an animated property (#4442)
- [ListItem] Fix theme not propagating on update (#4372)
- [Menu] Add basic hotkey-focusing feature (#4189)
- [Menu] Fix theme not propagating on update (#4372)
- [MenuItem] Fix theme not propagating on update (#4372)
- [Picker] Disable userSelect on TimePicker and DatePicker (#4176)
- [Pickers] Add some test regarding the expect value property (#4347)
- [Popover] Fix typo from innerWith to innerWidth (#4332)
- [RaisedButton] Don't override SvgIcon color prop (#3746)
- [RaisedButton] Respect theme fontSize (#3988)
- [RenderToLayer] Cleanup (#4423)
- [SelectField] Add callback signatures to docs and improve other props (#3924)
- [SelectField] Add support for `floatingLabelFixed` prop (#4392)
- [SelectField] Fix errorText position when no value selected (#4394)
- [Snackbar] Add a new test and fix consecutive updates leading to displaying old message (#4329)
- [Stepper] Add more tests and fix an issue with `StepButton` event handlers (#4203)
- [Stepper] Fix vertical stepper on mobile (#4299)
- [Tabs] Fixes tabindex (#4357)
- [TextField] Fix `floatingLabelText` intercepting click events (#4418)
- [Timepicker] Add explicit box-sizing to Clock component (#4386)
- [TimePicker] Expose two TimePickerDialog style props (#4356)
- [TimePicker] Fix auto reset of time on window resize (#4251)
- [TimePicker] Remove some dead code (#4289)

### Deperecations

- [SelectField] Deprecate selectFieldRoot prop and replace with menuStyle (#4394)

## 0.15.0

_May 5, 2016_

Please read through the alpha and beta releases of 0.15.0 too as their changes are not listed here.

### General

- [Core] Add a `withWidth` HOC (#4126)
- [Core] Use named imports for createClass, Component & PropTypes (#4058)
- [Core] Update dependencies and remove a couple of unneeded (#4107)
- [eslint] Use the js format instead of the yaml one (#4074)
- [codemod] Improve the path migration (#4069)
- [codemod] Add a babel transpilation for npm (#4115)
- [Tests] Refactor karma tests, add JSDOM for node tests and improve coverage (#4102)
- [Tests] Add basic README for test setup (#4106)
- [colorManipulator] Prevent illegal color values (#3989)
- Added the following eslint rules:
  1. Enforce `jsx-first-prop-new-line` (#4112)
  1. Enforce `react/prefer-es6-class` (#4126)

### Component Fixes / Enhancements

- [Avatar] Fix icon size issue for non-default Avatar size (#4148)
- [Buttons] Address various browser compatibility issues (#4108)
- [Buttons] Fixed alignment related regressions (#4130)
- [Card] Add `containerStyle` prop (#4085)
- [CircularProgress] Fix for Android (#4026)
- [DatePicker] Add support for built-in en-US locale (#4161)
- [Datepicker] Redesign datepicker as per material spec (#3739)
- [Dialog] Stop mixing `padding` and `paddingTop` (#4082)
- [EnhancedButton] Fix keyboard focus jumping (#4127)
- [Slider] Fix Slider div style (#4087)
- [TextField] Add `floatingLabelFocusStyle` property (#4043)

### Deprecations

- [styleResizable] This mixin has been deprecated in favor of `withWidth` HOC (#4126)

## 0.15.0-beta.2

_Apr 21, 2016_

### General

- [.gitignore] Ignore `jsconfig.json` - VS Code config file (#4011)
- [Docs] Update usage docs with muiTheme instructions (#4034)
- [Docs] Add beta installation details to the README (#4048)
- [Examples] Update import statements (#3992)

### Component Fixes / Enhancements

- [Autocomplete] Change `error`, `hint`, `floatingLabel` property validators to `PropTypes.node` (#4019)
- [Dialog] Add border to title and actions when content is scrollable (#4001)
- [Dialog] Add support for the Alert (#4022)
- [Dialog] Merge title style when title it a node (#4033)
- [ListItem] Fix flexbox shrinking [issue](#4016) (#4044)
- [Menu] Fix regression that caused nested menus to be unreachable (#3947)
- [RaisedButton] fix hover overlay for icon only buttons, fixes #3815 (#4035)
- [RefreshIndicator] Fix timer leaks (#3986)
- [SelectField] Fix server-side rendering (#4004)
- [Tab] Fix the justify content when there is only one child (#4023)

### Deprecations

- [List] Deprecate the `valueLink` property (#3936)

## 0.15.0-beta.1

_Apr 13, 2016_

### React 15 compatibility 🎉 🎉

This release also ensures compatibility with React 15. You should update to
this version if you need it.

### Simplify import statements 🎉

This release changes how components are imported. You will need to update every
import statement, Like:

```js
import RaisedButton from 'material-ui/lib/raised-button';
import Tabs from 'material-ui/tabs/tabs';
import Tab from 'material-ui/tabs/tab';
```

to:

```js
import RaisedButton from 'material-ui/RaisedButton';
import { Tabs, Tab } from 'material-ui/Tabs';
```

The exact import statements for each component can be found in their respective
documentation page.

Have a ton of imports? almost had a heart attack? worry not, we also made a tool
to ease your pain. checkout the
[readme](https://github.com/mui/material-ui/tree/master/packages/material-ui-codemod/README.md).

### Breaking Changes

- [Core] Improve import path for published lib (#3921)
- [Core] PascalCase component names, reorganise directory structure (#3749)
- [Core] Remove default theme handling from components (#3820)

As of now you will need to provide theme on context, see:
https://v0.mui.com/#/customization/themes

- [Core] Removed redundant default export from the main library `index.js`.

You will probably need to turn

```js
import Mui from 'material-ui';
```

into

```js
import * as Mui from 'material-ui';
```

Although we discourage you to use this library like that.

- [LeftNav] Rename to Drawer (#3799)
- [GridList] Replace `rootClass` with `containerElement` (#3783) (`rootClass` was broken before this change)
- [Core] These changes are for internal modules and will affect you only if they were directly required in your code
  1. Rename utils/children.js (#3779)
  1. Remove unused utils/keyLine.js (#3837)
  1. Remove cssEvent util (#3836)
  1. Remove utils/shallowEqual.js and replace with recompose (#3835)
  1. Move DateTime utils to component directories (#3834)

### General

- [Core] Update to React v15 (#3941) 🎉 🎉
- [Core] Remove dependency on lodash.flowright (#3955)
- [Core] update components to es6 classes (#3843) 🎉 🎉
- [Core] Add a `material-ui-codemod` package (#3782)
- [Core] Update export syntax, move unit tests, update test dependencies (#3785)
- [Core] Use .js extension instead of .jsx (#3765)
- [Themes] colorManipulator cleanup (#3966)
- [SvgIcon] Add the new Material Icons (#3747)
- [Docs] Add example for slider showing how to access value (#3892)
- [Docs] Document callback signatures ( Thanks to @theosherry )
  - [IconMenu](#3732)
  - [LeftNav](#3743)
  - [List](#3748)
  - [ListItem](#3748)
  - [Popover](#3796)
  - [RadioButton](#3797)
  - [Menu](#3821)
  - [MenuItem](#3821)
  - [RaisedButton](#3839)
- Added the following eslint rules:
  1. Enforce `jsx-handler-names` (#3408)
  1. Enforce `spaced-comment` (#3910)

### Component Fixes / Enhancements

- [Autocomplete] Add `onKeyDown` property (#3853)
- [Autocomplete] Fix the regressions (#3858)
- [Avatar] Use semi-transparent border (#3859)
- [DatePicker] ok/cancel labels in date pickers should be of PropTypes.node (#3869)
- [DropDownMenu] Fix support for autoWidth and custom width (#3823)
- [DropDownMenu] Slightly improve performance (#3707)
- [FloatingActionButton] fixed an error when element gets focus via tab (#3885)
- [IconButton] Fix tooltip on hover (#3878)
- [IconMenu] Removed props.ref call (#3913)
- [LinearProgress] Prevent instances from sharing state (#3763)
- [ListItem] Change color of rightIcon from `grey400` to `grey600` (#3938)
- [ListItem] Fix duplicate prepareStyles with primaryText element (#3174)
- [ListItem] Use the new icons to follow the material spec (#3899)
- [MenuItem] Revert flex props from #3597, fixes #3845, reopens #3531 (#3928)
- [Overlay] Split out AutoLockScrolling (#3690)
- [Popover] Fix rendering for nested Menus (#3806)
- [RaisedButton] Fix for Uncaught `TypeError` when tabbing onto button (#3897)
- [Stepper] Refactor Stepper (#3903)
- [Tab] Change the ripple color to follow the spec (#3857)
- [Tab] Fix centering for label with SvgIcon (#3697)
- [TableHeaderColumn] Remove props.key calls (#3918)
- [TableRowColumn] Remove props.key calls (#3918)
- [Tabs] Better type checking on Tab children (#3750)
- [TextField] Fix incorrect state in getStyles() (#3972)
- [TimePicker] Add disabled property with example (#3778)
- [TimePicker] Fix label for 12AM as per material spec (#3781)
- [TimePicker] ok/cancel labels in time pickers should be of PropTypes.node (#3869)

## 0.15.0-alpha.2

_Mar 18, 2016_

### Breaking Changes

- [Core] if you used Material UI from npm in CommonJS environment,
  you need to add `.default` to your requires (#3648):

```diff
- const MaterialUI = require('material-ui');
+ const MaterialUI = require('material-ui').default;
```

If you used ES modules, you're already all good:

```js
import MaterialUI from 'material-ui'; // no changes here :D
```

- [Core] Remove uniqueId utils (#3538)
- [Styles] RaisedButton, FlatButton, and FloatingActionButton now properly use primary/secondary colors (#3513)
- [Menu] Remove Paper (#3559)
- [List] Remove Paper (#3612)
- [TextField] Remove `valueLink` (#3699)

### New Component

- [Stepper](#3132) ( Big Thanks to @namKolo )

### General

- [Core] Remove gulp in favour of npm scripts for linting (#3626)
- [Core] Update `package.json` to prevent building the `lib` after install (#3632)
- [Docs] Hide internal properties of `MenuItem`, `Table` and `Tabs` in docs (#3589)
- [Docs] Document `Card` subcomponent properties (#3621)
- [Docs] Add return types (#3542)
- [Docs] Add support for multi-line function (#3570)
- [Docs] Document callback signatures ( Thanks to @theosherry )
  - [Autocomplete](#3550)
  - [Card](#3552)
  - [Checkbox](#3607)
  - [DatePicker](#3652)
  - [DropDownMenu](#3615)
  - [FlatButton](#3676)
  - [FloatingActionButton](#3683)
  - [FontIcon](#3693)
  - [IconButton](#3709)
- [Tests] Add mocha grep passthrough for browser tests (#3520)
- [Tests] Add `EnhancedButton` unit test and tweak karma config (#3512)
- [Tests] Add `FlatButton` unit test (#3541)
- [Tests] Add `Divider` unit test (#3527)
- [Tests] Add `Paper` unit tests (#3528)
- [Tests] Add `Slider` unit tests (#3688)
- [IconBuilder] Move to packages directory (#3680)
- Added the following eslint rules:
  1. Enforce `operator-linebreak` (#3516)
  1. Enforce `no-multiple-empty-lines` (#3516)
  1. Enforce `@ignore` before comment (#3611)

### Component Fixes / Enhancements

- [AppBar] Fix the title height variation (#3509)
- [Autocomplete] Add key support for `dataSource` (#3662)
- [Autocomplete] Fix browser compatibility (#3581)
- [Autocomplete] Fix `openOnFocus` and item click (#3669)
- [Autocomplete] Proxy focus and blur calls (#3551)
- [Autocomplete] Set `canAutoPosition` to `false` for `Popover` (#3620)
- [CardHeader] Handle wide titles, allow them to wrap (#3503)
- [CardHeader] Remove `title` from injected node attributes (to avoid native tooltip) (#3534)
- [DatePicker] Add a check to fetch current system date (#3656)
- [DatePicker] Fix cursor pointer of the header (#3598)
- [DatePicker] Fix selectYear range (#3496)
- [DatePicker] Use popover for the inline mode (#3532)
- [EnhancedButton] fix `onKeyboardFocus` being called with nullified event object (#3616)
- [EnhancedSwitch] Remove the uniqueId as it unused (#3592)
- [FlatButton] Fix icon alignment when no label provided (#3529)
- [FlatButton] Fix icon styling when no label provided (#3502)
- [FlatButton] Fix the text align issue (#3727)
- [IconButton] Expose `disableTouchRipple` (#3659)
- [IconMenu] Add missing default iconStyle (#3514)
- [IconMenu] Set container as `anchorEl` when using prop 'open' (#3666)
- [ListItem] Add stopPropagation in touch ripple to avoid touch event bubbling (#3593)
- [MenuItem] Add flex property (#3597)
- [Popover] Avoid nested `<noscript/>` (#3647)
- [RaisedButton] Account for `backgroundColor` prop which was previously ignored (#3515)
- [RaisedButton] Fix styling issues (#3479)
- [RaisedButton] Fix the text align issue (#3727)
- [Slider] Add keyboard support (#3237)
- [Snackbar] Make on request close optional (#3560)
- [Tab] Fix `style` prop being ignored (#3608)
- [TableRowColumn] Propagate events (#3492)
- [TextField] Add `floatingLabelFixed` property (#3646)
- [TextField] Add `shouldComponentUpdate` function (#3673)
- [TextField] Add the ability to call select (#3287)
- [TextField] Fix `defaultValue` overlays `floatingLabelText` on mount (#3450)
- [TextField] Standardize onChange callback (#3699)
- [TimePicker] Reinstate #3030 - Add support for custom button labels (#3148)
- [TimePicker] Remove a useless div element (#3591)
- [Toolbar] Fix existing design flaws by using flex (#3548)

### Deprecations

- [DatePicker] Deprecate `wordings` with `cancelLabel` and `okLabel` (#3412)

## 0.15.0-alpha.1

_Feb 27, 2016_

This release includes huge improvements to the implementation
of components and utility modules. The most important improvement
is the removal of mixins from the library, thanks to the
[great efforts](https://github.com/mui/material-ui/pulls?utf8=%E2%9C%93&q=is%3Apr+is%3Aclosed+author%3Anewoga+style-propable)
of @newoga :+1:

There are also improvements to the unit testing infrastructure. We own this
great improvement to @nathanmarks, thanks a lot :+1:.

Please note that `raw-themes` are deprecated with no warning! they will be removed
from the code with the 0.16.0 release.

### Breaking Changes

- [Cleanup] Remove the deprecated API of `0.14.x`. (#3108)
- [Styles] Removed all `getStyles` functions from the components (#3351)
- [Core] Remove the `window-listenable` mixin (#3334)
- [Core] Remove `context-pure` mixin (#3331)
- [Core] Remove `click-awayable` mixin (#3360)
- [Core] Utilize keycode library and remove `key-code` util (#3371)
- [FloatingActionButton] `className` is now set on the root element (#2310)
- [RaisedButton] `className` is now set on the root element (#3122)
- [LeftNav] `className` and `style` are now set on the root element (#3322)
- [Colors] Removed default export in favor of singular exports (#2825) <br>
  **Note** This can be temporarily worked around by changing <br>
  `import Colors from 'material-ui/lib/styles/colors';` <br> to <br>
  `import * as Colors from 'material-ui/lib/styles/colors';`.
- [DatePicker] Standardize for ISO8601. (#3417)

### New Component

- [Subheader](#3033) (Thanks to @pradel)

### General

- [Tests] Updates to test setup and additional testing option for unit tests (#3405)
- [Tests] Add support for codecov (#3421)
- [Tests] Badge unit tests (#3427) (Thanks to @pradel)
- [Tests] AppBar unit tests (#3487) (Thanks to @pradel)
- [Tests] GridList unit tests (#3488) (Thanks to @pradel)
- [Tests] SvgIcon unit tests (#3489) (Thanks to @pradel)
- [Tests] FontIcon unit tests (#3490) (Thanks to @pradel)
- [Theme] Apply overall themeing improvements (#3267, #3316, #3340, #3399)
- [Style] Fix the prefixer tool regression (#3136)
- [Style] Make some unthemeable elements themeable (#3269) (Thanks to @pdf)
- [Style] Fix tap highlight color (#3429)
- [Core] Replace merge implementation in utils/styles with Object.assign (#3124)
- [Core] Remove dependency on utils/styles from components (#3169)
- [Core] Remove style-propable mixin from components (#2852)
- [Core] Remove `window-listenable` mixin from components (#3305) (Thanks to @newoga)
- [Core] Typography moved inside muitheme (#3301)
- [Core] Update lodash version to 4.1.0 (#3324)
- [Core] Migrate color to muiTheme (#3314)
- [Core] Remove usage of `isMounted()` (#3437)
- [Docs] Add page title (#3246)
- [Docs] DatePicker - Add disabled dates example (#3167)
- [Docs] Upgrade dependencies (#3343)
- [Docs] Enable GPU rasterization (#3451)
- [Docs] Add versions to docs site (#3383)
- [eslint] Upgrade to v2 (#3390)
- Added the following eslint rules:
  1. Enforce `arrow-parens` (#3207)
  1. Enforce `prefer-template` (#3208, #3242)
  1. Enforce `no-unneeded-ternary` (#3320)
  1. Enforce `prefer-const` (#3315)
  1. Enforce `jsx-space-before-closing` (#3397)
  1. Enforce `id-blacklist` and blacklist `e` (#3398)
  1. Enforce `padded-blocks: never` (#3493)

### Component Fixes / Enhancements

- [Autocomplete] Added `maxSearchResults` property (#3262)
- [Autocomplete] Apply the style property only on the root component (#3243)
- [Autocomplete] Apply various improvement (#3214) (Thanks to @oliviertassinari)
- [Autocomplete] Disable browser default autocomplete popup (#3253)
- [Autocomplete] Fix the focus / blur issue (#3356) (Thanks to @oliviertassinari)
- [Card] Removed hidden overflow (#3447)
- [Card] Support for controlled expansion (#3258) (Thanks to @cgestes)
- [CardActions] Allow to accept false as child (#3215)
- [Checkbox] Disabled style error fix (#3432)
- [DatePicker] Default to ISO-8601 DateTimeFormat & `firstDayOfWeek` (#3417)
- [Dialog] Fix overflow (#3460)
- [DropDownMenu] Expose Menu listStyle property (#3294)
- [DropDownMenu] Fix `openImmediately` regression (#3384)
- [DropDownMenu] Safari select-field fix (#3175)
- [EnhancedButton] Fix enhanced buttons containing a link instead of a button (#3303)
- [EnhancedSwitch] Added inputStyle prop to enhanced switch (#1693)
- [EnhancedTextArea] Provide various style fixes (#3277)
- [FlatBotton] Fix alignment between text and icons (#3380)
- [FloatingActionButton] Expose Paper zDepth (#3387)
- [IconButton] Fixed tooltip for disabled component (#3458)
- [IconButton] Fixed tooltip ripple size for IE (#3016)
- [IconMenu] Document `multiple` property of Menu (#3223)
- [IconMenu] Enable `useLayerForClickAway` (#3400)
- [IconMenu] Support MenuItem nested menuItems (#3265)
- [InkBar] remove `&nbsp;` (#3283)
- [LeftNav] Add a configurable zDepth (#3495)
- [LeftNav] Add iOS momentum scroll (#2946)
- [List] Fix issue with styling on list related components (#3278)
- [ListItem] Fix hardcoded `secondaryTextColor` (#3288)
- [Menu] Fix `_isChildSelected` child not recognising first child (#3165)
- [Menu] Fix a regression that would apply the select style to all the MenuItems (#3244)
- [Menu] Safari select-field fix (#3175)
- [Popover] Handle the touch event on touch enabled devices (#3389)
- [RadioButton] Allow customising icons (#3285)
- [RaisedButton] Customizable ripple effect style (#3368)
- [RaisedButton] Fix alignment between text and icons (#3366)
- [Slider] Remove style-propable mixin and react-dom (#3332) (Thanks to @felipethome)
- [SvgIcon] Fix behavior for `onMouseEnter` and `onMouseLeave` (#3481)
- [SvgIcon] Use stateless functional component instead of `React.createClass` (#3326)
- [Table] Send event object after click, hover, hoverOut on cell (#3002)
- [TextField] Add textareaStyle property (#3238)
- [TextField] Fix defaultValue behavior (#3239)
- [TextField] Fix wrong label id (#3240)
- [TextField] Fixed a bug where clicking on floating label and typing simultaneuosly loses keypress (#3055)
- [TextField] Fixed ie9-ie10 click focus problem (#3193)
- [TimePicker] Update time state on new defaultTime prop (#3095)
- [Toggle] Fixes styling issue (#3299)
- [ToolbarTitle] Fix overflow (#3250)
- [TouchRipple] Abort on scroll (#3407)

### Deprecations

- [Menu] Deprecated built in `animated` (#3216)
- [Core] Deprecated `style-propable` mixin and `utils/styles` (#3351)
- [Core] Deprecated `ThemeDecorator` in favor of `MuiThemeProvider` (#3267)
- [Core] Deprecated `theme-manager` and `raw-themes` (#3267)

## 0.14.4

_Feb 02, 2016_

### General

- [CRITICAL] Fixed a regression that completely disabled the auto-prefixer (#3142)
- [Core] Implements prepareStyles as composition of functions in muiTheme (#2986) (Thanks to @newoga)
- [Docs] Contributing guide (#3075)
- [Docs] Added a `Related Projects` section (#3102)
- [Examples] General updates (#3078)

### Component Fixes / Enhancements

- [Tabs] Removed the calc style property (#3058)
- [Tabs] Added icon and text (#3042)
- [Tabs] Use `FlatButtons` for tabs (#3051)
- [Autocomplete] Fixed regression of undefined muiTheme (#3069)
- [List] Auto-expand SelectableList (#3039)
- [DatePicker] Added `disabled` property (#3060)
- [Buttons] Fixed the vertical alignment issue (#3100)
- [RaisedButton] Fix the default value of `labelPosition` (#3115)
- [FlatButton] Fix the default value of `labelPosition` (#3115)

## 0.14.3

_Jan 26, 2016_

### Breaking Changes

Note that these are not essentially breaking changes.
Unless you have used these implementation details in your code.

- [Internal] Remove `controllable.js` mixin (#2889)
- [Internal] Remove `mergeAndPrefix()` (#2886)
- [Internal] Remove `utils/extend.js` (#2933)
- [Internal] Remove `utils/immutability-helper.js` (#2907)

### General

- [Examples] Move `DateTimeFormat` polyfill to the example (#3024)
- [Docs] Add title and description to code examples, thanks to @mbrookes's hard work (#2927)
- [Docs] Add a showcase section (#2910)
- [Docs] Hide code examples by default (#2911)
- [Docs] Add [Cloudcraft](https://cloudcraft.co/) to Showcase (#3036)
- [Docs] Migrated the following pages to use the new documentation standard:
  1. [TimePicker](#2849)
  1. [Table](#2848)
  1. [Switches](#2872)
  1. [Buttons](#2874)
  1. [Autocomplete](#2871)
  1. [Popover](#2870)
  1. [IconMenu](#2882)
- Added the following eslint rules:
  1. Extend `eslint:recommended` (#2854)
  1. `one-var` (#2855)
  1. `brace-style` (#2855)
  1. `react/jsx-pascal-case` (#2953)
  1. `react/jsx-max-props-per-line` (#2953)
  1. `react/jsx-closing-bracket-location` (#2953)
  1. `jsx-equals-spacing` (#3035)
- [Performance] Fix V8 deopt, leakage of `arguments` (#2876)
- [ServerSideRendering] Make userAgent contextual (#3009)

### Component Fixes / Enhancements

- [Slider] Avoid selection when dragging (#2827)
- [Snackbar] Execute onDimiss callback after snackbar has closed (#2881)
- [Table] Don't use `for...of` on table children (#2904)
- [RenderToLayer] Fix leaking of event (#2935)
- [FlatButton] Fix shared memory property modification (#2964)
- [DatePicker] Add `firstDayOfWeek` and days abbreviations (#2899)
- [ListItem] Added nestedItemStyle prop (#2990)
- [ListItem] when disabled, `className` is ignored (#2723)
- [EnhancedButton] Make keyup event respect `disableKeyboardFocus` (#3000)
- [Dialog] Fix overlay scroll for nested dialogs (#2893)
- [SvgIcons] Remove fill attributes (#3034)
- [Paper] Allow the box shadow color to be changed (#3003)

### Deprecations

- [DropDownIcon] Will be removed with `0.15.0` (#2994)

## 0.14.2

_Jan 08, 2016_

### General

- [CRITICAL] Fix imports using require() style syntax (#2804) thanks @newoga
- [Examples] Upgrade to babel 6 for browserify (#2795)
- [Docs] Migrated the following pages to use the new documentation standard:
  1. [RefreshIndicator](#2799)
  1. [Icon](#2695)
  1. [Lists](#2782)
  1. [Progress](#2798)
  1. [Sliders](#2800)
  1. [Paper](#2797)
  1. [Menus](#2785)
- Added the following eslint rules:
  1. `react/jsx-indent` (#2808)

### Component Fixes / Enhancements

- [DatePicker] Update slide direction (#2791)
- [Autocomplete] Add 2 extra filters for text matching (#2755)
- [TableRow] Fix row height in IE (#2812)

## 0.14.1

_Jan 05, 2016_

### General

- Upgrade to babel v6 (#2620, #2709)
- [Docs] Improve the performance of the production build (#2680)
- [Docs] Improve the AppLeftNav for mobile (#2690)
- [Docs] Use a single LeftNav (#2721)
- [Docs] Migrated the following pages to use the new documentation standard:
  1. [DatePicker](#2622)
  1. [GridList](#2681)
  1. [SelectField](#2694)
  1. [IconButton](#2700)
- Added the following eslint rules:
  1. react/sort-comp (#2774, #2776)

### Component Fixes / Enhancements

- [MenuItem] Fix icon position (#2661)
- [SelectableList] Recursively extend children (#2320)
- [SelectField] Add hintStyle (#2710)
- [EnhancedButton] Avoid rendering `<a>` element (#2708)
- [LeftNav] Only transition the transform property (#2730)
- [TextField] Fix `errorText` when using `multiLine` (#2742)
- [TimePicker] Update am/pm buttons (#2757)

### Deprecations

- [Dialog] Deprecate width (#2753)

## 0.14.0

_Dec 25, 2015_

The chagnes in `0.14.0-rc1` and `o.14.0-rc2` are also included as part of this release.
Have a look at them as well.

### General

- [Docs] Migrated the following pages to use the new documentation standard:
  1. [Tabs](#2515)
  1. [Snackbar](#2562)
  1. [DropDownMenu](#2565)
  1. [Card](#2590)
- Added the following eslint rules:
  1. key-spacing (#2552)
- [SvgIcon] Improved the code generation tasks (#2606)
- [ES6] Use module everywhere (#2614)
- Added a temporary bootstrap project for ReactNative to pave the way for ReactNative support (#2611)
- Clean up CSS classes (#2630)

### Component Fixes / Enhancements

- [SelectField][textfield] Fixed error styling issue (#2539)
- [TextField] Implemented optional underline (#2476)
- [Autocomplete] Migrated to use popover (#2634)

### Deprecations

- [DropDownMenu][selectfield] Deprecated `menuItems`, these components are now composable. (#2565)

## 0.14.0-rc2

_Dec 15, 2015_

### Breaking Changes

- [Menu] Depreciation of the old menu, introduces a very small breaking change (#2443)
- [Dialog] Removed deprecated API (#2396)
- zIndex, rework them to be more coherent (#2444)

### General

- Decoupled `Popover` animation from the component to increase flexibility (#2367)
- [Tests] Migrated tests to use the new `react-addons-test-utils` package (#2401)
- [Docs] Improvements to the documentation site (#2426, #2421, #2438, #2479, #2508)
- [Docs] Migrated the following pages to use the new documentation standard:
  1. [AppBar](#2382) _also where the new standard was introduced by @oliviertassinari_
  1. [Avatar](#2407)
  1. [Toolbars](#2415)
  1. [Badge](#2489)
  1. [Dialog](#2483)
  1. [LeftNav](#2507)
- Added the following eslint rules:
  1. react/jsx-indent-props (#2377)
  1. max-len (#2381)
  1. wrap-multilines (#2419)

### Component Fixes / Enhancements

- [Card] Use `preventDefault()` when handling expansion (#2495)
- [CardHeader] Made `avatar` property optional (#2397)
- [Checkbox] Now updates it's state when `checked` property changes (#2464)
- [DatePicker] Fix year selection (#2410)
- [Dialog] Added `overlayStyle` property (#2431)
- [Dialog] Added `width` property (#2387)
- [Divider] Initial implementation. Thanks to @newoga (#2473)
- [DropDownMenu] Added `menuStyle` property (#2389)
- [DropDownMenu] Now uses `Popover` (#2150)
- [DropDownMenu] Now bubbles keyboard events (#2461)
- [FlatButton] Adjusted background, hover and ripple colors (#2488)
- [IconMenu] Added `open` and `onRequestChange` properties (#2383)
- [ListItem] Added option to toggle nested list items on primary action (#2390)
- [Menu] Fixed an error when children is only one child (#2402)
- [Menu] Remove absolute positioning (#2455)
- [Menu] Fixed issue when passed null children (#2429)
- [SelectField] Fixed the propagation of underline styles (#2405)
- [TableRow] Fixed a bug when unselectable rows could still be selected (#2503)

### Deprecations

- The old menu components under the `material-ui/lib/menu` folder (#2443)
- The `actions` property of `Dialog` accepting a JSON is deprecated (#2483)
- The `menuItems` of `LeftNav` and all the related properties are now deprecated in favor of composibility (#2507)

## 0.14.0-rc1

_Dec 4, 2015_

### Breaking Changes

- [IconMenu] removed openDirection prop in favor of anchorOrigin and targetOrigin (#2149)

### General

- Use ES6 import / export syntax over require (#2253, #2333, #2334)
- Dialog render-to-layer version (#2129)
- Add declarative props to LeftNav, deprecate methods (#2180, #2351)
- Add linting to test files (#2273)
- Support nested menu items using Popover (#2148)
- [DropdownMenu] add labelMember prop (#2285)
- Add new ESLint rules (#2293, #2314, #2319, #2348, #2360, #2365, #2366)
- Add unit tests for Dialog (#2298)
- [Autocomplete] Support changing searchText via props (#2306)
- [Autocomplete] dataSource prop is of type array (#2286)
- [AppBar] add titleStyle prop (#2324)
- [TimePicker] update as per spec (#2358)
- [Popover] add useLayerForClickAway prop (#2359)

### Component Fixes / Enhancements

- Fix wrong proptype for value in RadioButton (#2276)
- Make LeftNav swipeable only from far left / right (#2263)
- [TextField] allow rowsMax prop to equal rows prop (#2312)
- Fix Invariant Violation error in ClickAwayable mixin (#2296)
- [DatePicker] fix calendarTextColor context key (#2318)
- Fix and improve examples (#2344, #2345)
- [Dropdown][selectfield] change value PropType to React.PropTypes.any (#2352)
- [CardActions] prevent children styles from being overridden (#2361)

## 0.13.4

_Nov 24, 2015_

### General

- Introduced SelectableEnhance HOC to wrap List with valueLink (#1976)
- Added color prop to LinearProgress and RefreshIndicator (#2206)
- [Autocomplete] new component! (#2187) (thanks @yongxu)
- [Table] added wrapperStyle prop to override table wrapper's styles (#2238)
- Updated SVG icons (#2240)
- [Table] added props for headerStyle, bodyStyle and footerStyle (#2246)

### Component Fixes / Enhancements

- Fixed double ripple due to compat mouse down (#2216)
- [RenderToLayer] iframe support for clickaway (#2210)
- [TextField] Fixed floating label element not allowing focus (#2228)
- [SelectField] onFocus and onBlur handlers passed to underlying TextField component (#2102)

## 0.13.3

_Nov 17, 2015_

### General

- [Snackbar] add bodyStyle prop to style child div (#2104)
- [DatePicker] add container prop to display DatePicker in-line or inside Dialog (#2120 and #2153)
- [AppBar] add relative positioning for z-index to take effect (#1478)
- [AppBar] add onTitleTouchTap prop to AppBar (#2125)
- [Popover] new component! (#2043) (thanks @chrismcv)
- Split [SelectField] and [TextField] doc pages (#2161)

### Component Fixes / Enhancements

- [SelectField] onChange triggered consistently when using value prop (#1610)
- [Dialog] fix page scrolling behind dialog after resizing (#1946)
- [DatePicker] fix calendar height (#2141)
- [TimePicker] allow to set time to null (#2108)

## 0.13.2

_Nov 9, 2015_

### General

- Add tabs with slide effect (#1907)
- Universal rendering support (#2007) (thanks @Cavitt)
- Add labelPosition prop to buttons (#2014)
- Add RenderToLayer component (#2042) (thanks @chrismcv)
- Open state of of dialog now controlled through props (#1996)
  - openImmediately, show(), dismiss() deprecated
- Update TextField docs (#2070)
- New Badge component (#2045) (thanks @rhythnic)
- Add import statements to components' docs pages (#2113)

### Component Fixes / Enhancements

- Fix server-side rendering (#2021)
- Add key to TableHeaderColumn for selectAll (#2030)
- Fix Circular Progress transition (#2047)
- Fix Snackbar getting stuck when receiving new props (#2024)
- iPad enhanced textarea fix (#1720)
- Table clickAway triggers onRowSelection (#2054)
- Theme color fixes for Slider and Toggle (#2016)

## 0.13.1

_Oct 29, 2015_

### General

- [SVGIcons] added index.js and index-generator script (#1959)
- [TimePicker] openDialog() function (#1939) and autoOk prop (#1940) added
- [DatePicker] i18n support added (#1658)
- [LeftNav] supports nested children (w/o menuItems) (#1982)
- [Snackbar] updated for new specification (#1668)
- [Tabs] added tabTemplate prop (#1691)

### Component Fixes / Enhancements

- [TextArea] height issue fixed (#1875)
- [GridList] doc added (#1948) with code examples (#1988)
- [TextField] fixed custom theme color hiding backgroundColor (#1989)
- [TimePicker] added style and textFieldStyle props (#1949)
- [Card] text color is now pulled from theme (#1995)

## 0.13.0

_Oct 21, 2015_

### Breaking Changes

- Material UI for React 0.14.x

### Component Fixes / Enhancements

- FloatingActionButton now has iconStyle prop (#1575)
- Card title and subtitle props can be any node (#1950)

## 0.12.5

_Oct 21, 2015_

v0.12.4 should have really been v0.13.0 as it breaks compatibility with React 0.13.3. This version fixes that. We reverted some commits (related to React 0.14.0 support) from v0.12.4 to bring to you v0.12.5 that works as expected.

### Component Fixes / Enhancements

- DatePicker performance has been improved (#1905)
- Docs code now follows ESLint rules more strictly (#1778)
- Removed duplicate keys in component definitions (#1933)

## 0.12.4

_Oct 19, 2015_

**This version is not compatible with React 0.13.x.** If you're on React 0.13.x, use Material UI v0.12.5 instead.

### General

- React 0.14 compatible

### Component Fixes / Enhancements

- ThemeDecorator supports props (#1841)
- Full RTL support included (#1674)
- react-draggable dependency removed for Slider (#1825)

## 0.12.3

_Oct 7, 2015_

### Component Fixes / Enhancements

- Quick-fix version until react 0.14 support is somewhat stable
  - Changed react dependency to ~0.13 in package.json (#1836)

## 0.12.2

_Oct 6, 2015_

### General

- NEW GridList component and documentation! Thanks to @igorbt (#1320)

### Component Fixes / Enhancements

- Added back canvasColor to theme palette (#1762)
- Added hintStyle prop to TextField (#1510)
- Add isScrollbarVisible function to table (#1539)
- Add rowsMax prop to EnhancedTextarea (#1562)
- Tab "item three" renamed on docs site (#1775)
- Fixed docs server to run on Windows (#1774)
- FlatButton now has a backgroundColor prop (#1561)
- Fixed DropdownMenu buggy value prop check (#1768)

## 0.12.1

_Sep 28, 2015_

### Component Fixes / Enhancements

- Fix broken documentation site
  - Fix theme display switch problem in doc (#1696)
  - Fix typo in src/card-expandable.jsx (#1724)
  - Fix broken link to v0.12.0 release tag
- Use correct require calls
  - for react addons (#1729)
  - for raw themes (#1742)
- Remove hard-coded color values from theme-manager
  - Use consistent values from raw theme (#1746)

## 0.12.0

_Sep 25, 2015_

### Breaking Changes

- Theming has been re-done so that material-ui components can be used without having to worry about passing a theme (all components implement a default theme) (#1662)
  - There's now a concept of `mui theme` and `raw theme`, `mui theme` is produced from `raw theme`
  - `ThemeManager` has been changed, no longer needs `new` in call
  - `ThemeManager` produces `mui theme` from `raw theme`. Raw themes may be user-defined.
  - Functions in `ThemeManager` allow to modify theme variables. Component-level styles may be
  - overridden in the `mui theme`.
  - See new documentation [here](https://mui.com/#/customization/themes)
- Function names in the context-pure mixin have been changed (#1711)
  - `getContextProps()` has been changed to `getRelevantContextKeys()`

### General

- Updated dependency of `react-tap-event-plugin` (#1714)

### Component Fixes / Enhancements

- Dialog component (#1717)
  - `actions` now has `id` property
  - Fixed a bug in dialog where a faulty check caused an error in console
  - Text field ipad scrolling in dialog

## 0.11.1

_Sep 15, 2015_

### Component Fixes / Enhancements

- DatePicker - Updated to new design specs (#1266)
- LeftNav - Fix sidebar position for browsers that don't support transform3d (#1269)
- TextField - Added props to override underlineStyle when disabled (#1493)

## 0.11.0

_Aug 24, 2015_

### Breaking Changes

- The Table component is now composable. (#1199)
  - JSON objects to create the table and the table component will no longer generate the table for you.
    The docs site provides a complete example of how a table might look: https://mui.com/#/components/table.
    The example also includes a 'super header' and 'super footer' row.
  - **Upgrade Path:** Instead of passing in the raw JSON data, you'll need to generate the appropriate
    TableHeader/TableRow/TableHeaderColumn components and pass them in as children. The same should be applied
    to the rowData and the footer.
- Tabs can now be controlled. In order to make this work we had to change the parameters being passed back to
  the `onChange` event to: `onChange(value, e, tab)`. Where value is the value of the tab that it was changed
  to, e is the event, and tab is the actual tab component. (#1232, #1235)
- Added a new `static` flag to the ThemeManager that defaults to `true`. If you're mutating your theme variables
  after the app initializes, set this flag to `false`. This will allow us to perform some optimizations to
  components that require theme variables. (#1397)
- ListItem (#1438, #1105)
  - Nested list items should no longer be passed in as children. Use the `nestedItems` prop instead.
  - The `open` prop has been renamed to `initiallyOpen`.
- Removed classable mixin
  - This mixin was no longer used in the library. Removing it allowed us to get rid of the `classnames`
    dependency. If you were using this mixin in your own projects, you'll need to pull the source and manually
    include it.

### Component Fixes / Enhancements

- Buttons - Fixed a bug that caused buttons to not gain keyboard focus in some cases (#1485, #1453, #1458)
- Card
  - Properly merge `CardAction` and `CardExpandable` styles. (#1376)
  - Added Right-To-Left support to `CardExpandable`. To use this, set `isRtl` to `true` in the theme. (#1408)
- DatePicker - Fixed an error that occurred when using valueLink (#1400)
- DropDownMenu - Added `disabled` prop (#1406)
- FlatButton - Added `labelPosition` prop. (#1286)
- InkBar - Added color prop and inkBar.backgroundColor to theme variables. (#1244)
- Ripple
  - Fixed display glitch on Safari (#1420)
  - Fixed an error when ripples were unMounted (#1416)
- SelectField
  - Added `floatingLabelStyle` prop (#1463 #1450)
- Slider
  - Fixed a bug when setting the width attr (#1368)
  - Fixed a bug with disabled sliders (#1417)
  - Fixed a focus style glitch and other style problems (#1448, #1451, #1468)
- Snackbar - Added onShow and onDismiss (#1390)
- Table - Ensure that the table component properly keeps track of selected rows (#1325)
- TextField
  - Added `underlineFocusStyle` prop (#1422, #1419)
  - `hintText` can now be a `string` or `element` (#1424, #1202)
- TimePicker
  - Fixed a bug that caused the am/pm selector to switch (#1440)
  - Fixed a bug that caused defaultTime to not be set (#1466)
- Tooltip - Probably center tooltips when tooltip text changes (#1205)
- Theme - Added `setContentFontFamily` (#1405)

## 0.10.4

_Aug 8, 2015_

### Component Fixes / Enhancements

- TouchRipple - Fixed a bug that caused onClick to not fire on the first click (#1370)

## 0.10.3

_Aug 8, 2015_

### General

- We've set up the project to perform automated tests - now we just need to increase our test coverage. :) (#1331)
- The style auto-prefixer now caches browser test results so that it only has to perform them once.

### New Components

- RefreshIndicator (#1312)

### Component Fixes / Enhancements

- AppBar - showMenuIconButton now only affects the icon next to the title (#1295, #1182)
- CardMedia - CardMedia children styles are now being properly merged (#1306)
- Dialog - fixed a bug that caused the dialog height to be incorrect on window resize (#1305)
- FloatingActionButton - Added backgroundColor and disabledColor props (#1329)
- FocusRipples now only get rendered when needed.
- IconMenu - Added isOpen() (#1288)
- LeftNav
  - Added menuItemClassName, menuItemClassNameSubheader, menuItemClassNameLink props (#1318)
  - Fixed a display problem that caused icons to not be the correct color (#1324)
- ListItem - fixed incorrect styling on disabled list items (#1350)
- SelectField
  - Fixed a bug that happened when select field was controlled and the value was undefined (#1227)
  - Fixed error text positioning (#1341, #1111)
  - Added errorStyle prop (#1341)
- Snackbar - Clickaway is now properly bound when openOnMount is true (#1327)
- Tabs - Added contentContainerClassName prop (#1285)
- TextField - Added underlineStyle prop (#1343)
- TimePicker - Added pedantic prop (#1275, #1173)

## 0.10.2

_Jul 29, 2015_

### Breaking Changes

- Changed `date-picker/index.js` to expose DatePicker and DatePickerDialog.
  Hence `require('material-ui/lib/date-picker')` no longer works. Use
  `require('material-ui/lib/date-picker/date-picker')` instead.

### General

- Replaced onMouseOver / onMouseOut with onMouseEnter / onMouseLeave to achieve hover affects.
  This prevented extra unnecessary renders from happening. (#1190)
- All svg icons inside the /svg-icons folder now uses the PureRenderMixin.

### Icon Builder

- Added tests, build process, file template, and file suffix (#1130, #1127, #1126, #1125, #1139)

### Component Fixes / Enhancements

- AppBar - Fixed a styling bug in Safari (#1226)
- Cards can now expand and collapse (#1060)
- DatePicker
  - Allow using DatePicker as a controlled input (#1170)
  - Added valueLink support and openDialog() (#1213)
  - Fixed a bug that caused dates to get selected when switching months (#1243)
  - Avoid handling keyboard events when calendar is not active (#1245)
  - Fixed display glitch on Firefox (#1242, #1248)
- Dialog
  - Hitting the ESC key no longer closes the window if modal is set to true (#1187, #1162)
  - The onShow event now called after all contents in the dialog have been rendered. (#1198)
- DropDownMenu - Clicking away no longer triggers other click events to happen (#1177, #1174)
- FocusRipples now only render when actually shown.
- IconMenu
  - Fixed a bug that caused a scrollable menu to jump after selecting an item.
  - Fixed keyboard focus when user hits ESC.
- LeftNav
  - Added some Perf improvements (#1184)
  - Fixed a bug that caused onNavOpen to sometimes not fire (#1225)
  - Added disableSwipeToOpen prop (#1279)
- Menu
  - Performance improvements when opening a menu.
  - Added animated prop.
- RaisedButton - Fixed a bug that caused rounded corners not to round (#1048)
- SelectField - Now passes the index and payload back in the onChange callback (#1193, #1194)
- Slider - Fixed a bug that caused value to not be set correctly (#1251)
- Snackbar - Extra props are now being passed down to the root (#1260)
- SvgIcon - Added code to remove some unnecessary renders on hover.
- Toolbar - Fixed display glitch on Firefox (#839, #1248)

## 0.10.1

_Jul 13, 2015_

### Component Fixes / Enhancements

- CircularProgress - Fixed animation bug in Safari (#1093, #863)
- Dialog
  - `contentClassName` is now being passed down to the appropriate child (#1122)
  - Fixed max height on vertically scrollable dialogs (#1153, #1100)
- DropDownMenu
  - Fixed display height (#1123)
  - Fixed display height when menu items change (#1145)
- IconMenu - Added `closeOnItemTouchTap` prop (#1156)
- LeftNav - Performance improvements during show/hide (#1137)
- SelectField - `errorText` is now being passed down to underlying `textField` (#1131)
- Table - Added static width to checkbox columns (#1128)
- Tabs - Added `inkBarStyle` prop (#1154)
- TextField - `errorStyle` prop is now being properly merged (#1116)

## 0.10.0

_Jul 9, 2015_

### Breaking Changes

- Removed `input.jsx` file. This component was deprecated long ago, but was never removed from the project.
- Buttons now default to a type of `button` instead of the browser's default of `submit`. We found that
  most of the buttons in our apps were not submit buttons and it was more intuitive to default to `button`.
  If you need a submit button, be sure to pass in a type of `submit`. (#1017)
- The `DialogWindow` component was refactored into `Dialog`. `DialogWindow` was never documented and was just
  a lower level component that was used by `Dialog`. It was, however, exposed on the main `index.js` and has
  since been removed. If you were using `DialogWindow` before, you should be able to safely use
  `Dialog` instead.

### New Components

- SvgIcons & Icon Builder
  - We've created SvgIcon versions of all the
    [material-design-icons](https://github.com/google/material-design-icons). These SvgIcon
    components can be found in the `/lib/svg-icons` directory and were not added to the main `index.js`
    file. To use these icons, require them directly: `require('material-ui/lib/svg-icons/action/face')`.
    These icons were created using a script that crawls the icon repo and generates the
    appropriate `js` and `jsx` files and can be found in the `/icon-builder` directory.
- Menu, MenuItem, MenuDivider
  - This is a new implementation of menus and menu items. With it comes:
    - better composability
    - scrollable menus
    - better transitions
    - better keyboard access
    - selectable with value and valueLink
  - We're working on migrating some of our other components to use this new implementation. Until that's
    thats done, require these components directly if you'd like to use them:
    `require('material-ui/lib/menus/menu')`.
- IconMenu
  - This component replaces `DropDownIcon` and has all of the new menu features mentioned above.

### Component Fixes / Enhancements

- AppBar
  - IconButton styles are now being properly merged (#967)
  - FlatButtons are now being properly styled (#967)
- AppCanvas - AppBar child styles can now be overridable (#903)
- Avatar - Added `size` prop (#945)
- CardMedia - Styles are now being properly merged using the `mediaStyle` prop (#1004)
- CircularProgress - Added `color` and `innerStyle` prop (#928)
- DatePicker
  - Prevent root styles from propagating to child input (#991)
  - Fixed DatePicker year/month navigation buttons (#1081, #1075)
- Dialog
  - Window scrolling is now enabled on unmount as well (#946)
  - Allow dialog window to scroll for long content (#1045, #525)
  - Drastically improved dialog performance (#1059)
  - Dialogs now honor modal property. (#1092)
  - Fixed vertical centering on smaller screen sizes (#1095)
- FloatingActionButton - Now accepts `FontIcon` and `SvgIcon` as children (#967, #894)
- FontIcon - Now supports `material-icon` ligatures (#952, #1007)
- IconButton
  - Added `tooltipPosition` prop (#921)
  - Added `tooltipStyles` prop (#1010, #1005)
  - Pass iconStyle props to every children (#967)
  - Now supports `material-icon` ligatures (#1024, #1013)
- LeftNav - Fixed swipe gesture to open / close (#868, #848, #998, #997)
- List - Added `zDepth` prop.
- ListItem
  - Fixed display glitch on touch devices (#858)
  - List items can now be keyboard focused
  - Allow drop downs to be displayed inside a list item (#978)
  - Fixed a bug that caused rightIconButton events to not propagate (#1055)
  - List Items can now be nested (#918)
  - Added `primaryText` prop (#1073)
- Menu
  - Fixed a bug that caused closed menu to be selectable (#913)
  - Fixed menu height and width when menu items change (#1012, #805, #1014)
  - Subheader styles are now being properly merged (#950)
- MenuItems now properly renders icons (#956)
- Overlay
  - Added to main `index.js` (#955)
  - Fix issue where Overlay can prevent the body from scrolling (#1058, #897)
- RaisedButton
  - Fixed a display glitch when changing the button's height (#937, #765)
  - Added `backgroundColor`, `labelColor`, `disabledBackgroundColor`, `disabledLabelColor` props (#965)
  - Added `fullWidth` prop (#989)
- SelectField
  - Fixed menu and error text display glitches (#922)
  - Added hint text functionality (#966)
  - Fixed display problem when `floatingLabelText` is set (#976)
  - Fixed font size (#1027)
- Slider
  - `className` can now be set (#938, #713)
  - Added min/max prop validation (#1070, #899)
- Snackbar
  - Root styles are not being merged properly (#925)
  - Added `autoHideDuration` prop (#1050, #958)
  - Clicking slider track advances the slider knob. (#1089, #1074)
- Table
  - Fixed `displayRowCheckbox` prop (#935)
  - Table rows can be selected in the rowData configuration (#1023)
  - Removed duplicate table calls and support multiple tables (#954, #1087, #1084)
- Tab - Added `contentContainerStyle` prop (#953)
- Tabs - Fixed a bug that caused inkbar to not display properly (#1015, #940)
- TextField
  - Fix error when setting the value of the textfield `input`. (#959)
  - Style fixes for floating label (#980)
  - Fixed display glitch for long hint text and error text (#987, #438, #439)
  - Fixed display problem when value is 0 (#1090)
  - Added `errorStyle` prop (#1079)
- TimePicker - Fixed key warnings (#1018)
- Toolbar
  - Fixed display glitch with DropDownIcons (#917, #904)
  - Styles are now being properly merged for `DropDownMenu`, `DropDownIcon`, `RaisedButton`, `FontIcon` (#965)

## 0.9.2

_Jun 20, 2015_

### New Components

- SelectField (#846)
- Card, CardActions, CardHeader, CardMedia, CardText, CardTitle (#857)
- Table (#890)

### Components

- AppBar - Long AppBar titles now render ellipses (#875)
- Buttons
  - Added containerElement prop (#850)
  - Fixed styling for disabled link buttons
- DropDownMenu - Added keyboard functionality (#846)
- FontIcon - Added color and hoverColor props
- ListItem
  - Fixed display problem with Single line checkboxes (#854)
  - Added rightIconButton prop
- Slider - Added step functionality (#860)
- Switches - Added labelStyle prop (#871)
- SvgIcon - Added color and hoverColor props
- TextField - Made element styles overridable (#864)
- TimePicker
  - Fixed clock functionality for various browsers (#840)
  - Fixed clock numbers positioning for Safari (#870)
  - Fixed clock handles on Android Chrome (#873)
- Toggle
  - Made element styles overridable (#855)
  - Fixed style bug on IE 10, 11 (#885)
- Toolbar - Fixed error when a child element is null (#847)

### Theming

- Theme spacing can now be overridden (#879)

## 0.9.1

_Jun 14, 2015_

### General

The following components have been modified to allow for style overrides:
Radio Button Group, Radio Button, Enhanced Switch Label, Text Field, Toggle, Checkbox (#807)

### New Components

- List, ListItem, ListDivider, Avatar (#836)

### Components

- Checkbox - Added checkedIcon and unCheckedIcon props. This is useful to create icon toggles.
- Dialog - Fixed a bug with the open immediately flag (#810)
- DropDownIcon - Added support for icon ligature (#806)
- Menu - Fixed a style problem (#843)
- RadioButtonGroup - Fixed a bug with mapping Radio children (#820)
- Slider - Fixed a glitch that happened when click on the slider handle (#833)
- TextField - Added fullWidth prop (#827)
- TimePicker
  - Fixed a bug with the defaultTime setting (#822)
  - Fixed clock handles on Firefox (#825)

## 0.9.0

_Jun 9, 2015_

### Breaking

We've cleaned up some of our click/tap events. (#771) Upgrade should be straight forward, please see below:

- DropDownIcon - closeOnMenuItemClick has been replaced with closeOnMenuItemTouchTap.
- Menu - onItemClick has been removed; use onItemTap instead.
- MenuItem - onClick event has been removed; use onTouchTap instead.

### General

- ClickAwayable is now bound to onTouchTap instead of onClick (#766)

### Components

- AppBar will now render its children (#725)
- DatePicker will now properly handle defaultDate prop changes (#722)
- Dialog actions now respond to onTouchTap (#752)
- LeftNav
  - Fixed line height style bug (#742)
  - Fixed a bug that caused the LeftNav to immediately close on iOS full screen mode (#751, #366)
- Menu
  - Will now adjust its height when props change (#544, #203)
  - MenuItemStyle prop is now passed down to nested menus (#802)
- RadioButtonGroup can now have its styles overridden (#768)
- RaisedButtons - Fixed a bug that caused incorrect transitions (#731, #702)
- SvgIcon - ViewBox can now be passed in as a prop (#747)
- Tabs - Components inside tabs now keep their state when switching between tabs (#700, #450)
- TextField
  - Multi-line text fields can now be initialized with a certain number of rows (#693)
  - Fixed style bug that caused width to not be set on disabled text-fields
  - Fixed style bug that caused focus underline to be black
  - Fixed style problem that caused text to jump on multi-line inputs
- Theme (New)
  - This is a high order component that can be used to set your theme overrides (#797)

## 0.8.0

_May 24, 2015_

### Breaking Changes

- Refactored all CSS into JavaScript (#30, #316)
  - All Material UI components now have their styles defined inline. This solves
    many problems with CSS as mentions in [@vjeux's presentation](https://speakerdeck.com/vjeux/react-css-in-js)
    such as polluting the global namespace with classes that really should be
    component specific. In addition to the benefits mentioned in the
    presentation, inline styles allow Material UI to become CSS preprocessor
    agnostic and make Themeing much more dynamic and simple.
    [Read our CSS in JS discussion](https://github.com/mui/material-ui/issues/30)
  - Upgrade path:
    - _If you are overriding component CSS classes:_ Redefine your overrides as
      an object following [React's inline styles format](https://facebook.github.io/react/tips/inline-styles.html),
      then pass it into the material-ui component via the `style` prop. These
      changes are applied to the root element of the component. If you are
      overriding a nested element of the component, check the component's
      documentation and see if there is a style prop available for that nested
      element. If a style prop does not exist for the component's nested element
      that you are trying to override, [submit an issue](https://github.com/mui/material-ui/issues/new)
      requesting to have it added.
    - _If you are using any of Material UI's Less files:_ These files have been
      refactored into their [own JavaScript files](https://github.com/mui/material-ui/tree/css-in-js/src/styles)
      and can be accessed like so `var FILENAME = require('material-ui').Styles.FILENAME;`.
      Material UI has moved away from being a CSS Framework to being simply a
      set of React components.
- Paper component no longer generates nested divs (#601)
  - This allowed us to simplify styling of paper containers. As a result, styling the inner div is no longer necessary.

### General

- Themes have been added (#202)
- Requiring individual components is now supported (#363)
  - An example would be: `var SvgIcon = require('material-ui/lib/svg-icon);`
  - The `/lib` folder in Material UI contains the file structure needed when referencing individual components.

### Components

- Date Picker
  - Added AutoOK Prop (#658)
  - Added ability to specify min and max dates (#658)
  - Added Year Selector (#658)
- Dialog now repositions on screen resize (#597)
- Left Nav will now close with a swipe gesture (#614)
- Linear and Circular Progress Indicators - NEW (#632)
- TimePicker - NEW (#589)

## 0.7.5

_Apr 27, 2015_

General

- Removed deprecation warnings by replacing `this.getDOMNode()` with `React.findDOMNode()` (#558)
- Replaced `process.NODE_ENV` with `process.env.NODE_ENV` (#573)

### Components

- DropDownMenu
  - Fixed `props is not defined` error when `onChange` is invoked (#556)
- Floating Action Button
  - Fixed alignment bug on Chrome when using FAB as a link (#574)

## 0.7.4

_Apr 21, 2015_

### General

- Updated to react v0.13

### Components

- AppBar
  - Fixed IE toString.Call() issue (#518, #468)
- Buttons
  - Button events now do not fire on disabled buttons (#512)
  - Fixed rapid keyboard tabbing issue (#528)
- DatePicker
  - Added autoOk, minDate, and maxDate props (#538)
- Dialog
  - Fixed IE toString.Call() issue (#518, #468)
  - Added modal prop (#523)
  - Fixed warnings caused by overwriting props (#500)
  - Added ability to give an action button autofocus (#552)
- DropDownMenu
  - Handle selectIndex less than 0 (#480)
  - Fixed issue of using this component outside strict mode (#533)
- LeftNav
  - Added onNavOpen & onNavClose events (#495)
- Switches
  - Fixed errors on disabled switches on mobile (#476)

## 0.7.3

_Apr 1, 2015_

### General

- Updated mui to use peer dependency changes (#471)
- Replaced `DOMIdable` with `UniqueId` (#490)

### Components

- Dialog
  - Changed `title` prop to accept node types instead of just strings (#474)
- Link Menu Item
  - Fixed anchor attribute name (#493)
- Menu
  - Nested menus expand when hovered (#475)

## 0.7.2

_Mar 25, 2015_

### General

- Updated react-draggable2 dependency (#391)
- Updated react and peer dependencies to React v0.13 (#452)

### Components

- Date Picker
  - Added `onShow` and `onDismiss` props (#399)
- Dialog
  - Fixed scrolling issue when opened immediately (#406)
  - `onShow` is now called when opened immediately (#453)
- Flat Button
  - Disabled primary buttons use disabled styling over primary (#432)
- Floating Action Button
  - Fixed zdepth to update when `disabled` prop changes (#390)
  - Disabled secondary buttons use disabled styling over secondary (#432)
- Left Nav
  - Scrolling is prevented when displayed (#406)
- Menu
  - Menu and menu-related components have been moved into `js/menu/*` (#402)
  - Added LinkMenuItem component (#402)
- Menu Item
  - Added `disable` prop (#402)
- Overlay
  - Now control scroll un/locking. (#406)
- Paper
  - Added `innerStyle` prop (#418)
- Raised Button
  - Disabled primary buttons use disabled styling over primary (#432)
- Tabs
  - Added `initialSelectedIndex` prop (#389)

## 0.7.1

_Mar 4, 2015_

### General

- Allow removal of debug code in production builds (#349)

### Components

- AppBar
  - Fixed a styling bug that caused icons not to show (#336)
  - Title prop can now be an element (#361)
  - Added iconClassNameLeft, iconElementLeft, iconElementRight props (#367)
- Date Picker
  - Fixed a bug that caused the date picker dialog window to ghost on small screen widths (#342)
- Dialog Window
  - Window no longer loses scroll position after opening a dialog window. (#386)
- DropDown Icon
  - Added closeOnMenuItemClick prop (#376)
- Flat Buttons
  - Fixed a styling bug with touch ripples.
- Icon Buttons
  - Fixed a styling bug with touch ripples. (#341)
- Menu Item
  - Link targets can now be set on menu items. (#350)
- Slider
  - Fixed percentage calculation in getInitialState (#382)
- Tabs
  - The onChange event now passed in the tabIndex, and tab to the callBack (#384)
- Text Field
  - Added onEnterKeyDown prop. (#328)
  - Fixed a bug with setting multiLine values (#356, #357)

## 0.7.0

_Feb. 13, 2015_

### Breaking Changes

- Removed Icon component - Replaced with FontIcon and SvgIcon (#318, #125, #148)
  - The main motivation here is to give developers more control over which font icons to include
    in their project. Instead of automatically including all material design icons in material-ui,
    developers can now create their own custom icon font file and just pass the icon className into
    the FontIcon component.
  - Upgrade path:
    - If you were using the Icon component before, you'll need switch to either using FontIcon or SvgIcon.
      For FontIcon, create a custom font file and include it in your project and just pass the Icon
      className into the FontIcon component. For SvgIcon, create a new React component that represents
      that particular icon. This will allow you to package your icons inside your js files. Examples
      can be found [here](https://github.com/mui/material-ui/tree/master/src/js/svg-icons).
    - Additionally, all components that had an icon prop now take an iconClassName prop instead. These
      include FloatingActionButton, IconButton, Menu, MenuItem, and DropDownIcon.

### General

- All jsx files are now being compiled before publishing to npm. (#179, #215)

### Components

- Buttons
  - Fixed a bug that cause onClick to not fire in Safari (#307)
  - You can now pass down children into all buttons. This allows you to add icons to flat and raised buttons
    or to add a file input element. (#323, #189)
- Menu Item
  - Fixed toggle display bug (#298)
  - Toggle props can now be passed in (#299)
- Slider
  - Removed inline style @import (#218)
- Switches
  - Switches now support focusability and can be focused/changed via keyboard inputs. (#292)
  - Added focus and touch ripple animations.
  - All switches use the labelPosition prop (as opposed to labelPositionRight), including RadioButtonGroup.
  - Added innerClassName prop. (#309)
- Tabs
  - Fixes width transition for ink bar (#280)
- Text Field
  - Fixed a bug with using valueLink with a multiline Text Field (#311)
  - Fixed a bug with multiline defaultValues in a multiline Text Field (#296)

## 0.6.1

_Jan. 26, 2015_

### Fixes

- Checkbox & Toggle
  - Fixed a bug that caused checkboxes and toggles to not uncheck.

## 0.6.0

_Jan. 26, 2015_

### General

- Fixed dependencies to prevent multiple versions of React getting loaded on the docs site (#194)

### Deprecated

- Input - Please use TextField instead.

### New

- Radio Button Group
  - This component was created to make it easier to work with groups of radio buttons (#151)
- Tabs
  - Added new Tabs component.
- TextField
  - This component replaces Input. It extends the native input element and will support all of
    its props and events. It also supports valueLink and can be controlled or uncontrolled.
  - MultiLine text fields now grow and shrink as the user inputs data.
  - Allow for both floating labels and hint text in the same input.
  - Floating labels now generate a label element.

### Fixes

- AppBar
  - Added icon prop. (#250)
- Checkbox
  - Checkbox styling now matches material design specs
  - This component has been revamped and can now be controlled or uncontrolled.
- Date Picker
  - Fixed a bug with getDate() (#196)
  - Added onChange prop (#198)
- Dialog
  - Actions can now be passed in as an array of react elements. (#241)
- Menu Item
  - Menu Items now respond to onTouchTap
- Radio Button
  - Radio Button styling now matches material design specs
  - This component has been revamped and can now be controlled or uncontrolled.
- Slider
  - Fixed a CSS bug with slider handles (#225)
  - Added onDragStart and onDragStop props (#217)
- Snackbar
  - Fixed Ghost hidden snackbar (#235)
- Toggle
  - This component now extends a native input checkbox.
  - It can now be controlled or uncontrolled.
- Toolbar
  - Fixed FlatButton positioning inside toolbar (#224)

## 0.5.0

_Jan. 3, 2015_

### Breaking Changes

- Removed lesshat dependency. Be sure to change your build process to include an
  [autoprefixer](https://github.com/sindresorhus/gulp-autoprefixer).

### Components

- Buttons
  - Ripple animations are much faster now. The animation starts onMouseDown or onTouchStart
    and completes onMouseUp or onTouchEnd. Now we can spam buttons all day long. :)
  - Spacebar key up triggers button clicks. (#155)
- Slider
  - Changed slider cursor (#187)
- Snackbar **(New)**
  - Added a snackbar component.

## 0.4.1

_Dec. 25, 2014_

### General

- Updated to react 0.12.2; browserify 7.0.3
- Fixed ripple animation on Firefox (#129)
- Updated red, green, and blue color variables to match specs (#177)

### Components

- Buttons
  - Added secondary button colors
  - Removed underline styles on link buttons (#172)
- Date Picker **(New)**
  - Added new date picker component.
  - Dialog version is implemented, inline version to follow in upcoming release.
  - Has both portrait and landscape modes.
  - Keyboard support: arrow keys advance dates, shift+arrow advances month.
- Dialog
  - Dialog actions now generate buttons with secondary colors.
  - Added contentClassName prop. This is used to style the actual dialog window.
    For example, setting its width.
  - Dialog contents no longer are removed from the DOM when the dialog is dismissed.
  - Disabled scrolling when the dialog window is open.
- Input
  - Added disabled input styles (#140)
  - Added blur() method
  - Added support for email input type (#170)
  - Fix textarea placeholder focus exception (#170)
  - Added mui-is-not-empty class when the input isn't empty (#170)
- Slider
  - Trigger onChange when clicking on slider (#153)

## 0.4.0

_Dec. 15, 2014_

### Breaking Changes

- Removed PaperButton - Use FlatButton, RaisedButton, or FloatingActionButton
- Removed Roboto font import (#104) - Be sure to [include the Roboto](https://fonts.google.com/specimen/Roboto) font in your project.

### General

- Added react-draggable2 dependency

### Components

- Buttons
  - Added linkButton functionality (#130)
- Icon Buttons
  - Added tooltip functionality
- Input
  - Added method to set focus
- Left Nav
  - Added method to open left nav panel
- Radio Button
  - Added defaultChecked prop
- Slider (New)
  - Added slider component
- Toggle
  - Updated styles to match material design specs

## 0.3.3

_Dec. 7, 2014_

### General

- Added a basic example project in /example

### Components

- Dialog
  - Actions are now real buttons
  - Added transitions
  - Prefixed classNames with mui
  - Cleaned up styles
- Input
  - Fixed a bug that caused placeholder to not show on focus (#112)
  - Placeholders can now be displayed in-line by setting inlinePlaceholder to true.
  - The initial number of rows can now be set with the rows prop.
- Toggle
  - Fixed alignment issue (#118)
  - The initial state of the toggle can now be set with the toggled prop.

## 0.3.2

_Nov. 30, 2014_

### General

- Upgraded dependencies: react 0.12.1, browserify 6.3.3, reactify: 0.17.1

### Components

- Dialog
  - Added key prop to dialog actions. (#99)
  - Added onDismiss event callback. (#86)
  - Dialog is now positioned onMound and onUpdate (#85)
  - Fixed a bug that caused dialog to not be vertically centered on long pages
- Dropdown Menu
  - Added autoWidth prop (#89)
- Menu
  - Added autoWidth prop
- Nested Menu
  - Fixed bug that caused some nesteed menus to not show. (#88)
- Paper
  - Updated to use spread operator
- Radio Button
  - Fixed radio button label styles. (#94)
- Ripple
  - Account for page scrolling on ripple animation. (#93)

## 0.3.1

_Nov. 28, 2014_

### General

- Removed browserify react addons alias. (#68)

### Components

- FlatButton, RaisedButton, and FloatingActionButton (NEW)
  - These buttons will replace the current PaperButton which will be
    depreciated in v.0.4.0.
  - They generate actual button tags, are keyboard focusable and listen
    to onTouchTap. (#50, #61)
- Icon Button
  - Pressing enter when the button is in focus now fires onTouchTap
  - Added dark theme ripple colors
  - Focus and click animations now use Scale Transforms to improve performance.
- Input
  - Added support for ReactLink and use JSX spread attributes
  - Error messages are now props instead of internal states (#95)
- LeftNav
  - Pressing ESC now closes the left nav
- PaperButton
  - Will be depreciated in v.0.4.0.
- Radio Button
  - Fixed toggle bug. (#70)

### Mixins

- WindowListenable is now available from Mixins.WindowListenable

### Utils

- Added KeyCodes constants

## 0.3.0

_Nov. 17, 2014_

### General

- Updated Browserify & Reactify versions
- Enabled reactify es6 transformations
- Removed jQuery dependency (#25)
- Added reaact-tap-event-plugin dependency

### Components

- Dialog
  - Width is now determined by content
  - Position is centered horizontally inside parent container
  - Pressing Esc now closes the dialog (#35)
- Dropdown Menu
  - Added underline (#39)
  - Fixed display problem on double click (#43)
- Icon
  - Transfer all props to underlying span
- Icon Button (New)
  - Buttons...that are icons. :)
- Input
  - Added required, min, max and step
- LeftNav
  - Fixed left nav style when docked (#36)
  - Transition now uses translate3d instead of left
  - Overlay now listens to onTouchTap
- Menu Items
  - Added user select none styles (#45)
- Paper
  - Added onMouseOver & onMouseOut props
- Toolbar
  - Items are now passed in as children instead of groupItem prop

### Mixins

- Added WindowListenable. Allows listening to window events.

### Utils

- Added Dom and Events utility functions
- Fixed a bug that caused CSS Events to bind twice

### Less

- Added media query variables
- Added no-wrap mixin
- Removed unnecessary style resets
- Removed tab highlight color on all elements

## 0.2.2

_Nov. 11, 2014_

- Changed project structure to be less confusing. Material UI components/styles live in the src directory.
  Docs site code lives in the docs directory. This still allows us to easily test components in the docs site
  as we are working on them
- Added .editorconfig to help keep code formatting consistent among contributors. See https://editorconfig.org/
- Fixed drop down display issue in safari
- Fixed nested menu arrow icon
- Added hover transitions to menus
- Improved ripple animation on buttons

## 0.2.1

_Nov. 8, 2014_

- Fixed icon font reference. We're now including it as part of the project
  instead of an npm dependency.

## 0.2.0

_Nov. 7, 2014_

- Icon
  - Added all font icons from the unofficial material design icon font:
    https://github.com/designjockey/material-design-fonticons
  - All icon names had to change because of this. Sorry. :(
- PaperButton
  - Added href prop
  - CSS fixes
- Dialog
  - Added onShow event
  - Children contents of the dialog is only rendered if the dialog is opened
- LeftNav
  - Fixed a bug that caused docked LeftNav component to close on menu click
  - Removed isInitiallyOpen prop
- Input
  - onLineBreak event now passes back event (e) on callback

## 0.1.29

_Nov. 5, 2014_

- CSS fix on paper component
- hover transition fix on buttons
- removed selected state on drop down icon component
- CSS fix on left nav component
- added prop on left nav component to allow left nav to be docked and hidden
